#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2736
#define LARGE_STATE_COUNT 591
#define SYMBOL_COUNT 428
#define ALIAS_COUNT 0
#define TOKEN_COUNT 193
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 31
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 216

enum ts_symbol_identifiers {
  sym_name = 1,
  sym_php_tag = 2,
  anon_sym_QMARK_GT = 3,
  aux_sym_text_token1 = 4,
  aux_sym_text_token2 = 5,
  anon_sym_SEMI = 6,
  anon_sym_AMP = 7,
  aux_sym_function_static_declaration_token1 = 8,
  anon_sym_COMMA = 9,
  anon_sym_EQ = 10,
  aux_sym_global_declaration_token1 = 11,
  aux_sym_namespace_definition_token1 = 12,
  aux_sym_namespace_use_declaration_token1 = 13,
  aux_sym_namespace_use_clause_token1 = 14,
  aux_sym__namespace_use_type_token1 = 15,
  aux_sym__namespace_use_type_token2 = 16,
  anon_sym_BSLASH = 17,
  anon_sym_LBRACE = 18,
  anon_sym_RBRACE = 19,
  aux_sym_trait_declaration_token1 = 20,
  aux_sym_interface_declaration_token1 = 21,
  aux_sym_base_clause_token1 = 22,
  aux_sym_enum_declaration_token1 = 23,
  anon_sym_COLON = 24,
  anon_sym_string = 25,
  anon_sym_int = 26,
  aux_sym_enum_case_token1 = 27,
  aux_sym_class_declaration_token1 = 28,
  aux_sym_final_modifier_token1 = 29,
  aux_sym_abstract_modifier_token1 = 30,
  aux_sym_readonly_modifier_token1 = 31,
  aux_sym_class_interface_clause_token1 = 32,
  anon_sym_EQ_GT = 33,
  sym_var_modifier = 34,
  aux_sym_use_instead_of_clause_token1 = 35,
  aux_sym_visibility_modifier_token1 = 36,
  aux_sym_visibility_modifier_token2 = 37,
  aux_sym_visibility_modifier_token3 = 38,
  anon_sym_LPAREN = 39,
  anon_sym_RPAREN = 40,
  aux_sym__arrow_function_header_token1 = 41,
  anon_sym_DOT_DOT_DOT = 42,
  anon_sym_QMARK = 43,
  sym_bottom_type = 44,
  anon_sym_PIPE = 45,
  anon_sym_array = 46,
  aux_sym_primitive_type_token1 = 47,
  anon_sym_iterable = 48,
  anon_sym_bool = 49,
  anon_sym_float = 50,
  anon_sym_void = 51,
  anon_sym_mixed = 52,
  anon_sym_false = 53,
  anon_sym_null = 54,
  anon_sym_true = 55,
  aux_sym_cast_type_token1 = 56,
  aux_sym_cast_type_token2 = 57,
  aux_sym_cast_type_token3 = 58,
  aux_sym_cast_type_token4 = 59,
  aux_sym_cast_type_token5 = 60,
  aux_sym_cast_type_token6 = 61,
  aux_sym_cast_type_token7 = 62,
  aux_sym_cast_type_token8 = 63,
  aux_sym_cast_type_token9 = 64,
  aux_sym_cast_type_token10 = 65,
  aux_sym_cast_type_token11 = 66,
  aux_sym_cast_type_token12 = 67,
  aux_sym_echo_statement_token1 = 68,
  aux_sym_exit_statement_token1 = 69,
  anon_sym_unset = 70,
  aux_sym_declare_statement_token1 = 71,
  aux_sym_declare_statement_token2 = 72,
  anon_sym_ticks = 73,
  anon_sym_encoding = 74,
  anon_sym_strict_types = 75,
  sym_float = 76,
  aux_sym_try_statement_token1 = 77,
  aux_sym_catch_clause_token1 = 78,
  aux_sym_finally_clause_token1 = 79,
  aux_sym_goto_statement_token1 = 80,
  aux_sym_continue_statement_token1 = 81,
  aux_sym_break_statement_token1 = 82,
  sym_integer = 83,
  aux_sym_return_statement_token1 = 84,
  aux_sym_throw_expression_token1 = 85,
  aux_sym_while_statement_token1 = 86,
  aux_sym_while_statement_token2 = 87,
  aux_sym_do_statement_token1 = 88,
  aux_sym_for_statement_token1 = 89,
  aux_sym_for_statement_token2 = 90,
  aux_sym_foreach_statement_token1 = 91,
  aux_sym_foreach_statement_token2 = 92,
  aux_sym_if_statement_token1 = 93,
  aux_sym_if_statement_token2 = 94,
  aux_sym_else_if_clause_token1 = 95,
  aux_sym_else_clause_token1 = 96,
  aux_sym_match_expression_token1 = 97,
  aux_sym_match_default_expression_token1 = 98,
  aux_sym_switch_statement_token1 = 99,
  aux_sym_switch_block_token1 = 100,
  anon_sym_PLUS = 101,
  anon_sym_DASH = 102,
  anon_sym_TILDE = 103,
  anon_sym_BANG = 104,
  anon_sym_AT = 105,
  aux_sym_clone_expression_token1 = 106,
  anon_sym_COLON_COLON = 107,
  aux_sym_print_intrinsic_token1 = 108,
  aux_sym__new_non_dereferencable_expression_token1 = 109,
  anon_sym_DASH_DASH = 110,
  anon_sym_PLUS_PLUS = 111,
  anon_sym_STAR_STAR_EQ = 112,
  anon_sym_STAR_EQ = 113,
  anon_sym_SLASH_EQ = 114,
  anon_sym_PERCENT_EQ = 115,
  anon_sym_PLUS_EQ = 116,
  anon_sym_DASH_EQ = 117,
  anon_sym_DOT_EQ = 118,
  anon_sym_LT_LT_EQ = 119,
  anon_sym_GT_GT_EQ = 120,
  anon_sym_AMP_EQ = 121,
  anon_sym_CARET_EQ = 122,
  anon_sym_PIPE_EQ = 123,
  anon_sym_QMARK_QMARK_EQ = 124,
  anon_sym_DASH_GT = 125,
  anon_sym_QMARK_DASH_GT = 126,
  aux_sym__list_destructing_token1 = 127,
  anon_sym_LBRACK = 128,
  anon_sym_RBRACK = 129,
  anon_sym_self = 130,
  anon_sym_parent = 131,
  aux_sym__argument_name_token1 = 132,
  aux_sym__argument_name_token2 = 133,
  anon_sym_POUND_LBRACK = 134,
  sym_escape_sequence = 135,
  anon_sym_BSLASHu = 136,
  aux_sym_encapsed_string_token1 = 137,
  anon_sym_DQUOTE = 138,
  aux_sym_string_token1 = 139,
  anon_sym_SQUOTE = 140,
  aux_sym_string_token2 = 141,
  aux_sym_string_content_token1 = 142,
  anon_sym_LT_LT_LT = 143,
  anon_sym_DQUOTE2 = 144,
  sym__new_line = 145,
  anon_sym_SQUOTE2 = 146,
  anon_sym_BQUOTE = 147,
  anon_sym_DOLLAR = 148,
  aux_sym_yield_expression_token1 = 149,
  aux_sym_yield_expression_token2 = 150,
  aux_sym_binary_expression_token1 = 151,
  anon_sym_QMARK_QMARK = 152,
  anon_sym_STAR_STAR = 153,
  aux_sym_binary_expression_token2 = 154,
  aux_sym_binary_expression_token3 = 155,
  aux_sym_binary_expression_token4 = 156,
  anon_sym_PIPE_PIPE = 157,
  anon_sym_AMP_AMP = 158,
  anon_sym_CARET = 159,
  anon_sym_EQ_EQ = 160,
  anon_sym_BANG_EQ = 161,
  anon_sym_LT_GT = 162,
  anon_sym_EQ_EQ_EQ = 163,
  anon_sym_BANG_EQ_EQ = 164,
  anon_sym_LT = 165,
  anon_sym_GT = 166,
  anon_sym_LT_EQ = 167,
  anon_sym_GT_EQ = 168,
  anon_sym_LT_EQ_GT = 169,
  anon_sym_LT_LT = 170,
  anon_sym_GT_GT = 171,
  anon_sym_DOT = 172,
  anon_sym_STAR = 173,
  anon_sym_SLASH = 174,
  anon_sym_PERCENT = 175,
  aux_sym_include_expression_token1 = 176,
  aux_sym_include_once_expression_token1 = 177,
  aux_sym_require_expression_token1 = 178,
  aux_sym_require_once_expression_token1 = 179,
  sym_comment = 180,
  sym__automatic_semicolon = 181,
  sym_encapsed_string_chars = 182,
  sym_encapsed_string_chars_after_variable = 183,
  sym_execution_string_chars = 184,
  sym_execution_string_chars_after_variable = 185,
  sym_encapsed_string_chars_heredoc = 186,
  sym_encapsed_string_chars_after_variable_heredoc = 187,
  sym__eof = 188,
  sym_heredoc_start = 189,
  sym_heredoc_end = 190,
  sym_nowdoc_string = 191,
  sym_sentinel_error = 192,
  sym_program = 193,
  sym_text_interpolation = 194,
  sym_text = 195,
  sym_statement = 196,
  sym_empty_statement = 197,
  sym_reference_modifier = 198,
  sym_function_static_declaration = 199,
  sym_static_variable_declaration = 200,
  sym_global_declaration = 201,
  sym_namespace_definition = 202,
  sym_namespace_use_declaration = 203,
  sym_namespace_use_clause = 204,
  sym_qualified_name = 205,
  sym__name = 206,
  sym_namespace_name = 207,
  sym__namespace_use_group = 208,
  sym_namespace_use_group = 209,
  sym_trait_declaration = 210,
  sym_interface_declaration = 211,
  sym_base_clause = 212,
  sym_enum_declaration = 213,
  sym_enum_declaration_list = 214,
  sym__enum_member_declaration = 215,
  sym_enum_case = 216,
  sym_class_declaration = 217,
  sym_declaration_list = 218,
  sym_final_modifier = 219,
  sym_abstract_modifier = 220,
  sym_readonly_modifier = 221,
  sym_class_interface_clause = 222,
  sym__member_declaration = 223,
  sym_const_declaration = 224,
  sym__class_const_declaration = 225,
  sym__const_declaration = 226,
  sym_property_declaration = 227,
  sym__modifier = 228,
  sym_property_element = 229,
  sym_property_hook_list = 230,
  sym_property_hook = 231,
  sym__property_hook_body = 232,
  sym_method_declaration = 233,
  sym_static_modifier = 234,
  sym_use_declaration = 235,
  sym_use_list = 236,
  sym_use_instead_of_clause = 237,
  sym_use_as_clause = 238,
  sym_visibility_modifier = 239,
  sym_function_definition = 240,
  sym__function_definition_header = 241,
  sym_anonymous_function = 242,
  sym_anonymous_function_use_clause = 243,
  sym__anonymous_function_header = 244,
  sym__arrow_function_header = 245,
  sym_arrow_function = 246,
  sym_formal_parameters = 247,
  sym_property_promotion_parameter = 248,
  sym_simple_parameter = 249,
  sym_variadic_parameter = 250,
  sym_type = 251,
  sym__types = 252,
  sym_named_type = 253,
  sym_optional_type = 254,
  sym_union_type = 255,
  sym_intersection_type = 256,
  sym_disjunctive_normal_form_type = 257,
  sym_primitive_type = 258,
  sym_cast_type = 259,
  sym__return_type = 260,
  sym_const_element = 261,
  sym_echo_statement = 262,
  sym_exit_statement = 263,
  sym_unset_statement = 264,
  sym_declare_statement = 265,
  sym_declare_directive = 266,
  sym_literal = 267,
  sym_try_statement = 268,
  sym_catch_clause = 269,
  sym_type_list = 270,
  sym_finally_clause = 271,
  sym_goto_statement = 272,
  sym_continue_statement = 273,
  sym_break_statement = 274,
  sym_return_statement = 275,
  sym_throw_expression = 276,
  sym_while_statement = 277,
  sym_do_statement = 278,
  sym_for_statement = 279,
  sym__expressions = 280,
  sym_sequence_expression = 281,
  sym_foreach_statement = 282,
  sym_foreach_pair = 283,
  sym__foreach_value = 284,
  sym_if_statement = 285,
  sym_colon_block = 286,
  sym_else_if_clause = 287,
  sym_else_clause = 288,
  sym_else_if_clause_2 = 289,
  sym_else_clause_2 = 290,
  sym_match_expression = 291,
  sym_match_block = 292,
  sym_match_condition_list = 293,
  sym_match_conditional_expression = 294,
  sym_match_default_expression = 295,
  sym_switch_statement = 296,
  sym_switch_block = 297,
  sym_case_statement = 298,
  sym_default_statement = 299,
  sym_compound_statement = 300,
  sym_named_label_statement = 301,
  sym_expression_statement = 302,
  sym_expression = 303,
  sym__unary_expression = 304,
  sym_unary_op_expression = 305,
  sym_error_suppression_expression = 306,
  sym_clone_expression = 307,
  sym_primary_expression = 308,
  sym_parenthesized_expression = 309,
  sym_class_constant_access_expression = 310,
  sym_print_intrinsic = 311,
  sym_object_creation_expression = 312,
  sym__new_non_dereferencable_expression = 313,
  sym__new_dereferencable_expression = 314,
  sym__class_name_reference = 315,
  sym_anonymous_class = 316,
  sym_update_expression = 317,
  sym_cast_expression = 318,
  sym_cast_variable = 319,
  sym_assignment_expression = 320,
  sym_reference_assignment_expression = 321,
  sym_conditional_expression = 322,
  sym_augmented_assignment_expression = 323,
  sym__variable_member_access_expression = 324,
  sym_member_access_expression = 325,
  sym__variable_nullsafe_member_access_expression = 326,
  sym_nullsafe_member_access_expression = 327,
  sym__variable_scoped_property_access_expression = 328,
  sym_scoped_property_access_expression = 329,
  sym_list_literal = 330,
  sym__list_destructing = 331,
  sym__array_destructing = 332,
  sym__array_destructing_element = 333,
  sym_function_call_expression = 334,
  sym__callable_expression = 335,
  sym_scoped_call_expression = 336,
  sym__scope_resolution_qualifier = 337,
  sym_relative_scope = 338,
  sym_variadic_placeholder = 339,
  sym_arguments = 340,
  sym_argument = 341,
  sym__argument_name = 342,
  sym_member_call_expression = 343,
  sym_nullsafe_member_call_expression = 344,
  sym_variadic_unpacking = 345,
  sym__member_name = 346,
  sym__variable_subscript_expression = 347,
  sym__dereferencable_subscript_expression = 348,
  sym__dereferencable_expression = 349,
  sym__dereferencable_scalar = 350,
  sym_array_creation_expression = 351,
  sym_attribute_group = 352,
  sym_attribute_list = 353,
  sym_attribute = 354,
  sym__complex_string_part = 355,
  sym__simple_string_member_access_expression = 356,
  sym__simple_string_subscript_unary_expression = 357,
  sym__simple_string_array_access_argument = 358,
  sym__simple_string_subscript_expression = 359,
  sym__simple_string_part = 360,
  aux_sym__interpolated_string_body = 361,
  aux_sym__interpolated_string_body_heredoc = 362,
  sym_encapsed_string = 363,
  sym_string = 364,
  sym_string_content = 365,
  sym_heredoc_body = 366,
  sym_heredoc = 367,
  sym_nowdoc_body = 368,
  sym_nowdoc = 369,
  aux_sym__interpolated_execution_operator_body = 370,
  sym_shell_command_expression = 371,
  sym_boolean = 372,
  sym_null = 373,
  sym__string = 374,
  sym_dynamic_variable_name = 375,
  sym__simple_variable = 376,
  sym__new_variable = 377,
  sym__callable_variable = 378,
  sym_variable_name = 379,
  sym_by_ref = 380,
  sym_yield_expression = 381,
  sym_array_element_initializer = 382,
  sym_binary_expression = 383,
  sym_include_expression = 384,
  sym_include_once_expression = 385,
  sym_require_expression = 386,
  sym_require_once_expression = 387,
  sym__reserved_identifier = 388,
  sym__identifier = 389,
  sym__semicolon = 390,
  aux_sym_program_repeat1 = 391,
  aux_sym_text_repeat1 = 392,
  aux_sym_function_static_declaration_repeat1 = 393,
  aux_sym_global_declaration_repeat1 = 394,
  aux_sym_namespace_use_declaration_repeat1 = 395,
  aux_sym_namespace_name_repeat1 = 396,
  aux_sym_base_clause_repeat1 = 397,
  aux_sym_enum_declaration_list_repeat1 = 398,
  aux_sym_class_declaration_repeat1 = 399,
  aux_sym_declaration_list_repeat1 = 400,
  aux_sym__const_declaration_repeat1 = 401,
  aux_sym_property_declaration_repeat1 = 402,
  aux_sym_property_hook_list_repeat1 = 403,
  aux_sym_use_list_repeat1 = 404,
  aux_sym_anonymous_function_use_clause_repeat1 = 405,
  aux_sym_formal_parameters_repeat1 = 406,
  aux_sym_union_type_repeat1 = 407,
  aux_sym_intersection_type_repeat1 = 408,
  aux_sym_disjunctive_normal_form_type_repeat1 = 409,
  aux_sym_unset_statement_repeat1 = 410,
  aux_sym_try_statement_repeat1 = 411,
  aux_sym_type_list_repeat1 = 412,
  aux_sym_if_statement_repeat1 = 413,
  aux_sym_if_statement_repeat2 = 414,
  aux_sym_match_block_repeat1 = 415,
  aux_sym_match_condition_list_repeat1 = 416,
  aux_sym_switch_block_repeat1 = 417,
  aux_sym__list_destructing_repeat1 = 418,
  aux_sym__array_destructing_repeat1 = 419,
  aux_sym_arguments_repeat1 = 420,
  aux_sym_array_creation_expression_repeat1 = 421,
  aux_sym_attribute_group_repeat1 = 422,
  aux_sym_attribute_list_repeat1 = 423,
  aux_sym_string_repeat1 = 424,
  aux_sym_string_content_repeat1 = 425,
  aux_sym_heredoc_body_repeat1 = 426,
  aux_sym_nowdoc_body_repeat1 = 427,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [sym_php_tag] = "php_tag",
  [anon_sym_QMARK_GT] = "\?>",
  [aux_sym_text_token1] = "text_token1",
  [aux_sym_text_token2] = "text_token2",
  [anon_sym_SEMI] = ";",
  [anon_sym_AMP] = "&",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_clause_token1] = "as",
  [aux_sym__namespace_use_type_token1] = "function",
  [aux_sym__namespace_use_type_token2] = "const",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_enum_declaration_token1] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [aux_sym_enum_case_token1] = "case",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_final_modifier_token1] = "final",
  [aux_sym_abstract_modifier_token1] = "abstract",
  [aux_sym_readonly_modifier_token1] = "readonly",
  [aux_sym_class_interface_clause_token1] = "implements",
  [anon_sym_EQ_GT] = "=>",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [aux_sym__arrow_function_header_token1] = "fn",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [sym_bottom_type] = "bottom_type",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [aux_sym_primitive_type_token1] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_void] = "void",
  [anon_sym_mixed] = "mixed",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [aux_sym_cast_type_token1] = "cast_type_token1",
  [aux_sym_cast_type_token2] = "cast_type_token2",
  [aux_sym_cast_type_token3] = "cast_type_token3",
  [aux_sym_cast_type_token4] = "cast_type_token4",
  [aux_sym_cast_type_token5] = "cast_type_token5",
  [aux_sym_cast_type_token6] = "cast_type_token6",
  [aux_sym_cast_type_token7] = "cast_type_token7",
  [aux_sym_cast_type_token8] = "cast_type_token8",
  [aux_sym_cast_type_token9] = "cast_type_token9",
  [aux_sym_cast_type_token10] = "cast_type_token10",
  [aux_sym_cast_type_token11] = "cast_type_token11",
  [aux_sym_cast_type_token12] = "cast_type_token12",
  [aux_sym_echo_statement_token1] = "echo",
  [aux_sym_exit_statement_token1] = "exit",
  [anon_sym_unset] = "unset",
  [aux_sym_declare_statement_token1] = "declare",
  [aux_sym_declare_statement_token2] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_match_expression_token1] = "match",
  [aux_sym_match_default_expression_token1] = "default",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_AT] = "@",
  [aux_sym_clone_expression_token1] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_print_intrinsic_token1] = "print",
  [aux_sym__new_non_dereferencable_expression_token1] = "new",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_QMARK_DASH_GT] = "\?->",
  [aux_sym__list_destructing_token1] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [aux_sym__argument_name_token1] = "_argument_name_token1",
  [aux_sym__argument_name_token2] = "_argument_name_token2",
  [anon_sym_POUND_LBRACK] = "#[",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASHu] = "string_content",
  [aux_sym_encapsed_string_token1] = "encapsed_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "escape_sequence",
  [aux_sym_string_content_token1] = "string_content_token1",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_DQUOTE2] = "\"",
  [sym__new_line] = "_new_line",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_yield_expression_token1] = "yield",
  [aux_sym_yield_expression_token2] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_STAR_STAR] = "**",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_encapsed_string_chars] = "string_content",
  [sym_encapsed_string_chars_after_variable] = "string_content",
  [sym_execution_string_chars] = "string_content",
  [sym_execution_string_chars_after_variable] = "string_content",
  [sym_encapsed_string_chars_heredoc] = "string_content",
  [sym_encapsed_string_chars_after_variable_heredoc] = "string_content",
  [sym__eof] = "_eof",
  [sym_heredoc_start] = "heredoc_start",
  [sym_heredoc_end] = "heredoc_end",
  [sym_nowdoc_string] = "nowdoc_string",
  [sym_sentinel_error] = "sentinel_error",
  [sym_program] = "program",
  [sym_text_interpolation] = "text_interpolation",
  [sym_text] = "text",
  [sym_statement] = "statement",
  [sym_empty_statement] = "empty_statement",
  [sym_reference_modifier] = "reference_modifier",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym__name] = "_name",
  [sym_namespace_name] = "namespace_name",
  [sym__namespace_use_group] = "_namespace_use_group",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_declaration_list] = "enum_declaration_list",
  [sym__enum_member_declaration] = "_enum_member_declaration",
  [sym_enum_case] = "enum_case",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_final_modifier] = "final_modifier",
  [sym_abstract_modifier] = "abstract_modifier",
  [sym_readonly_modifier] = "readonly_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym__class_const_declaration] = "const_declaration",
  [sym__const_declaration] = "_const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_hook_list] = "property_hook_list",
  [sym_property_hook] = "property_hook",
  [sym__property_hook_body] = "_property_hook_body",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym_anonymous_function] = "anonymous_function",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym__anonymous_function_header] = "_anonymous_function_header",
  [sym__arrow_function_header] = "_arrow_function_header",
  [sym_arrow_function] = "arrow_function",
  [sym_formal_parameters] = "formal_parameters",
  [sym_property_promotion_parameter] = "property_promotion_parameter",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_type] = "type",
  [sym__types] = "_types",
  [sym_named_type] = "named_type",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_disjunctive_normal_form_type] = "disjunctive_normal_form_type",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_exit_statement] = "exit_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_literal] = "literal",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym__foreach_value] = "_foreach_value",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_condition_list] = "match_condition_list",
  [sym_match_conditional_expression] = "match_conditional_expression",
  [sym_match_default_expression] = "match_default_expression",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_expression] = "expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_error_suppression_expression] = "error_suppression_expression",
  [sym_clone_expression] = "clone_expression",
  [sym_primary_expression] = "primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym__new_non_dereferencable_expression] = "_new_non_dereferencable_expression",
  [sym__new_dereferencable_expression] = "_new_dereferencable_expression",
  [sym__class_name_reference] = "_class_name_reference",
  [sym_anonymous_class] = "anonymous_class",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_reference_assignment_expression] = "reference_assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__variable_member_access_expression] = "member_access_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym__variable_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym__variable_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym__array_destructing_element] = "_array_destructing_element",
  [sym_function_call_expression] = "function_call_expression",
  [sym__callable_expression] = "_callable_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_variadic_placeholder] = "variadic_placeholder",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym__argument_name] = "_argument_name",
  [sym_member_call_expression] = "member_call_expression",
  [sym_nullsafe_member_call_expression] = "nullsafe_member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym__member_name] = "_member_name",
  [sym__variable_subscript_expression] = "subscript_expression",
  [sym__dereferencable_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym__dereferencable_scalar] = "_dereferencable_scalar",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_attribute_group] = "attribute_group",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym__complex_string_part] = "_complex_string_part",
  [sym__simple_string_member_access_expression] = "member_access_expression",
  [sym__simple_string_subscript_unary_expression] = "unary_op_expression",
  [sym__simple_string_array_access_argument] = "_simple_string_array_access_argument",
  [sym__simple_string_subscript_expression] = "subscript_expression",
  [sym__simple_string_part] = "_simple_string_part",
  [aux_sym__interpolated_string_body] = "_interpolated_string_body",
  [aux_sym__interpolated_string_body_heredoc] = "_interpolated_string_body_heredoc",
  [sym_encapsed_string] = "encapsed_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_heredoc_body] = "heredoc_body",
  [sym_heredoc] = "heredoc",
  [sym_nowdoc_body] = "nowdoc_body",
  [sym_nowdoc] = "nowdoc",
  [aux_sym__interpolated_execution_operator_body] = "_interpolated_execution_operator_body",
  [sym_shell_command_expression] = "shell_command_expression",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym__simple_variable] = "_simple_variable",
  [sym__new_variable] = "_new_variable",
  [sym__callable_variable] = "_callable_variable",
  [sym_variable_name] = "variable_name",
  [sym_by_ref] = "by_ref",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [sym__identifier] = "_identifier",
  [sym__semicolon] = "_semicolon",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_text_repeat1] = "text_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_enum_declaration_list_repeat1] = "enum_declaration_list_repeat1",
  [aux_sym_class_declaration_repeat1] = "class_declaration_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym__const_declaration_repeat1] = "_const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_property_hook_list_repeat1] = "property_hook_list_repeat1",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_intersection_type_repeat1] = "intersection_type_repeat1",
  [aux_sym_disjunctive_normal_form_type_repeat1] = "disjunctive_normal_form_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_condition_list_repeat1] = "match_condition_list_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_attribute_group_repeat1] = "attribute_group_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_nowdoc_body_repeat1] = "nowdoc_body_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [sym_php_tag] = sym_php_tag,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [aux_sym_text_token2] = aux_sym_text_token2,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym_function_static_declaration_token1] = aux_sym_function_static_declaration_token1,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_clause_token1] = aux_sym_namespace_use_clause_token1,
  [aux_sym__namespace_use_type_token1] = aux_sym__namespace_use_type_token1,
  [aux_sym__namespace_use_type_token2] = aux_sym__namespace_use_type_token2,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_enum_declaration_token1] = aux_sym_enum_declaration_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [aux_sym_enum_case_token1] = aux_sym_enum_case_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_final_modifier_token1] = aux_sym_final_modifier_token1,
  [aux_sym_abstract_modifier_token1] = aux_sym_abstract_modifier_token1,
  [aux_sym_readonly_modifier_token1] = aux_sym_readonly_modifier_token1,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym__arrow_function_header_token1] = aux_sym__arrow_function_header_token1,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_bottom_type] = sym_bottom_type,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_mixed] = anon_sym_mixed,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [aux_sym_cast_type_token1] = aux_sym_cast_type_token1,
  [aux_sym_cast_type_token2] = aux_sym_cast_type_token2,
  [aux_sym_cast_type_token3] = aux_sym_cast_type_token3,
  [aux_sym_cast_type_token4] = aux_sym_cast_type_token4,
  [aux_sym_cast_type_token5] = aux_sym_cast_type_token5,
  [aux_sym_cast_type_token6] = aux_sym_cast_type_token6,
  [aux_sym_cast_type_token7] = aux_sym_cast_type_token7,
  [aux_sym_cast_type_token8] = aux_sym_cast_type_token8,
  [aux_sym_cast_type_token9] = aux_sym_cast_type_token9,
  [aux_sym_cast_type_token10] = aux_sym_cast_type_token10,
  [aux_sym_cast_type_token11] = aux_sym_cast_type_token11,
  [aux_sym_cast_type_token12] = aux_sym_cast_type_token12,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [aux_sym_exit_statement_token1] = aux_sym_exit_statement_token1,
  [anon_sym_unset] = anon_sym_unset,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [aux_sym_declare_statement_token2] = aux_sym_declare_statement_token2,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_match_expression_token1] = aux_sym_match_expression_token1,
  [aux_sym_match_default_expression_token1] = aux_sym_match_default_expression_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_AT] = anon_sym_AT,
  [aux_sym_clone_expression_token1] = aux_sym_clone_expression_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_print_intrinsic_token1] = aux_sym_print_intrinsic_token1,
  [aux_sym__new_non_dereferencable_expression_token1] = aux_sym__new_non_dereferencable_expression_token1,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_QMARK_DASH_GT] = anon_sym_QMARK_DASH_GT,
  [aux_sym__list_destructing_token1] = aux_sym__list_destructing_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [aux_sym__argument_name_token1] = aux_sym__argument_name_token1,
  [aux_sym__argument_name_token2] = aux_sym__argument_name_token2,
  [anon_sym_POUND_LBRACK] = anon_sym_POUND_LBRACK,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASHu] = sym_string_content,
  [aux_sym_encapsed_string_token1] = aux_sym_encapsed_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = sym_escape_sequence,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__new_line] = sym__new_line,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_yield_expression_token1] = aux_sym_yield_expression_token1,
  [aux_sym_yield_expression_token2] = aux_sym_yield_expression_token2,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_encapsed_string_chars] = sym_string_content,
  [sym_encapsed_string_chars_after_variable] = sym_string_content,
  [sym_execution_string_chars] = sym_string_content,
  [sym_execution_string_chars_after_variable] = sym_string_content,
  [sym_encapsed_string_chars_heredoc] = sym_string_content,
  [sym_encapsed_string_chars_after_variable_heredoc] = sym_string_content,
  [sym__eof] = sym__eof,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_nowdoc_string] = sym_nowdoc_string,
  [sym_sentinel_error] = sym_sentinel_error,
  [sym_program] = sym_program,
  [sym_text_interpolation] = sym_text_interpolation,
  [sym_text] = sym_text,
  [sym_statement] = sym_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_reference_modifier] = sym_reference_modifier,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym__name] = sym__name,
  [sym_namespace_name] = sym_namespace_name,
  [sym__namespace_use_group] = sym__namespace_use_group,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_declaration_list] = sym_enum_declaration_list,
  [sym__enum_member_declaration] = sym__enum_member_declaration,
  [sym_enum_case] = sym_enum_case,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_final_modifier] = sym_final_modifier,
  [sym_abstract_modifier] = sym_abstract_modifier,
  [sym_readonly_modifier] = sym_readonly_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym__class_const_declaration] = sym_const_declaration,
  [sym__const_declaration] = sym__const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_hook_list] = sym_property_hook_list,
  [sym_property_hook] = sym_property_hook,
  [sym__property_hook_body] = sym__property_hook_body,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym_anonymous_function] = sym_anonymous_function,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym__anonymous_function_header] = sym__anonymous_function_header,
  [sym__arrow_function_header] = sym__arrow_function_header,
  [sym_arrow_function] = sym_arrow_function,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_property_promotion_parameter] = sym_property_promotion_parameter,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_type] = sym_type,
  [sym__types] = sym__types,
  [sym_named_type] = sym_named_type,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_disjunctive_normal_form_type] = sym_disjunctive_normal_form_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_exit_statement] = sym_exit_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_literal] = sym_literal,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym__foreach_value] = sym__foreach_value,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_condition_list] = sym_match_condition_list,
  [sym_match_conditional_expression] = sym_match_conditional_expression,
  [sym_match_default_expression] = sym_match_default_expression,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_expression] = sym_expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_error_suppression_expression] = sym_error_suppression_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym__new_non_dereferencable_expression] = sym__new_non_dereferencable_expression,
  [sym__new_dereferencable_expression] = sym__new_dereferencable_expression,
  [sym__class_name_reference] = sym__class_name_reference,
  [sym_anonymous_class] = sym_anonymous_class,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_reference_assignment_expression] = sym_reference_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__variable_member_access_expression] = sym_member_access_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym__variable_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym__variable_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym__array_destructing_element] = sym__array_destructing_element,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym__callable_expression] = sym__callable_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_variadic_placeholder] = sym_variadic_placeholder,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym__argument_name] = sym__argument_name,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_nullsafe_member_call_expression] = sym_nullsafe_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym__member_name] = sym__member_name,
  [sym__variable_subscript_expression] = sym__variable_subscript_expression,
  [sym__dereferencable_subscript_expression] = sym__variable_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym__dereferencable_scalar] = sym__dereferencable_scalar,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_attribute_group] = sym_attribute_group,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym__complex_string_part] = sym__complex_string_part,
  [sym__simple_string_member_access_expression] = sym_member_access_expression,
  [sym__simple_string_subscript_unary_expression] = sym_unary_op_expression,
  [sym__simple_string_array_access_argument] = sym__simple_string_array_access_argument,
  [sym__simple_string_subscript_expression] = sym__variable_subscript_expression,
  [sym__simple_string_part] = sym__simple_string_part,
  [aux_sym__interpolated_string_body] = aux_sym__interpolated_string_body,
  [aux_sym__interpolated_string_body_heredoc] = aux_sym__interpolated_string_body_heredoc,
  [sym_encapsed_string] = sym_encapsed_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_heredoc] = sym_heredoc,
  [sym_nowdoc_body] = sym_nowdoc_body,
  [sym_nowdoc] = sym_nowdoc,
  [aux_sym__interpolated_execution_operator_body] = aux_sym__interpolated_execution_operator_body,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym__simple_variable] = sym__simple_variable,
  [sym__new_variable] = sym__new_variable,
  [sym__callable_variable] = sym__callable_variable,
  [sym_variable_name] = sym_variable_name,
  [sym_by_ref] = sym_by_ref,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [sym__identifier] = sym__identifier,
  [sym__semicolon] = sym__semicolon,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_text_repeat1] = aux_sym_text_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_enum_declaration_list_repeat1] = aux_sym_enum_declaration_list_repeat1,
  [aux_sym_class_declaration_repeat1] = aux_sym_class_declaration_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym__const_declaration_repeat1] = aux_sym__const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_property_hook_list_repeat1] = aux_sym_property_hook_list_repeat1,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_intersection_type_repeat1] = aux_sym_intersection_type_repeat1,
  [aux_sym_disjunctive_normal_form_type_repeat1] = aux_sym_disjunctive_normal_form_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_condition_list_repeat1] = aux_sym_match_condition_list_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_attribute_group_repeat1] = aux_sym_attribute_group_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_nowdoc_body_repeat1] = aux_sym_nowdoc_body_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__namespace_use_type_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__namespace_use_type_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_final_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_readonly_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__arrow_function_header_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_bottom_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cast_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token10] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token11] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token12] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_exit_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_default_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_print_intrinsic_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__new_non_dereferencable_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__list_destructing_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__argument_name_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_name_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_encapsed_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__new_line] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_encapsed_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_string] = {
    .visible = true,
    .named = true,
  },
  [sym_sentinel_error] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_text_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym__name] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_use_group] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_final_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__class_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__const_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_hook_list] = {
    .visible = true,
    .named = true,
  },
  [sym_property_hook] = {
    .visible = true,
    .named = true,
  },
  [sym__property_hook_body] = {
    .visible = false,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym_anonymous_function] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__anonymous_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_property_promotion_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunctive_normal_form_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exit_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__foreach_value] = {
    .visible = false,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_condition_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_error_suppression_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__new_non_dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__new_dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__class_name_reference] = {
    .visible = false,
    .named = true,
  },
  [sym_anonymous_class] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__callable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_name] = {
    .visible = false,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym__member_name] = {
    .visible = false,
    .named = true,
  },
  [sym__variable_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__dereferencable_scalar] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_group] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__complex_string_part] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_subscript_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_array_access_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_part] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_body] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_string_body_heredoc] = {
    .visible = false,
    .named = false,
  },
  [sym_encapsed_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_execution_operator_body] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_variable] = {
    .visible = false,
    .named = true,
  },
  [sym__new_variable] = {
    .visible = false,
    .named = true,
  },
  [sym__callable_variable] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_by_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_hook_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intersection_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_disjunctive_normal_form_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_condition_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_nowdoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attributes = 5,
  field_body = 6,
  field_condition = 7,
  field_conditional_expressions = 8,
  field_default_value = 9,
  field_end_tag = 10,
  field_final = 11,
  field_function = 12,
  field_identifier = 13,
  field_initialize = 14,
  field_left = 15,
  field_name = 16,
  field_object = 17,
  field_operator = 18,
  field_parameters = 19,
  field_prefix = 20,
  field_readonly = 21,
  field_reference_modifier = 22,
  field_return_expression = 23,
  field_return_type = 24,
  field_right = 25,
  field_scope = 26,
  field_static_modifier = 27,
  field_type = 28,
  field_update = 29,
  field_value = 30,
  field_visibility = 31,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_conditional_expressions] = "conditional_expressions",
  [field_default_value] = "default_value",
  [field_end_tag] = "end_tag",
  [field_final] = "final",
  [field_function] = "function",
  [field_identifier] = "identifier",
  [field_initialize] = "initialize",
  [field_left] = "left",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_prefix] = "prefix",
  [field_readonly] = "readonly",
  [field_reference_modifier] = "reference_modifier",
  [field_return_expression] = "return_expression",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_static_modifier] = "static_modifier",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 2},
  [4] = {.index = 3, .length = 2},
  [5] = {.index = 5, .length = 1},
  [6] = {.index = 6, .length = 1},
  [7] = {.index = 7, .length = 1},
  [8] = {.index = 8, .length = 1},
  [9] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 4},
  [13] = {.index = 17, .length = 6},
  [14] = {.index = 23, .length = 2},
  [15] = {.index = 25, .length = 2},
  [16] = {.index = 27, .length = 1},
  [17] = {.index = 28, .length = 1},
  [18] = {.index = 29, .length = 2},
  [19] = {.index = 31, .length = 2},
  [20] = {.index = 33, .length = 2},
  [21] = {.index = 35, .length = 2},
  [23] = {.index = 37, .length = 2},
  [24] = {.index = 39, .length = 2},
  [25] = {.index = 41, .length = 2},
  [26] = {.index = 43, .length = 2},
  [27] = {.index = 45, .length = 2},
  [28] = {.index = 47, .length = 6},
  [29] = {.index = 53, .length = 3},
  [30] = {.index = 56, .length = 2},
  [31] = {.index = 58, .length = 2},
  [32] = {.index = 60, .length = 2},
  [33] = {.index = 62, .length = 5},
  [34] = {.index = 67, .length = 2},
  [35] = {.index = 69, .length = 1},
  [36] = {.index = 70, .length = 1},
  [37] = {.index = 71, .length = 2},
  [38] = {.index = 73, .length = 2},
  [39] = {.index = 75, .length = 2},
  [40] = {.index = 77, .length = 2},
  [41] = {.index = 79, .length = 3},
  [42] = {.index = 82, .length = 2},
  [43] = {.index = 84, .length = 1},
  [44] = {.index = 85, .length = 2},
  [45] = {.index = 87, .length = 3},
  [46] = {.index = 90, .length = 1},
  [47] = {.index = 91, .length = 2},
  [48] = {.index = 93, .length = 2},
  [49] = {.index = 95, .length = 2},
  [50] = {.index = 97, .length = 1},
  [51] = {.index = 98, .length = 3},
  [52] = {.index = 101, .length = 3},
  [53] = {.index = 104, .length = 2},
  [56] = {.index = 106, .length = 2},
  [57] = {.index = 108, .length = 2},
  [58] = {.index = 110, .length = 3},
  [59] = {.index = 113, .length = 2},
  [60] = {.index = 5, .length = 1},
  [61] = {.index = 115, .length = 1},
  [62] = {.index = 116, .length = 1},
  [63] = {.index = 117, .length = 3},
  [64] = {.index = 120, .length = 3},
  [65] = {.index = 123, .length = 2},
  [66] = {.index = 125, .length = 2},
  [67] = {.index = 127, .length = 3},
  [68] = {.index = 130, .length = 3},
  [69] = {.index = 133, .length = 3},
  [70] = {.index = 136, .length = 3},
  [71] = {.index = 139, .length = 3},
  [72] = {.index = 142, .length = 3},
  [73] = {.index = 145, .length = 2},
  [74] = {.index = 147, .length = 2},
  [75] = {.index = 149, .length = 2},
  [76] = {.index = 151, .length = 2},
  [77] = {.index = 153, .length = 3},
  [78] = {.index = 156, .length = 3},
  [79] = {.index = 159, .length = 2},
  [80] = {.index = 161, .length = 3},
  [81] = {.index = 164, .length = 2},
  [82] = {.index = 166, .length = 3},
  [83] = {.index = 169, .length = 3},
  [84] = {.index = 172, .length = 3},
  [85] = {.index = 175, .length = 2},
  [86] = {.index = 177, .length = 3},
  [87] = {.index = 180, .length = 3},
  [88] = {.index = 183, .length = 1},
  [89] = {.index = 184, .length = 3},
  [90] = {.index = 187, .length = 2},
  [91] = {.index = 189, .length = 2},
  [92] = {.index = 189, .length = 2},
  [93] = {.index = 191, .length = 2},
  [94] = {.index = 193, .length = 4},
  [95] = {.index = 197, .length = 2},
  [96] = {.index = 199, .length = 1},
  [97] = {.index = 200, .length = 2},
  [98] = {.index = 202, .length = 3},
  [99] = {.index = 205, .length = 3},
  [100] = {.index = 208, .length = 2},
  [101] = {.index = 210, .length = 3},
  [102] = {.index = 213, .length = 2},
  [103] = {.index = 215, .length = 4},
  [104] = {.index = 219, .length = 3},
  [105] = {.index = 222, .length = 3},
  [107] = {.index = 225, .length = 4},
  [108] = {.index = 229, .length = 3},
  [109] = {.index = 232, .length = 3},
  [110] = {.index = 235, .length = 4},
  [111] = {.index = 239, .length = 4},
  [112] = {.index = 243, .length = 3},
  [113] = {.index = 246, .length = 1},
  [114] = {.index = 247, .length = 2},
  [115] = {.index = 249, .length = 3},
  [116] = {.index = 252, .length = 4},
  [117] = {.index = 256, .length = 3},
  [118] = {.index = 259, .length = 3},
  [119] = {.index = 262, .length = 3},
  [120] = {.index = 265, .length = 3},
  [121] = {.index = 268, .length = 4},
  [122] = {.index = 272, .length = 4},
  [123] = {.index = 276, .length = 3},
  [124] = {.index = 279, .length = 4},
  [125] = {.index = 283, .length = 3},
  [126] = {.index = 286, .length = 2},
  [127] = {.index = 288, .length = 4},
  [128] = {.index = 292, .length = 4},
  [129] = {.index = 296, .length = 3},
  [130] = {.index = 299, .length = 2},
  [131] = {.index = 301, .length = 1},
  [132] = {.index = 302, .length = 1},
  [133] = {.index = 303, .length = 2},
  [134] = {.index = 305, .length = 1},
  [135] = {.index = 306, .length = 1},
  [136] = {.index = 307, .length = 2},
  [139] = {.index = 309, .length = 3},
  [140] = {.index = 312, .length = 3},
  [141] = {.index = 315, .length = 3},
  [142] = {.index = 318, .length = 4},
  [143] = {.index = 322, .length = 4},
  [144] = {.index = 326, .length = 3},
  [145] = {.index = 326, .length = 3},
  [146] = {.index = 329, .length = 5},
  [147] = {.index = 334, .length = 4},
  [148] = {.index = 338, .length = 3},
  [149] = {.index = 341, .length = 2},
  [150] = {.index = 343, .length = 4},
  [151] = {.index = 347, .length = 4},
  [152] = {.index = 351, .length = 1},
  [153] = {.index = 352, .length = 1},
  [154] = {.index = 353, .length = 4},
  [155] = {.index = 357, .length = 4},
  [156] = {.index = 361, .length = 5},
  [157] = {.index = 366, .length = 4},
  [158] = {.index = 370, .length = 4},
  [159] = {.index = 374, .length = 4},
  [160] = {.index = 378, .length = 1},
  [161] = {.index = 379, .length = 5},
  [162] = {.index = 384, .length = 4},
  [163] = {.index = 388, .length = 2},
  [164] = {.index = 390, .length = 2},
  [165] = {.index = 392, .length = 1},
  [166] = {.index = 393, .length = 2},
  [167] = {.index = 395, .length = 1},
  [168] = {.index = 396, .length = 2},
  [169] = {.index = 398, .length = 1},
  [170] = {.index = 399, .length = 1},
  [171] = {.index = 400, .length = 2},
  [172] = {.index = 402, .length = 3},
  [173] = {.index = 405, .length = 3},
  [174] = {.index = 408, .length = 5},
  [175] = {.index = 413, .length = 3},
  [176] = {.index = 416, .length = 5},
  [177] = {.index = 421, .length = 2},
  [178] = {.index = 423, .length = 2},
  [179] = {.index = 425, .length = 2},
  [180] = {.index = 427, .length = 2},
  [181] = {.index = 429, .length = 5},
  [182] = {.index = 434, .length = 5},
  [183] = {.index = 439, .length = 5},
  [184] = {.index = 444, .length = 2},
  [185] = {.index = 446, .length = 2},
  [186] = {.index = 448, .length = 3},
  [187] = {.index = 451, .length = 3},
  [188] = {.index = 454, .length = 2},
  [189] = {.index = 456, .length = 3},
  [190] = {.index = 459, .length = 2},
  [191] = {.index = 461, .length = 3},
  [192] = {.index = 464, .length = 2},
  [193] = {.index = 466, .length = 2},
  [194] = {.index = 468, .length = 3},
  [195] = {.index = 471, .length = 3},
  [196] = {.index = 474, .length = 3},
  [197] = {.index = 477, .length = 3},
  [198] = {.index = 480, .length = 3},
  [199] = {.index = 483, .length = 3},
  [200] = {.index = 486, .length = 6},
  [201] = {.index = 492, .length = 3},
  [202] = {.index = 495, .length = 4},
  [203] = {.index = 499, .length = 3},
  [204] = {.index = 502, .length = 4},
  [205] = {.index = 506, .length = 4},
  [206] = {.index = 510, .length = 4},
  [207] = {.index = 514, .length = 4},
  [208] = {.index = 518, .length = 2},
  [209] = {.index = 520, .length = 2},
  [210] = {.index = 522, .length = 2},
  [211] = {.index = 524, .length = 5},
  [212] = {.index = 529, .length = 3},
  [213] = {.index = 532, .length = 3},
  [214] = {.index = 535, .length = 3},
  [215] = {.index = 538, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0, .inherited = true},
  [1] =
    {field_name, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [3] =
    {field_name, 0, .inherited = true},
    {field_scope, 0, .inherited = true},
  [5] =
    {field_name, 0},
  [6] =
    {field_body, 1},
  [7] =
    {field_parameters, 1},
  [8] =
    {field_prefix, 0},
  [9] =
    {field_argument, 1},
    {field_operator, 0},
  [11] =
    {field_arguments, 1},
    {field_function, 0},
  [13] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [17] =
    {field_attributes, 0, .inherited = true},
    {field_body, 1},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_static_modifier, 0, .inherited = true},
  [23] =
    {field_argument, 0},
    {field_operator, 1},
  [25] =
    {field_body, 2},
    {field_name, 1},
  [27] =
    {field_name, 1},
  [28] =
    {field_type, 0},
  [29] =
    {field_body, 1, .inherited = true},
    {field_type, 1, .inherited = true},
  [31] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [33] =
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [35] =
    {field_name, 1},
    {field_parameters, 2},
  [37] =
    {field_body, 2},
    {field_condition, 1},
  [39] =
    {field_end_tag, 2},
    {field_identifier, 1},
  [41] =
    {field_name, 2},
    {field_scope, 0},
  [43] =
    {field_prefix, 0},
    {field_prefix, 1},
  [45] =
    {field_parameters, 2},
    {field_static_modifier, 0},
  [47] =
    {field_attributes, 0, .inherited = true},
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_static_modifier, 0, .inherited = true},
  [53] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [56] =
    {field_left, 0},
    {field_right, 2},
  [58] =
    {field_name, 2, .inherited = true},
    {field_object, 0},
  [60] =
    {field_attributes, 0},
    {field_parameters, 2},
  [62] =
    {field_attributes, 0},
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [67] =
    {field_name, 0},
    {field_value, 2},
  [69] =
    {field_alias, 2},
  [70] =
    {field_body, 2},
  [71] =
    {field_name, 1},
    {field_reference_modifier, 0},
  [73] =
    {field_name, 1},
    {field_visibility, 0},
  [75] =
    {field_name, 1},
    {field_type, 0},
  [77] =
    {field_attributes, 0},
    {field_name, 1},
  [79] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [82] =
    {field_name, 2},
    {field_parameters, 3},
  [84] =
    {field_return_type, 1},
  [85] =
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [87] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [90] =
    {field_type, 1},
  [91] =
    {field_attributes, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [93] =
    {field_body, 3},
    {field_name, 1},
  [95] =
    {field_type, 1},
    {field_value, 3},
  [97] =
    {field_alternative, 0},
  [98] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [101] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [104] =
    {field_attributes, 0},
    {field_body, 2},
  [106] =
    {field_name, 2},
    {field_object, 0},
  [108] =
    {field_end_tag, 3},
    {field_identifier, 1},
  [110] =
    {field_end_tag, 3},
    {field_identifier, 1},
    {field_value, 2},
  [113] =
    {field_end_tag, 3},
    {field_identifier, 2},
  [115] =
    {field_reference_modifier, 0},
  [116] =
    {field_name, 0, .inherited = true},
  [117] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [120] =
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
    {field_static_modifier, 0},
  [123] =
    {field_alternative, 3},
    {field_condition, 0},
  [125] =
    {field_left, 0},
    {field_right, 3},
  [127] =
    {field_arguments, 3},
    {field_name, 2, .inherited = true},
    {field_scope, 0},
  [130] =
    {field_arguments, 3},
    {field_name, 2, .inherited = true},
    {field_object, 0},
  [133] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [136] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [139] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2},
  [142] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [145] =
    {field_body, 3},
    {field_name, 2},
  [147] =
    {field_alias, 3},
    {field_type, 0},
  [149] =
    {field_body, 3},
    {field_type, 0},
  [151] =
    {field_name, 2},
    {field_reference_modifier, 0},
  [153] =
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [156] =
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [159] =
    {field_name, 2},
    {field_type, 0},
  [161] =
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [164] =
    {field_attributes, 0},
    {field_name, 2},
  [166] =
    {field_attributes, 0},
    {field_name, 2},
    {field_reference_modifier, 1},
  [169] =
    {field_attributes, 0},
    {field_name, 2},
    {field_visibility, 1},
  [172] =
    {field_attributes, 0},
    {field_name, 2},
    {field_type, 1},
  [175] =
    {field_default_value, 2},
    {field_name, 0},
  [177] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [180] =
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [183] =
    {field_type, 1, .inherited = true},
  [184] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [187] =
    {field_attributes, 0},
    {field_type, 1, .inherited = true},
  [189] =
    {field_body, 4},
    {field_name, 1},
  [191] =
    {field_body, 1},
    {field_condition, 3},
  [193] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [197] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [199] =
    {field_body, 3},
  [200] =
    {field_attributes, 0},
    {field_body, 3},
  [202] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 3},
  [205] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 2},
  [208] =
    {field_end_tag, 4},
    {field_identifier, 2},
  [210] =
    {field_end_tag, 4},
    {field_identifier, 2},
    {field_value, 3},
  [213] =
    {field_name, 0, .inherited = true},
    {field_reference_modifier, 1},
  [215] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [219] =
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [222] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [225] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [229] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [232] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
  [235] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [239] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 1},
  [243] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 3},
  [246] =
    {field_type, 2},
  [247] =
    {field_body, 4},
    {field_name, 2},
  [249] =
    {field_default_value, 3},
    {field_name, 1},
    {field_reference_modifier, 0},
  [252] =
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [256] =
    {field_default_value, 3},
    {field_name, 1},
    {field_visibility, 0},
  [259] =
    {field_name, 3},
    {field_reference_modifier, 1},
    {field_type, 0},
  [262] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [265] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 1},
  [268] =
    {field_attributes, 0},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [272] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [276] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 1},
  [279] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [283] =
    {field_attributes, 0},
    {field_default_value, 3},
    {field_name, 1},
  [286] =
    {field_attributes, 0},
    {field_type, 2, .inherited = true},
  [288] =
    {field_attributes, 0},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [292] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [296] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [299] =
    {field_body, 5},
    {field_name, 1},
  [301] =
    {field_body, 5},
  [302] =
    {field_return_expression, 2},
  [303] =
    {field_conditional_expressions, 0},
    {field_return_expression, 2},
  [305] =
    {field_value, 1},
  [306] =
    {field_body, 4},
  [307] =
    {field_attributes, 0},
    {field_body, 4},
  [309] =
    {field_end_tag, 5},
    {field_identifier, 1},
    {field_value, 3},
  [312] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 4},
  [315] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 3},
  [318] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 0},
  [322] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [326] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
  [329] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [334] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [338] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 3},
  [341] =
    {field_body, 5},
    {field_name, 2},
  [343] =
    {field_default_value, 4},
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [347] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [351] =
    {field_body, 1, .inherited = true},
  [352] =
    {field_body, 0},
  [353] =
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [357] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
  [361] =
    {field_attributes, 0},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [366] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_visibility, 1},
  [370] =
    {field_attributes, 0},
    {field_name, 4},
    {field_reference_modifier, 2},
    {field_type, 1},
  [374] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
  [378] =
    {field_attributes, 0},
  [379] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [384] =
    {field_attributes, 0},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [388] =
    {field_body, 4},
    {field_type, 2},
  [390] =
    {field_body, 6},
    {field_update, 4},
  [392] =
    {field_update, 4},
  [393] =
    {field_body, 6},
    {field_condition, 3},
  [395] =
    {field_condition, 3},
  [396] =
    {field_body, 6},
    {field_initialize, 2},
  [398] =
    {field_initialize, 2},
  [399] =
    {field_body, 6},
  [400] =
    {field_attributes, 0},
    {field_body, 5},
  [402] =
    {field_end_tag, 6},
    {field_identifier, 2},
    {field_value, 4},
  [405] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
  [408] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 6, .inherited = true},
    {field_static_modifier, 1},
  [413] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 3},
  [416] =
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [421] =
    {field_body, 2, .inherited = true},
    {field_parameters, 1},
  [423] =
    {field_body, 2, .inherited = true},
    {field_reference_modifier, 0},
  [425] =
    {field_body, 2, .inherited = true},
    {field_final, 0},
  [427] =
    {field_attributes, 0},
    {field_body, 2, .inherited = true},
  [429] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [434] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [439] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [444] =
    {field_attributes, 0},
    {field_type, 2},
  [446] =
    {field_name, 1},
    {field_value, 3},
  [448] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [451] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [454] =
    {field_condition, 3},
    {field_update, 5},
  [456] =
    {field_body, 7},
    {field_initialize, 2},
    {field_update, 5},
  [459] =
    {field_initialize, 2},
    {field_update, 5},
  [461] =
    {field_body, 7},
    {field_condition, 4},
    {field_initialize, 2},
  [464] =
    {field_condition, 4},
    {field_initialize, 2},
  [466] =
    {field_attributes, 0},
    {field_body, 6},
  [468] =
    {field_body, 3, .inherited = true},
    {field_parameters, 2},
    {field_reference_modifier, 0},
  [471] =
    {field_body, 3, .inherited = true},
    {field_final, 0},
    {field_parameters, 2},
  [474] =
    {field_body, 3, .inherited = true},
    {field_final, 0},
    {field_reference_modifier, 1},
  [477] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_parameters, 2},
  [480] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_reference_modifier, 1},
  [483] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_final, 1},
  [486] =
    {field_attributes, 0},
    {field_default_value, 6},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [492] =
    {field_attributes, 0},
    {field_name, 2},
    {field_value, 4},
  [495] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [499] =
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [502] =
    {field_body, 4, .inherited = true},
    {field_final, 0},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [506] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [510] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_final, 1},
    {field_parameters, 3},
  [514] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_final, 1},
    {field_reference_modifier, 2},
  [518] =
    {field_body, 7},
    {field_update, 4},
  [520] =
    {field_body, 7},
    {field_condition, 3},
  [522] =
    {field_body, 7},
    {field_initialize, 2},
  [524] =
    {field_attributes, 0},
    {field_body, 5, .inherited = true},
    {field_final, 1},
    {field_parameters, 4},
    {field_reference_modifier, 2},
  [529] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
  [532] =
    {field_body, 8},
    {field_initialize, 2},
    {field_update, 5},
  [535] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
  [538] =
    {field_body, 9},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym_object_creation_expression,
  },
  [10] = {
    [0] = sym_list_literal,
  },
  [22] = {
    [0] = anon_sym_array,
  },
  [54] = {
    [1] = sym_list_literal,
  },
  [55] = {
    [2] = sym_list_literal,
  },
  [60] = {
    [0] = sym_name,
  },
  [91] = {
    [3] = sym_primitive_type,
  },
  [106] = {
    [3] = sym_name,
  },
  [130] = {
    [3] = sym_primitive_type,
  },
  [137] = {
    [3] = sym_list_literal,
  },
  [138] = {
    [4] = sym_list_literal,
  },
  [144] = {
    [4] = sym_primitive_type,
  },
  [173] = {
    [4] = sym_primitive_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_expression, 2,
    sym_expression,
    sym_name,
  sym__new_dereferencable_expression, 2,
    sym__new_dereferencable_expression,
    sym_object_creation_expression,
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 2,
  [9] = 9,
  [10] = 10,
  [11] = 10,
  [12] = 7,
  [13] = 10,
  [14] = 10,
  [15] = 9,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 16,
  [22] = 22,
  [23] = 18,
  [24] = 24,
  [25] = 25,
  [26] = 17,
  [27] = 17,
  [28] = 22,
  [29] = 25,
  [30] = 24,
  [31] = 19,
  [32] = 18,
  [33] = 33,
  [34] = 33,
  [35] = 16,
  [36] = 22,
  [37] = 17,
  [38] = 22,
  [39] = 25,
  [40] = 33,
  [41] = 19,
  [42] = 20,
  [43] = 24,
  [44] = 24,
  [45] = 33,
  [46] = 18,
  [47] = 19,
  [48] = 20,
  [49] = 16,
  [50] = 20,
  [51] = 25,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 60,
  [68] = 68,
  [69] = 55,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 53,
  [77] = 77,
  [78] = 60,
  [79] = 73,
  [80] = 72,
  [81] = 81,
  [82] = 77,
  [83] = 66,
  [84] = 52,
  [85] = 59,
  [86] = 65,
  [87] = 52,
  [88] = 64,
  [89] = 58,
  [90] = 56,
  [91] = 63,
  [92] = 61,
  [93] = 61,
  [94] = 74,
  [95] = 59,
  [96] = 62,
  [97] = 81,
  [98] = 60,
  [99] = 99,
  [100] = 60,
  [101] = 59,
  [102] = 61,
  [103] = 52,
  [104] = 75,
  [105] = 61,
  [106] = 70,
  [107] = 71,
  [108] = 68,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 110,
  [113] = 110,
  [114] = 110,
  [115] = 111,
  [116] = 116,
  [117] = 116,
  [118] = 118,
  [119] = 118,
  [120] = 118,
  [121] = 118,
  [122] = 122,
  [123] = 123,
  [124] = 123,
  [125] = 122,
  [126] = 122,
  [127] = 122,
  [128] = 122,
  [129] = 123,
  [130] = 123,
  [131] = 122,
  [132] = 123,
  [133] = 133,
  [134] = 133,
  [135] = 135,
  [136] = 135,
  [137] = 133,
  [138] = 135,
  [139] = 135,
  [140] = 133,
  [141] = 135,
  [142] = 135,
  [143] = 133,
  [144] = 144,
  [145] = 145,
  [146] = 144,
  [147] = 145,
  [148] = 144,
  [149] = 145,
  [150] = 144,
  [151] = 145,
  [152] = 144,
  [153] = 145,
  [154] = 144,
  [155] = 145,
  [156] = 156,
  [157] = 157,
  [158] = 156,
  [159] = 159,
  [160] = 159,
  [161] = 161,
  [162] = 162,
  [163] = 161,
  [164] = 164,
  [165] = 165,
  [166] = 164,
  [167] = 167,
  [168] = 167,
  [169] = 162,
  [170] = 165,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 174,
  [176] = 176,
  [177] = 172,
  [178] = 178,
  [179] = 173,
  [180] = 178,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 183,
  [185] = 183,
  [186] = 183,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 190,
  [192] = 192,
  [193] = 189,
  [194] = 194,
  [195] = 195,
  [196] = 194,
  [197] = 192,
  [198] = 198,
  [199] = 189,
  [200] = 200,
  [201] = 188,
  [202] = 200,
  [203] = 203,
  [204] = 204,
  [205] = 194,
  [206] = 203,
  [207] = 203,
  [208] = 192,
  [209] = 209,
  [210] = 195,
  [211] = 198,
  [212] = 189,
  [213] = 195,
  [214] = 200,
  [215] = 195,
  [216] = 188,
  [217] = 194,
  [218] = 203,
  [219] = 200,
  [220] = 192,
  [221] = 188,
  [222] = 204,
  [223] = 223,
  [224] = 224,
  [225] = 223,
  [226] = 223,
  [227] = 223,
  [228] = 228,
  [229] = 224,
  [230] = 230,
  [231] = 223,
  [232] = 232,
  [233] = 223,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 234,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 236,
  [242] = 235,
  [243] = 243,
  [244] = 236,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 235,
  [249] = 243,
  [250] = 240,
  [251] = 240,
  [252] = 236,
  [253] = 236,
  [254] = 243,
  [255] = 236,
  [256] = 234,
  [257] = 243,
  [258] = 234,
  [259] = 246,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 268,
  [277] = 277,
  [278] = 277,
  [279] = 267,
  [280] = 280,
  [281] = 266,
  [282] = 265,
  [283] = 264,
  [284] = 263,
  [285] = 262,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 275,
  [293] = 274,
  [294] = 273,
  [295] = 270,
  [296] = 296,
  [297] = 297,
  [298] = 260,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 286,
  [304] = 287,
  [305] = 305,
  [306] = 306,
  [307] = 291,
  [308] = 290,
  [309] = 289,
  [310] = 288,
  [311] = 287,
  [312] = 312,
  [313] = 286,
  [314] = 314,
  [315] = 288,
  [316] = 289,
  [317] = 262,
  [318] = 318,
  [319] = 319,
  [320] = 300,
  [321] = 263,
  [322] = 312,
  [323] = 264,
  [324] = 324,
  [325] = 265,
  [326] = 326,
  [327] = 266,
  [328] = 267,
  [329] = 314,
  [330] = 306,
  [331] = 277,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 299,
  [336] = 336,
  [337] = 337,
  [338] = 318,
  [339] = 339,
  [340] = 340,
  [341] = 290,
  [342] = 291,
  [343] = 334,
  [344] = 344,
  [345] = 261,
  [346] = 332,
  [347] = 275,
  [348] = 326,
  [349] = 306,
  [350] = 274,
  [351] = 273,
  [352] = 270,
  [353] = 353,
  [354] = 260,
  [355] = 326,
  [356] = 300,
  [357] = 271,
  [358] = 299,
  [359] = 318,
  [360] = 360,
  [361] = 261,
  [362] = 340,
  [363] = 314,
  [364] = 364,
  [365] = 339,
  [366] = 337,
  [367] = 312,
  [368] = 368,
  [369] = 369,
  [370] = 336,
  [371] = 371,
  [372] = 364,
  [373] = 373,
  [374] = 374,
  [375] = 353,
  [376] = 376,
  [377] = 377,
  [378] = 268,
  [379] = 306,
  [380] = 380,
  [381] = 326,
  [382] = 332,
  [383] = 383,
  [384] = 334,
  [385] = 332,
  [386] = 318,
  [387] = 340,
  [388] = 339,
  [389] = 389,
  [390] = 337,
  [391] = 336,
  [392] = 299,
  [393] = 393,
  [394] = 277,
  [395] = 300,
  [396] = 267,
  [397] = 266,
  [398] = 265,
  [399] = 264,
  [400] = 263,
  [401] = 312,
  [402] = 262,
  [403] = 286,
  [404] = 404,
  [405] = 271,
  [406] = 364,
  [407] = 287,
  [408] = 288,
  [409] = 353,
  [410] = 334,
  [411] = 289,
  [412] = 373,
  [413] = 260,
  [414] = 271,
  [415] = 260,
  [416] = 364,
  [417] = 260,
  [418] = 260,
  [419] = 353,
  [420] = 353,
  [421] = 260,
  [422] = 353,
  [423] = 314,
  [424] = 290,
  [425] = 291,
  [426] = 275,
  [427] = 274,
  [428] = 268,
  [429] = 260,
  [430] = 312,
  [431] = 273,
  [432] = 270,
  [433] = 336,
  [434] = 337,
  [435] = 339,
  [436] = 340,
  [437] = 437,
  [438] = 437,
  [439] = 437,
  [440] = 437,
  [441] = 437,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 444,
  [446] = 446,
  [447] = 446,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 452,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 450,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 582,
  [584] = 582,
  [585] = 582,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 591,
  [624] = 592,
  [625] = 625,
  [626] = 626,
  [627] = 588,
  [628] = 593,
  [629] = 587,
  [630] = 630,
  [631] = 590,
  [632] = 603,
  [633] = 633,
  [634] = 634,
  [635] = 622,
  [636] = 615,
  [637] = 637,
  [638] = 612,
  [639] = 611,
  [640] = 607,
  [641] = 614,
  [642] = 622,
  [643] = 613,
  [644] = 589,
  [645] = 618,
  [646] = 610,
  [647] = 594,
  [648] = 608,
  [649] = 600,
  [650] = 650,
  [651] = 606,
  [652] = 601,
  [653] = 619,
  [654] = 616,
  [655] = 617,
  [656] = 599,
  [657] = 657,
  [658] = 622,
  [659] = 596,
  [660] = 595,
  [661] = 621,
  [662] = 620,
  [663] = 609,
  [664] = 634,
  [665] = 665,
  [666] = 626,
  [667] = 597,
  [668] = 602,
  [669] = 604,
  [670] = 598,
  [671] = 605,
  [672] = 626,
  [673] = 634,
  [674] = 606,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 626,
  [679] = 634,
  [680] = 620,
  [681] = 621,
  [682] = 677,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 686,
  [688] = 688,
  [689] = 689,
  [690] = 688,
  [691] = 685,
  [692] = 692,
  [693] = 693,
  [694] = 684,
  [695] = 695,
  [696] = 696,
  [697] = 695,
  [698] = 695,
  [699] = 699,
  [700] = 700,
  [701] = 699,
  [702] = 702,
  [703] = 696,
  [704] = 695,
  [705] = 705,
  [706] = 705,
  [707] = 707,
  [708] = 699,
  [709] = 709,
  [710] = 695,
  [711] = 711,
  [712] = 712,
  [713] = 505,
  [714] = 559,
  [715] = 715,
  [716] = 593,
  [717] = 592,
  [718] = 591,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 619,
  [723] = 618,
  [724] = 712,
  [725] = 725,
  [726] = 726,
  [727] = 608,
  [728] = 613,
  [729] = 614,
  [730] = 587,
  [731] = 610,
  [732] = 594,
  [733] = 601,
  [734] = 616,
  [735] = 615,
  [736] = 590,
  [737] = 612,
  [738] = 603,
  [739] = 611,
  [740] = 607,
  [741] = 588,
  [742] = 600,
  [743] = 743,
  [744] = 617,
  [745] = 593,
  [746] = 589,
  [747] = 619,
  [748] = 604,
  [749] = 749,
  [750] = 750,
  [751] = 599,
  [752] = 598,
  [753] = 602,
  [754] = 591,
  [755] = 596,
  [756] = 756,
  [757] = 592,
  [758] = 595,
  [759] = 609,
  [760] = 597,
  [761] = 761,
  [762] = 605,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 618,
  [767] = 767,
  [768] = 604,
  [769] = 601,
  [770] = 597,
  [771] = 605,
  [772] = 598,
  [773] = 612,
  [774] = 774,
  [775] = 607,
  [776] = 589,
  [777] = 616,
  [778] = 617,
  [779] = 602,
  [780] = 600,
  [781] = 596,
  [782] = 595,
  [783] = 783,
  [784] = 609,
  [785] = 785,
  [786] = 786,
  [787] = 719,
  [788] = 788,
  [789] = 789,
  [790] = 590,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 452,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 599,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 587,
  [827] = 610,
  [828] = 611,
  [829] = 829,
  [830] = 603,
  [831] = 831,
  [832] = 450,
  [833] = 783,
  [834] = 608,
  [835] = 588,
  [836] = 613,
  [837] = 837,
  [838] = 838,
  [839] = 586,
  [840] = 594,
  [841] = 841,
  [842] = 615,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 614,
  [847] = 847,
  [848] = 591,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 725,
  [855] = 726,
  [856] = 853,
  [857] = 619,
  [858] = 851,
  [859] = 859,
  [860] = 707,
  [861] = 707,
  [862] = 592,
  [863] = 611,
  [864] = 864,
  [865] = 615,
  [866] = 612,
  [867] = 607,
  [868] = 589,
  [869] = 594,
  [870] = 616,
  [871] = 601,
  [872] = 608,
  [873] = 719,
  [874] = 818,
  [875] = 593,
  [876] = 619,
  [877] = 877,
  [878] = 610,
  [879] = 587,
  [880] = 617,
  [881] = 881,
  [882] = 618,
  [883] = 600,
  [884] = 590,
  [885] = 603,
  [886] = 886,
  [887] = 588,
  [888] = 614,
  [889] = 613,
  [890] = 721,
  [891] = 877,
  [892] = 743,
  [893] = 818,
  [894] = 602,
  [895] = 597,
  [896] = 596,
  [897] = 897,
  [898] = 898,
  [899] = 595,
  [900] = 592,
  [901] = 609,
  [902] = 591,
  [903] = 903,
  [904] = 756,
  [905] = 599,
  [906] = 593,
  [907] = 725,
  [908] = 726,
  [909] = 909,
  [910] = 711,
  [911] = 711,
  [912] = 598,
  [913] = 605,
  [914] = 604,
  [915] = 749,
  [916] = 847,
  [917] = 559,
  [918] = 608,
  [919] = 613,
  [920] = 719,
  [921] = 805,
  [922] = 819,
  [923] = 820,
  [924] = 617,
  [925] = 841,
  [926] = 801,
  [927] = 618,
  [928] = 767,
  [929] = 792,
  [930] = 590,
  [931] = 603,
  [932] = 588,
  [933] = 838,
  [934] = 602,
  [935] = 600,
  [936] = 837,
  [937] = 596,
  [938] = 816,
  [939] = 595,
  [940] = 609,
  [941] = 829,
  [942] = 601,
  [943] = 943,
  [944] = 505,
  [945] = 586,
  [946] = 831,
  [947] = 815,
  [948] = 616,
  [949] = 597,
  [950] = 589,
  [951] = 817,
  [952] = 774,
  [953] = 598,
  [954] = 808,
  [955] = 764,
  [956] = 807,
  [957] = 813,
  [958] = 785,
  [959] = 786,
  [960] = 806,
  [961] = 788,
  [962] = 799,
  [963] = 789,
  [964] = 964,
  [965] = 607,
  [966] = 797,
  [967] = 812,
  [968] = 612,
  [969] = 821,
  [970] = 794,
  [971] = 793,
  [972] = 750,
  [973] = 964,
  [974] = 822,
  [975] = 593,
  [976] = 811,
  [977] = 823,
  [978] = 761,
  [979] = 615,
  [980] = 824,
  [981] = 594,
  [982] = 818,
  [983] = 765,
  [984] = 810,
  [985] = 605,
  [986] = 604,
  [987] = 798,
  [988] = 845,
  [989] = 844,
  [990] = 610,
  [991] = 800,
  [992] = 611,
  [993] = 587,
  [994] = 586,
  [995] = 599,
  [996] = 614,
  [997] = 997,
  [998] = 791,
  [999] = 802,
  [1000] = 859,
  [1001] = 619,
  [1002] = 763,
  [1003] = 803,
  [1004] = 825,
  [1005] = 804,
  [1006] = 843,
  [1007] = 818,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 726,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 725,
  [1016] = 1016,
  [1017] = 707,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 850,
  [1024] = 849,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 852,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 796,
  [1032] = 795,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 619,
  [1042] = 593,
  [1043] = 909,
  [1044] = 711,
  [1045] = 898,
  [1046] = 897,
  [1047] = 1047,
  [1048] = 943,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 586,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1029,
  [1082] = 1061,
  [1083] = 1076,
  [1084] = 1027,
  [1085] = 1038,
  [1086] = 1040,
  [1087] = 1056,
  [1088] = 1037,
  [1089] = 1018,
  [1090] = 1075,
  [1091] = 1074,
  [1092] = 1072,
  [1093] = 1073,
  [1094] = 1049,
  [1095] = 1036,
  [1096] = 1071,
  [1097] = 1069,
  [1098] = 1039,
  [1099] = 1072,
  [1100] = 1063,
  [1101] = 1057,
  [1102] = 1021,
  [1103] = 1020,
  [1104] = 1019,
  [1105] = 1053,
  [1106] = 1075,
  [1107] = 1054,
  [1108] = 1051,
  [1109] = 1055,
  [1110] = 1110,
  [1111] = 1078,
  [1112] = 1056,
  [1113] = 1052,
  [1114] = 1060,
  [1115] = 1057,
  [1116] = 1026,
  [1117] = 1035,
  [1118] = 1025,
  [1119] = 1050,
  [1120] = 1080,
  [1121] = 1058,
  [1122] = 1122,
  [1123] = 1059,
  [1124] = 1058,
  [1125] = 1070,
  [1126] = 1069,
  [1127] = 1079,
  [1128] = 1074,
  [1129] = 1080,
  [1130] = 1008,
  [1131] = 1049,
  [1132] = 1079,
  [1133] = 1062,
  [1134] = 1047,
  [1135] = 1064,
  [1136] = 1070,
  [1137] = 1078,
  [1138] = 450,
  [1139] = 1011,
  [1140] = 1059,
  [1141] = 1141,
  [1142] = 1061,
  [1143] = 1143,
  [1144] = 1034,
  [1145] = 1068,
  [1146] = 1067,
  [1147] = 1066,
  [1148] = 1030,
  [1149] = 1073,
  [1150] = 1065,
  [1151] = 1064,
  [1152] = 452,
  [1153] = 1065,
  [1154] = 1066,
  [1155] = 1022,
  [1156] = 1067,
  [1157] = 1076,
  [1158] = 1047,
  [1159] = 1051,
  [1160] = 1062,
  [1161] = 1052,
  [1162] = 1055,
  [1163] = 1053,
  [1164] = 1013,
  [1165] = 1054,
  [1166] = 1016,
  [1167] = 1033,
  [1168] = 1014,
  [1169] = 1012,
  [1170] = 1071,
  [1171] = 1063,
  [1172] = 1060,
  [1173] = 1050,
  [1174] = 1009,
  [1175] = 1068,
  [1176] = 1047,
  [1177] = 1073,
  [1178] = 1079,
  [1179] = 1051,
  [1180] = 1055,
  [1181] = 1080,
  [1182] = 1059,
  [1183] = 1056,
  [1184] = 1070,
  [1185] = 1069,
  [1186] = 1050,
  [1187] = 1078,
  [1188] = 1060,
  [1189] = 1063,
  [1190] = 1071,
  [1191] = 1074,
  [1192] = 1061,
  [1193] = 1054,
  [1194] = 1075,
  [1195] = 1053,
  [1196] = 1068,
  [1197] = 1052,
  [1198] = 1067,
  [1199] = 1076,
  [1200] = 1049,
  [1201] = 1066,
  [1202] = 1072,
  [1203] = 1057,
  [1204] = 1058,
  [1205] = 1065,
  [1206] = 1064,
  [1207] = 1062,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1220,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1228,
  [1230] = 1230,
  [1231] = 1073,
  [1232] = 1227,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1073,
  [1236] = 1221,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1219,
  [1240] = 1240,
  [1241] = 1225,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1230,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1252,
  [1254] = 1224,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1224,
  [1260] = 1260,
  [1261] = 1230,
  [1262] = 1242,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1242,
  [1267] = 1267,
  [1268] = 1252,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1271,
  [1273] = 1270,
  [1274] = 1270,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1277,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1276,
  [1282] = 1282,
  [1283] = 1275,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1284,
  [1288] = 1275,
  [1289] = 1275,
  [1290] = 1280,
  [1291] = 1276,
  [1292] = 1277,
  [1293] = 1275,
  [1294] = 1294,
  [1295] = 1271,
  [1296] = 1280,
  [1297] = 1277,
  [1298] = 1270,
  [1299] = 1285,
  [1300] = 1275,
  [1301] = 1276,
  [1302] = 1302,
  [1303] = 1280,
  [1304] = 1280,
  [1305] = 1277,
  [1306] = 1306,
  [1307] = 1271,
  [1308] = 1285,
  [1309] = 1280,
  [1310] = 1275,
  [1311] = 1311,
  [1312] = 1284,
  [1313] = 1306,
  [1314] = 1277,
  [1315] = 1270,
  [1316] = 1270,
  [1317] = 1286,
  [1318] = 1318,
  [1319] = 1275,
  [1320] = 1275,
  [1321] = 1271,
  [1322] = 1284,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1326,
  [1330] = 1330,
  [1331] = 1330,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1335,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1343,
  [1347] = 1344,
  [1348] = 1343,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1350,
  [1352] = 1344,
  [1353] = 1345,
  [1354] = 1354,
  [1355] = 1349,
  [1356] = 1345,
  [1357] = 1354,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1338,
  [1361] = 1358,
  [1362] = 1337,
  [1363] = 1359,
  [1364] = 1359,
  [1365] = 1358,
  [1366] = 1366,
  [1367] = 1366,
  [1368] = 1368,
  [1369] = 1342,
  [1370] = 1340,
  [1371] = 1339,
  [1372] = 471,
  [1373] = 1341,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1375,
  [1377] = 1375,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1378,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1383,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1388,
  [1392] = 1392,
  [1393] = 1392,
  [1394] = 1386,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1405,
  [1408] = 1401,
  [1409] = 1409,
  [1410] = 1400,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1414,
  [1419] = 1419,
  [1420] = 1411,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1429,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 859,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1440,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1453,
  [1456] = 1453,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1453,
  [1460] = 1454,
  [1461] = 1457,
  [1462] = 1462,
  [1463] = 1454,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1464,
  [1467] = 1467,
  [1468] = 1454,
  [1469] = 1469,
  [1470] = 1464,
  [1471] = 1464,
  [1472] = 1452,
  [1473] = 1462,
  [1474] = 1454,
  [1475] = 1453,
  [1476] = 1476,
  [1477] = 1453,
  [1478] = 1458,
  [1479] = 1469,
  [1480] = 1464,
  [1481] = 1462,
  [1482] = 1464,
  [1483] = 1454,
  [1484] = 1453,
  [1485] = 1464,
  [1486] = 1486,
  [1487] = 1454,
  [1488] = 1458,
  [1489] = 1465,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 909,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1494,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1518,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 608,
  [1526] = 1515,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 608,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 608,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 442,
  [1547] = 1547,
  [1548] = 1486,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1550,
  [1553] = 1553,
  [1554] = 1551,
  [1555] = 1555,
  [1556] = 443,
  [1557] = 1557,
  [1558] = 1553,
  [1559] = 1547,
  [1560] = 1542,
  [1561] = 614,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 608,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 613,
  [1593] = 1566,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 618,
  [1597] = 1597,
  [1598] = 1486,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1439,
  [1602] = 903,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1568,
  [1606] = 1568,
  [1607] = 1607,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1597,
  [1612] = 1594,
  [1613] = 1583,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 1616,
  [1617] = 1616,
  [1618] = 1607,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1616,
  [1624] = 1624,
  [1625] = 1616,
  [1626] = 1616,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 614,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1616,
  [1637] = 1637,
  [1638] = 1608,
  [1639] = 446,
  [1640] = 1607,
  [1641] = 1608,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1622,
  [1645] = 1616,
  [1646] = 1646,
  [1647] = 1630,
  [1648] = 1616,
  [1649] = 1586,
  [1650] = 1587,
  [1651] = 1620,
  [1652] = 444,
  [1653] = 1642,
  [1654] = 1654,
  [1655] = 613,
  [1656] = 1633,
  [1657] = 1657,
  [1658] = 1657,
  [1659] = 618,
  [1660] = 1660,
  [1661] = 707,
  [1662] = 1660,
  [1663] = 1616,
  [1664] = 608,
  [1665] = 1634,
  [1666] = 1633,
  [1667] = 1616,
  [1668] = 1619,
  [1669] = 1621,
  [1670] = 1624,
  [1671] = 608,
  [1672] = 1672,
  [1673] = 1586,
  [1674] = 1629,
  [1675] = 1599,
  [1676] = 1486,
  [1677] = 1637,
  [1678] = 1616,
  [1679] = 1679,
  [1680] = 446,
  [1681] = 1587,
  [1682] = 1682,
  [1683] = 1627,
  [1684] = 1684,
  [1685] = 1635,
  [1686] = 614,
  [1687] = 1633,
  [1688] = 444,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 1679,
  [1692] = 1633,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 618,
  [1696] = 613,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1694,
  [1700] = 1700,
  [1701] = 1672,
  [1702] = 1599,
  [1703] = 1703,
  [1704] = 1616,
  [1705] = 1633,
  [1706] = 1706,
  [1707] = 1707,
  [1708] = 1708,
  [1709] = 1709,
  [1710] = 1710,
  [1711] = 1711,
  [1712] = 1712,
  [1713] = 454,
  [1714] = 450,
  [1715] = 1715,
  [1716] = 1716,
  [1717] = 1717,
  [1718] = 1718,
  [1719] = 1719,
  [1720] = 1720,
  [1721] = 1509,
  [1722] = 1722,
  [1723] = 1513,
  [1724] = 1510,
  [1725] = 1725,
  [1726] = 1726,
  [1727] = 1706,
  [1728] = 1728,
  [1729] = 1729,
  [1730] = 452,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 1736,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1740,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1750,
  [1751] = 1708,
  [1752] = 1504,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1710,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1718,
  [1764] = 1764,
  [1765] = 1500,
  [1766] = 451,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1490,
  [1772] = 1491,
  [1773] = 1719,
  [1774] = 1722,
  [1775] = 1753,
  [1776] = 1735,
  [1777] = 1738,
  [1778] = 1778,
  [1779] = 1743,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1758,
  [1787] = 1760,
  [1788] = 448,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 764,
  [1792] = 1764,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1504,
  [1799] = 1498,
  [1800] = 1523,
  [1801] = 1769,
  [1802] = 1519,
  [1803] = 1803,
  [1804] = 1510,
  [1805] = 1805,
  [1806] = 1513,
  [1807] = 1807,
  [1808] = 1770,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 449,
  [1814] = 1814,
  [1815] = 1725,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1711,
  [1821] = 1785,
  [1822] = 1762,
  [1823] = 1789,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1829,
  [1830] = 1512,
  [1831] = 1831,
  [1832] = 1832,
  [1833] = 1833,
  [1834] = 453,
  [1835] = 1509,
  [1836] = 1803,
  [1837] = 1519,
  [1838] = 471,
  [1839] = 1839,
  [1840] = 1501,
  [1841] = 1523,
  [1842] = 1842,
  [1843] = 1843,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1847,
  [1848] = 1514,
  [1849] = 1511,
  [1850] = 1850,
  [1851] = 1843,
  [1852] = 1852,
  [1853] = 1853,
  [1854] = 1842,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 1754,
  [1858] = 1858,
  [1859] = 1859,
  [1860] = 1860,
  [1861] = 1861,
  [1862] = 1844,
  [1863] = 1863,
  [1864] = 1855,
  [1865] = 1865,
  [1866] = 1858,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1845,
  [1870] = 1870,
  [1871] = 1865,
  [1872] = 1872,
  [1873] = 1873,
  [1874] = 1859,
  [1875] = 1860,
  [1876] = 1876,
  [1877] = 1729,
  [1878] = 1878,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 1853,
  [1882] = 1882,
  [1883] = 1861,
  [1884] = 1884,
  [1885] = 1512,
  [1886] = 1886,
  [1887] = 1501,
  [1888] = 1888,
  [1889] = 1889,
  [1890] = 1827,
  [1891] = 1891,
  [1892] = 1892,
  [1893] = 1865,
  [1894] = 1894,
  [1895] = 1895,
  [1896] = 1732,
  [1897] = 1897,
  [1898] = 1898,
  [1899] = 1899,
  [1900] = 1868,
  [1901] = 1870,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 1904,
  [1905] = 1905,
  [1906] = 1906,
  [1907] = 1873,
  [1908] = 1908,
  [1909] = 1878,
  [1910] = 711,
  [1911] = 1853,
  [1912] = 1846,
  [1913] = 1853,
  [1914] = 1882,
  [1915] = 1707,
  [1916] = 1916,
  [1917] = 1917,
  [1918] = 1918,
  [1919] = 1919,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1922,
  [1923] = 1894,
  [1924] = 1924,
  [1925] = 1505,
  [1926] = 1926,
  [1927] = 1927,
  [1928] = 1928,
  [1929] = 1508,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 1932,
  [1933] = 1933,
  [1934] = 1882,
  [1935] = 1935,
  [1936] = 1853,
  [1937] = 1937,
  [1938] = 1905,
  [1939] = 1853,
  [1940] = 1940,
  [1941] = 1941,
  [1942] = 1942,
  [1943] = 1522,
  [1944] = 1924,
  [1945] = 1945,
  [1946] = 1853,
  [1947] = 1916,
  [1948] = 1948,
  [1949] = 1882,
  [1950] = 1880,
  [1951] = 1951,
  [1952] = 1952,
  [1953] = 1953,
  [1954] = 580,
  [1955] = 1955,
  [1956] = 484,
  [1957] = 501,
  [1958] = 502,
  [1959] = 1959,
  [1960] = 1960,
  [1961] = 1961,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 525,
  [1965] = 522,
  [1966] = 1966,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 458,
  [1970] = 480,
  [1971] = 1971,
  [1972] = 1972,
  [1973] = 1973,
  [1974] = 1974,
  [1975] = 496,
  [1976] = 1976,
  [1977] = 531,
  [1978] = 534,
  [1979] = 1979,
  [1980] = 1980,
  [1981] = 540,
  [1982] = 476,
  [1983] = 574,
  [1984] = 575,
  [1985] = 1985,
  [1986] = 578,
  [1987] = 579,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 1990,
  [1991] = 1991,
  [1992] = 1992,
  [1993] = 1993,
  [1994] = 1994,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 507,
  [1998] = 1998,
  [1999] = 1999,
  [2000] = 494,
  [2001] = 2001,
  [2002] = 2002,
  [2003] = 514,
  [2004] = 2004,
  [2005] = 515,
  [2006] = 569,
  [2007] = 2007,
  [2008] = 460,
  [2009] = 1323,
  [2010] = 566,
  [2011] = 562,
  [2012] = 2012,
  [2013] = 2013,
  [2014] = 527,
  [2015] = 517,
  [2016] = 2016,
  [2017] = 2017,
  [2018] = 2018,
  [2019] = 495,
  [2020] = 492,
  [2021] = 2021,
  [2022] = 558,
  [2023] = 2023,
  [2024] = 576,
  [2025] = 565,
  [2026] = 2026,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 561,
  [2032] = 2032,
  [2033] = 2033,
  [2034] = 2034,
  [2035] = 2035,
  [2036] = 2036,
  [2037] = 2037,
  [2038] = 1940,
  [2039] = 535,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 542,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 478,
  [2046] = 2046,
  [2047] = 483,
  [2048] = 1528,
  [2049] = 489,
  [2050] = 2050,
  [2051] = 465,
  [2052] = 491,
  [2053] = 2016,
  [2054] = 1999,
  [2055] = 2021,
  [2056] = 513,
  [2057] = 2057,
  [2058] = 477,
  [2059] = 518,
  [2060] = 1989,
  [2061] = 487,
  [2062] = 504,
  [2063] = 2063,
  [2064] = 1985,
  [2065] = 2065,
  [2066] = 2066,
  [2067] = 2013,
  [2068] = 459,
  [2069] = 470,
  [2070] = 493,
  [2071] = 2002,
  [2072] = 537,
  [2073] = 2018,
  [2074] = 2001,
  [2075] = 500,
  [2076] = 508,
  [2077] = 1942,
  [2078] = 2078,
  [2079] = 2028,
  [2080] = 2035,
  [2081] = 2081,
  [2082] = 509,
  [2083] = 510,
  [2084] = 2084,
  [2085] = 2085,
  [2086] = 539,
  [2087] = 1918,
  [2088] = 2088,
  [2089] = 512,
  [2090] = 2090,
  [2091] = 1795,
  [2092] = 2092,
  [2093] = 545,
  [2094] = 547,
  [2095] = 1955,
  [2096] = 543,
  [2097] = 551,
  [2098] = 532,
  [2099] = 2066,
  [2100] = 554,
  [2101] = 555,
  [2102] = 553,
  [2103] = 506,
  [2104] = 2104,
  [2105] = 2105,
  [2106] = 564,
  [2107] = 2107,
  [2108] = 486,
  [2109] = 2105,
  [2110] = 2110,
  [2111] = 511,
  [2112] = 526,
  [2113] = 568,
  [2114] = 560,
  [2115] = 2115,
  [2116] = 2116,
  [2117] = 563,
  [2118] = 2118,
  [2119] = 2119,
  [2120] = 2120,
  [2121] = 2121,
  [2122] = 2122,
  [2123] = 2107,
  [2124] = 572,
  [2125] = 2125,
  [2126] = 550,
  [2127] = 2127,
  [2128] = 462,
  [2129] = 2120,
  [2130] = 469,
  [2131] = 2122,
  [2132] = 549,
  [2133] = 2133,
  [2134] = 2125,
  [2135] = 2135,
  [2136] = 548,
  [2137] = 1512,
  [2138] = 2138,
  [2139] = 2138,
  [2140] = 541,
  [2141] = 497,
  [2142] = 2142,
  [2143] = 2143,
  [2144] = 538,
  [2145] = 581,
  [2146] = 2146,
  [2147] = 573,
  [2148] = 2148,
  [2149] = 557,
  [2150] = 2150,
  [2151] = 546,
  [2152] = 2152,
  [2153] = 536,
  [2154] = 567,
  [2155] = 571,
  [2156] = 1962,
  [2157] = 2157,
  [2158] = 2158,
  [2159] = 1961,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 1960,
  [2163] = 475,
  [2164] = 2164,
  [2165] = 2165,
  [2166] = 2166,
  [2167] = 528,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 1959,
  [2171] = 2171,
  [2172] = 577,
  [2173] = 456,
  [2174] = 523,
  [2175] = 2175,
  [2176] = 2152,
  [2177] = 2177,
  [2178] = 2178,
  [2179] = 2179,
  [2180] = 521,
  [2181] = 2181,
  [2182] = 2182,
  [2183] = 2183,
  [2184] = 1952,
  [2185] = 2185,
  [2186] = 2186,
  [2187] = 520,
  [2188] = 1828,
  [2189] = 498,
  [2190] = 2050,
  [2191] = 1891,
  [2192] = 499,
  [2193] = 490,
  [2194] = 488,
  [2195] = 2195,
  [2196] = 1966,
  [2197] = 455,
  [2198] = 1967,
  [2199] = 1971,
  [2200] = 2200,
  [2201] = 2201,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 2204,
  [2205] = 2205,
  [2206] = 2158,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 2210,
  [2211] = 2160,
  [2212] = 524,
  [2213] = 2213,
  [2214] = 570,
  [2215] = 2215,
  [2216] = 481,
  [2217] = 2143,
  [2218] = 1972,
  [2219] = 1968,
  [2220] = 2207,
  [2221] = 2221,
  [2222] = 544,
  [2223] = 1973,
  [2224] = 2166,
  [2225] = 1974,
  [2226] = 2226,
  [2227] = 2133,
  [2228] = 2209,
  [2229] = 474,
  [2230] = 473,
  [2231] = 533,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 516,
  [2235] = 2235,
  [2236] = 2186,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2138,
  [2241] = 2043,
  [2242] = 1963,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 472,
  [2246] = 529,
  [2247] = 2247,
  [2248] = 1976,
  [2249] = 2249,
  [2250] = 2186,
  [2251] = 2251,
  [2252] = 2182,
  [2253] = 2185,
  [2254] = 2138,
  [2255] = 2186,
  [2256] = 2256,
  [2257] = 1998,
  [2258] = 2258,
  [2259] = 467,
  [2260] = 2260,
  [2261] = 519,
  [2262] = 468,
  [2263] = 2210,
  [2264] = 2264,
  [2265] = 2213,
  [2266] = 2215,
  [2267] = 466,
  [2268] = 2268,
  [2269] = 2186,
  [2270] = 2270,
  [2271] = 1991,
  [2272] = 2138,
  [2273] = 2273,
  [2274] = 464,
  [2275] = 485,
  [2276] = 2276,
  [2277] = 2277,
  [2278] = 2278,
  [2279] = 463,
  [2280] = 2007,
  [2281] = 1992,
  [2282] = 482,
  [2283] = 2283,
  [2284] = 461,
  [2285] = 1993,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 1996,
  [2290] = 2138,
  [2291] = 457,
  [2292] = 530,
  [2293] = 2293,
  [2294] = 2186,
  [2295] = 479,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2299,
  [2300] = 2297,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2312,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2307,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 2297,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2321,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 2333,
  [2334] = 2307,
  [2335] = 2335,
  [2336] = 2336,
  [2337] = 2307,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2319,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 2356,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2359,
  [2360] = 2307,
  [2361] = 2361,
  [2362] = 2342,
  [2363] = 1423,
  [2364] = 2364,
  [2365] = 2365,
  [2366] = 2366,
  [2367] = 2367,
  [2368] = 2343,
  [2369] = 2297,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 2372,
  [2373] = 2373,
  [2374] = 2374,
  [2375] = 2375,
  [2376] = 2376,
  [2377] = 2377,
  [2378] = 2378,
  [2379] = 2370,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 2382,
  [2383] = 2383,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 2386,
  [2387] = 2387,
  [2388] = 2371,
  [2389] = 2389,
  [2390] = 2319,
  [2391] = 2321,
  [2392] = 2392,
  [2393] = 2393,
  [2394] = 2374,
  [2395] = 2375,
  [2396] = 2317,
  [2397] = 2321,
  [2398] = 2322,
  [2399] = 2325,
  [2400] = 2400,
  [2401] = 2401,
  [2402] = 2331,
  [2403] = 2287,
  [2404] = 2404,
  [2405] = 2405,
  [2406] = 2406,
  [2407] = 1778,
  [2408] = 2408,
  [2409] = 2332,
  [2410] = 2410,
  [2411] = 2411,
  [2412] = 2412,
  [2413] = 2307,
  [2414] = 2412,
  [2415] = 2401,
  [2416] = 2416,
  [2417] = 2348,
  [2418] = 2355,
  [2419] = 2361,
  [2420] = 2420,
  [2421] = 2382,
  [2422] = 2387,
  [2423] = 2423,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2340,
  [2431] = 2411,
  [2432] = 1809,
  [2433] = 2424,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2436,
  [2437] = 2428,
  [2438] = 2309,
  [2439] = 2168,
  [2440] = 2440,
  [2441] = 2324,
  [2442] = 2442,
  [2443] = 2326,
  [2444] = 2444,
  [2445] = 2205,
  [2446] = 2434,
  [2447] = 2329,
  [2448] = 2448,
  [2449] = 2319,
  [2450] = 2327,
  [2451] = 2410,
  [2452] = 2440,
  [2453] = 2346,
  [2454] = 2442,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 2352,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 2460,
  [2461] = 2404,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2378,
  [2466] = 2165,
  [2467] = 2467,
  [2468] = 2468,
  [2469] = 2381,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2472,
  [2473] = 2455,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2456,
  [2477] = 898,
  [2478] = 2408,
  [2479] = 2297,
  [2480] = 1441,
  [2481] = 2481,
  [2482] = 2427,
  [2483] = 2483,
  [2484] = 2400,
  [2485] = 2458,
  [2486] = 2486,
  [2487] = 2487,
  [2488] = 2488,
  [2489] = 2380,
  [2490] = 2490,
  [2491] = 2490,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2297,
  [2496] = 2496,
  [2497] = 2497,
  [2498] = 1818,
  [2499] = 2385,
  [2500] = 2386,
  [2501] = 2488,
  [2502] = 2502,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 2505,
  [2506] = 2506,
  [2507] = 1867,
  [2508] = 2508,
  [2509] = 2509,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 2512,
  [2513] = 2505,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 2516,
  [2517] = 2517,
  [2518] = 2518,
  [2519] = 2519,
  [2520] = 2511,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2528,
  [2529] = 2529,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 2522,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2524,
  [2537] = 2537,
  [2538] = 2538,
  [2539] = 2539,
  [2540] = 2528,
  [2541] = 2541,
  [2542] = 2542,
  [2543] = 2543,
  [2544] = 2544,
  [2545] = 2545,
  [2546] = 2546,
  [2547] = 2547,
  [2548] = 2524,
  [2549] = 2549,
  [2550] = 2550,
  [2551] = 2503,
  [2552] = 2208,
  [2553] = 2553,
  [2554] = 2554,
  [2555] = 2555,
  [2556] = 2556,
  [2557] = 2557,
  [2558] = 2558,
  [2559] = 2515,
  [2560] = 2508,
  [2561] = 2561,
  [2562] = 2562,
  [2563] = 2563,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 2530,
  [2567] = 2553,
  [2568] = 2503,
  [2569] = 2530,
  [2570] = 2570,
  [2571] = 2571,
  [2572] = 2549,
  [2573] = 2573,
  [2574] = 2574,
  [2575] = 2538,
  [2576] = 2576,
  [2577] = 2577,
  [2578] = 2547,
  [2579] = 2579,
  [2580] = 2580,
  [2581] = 2532,
  [2582] = 2582,
  [2583] = 2545,
  [2584] = 2563,
  [2585] = 2555,
  [2586] = 2565,
  [2587] = 2554,
  [2588] = 2588,
  [2589] = 2556,
  [2590] = 2590,
  [2591] = 2591,
  [2592] = 2592,
  [2593] = 2593,
  [2594] = 2529,
  [2595] = 2570,
  [2596] = 2546,
  [2597] = 2544,
  [2598] = 2577,
  [2599] = 2579,
  [2600] = 2580,
  [2601] = 2582,
  [2602] = 2543,
  [2603] = 2549,
  [2604] = 2573,
  [2605] = 2539,
  [2606] = 2606,
  [2607] = 2593,
  [2608] = 2590,
  [2609] = 2561,
  [2610] = 2519,
  [2611] = 2611,
  [2612] = 2523,
  [2613] = 2613,
  [2614] = 2614,
  [2615] = 2615,
  [2616] = 2616,
  [2617] = 2617,
  [2618] = 2573,
  [2619] = 2619,
  [2620] = 2506,
  [2621] = 2558,
  [2622] = 2622,
  [2623] = 2623,
  [2624] = 2624,
  [2625] = 2514,
  [2626] = 2626,
  [2627] = 2627,
  [2628] = 2628,
  [2629] = 2555,
  [2630] = 2556,
  [2631] = 2591,
  [2632] = 2616,
  [2633] = 2633,
  [2634] = 2545,
  [2635] = 2543,
  [2636] = 2544,
  [2637] = 2545,
  [2638] = 2506,
  [2639] = 2633,
  [2640] = 2640,
  [2641] = 2561,
  [2642] = 2558,
  [2643] = 2643,
  [2644] = 2644,
  [2645] = 2530,
  [2646] = 2646,
  [2647] = 2593,
  [2648] = 2561,
  [2649] = 2649,
  [2650] = 2650,
  [2651] = 2530,
  [2652] = 2652,
  [2653] = 2653,
  [2654] = 2554,
  [2655] = 2527,
  [2656] = 2656,
  [2657] = 2538,
  [2658] = 2658,
  [2659] = 2659,
  [2660] = 2660,
  [2661] = 2527,
  [2662] = 2506,
  [2663] = 2606,
  [2664] = 2664,
  [2665] = 2665,
  [2666] = 2646,
  [2667] = 2524,
  [2668] = 2531,
  [2669] = 2669,
  [2670] = 2670,
  [2671] = 2671,
  [2672] = 2672,
  [2673] = 2673,
  [2674] = 2592,
  [2675] = 2593,
  [2676] = 2503,
  [2677] = 2677,
  [2678] = 2678,
  [2679] = 2554,
  [2680] = 2555,
  [2681] = 2556,
  [2682] = 2682,
  [2683] = 2558,
  [2684] = 2534,
  [2685] = 2685,
  [2686] = 2593,
  [2687] = 2687,
  [2688] = 2660,
  [2689] = 2544,
  [2690] = 2543,
  [2691] = 2660,
  [2692] = 2562,
  [2693] = 2561,
  [2694] = 2694,
  [2695] = 2695,
  [2696] = 2659,
  [2697] = 2041,
  [2698] = 2531,
  [2699] = 2699,
  [2700] = 2506,
  [2701] = 2677,
  [2702] = 2504,
  [2703] = 2703,
  [2704] = 2671,
  [2705] = 2593,
  [2706] = 2659,
  [2707] = 2658,
  [2708] = 2708,
  [2709] = 2611,
  [2710] = 2545,
  [2711] = 2613,
  [2712] = 2614,
  [2713] = 2615,
  [2714] = 2504,
  [2715] = 2573,
  [2716] = 2617,
  [2717] = 2553,
  [2718] = 2535,
  [2719] = 2660,
  [2720] = 2549,
  [2721] = 2573,
  [2722] = 2593,
  [2723] = 2538,
  [2724] = 2724,
  [2725] = 2505,
  [2726] = 2659,
  [2727] = 2677,
  [2728] = 2728,
  [2729] = 2660,
  [2730] = 2531,
  [2731] = 2506,
  [2732] = 2677,
  [2733] = 2504,
  [2734] = 2734,
  [2735] = 2735,
};

static TSCharacterRange sym_escape_sequence_character_set_1[] = {
  {'"', '"'}, {'$', '$'}, {'0', '7'}, {'\\', '\\'}, {'`', '`'}, {'e', 'f'}, {'n', 'n'}, {'r', 'r'},
  {'t', 'v'}, {'x', 'x'},
};

static TSCharacterRange sym_name_character_set_1[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0x80, 0x9f}, {0xa1, 0x200a}, {0x200c, 0x205f}, {0x2061, 0xfefe},
  {0xff00, 0xffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '!', 131,
        '"', 180,
        '#', 260,
        '$', 184,
        '%', 220,
        '&', 83,
        '\'', 182,
        '(', 93,
        ')', 94,
        '*', 215,
        '+', 123,
        ',', 84,
        '-', 126,
        '.', 213,
        '/', 218,
        '0', 113,
        ':', 91,
        ';', 80,
        '<', 201,
        '=', 85,
        '>', 202,
        '?', 96,
        '@', 132,
        '[', 151,
        '\\', 87,
        ']', 152,
        '^', 192,
        '_', 255,
        '`', 183,
        '{', 88,
        '|', 101,
        '}', 89,
        '~', 129,
        'A', 245,
        'a', 245,
        'B', 221,
        'b', 221,
        'E', 224,
        'e', 224,
        'F', 225,
        'f', 225,
        'I', 239,
        'i', 239,
        'N', 253,
        'n', 253,
        'S', 251,
        's', 251,
        'T', 244,
        't', 244,
        'U', 237,
        'u', 237,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(115);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(60);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(257);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(258);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(258);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(259);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 181,
        '\r', 181,
        '"', 180,
        '#', 261,
        '$', 184,
        '-', 29,
        '/', 18,
        '?', 31,
        '[', 151,
        '\\', 33,
        '{', 88,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 181,
        '\r', 181,
        '#', 261,
        '$', 184,
        '-', 29,
        '/', 18,
        '?', 31,
        '[', 151,
        '\\', 34,
        '{', 88,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 131,
        '"', 165,
        '#', 260,
        '$', 184,
        '%', 219,
        '&', 82,
        '\'', 167,
        '(', 93,
        ')', 94,
        '*', 216,
        '+', 122,
        ',', 84,
        '-', 125,
        '.', 213,
        '/', 217,
        '0', 113,
        ':', 90,
        ';', 80,
        '<', 198,
        '=', 28,
        '>', 203,
        '?', 99,
        '@', 132,
        '[', 151,
        '\\', 86,
        ']', 152,
        '^', 191,
        '_', 255,
        '`', 183,
        '{', 88,
        '|', 102,
        '}', 89,
        '~', 129,
        'A', 245,
        'a', 245,
        'B', 222,
        'b', 222,
        'E', 224,
        'e', 224,
        'F', 226,
        'f', 226,
        'N', 253,
        'n', 253,
        'T', 244,
        't', 244,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(115);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(257);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 130,
        '"', 165,
        '#', 260,
        '$', 184,
        '&', 81,
        '\'', 167,
        '(', 93,
        ')', 94,
        '+', 122,
        ',', 84,
        '-', 125,
        '.', 109,
        '/', 18,
        '0', 113,
        '<', 25,
        '?', 31,
        '@', 132,
        '[', 151,
        '\\', 86,
        ']', 152,
        '_', 255,
        '`', 183,
        '~', 129,
        'A', 245,
        'a', 245,
        'B', 222,
        'b', 222,
        'E', 224,
        'e', 224,
        'F', 226,
        'f', 226,
        'N', 253,
        'n', 253,
        'T', 244,
        't', 244,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(115);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(257);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 130,
        '"', 165,
        '#', 260,
        '$', 184,
        '\'', 167,
        '(', 93,
        '+', 122,
        '-', 125,
        '.', 110,
        '/', 18,
        '0', 113,
        '<', 25,
        '?', 31,
        '@', 132,
        '[', 151,
        '\\', 86,
        '_', 255,
        '`', 183,
        '~', 129,
        'A', 245,
        'a', 245,
        'B', 221,
        'b', 221,
        'E', 224,
        'e', 224,
        'F', 225,
        'f', 225,
        'I', 239,
        'i', 239,
        'N', 253,
        'n', 253,
        'S', 251,
        's', 251,
        'T', 244,
        't', 244,
        'U', 237,
        'u', 237,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(115);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(257);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 27,
        '"', 165,
        '#', 261,
        '$', 184,
        '%', 219,
        '&', 82,
        '(', 93,
        ')', 94,
        '*', 216,
        '+', 122,
        ',', 84,
        '-', 127,
        '.', 212,
        '/', 217,
        ':', 91,
        ';', 80,
        '<', 200,
        '=', 85,
        '>', 203,
        '?', 97,
        '[', 151,
        '\\', 33,
        ']', 152,
        '^', 191,
        '`', 183,
        '{', 88,
        '|', 102,
        '}', 89,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(257);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 27,
        '"', 165,
        '#', 261,
        '$', 184,
        '%', 219,
        '&', 82,
        '(', 93,
        ')', 94,
        '*', 216,
        '+', 122,
        ',', 84,
        '-', 127,
        '.', 212,
        '/', 217,
        ':', 91,
        ';', 80,
        '<', 200,
        '=', 85,
        '>', 203,
        '?', 97,
        '[', 151,
        '\\', 34,
        ']', 152,
        '^', 191,
        '`', 183,
        '{', 88,
        '|', 102,
        '}', 89,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(257);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 27,
        '#', 261,
        '$', 184,
        '%', 219,
        '&', 82,
        '\'', 182,
        '(', 93,
        ')', 94,
        '*', 216,
        '+', 121,
        ',', 84,
        '-', 128,
        '.', 212,
        '/', 217,
        '0', 118,
        ':', 91,
        ';', 80,
        '<', 200,
        '=', 85,
        '>', 203,
        '?', 97,
        '[', 151,
        '\\', 86,
        ']', 152,
        '^', 191,
        '{', 88,
        '|', 102,
        '}', 89,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(120);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(257);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 27,
        '#', 261,
        '$', 184,
        '%', 219,
        '&', 82,
        '(', 93,
        ')', 94,
        '*', 216,
        '+', 121,
        ',', 84,
        '-', 128,
        '.', 212,
        '/', 217,
        '0', 118,
        ':', 91,
        ';', 80,
        '<', 200,
        '=', 85,
        '>', 203,
        '?', 97,
        '[', 151,
        '\\', 86,
        ']', 152,
        '^', 191,
        '{', 88,
        '|', 102,
        '}', 89,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(120);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(257);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 27,
        '#', 261,
        '$', 184,
        '%', 219,
        '&', 82,
        '(', 93,
        ')', 94,
        '*', 216,
        '+', 121,
        ',', 84,
        '-', 124,
        '.', 212,
        '/', 217,
        ':', 91,
        ';', 80,
        '<', 200,
        '=', 85,
        '>', 203,
        '?', 99,
        '\\', 86,
        ']', 152,
        '^', 191,
        '{', 88,
        '|', 102,
        '}', 89,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(257);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(164);
      if (lookahead == '\'') ADVANCE(166);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '"', 165,
        '#', 261,
        '\'', 167,
        '.', 110,
        '/', 18,
        '0', 113,
        '<', 25,
        '?', 31,
        '_', 54,
        'B', 13,
        'b', 13,
        'E', 37,
        'e', 37,
        'F', 38,
        'f', 38,
        'N', 48,
        'n', 48,
        'T', 45,
        't', 45,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(115);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '#', 260,
        '$', 184,
        '&', 81,
        '(', 93,
        ')', 94,
        ',', 84,
        '.', 21,
        '/', 18,
        '?', 98,
        '\\', 86,
        '}', 89,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(15);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(257);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '#', 261,
        '$', 184,
        '&', 81,
        '(', 93,
        ')', 94,
        '.', 21,
        '/', 18,
        '=', 30,
        '?', 98,
        '\\', 86,
        '{', 88,
        '|', 100,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(16);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(257);
      END_STATE();
    case 17:
      if (lookahead == '#') ADVANCE(177);
      if (lookahead == '\'') ADVANCE(167);
      if (lookahead == '/') ADVANCE(172);
      if (lookahead == '?') ADVANCE(175);
      if (lookahead == '\\') ADVANCE(36);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(171);
      if (lookahead != 0) ADVANCE(178);
      END_STATE();
    case 18:
      if (lookahead == '*') ADVANCE(20);
      if (lookahead == '/') ADVANCE(259);
      END_STATE();
    case 19:
      if (lookahead == '*') ADVANCE(19);
      if (lookahead == '/') ADVANCE(258);
      if (lookahead != 0) ADVANCE(20);
      END_STATE();
    case 20:
      if (lookahead == '*') ADVANCE(19);
      if (lookahead != 0) ADVANCE(20);
      END_STATE();
    case 21:
      if (lookahead == '.') ADVANCE(23);
      END_STATE();
    case 22:
      if (lookahead == '.') ADVANCE(110);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(22);
      END_STATE();
    case 23:
      if (lookahead == '.') ADVANCE(95);
      END_STATE();
    case 24:
      if (lookahead == '<') ADVANCE(179);
      END_STATE();
    case 25:
      if (lookahead == '<') ADVANCE(24);
      END_STATE();
    case 26:
      if (lookahead == '<') ADVANCE(24);
      if (lookahead == '?') ADVANCE(67);
      END_STATE();
    case 27:
      if (lookahead == '=') ADVANCE(194);
      END_STATE();
    case 28:
      if (lookahead == '=') ADVANCE(193);
      if (lookahead == '>') ADVANCE(92);
      END_STATE();
    case 29:
      if (lookahead == '>') ADVANCE(149);
      END_STATE();
    case 30:
      if (lookahead == '>') ADVANCE(92);
      END_STATE();
    case 31:
      if (lookahead == '>') ADVANCE(68);
      END_STATE();
    case 32:
      if (lookahead == '>') ADVANCE(150);
      END_STATE();
    case 33:
      if (lookahead == 'u') ADVANCE(163);
      if (lookahead == 'x') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(160);
      if (set_contains(sym_escape_sequence_character_set_1, 10, lookahead)) ADVANCE(158);
      END_STATE();
    case 34:
      if (lookahead == 'u') ADVANCE(162);
      END_STATE();
    case 35:
      if (lookahead == '}') ADVANCE(158);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(35);
      END_STATE();
    case 36:
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(168);
      if (lookahead != 0) ADVANCE(178);
      END_STATE();
    case 37:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      END_STATE();
    case 38:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(41);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(155);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(44);
      END_STATE();
    case 41:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(46);
      END_STATE();
    case 42:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(153);
      END_STATE();
    case 43:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(42);
      END_STATE();
    case 44:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(66);
      END_STATE();
    case 45:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(47);
      END_STATE();
    case 46:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(39);
      END_STATE();
    case 47:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(39);
      END_STATE();
    case 48:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(43);
      END_STATE();
    case 49:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(116);
      END_STATE();
    case 50:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(114);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(119);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(110);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(22);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(120);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(117);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(161);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(35);
      END_STATE();
    case 60:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '!', 131,
        '"', 165,
        '#', 260,
        '$', 184,
        '%', 220,
        '&', 83,
        '\'', 167,
        '(', 93,
        ')', 94,
        '*', 215,
        '+', 123,
        ',', 84,
        '-', 126,
        '.', 213,
        '/', 218,
        '0', 113,
        ':', 91,
        ';', 80,
        '<', 201,
        '=', 85,
        '>', 202,
        '?', 96,
        '@', 132,
        '[', 151,
        '\\', 87,
        ']', 152,
        '^', 192,
        '_', 255,
        '`', 183,
        '{', 88,
        '|', 101,
        '}', 89,
        '~', 129,
        'A', 245,
        'a', 245,
        'B', 221,
        'b', 221,
        'E', 224,
        'e', 224,
        'F', 225,
        'f', 225,
        'I', 239,
        'i', 239,
        'N', 253,
        'n', 253,
        'S', 251,
        's', 251,
        'T', 244,
        't', 244,
        'U', 237,
        'u', 237,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(115);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(60);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(257);
      END_STATE();
    case 61:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '!', 130,
        '"', 165,
        '#', 260,
        '$', 184,
        '&', 81,
        '\'', 167,
        '(', 93,
        ')', 94,
        '+', 122,
        ',', 84,
        '-', 125,
        '.', 110,
        '/', 18,
        '0', 113,
        ':', 90,
        ';', 80,
        '<', 25,
        '=', 30,
        '?', 31,
        '@', 132,
        '[', 151,
        '\\', 86,
        ']', 152,
        '_', 255,
        '`', 183,
        '{', 88,
        '}', 89,
        '~', 129,
        'A', 245,
        'a', 245,
        'B', 222,
        'b', 222,
        'E', 224,
        'e', 224,
        'F', 226,
        'f', 226,
        'N', 253,
        'n', 253,
        'T', 244,
        't', 244,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(115);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(61);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(257);
      END_STATE();
    case 62:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '!', 27,
        '"', 165,
        '#', 261,
        '$', 184,
        '%', 220,
        '&', 83,
        '\'', 167,
        '(', 93,
        ')', 94,
        '*', 215,
        '+', 123,
        ',', 84,
        '-', 126,
        '.', 214,
        '/', 218,
        '0', 118,
        ':', 91,
        ';', 80,
        '<', 199,
        '=', 85,
        '>', 202,
        '?', 96,
        '[', 151,
        '\\', 86,
        ']', 152,
        '^', 192,
        '{', 88,
        '|', 101,
        '}', 89,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(120);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(62);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(257);
      END_STATE();
    case 63:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '"', 165,
        '#', 261,
        '$', 184,
        '&', 81,
        '\'', 167,
        '(', 93,
        ')', 94,
        '.', 21,
        '/', 18,
        '0', 118,
        '<', 26,
        '?', 31,
        '[', 151,
        '\\', 86,
        '|', 100,
        '}', 89,
        'A', 245,
        'a', 245,
        'B', 222,
        'b', 222,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(120);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(63);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(257);
      END_STATE();
    case 64:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '#', 78,
        '/', 73,
        '<', 69,
        '?', 76,
        0xa0, 72,
        0x200b, 72,
        0x2060, 72,
        0xfeff, 72,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(66);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(40);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '?') ADVANCE(67);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '\r') ADVANCE(71);
      if (lookahead == '>') ADVANCE(79);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(77);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(79);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '#') ADVANCE(78);
      if (lookahead == '/') ADVANCE(73);
      if (lookahead == '?') ADVANCE(76);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(72);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(72);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(79);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '/') ADVANCE(77);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(79);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(74);
      if (lookahead == '/') ADVANCE(79);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(75);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(74);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(75);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '>') ADVANCE(79);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(79);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '?') ADVANCE(70);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(79);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(77);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(79);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(77);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(79);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(190);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(190);
      if (lookahead == '=') ADVANCE(145);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(193);
      if (lookahead == '>') ADVANCE(92);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(168);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(133);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(32);
      if (lookahead == '>') ADVANCE(68);
      if (lookahead == '?') ADVANCE(186);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(32);
      if (lookahead == '>') ADVANCE(68);
      if (lookahead == '?') ADVANCE(185);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(68);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(68);
      if (lookahead == '?') ADVANCE(185);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(147);
      if (lookahead == '|') ADVANCE(189);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(189);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(aux_sym_cast_type_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(aux_sym_cast_type_token3);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(aux_sym_cast_type_token6);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_cast_type_token8);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(aux_sym_cast_type_token11);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(aux_sym_cast_type_token12);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(23);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(110);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(110);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(257);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 110,
        '_', 50,
        'B', 49,
        'b', 49,
        'E', 37,
        'e', 37,
        'O', 119,
        'o', 119,
        'X', 57,
        'x', 57,
        '8', 22,
        '9', 22,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(114);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(110);
      if (lookahead == '_') ADVANCE(50);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(114);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(110);
      if (lookahead == '_') ADVANCE(52);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(49);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(116);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(117);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(51);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(49);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(119);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(119);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(119);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(120);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(135);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(135);
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(134);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(134);
      if (lookahead == '=') ADVANCE(141);
      if (lookahead == '>') ADVANCE(149);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(134);
      if (lookahead == '>') ADVANCE(149);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(149);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(194);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_QMARK_DASH_GT);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACK);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(158);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(159);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(158);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(59);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym_encapsed_string_token1);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(178);
      if (lookahead == '\r') ADVANCE(170);
      if (lookahead == '>') ADVANCE(178);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(176);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(178);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(178);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '#') ADVANCE(177);
      if (lookahead == '/') ADVANCE(172);
      if (lookahead == '?') ADVANCE(175);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(171);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(178);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(174);
      if (lookahead == '/') ADVANCE(176);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(178);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(173);
      if (lookahead == '/') ADVANCE(178);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(174);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(173);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(174);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '>') ADVANCE(178);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(178);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '?') ADVANCE(169);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(178);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(176);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(178);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '[' &&
          lookahead != '\\') ADVANCE(176);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(178);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(181);
      if (lookahead == '\r') ADVANCE(181);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(148);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(136);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(146);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(196);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(197);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(204);
      if (lookahead == '>') ADVANCE(195);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(209);
      if (lookahead == '=') ADVANCE(204);
      if (lookahead == '>') ADVANCE(195);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(207);
      if (lookahead == '=') ADVANCE(204);
      if (lookahead == '>') ADVANCE(195);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '?') ADVANCE(67);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(205);
      if (lookahead == '>') ADVANCE(211);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(205);
      if (lookahead == '>') ADVANCE(210);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(206);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(179);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(143);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(144);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(23);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(110);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(142);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(188);
      if (lookahead == '=') ADVANCE(137);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(187);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(20);
      if (lookahead == '/') ADVANCE(259);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(20);
      if (lookahead == '/') ADVANCE(259);
      if (lookahead == '=') ADVANCE(138);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(139);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(164);
      if (lookahead == '\'') ADVANCE(166);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(241);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(164);
      if (lookahead == '\'') ADVANCE(166);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(110);
      if (lookahead == '_') ADVANCE(255);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(224);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(223);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(257);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(236);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(240);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(236);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(254);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(249);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(156);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(250);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(107);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(238);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(104);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(154);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(234);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(246);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(247);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(231);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(248);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(228);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(233);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(227);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(232);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(252);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(242);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(229);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(230);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(105);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(106);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(108);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(243);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(229);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(235);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(103);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(223);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_name);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(257);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(259);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '[') ADVANCE(157);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(259);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?' &&
          lookahead != '[') ADVANCE(259);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'B', 2,
        'E', 3,
        'F', 4,
        'I', 5,
        'M', 6,
        'N', 7,
        'P', 8,
        'S', 9,
        'T', 10,
        'U', 11,
        'V', 12,
        'a', 13,
        'b', 14,
        'e', 15,
        'f', 16,
        'i', 17,
        'm', 18,
        'n', 19,
        'p', 20,
        's', 21,
        't', 22,
        'u', 23,
        'v', 24,
        'C', 25,
        'c', 25,
        'D', 26,
        'd', 26,
        'G', 27,
        'g', 27,
        'L', 28,
        'l', 28,
        'O', 29,
        'o', 29,
        'R', 30,
        'r', 30,
        'W', 31,
        'w', 31,
        'X', 32,
        'x', 32,
        'Y', 33,
        'y', 33,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'N', 42,
        'n', 42,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 4:
      ADVANCE_MAP(
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 5:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 8:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(57);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 10:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 11:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'O') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(64);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        'N', 42,
        'n', 65,
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 16:
      ADVANCE_MAP(
        'a', 66,
        'l', 67,
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 17:
      if (lookahead == 'N') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(70);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(71);
      if (lookahead == 'u') ADVANCE(72);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'T') ADVANCE(57);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 't') ADVANCE(75);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 22:
      if (lookahead == 'R') ADVANCE(60);
      if (lookahead == 'i') ADVANCE(76);
      if (lookahead == 'r') ADVANCE(77);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(79);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 25:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(80);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(81);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 26:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(83);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(85);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 28:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(87);
      END_STATE();
    case 29:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(88);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(91);
      END_STATE();
    case 32:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 33:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym_namespace_use_clause_token1);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 38:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(99);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(100);
      END_STATE();
    case 42:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(103);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(104);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(105);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym__arrow_function_header_token1);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(108);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 51:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(113);
      END_STATE();
    case 53:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 54:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 55:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(116);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 56:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(118);
      END_STATE();
    case 57:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 58:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 59:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 60:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 61:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 62:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'O') ADVANCE(97);
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(128);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 66:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 67:
      if (lookahead == 'o') ADVANCE(130);
      END_STATE();
    case 68:
      if (lookahead == 'T') ADVANCE(112);
      if (lookahead == 't') ADVANCE(131);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 70:
      if (lookahead == 'x') ADVANCE(133);
      END_STATE();
    case 71:
      if (lookahead == 'v') ADVANCE(134);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 72:
      if (lookahead == 'l') ADVANCE(135);
      END_STATE();
    case 73:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 74:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(138);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(139);
      END_STATE();
    case 77:
      if (lookahead == 'u') ADVANCE(140);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 78:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 80:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(144);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(146);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(147);
      END_STATE();
    case 82:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 83:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(149);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(150);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(151);
      END_STATE();
    case 85:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(152);
      END_STATE();
    case 86:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(153);
      END_STATE();
    case 87:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(154);
      END_STATE();
    case 88:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(155);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 90:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(157);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(158);
      END_STATE();
    case 91:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(159);
      END_STATE();
    case 92:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(160);
      END_STATE();
    case 93:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 94:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(162);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 96:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 97:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(164);
      END_STATE();
    case 98:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(165);
      END_STATE();
    case 99:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 100:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        'D', 168,
        'd', 168,
        'F', 169,
        'f', 169,
        'I', 170,
        'i', 170,
        'S', 171,
        's', 171,
        'W', 172,
        'w', 172,
      );
      END_STATE();
    case 102:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(173);
      END_STATE();
    case 103:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(174);
      END_STATE();
    case 104:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 105:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(176);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 107:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(178);
      END_STATE();
    case 108:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(179);
      END_STATE();
    case 109:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 110:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 111:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(182);
      END_STATE();
    case 112:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 113:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(184);
      END_STATE();
    case 114:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym__new_non_dereferencable_expression_token1);
      END_STATE();
    case 116:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(186);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(187);
      END_STATE();
    case 117:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(188);
      END_STATE();
    case 118:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(189);
      END_STATE();
    case 119:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(190);
      END_STATE();
    case 120:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(191);
      END_STATE();
    case 121:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 122:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 127:
      if (lookahead == 'L') ADVANCE(164);
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(196);
      END_STATE();
    case 129:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(202);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 137:
      if (lookahead == 'f') ADVANCE(204);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(205);
      END_STATE();
    case 139:
      if (lookahead == 'k') ADVANCE(206);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 142:
      if (lookahead == 'd') ADVANCE(209);
      END_STATE();
    case 143:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 144:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 145:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(213);
      END_STATE();
    case 147:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(215);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(216);
      END_STATE();
    case 149:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 150:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 151:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(219);
      END_STATE();
    case 152:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(220);
      END_STATE();
    case 153:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(221);
      END_STATE();
    case 154:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(222);
      END_STATE();
    case 155:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 156:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(224);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 157:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(226);
      END_STATE();
    case 158:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(227);
      END_STATE();
    case 159:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 161:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(230);
      END_STATE();
    case 163:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 164:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 165:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(233);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 168:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 169:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(236);
      END_STATE();
    case 170:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(237);
      END_STATE();
    case 171:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(238);
      END_STATE();
    case 172:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(239);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_enum_declaration_token1);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_exit_statement_token1);
      END_STATE();
    case 175:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(240);
      END_STATE();
    case 176:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      END_STATE();
    case 177:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(242);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_yield_expression_token2);
      END_STATE();
    case 179:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(243);
      END_STATE();
    case 180:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 181:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(245);
      END_STATE();
    case 182:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(246);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 183:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(248);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(249);
      END_STATE();
    case 184:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(251);
      END_STATE();
    case 186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(252);
      END_STATE();
    case 187:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 188:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 189:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(255);
      END_STATE();
    case 190:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 191:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(257);
      END_STATE();
    case 192:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(258);
      END_STATE();
    case 193:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(259);
      END_STATE();
    case 194:
      if (lookahead == 'y') ADVANCE(260);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 199:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 200:
      if (lookahead == 'd') ADVANCE(265);
      END_STATE();
    case 201:
      if (lookahead == 'r') ADVANCE(266);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 203:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(268);
      if (lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 206:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 210:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym_enum_case_token1);
      END_STATE();
    case 212:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(273);
      END_STATE();
    case 213:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(274);
      END_STATE();
    case 214:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(275);
      END_STATE();
    case 215:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(276);
      END_STATE();
    case 216:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 218:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(279);
      END_STATE();
    case 219:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 220:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym__list_destructing_token1);
      END_STATE();
    case 223:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(282);
      END_STATE();
    case 224:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(aux_sym_cast_type_token10);
      END_STATE();
    case 226:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(284);
      END_STATE();
    case 227:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(285);
      END_STATE();
    case 228:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(286);
      END_STATE();
    case 229:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(287);
      END_STATE();
    case 230:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(288);
      END_STATE();
    case 231:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(289);
      END_STATE();
    case 232:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 234:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(291);
      END_STATE();
    case 235:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(292);
      END_STATE();
    case 236:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 238:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 239:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(296);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym_final_modifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(297);
      END_STATE();
    case 242:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(298);
      END_STATE();
    case 243:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 244:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 246:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 247:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(303);
      END_STATE();
    case 248:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 249:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(305);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym_match_expression_token1);
      END_STATE();
    case 251:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(306);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(aux_sym_print_intrinsic_token1);
      END_STATE();
    case 253:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(307);
      END_STATE();
    case 254:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(308);
      END_STATE();
    case 255:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(309);
      END_STATE();
    case 256:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(310);
      END_STATE();
    case 257:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(311);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 261:
      if (lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 264:
      if (lookahead == 'b') ADVANCE(313);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_mixed);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_bottom_type);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 268:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 269:
      if (lookahead == 'g') ADVANCE(316);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 272:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(317);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_clone_expression_token1);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym__namespace_use_type_token2);
      END_STATE();
    case 277:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 278:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 279:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(320);
      END_STATE();
    case 280:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 281:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(322);
      END_STATE();
    case 282:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(323);
      END_STATE();
    case 283:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 284:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(325);
      END_STATE();
    case 285:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym_yield_expression_token1);
      END_STATE();
    case 288:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_cast_type_token2);
      END_STATE();
    case 290:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(328);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 292:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(342);
      END_STATE();
    case 306:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 308:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(345);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(346);
      END_STATE();
    case 313:
      if (lookahead == 'l') ADVANCE(347);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 315:
      if (lookahead == '_') ADVANCE(348);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 317:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 318:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(350);
      END_STATE();
    case 319:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 320:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(352);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_cast_type_token5);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_cast_type_token9);
      END_STATE();
    case 324:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(353);
      END_STATE();
    case 325:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 327:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(355);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_cast_type_token4);
      END_STATE();
    case 329:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 330:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(357);
      END_STATE();
    case 331:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(358);
      END_STATE();
    case 332:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(359);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 336:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(360);
      END_STATE();
    case 337:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(361);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(362);
      END_STATE();
    case 339:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(363);
      END_STATE();
    case 340:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(364);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_cast_type_token7);
      END_STATE();
    case 342:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(365);
      END_STATE();
    case 343:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(366);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 345:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 346:
      if (lookahead == 'g') ADVANCE(368);
      END_STATE();
    case 347:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 348:
      if (lookahead == 't') ADVANCE(370);
      END_STATE();
    case 349:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 350:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_match_default_expression_token1);
      END_STATE();
    case 353:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(373);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(374);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_abstract_modifier_token1);
      END_STATE();
    case 356:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(375);
      END_STATE();
    case 357:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(376);
      END_STATE();
    case 358:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(377);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym__namespace_use_type_token1);
      END_STATE();
    case 361:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(378);
      END_STATE();
    case 362:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(379);
      END_STATE();
    case 363:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(380);
      END_STATE();
    case 364:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(381);
      END_STATE();
    case 365:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 366:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 367:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 370:
      if (lookahead == 'y') ADVANCE(385);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_readonly_modifier_token1);
      END_STATE();
    case 374:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(386);
      END_STATE();
    case 375:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(387);
      END_STATE();
    case 376:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(388);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 378:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(389);
      END_STATE();
    case 379:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 380:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(391);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 385:
      if (lookahead == 'p') ADVANCE(392);
      END_STATE();
    case 386:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(393);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(aux_sym_declare_statement_token2);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 390:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(394);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 392:
      if (lookahead == 'e') ADVANCE(395);
      END_STATE();
    case 393:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 394:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 395:
      if (lookahead == 's') ADVANCE(398);
      END_STATE();
    case 396:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 64},
  [2] = {.lex_state = 61},
  [3] = {.lex_state = 61},
  [4] = {.lex_state = 61},
  [5] = {.lex_state = 61},
  [6] = {.lex_state = 61},
  [7] = {.lex_state = 61},
  [8] = {.lex_state = 61},
  [9] = {.lex_state = 61},
  [10] = {.lex_state = 61, .external_lex_state = 2},
  [11] = {.lex_state = 61, .external_lex_state = 2},
  [12] = {.lex_state = 61},
  [13] = {.lex_state = 61, .external_lex_state = 2},
  [14] = {.lex_state = 61, .external_lex_state = 2},
  [15] = {.lex_state = 61},
  [16] = {.lex_state = 61, .external_lex_state = 2},
  [17] = {.lex_state = 61, .external_lex_state = 2},
  [18] = {.lex_state = 61, .external_lex_state = 2},
  [19] = {.lex_state = 61, .external_lex_state = 2},
  [20] = {.lex_state = 61, .external_lex_state = 2},
  [21] = {.lex_state = 61, .external_lex_state = 2},
  [22] = {.lex_state = 61, .external_lex_state = 2},
  [23] = {.lex_state = 61, .external_lex_state = 2},
  [24] = {.lex_state = 61, .external_lex_state = 2},
  [25] = {.lex_state = 61, .external_lex_state = 2},
  [26] = {.lex_state = 61, .external_lex_state = 2},
  [27] = {.lex_state = 61, .external_lex_state = 2},
  [28] = {.lex_state = 61, .external_lex_state = 2},
  [29] = {.lex_state = 61, .external_lex_state = 2},
  [30] = {.lex_state = 61, .external_lex_state = 2},
  [31] = {.lex_state = 61, .external_lex_state = 2},
  [32] = {.lex_state = 61, .external_lex_state = 2},
  [33] = {.lex_state = 61, .external_lex_state = 2},
  [34] = {.lex_state = 61, .external_lex_state = 2},
  [35] = {.lex_state = 61, .external_lex_state = 2},
  [36] = {.lex_state = 61, .external_lex_state = 2},
  [37] = {.lex_state = 61, .external_lex_state = 2},
  [38] = {.lex_state = 61, .external_lex_state = 2},
  [39] = {.lex_state = 61, .external_lex_state = 2},
  [40] = {.lex_state = 61, .external_lex_state = 2},
  [41] = {.lex_state = 61, .external_lex_state = 2},
  [42] = {.lex_state = 61, .external_lex_state = 2},
  [43] = {.lex_state = 61, .external_lex_state = 2},
  [44] = {.lex_state = 61, .external_lex_state = 2},
  [45] = {.lex_state = 61, .external_lex_state = 2},
  [46] = {.lex_state = 61, .external_lex_state = 2},
  [47] = {.lex_state = 61, .external_lex_state = 2},
  [48] = {.lex_state = 61, .external_lex_state = 2},
  [49] = {.lex_state = 61, .external_lex_state = 2},
  [50] = {.lex_state = 61, .external_lex_state = 2},
  [51] = {.lex_state = 61, .external_lex_state = 2},
  [52] = {.lex_state = 61},
  [53] = {.lex_state = 61},
  [54] = {.lex_state = 61},
  [55] = {.lex_state = 61},
  [56] = {.lex_state = 61},
  [57] = {.lex_state = 61},
  [58] = {.lex_state = 61},
  [59] = {.lex_state = 61},
  [60] = {.lex_state = 61},
  [61] = {.lex_state = 61},
  [62] = {.lex_state = 61},
  [63] = {.lex_state = 61},
  [64] = {.lex_state = 61},
  [65] = {.lex_state = 61},
  [66] = {.lex_state = 61},
  [67] = {.lex_state = 61},
  [68] = {.lex_state = 61},
  [69] = {.lex_state = 61},
  [70] = {.lex_state = 61},
  [71] = {.lex_state = 61},
  [72] = {.lex_state = 61},
  [73] = {.lex_state = 61},
  [74] = {.lex_state = 61},
  [75] = {.lex_state = 61},
  [76] = {.lex_state = 61},
  [77] = {.lex_state = 61},
  [78] = {.lex_state = 61},
  [79] = {.lex_state = 61},
  [80] = {.lex_state = 61},
  [81] = {.lex_state = 61},
  [82] = {.lex_state = 61},
  [83] = {.lex_state = 61},
  [84] = {.lex_state = 61},
  [85] = {.lex_state = 61},
  [86] = {.lex_state = 61},
  [87] = {.lex_state = 61},
  [88] = {.lex_state = 61},
  [89] = {.lex_state = 61},
  [90] = {.lex_state = 61},
  [91] = {.lex_state = 61},
  [92] = {.lex_state = 61},
  [93] = {.lex_state = 61},
  [94] = {.lex_state = 61},
  [95] = {.lex_state = 61},
  [96] = {.lex_state = 61},
  [97] = {.lex_state = 61},
  [98] = {.lex_state = 61},
  [99] = {.lex_state = 61},
  [100] = {.lex_state = 61},
  [101] = {.lex_state = 61},
  [102] = {.lex_state = 61},
  [103] = {.lex_state = 61},
  [104] = {.lex_state = 61},
  [105] = {.lex_state = 61},
  [106] = {.lex_state = 61},
  [107] = {.lex_state = 61},
  [108] = {.lex_state = 61},
  [109] = {.lex_state = 61},
  [110] = {.lex_state = 61},
  [111] = {.lex_state = 61},
  [112] = {.lex_state = 61},
  [113] = {.lex_state = 61},
  [114] = {.lex_state = 61},
  [115] = {.lex_state = 61},
  [116] = {.lex_state = 61},
  [117] = {.lex_state = 61},
  [118] = {.lex_state = 5},
  [119] = {.lex_state = 5, .external_lex_state = 2},
  [120] = {.lex_state = 5},
  [121] = {.lex_state = 5},
  [122] = {.lex_state = 7},
  [123] = {.lex_state = 7},
  [124] = {.lex_state = 7},
  [125] = {.lex_state = 7},
  [126] = {.lex_state = 7},
  [127] = {.lex_state = 7},
  [128] = {.lex_state = 7},
  [129] = {.lex_state = 7},
  [130] = {.lex_state = 7},
  [131] = {.lex_state = 7},
  [132] = {.lex_state = 7},
  [133] = {.lex_state = 6},
  [134] = {.lex_state = 6},
  [135] = {.lex_state = 6},
  [136] = {.lex_state = 6},
  [137] = {.lex_state = 6},
  [138] = {.lex_state = 6},
  [139] = {.lex_state = 6},
  [140] = {.lex_state = 6},
  [141] = {.lex_state = 6},
  [142] = {.lex_state = 6},
  [143] = {.lex_state = 6},
  [144] = {.lex_state = 6},
  [145] = {.lex_state = 6},
  [146] = {.lex_state = 6},
  [147] = {.lex_state = 6},
  [148] = {.lex_state = 6},
  [149] = {.lex_state = 6},
  [150] = {.lex_state = 6},
  [151] = {.lex_state = 6},
  [152] = {.lex_state = 6},
  [153] = {.lex_state = 6},
  [154] = {.lex_state = 6},
  [155] = {.lex_state = 6},
  [156] = {.lex_state = 6},
  [157] = {.lex_state = 6},
  [158] = {.lex_state = 6},
  [159] = {.lex_state = 6},
  [160] = {.lex_state = 6},
  [161] = {.lex_state = 6},
  [162] = {.lex_state = 61},
  [163] = {.lex_state = 6},
  [164] = {.lex_state = 6},
  [165] = {.lex_state = 6},
  [166] = {.lex_state = 6},
  [167] = {.lex_state = 6},
  [168] = {.lex_state = 6},
  [169] = {.lex_state = 61},
  [170] = {.lex_state = 6},
  [171] = {.lex_state = 61},
  [172] = {.lex_state = 6},
  [173] = {.lex_state = 61},
  [174] = {.lex_state = 61},
  [175] = {.lex_state = 61},
  [176] = {.lex_state = 61},
  [177] = {.lex_state = 6},
  [178] = {.lex_state = 61},
  [179] = {.lex_state = 61},
  [180] = {.lex_state = 61},
  [181] = {.lex_state = 61},
  [182] = {.lex_state = 61},
  [183] = {.lex_state = 61},
  [184] = {.lex_state = 61},
  [185] = {.lex_state = 61},
  [186] = {.lex_state = 61},
  [187] = {.lex_state = 6},
  [188] = {.lex_state = 61},
  [189] = {.lex_state = 61},
  [190] = {.lex_state = 61, .external_lex_state = 2},
  [191] = {.lex_state = 61, .external_lex_state = 2},
  [192] = {.lex_state = 61},
  [193] = {.lex_state = 61},
  [194] = {.lex_state = 61},
  [195] = {.lex_state = 61},
  [196] = {.lex_state = 61},
  [197] = {.lex_state = 61},
  [198] = {.lex_state = 61, .external_lex_state = 2},
  [199] = {.lex_state = 61},
  [200] = {.lex_state = 61},
  [201] = {.lex_state = 61},
  [202] = {.lex_state = 61},
  [203] = {.lex_state = 61},
  [204] = {.lex_state = 61, .external_lex_state = 2},
  [205] = {.lex_state = 61},
  [206] = {.lex_state = 61},
  [207] = {.lex_state = 61},
  [208] = {.lex_state = 61},
  [209] = {.lex_state = 61},
  [210] = {.lex_state = 61},
  [211] = {.lex_state = 61, .external_lex_state = 2},
  [212] = {.lex_state = 61},
  [213] = {.lex_state = 61},
  [214] = {.lex_state = 61},
  [215] = {.lex_state = 61},
  [216] = {.lex_state = 61},
  [217] = {.lex_state = 61},
  [218] = {.lex_state = 61},
  [219] = {.lex_state = 61},
  [220] = {.lex_state = 61},
  [221] = {.lex_state = 61},
  [222] = {.lex_state = 61, .external_lex_state = 2},
  [223] = {.lex_state = 61},
  [224] = {.lex_state = 61},
  [225] = {.lex_state = 61},
  [226] = {.lex_state = 61},
  [227] = {.lex_state = 61},
  [228] = {.lex_state = 61},
  [229] = {.lex_state = 61},
  [230] = {.lex_state = 6},
  [231] = {.lex_state = 61},
  [232] = {.lex_state = 6},
  [233] = {.lex_state = 61},
  [234] = {.lex_state = 61},
  [235] = {.lex_state = 61},
  [236] = {.lex_state = 61},
  [237] = {.lex_state = 61},
  [238] = {.lex_state = 61},
  [239] = {.lex_state = 61},
  [240] = {.lex_state = 61},
  [241] = {.lex_state = 61},
  [242] = {.lex_state = 61},
  [243] = {.lex_state = 61},
  [244] = {.lex_state = 61},
  [245] = {.lex_state = 61},
  [246] = {.lex_state = 61},
  [247] = {.lex_state = 61},
  [248] = {.lex_state = 61},
  [249] = {.lex_state = 61},
  [250] = {.lex_state = 61},
  [251] = {.lex_state = 61},
  [252] = {.lex_state = 61},
  [253] = {.lex_state = 61},
  [254] = {.lex_state = 61},
  [255] = {.lex_state = 61},
  [256] = {.lex_state = 61},
  [257] = {.lex_state = 61},
  [258] = {.lex_state = 61},
  [259] = {.lex_state = 61},
  [260] = {.lex_state = 61},
  [261] = {.lex_state = 61},
  [262] = {.lex_state = 61},
  [263] = {.lex_state = 61},
  [264] = {.lex_state = 61},
  [265] = {.lex_state = 61},
  [266] = {.lex_state = 61},
  [267] = {.lex_state = 61},
  [268] = {.lex_state = 61},
  [269] = {.lex_state = 61},
  [270] = {.lex_state = 61},
  [271] = {.lex_state = 61},
  [272] = {.lex_state = 61},
  [273] = {.lex_state = 61},
  [274] = {.lex_state = 61},
  [275] = {.lex_state = 61},
  [276] = {.lex_state = 61},
  [277] = {.lex_state = 61},
  [278] = {.lex_state = 61},
  [279] = {.lex_state = 61},
  [280] = {.lex_state = 61},
  [281] = {.lex_state = 61},
  [282] = {.lex_state = 61},
  [283] = {.lex_state = 61},
  [284] = {.lex_state = 61},
  [285] = {.lex_state = 61},
  [286] = {.lex_state = 61},
  [287] = {.lex_state = 61},
  [288] = {.lex_state = 61},
  [289] = {.lex_state = 61},
  [290] = {.lex_state = 61},
  [291] = {.lex_state = 61},
  [292] = {.lex_state = 61},
  [293] = {.lex_state = 61},
  [294] = {.lex_state = 61},
  [295] = {.lex_state = 61},
  [296] = {.lex_state = 61},
  [297] = {.lex_state = 61},
  [298] = {.lex_state = 61},
  [299] = {.lex_state = 61},
  [300] = {.lex_state = 61},
  [301] = {.lex_state = 61},
  [302] = {.lex_state = 61},
  [303] = {.lex_state = 61},
  [304] = {.lex_state = 61},
  [305] = {.lex_state = 61},
  [306] = {.lex_state = 61},
  [307] = {.lex_state = 61},
  [308] = {.lex_state = 61},
  [309] = {.lex_state = 61},
  [310] = {.lex_state = 61},
  [311] = {.lex_state = 61},
  [312] = {.lex_state = 61},
  [313] = {.lex_state = 61},
  [314] = {.lex_state = 61},
  [315] = {.lex_state = 61},
  [316] = {.lex_state = 61},
  [317] = {.lex_state = 61},
  [318] = {.lex_state = 61},
  [319] = {.lex_state = 61},
  [320] = {.lex_state = 61},
  [321] = {.lex_state = 61},
  [322] = {.lex_state = 61},
  [323] = {.lex_state = 61},
  [324] = {.lex_state = 61},
  [325] = {.lex_state = 61},
  [326] = {.lex_state = 61},
  [327] = {.lex_state = 61},
  [328] = {.lex_state = 61},
  [329] = {.lex_state = 61},
  [330] = {.lex_state = 61},
  [331] = {.lex_state = 61},
  [332] = {.lex_state = 61},
  [333] = {.lex_state = 61},
  [334] = {.lex_state = 61},
  [335] = {.lex_state = 61},
  [336] = {.lex_state = 61},
  [337] = {.lex_state = 61},
  [338] = {.lex_state = 61},
  [339] = {.lex_state = 61},
  [340] = {.lex_state = 61},
  [341] = {.lex_state = 61},
  [342] = {.lex_state = 61},
  [343] = {.lex_state = 61},
  [344] = {.lex_state = 61},
  [345] = {.lex_state = 61},
  [346] = {.lex_state = 61},
  [347] = {.lex_state = 61},
  [348] = {.lex_state = 61},
  [349] = {.lex_state = 61},
  [350] = {.lex_state = 61},
  [351] = {.lex_state = 61},
  [352] = {.lex_state = 61},
  [353] = {.lex_state = 61},
  [354] = {.lex_state = 61},
  [355] = {.lex_state = 61},
  [356] = {.lex_state = 61},
  [357] = {.lex_state = 61},
  [358] = {.lex_state = 61},
  [359] = {.lex_state = 61},
  [360] = {.lex_state = 61},
  [361] = {.lex_state = 61},
  [362] = {.lex_state = 61},
  [363] = {.lex_state = 61},
  [364] = {.lex_state = 61},
  [365] = {.lex_state = 61},
  [366] = {.lex_state = 61},
  [367] = {.lex_state = 61},
  [368] = {.lex_state = 61},
  [369] = {.lex_state = 61},
  [370] = {.lex_state = 61},
  [371] = {.lex_state = 61},
  [372] = {.lex_state = 61},
  [373] = {.lex_state = 61},
  [374] = {.lex_state = 61},
  [375] = {.lex_state = 61},
  [376] = {.lex_state = 61},
  [377] = {.lex_state = 61},
  [378] = {.lex_state = 61},
  [379] = {.lex_state = 61},
  [380] = {.lex_state = 61},
  [381] = {.lex_state = 61},
  [382] = {.lex_state = 61},
  [383] = {.lex_state = 61},
  [384] = {.lex_state = 61},
  [385] = {.lex_state = 61},
  [386] = {.lex_state = 61},
  [387] = {.lex_state = 61},
  [388] = {.lex_state = 61},
  [389] = {.lex_state = 61},
  [390] = {.lex_state = 61},
  [391] = {.lex_state = 61},
  [392] = {.lex_state = 61},
  [393] = {.lex_state = 61},
  [394] = {.lex_state = 61},
  [395] = {.lex_state = 61},
  [396] = {.lex_state = 61},
  [397] = {.lex_state = 61},
  [398] = {.lex_state = 61},
  [399] = {.lex_state = 61},
  [400] = {.lex_state = 61},
  [401] = {.lex_state = 61},
  [402] = {.lex_state = 61},
  [403] = {.lex_state = 61},
  [404] = {.lex_state = 61},
  [405] = {.lex_state = 61},
  [406] = {.lex_state = 61},
  [407] = {.lex_state = 61},
  [408] = {.lex_state = 61},
  [409] = {.lex_state = 61},
  [410] = {.lex_state = 61},
  [411] = {.lex_state = 61},
  [412] = {.lex_state = 61},
  [413] = {.lex_state = 61},
  [414] = {.lex_state = 61},
  [415] = {.lex_state = 61},
  [416] = {.lex_state = 61},
  [417] = {.lex_state = 61},
  [418] = {.lex_state = 61},
  [419] = {.lex_state = 61},
  [420] = {.lex_state = 61},
  [421] = {.lex_state = 61},
  [422] = {.lex_state = 61},
  [423] = {.lex_state = 61},
  [424] = {.lex_state = 61},
  [425] = {.lex_state = 61},
  [426] = {.lex_state = 61},
  [427] = {.lex_state = 61},
  [428] = {.lex_state = 61},
  [429] = {.lex_state = 61},
  [430] = {.lex_state = 61},
  [431] = {.lex_state = 61},
  [432] = {.lex_state = 61},
  [433] = {.lex_state = 61},
  [434] = {.lex_state = 61},
  [435] = {.lex_state = 61},
  [436] = {.lex_state = 61},
  [437] = {.lex_state = 61},
  [438] = {.lex_state = 61},
  [439] = {.lex_state = 61},
  [440] = {.lex_state = 61},
  [441] = {.lex_state = 61},
  [442] = {.lex_state = 61},
  [443] = {.lex_state = 61},
  [444] = {.lex_state = 61},
  [445] = {.lex_state = 61},
  [446] = {.lex_state = 61},
  [447] = {.lex_state = 61},
  [448] = {.lex_state = 61},
  [449] = {.lex_state = 61},
  [450] = {.lex_state = 61},
  [451] = {.lex_state = 61},
  [452] = {.lex_state = 61},
  [453] = {.lex_state = 61},
  [454] = {.lex_state = 61},
  [455] = {.lex_state = 61},
  [456] = {.lex_state = 61},
  [457] = {.lex_state = 61},
  [458] = {.lex_state = 61},
  [459] = {.lex_state = 61},
  [460] = {.lex_state = 61},
  [461] = {.lex_state = 61},
  [462] = {.lex_state = 61},
  [463] = {.lex_state = 61},
  [464] = {.lex_state = 61},
  [465] = {.lex_state = 61},
  [466] = {.lex_state = 61},
  [467] = {.lex_state = 61},
  [468] = {.lex_state = 61},
  [469] = {.lex_state = 61},
  [470] = {.lex_state = 61},
  [471] = {.lex_state = 61},
  [472] = {.lex_state = 61},
  [473] = {.lex_state = 61},
  [474] = {.lex_state = 61},
  [475] = {.lex_state = 61},
  [476] = {.lex_state = 61},
  [477] = {.lex_state = 61},
  [478] = {.lex_state = 61},
  [479] = {.lex_state = 61},
  [480] = {.lex_state = 61},
  [481] = {.lex_state = 61},
  [482] = {.lex_state = 61},
  [483] = {.lex_state = 61},
  [484] = {.lex_state = 61},
  [485] = {.lex_state = 61},
  [486] = {.lex_state = 61},
  [487] = {.lex_state = 61},
  [488] = {.lex_state = 61},
  [489] = {.lex_state = 61},
  [490] = {.lex_state = 61},
  [491] = {.lex_state = 61},
  [492] = {.lex_state = 61},
  [493] = {.lex_state = 61},
  [494] = {.lex_state = 61},
  [495] = {.lex_state = 61},
  [496] = {.lex_state = 61},
  [497] = {.lex_state = 61},
  [498] = {.lex_state = 61},
  [499] = {.lex_state = 61},
  [500] = {.lex_state = 61},
  [501] = {.lex_state = 61},
  [502] = {.lex_state = 61},
  [503] = {.lex_state = 61},
  [504] = {.lex_state = 61},
  [505] = {.lex_state = 61},
  [506] = {.lex_state = 61},
  [507] = {.lex_state = 61},
  [508] = {.lex_state = 61},
  [509] = {.lex_state = 61},
  [510] = {.lex_state = 61},
  [511] = {.lex_state = 61},
  [512] = {.lex_state = 61},
  [513] = {.lex_state = 61},
  [514] = {.lex_state = 61},
  [515] = {.lex_state = 61},
  [516] = {.lex_state = 61},
  [517] = {.lex_state = 61},
  [518] = {.lex_state = 61},
  [519] = {.lex_state = 61},
  [520] = {.lex_state = 61},
  [521] = {.lex_state = 61},
  [522] = {.lex_state = 61},
  [523] = {.lex_state = 61},
  [524] = {.lex_state = 61},
  [525] = {.lex_state = 61},
  [526] = {.lex_state = 61},
  [527] = {.lex_state = 61},
  [528] = {.lex_state = 61},
  [529] = {.lex_state = 61},
  [530] = {.lex_state = 61},
  [531] = {.lex_state = 61},
  [532] = {.lex_state = 61},
  [533] = {.lex_state = 61},
  [534] = {.lex_state = 61},
  [535] = {.lex_state = 61},
  [536] = {.lex_state = 61},
  [537] = {.lex_state = 61},
  [538] = {.lex_state = 61},
  [539] = {.lex_state = 61},
  [540] = {.lex_state = 61},
  [541] = {.lex_state = 61},
  [542] = {.lex_state = 61},
  [543] = {.lex_state = 61},
  [544] = {.lex_state = 61},
  [545] = {.lex_state = 61},
  [546] = {.lex_state = 61},
  [547] = {.lex_state = 61},
  [548] = {.lex_state = 61},
  [549] = {.lex_state = 61},
  [550] = {.lex_state = 61},
  [551] = {.lex_state = 61},
  [552] = {.lex_state = 61},
  [553] = {.lex_state = 61},
  [554] = {.lex_state = 61},
  [555] = {.lex_state = 61},
  [556] = {.lex_state = 61},
  [557] = {.lex_state = 61},
  [558] = {.lex_state = 61},
  [559] = {.lex_state = 61},
  [560] = {.lex_state = 61},
  [561] = {.lex_state = 61},
  [562] = {.lex_state = 61},
  [563] = {.lex_state = 61},
  [564] = {.lex_state = 61},
  [565] = {.lex_state = 61},
  [566] = {.lex_state = 61},
  [567] = {.lex_state = 61},
  [568] = {.lex_state = 61},
  [569] = {.lex_state = 61},
  [570] = {.lex_state = 61},
  [571] = {.lex_state = 61},
  [572] = {.lex_state = 61},
  [573] = {.lex_state = 61},
  [574] = {.lex_state = 61},
  [575] = {.lex_state = 61},
  [576] = {.lex_state = 61},
  [577] = {.lex_state = 61},
  [578] = {.lex_state = 61},
  [579] = {.lex_state = 61},
  [580] = {.lex_state = 61},
  [581] = {.lex_state = 61},
  [582] = {.lex_state = 61},
  [583] = {.lex_state = 61},
  [584] = {.lex_state = 61},
  [585] = {.lex_state = 61},
  [586] = {.lex_state = 61},
  [587] = {.lex_state = 62},
  [588] = {.lex_state = 62},
  [589] = {.lex_state = 62},
  [590] = {.lex_state = 62},
  [591] = {.lex_state = 62},
  [592] = {.lex_state = 62},
  [593] = {.lex_state = 62},
  [594] = {.lex_state = 62},
  [595] = {.lex_state = 62},
  [596] = {.lex_state = 62},
  [597] = {.lex_state = 62},
  [598] = {.lex_state = 62},
  [599] = {.lex_state = 62},
  [600] = {.lex_state = 62},
  [601] = {.lex_state = 62},
  [602] = {.lex_state = 62},
  [603] = {.lex_state = 62},
  [604] = {.lex_state = 62},
  [605] = {.lex_state = 62},
  [606] = {.lex_state = 62},
  [607] = {.lex_state = 62},
  [608] = {.lex_state = 62},
  [609] = {.lex_state = 62},
  [610] = {.lex_state = 62},
  [611] = {.lex_state = 62},
  [612] = {.lex_state = 62},
  [613] = {.lex_state = 62},
  [614] = {.lex_state = 62},
  [615] = {.lex_state = 62},
  [616] = {.lex_state = 62},
  [617] = {.lex_state = 62},
  [618] = {.lex_state = 62},
  [619] = {.lex_state = 62},
  [620] = {.lex_state = 62},
  [621] = {.lex_state = 62},
  [622] = {.lex_state = 62},
  [623] = {.lex_state = 62, .external_lex_state = 2},
  [624] = {.lex_state = 62, .external_lex_state = 2},
  [625] = {.lex_state = 63},
  [626] = {.lex_state = 62},
  [627] = {.lex_state = 62, .external_lex_state = 2},
  [628] = {.lex_state = 62, .external_lex_state = 2},
  [629] = {.lex_state = 62, .external_lex_state = 2},
  [630] = {.lex_state = 63},
  [631] = {.lex_state = 62, .external_lex_state = 2},
  [632] = {.lex_state = 62, .external_lex_state = 2},
  [633] = {.lex_state = 63},
  [634] = {.lex_state = 62},
  [635] = {.lex_state = 62, .external_lex_state = 2},
  [636] = {.lex_state = 62, .external_lex_state = 2},
  [637] = {.lex_state = 63},
  [638] = {.lex_state = 62, .external_lex_state = 2},
  [639] = {.lex_state = 62, .external_lex_state = 2},
  [640] = {.lex_state = 62, .external_lex_state = 2},
  [641] = {.lex_state = 62, .external_lex_state = 2},
  [642] = {.lex_state = 62},
  [643] = {.lex_state = 62, .external_lex_state = 2},
  [644] = {.lex_state = 62, .external_lex_state = 2},
  [645] = {.lex_state = 62, .external_lex_state = 2},
  [646] = {.lex_state = 62, .external_lex_state = 2},
  [647] = {.lex_state = 62, .external_lex_state = 2},
  [648] = {.lex_state = 62, .external_lex_state = 2},
  [649] = {.lex_state = 62, .external_lex_state = 2},
  [650] = {.lex_state = 63},
  [651] = {.lex_state = 62, .external_lex_state = 2},
  [652] = {.lex_state = 62, .external_lex_state = 2},
  [653] = {.lex_state = 62, .external_lex_state = 2},
  [654] = {.lex_state = 62, .external_lex_state = 2},
  [655] = {.lex_state = 62, .external_lex_state = 2},
  [656] = {.lex_state = 62, .external_lex_state = 2},
  [657] = {.lex_state = 62},
  [658] = {.lex_state = 62},
  [659] = {.lex_state = 62, .external_lex_state = 2},
  [660] = {.lex_state = 62, .external_lex_state = 2},
  [661] = {.lex_state = 62, .external_lex_state = 2},
  [662] = {.lex_state = 62, .external_lex_state = 2},
  [663] = {.lex_state = 62, .external_lex_state = 2},
  [664] = {.lex_state = 62, .external_lex_state = 2},
  [665] = {.lex_state = 63},
  [666] = {.lex_state = 62, .external_lex_state = 2},
  [667] = {.lex_state = 62, .external_lex_state = 2},
  [668] = {.lex_state = 62, .external_lex_state = 2},
  [669] = {.lex_state = 62, .external_lex_state = 2},
  [670] = {.lex_state = 62, .external_lex_state = 2},
  [671] = {.lex_state = 62, .external_lex_state = 2},
  [672] = {.lex_state = 62},
  [673] = {.lex_state = 62},
  [674] = {.lex_state = 62},
  [675] = {.lex_state = 62},
  [676] = {.lex_state = 62},
  [677] = {.lex_state = 62},
  [678] = {.lex_state = 62},
  [679] = {.lex_state = 62},
  [680] = {.lex_state = 62},
  [681] = {.lex_state = 62},
  [682] = {.lex_state = 62},
  [683] = {.lex_state = 62},
  [684] = {.lex_state = 63},
  [685] = {.lex_state = 62},
  [686] = {.lex_state = 62},
  [687] = {.lex_state = 62},
  [688] = {.lex_state = 63},
  [689] = {.lex_state = 62},
  [690] = {.lex_state = 63},
  [691] = {.lex_state = 62},
  [692] = {.lex_state = 62},
  [693] = {.lex_state = 62},
  [694] = {.lex_state = 63},
  [695] = {.lex_state = 63},
  [696] = {.lex_state = 63},
  [697] = {.lex_state = 63},
  [698] = {.lex_state = 63},
  [699] = {.lex_state = 63},
  [700] = {.lex_state = 62},
  [701] = {.lex_state = 63},
  [702] = {.lex_state = 62},
  [703] = {.lex_state = 63},
  [704] = {.lex_state = 63},
  [705] = {.lex_state = 63},
  [706] = {.lex_state = 63},
  [707] = {.lex_state = 10},
  [708] = {.lex_state = 63},
  [709] = {.lex_state = 63},
  [710] = {.lex_state = 63},
  [711] = {.lex_state = 10},
  [712] = {.lex_state = 12},
  [713] = {.lex_state = 10},
  [714] = {.lex_state = 10},
  [715] = {.lex_state = 12},
  [716] = {.lex_state = 10},
  [717] = {.lex_state = 8},
  [718] = {.lex_state = 8},
  [719] = {.lex_state = 8},
  [720] = {.lex_state = 12},
  [721] = {.lex_state = 8},
  [722] = {.lex_state = 8},
  [723] = {.lex_state = 8},
  [724] = {.lex_state = 12, .external_lex_state = 2},
  [725] = {.lex_state = 8},
  [726] = {.lex_state = 8},
  [727] = {.lex_state = 8},
  [728] = {.lex_state = 8},
  [729] = {.lex_state = 8},
  [730] = {.lex_state = 8},
  [731] = {.lex_state = 8},
  [732] = {.lex_state = 8},
  [733] = {.lex_state = 8},
  [734] = {.lex_state = 8},
  [735] = {.lex_state = 8},
  [736] = {.lex_state = 8},
  [737] = {.lex_state = 8},
  [738] = {.lex_state = 8},
  [739] = {.lex_state = 8},
  [740] = {.lex_state = 8},
  [741] = {.lex_state = 8},
  [742] = {.lex_state = 8},
  [743] = {.lex_state = 10},
  [744] = {.lex_state = 8},
  [745] = {.lex_state = 8},
  [746] = {.lex_state = 8},
  [747] = {.lex_state = 10},
  [748] = {.lex_state = 8},
  [749] = {.lex_state = 8},
  [750] = {.lex_state = 10},
  [751] = {.lex_state = 8},
  [752] = {.lex_state = 8},
  [753] = {.lex_state = 8},
  [754] = {.lex_state = 10},
  [755] = {.lex_state = 8},
  [756] = {.lex_state = 8},
  [757] = {.lex_state = 10},
  [758] = {.lex_state = 8},
  [759] = {.lex_state = 8},
  [760] = {.lex_state = 8},
  [761] = {.lex_state = 10},
  [762] = {.lex_state = 8},
  [763] = {.lex_state = 10},
  [764] = {.lex_state = 10},
  [765] = {.lex_state = 10},
  [766] = {.lex_state = 10},
  [767] = {.lex_state = 10},
  [768] = {.lex_state = 10},
  [769] = {.lex_state = 10},
  [770] = {.lex_state = 10},
  [771] = {.lex_state = 10},
  [772] = {.lex_state = 10},
  [773] = {.lex_state = 10},
  [774] = {.lex_state = 10},
  [775] = {.lex_state = 10},
  [776] = {.lex_state = 10},
  [777] = {.lex_state = 10},
  [778] = {.lex_state = 10},
  [779] = {.lex_state = 10},
  [780] = {.lex_state = 10},
  [781] = {.lex_state = 10},
  [782] = {.lex_state = 10},
  [783] = {.lex_state = 15},
  [784] = {.lex_state = 10},
  [785] = {.lex_state = 10},
  [786] = {.lex_state = 10},
  [787] = {.lex_state = 10},
  [788] = {.lex_state = 10},
  [789] = {.lex_state = 10},
  [790] = {.lex_state = 10},
  [791] = {.lex_state = 10},
  [792] = {.lex_state = 10},
  [793] = {.lex_state = 10},
  [794] = {.lex_state = 10},
  [795] = {.lex_state = 10},
  [796] = {.lex_state = 10},
  [797] = {.lex_state = 10},
  [798] = {.lex_state = 10},
  [799] = {.lex_state = 10},
  [800] = {.lex_state = 10},
  [801] = {.lex_state = 10},
  [802] = {.lex_state = 10},
  [803] = {.lex_state = 10},
  [804] = {.lex_state = 10},
  [805] = {.lex_state = 10},
  [806] = {.lex_state = 10},
  [807] = {.lex_state = 10},
  [808] = {.lex_state = 10},
  [809] = {.lex_state = 12},
  [810] = {.lex_state = 10},
  [811] = {.lex_state = 10},
  [812] = {.lex_state = 10},
  [813] = {.lex_state = 10},
  [814] = {.lex_state = 10},
  [815] = {.lex_state = 10},
  [816] = {.lex_state = 10},
  [817] = {.lex_state = 10},
  [818] = {.lex_state = 10},
  [819] = {.lex_state = 10},
  [820] = {.lex_state = 10},
  [821] = {.lex_state = 10},
  [822] = {.lex_state = 10},
  [823] = {.lex_state = 10},
  [824] = {.lex_state = 10},
  [825] = {.lex_state = 10},
  [826] = {.lex_state = 10},
  [827] = {.lex_state = 10},
  [828] = {.lex_state = 10},
  [829] = {.lex_state = 10},
  [830] = {.lex_state = 10},
  [831] = {.lex_state = 10},
  [832] = {.lex_state = 12},
  [833] = {.lex_state = 15},
  [834] = {.lex_state = 10},
  [835] = {.lex_state = 10},
  [836] = {.lex_state = 10},
  [837] = {.lex_state = 10},
  [838] = {.lex_state = 10},
  [839] = {.lex_state = 10},
  [840] = {.lex_state = 10},
  [841] = {.lex_state = 10},
  [842] = {.lex_state = 10},
  [843] = {.lex_state = 10},
  [844] = {.lex_state = 10},
  [845] = {.lex_state = 10},
  [846] = {.lex_state = 10},
  [847] = {.lex_state = 10},
  [848] = {.lex_state = 8, .external_lex_state = 2},
  [849] = {.lex_state = 10},
  [850] = {.lex_state = 10},
  [851] = {.lex_state = 15},
  [852] = {.lex_state = 10},
  [853] = {.lex_state = 15},
  [854] = {.lex_state = 10},
  [855] = {.lex_state = 10},
  [856] = {.lex_state = 15},
  [857] = {.lex_state = 12},
  [858] = {.lex_state = 15},
  [859] = {.lex_state = 12},
  [860] = {.lex_state = 12},
  [861] = {.lex_state = 10, .external_lex_state = 2},
  [862] = {.lex_state = 8, .external_lex_state = 2},
  [863] = {.lex_state = 8, .external_lex_state = 2},
  [864] = {.lex_state = 6},
  [865] = {.lex_state = 8, .external_lex_state = 2},
  [866] = {.lex_state = 8, .external_lex_state = 2},
  [867] = {.lex_state = 8, .external_lex_state = 2},
  [868] = {.lex_state = 8, .external_lex_state = 2},
  [869] = {.lex_state = 8, .external_lex_state = 2},
  [870] = {.lex_state = 8, .external_lex_state = 2},
  [871] = {.lex_state = 8, .external_lex_state = 2},
  [872] = {.lex_state = 8, .external_lex_state = 2},
  [873] = {.lex_state = 8, .external_lex_state = 2},
  [874] = {.lex_state = 10},
  [875] = {.lex_state = 8, .external_lex_state = 2},
  [876] = {.lex_state = 8, .external_lex_state = 2},
  [877] = {.lex_state = 15},
  [878] = {.lex_state = 8, .external_lex_state = 2},
  [879] = {.lex_state = 8, .external_lex_state = 2},
  [880] = {.lex_state = 8, .external_lex_state = 2},
  [881] = {.lex_state = 15},
  [882] = {.lex_state = 8, .external_lex_state = 2},
  [883] = {.lex_state = 8, .external_lex_state = 2},
  [884] = {.lex_state = 8, .external_lex_state = 2},
  [885] = {.lex_state = 8, .external_lex_state = 2},
  [886] = {.lex_state = 15},
  [887] = {.lex_state = 8, .external_lex_state = 2},
  [888] = {.lex_state = 8, .external_lex_state = 2},
  [889] = {.lex_state = 8, .external_lex_state = 2},
  [890] = {.lex_state = 8, .external_lex_state = 2},
  [891] = {.lex_state = 15},
  [892] = {.lex_state = 10, .external_lex_state = 2},
  [893] = {.lex_state = 10, .external_lex_state = 2},
  [894] = {.lex_state = 8, .external_lex_state = 2},
  [895] = {.lex_state = 8, .external_lex_state = 2},
  [896] = {.lex_state = 8, .external_lex_state = 2},
  [897] = {.lex_state = 12},
  [898] = {.lex_state = 12},
  [899] = {.lex_state = 8, .external_lex_state = 2},
  [900] = {.lex_state = 10, .external_lex_state = 2},
  [901] = {.lex_state = 8, .external_lex_state = 2},
  [902] = {.lex_state = 10, .external_lex_state = 2},
  [903] = {.lex_state = 6},
  [904] = {.lex_state = 8, .external_lex_state = 2},
  [905] = {.lex_state = 8, .external_lex_state = 2},
  [906] = {.lex_state = 12},
  [907] = {.lex_state = 8, .external_lex_state = 2},
  [908] = {.lex_state = 8, .external_lex_state = 2},
  [909] = {.lex_state = 12},
  [910] = {.lex_state = 12},
  [911] = {.lex_state = 10, .external_lex_state = 2},
  [912] = {.lex_state = 8, .external_lex_state = 2},
  [913] = {.lex_state = 8, .external_lex_state = 2},
  [914] = {.lex_state = 8, .external_lex_state = 2},
  [915] = {.lex_state = 8, .external_lex_state = 2},
  [916] = {.lex_state = 10, .external_lex_state = 2},
  [917] = {.lex_state = 10, .external_lex_state = 2},
  [918] = {.lex_state = 10, .external_lex_state = 2},
  [919] = {.lex_state = 10, .external_lex_state = 2},
  [920] = {.lex_state = 10, .external_lex_state = 2},
  [921] = {.lex_state = 10, .external_lex_state = 2},
  [922] = {.lex_state = 10, .external_lex_state = 2},
  [923] = {.lex_state = 10, .external_lex_state = 2},
  [924] = {.lex_state = 10, .external_lex_state = 2},
  [925] = {.lex_state = 10, .external_lex_state = 2},
  [926] = {.lex_state = 10, .external_lex_state = 2},
  [927] = {.lex_state = 10, .external_lex_state = 2},
  [928] = {.lex_state = 10, .external_lex_state = 2},
  [929] = {.lex_state = 10, .external_lex_state = 2},
  [930] = {.lex_state = 10, .external_lex_state = 2},
  [931] = {.lex_state = 10, .external_lex_state = 2},
  [932] = {.lex_state = 10, .external_lex_state = 2},
  [933] = {.lex_state = 10, .external_lex_state = 2},
  [934] = {.lex_state = 10, .external_lex_state = 2},
  [935] = {.lex_state = 10, .external_lex_state = 2},
  [936] = {.lex_state = 10, .external_lex_state = 2},
  [937] = {.lex_state = 10, .external_lex_state = 2},
  [938] = {.lex_state = 10, .external_lex_state = 2},
  [939] = {.lex_state = 10, .external_lex_state = 2},
  [940] = {.lex_state = 10, .external_lex_state = 2},
  [941] = {.lex_state = 10, .external_lex_state = 2},
  [942] = {.lex_state = 10, .external_lex_state = 2},
  [943] = {.lex_state = 12},
  [944] = {.lex_state = 10, .external_lex_state = 2},
  [945] = {.lex_state = 10, .external_lex_state = 2},
  [946] = {.lex_state = 10, .external_lex_state = 2},
  [947] = {.lex_state = 10, .external_lex_state = 2},
  [948] = {.lex_state = 10, .external_lex_state = 2},
  [949] = {.lex_state = 10, .external_lex_state = 2},
  [950] = {.lex_state = 10, .external_lex_state = 2},
  [951] = {.lex_state = 10, .external_lex_state = 2},
  [952] = {.lex_state = 10, .external_lex_state = 2},
  [953] = {.lex_state = 10, .external_lex_state = 2},
  [954] = {.lex_state = 10, .external_lex_state = 2},
  [955] = {.lex_state = 10, .external_lex_state = 2},
  [956] = {.lex_state = 10, .external_lex_state = 2},
  [957] = {.lex_state = 10, .external_lex_state = 2},
  [958] = {.lex_state = 10, .external_lex_state = 2},
  [959] = {.lex_state = 10, .external_lex_state = 2},
  [960] = {.lex_state = 10, .external_lex_state = 2},
  [961] = {.lex_state = 10, .external_lex_state = 2},
  [962] = {.lex_state = 10, .external_lex_state = 2},
  [963] = {.lex_state = 10, .external_lex_state = 2},
  [964] = {.lex_state = 10, .external_lex_state = 2},
  [965] = {.lex_state = 10, .external_lex_state = 2},
  [966] = {.lex_state = 10, .external_lex_state = 2},
  [967] = {.lex_state = 10, .external_lex_state = 2},
  [968] = {.lex_state = 10, .external_lex_state = 2},
  [969] = {.lex_state = 10, .external_lex_state = 2},
  [970] = {.lex_state = 10, .external_lex_state = 2},
  [971] = {.lex_state = 10, .external_lex_state = 2},
  [972] = {.lex_state = 10, .external_lex_state = 2},
  [973] = {.lex_state = 10, .external_lex_state = 2},
  [974] = {.lex_state = 10, .external_lex_state = 2},
  [975] = {.lex_state = 10, .external_lex_state = 2},
  [976] = {.lex_state = 10, .external_lex_state = 2},
  [977] = {.lex_state = 10, .external_lex_state = 2},
  [978] = {.lex_state = 10, .external_lex_state = 2},
  [979] = {.lex_state = 10, .external_lex_state = 2},
  [980] = {.lex_state = 10, .external_lex_state = 2},
  [981] = {.lex_state = 10, .external_lex_state = 2},
  [982] = {.lex_state = 10},
  [983] = {.lex_state = 10, .external_lex_state = 2},
  [984] = {.lex_state = 10, .external_lex_state = 2},
  [985] = {.lex_state = 10, .external_lex_state = 2},
  [986] = {.lex_state = 10, .external_lex_state = 2},
  [987] = {.lex_state = 10, .external_lex_state = 2},
  [988] = {.lex_state = 10, .external_lex_state = 2},
  [989] = {.lex_state = 10, .external_lex_state = 2},
  [990] = {.lex_state = 10, .external_lex_state = 2},
  [991] = {.lex_state = 10, .external_lex_state = 2},
  [992] = {.lex_state = 10, .external_lex_state = 2},
  [993] = {.lex_state = 10, .external_lex_state = 2},
  [994] = {.lex_state = 12},
  [995] = {.lex_state = 10, .external_lex_state = 2},
  [996] = {.lex_state = 10, .external_lex_state = 2},
  [997] = {.lex_state = 10},
  [998] = {.lex_state = 10, .external_lex_state = 2},
  [999] = {.lex_state = 10, .external_lex_state = 2},
  [1000] = {.lex_state = 12, .external_lex_state = 2},
  [1001] = {.lex_state = 10, .external_lex_state = 2},
  [1002] = {.lex_state = 10, .external_lex_state = 2},
  [1003] = {.lex_state = 10, .external_lex_state = 2},
  [1004] = {.lex_state = 10, .external_lex_state = 2},
  [1005] = {.lex_state = 10, .external_lex_state = 2},
  [1006] = {.lex_state = 10, .external_lex_state = 2},
  [1007] = {.lex_state = 10},
  [1008] = {.lex_state = 12},
  [1009] = {.lex_state = 12},
  [1010] = {.lex_state = 10, .external_lex_state = 2},
  [1011] = {.lex_state = 12},
  [1012] = {.lex_state = 12},
  [1013] = {.lex_state = 12},
  [1014] = {.lex_state = 12},
  [1015] = {.lex_state = 10, .external_lex_state = 2},
  [1016] = {.lex_state = 12},
  [1017] = {.lex_state = 12, .external_lex_state = 2},
  [1018] = {.lex_state = 12},
  [1019] = {.lex_state = 12},
  [1020] = {.lex_state = 12},
  [1021] = {.lex_state = 12},
  [1022] = {.lex_state = 12},
  [1023] = {.lex_state = 10, .external_lex_state = 2},
  [1024] = {.lex_state = 10, .external_lex_state = 2},
  [1025] = {.lex_state = 12},
  [1026] = {.lex_state = 12},
  [1027] = {.lex_state = 12},
  [1028] = {.lex_state = 10, .external_lex_state = 2},
  [1029] = {.lex_state = 12},
  [1030] = {.lex_state = 12},
  [1031] = {.lex_state = 10, .external_lex_state = 2},
  [1032] = {.lex_state = 10, .external_lex_state = 2},
  [1033] = {.lex_state = 12},
  [1034] = {.lex_state = 12},
  [1035] = {.lex_state = 12},
  [1036] = {.lex_state = 12},
  [1037] = {.lex_state = 12},
  [1038] = {.lex_state = 12},
  [1039] = {.lex_state = 12},
  [1040] = {.lex_state = 12},
  [1041] = {.lex_state = 12, .external_lex_state = 2},
  [1042] = {.lex_state = 12, .external_lex_state = 2},
  [1043] = {.lex_state = 12, .external_lex_state = 2},
  [1044] = {.lex_state = 12, .external_lex_state = 2},
  [1045] = {.lex_state = 12, .external_lex_state = 2},
  [1046] = {.lex_state = 12, .external_lex_state = 2},
  [1047] = {.lex_state = 12},
  [1048] = {.lex_state = 12, .external_lex_state = 2},
  [1049] = {.lex_state = 12},
  [1050] = {.lex_state = 12},
  [1051] = {.lex_state = 12},
  [1052] = {.lex_state = 12},
  [1053] = {.lex_state = 12},
  [1054] = {.lex_state = 12},
  [1055] = {.lex_state = 12},
  [1056] = {.lex_state = 12},
  [1057] = {.lex_state = 12},
  [1058] = {.lex_state = 12},
  [1059] = {.lex_state = 12},
  [1060] = {.lex_state = 12},
  [1061] = {.lex_state = 12},
  [1062] = {.lex_state = 12},
  [1063] = {.lex_state = 12},
  [1064] = {.lex_state = 12},
  [1065] = {.lex_state = 12},
  [1066] = {.lex_state = 12},
  [1067] = {.lex_state = 12},
  [1068] = {.lex_state = 12},
  [1069] = {.lex_state = 12},
  [1070] = {.lex_state = 12},
  [1071] = {.lex_state = 12},
  [1072] = {.lex_state = 12},
  [1073] = {.lex_state = 12},
  [1074] = {.lex_state = 12},
  [1075] = {.lex_state = 12},
  [1076] = {.lex_state = 12},
  [1077] = {.lex_state = 12, .external_lex_state = 2},
  [1078] = {.lex_state = 12},
  [1079] = {.lex_state = 12},
  [1080] = {.lex_state = 12},
  [1081] = {.lex_state = 12, .external_lex_state = 2},
  [1082] = {.lex_state = 12, .external_lex_state = 2},
  [1083] = {.lex_state = 12, .external_lex_state = 2},
  [1084] = {.lex_state = 12, .external_lex_state = 2},
  [1085] = {.lex_state = 12, .external_lex_state = 2},
  [1086] = {.lex_state = 12, .external_lex_state = 2},
  [1087] = {.lex_state = 12},
  [1088] = {.lex_state = 12, .external_lex_state = 2},
  [1089] = {.lex_state = 12, .external_lex_state = 2},
  [1090] = {.lex_state = 12},
  [1091] = {.lex_state = 12, .external_lex_state = 2},
  [1092] = {.lex_state = 12, .external_lex_state = 2},
  [1093] = {.lex_state = 12},
  [1094] = {.lex_state = 12, .external_lex_state = 2},
  [1095] = {.lex_state = 12, .external_lex_state = 2},
  [1096] = {.lex_state = 12},
  [1097] = {.lex_state = 12, .external_lex_state = 2},
  [1098] = {.lex_state = 12, .external_lex_state = 2},
  [1099] = {.lex_state = 12},
  [1100] = {.lex_state = 12},
  [1101] = {.lex_state = 12},
  [1102] = {.lex_state = 12, .external_lex_state = 2},
  [1103] = {.lex_state = 12, .external_lex_state = 2},
  [1104] = {.lex_state = 12, .external_lex_state = 2},
  [1105] = {.lex_state = 12, .external_lex_state = 2},
  [1106] = {.lex_state = 12, .external_lex_state = 2},
  [1107] = {.lex_state = 12, .external_lex_state = 2},
  [1108] = {.lex_state = 12, .external_lex_state = 2},
  [1109] = {.lex_state = 12, .external_lex_state = 2},
  [1110] = {.lex_state = 12},
  [1111] = {.lex_state = 12},
  [1112] = {.lex_state = 12, .external_lex_state = 2},
  [1113] = {.lex_state = 12, .external_lex_state = 2},
  [1114] = {.lex_state = 12},
  [1115] = {.lex_state = 12, .external_lex_state = 2},
  [1116] = {.lex_state = 12, .external_lex_state = 2},
  [1117] = {.lex_state = 12, .external_lex_state = 2},
  [1118] = {.lex_state = 12, .external_lex_state = 2},
  [1119] = {.lex_state = 12},
  [1120] = {.lex_state = 12},
  [1121] = {.lex_state = 12, .external_lex_state = 2},
  [1122] = {.lex_state = 12},
  [1123] = {.lex_state = 12, .external_lex_state = 2},
  [1124] = {.lex_state = 12},
  [1125] = {.lex_state = 12},
  [1126] = {.lex_state = 12},
  [1127] = {.lex_state = 12},
  [1128] = {.lex_state = 12},
  [1129] = {.lex_state = 12, .external_lex_state = 2},
  [1130] = {.lex_state = 12, .external_lex_state = 2},
  [1131] = {.lex_state = 12},
  [1132] = {.lex_state = 12, .external_lex_state = 2},
  [1133] = {.lex_state = 12, .external_lex_state = 2},
  [1134] = {.lex_state = 12, .external_lex_state = 2},
  [1135] = {.lex_state = 12, .external_lex_state = 2},
  [1136] = {.lex_state = 12, .external_lex_state = 2},
  [1137] = {.lex_state = 12, .external_lex_state = 2},
  [1138] = {.lex_state = 12, .external_lex_state = 2},
  [1139] = {.lex_state = 12, .external_lex_state = 2},
  [1140] = {.lex_state = 12},
  [1141] = {.lex_state = 16},
  [1142] = {.lex_state = 12},
  [1143] = {.lex_state = 12},
  [1144] = {.lex_state = 12, .external_lex_state = 2},
  [1145] = {.lex_state = 12},
  [1146] = {.lex_state = 12},
  [1147] = {.lex_state = 12},
  [1148] = {.lex_state = 12, .external_lex_state = 2},
  [1149] = {.lex_state = 12, .external_lex_state = 2},
  [1150] = {.lex_state = 12},
  [1151] = {.lex_state = 12},
  [1152] = {.lex_state = 12, .external_lex_state = 2},
  [1153] = {.lex_state = 12, .external_lex_state = 2},
  [1154] = {.lex_state = 12, .external_lex_state = 2},
  [1155] = {.lex_state = 12, .external_lex_state = 2},
  [1156] = {.lex_state = 12, .external_lex_state = 2},
  [1157] = {.lex_state = 12},
  [1158] = {.lex_state = 12},
  [1159] = {.lex_state = 12},
  [1160] = {.lex_state = 12},
  [1161] = {.lex_state = 12},
  [1162] = {.lex_state = 12},
  [1163] = {.lex_state = 12},
  [1164] = {.lex_state = 12, .external_lex_state = 2},
  [1165] = {.lex_state = 12},
  [1166] = {.lex_state = 12, .external_lex_state = 2},
  [1167] = {.lex_state = 12, .external_lex_state = 2},
  [1168] = {.lex_state = 12, .external_lex_state = 2},
  [1169] = {.lex_state = 12, .external_lex_state = 2},
  [1170] = {.lex_state = 12, .external_lex_state = 2},
  [1171] = {.lex_state = 12, .external_lex_state = 2},
  [1172] = {.lex_state = 12, .external_lex_state = 2},
  [1173] = {.lex_state = 12, .external_lex_state = 2},
  [1174] = {.lex_state = 12, .external_lex_state = 2},
  [1175] = {.lex_state = 12, .external_lex_state = 2},
  [1176] = {.lex_state = 12},
  [1177] = {.lex_state = 12},
  [1178] = {.lex_state = 12},
  [1179] = {.lex_state = 12},
  [1180] = {.lex_state = 12},
  [1181] = {.lex_state = 12},
  [1182] = {.lex_state = 12},
  [1183] = {.lex_state = 12},
  [1184] = {.lex_state = 12},
  [1185] = {.lex_state = 12},
  [1186] = {.lex_state = 12},
  [1187] = {.lex_state = 12},
  [1188] = {.lex_state = 12},
  [1189] = {.lex_state = 12},
  [1190] = {.lex_state = 12},
  [1191] = {.lex_state = 12},
  [1192] = {.lex_state = 12},
  [1193] = {.lex_state = 12},
  [1194] = {.lex_state = 12},
  [1195] = {.lex_state = 12},
  [1196] = {.lex_state = 12},
  [1197] = {.lex_state = 12},
  [1198] = {.lex_state = 12},
  [1199] = {.lex_state = 12},
  [1200] = {.lex_state = 12},
  [1201] = {.lex_state = 12},
  [1202] = {.lex_state = 12},
  [1203] = {.lex_state = 12},
  [1204] = {.lex_state = 12},
  [1205] = {.lex_state = 12},
  [1206] = {.lex_state = 12},
  [1207] = {.lex_state = 12},
  [1208] = {.lex_state = 12},
  [1209] = {.lex_state = 12},
  [1210] = {.lex_state = 12},
  [1211] = {.lex_state = 12},
  [1212] = {.lex_state = 12},
  [1213] = {.lex_state = 12},
  [1214] = {.lex_state = 12},
  [1215] = {.lex_state = 12},
  [1216] = {.lex_state = 12},
  [1217] = {.lex_state = 12, .external_lex_state = 2},
  [1218] = {.lex_state = 12},
  [1219] = {.lex_state = 12, .external_lex_state = 2},
  [1220] = {.lex_state = 12},
  [1221] = {.lex_state = 12, .external_lex_state = 2},
  [1222] = {.lex_state = 12, .external_lex_state = 2},
  [1223] = {.lex_state = 12},
  [1224] = {.lex_state = 12, .external_lex_state = 2},
  [1225] = {.lex_state = 12},
  [1226] = {.lex_state = 12},
  [1227] = {.lex_state = 12, .external_lex_state = 2},
  [1228] = {.lex_state = 12, .external_lex_state = 2},
  [1229] = {.lex_state = 12, .external_lex_state = 2},
  [1230] = {.lex_state = 12, .external_lex_state = 2},
  [1231] = {.lex_state = 12},
  [1232] = {.lex_state = 12, .external_lex_state = 2},
  [1233] = {.lex_state = 12},
  [1234] = {.lex_state = 12},
  [1235] = {.lex_state = 12},
  [1236] = {.lex_state = 12, .external_lex_state = 2},
  [1237] = {.lex_state = 12, .external_lex_state = 2},
  [1238] = {.lex_state = 12, .external_lex_state = 2},
  [1239] = {.lex_state = 12, .external_lex_state = 2},
  [1240] = {.lex_state = 12},
  [1241] = {.lex_state = 12},
  [1242] = {.lex_state = 15},
  [1243] = {.lex_state = 12},
  [1244] = {.lex_state = 12},
  [1245] = {.lex_state = 12},
  [1246] = {.lex_state = 12},
  [1247] = {.lex_state = 12},
  [1248] = {.lex_state = 15},
  [1249] = {.lex_state = 12},
  [1250] = {.lex_state = 12},
  [1251] = {.lex_state = 12},
  [1252] = {.lex_state = 15},
  [1253] = {.lex_state = 15},
  [1254] = {.lex_state = 12},
  [1255] = {.lex_state = 12},
  [1256] = {.lex_state = 12},
  [1257] = {.lex_state = 12},
  [1258] = {.lex_state = 12},
  [1259] = {.lex_state = 12},
  [1260] = {.lex_state = 12},
  [1261] = {.lex_state = 12},
  [1262] = {.lex_state = 15},
  [1263] = {.lex_state = 12},
  [1264] = {.lex_state = 12},
  [1265] = {.lex_state = 12},
  [1266] = {.lex_state = 15},
  [1267] = {.lex_state = 12},
  [1268] = {.lex_state = 15},
  [1269] = {.lex_state = 12},
  [1270] = {.lex_state = 12},
  [1271] = {.lex_state = 12},
  [1272] = {.lex_state = 12},
  [1273] = {.lex_state = 12},
  [1274] = {.lex_state = 12},
  [1275] = {.lex_state = 12},
  [1276] = {.lex_state = 12},
  [1277] = {.lex_state = 12},
  [1278] = {.lex_state = 12},
  [1279] = {.lex_state = 12},
  [1280] = {.lex_state = 12},
  [1281] = {.lex_state = 12},
  [1282] = {.lex_state = 12},
  [1283] = {.lex_state = 12},
  [1284] = {.lex_state = 12},
  [1285] = {.lex_state = 12},
  [1286] = {.lex_state = 12},
  [1287] = {.lex_state = 12},
  [1288] = {.lex_state = 12},
  [1289] = {.lex_state = 12},
  [1290] = {.lex_state = 12},
  [1291] = {.lex_state = 12},
  [1292] = {.lex_state = 12},
  [1293] = {.lex_state = 12},
  [1294] = {.lex_state = 12},
  [1295] = {.lex_state = 12},
  [1296] = {.lex_state = 12},
  [1297] = {.lex_state = 12},
  [1298] = {.lex_state = 12},
  [1299] = {.lex_state = 12},
  [1300] = {.lex_state = 12},
  [1301] = {.lex_state = 12},
  [1302] = {.lex_state = 12},
  [1303] = {.lex_state = 12},
  [1304] = {.lex_state = 12},
  [1305] = {.lex_state = 12},
  [1306] = {.lex_state = 12},
  [1307] = {.lex_state = 12},
  [1308] = {.lex_state = 12},
  [1309] = {.lex_state = 12},
  [1310] = {.lex_state = 12},
  [1311] = {.lex_state = 12},
  [1312] = {.lex_state = 12},
  [1313] = {.lex_state = 12},
  [1314] = {.lex_state = 12},
  [1315] = {.lex_state = 12},
  [1316] = {.lex_state = 12},
  [1317] = {.lex_state = 12},
  [1318] = {.lex_state = 12},
  [1319] = {.lex_state = 12},
  [1320] = {.lex_state = 12},
  [1321] = {.lex_state = 12},
  [1322] = {.lex_state = 12},
  [1323] = {.lex_state = 12},
  [1324] = {.lex_state = 12},
  [1325] = {.lex_state = 12},
  [1326] = {.lex_state = 15},
  [1327] = {.lex_state = 12},
  [1328] = {.lex_state = 15},
  [1329] = {.lex_state = 15},
  [1330] = {.lex_state = 15},
  [1331] = {.lex_state = 15},
  [1332] = {.lex_state = 12},
  [1333] = {.lex_state = 12},
  [1334] = {.lex_state = 12},
  [1335] = {.lex_state = 12},
  [1336] = {.lex_state = 12},
  [1337] = {.lex_state = 15},
  [1338] = {.lex_state = 15},
  [1339] = {.lex_state = 15},
  [1340] = {.lex_state = 15},
  [1341] = {.lex_state = 15},
  [1342] = {.lex_state = 15},
  [1343] = {.lex_state = 12},
  [1344] = {.lex_state = 12},
  [1345] = {.lex_state = 12},
  [1346] = {.lex_state = 12},
  [1347] = {.lex_state = 12},
  [1348] = {.lex_state = 12},
  [1349] = {.lex_state = 62},
  [1350] = {.lex_state = 62},
  [1351] = {.lex_state = 62},
  [1352] = {.lex_state = 12},
  [1353] = {.lex_state = 12},
  [1354] = {.lex_state = 12},
  [1355] = {.lex_state = 62},
  [1356] = {.lex_state = 12},
  [1357] = {.lex_state = 12},
  [1358] = {.lex_state = 12},
  [1359] = {.lex_state = 12},
  [1360] = {.lex_state = 15},
  [1361] = {.lex_state = 12},
  [1362] = {.lex_state = 15},
  [1363] = {.lex_state = 12},
  [1364] = {.lex_state = 12},
  [1365] = {.lex_state = 12},
  [1366] = {.lex_state = 62},
  [1367] = {.lex_state = 62},
  [1368] = {.lex_state = 62},
  [1369] = {.lex_state = 15},
  [1370] = {.lex_state = 15},
  [1371] = {.lex_state = 15},
  [1372] = {.lex_state = 63},
  [1373] = {.lex_state = 15},
  [1374] = {.lex_state = 62},
  [1375] = {.lex_state = 62},
  [1376] = {.lex_state = 62},
  [1377] = {.lex_state = 62},
  [1378] = {.lex_state = 62},
  [1379] = {.lex_state = 62},
  [1380] = {.lex_state = 14},
  [1381] = {.lex_state = 62},
  [1382] = {.lex_state = 62},
  [1383] = {.lex_state = 62},
  [1384] = {.lex_state = 62},
  [1385] = {.lex_state = 62},
  [1386] = {.lex_state = 62},
  [1387] = {.lex_state = 3, .external_lex_state = 3},
  [1388] = {.lex_state = 62},
  [1389] = {.lex_state = 3, .external_lex_state = 3},
  [1390] = {.lex_state = 63},
  [1391] = {.lex_state = 62},
  [1392] = {.lex_state = 62},
  [1393] = {.lex_state = 62},
  [1394] = {.lex_state = 62},
  [1395] = {.lex_state = 3, .external_lex_state = 4},
  [1396] = {.lex_state = 3, .external_lex_state = 3},
  [1397] = {.lex_state = 3, .external_lex_state = 3},
  [1398] = {.lex_state = 3, .external_lex_state = 3},
  [1399] = {.lex_state = 8, .external_lex_state = 5},
  [1400] = {.lex_state = 62},
  [1401] = {.lex_state = 8, .external_lex_state = 6},
  [1402] = {.lex_state = 15},
  [1403] = {.lex_state = 15},
  [1404] = {.lex_state = 15},
  [1405] = {.lex_state = 8, .external_lex_state = 5},
  [1406] = {.lex_state = 15},
  [1407] = {.lex_state = 8, .external_lex_state = 5},
  [1408] = {.lex_state = 8, .external_lex_state = 6},
  [1409] = {.lex_state = 15},
  [1410] = {.lex_state = 62},
  [1411] = {.lex_state = 8, .external_lex_state = 5},
  [1412] = {.lex_state = 15},
  [1413] = {.lex_state = 15},
  [1414] = {.lex_state = 8, .external_lex_state = 6},
  [1415] = {.lex_state = 15},
  [1416] = {.lex_state = 8, .external_lex_state = 6},
  [1417] = {.lex_state = 15},
  [1418] = {.lex_state = 8, .external_lex_state = 6},
  [1419] = {.lex_state = 15},
  [1420] = {.lex_state = 8, .external_lex_state = 5},
  [1421] = {.lex_state = 15},
  [1422] = {.lex_state = 15},
  [1423] = {.lex_state = 15},
  [1424] = {.lex_state = 15},
  [1425] = {.lex_state = 15},
  [1426] = {.lex_state = 15},
  [1427] = {.lex_state = 15},
  [1428] = {.lex_state = 15},
  [1429] = {.lex_state = 15},
  [1430] = {.lex_state = 15},
  [1431] = {.lex_state = 15},
  [1432] = {.lex_state = 15},
  [1433] = {.lex_state = 15},
  [1434] = {.lex_state = 15},
  [1435] = {.lex_state = 15},
  [1436] = {.lex_state = 8, .external_lex_state = 4},
  [1437] = {.lex_state = 15},
  [1438] = {.lex_state = 62},
  [1439] = {.lex_state = 16},
  [1440] = {.lex_state = 62},
  [1441] = {.lex_state = 15},
  [1442] = {.lex_state = 15},
  [1443] = {.lex_state = 15},
  [1444] = {.lex_state = 15},
  [1445] = {.lex_state = 15},
  [1446] = {.lex_state = 62},
  [1447] = {.lex_state = 15},
  [1448] = {.lex_state = 15},
  [1449] = {.lex_state = 62},
  [1450] = {.lex_state = 15},
  [1451] = {.lex_state = 15},
  [1452] = {.lex_state = 15},
  [1453] = {.lex_state = 62},
  [1454] = {.lex_state = 62},
  [1455] = {.lex_state = 62},
  [1456] = {.lex_state = 62},
  [1457] = {.lex_state = 62},
  [1458] = {.lex_state = 62},
  [1459] = {.lex_state = 62},
  [1460] = {.lex_state = 62},
  [1461] = {.lex_state = 62},
  [1462] = {.lex_state = 62},
  [1463] = {.lex_state = 62},
  [1464] = {.lex_state = 62},
  [1465] = {.lex_state = 15},
  [1466] = {.lex_state = 62},
  [1467] = {.lex_state = 15},
  [1468] = {.lex_state = 62},
  [1469] = {.lex_state = 62},
  [1470] = {.lex_state = 62},
  [1471] = {.lex_state = 62},
  [1472] = {.lex_state = 15},
  [1473] = {.lex_state = 62},
  [1474] = {.lex_state = 62},
  [1475] = {.lex_state = 62},
  [1476] = {.lex_state = 62},
  [1477] = {.lex_state = 62},
  [1478] = {.lex_state = 62},
  [1479] = {.lex_state = 62},
  [1480] = {.lex_state = 62},
  [1481] = {.lex_state = 62},
  [1482] = {.lex_state = 62},
  [1483] = {.lex_state = 62},
  [1484] = {.lex_state = 62},
  [1485] = {.lex_state = 62},
  [1486] = {.lex_state = 62},
  [1487] = {.lex_state = 62},
  [1488] = {.lex_state = 62},
  [1489] = {.lex_state = 15},
  [1490] = {.lex_state = 16},
  [1491] = {.lex_state = 16},
  [1492] = {.lex_state = 62},
  [1493] = {.lex_state = 62},
  [1494] = {.lex_state = 62},
  [1495] = {.lex_state = 63},
  [1496] = {.lex_state = 62},
  [1497] = {.lex_state = 63},
  [1498] = {.lex_state = 16},
  [1499] = {.lex_state = 62},
  [1500] = {.lex_state = 16},
  [1501] = {.lex_state = 62},
  [1502] = {.lex_state = 62},
  [1503] = {.lex_state = 62},
  [1504] = {.lex_state = 62},
  [1505] = {.lex_state = 16},
  [1506] = {.lex_state = 62},
  [1507] = {.lex_state = 62},
  [1508] = {.lex_state = 16},
  [1509] = {.lex_state = 62},
  [1510] = {.lex_state = 62},
  [1511] = {.lex_state = 16},
  [1512] = {.lex_state = 62},
  [1513] = {.lex_state = 62},
  [1514] = {.lex_state = 16},
  [1515] = {.lex_state = 62},
  [1516] = {.lex_state = 62},
  [1517] = {.lex_state = 3, .external_lex_state = 7},
  [1518] = {.lex_state = 62},
  [1519] = {.lex_state = 62},
  [1520] = {.lex_state = 62},
  [1521] = {.lex_state = 62},
  [1522] = {.lex_state = 16},
  [1523] = {.lex_state = 62},
  [1524] = {.lex_state = 62},
  [1525] = {.lex_state = 3, .external_lex_state = 7},
  [1526] = {.lex_state = 62},
  [1527] = {.lex_state = 62},
  [1528] = {.lex_state = 16},
  [1529] = {.lex_state = 8, .external_lex_state = 8},
  [1530] = {.lex_state = 8, .external_lex_state = 9},
  [1531] = {.lex_state = 62, .external_lex_state = 2},
  [1532] = {.lex_state = 62, .external_lex_state = 2},
  [1533] = {.lex_state = 62, .external_lex_state = 2},
  [1534] = {.lex_state = 62, .external_lex_state = 2},
  [1535] = {.lex_state = 8, .external_lex_state = 8},
  [1536] = {.lex_state = 62, .external_lex_state = 2},
  [1537] = {.lex_state = 8, .external_lex_state = 9},
  [1538] = {.lex_state = 62},
  [1539] = {.lex_state = 62, .external_lex_state = 2},
  [1540] = {.lex_state = 62, .external_lex_state = 2},
  [1541] = {.lex_state = 62, .external_lex_state = 2},
  [1542] = {.lex_state = 62},
  [1543] = {.lex_state = 62},
  [1544] = {.lex_state = 62},
  [1545] = {.lex_state = 62},
  [1546] = {.lex_state = 62},
  [1547] = {.lex_state = 62},
  [1548] = {.lex_state = 62, .external_lex_state = 2},
  [1549] = {.lex_state = 62},
  [1550] = {.lex_state = 62},
  [1551] = {.lex_state = 62},
  [1552] = {.lex_state = 62},
  [1553] = {.lex_state = 62},
  [1554] = {.lex_state = 62},
  [1555] = {.lex_state = 62},
  [1556] = {.lex_state = 62},
  [1557] = {.lex_state = 62},
  [1558] = {.lex_state = 62},
  [1559] = {.lex_state = 62},
  [1560] = {.lex_state = 62},
  [1561] = {.lex_state = 3, .external_lex_state = 3},
  [1562] = {.lex_state = 62, .external_lex_state = 2},
  [1563] = {.lex_state = 62},
  [1564] = {.lex_state = 62},
  [1565] = {.lex_state = 62},
  [1566] = {.lex_state = 62},
  [1567] = {.lex_state = 62},
  [1568] = {.lex_state = 10},
  [1569] = {.lex_state = 62, .external_lex_state = 2},
  [1570] = {.lex_state = 62},
  [1571] = {.lex_state = 62, .external_lex_state = 2},
  [1572] = {.lex_state = 62, .external_lex_state = 2},
  [1573] = {.lex_state = 62, .external_lex_state = 2},
  [1574] = {.lex_state = 62, .external_lex_state = 2},
  [1575] = {.lex_state = 62, .external_lex_state = 2},
  [1576] = {.lex_state = 62},
  [1577] = {.lex_state = 62, .external_lex_state = 2},
  [1578] = {.lex_state = 62},
  [1579] = {.lex_state = 62},
  [1580] = {.lex_state = 62, .external_lex_state = 2},
  [1581] = {.lex_state = 3, .external_lex_state = 3},
  [1582] = {.lex_state = 62},
  [1583] = {.lex_state = 62},
  [1584] = {.lex_state = 62, .external_lex_state = 2},
  [1585] = {.lex_state = 3, .external_lex_state = 3},
  [1586] = {.lex_state = 3, .external_lex_state = 3},
  [1587] = {.lex_state = 3, .external_lex_state = 3},
  [1588] = {.lex_state = 3, .external_lex_state = 3},
  [1589] = {.lex_state = 62},
  [1590] = {.lex_state = 62, .external_lex_state = 2},
  [1591] = {.lex_state = 62, .external_lex_state = 2},
  [1592] = {.lex_state = 3, .external_lex_state = 3},
  [1593] = {.lex_state = 62},
  [1594] = {.lex_state = 62},
  [1595] = {.lex_state = 62, .external_lex_state = 2},
  [1596] = {.lex_state = 3, .external_lex_state = 3},
  [1597] = {.lex_state = 62},
  [1598] = {.lex_state = 63},
  [1599] = {.lex_state = 3, .external_lex_state = 3},
  [1600] = {.lex_state = 62},
  [1601] = {.lex_state = 62, .external_lex_state = 2},
  [1602] = {.lex_state = 16},
  [1603] = {.lex_state = 62},
  [1604] = {.lex_state = 62, .external_lex_state = 2},
  [1605] = {.lex_state = 10},
  [1606] = {.lex_state = 10},
  [1607] = {.lex_state = 3, .external_lex_state = 3},
  [1608] = {.lex_state = 3, .external_lex_state = 3},
  [1609] = {.lex_state = 62, .external_lex_state = 2},
  [1610] = {.lex_state = 62, .external_lex_state = 2},
  [1611] = {.lex_state = 62},
  [1612] = {.lex_state = 62},
  [1613] = {.lex_state = 62},
  [1614] = {.lex_state = 62, .external_lex_state = 2},
  [1615] = {.lex_state = 62, .external_lex_state = 2},
  [1616] = {.lex_state = 62},
  [1617] = {.lex_state = 62},
  [1618] = {.lex_state = 8, .external_lex_state = 6},
  [1619] = {.lex_state = 62},
  [1620] = {.lex_state = 62},
  [1621] = {.lex_state = 62},
  [1622] = {.lex_state = 62},
  [1623] = {.lex_state = 62},
  [1624] = {.lex_state = 62},
  [1625] = {.lex_state = 62},
  [1626] = {.lex_state = 62},
  [1627] = {.lex_state = 17},
  [1628] = {.lex_state = 8, .external_lex_state = 5},
  [1629] = {.lex_state = 62},
  [1630] = {.lex_state = 62},
  [1631] = {.lex_state = 8, .external_lex_state = 5},
  [1632] = {.lex_state = 62},
  [1633] = {.lex_state = 62},
  [1634] = {.lex_state = 17},
  [1635] = {.lex_state = 62},
  [1636] = {.lex_state = 62},
  [1637] = {.lex_state = 62},
  [1638] = {.lex_state = 8, .external_lex_state = 6},
  [1639] = {.lex_state = 62},
  [1640] = {.lex_state = 8, .external_lex_state = 5},
  [1641] = {.lex_state = 8, .external_lex_state = 5},
  [1642] = {.lex_state = 62},
  [1643] = {.lex_state = 62},
  [1644] = {.lex_state = 62},
  [1645] = {.lex_state = 62},
  [1646] = {.lex_state = 64, .external_lex_state = 10},
  [1647] = {.lex_state = 62},
  [1648] = {.lex_state = 62},
  [1649] = {.lex_state = 8, .external_lex_state = 5},
  [1650] = {.lex_state = 8, .external_lex_state = 5},
  [1651] = {.lex_state = 62},
  [1652] = {.lex_state = 62},
  [1653] = {.lex_state = 62},
  [1654] = {.lex_state = 8, .external_lex_state = 6},
  [1655] = {.lex_state = 8, .external_lex_state = 5},
  [1656] = {.lex_state = 62},
  [1657] = {.lex_state = 62},
  [1658] = {.lex_state = 62},
  [1659] = {.lex_state = 8, .external_lex_state = 5},
  [1660] = {.lex_state = 62},
  [1661] = {.lex_state = 63},
  [1662] = {.lex_state = 62},
  [1663] = {.lex_state = 62},
  [1664] = {.lex_state = 8, .external_lex_state = 6},
  [1665] = {.lex_state = 17},
  [1666] = {.lex_state = 62},
  [1667] = {.lex_state = 62},
  [1668] = {.lex_state = 62},
  [1669] = {.lex_state = 62},
  [1670] = {.lex_state = 62},
  [1671] = {.lex_state = 8, .external_lex_state = 5},
  [1672] = {.lex_state = 62},
  [1673] = {.lex_state = 8, .external_lex_state = 6},
  [1674] = {.lex_state = 62},
  [1675] = {.lex_state = 8, .external_lex_state = 6},
  [1676] = {.lex_state = 62},
  [1677] = {.lex_state = 62},
  [1678] = {.lex_state = 62},
  [1679] = {.lex_state = 62},
  [1680] = {.lex_state = 62},
  [1681] = {.lex_state = 8, .external_lex_state = 6},
  [1682] = {.lex_state = 62},
  [1683] = {.lex_state = 17},
  [1684] = {.lex_state = 62},
  [1685] = {.lex_state = 62},
  [1686] = {.lex_state = 8, .external_lex_state = 6},
  [1687] = {.lex_state = 62},
  [1688] = {.lex_state = 62},
  [1689] = {.lex_state = 62},
  [1690] = {.lex_state = 62},
  [1691] = {.lex_state = 62},
  [1692] = {.lex_state = 62},
  [1693] = {.lex_state = 8, .external_lex_state = 5},
  [1694] = {.lex_state = 62},
  [1695] = {.lex_state = 8, .external_lex_state = 6},
  [1696] = {.lex_state = 8, .external_lex_state = 6},
  [1697] = {.lex_state = 8, .external_lex_state = 6},
  [1698] = {.lex_state = 17},
  [1699] = {.lex_state = 62},
  [1700] = {.lex_state = 62},
  [1701] = {.lex_state = 62},
  [1702] = {.lex_state = 8, .external_lex_state = 5},
  [1703] = {.lex_state = 62},
  [1704] = {.lex_state = 62},
  [1705] = {.lex_state = 62},
  [1706] = {.lex_state = 62, .external_lex_state = 2},
  [1707] = {.lex_state = 62, .external_lex_state = 2},
  [1708] = {.lex_state = 64},
  [1709] = {.lex_state = 15},
  [1710] = {.lex_state = 62},
  [1711] = {.lex_state = 62, .external_lex_state = 2},
  [1712] = {.lex_state = 15},
  [1713] = {.lex_state = 62},
  [1714] = {.lex_state = 15},
  [1715] = {.lex_state = 15},
  [1716] = {.lex_state = 15},
  [1717] = {.lex_state = 62},
  [1718] = {.lex_state = 64},
  [1719] = {.lex_state = 62, .external_lex_state = 2},
  [1720] = {.lex_state = 15},
  [1721] = {.lex_state = 63},
  [1722] = {.lex_state = 62, .external_lex_state = 2},
  [1723] = {.lex_state = 63},
  [1724] = {.lex_state = 63},
  [1725] = {.lex_state = 62, .external_lex_state = 2},
  [1726] = {.lex_state = 62, .external_lex_state = 2},
  [1727] = {.lex_state = 62, .external_lex_state = 2},
  [1728] = {.lex_state = 15},
  [1729] = {.lex_state = 62, .external_lex_state = 2},
  [1730] = {.lex_state = 15},
  [1731] = {.lex_state = 62},
  [1732] = {.lex_state = 62, .external_lex_state = 2},
  [1733] = {.lex_state = 62},
  [1734] = {.lex_state = 62},
  [1735] = {.lex_state = 62, .external_lex_state = 2},
  [1736] = {.lex_state = 15},
  [1737] = {.lex_state = 15},
  [1738] = {.lex_state = 62},
  [1739] = {.lex_state = 15},
  [1740] = {.lex_state = 15},
  [1741] = {.lex_state = 15},
  [1742] = {.lex_state = 15},
  [1743] = {.lex_state = 62},
  [1744] = {.lex_state = 15},
  [1745] = {.lex_state = 62},
  [1746] = {.lex_state = 62},
  [1747] = {.lex_state = 15},
  [1748] = {.lex_state = 62, .external_lex_state = 2},
  [1749] = {.lex_state = 15},
  [1750] = {.lex_state = 62},
  [1751] = {.lex_state = 64, .external_lex_state = 10},
  [1752] = {.lex_state = 62, .external_lex_state = 2},
  [1753] = {.lex_state = 62, .external_lex_state = 2},
  [1754] = {.lex_state = 62, .external_lex_state = 2},
  [1755] = {.lex_state = 15},
  [1756] = {.lex_state = 15},
  [1757] = {.lex_state = 15},
  [1758] = {.lex_state = 62, .external_lex_state = 2},
  [1759] = {.lex_state = 62},
  [1760] = {.lex_state = 62, .external_lex_state = 2},
  [1761] = {.lex_state = 62, .external_lex_state = 2},
  [1762] = {.lex_state = 62, .external_lex_state = 2},
  [1763] = {.lex_state = 64, .external_lex_state = 10},
  [1764] = {.lex_state = 62, .external_lex_state = 2},
  [1765] = {.lex_state = 62, .external_lex_state = 2},
  [1766] = {.lex_state = 62},
  [1767] = {.lex_state = 63},
  [1768] = {.lex_state = 62},
  [1769] = {.lex_state = 62, .external_lex_state = 2},
  [1770] = {.lex_state = 62, .external_lex_state = 2},
  [1771] = {.lex_state = 62, .external_lex_state = 2},
  [1772] = {.lex_state = 62, .external_lex_state = 2},
  [1773] = {.lex_state = 62, .external_lex_state = 2},
  [1774] = {.lex_state = 62, .external_lex_state = 2},
  [1775] = {.lex_state = 62, .external_lex_state = 2},
  [1776] = {.lex_state = 62, .external_lex_state = 2},
  [1777] = {.lex_state = 62},
  [1778] = {.lex_state = 62, .external_lex_state = 2},
  [1779] = {.lex_state = 62},
  [1780] = {.lex_state = 62},
  [1781] = {.lex_state = 62},
  [1782] = {.lex_state = 62},
  [1783] = {.lex_state = 62},
  [1784] = {.lex_state = 62},
  [1785] = {.lex_state = 62},
  [1786] = {.lex_state = 62, .external_lex_state = 2},
  [1787] = {.lex_state = 62, .external_lex_state = 2},
  [1788] = {.lex_state = 62},
  [1789] = {.lex_state = 62, .external_lex_state = 2},
  [1790] = {.lex_state = 62, .external_lex_state = 2},
  [1791] = {.lex_state = 62},
  [1792] = {.lex_state = 62, .external_lex_state = 2},
  [1793] = {.lex_state = 62},
  [1794] = {.lex_state = 15},
  [1795] = {.lex_state = 62, .external_lex_state = 2},
  [1796] = {.lex_state = 62},
  [1797] = {.lex_state = 63},
  [1798] = {.lex_state = 63},
  [1799] = {.lex_state = 62, .external_lex_state = 2},
  [1800] = {.lex_state = 63},
  [1801] = {.lex_state = 62, .external_lex_state = 2},
  [1802] = {.lex_state = 63},
  [1803] = {.lex_state = 62, .external_lex_state = 2},
  [1804] = {.lex_state = 62, .external_lex_state = 2},
  [1805] = {.lex_state = 62, .external_lex_state = 2},
  [1806] = {.lex_state = 62, .external_lex_state = 2},
  [1807] = {.lex_state = 62},
  [1808] = {.lex_state = 62, .external_lex_state = 2},
  [1809] = {.lex_state = 62, .external_lex_state = 2},
  [1810] = {.lex_state = 62},
  [1811] = {.lex_state = 62},
  [1812] = {.lex_state = 15},
  [1813] = {.lex_state = 62},
  [1814] = {.lex_state = 62},
  [1815] = {.lex_state = 62, .external_lex_state = 2},
  [1816] = {.lex_state = 62},
  [1817] = {.lex_state = 62},
  [1818] = {.lex_state = 62, .external_lex_state = 2},
  [1819] = {.lex_state = 62},
  [1820] = {.lex_state = 62, .external_lex_state = 2},
  [1821] = {.lex_state = 62},
  [1822] = {.lex_state = 62, .external_lex_state = 2},
  [1823] = {.lex_state = 62, .external_lex_state = 2},
  [1824] = {.lex_state = 62},
  [1825] = {.lex_state = 62},
  [1826] = {.lex_state = 62},
  [1827] = {.lex_state = 62, .external_lex_state = 2},
  [1828] = {.lex_state = 62, .external_lex_state = 2},
  [1829] = {.lex_state = 62},
  [1830] = {.lex_state = 62, .external_lex_state = 2},
  [1831] = {.lex_state = 62, .external_lex_state = 2},
  [1832] = {.lex_state = 62, .external_lex_state = 2},
  [1833] = {.lex_state = 62, .external_lex_state = 2},
  [1834] = {.lex_state = 62},
  [1835] = {.lex_state = 62, .external_lex_state = 2},
  [1836] = {.lex_state = 62, .external_lex_state = 2},
  [1837] = {.lex_state = 62, .external_lex_state = 2},
  [1838] = {.lex_state = 15},
  [1839] = {.lex_state = 62},
  [1840] = {.lex_state = 62, .external_lex_state = 2},
  [1841] = {.lex_state = 62, .external_lex_state = 2},
  [1842] = {.lex_state = 62},
  [1843] = {.lex_state = 62},
  [1844] = {.lex_state = 62},
  [1845] = {.lex_state = 62},
  [1846] = {.lex_state = 62},
  [1847] = {.lex_state = 62},
  [1848] = {.lex_state = 62, .external_lex_state = 2},
  [1849] = {.lex_state = 62, .external_lex_state = 2},
  [1850] = {.lex_state = 62, .external_lex_state = 2},
  [1851] = {.lex_state = 62},
  [1852] = {.lex_state = 62},
  [1853] = {.lex_state = 62},
  [1854] = {.lex_state = 62},
  [1855] = {.lex_state = 62},
  [1856] = {.lex_state = 62},
  [1857] = {.lex_state = 62},
  [1858] = {.lex_state = 62},
  [1859] = {.lex_state = 62},
  [1860] = {.lex_state = 62},
  [1861] = {.lex_state = 62},
  [1862] = {.lex_state = 62},
  [1863] = {.lex_state = 62},
  [1864] = {.lex_state = 62},
  [1865] = {.lex_state = 62},
  [1866] = {.lex_state = 62},
  [1867] = {.lex_state = 62, .external_lex_state = 2},
  [1868] = {.lex_state = 62},
  [1869] = {.lex_state = 62},
  [1870] = {.lex_state = 3, .external_lex_state = 11},
  [1871] = {.lex_state = 62},
  [1872] = {.lex_state = 62},
  [1873] = {.lex_state = 62},
  [1874] = {.lex_state = 62},
  [1875] = {.lex_state = 62},
  [1876] = {.lex_state = 62},
  [1877] = {.lex_state = 62},
  [1878] = {.lex_state = 62},
  [1879] = {.lex_state = 62},
  [1880] = {.lex_state = 62},
  [1881] = {.lex_state = 62},
  [1882] = {.lex_state = 62},
  [1883] = {.lex_state = 62},
  [1884] = {.lex_state = 62},
  [1885] = {.lex_state = 63},
  [1886] = {.lex_state = 62, .external_lex_state = 2},
  [1887] = {.lex_state = 63},
  [1888] = {.lex_state = 62},
  [1889] = {.lex_state = 62},
  [1890] = {.lex_state = 62},
  [1891] = {.lex_state = 62, .external_lex_state = 2},
  [1892] = {.lex_state = 62, .external_lex_state = 2},
  [1893] = {.lex_state = 62},
  [1894] = {.lex_state = 3, .external_lex_state = 11},
  [1895] = {.lex_state = 62, .external_lex_state = 2},
  [1896] = {.lex_state = 62},
  [1897] = {.lex_state = 62},
  [1898] = {.lex_state = 62, .external_lex_state = 2},
  [1899] = {.lex_state = 62},
  [1900] = {.lex_state = 62},
  [1901] = {.lex_state = 3, .external_lex_state = 11},
  [1902] = {.lex_state = 62},
  [1903] = {.lex_state = 17},
  [1904] = {.lex_state = 62},
  [1905] = {.lex_state = 62},
  [1906] = {.lex_state = 62},
  [1907] = {.lex_state = 62},
  [1908] = {.lex_state = 62},
  [1909] = {.lex_state = 62},
  [1910] = {.lex_state = 63},
  [1911] = {.lex_state = 62},
  [1912] = {.lex_state = 62},
  [1913] = {.lex_state = 62},
  [1914] = {.lex_state = 62},
  [1915] = {.lex_state = 62},
  [1916] = {.lex_state = 62, .external_lex_state = 2},
  [1917] = {.lex_state = 3, .external_lex_state = 12},
  [1918] = {.lex_state = 62, .external_lex_state = 2},
  [1919] = {.lex_state = 62},
  [1920] = {.lex_state = 62},
  [1921] = {.lex_state = 62},
  [1922] = {.lex_state = 62},
  [1923] = {.lex_state = 3, .external_lex_state = 11},
  [1924] = {.lex_state = 64, .external_lex_state = 10},
  [1925] = {.lex_state = 62, .external_lex_state = 2},
  [1926] = {.lex_state = 17},
  [1927] = {.lex_state = 62},
  [1928] = {.lex_state = 62, .external_lex_state = 2},
  [1929] = {.lex_state = 62, .external_lex_state = 2},
  [1930] = {.lex_state = 62},
  [1931] = {.lex_state = 3, .external_lex_state = 12},
  [1932] = {.lex_state = 62},
  [1933] = {.lex_state = 62},
  [1934] = {.lex_state = 62},
  [1935] = {.lex_state = 62},
  [1936] = {.lex_state = 62},
  [1937] = {.lex_state = 62},
  [1938] = {.lex_state = 62},
  [1939] = {.lex_state = 62},
  [1940] = {.lex_state = 62, .external_lex_state = 2},
  [1941] = {.lex_state = 62},
  [1942] = {.lex_state = 62, .external_lex_state = 2},
  [1943] = {.lex_state = 62, .external_lex_state = 2},
  [1944] = {.lex_state = 64},
  [1945] = {.lex_state = 62, .external_lex_state = 2},
  [1946] = {.lex_state = 62},
  [1947] = {.lex_state = 62, .external_lex_state = 2},
  [1948] = {.lex_state = 62},
  [1949] = {.lex_state = 62},
  [1950] = {.lex_state = 62},
  [1951] = {.lex_state = 62, .external_lex_state = 2},
  [1952] = {.lex_state = 3, .external_lex_state = 11},
  [1953] = {.lex_state = 62, .external_lex_state = 2},
  [1954] = {.lex_state = 62},
  [1955] = {.lex_state = 62, .external_lex_state = 2},
  [1956] = {.lex_state = 62},
  [1957] = {.lex_state = 62},
  [1958] = {.lex_state = 62},
  [1959] = {.lex_state = 62, .external_lex_state = 2},
  [1960] = {.lex_state = 62, .external_lex_state = 2},
  [1961] = {.lex_state = 62, .external_lex_state = 2},
  [1962] = {.lex_state = 62, .external_lex_state = 2},
  [1963] = {.lex_state = 62, .external_lex_state = 2},
  [1964] = {.lex_state = 62},
  [1965] = {.lex_state = 62},
  [1966] = {.lex_state = 62, .external_lex_state = 2},
  [1967] = {.lex_state = 62, .external_lex_state = 2},
  [1968] = {.lex_state = 62, .external_lex_state = 13},
  [1969] = {.lex_state = 62},
  [1970] = {.lex_state = 62},
  [1971] = {.lex_state = 62, .external_lex_state = 2},
  [1972] = {.lex_state = 62, .external_lex_state = 2},
  [1973] = {.lex_state = 62, .external_lex_state = 2},
  [1974] = {.lex_state = 62, .external_lex_state = 2},
  [1975] = {.lex_state = 62},
  [1976] = {.lex_state = 62},
  [1977] = {.lex_state = 62},
  [1978] = {.lex_state = 62},
  [1979] = {.lex_state = 62},
  [1980] = {.lex_state = 62},
  [1981] = {.lex_state = 62},
  [1982] = {.lex_state = 62},
  [1983] = {.lex_state = 62},
  [1984] = {.lex_state = 62},
  [1985] = {.lex_state = 62, .external_lex_state = 2},
  [1986] = {.lex_state = 62},
  [1987] = {.lex_state = 62},
  [1988] = {.lex_state = 62},
  [1989] = {.lex_state = 62, .external_lex_state = 2},
  [1990] = {.lex_state = 62, .external_lex_state = 2},
  [1991] = {.lex_state = 62, .external_lex_state = 2},
  [1992] = {.lex_state = 62, .external_lex_state = 2},
  [1993] = {.lex_state = 62, .external_lex_state = 2},
  [1994] = {.lex_state = 62, .external_lex_state = 2},
  [1995] = {.lex_state = 62},
  [1996] = {.lex_state = 62, .external_lex_state = 2},
  [1997] = {.lex_state = 62},
  [1998] = {.lex_state = 62, .external_lex_state = 2},
  [1999] = {.lex_state = 62, .external_lex_state = 2},
  [2000] = {.lex_state = 62},
  [2001] = {.lex_state = 62, .external_lex_state = 2},
  [2002] = {.lex_state = 62, .external_lex_state = 2},
  [2003] = {.lex_state = 62},
  [2004] = {.lex_state = 62},
  [2005] = {.lex_state = 62},
  [2006] = {.lex_state = 62},
  [2007] = {.lex_state = 62, .external_lex_state = 2},
  [2008] = {.lex_state = 62},
  [2009] = {.lex_state = 62, .external_lex_state = 2},
  [2010] = {.lex_state = 62},
  [2011] = {.lex_state = 62},
  [2012] = {.lex_state = 62},
  [2013] = {.lex_state = 62, .external_lex_state = 2},
  [2014] = {.lex_state = 62},
  [2015] = {.lex_state = 62},
  [2016] = {.lex_state = 62, .external_lex_state = 2},
  [2017] = {.lex_state = 62},
  [2018] = {.lex_state = 62},
  [2019] = {.lex_state = 62},
  [2020] = {.lex_state = 62},
  [2021] = {.lex_state = 62, .external_lex_state = 2},
  [2022] = {.lex_state = 62},
  [2023] = {.lex_state = 62},
  [2024] = {.lex_state = 62},
  [2025] = {.lex_state = 62},
  [2026] = {.lex_state = 62},
  [2027] = {.lex_state = 3, .external_lex_state = 12},
  [2028] = {.lex_state = 62},
  [2029] = {.lex_state = 62},
  [2030] = {.lex_state = 62},
  [2031] = {.lex_state = 62},
  [2032] = {.lex_state = 62},
  [2033] = {.lex_state = 62},
  [2034] = {.lex_state = 62},
  [2035] = {.lex_state = 62},
  [2036] = {.lex_state = 17},
  [2037] = {.lex_state = 17},
  [2038] = {.lex_state = 62},
  [2039] = {.lex_state = 62},
  [2040] = {.lex_state = 62},
  [2041] = {.lex_state = 62, .external_lex_state = 2},
  [2042] = {.lex_state = 62},
  [2043] = {.lex_state = 62, .external_lex_state = 2},
  [2044] = {.lex_state = 62},
  [2045] = {.lex_state = 62},
  [2046] = {.lex_state = 62},
  [2047] = {.lex_state = 62},
  [2048] = {.lex_state = 62, .external_lex_state = 2},
  [2049] = {.lex_state = 62},
  [2050] = {.lex_state = 62, .external_lex_state = 2},
  [2051] = {.lex_state = 62},
  [2052] = {.lex_state = 62},
  [2053] = {.lex_state = 62, .external_lex_state = 2},
  [2054] = {.lex_state = 62, .external_lex_state = 2},
  [2055] = {.lex_state = 62, .external_lex_state = 2},
  [2056] = {.lex_state = 62},
  [2057] = {.lex_state = 62},
  [2058] = {.lex_state = 62},
  [2059] = {.lex_state = 62},
  [2060] = {.lex_state = 62, .external_lex_state = 2},
  [2061] = {.lex_state = 62},
  [2062] = {.lex_state = 62},
  [2063] = {.lex_state = 62},
  [2064] = {.lex_state = 62, .external_lex_state = 2},
  [2065] = {.lex_state = 63},
  [2066] = {.lex_state = 62},
  [2067] = {.lex_state = 62, .external_lex_state = 2},
  [2068] = {.lex_state = 62},
  [2069] = {.lex_state = 62},
  [2070] = {.lex_state = 62},
  [2071] = {.lex_state = 62, .external_lex_state = 2},
  [2072] = {.lex_state = 62},
  [2073] = {.lex_state = 62},
  [2074] = {.lex_state = 62, .external_lex_state = 2},
  [2075] = {.lex_state = 62},
  [2076] = {.lex_state = 62},
  [2077] = {.lex_state = 62},
  [2078] = {.lex_state = 62},
  [2079] = {.lex_state = 62},
  [2080] = {.lex_state = 62},
  [2081] = {.lex_state = 62},
  [2082] = {.lex_state = 62},
  [2083] = {.lex_state = 62},
  [2084] = {.lex_state = 62},
  [2085] = {.lex_state = 62},
  [2086] = {.lex_state = 62},
  [2087] = {.lex_state = 62},
  [2088] = {.lex_state = 62},
  [2089] = {.lex_state = 62},
  [2090] = {.lex_state = 62},
  [2091] = {.lex_state = 62},
  [2092] = {.lex_state = 62},
  [2093] = {.lex_state = 62},
  [2094] = {.lex_state = 62},
  [2095] = {.lex_state = 62, .external_lex_state = 2},
  [2096] = {.lex_state = 62},
  [2097] = {.lex_state = 62},
  [2098] = {.lex_state = 62},
  [2099] = {.lex_state = 62},
  [2100] = {.lex_state = 62},
  [2101] = {.lex_state = 62},
  [2102] = {.lex_state = 62},
  [2103] = {.lex_state = 62},
  [2104] = {.lex_state = 62},
  [2105] = {.lex_state = 62},
  [2106] = {.lex_state = 62},
  [2107] = {.lex_state = 62, .external_lex_state = 2},
  [2108] = {.lex_state = 62},
  [2109] = {.lex_state = 62},
  [2110] = {.lex_state = 62},
  [2111] = {.lex_state = 62},
  [2112] = {.lex_state = 62},
  [2113] = {.lex_state = 62},
  [2114] = {.lex_state = 62},
  [2115] = {.lex_state = 62},
  [2116] = {.lex_state = 62},
  [2117] = {.lex_state = 62},
  [2118] = {.lex_state = 62},
  [2119] = {.lex_state = 62},
  [2120] = {.lex_state = 62},
  [2121] = {.lex_state = 62},
  [2122] = {.lex_state = 62},
  [2123] = {.lex_state = 62, .external_lex_state = 2},
  [2124] = {.lex_state = 62},
  [2125] = {.lex_state = 3, .external_lex_state = 11},
  [2126] = {.lex_state = 62},
  [2127] = {.lex_state = 62},
  [2128] = {.lex_state = 62},
  [2129] = {.lex_state = 62},
  [2130] = {.lex_state = 62},
  [2131] = {.lex_state = 62},
  [2132] = {.lex_state = 62},
  [2133] = {.lex_state = 62, .external_lex_state = 2},
  [2134] = {.lex_state = 3, .external_lex_state = 11},
  [2135] = {.lex_state = 62},
  [2136] = {.lex_state = 62},
  [2137] = {.lex_state = 62},
  [2138] = {.lex_state = 62},
  [2139] = {.lex_state = 62},
  [2140] = {.lex_state = 62},
  [2141] = {.lex_state = 62},
  [2142] = {.lex_state = 62},
  [2143] = {.lex_state = 62, .external_lex_state = 2},
  [2144] = {.lex_state = 62},
  [2145] = {.lex_state = 62},
  [2146] = {.lex_state = 62},
  [2147] = {.lex_state = 62},
  [2148] = {.lex_state = 62},
  [2149] = {.lex_state = 62},
  [2150] = {.lex_state = 62},
  [2151] = {.lex_state = 62},
  [2152] = {.lex_state = 62},
  [2153] = {.lex_state = 62},
  [2154] = {.lex_state = 62},
  [2155] = {.lex_state = 62},
  [2156] = {.lex_state = 62, .external_lex_state = 2},
  [2157] = {.lex_state = 62, .external_lex_state = 2},
  [2158] = {.lex_state = 62},
  [2159] = {.lex_state = 62, .external_lex_state = 2},
  [2160] = {.lex_state = 62},
  [2161] = {.lex_state = 62},
  [2162] = {.lex_state = 62, .external_lex_state = 2},
  [2163] = {.lex_state = 62},
  [2164] = {.lex_state = 62},
  [2165] = {.lex_state = 62, .external_lex_state = 2},
  [2166] = {.lex_state = 62},
  [2167] = {.lex_state = 62},
  [2168] = {.lex_state = 62, .external_lex_state = 2},
  [2169] = {.lex_state = 62},
  [2170] = {.lex_state = 62, .external_lex_state = 2},
  [2171] = {.lex_state = 62},
  [2172] = {.lex_state = 62},
  [2173] = {.lex_state = 62},
  [2174] = {.lex_state = 62},
  [2175] = {.lex_state = 62},
  [2176] = {.lex_state = 62},
  [2177] = {.lex_state = 63},
  [2178] = {.lex_state = 62},
  [2179] = {.lex_state = 63},
  [2180] = {.lex_state = 62},
  [2181] = {.lex_state = 62},
  [2182] = {.lex_state = 3, .external_lex_state = 11},
  [2183] = {.lex_state = 62},
  [2184] = {.lex_state = 3, .external_lex_state = 11},
  [2185] = {.lex_state = 62},
  [2186] = {.lex_state = 62},
  [2187] = {.lex_state = 62},
  [2188] = {.lex_state = 62},
  [2189] = {.lex_state = 62},
  [2190] = {.lex_state = 62, .external_lex_state = 2},
  [2191] = {.lex_state = 62},
  [2192] = {.lex_state = 62},
  [2193] = {.lex_state = 62},
  [2194] = {.lex_state = 62},
  [2195] = {.lex_state = 62, .external_lex_state = 2},
  [2196] = {.lex_state = 62, .external_lex_state = 2},
  [2197] = {.lex_state = 62},
  [2198] = {.lex_state = 62, .external_lex_state = 2},
  [2199] = {.lex_state = 62, .external_lex_state = 2},
  [2200] = {.lex_state = 62},
  [2201] = {.lex_state = 62},
  [2202] = {.lex_state = 62},
  [2203] = {.lex_state = 62, .external_lex_state = 2},
  [2204] = {.lex_state = 62},
  [2205] = {.lex_state = 62, .external_lex_state = 2},
  [2206] = {.lex_state = 62},
  [2207] = {.lex_state = 62, .external_lex_state = 2},
  [2208] = {.lex_state = 62, .external_lex_state = 2},
  [2209] = {.lex_state = 62},
  [2210] = {.lex_state = 62, .external_lex_state = 2},
  [2211] = {.lex_state = 62},
  [2212] = {.lex_state = 62},
  [2213] = {.lex_state = 62, .external_lex_state = 2},
  [2214] = {.lex_state = 62},
  [2215] = {.lex_state = 62, .external_lex_state = 2},
  [2216] = {.lex_state = 62},
  [2217] = {.lex_state = 62, .external_lex_state = 2},
  [2218] = {.lex_state = 62, .external_lex_state = 2},
  [2219] = {.lex_state = 62, .external_lex_state = 13},
  [2220] = {.lex_state = 62, .external_lex_state = 2},
  [2221] = {.lex_state = 62},
  [2222] = {.lex_state = 62},
  [2223] = {.lex_state = 62, .external_lex_state = 2},
  [2224] = {.lex_state = 62},
  [2225] = {.lex_state = 62, .external_lex_state = 2},
  [2226] = {.lex_state = 62},
  [2227] = {.lex_state = 62, .external_lex_state = 2},
  [2228] = {.lex_state = 62},
  [2229] = {.lex_state = 62},
  [2230] = {.lex_state = 62},
  [2231] = {.lex_state = 62},
  [2232] = {.lex_state = 62},
  [2233] = {.lex_state = 62},
  [2234] = {.lex_state = 62},
  [2235] = {.lex_state = 62},
  [2236] = {.lex_state = 62},
  [2237] = {.lex_state = 62},
  [2238] = {.lex_state = 62},
  [2239] = {.lex_state = 62},
  [2240] = {.lex_state = 62},
  [2241] = {.lex_state = 62, .external_lex_state = 2},
  [2242] = {.lex_state = 62, .external_lex_state = 2},
  [2243] = {.lex_state = 62},
  [2244] = {.lex_state = 62},
  [2245] = {.lex_state = 62},
  [2246] = {.lex_state = 62},
  [2247] = {.lex_state = 62},
  [2248] = {.lex_state = 62},
  [2249] = {.lex_state = 62},
  [2250] = {.lex_state = 62},
  [2251] = {.lex_state = 62},
  [2252] = {.lex_state = 3, .external_lex_state = 11},
  [2253] = {.lex_state = 62},
  [2254] = {.lex_state = 62},
  [2255] = {.lex_state = 62},
  [2256] = {.lex_state = 62},
  [2257] = {.lex_state = 62, .external_lex_state = 2},
  [2258] = {.lex_state = 62},
  [2259] = {.lex_state = 62},
  [2260] = {.lex_state = 62},
  [2261] = {.lex_state = 62},
  [2262] = {.lex_state = 62},
  [2263] = {.lex_state = 62, .external_lex_state = 2},
  [2264] = {.lex_state = 62},
  [2265] = {.lex_state = 62, .external_lex_state = 2},
  [2266] = {.lex_state = 62, .external_lex_state = 2},
  [2267] = {.lex_state = 62},
  [2268] = {.lex_state = 62},
  [2269] = {.lex_state = 62},
  [2270] = {.lex_state = 62},
  [2271] = {.lex_state = 62, .external_lex_state = 2},
  [2272] = {.lex_state = 62},
  [2273] = {.lex_state = 62},
  [2274] = {.lex_state = 62},
  [2275] = {.lex_state = 62},
  [2276] = {.lex_state = 62},
  [2277] = {.lex_state = 62},
  [2278] = {.lex_state = 63},
  [2279] = {.lex_state = 62},
  [2280] = {.lex_state = 62, .external_lex_state = 2},
  [2281] = {.lex_state = 62, .external_lex_state = 2},
  [2282] = {.lex_state = 62},
  [2283] = {.lex_state = 62},
  [2284] = {.lex_state = 62},
  [2285] = {.lex_state = 62, .external_lex_state = 2},
  [2286] = {.lex_state = 62},
  [2287] = {.lex_state = 62, .external_lex_state = 2},
  [2288] = {.lex_state = 62},
  [2289] = {.lex_state = 62, .external_lex_state = 2},
  [2290] = {.lex_state = 62},
  [2291] = {.lex_state = 62},
  [2292] = {.lex_state = 62},
  [2293] = {.lex_state = 62},
  [2294] = {.lex_state = 62},
  [2295] = {.lex_state = 62},
  [2296] = {.lex_state = 62},
  [2297] = {.lex_state = 62},
  [2298] = {.lex_state = 62},
  [2299] = {.lex_state = 62},
  [2300] = {.lex_state = 62},
  [2301] = {.lex_state = 63},
  [2302] = {.lex_state = 62, .external_lex_state = 2},
  [2303] = {.lex_state = 62},
  [2304] = {.lex_state = 62},
  [2305] = {.lex_state = 62, .external_lex_state = 2},
  [2306] = {.lex_state = 63, .external_lex_state = 10},
  [2307] = {.lex_state = 62},
  [2308] = {.lex_state = 62},
  [2309] = {.lex_state = 62},
  [2310] = {.lex_state = 62},
  [2311] = {.lex_state = 62},
  [2312] = {.lex_state = 62},
  [2313] = {.lex_state = 62},
  [2314] = {.lex_state = 62},
  [2315] = {.lex_state = 62},
  [2316] = {.lex_state = 62},
  [2317] = {.lex_state = 62},
  [2318] = {.lex_state = 62},
  [2319] = {.lex_state = 62},
  [2320] = {.lex_state = 62},
  [2321] = {.lex_state = 62},
  [2322] = {.lex_state = 62},
  [2323] = {.lex_state = 62},
  [2324] = {.lex_state = 62},
  [2325] = {.lex_state = 62},
  [2326] = {.lex_state = 62},
  [2327] = {.lex_state = 62},
  [2328] = {.lex_state = 62},
  [2329] = {.lex_state = 62},
  [2330] = {.lex_state = 62},
  [2331] = {.lex_state = 62},
  [2332] = {.lex_state = 62},
  [2333] = {.lex_state = 62},
  [2334] = {.lex_state = 62},
  [2335] = {.lex_state = 62},
  [2336] = {.lex_state = 62},
  [2337] = {.lex_state = 62},
  [2338] = {.lex_state = 62},
  [2339] = {.lex_state = 62},
  [2340] = {.lex_state = 62},
  [2341] = {.lex_state = 62},
  [2342] = {.lex_state = 62},
  [2343] = {.lex_state = 62},
  [2344] = {.lex_state = 62},
  [2345] = {.lex_state = 62, .external_lex_state = 2},
  [2346] = {.lex_state = 3, .external_lex_state = 11},
  [2347] = {.lex_state = 62, .external_lex_state = 2},
  [2348] = {.lex_state = 62},
  [2349] = {.lex_state = 62},
  [2350] = {.lex_state = 62},
  [2351] = {.lex_state = 62},
  [2352] = {.lex_state = 3, .external_lex_state = 11},
  [2353] = {.lex_state = 62},
  [2354] = {.lex_state = 62},
  [2355] = {.lex_state = 62},
  [2356] = {.lex_state = 62},
  [2357] = {.lex_state = 62},
  [2358] = {.lex_state = 62},
  [2359] = {.lex_state = 62},
  [2360] = {.lex_state = 62},
  [2361] = {.lex_state = 62},
  [2362] = {.lex_state = 62},
  [2363] = {.lex_state = 62},
  [2364] = {.lex_state = 62},
  [2365] = {.lex_state = 62},
  [2366] = {.lex_state = 62},
  [2367] = {.lex_state = 62},
  [2368] = {.lex_state = 62},
  [2369] = {.lex_state = 62},
  [2370] = {.lex_state = 62},
  [2371] = {.lex_state = 62},
  [2372] = {.lex_state = 62},
  [2373] = {.lex_state = 62},
  [2374] = {.lex_state = 62},
  [2375] = {.lex_state = 62},
  [2376] = {.lex_state = 62},
  [2377] = {.lex_state = 62, .external_lex_state = 2},
  [2378] = {.lex_state = 62},
  [2379] = {.lex_state = 62},
  [2380] = {.lex_state = 62, .external_lex_state = 2},
  [2381] = {.lex_state = 62},
  [2382] = {.lex_state = 62},
  [2383] = {.lex_state = 62},
  [2384] = {.lex_state = 62},
  [2385] = {.lex_state = 62},
  [2386] = {.lex_state = 62},
  [2387] = {.lex_state = 62},
  [2388] = {.lex_state = 62},
  [2389] = {.lex_state = 62},
  [2390] = {.lex_state = 62},
  [2391] = {.lex_state = 62},
  [2392] = {.lex_state = 62},
  [2393] = {.lex_state = 62},
  [2394] = {.lex_state = 62},
  [2395] = {.lex_state = 62},
  [2396] = {.lex_state = 62},
  [2397] = {.lex_state = 62},
  [2398] = {.lex_state = 62},
  [2399] = {.lex_state = 62},
  [2400] = {.lex_state = 62},
  [2401] = {.lex_state = 62},
  [2402] = {.lex_state = 62},
  [2403] = {.lex_state = 62},
  [2404] = {.lex_state = 3, .external_lex_state = 11},
  [2405] = {.lex_state = 62},
  [2406] = {.lex_state = 62},
  [2407] = {.lex_state = 62},
  [2408] = {.lex_state = 62},
  [2409] = {.lex_state = 62},
  [2410] = {.lex_state = 3, .external_lex_state = 11},
  [2411] = {.lex_state = 62},
  [2412] = {.lex_state = 62},
  [2413] = {.lex_state = 62},
  [2414] = {.lex_state = 62},
  [2415] = {.lex_state = 62},
  [2416] = {.lex_state = 62},
  [2417] = {.lex_state = 62, .external_lex_state = 2},
  [2418] = {.lex_state = 62},
  [2419] = {.lex_state = 62},
  [2420] = {.lex_state = 62},
  [2421] = {.lex_state = 62},
  [2422] = {.lex_state = 62},
  [2423] = {.lex_state = 62},
  [2424] = {.lex_state = 62},
  [2425] = {.lex_state = 62},
  [2426] = {.lex_state = 62},
  [2427] = {.lex_state = 62},
  [2428] = {.lex_state = 62},
  [2429] = {.lex_state = 62},
  [2430] = {.lex_state = 62},
  [2431] = {.lex_state = 62},
  [2432] = {.lex_state = 62},
  [2433] = {.lex_state = 62},
  [2434] = {.lex_state = 62},
  [2435] = {.lex_state = 62},
  [2436] = {.lex_state = 62},
  [2437] = {.lex_state = 62},
  [2438] = {.lex_state = 62},
  [2439] = {.lex_state = 62},
  [2440] = {.lex_state = 62},
  [2441] = {.lex_state = 62},
  [2442] = {.lex_state = 62},
  [2443] = {.lex_state = 62},
  [2444] = {.lex_state = 62},
  [2445] = {.lex_state = 62},
  [2446] = {.lex_state = 62},
  [2447] = {.lex_state = 62},
  [2448] = {.lex_state = 62},
  [2449] = {.lex_state = 62},
  [2450] = {.lex_state = 62},
  [2451] = {.lex_state = 3, .external_lex_state = 11},
  [2452] = {.lex_state = 62},
  [2453] = {.lex_state = 3, .external_lex_state = 11},
  [2454] = {.lex_state = 62},
  [2455] = {.lex_state = 62},
  [2456] = {.lex_state = 62},
  [2457] = {.lex_state = 3, .external_lex_state = 11},
  [2458] = {.lex_state = 62},
  [2459] = {.lex_state = 62},
  [2460] = {.lex_state = 62, .external_lex_state = 14},
  [2461] = {.lex_state = 3, .external_lex_state = 11},
  [2462] = {.lex_state = 62},
  [2463] = {.lex_state = 62},
  [2464] = {.lex_state = 62},
  [2465] = {.lex_state = 62},
  [2466] = {.lex_state = 62},
  [2467] = {.lex_state = 62},
  [2468] = {.lex_state = 62},
  [2469] = {.lex_state = 62},
  [2470] = {.lex_state = 62, .external_lex_state = 2},
  [2471] = {.lex_state = 62},
  [2472] = {.lex_state = 62},
  [2473] = {.lex_state = 62},
  [2474] = {.lex_state = 62},
  [2475] = {.lex_state = 62},
  [2476] = {.lex_state = 62},
  [2477] = {.lex_state = 62},
  [2478] = {.lex_state = 62},
  [2479] = {.lex_state = 62},
  [2480] = {.lex_state = 62},
  [2481] = {.lex_state = 62},
  [2482] = {.lex_state = 62},
  [2483] = {.lex_state = 62},
  [2484] = {.lex_state = 62},
  [2485] = {.lex_state = 62},
  [2486] = {.lex_state = 62},
  [2487] = {.lex_state = 62},
  [2488] = {.lex_state = 3, .external_lex_state = 11},
  [2489] = {.lex_state = 62},
  [2490] = {.lex_state = 62},
  [2491] = {.lex_state = 62},
  [2492] = {.lex_state = 62},
  [2493] = {.lex_state = 62, .external_lex_state = 2},
  [2494] = {.lex_state = 62},
  [2495] = {.lex_state = 62},
  [2496] = {.lex_state = 62},
  [2497] = {.lex_state = 62},
  [2498] = {.lex_state = 62},
  [2499] = {.lex_state = 62},
  [2500] = {.lex_state = 62},
  [2501] = {.lex_state = 3, .external_lex_state = 11},
  [2502] = {.lex_state = 62},
  [2503] = {.lex_state = 62},
  [2504] = {.lex_state = 62},
  [2505] = {.lex_state = 62},
  [2506] = {.lex_state = 62},
  [2507] = {.lex_state = 62},
  [2508] = {.lex_state = 10},
  [2509] = {.lex_state = 62},
  [2510] = {.lex_state = 62},
  [2511] = {.lex_state = 62},
  [2512] = {.lex_state = 62},
  [2513] = {.lex_state = 62},
  [2514] = {.lex_state = 62},
  [2515] = {.lex_state = 62},
  [2516] = {.lex_state = 62},
  [2517] = {.lex_state = 62},
  [2518] = {.lex_state = 62},
  [2519] = {.lex_state = 62},
  [2520] = {.lex_state = 62},
  [2521] = {.lex_state = 62},
  [2522] = {.lex_state = 62},
  [2523] = {.lex_state = 62},
  [2524] = {.lex_state = 62},
  [2525] = {.lex_state = 62},
  [2526] = {.lex_state = 62},
  [2527] = {.lex_state = 62},
  [2528] = {.lex_state = 62},
  [2529] = {.lex_state = 62},
  [2530] = {.lex_state = 62},
  [2531] = {.lex_state = 62},
  [2532] = {.lex_state = 62},
  [2533] = {.lex_state = 62},
  [2534] = {.lex_state = 62, .external_lex_state = 11},
  [2535] = {.lex_state = 62},
  [2536] = {.lex_state = 62},
  [2537] = {.lex_state = 62},
  [2538] = {.lex_state = 62},
  [2539] = {.lex_state = 62, .external_lex_state = 11},
  [2540] = {.lex_state = 62},
  [2541] = {.lex_state = 62},
  [2542] = {.lex_state = 62},
  [2543] = {.lex_state = 62},
  [2544] = {.lex_state = 62},
  [2545] = {.lex_state = 62},
  [2546] = {.lex_state = 62, .external_lex_state = 11},
  [2547] = {.lex_state = 62},
  [2548] = {.lex_state = 62},
  [2549] = {.lex_state = 62},
  [2550] = {.lex_state = 62},
  [2551] = {.lex_state = 62},
  [2552] = {.lex_state = 62},
  [2553] = {.lex_state = 62},
  [2554] = {.lex_state = 62},
  [2555] = {.lex_state = 62},
  [2556] = {.lex_state = 62},
  [2557] = {.lex_state = 62},
  [2558] = {.lex_state = 62},
  [2559] = {.lex_state = 62},
  [2560] = {.lex_state = 10},
  [2561] = {.lex_state = 62},
  [2562] = {.lex_state = 62},
  [2563] = {.lex_state = 62},
  [2564] = {.lex_state = 62},
  [2565] = {.lex_state = 62},
  [2566] = {.lex_state = 62},
  [2567] = {.lex_state = 62},
  [2568] = {.lex_state = 62},
  [2569] = {.lex_state = 62},
  [2570] = {.lex_state = 62},
  [2571] = {.lex_state = 62},
  [2572] = {.lex_state = 62},
  [2573] = {.lex_state = 62},
  [2574] = {.lex_state = 62},
  [2575] = {.lex_state = 62},
  [2576] = {.lex_state = 62},
  [2577] = {.lex_state = 62},
  [2578] = {.lex_state = 62},
  [2579] = {.lex_state = 62},
  [2580] = {.lex_state = 62},
  [2581] = {.lex_state = 62},
  [2582] = {.lex_state = 62},
  [2583] = {.lex_state = 62},
  [2584] = {.lex_state = 62},
  [2585] = {.lex_state = 62},
  [2586] = {.lex_state = 62},
  [2587] = {.lex_state = 62},
  [2588] = {.lex_state = 62},
  [2589] = {.lex_state = 62},
  [2590] = {.lex_state = 62, .external_lex_state = 13},
  [2591] = {.lex_state = 62},
  [2592] = {.lex_state = 62},
  [2593] = {.lex_state = 62},
  [2594] = {.lex_state = 62},
  [2595] = {.lex_state = 62},
  [2596] = {.lex_state = 62, .external_lex_state = 11},
  [2597] = {.lex_state = 62},
  [2598] = {.lex_state = 62},
  [2599] = {.lex_state = 62},
  [2600] = {.lex_state = 62},
  [2601] = {.lex_state = 62},
  [2602] = {.lex_state = 62},
  [2603] = {.lex_state = 62},
  [2604] = {.lex_state = 62},
  [2605] = {.lex_state = 62, .external_lex_state = 11},
  [2606] = {.lex_state = 62, .external_lex_state = 13},
  [2607] = {.lex_state = 62},
  [2608] = {.lex_state = 62, .external_lex_state = 13},
  [2609] = {.lex_state = 62},
  [2610] = {.lex_state = 62},
  [2611] = {.lex_state = 62},
  [2612] = {.lex_state = 62},
  [2613] = {.lex_state = 62},
  [2614] = {.lex_state = 62},
  [2615] = {.lex_state = 62},
  [2616] = {.lex_state = 62, .external_lex_state = 11},
  [2617] = {.lex_state = 62},
  [2618] = {.lex_state = 62},
  [2619] = {.lex_state = 62},
  [2620] = {.lex_state = 62},
  [2621] = {.lex_state = 62},
  [2622] = {.lex_state = 62},
  [2623] = {.lex_state = 62},
  [2624] = {.lex_state = 62},
  [2625] = {.lex_state = 62},
  [2626] = {.lex_state = 62},
  [2627] = {.lex_state = 62},
  [2628] = {.lex_state = 62},
  [2629] = {.lex_state = 62},
  [2630] = {.lex_state = 62},
  [2631] = {.lex_state = 62},
  [2632] = {.lex_state = 62, .external_lex_state = 11},
  [2633] = {.lex_state = 62, .external_lex_state = 11},
  [2634] = {.lex_state = 62},
  [2635] = {.lex_state = 62},
  [2636] = {.lex_state = 62},
  [2637] = {.lex_state = 62},
  [2638] = {.lex_state = 62},
  [2639] = {.lex_state = 62, .external_lex_state = 11},
  [2640] = {.lex_state = 62},
  [2641] = {.lex_state = 62},
  [2642] = {.lex_state = 62},
  [2643] = {.lex_state = 62},
  [2644] = {.lex_state = 62},
  [2645] = {.lex_state = 62},
  [2646] = {.lex_state = 62},
  [2647] = {.lex_state = 62},
  [2648] = {.lex_state = 62},
  [2649] = {.lex_state = 62},
  [2650] = {.lex_state = 62},
  [2651] = {.lex_state = 62},
  [2652] = {.lex_state = 62},
  [2653] = {.lex_state = 62},
  [2654] = {.lex_state = 62},
  [2655] = {.lex_state = 62},
  [2656] = {.lex_state = 62},
  [2657] = {.lex_state = 62},
  [2658] = {.lex_state = 62},
  [2659] = {.lex_state = 62},
  [2660] = {.lex_state = 62},
  [2661] = {.lex_state = 62},
  [2662] = {.lex_state = 62},
  [2663] = {.lex_state = 62, .external_lex_state = 13},
  [2664] = {.lex_state = 62},
  [2665] = {.lex_state = 62},
  [2666] = {.lex_state = 62},
  [2667] = {.lex_state = 62},
  [2668] = {.lex_state = 62},
  [2669] = {.lex_state = 62},
  [2670] = {.lex_state = 62},
  [2671] = {.lex_state = 62},
  [2672] = {.lex_state = 62},
  [2673] = {.lex_state = 62},
  [2674] = {.lex_state = 62},
  [2675] = {.lex_state = 62},
  [2676] = {.lex_state = 62},
  [2677] = {.lex_state = 62},
  [2678] = {.lex_state = 62},
  [2679] = {.lex_state = 62},
  [2680] = {.lex_state = 62},
  [2681] = {.lex_state = 62},
  [2682] = {.lex_state = 62},
  [2683] = {.lex_state = 62},
  [2684] = {.lex_state = 62, .external_lex_state = 11},
  [2685] = {.lex_state = 62},
  [2686] = {.lex_state = 62},
  [2687] = {.lex_state = 62},
  [2688] = {.lex_state = 62},
  [2689] = {.lex_state = 62},
  [2690] = {.lex_state = 62},
  [2691] = {.lex_state = 62},
  [2692] = {.lex_state = 62},
  [2693] = {.lex_state = 62},
  [2694] = {.lex_state = 62},
  [2695] = {.lex_state = 62},
  [2696] = {.lex_state = 62},
  [2697] = {.lex_state = 62},
  [2698] = {.lex_state = 62},
  [2699] = {.lex_state = 62},
  [2700] = {.lex_state = 62},
  [2701] = {.lex_state = 62},
  [2702] = {.lex_state = 62},
  [2703] = {.lex_state = 62},
  [2704] = {.lex_state = 62},
  [2705] = {.lex_state = 62},
  [2706] = {.lex_state = 62},
  [2707] = {.lex_state = 62},
  [2708] = {.lex_state = 62},
  [2709] = {.lex_state = 62},
  [2710] = {.lex_state = 62},
  [2711] = {.lex_state = 62},
  [2712] = {.lex_state = 62},
  [2713] = {.lex_state = 62},
  [2714] = {.lex_state = 62},
  [2715] = {.lex_state = 62},
  [2716] = {.lex_state = 62},
  [2717] = {.lex_state = 62},
  [2718] = {.lex_state = 62},
  [2719] = {.lex_state = 62},
  [2720] = {.lex_state = 62},
  [2721] = {.lex_state = 62},
  [2722] = {.lex_state = 62},
  [2723] = {.lex_state = 62},
  [2724] = {.lex_state = 62},
  [2725] = {.lex_state = 62},
  [2726] = {.lex_state = 62},
  [2727] = {.lex_state = 62},
  [2728] = {.lex_state = 62},
  [2729] = {.lex_state = 62},
  [2730] = {.lex_state = 62},
  [2731] = {.lex_state = 62},
  [2732] = {.lex_state = 62},
  [2733] = {.lex_state = 62},
  [2734] = {(TSStateId)(-1)},
  [2735] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_text_interpolation] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [sym_php_tag] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_text_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_enum_declaration_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [aux_sym_enum_case_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_final_modifier_token1] = ACTIONS(1),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_bottom_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_mixed] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [aux_sym_cast_type_token1] = ACTIONS(1),
    [aux_sym_cast_type_token2] = ACTIONS(1),
    [aux_sym_cast_type_token3] = ACTIONS(1),
    [aux_sym_cast_type_token4] = ACTIONS(1),
    [aux_sym_cast_type_token5] = ACTIONS(1),
    [aux_sym_cast_type_token6] = ACTIONS(1),
    [aux_sym_cast_type_token7] = ACTIONS(1),
    [aux_sym_cast_type_token8] = ACTIONS(1),
    [aux_sym_cast_type_token9] = ACTIONS(1),
    [aux_sym_cast_type_token10] = ACTIONS(1),
    [aux_sym_cast_type_token11] = ACTIONS(1),
    [aux_sym_cast_type_token12] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [aux_sym_exit_statement_token1] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [aux_sym_declare_statement_token2] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_match_expression_token1] = ACTIONS(1),
    [aux_sym_match_default_expression_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [aux_sym_clone_expression_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1),
    [aux_sym__list_destructing_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [aux_sym__argument_name_token1] = ACTIONS(1),
    [aux_sym__argument_name_token2] = ACTIONS(1),
    [anon_sym_POUND_LBRACK] = ACTIONS(1),
    [aux_sym_encapsed_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_string_token2] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_yield_expression_token1] = ACTIONS(1),
    [aux_sym_yield_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_encapsed_string_chars] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable] = ACTIONS(1),
    [sym_execution_string_chars] = ACTIONS(1),
    [sym_execution_string_chars_after_variable] = ACTIONS(1),
    [sym_encapsed_string_chars_heredoc] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_nowdoc_string] = ACTIONS(1),
    [sym_sentinel_error] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2728),
    [sym_text_interpolation] = STATE(1),
    [sym_text] = STATE(2301),
    [aux_sym_text_repeat1] = STATE(1708),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_php_tag] = ACTIONS(9),
    [anon_sym_QMARK_GT] = ACTIONS(11),
    [aux_sym_text_token1] = ACTIONS(13),
    [aux_sym_text_token2] = ACTIONS(15),
    [sym_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_text_interpolation] = STATE(2),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [ts_builtin_sym_end] = ACTIONS(17),
    [sym_name] = ACTIONS(19),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(22),
    [aux_sym_function_static_declaration_token1] = ACTIONS(25),
    [aux_sym_global_declaration_token1] = ACTIONS(28),
    [aux_sym_namespace_definition_token1] = ACTIONS(31),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(34),
    [aux_sym__namespace_use_type_token1] = ACTIONS(37),
    [aux_sym__namespace_use_type_token2] = ACTIONS(40),
    [anon_sym_BSLASH] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(46),
    [anon_sym_RBRACE] = ACTIONS(17),
    [aux_sym_trait_declaration_token1] = ACTIONS(49),
    [aux_sym_interface_declaration_token1] = ACTIONS(52),
    [aux_sym_enum_declaration_token1] = ACTIONS(55),
    [aux_sym_enum_case_token1] = ACTIONS(58),
    [aux_sym_class_declaration_token1] = ACTIONS(60),
    [aux_sym_final_modifier_token1] = ACTIONS(63),
    [aux_sym_abstract_modifier_token1] = ACTIONS(66),
    [aux_sym_readonly_modifier_token1] = ACTIONS(69),
    [sym_var_modifier] = ACTIONS(72),
    [aux_sym_visibility_modifier_token1] = ACTIONS(75),
    [aux_sym_visibility_modifier_token2] = ACTIONS(75),
    [aux_sym_visibility_modifier_token3] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(78),
    [aux_sym__arrow_function_header_token1] = ACTIONS(81),
    [aux_sym_cast_type_token1] = ACTIONS(84),
    [aux_sym_echo_statement_token1] = ACTIONS(87),
    [aux_sym_exit_statement_token1] = ACTIONS(90),
    [anon_sym_unset] = ACTIONS(93),
    [aux_sym_declare_statement_token1] = ACTIONS(96),
    [aux_sym_declare_statement_token2] = ACTIONS(58),
    [sym_float] = ACTIONS(99),
    [aux_sym_try_statement_token1] = ACTIONS(102),
    [aux_sym_goto_statement_token1] = ACTIONS(105),
    [aux_sym_continue_statement_token1] = ACTIONS(108),
    [aux_sym_break_statement_token1] = ACTIONS(111),
    [sym_integer] = ACTIONS(99),
    [aux_sym_return_statement_token1] = ACTIONS(114),
    [aux_sym_throw_expression_token1] = ACTIONS(117),
    [aux_sym_while_statement_token1] = ACTIONS(120),
    [aux_sym_while_statement_token2] = ACTIONS(58),
    [aux_sym_do_statement_token1] = ACTIONS(123),
    [aux_sym_for_statement_token1] = ACTIONS(126),
    [aux_sym_for_statement_token2] = ACTIONS(58),
    [aux_sym_foreach_statement_token1] = ACTIONS(129),
    [aux_sym_foreach_statement_token2] = ACTIONS(58),
    [aux_sym_if_statement_token1] = ACTIONS(132),
    [aux_sym_if_statement_token2] = ACTIONS(58),
    [aux_sym_match_expression_token1] = ACTIONS(135),
    [aux_sym_match_default_expression_token1] = ACTIONS(58),
    [aux_sym_switch_statement_token1] = ACTIONS(138),
    [aux_sym_switch_block_token1] = ACTIONS(58),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(144),
    [anon_sym_BANG] = ACTIONS(144),
    [anon_sym_AT] = ACTIONS(147),
    [aux_sym_clone_expression_token1] = ACTIONS(150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(153),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(156),
    [anon_sym_DASH_DASH] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [aux_sym__list_destructing_token1] = ACTIONS(162),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_self] = ACTIONS(168),
    [anon_sym_parent] = ACTIONS(168),
    [aux_sym__argument_name_token1] = ACTIONS(171),
    [aux_sym__argument_name_token2] = ACTIONS(174),
    [anon_sym_POUND_LBRACK] = ACTIONS(177),
    [aux_sym_encapsed_string_token1] = ACTIONS(180),
    [anon_sym_DQUOTE] = ACTIONS(180),
    [aux_sym_string_token1] = ACTIONS(183),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [anon_sym_LT_LT_LT] = ACTIONS(186),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR] = ACTIONS(192),
    [aux_sym_yield_expression_token1] = ACTIONS(195),
    [aux_sym_include_expression_token1] = ACTIONS(198),
    [aux_sym_include_once_expression_token1] = ACTIONS(201),
    [aux_sym_require_expression_token1] = ACTIONS(204),
    [aux_sym_require_once_expression_token1] = ACTIONS(207),
    [sym_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_text_interpolation] = STATE(3),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(230),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(238),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_text_interpolation] = STATE(4),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(340),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(342),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(342),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_text_interpolation] = STATE(5),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(3),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(344),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(346),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(346),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(346),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_text_interpolation] = STATE(6),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(4),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(348),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(350),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(350),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(350),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_text_interpolation] = STATE(7),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_while_statement_token2] = ACTIONS(352),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_foreach_statement_token2] = ACTIONS(352),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_if_statement_token2] = ACTIONS(352),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_text_interpolation] = STATE(8),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(8),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(19),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(22),
    [aux_sym_function_static_declaration_token1] = ACTIONS(25),
    [aux_sym_global_declaration_token1] = ACTIONS(28),
    [aux_sym_namespace_definition_token1] = ACTIONS(31),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(34),
    [aux_sym__namespace_use_type_token1] = ACTIONS(37),
    [aux_sym__namespace_use_type_token2] = ACTIONS(40),
    [anon_sym_BSLASH] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(46),
    [aux_sym_trait_declaration_token1] = ACTIONS(49),
    [aux_sym_interface_declaration_token1] = ACTIONS(52),
    [aux_sym_enum_declaration_token1] = ACTIONS(55),
    [aux_sym_class_declaration_token1] = ACTIONS(60),
    [aux_sym_final_modifier_token1] = ACTIONS(63),
    [aux_sym_abstract_modifier_token1] = ACTIONS(66),
    [aux_sym_readonly_modifier_token1] = ACTIONS(69),
    [sym_var_modifier] = ACTIONS(72),
    [aux_sym_visibility_modifier_token1] = ACTIONS(75),
    [aux_sym_visibility_modifier_token2] = ACTIONS(75),
    [aux_sym_visibility_modifier_token3] = ACTIONS(75),
    [anon_sym_LPAREN] = ACTIONS(78),
    [aux_sym__arrow_function_header_token1] = ACTIONS(81),
    [aux_sym_cast_type_token1] = ACTIONS(84),
    [aux_sym_echo_statement_token1] = ACTIONS(87),
    [aux_sym_exit_statement_token1] = ACTIONS(90),
    [anon_sym_unset] = ACTIONS(93),
    [aux_sym_declare_statement_token1] = ACTIONS(354),
    [sym_float] = ACTIONS(99),
    [aux_sym_try_statement_token1] = ACTIONS(102),
    [aux_sym_goto_statement_token1] = ACTIONS(105),
    [aux_sym_continue_statement_token1] = ACTIONS(108),
    [aux_sym_break_statement_token1] = ACTIONS(111),
    [sym_integer] = ACTIONS(99),
    [aux_sym_return_statement_token1] = ACTIONS(114),
    [aux_sym_throw_expression_token1] = ACTIONS(117),
    [aux_sym_while_statement_token1] = ACTIONS(357),
    [aux_sym_do_statement_token1] = ACTIONS(123),
    [aux_sym_for_statement_token1] = ACTIONS(360),
    [aux_sym_foreach_statement_token1] = ACTIONS(363),
    [aux_sym_if_statement_token1] = ACTIONS(366),
    [aux_sym_if_statement_token2] = ACTIONS(58),
    [aux_sym_else_if_clause_token1] = ACTIONS(58),
    [aux_sym_else_clause_token1] = ACTIONS(58),
    [aux_sym_match_expression_token1] = ACTIONS(135),
    [aux_sym_switch_statement_token1] = ACTIONS(138),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(144),
    [anon_sym_BANG] = ACTIONS(144),
    [anon_sym_AT] = ACTIONS(147),
    [aux_sym_clone_expression_token1] = ACTIONS(150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(153),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(156),
    [anon_sym_DASH_DASH] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [aux_sym__list_destructing_token1] = ACTIONS(162),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_self] = ACTIONS(168),
    [anon_sym_parent] = ACTIONS(168),
    [aux_sym__argument_name_token1] = ACTIONS(171),
    [aux_sym__argument_name_token2] = ACTIONS(174),
    [anon_sym_POUND_LBRACK] = ACTIONS(177),
    [aux_sym_encapsed_string_token1] = ACTIONS(180),
    [anon_sym_DQUOTE] = ACTIONS(180),
    [aux_sym_string_token1] = ACTIONS(183),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [anon_sym_LT_LT_LT] = ACTIONS(186),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR] = ACTIONS(192),
    [aux_sym_yield_expression_token1] = ACTIONS(195),
    [aux_sym_include_expression_token1] = ACTIONS(198),
    [aux_sym_include_once_expression_token1] = ACTIONS(201),
    [aux_sym_require_expression_token1] = ACTIONS(204),
    [aux_sym_require_once_expression_token1] = ACTIONS(207),
    [sym_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_text_interpolation] = STATE(9),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_while_statement_token2] = ACTIONS(369),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_foreach_statement_token2] = ACTIONS(369),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_if_statement_token2] = ACTIONS(369),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_text_interpolation] = STATE(10),
    [sym_statement] = STATE(560),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_colon_block] = STATE(2666),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(563),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(371),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(373),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(375),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(377),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(379),
    [aux_sym_foreach_statement_token1] = ACTIONS(381),
    [aux_sym_if_statement_token1] = ACTIONS(383),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [11] = {
    [sym_text_interpolation] = STATE(11),
    [sym_statement] = STATE(560),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_colon_block] = STATE(2666),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(563),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(371),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(373),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [12] = {
    [sym_text_interpolation] = STATE(12),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(375),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(377),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(379),
    [aux_sym_foreach_statement_token1] = ACTIONS(381),
    [aux_sym_if_statement_token1] = ACTIONS(383),
    [aux_sym_if_statement_token2] = ACTIONS(352),
    [aux_sym_else_if_clause_token1] = ACTIONS(352),
    [aux_sym_else_clause_token1] = ACTIONS(352),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_text_interpolation] = STATE(13),
    [sym_statement] = STATE(2114),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_colon_block] = STATE(2646),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(2117),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(373),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [14] = {
    [sym_text_interpolation] = STATE(14),
    [sym_statement] = STATE(2114),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_colon_block] = STATE(2646),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(2117),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(373),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [15] = {
    [sym_text_interpolation] = STATE(15),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(8),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(375),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(377),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(379),
    [aux_sym_foreach_statement_token1] = ACTIONS(381),
    [aux_sym_if_statement_token1] = ACTIONS(383),
    [aux_sym_if_statement_token2] = ACTIONS(369),
    [aux_sym_else_if_clause_token1] = ACTIONS(369),
    [aux_sym_else_clause_token1] = ACTIONS(369),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_text_interpolation] = STATE(16),
    [sym_statement] = STATE(1970),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(1970),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(453),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [17] = {
    [sym_text_interpolation] = STATE(17),
    [sym_statement] = STATE(474),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(473),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(371),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [18] = {
    [sym_text_interpolation] = STATE(18),
    [sym_statement] = STATE(554),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(555),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(371),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(457),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [19] = {
    [sym_text_interpolation] = STATE(19),
    [sym_statement] = STATE(2173),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(2174),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [20] = {
    [sym_text_interpolation] = STATE(20),
    [sym_statement] = STATE(2246),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(2167),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(461),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [21] = {
    [sym_text_interpolation] = STATE(21),
    [sym_statement] = STATE(480),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(480),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(371),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(375),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(377),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(379),
    [aux_sym_foreach_statement_token1] = ACTIONS(381),
    [aux_sym_if_statement_token1] = ACTIONS(383),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [22] = {
    [sym_text_interpolation] = STATE(22),
    [sym_statement] = STATE(2003),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(2005),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(465),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [23] = {
    [sym_text_interpolation] = STATE(23),
    [sym_statement] = STATE(2100),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(2101),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(467),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [24] = {
    [sym_text_interpolation] = STATE(24),
    [sym_statement] = STATE(2094),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(2097),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(469),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [25] = {
    [sym_text_interpolation] = STATE(25),
    [sym_statement] = STATE(2072),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(2086),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [26] = {
    [sym_text_interpolation] = STATE(26),
    [sym_statement] = STATE(474),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(473),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(371),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(375),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(377),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(379),
    [aux_sym_foreach_statement_token1] = ACTIONS(381),
    [aux_sym_if_statement_token1] = ACTIONS(383),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [27] = {
    [sym_text_interpolation] = STATE(27),
    [sym_statement] = STATE(2229),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(2230),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(473),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [28] = {
    [sym_text_interpolation] = STATE(28),
    [sym_statement] = STATE(2003),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(2005),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(465),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [29] = {
    [sym_text_interpolation] = STATE(29),
    [sym_statement] = STATE(2072),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(2086),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [30] = {
    [sym_text_interpolation] = STATE(30),
    [sym_statement] = STATE(2094),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(2097),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(469),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [31] = {
    [sym_text_interpolation] = STATE(31),
    [sym_statement] = STATE(456),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(523),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(371),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(375),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(377),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(379),
    [aux_sym_foreach_statement_token1] = ACTIONS(381),
    [aux_sym_if_statement_token1] = ACTIONS(383),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [32] = {
    [sym_text_interpolation] = STATE(32),
    [sym_statement] = STATE(2100),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(2101),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(467),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [33] = {
    [sym_text_interpolation] = STATE(33),
    [sym_statement] = STATE(2180),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(2187),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(477),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [34] = {
    [sym_text_interpolation] = STATE(34),
    [sym_statement] = STATE(521),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(520),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(371),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(375),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(377),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(379),
    [aux_sym_foreach_statement_token1] = ACTIONS(381),
    [aux_sym_if_statement_token1] = ACTIONS(383),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [35] = {
    [sym_text_interpolation] = STATE(35),
    [sym_statement] = STATE(1970),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(1970),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(453),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [36] = {
    [sym_text_interpolation] = STATE(36),
    [sym_statement] = STATE(514),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(515),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(371),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(481),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [37] = {
    [sym_text_interpolation] = STATE(37),
    [sym_statement] = STATE(2229),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(2230),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(473),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [38] = {
    [sym_text_interpolation] = STATE(38),
    [sym_statement] = STATE(514),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(515),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(371),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(481),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(375),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(377),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(379),
    [aux_sym_foreach_statement_token1] = ACTIONS(381),
    [aux_sym_if_statement_token1] = ACTIONS(383),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [39] = {
    [sym_text_interpolation] = STATE(39),
    [sym_statement] = STATE(537),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(539),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(371),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(375),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(377),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(379),
    [aux_sym_foreach_statement_token1] = ACTIONS(381),
    [aux_sym_if_statement_token1] = ACTIONS(383),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [40] = {
    [sym_text_interpolation] = STATE(40),
    [sym_statement] = STATE(521),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(520),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(371),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [41] = {
    [sym_text_interpolation] = STATE(41),
    [sym_statement] = STATE(456),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(523),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(371),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [42] = {
    [sym_text_interpolation] = STATE(42),
    [sym_statement] = STATE(529),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(528),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(371),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(485),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [43] = {
    [sym_text_interpolation] = STATE(43),
    [sym_statement] = STATE(547),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(551),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(371),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [44] = {
    [sym_text_interpolation] = STATE(44),
    [sym_statement] = STATE(547),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(551),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(371),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(375),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(377),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(379),
    [aux_sym_foreach_statement_token1] = ACTIONS(381),
    [aux_sym_if_statement_token1] = ACTIONS(383),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [45] = {
    [sym_text_interpolation] = STATE(45),
    [sym_statement] = STATE(2180),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(2187),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(477),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [46] = {
    [sym_text_interpolation] = STATE(46),
    [sym_statement] = STATE(554),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(555),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(371),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(457),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(375),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(377),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(379),
    [aux_sym_foreach_statement_token1] = ACTIONS(381),
    [aux_sym_if_statement_token1] = ACTIONS(383),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [47] = {
    [sym_text_interpolation] = STATE(47),
    [sym_statement] = STATE(2173),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(2174),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [48] = {
    [sym_text_interpolation] = STATE(48),
    [sym_statement] = STATE(2246),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(2167),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(461),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [49] = {
    [sym_text_interpolation] = STATE(49),
    [sym_statement] = STATE(480),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(480),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(371),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [50] = {
    [sym_text_interpolation] = STATE(50),
    [sym_statement] = STATE(529),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(528),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(371),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(485),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(375),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(377),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(379),
    [aux_sym_foreach_statement_token1] = ACTIONS(381),
    [aux_sym_if_statement_token1] = ACTIONS(383),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [51] = {
    [sym_text_interpolation] = STATE(51),
    [sym_statement] = STATE(537),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(539),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(371),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [52] = {
    [sym_text_interpolation] = STATE(52),
    [sym_statement] = STATE(1652),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_colon_block] = STATE(1619),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(491),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_text_interpolation] = STATE(53),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(493),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_text_interpolation] = STATE(54),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(109),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [ts_builtin_sym_end] = ACTIONS(495),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_text_interpolation] = STATE(55),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(83),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(497),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_text_interpolation] = STATE(56),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(74),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(499),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_text_interpolation] = STATE(57),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(99),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [ts_builtin_sym_end] = ACTIONS(501),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_text_interpolation] = STATE(58),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(71),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(503),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_text_interpolation] = STATE(59),
    [sym_statement] = STATE(538),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_colon_block] = STATE(2533),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(373),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(375),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(377),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(379),
    [aux_sym_foreach_statement_token1] = ACTIONS(381),
    [aux_sym_if_statement_token1] = ACTIONS(383),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_text_interpolation] = STATE(60),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(505),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_text_interpolation] = STATE(61),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(60),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(507),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_text_interpolation] = STATE(62),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(63),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(509),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_text_interpolation] = STATE(63),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(511),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_text_interpolation] = STATE(64),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(53),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(513),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_text_interpolation] = STATE(65),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(73),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(515),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_text_interpolation] = STATE(66),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(517),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_text_interpolation] = STATE(67),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(519),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_text_interpolation] = STATE(68),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(521),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_text_interpolation] = STATE(69),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(66),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(523),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_text_interpolation] = STATE(70),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(525),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_text_interpolation] = STATE(71),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(527),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_text_interpolation] = STATE(72),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(70),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(529),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_text_interpolation] = STATE(73),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(531),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_text_interpolation] = STATE(74),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(533),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_text_interpolation] = STATE(75),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(77),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(535),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_text_interpolation] = STATE(76),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(537),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_text_interpolation] = STATE(77),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(539),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_text_interpolation] = STATE(78),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(541),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_text_interpolation] = STATE(79),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(543),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_text_interpolation] = STATE(80),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(106),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(545),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_text_interpolation] = STATE(81),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(108),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(547),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_text_interpolation] = STATE(82),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(549),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_text_interpolation] = STATE(83),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(551),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_text_interpolation] = STATE(84),
    [sym_statement] = STATE(444),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_colon_block] = STATE(1668),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(491),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(375),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(377),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(379),
    [aux_sym_foreach_statement_token1] = ACTIONS(381),
    [aux_sym_if_statement_token1] = ACTIONS(383),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_text_interpolation] = STATE(85),
    [sym_statement] = STATE(538),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_colon_block] = STATE(2533),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(373),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_text_interpolation] = STATE(86),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(79),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(553),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_text_interpolation] = STATE(87),
    [sym_statement] = STATE(445),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_colon_block] = STATE(1668),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(491),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(375),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(377),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(379),
    [aux_sym_foreach_statement_token1] = ACTIONS(381),
    [aux_sym_if_statement_token1] = ACTIONS(383),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_text_interpolation] = STATE(88),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(76),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(555),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_text_interpolation] = STATE(89),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(107),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(557),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_text_interpolation] = STATE(90),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(94),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(559),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_text_interpolation] = STATE(91),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(561),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_text_interpolation] = STATE(92),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(98),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(563),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_text_interpolation] = STATE(93),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(67),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(565),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_text_interpolation] = STATE(94),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(567),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_text_interpolation] = STATE(95),
    [sym_statement] = STATE(2144),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_colon_block] = STATE(2522),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(373),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_text_interpolation] = STATE(96),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(91),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(569),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_text_interpolation] = STATE(97),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(68),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(571),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_text_interpolation] = STATE(98),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(573),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_text_interpolation] = STATE(99),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [ts_builtin_sym_end] = ACTIONS(495),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_text_interpolation] = STATE(100),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(575),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_text_interpolation] = STATE(101),
    [sym_statement] = STATE(2144),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_colon_block] = STATE(2522),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(373),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_text_interpolation] = STATE(102),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(78),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(577),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_text_interpolation] = STATE(103),
    [sym_statement] = STATE(1688),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_colon_block] = STATE(1619),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(491),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_text_interpolation] = STATE(104),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(82),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(579),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_text_interpolation] = STATE(105),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(100),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(581),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_text_interpolation] = STATE(106),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(583),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_text_interpolation] = STATE(107),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(585),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_text_interpolation] = STATE(108),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(587),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_text_interpolation] = STATE(109),
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [ts_builtin_sym_end] = ACTIONS(589),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_text_interpolation] = STATE(110),
    [sym_statement] = STATE(1958),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_text_interpolation] = STATE(111),
    [sym_statement] = STATE(517),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(375),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(377),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(379),
    [aux_sym_foreach_statement_token1] = ACTIONS(381),
    [aux_sym_if_statement_token1] = ACTIONS(383),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_text_interpolation] = STATE(112),
    [sym_statement] = STATE(1958),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_text_interpolation] = STATE(113),
    [sym_statement] = STATE(502),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_text_interpolation] = STATE(114),
    [sym_statement] = STATE(502),
    [sym_empty_statement] = STATE(558),
    [sym_function_static_declaration] = STATE(558),
    [sym_global_declaration] = STATE(558),
    [sym_namespace_definition] = STATE(558),
    [sym_namespace_use_declaration] = STATE(558),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(558),
    [sym_interface_declaration] = STATE(558),
    [sym_enum_declaration] = STATE(558),
    [sym_class_declaration] = STATE(558),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(558),
    [sym__const_declaration] = STATE(576),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(558),
    [sym__function_definition_header] = STATE(2331),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(558),
    [sym_exit_statement] = STATE(558),
    [sym_unset_statement] = STATE(558),
    [sym_declare_statement] = STATE(558),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(558),
    [sym_goto_statement] = STATE(558),
    [sym_continue_statement] = STATE(558),
    [sym_break_statement] = STATE(558),
    [sym_return_statement] = STATE(558),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(558),
    [sym_do_statement] = STATE(558),
    [sym_for_statement] = STATE(558),
    [sym_foreach_statement] = STATE(558),
    [sym_if_statement] = STATE(558),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(558),
    [sym_compound_statement] = STATE(558),
    [sym_named_label_statement] = STATE(558),
    [sym_expression_statement] = STATE(558),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1351),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(375),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(377),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(379),
    [aux_sym_foreach_statement_token1] = ACTIONS(381),
    [aux_sym_if_statement_token1] = ACTIONS(383),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_text_interpolation] = STATE(115),
    [sym_statement] = STATE(2015),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_text_interpolation] = STATE(116),
    [sym_statement] = STATE(2625),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_text_interpolation] = STATE(117),
    [sym_statement] = STATE(2514),
    [sym_empty_statement] = STATE(2022),
    [sym_function_static_declaration] = STATE(2022),
    [sym_global_declaration] = STATE(2022),
    [sym_namespace_definition] = STATE(2022),
    [sym_namespace_use_declaration] = STATE(2022),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_trait_declaration] = STATE(2022),
    [sym_interface_declaration] = STATE(2022),
    [sym_enum_declaration] = STATE(2022),
    [sym_class_declaration] = STATE(2022),
    [sym_final_modifier] = STATE(1332),
    [sym_abstract_modifier] = STATE(1332),
    [sym_readonly_modifier] = STATE(1332),
    [sym_const_declaration] = STATE(2022),
    [sym__const_declaration] = STATE(2024),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1476),
    [sym_visibility_modifier] = STATE(1332),
    [sym_function_definition] = STATE(2022),
    [sym__function_definition_header] = STATE(2402),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_echo_statement] = STATE(2022),
    [sym_exit_statement] = STATE(2022),
    [sym_unset_statement] = STATE(2022),
    [sym_declare_statement] = STATE(2022),
    [sym_literal] = STATE(1095),
    [sym_try_statement] = STATE(2022),
    [sym_goto_statement] = STATE(2022),
    [sym_continue_statement] = STATE(2022),
    [sym_break_statement] = STATE(2022),
    [sym_return_statement] = STATE(2022),
    [sym_throw_expression] = STATE(1095),
    [sym_while_statement] = STATE(2022),
    [sym_do_statement] = STATE(2022),
    [sym_for_statement] = STATE(2022),
    [sym_foreach_statement] = STATE(2022),
    [sym_if_statement] = STATE(2022),
    [sym_match_expression] = STATE(1088),
    [sym_switch_statement] = STATE(2022),
    [sym_compound_statement] = STATE(2022),
    [sym_named_label_statement] = STATE(2022),
    [sym_expression_statement] = STATE(2022),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1350),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_class_declaration_repeat1] = STATE(1378),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_text_interpolation] = STATE(118),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1073),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(1022),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1022),
    [sym_yield_expression] = STATE(1037),
    [sym_array_element_initializer] = STATE(1012),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(595),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(593),
    [anon_sym_COLON] = ACTIONS(593),
    [anon_sym_EQ_GT] = ACTIONS(593),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_RPAREN] = ACTIONS(593),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(607),
    [anon_sym_QMARK] = ACTIONS(599),
    [anon_sym_PIPE] = ACTIONS(599),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_yield_expression_token2] = ACTIONS(649),
    [aux_sym_binary_expression_token1] = ACTIONS(599),
    [anon_sym_QMARK_QMARK] = ACTIONS(593),
    [anon_sym_STAR_STAR] = ACTIONS(593),
    [aux_sym_binary_expression_token2] = ACTIONS(599),
    [aux_sym_binary_expression_token3] = ACTIONS(599),
    [aux_sym_binary_expression_token4] = ACTIONS(599),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(593),
    [anon_sym_EQ_EQ] = ACTIONS(599),
    [anon_sym_BANG_EQ] = ACTIONS(599),
    [anon_sym_LT_GT] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(599),
    [anon_sym_GT] = ACTIONS(599),
    [anon_sym_LT_EQ] = ACTIONS(599),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_LT_EQ_GT] = ACTIONS(593),
    [anon_sym_LT_LT] = ACTIONS(599),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_STAR] = ACTIONS(599),
    [anon_sym_SLASH] = ACTIONS(599),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_text_interpolation] = STATE(119),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1149),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym_variadic_unpacking] = STATE(1155),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_by_ref] = STATE(1155),
    [sym_yield_expression] = STATE(1088),
    [sym_array_element_initializer] = STATE(1169),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(661),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(593),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_EQ_GT] = ACTIONS(593),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(599),
    [anon_sym_PIPE] = ACTIONS(599),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(294),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_yield_expression_token2] = ACTIONS(665),
    [aux_sym_binary_expression_token1] = ACTIONS(599),
    [anon_sym_QMARK_QMARK] = ACTIONS(593),
    [anon_sym_STAR_STAR] = ACTIONS(593),
    [aux_sym_binary_expression_token2] = ACTIONS(599),
    [aux_sym_binary_expression_token3] = ACTIONS(599),
    [aux_sym_binary_expression_token4] = ACTIONS(599),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(593),
    [anon_sym_EQ_EQ] = ACTIONS(599),
    [anon_sym_BANG_EQ] = ACTIONS(599),
    [anon_sym_LT_GT] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(599),
    [anon_sym_GT] = ACTIONS(599),
    [anon_sym_LT_EQ] = ACTIONS(599),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_LT_EQ_GT] = ACTIONS(593),
    [anon_sym_LT_LT] = ACTIONS(599),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_STAR] = ACTIONS(599),
    [anon_sym_SLASH] = ACTIONS(599),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(593),
  },
  [120] = {
    [sym_text_interpolation] = STATE(120),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1093),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(1022),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1022),
    [sym_yield_expression] = STATE(1037),
    [sym_array_element_initializer] = STATE(1012),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(595),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(593),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(593),
    [anon_sym_EQ_GT] = ACTIONS(593),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [anon_sym_QMARK] = ACTIONS(599),
    [anon_sym_PIPE] = ACTIONS(599),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(593),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_yield_expression_token2] = ACTIONS(687),
    [aux_sym_binary_expression_token1] = ACTIONS(599),
    [anon_sym_QMARK_QMARK] = ACTIONS(593),
    [anon_sym_STAR_STAR] = ACTIONS(593),
    [aux_sym_binary_expression_token2] = ACTIONS(599),
    [aux_sym_binary_expression_token3] = ACTIONS(599),
    [aux_sym_binary_expression_token4] = ACTIONS(599),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(593),
    [anon_sym_EQ_EQ] = ACTIONS(599),
    [anon_sym_BANG_EQ] = ACTIONS(599),
    [anon_sym_LT_GT] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(599),
    [anon_sym_GT] = ACTIONS(599),
    [anon_sym_LT_EQ] = ACTIONS(599),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_LT_EQ_GT] = ACTIONS(593),
    [anon_sym_LT_LT] = ACTIONS(599),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_STAR] = ACTIONS(599),
    [anon_sym_SLASH] = ACTIONS(599),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_text_interpolation] = STATE(121),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1177),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(1022),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1022),
    [sym_yield_expression] = STATE(1037),
    [sym_array_element_initializer] = STATE(1012),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(595),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(593),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_EQ_GT] = ACTIONS(593),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(593),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [anon_sym_QMARK] = ACTIONS(599),
    [anon_sym_PIPE] = ACTIONS(599),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(703),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_yield_expression_token2] = ACTIONS(717),
    [aux_sym_binary_expression_token1] = ACTIONS(599),
    [anon_sym_QMARK_QMARK] = ACTIONS(593),
    [anon_sym_STAR_STAR] = ACTIONS(593),
    [aux_sym_binary_expression_token2] = ACTIONS(599),
    [aux_sym_binary_expression_token3] = ACTIONS(599),
    [aux_sym_binary_expression_token4] = ACTIONS(599),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(593),
    [anon_sym_EQ_EQ] = ACTIONS(599),
    [anon_sym_BANG_EQ] = ACTIONS(599),
    [anon_sym_LT_GT] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(599),
    [anon_sym_GT] = ACTIONS(599),
    [anon_sym_LT_EQ] = ACTIONS(599),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_LT_EQ_GT] = ACTIONS(593),
    [anon_sym_LT_LT] = ACTIONS(599),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_STAR] = ACTIONS(599),
    [anon_sym_SLASH] = ACTIONS(599),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_text_interpolation] = STATE(122),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_cast_type] = STATE(2566),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1307),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_text_interpolation] = STATE(123),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_cast_type] = STATE(2583),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1307),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_text_interpolation] = STATE(124),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_cast_type] = STATE(2545),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1307),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_text_interpolation] = STATE(125),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_cast_type] = STATE(2530),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_text_interpolation] = STATE(126),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_cast_type] = STATE(2651),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1307),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_text_interpolation] = STATE(127),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_cast_type] = STATE(2530),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1307),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_text_interpolation] = STATE(128),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_cast_type] = STATE(2569),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1307),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_text_interpolation] = STATE(129),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_cast_type] = STATE(2634),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_text_interpolation] = STATE(130),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_cast_type] = STATE(2637),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1307),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_text_interpolation] = STATE(131),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_cast_type] = STATE(2645),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1307),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_text_interpolation] = STATE(132),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_cast_type] = STATE(2710),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1307),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_text_interpolation] = STATE(133),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(691),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(691),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(691),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(691),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2023),
    [sym__array_destructing_element] = STATE(2026),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(1022),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(687),
    [sym__callable_variable] = STATE(682),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2389),
    [sym_yield_expression] = STATE(1037),
    [sym_array_element_initializer] = STATE(2079),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym__array_destructing_repeat1] = STATE(2030),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(733),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_RBRACK] = ACTIONS(735),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_text_interpolation] = STATE(134),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(691),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(691),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(691),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(691),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2023),
    [sym__array_destructing_element] = STATE(2026),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(1022),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(687),
    [sym__callable_variable] = STATE(682),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2389),
    [sym_yield_expression] = STATE(1037),
    [sym_array_element_initializer] = STATE(2079),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym__array_destructing_repeat1] = STATE(2030),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(733),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_RBRACK] = ACTIONS(737),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_text_interpolation] = STATE(135),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_variadic_placeholder] = STATE(2662),
    [sym_argument] = STATE(2254),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(2497),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(749),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(753),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_text_interpolation] = STATE(136),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_variadic_placeholder] = STATE(2638),
    [sym_argument] = STATE(2240),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(2497),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(767),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(753),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_text_interpolation] = STATE(137),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(691),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(691),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(691),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(691),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2023),
    [sym__array_destructing_element] = STATE(2026),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(1022),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(687),
    [sym__callable_variable] = STATE(682),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2389),
    [sym_yield_expression] = STATE(1037),
    [sym_array_element_initializer] = STATE(2079),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym__array_destructing_repeat1] = STATE(2030),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(733),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_RBRACK] = ACTIONS(769),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_text_interpolation] = STATE(138),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_variadic_placeholder] = STATE(2620),
    [sym_argument] = STATE(2138),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(2497),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(771),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(753),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_text_interpolation] = STATE(139),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_variadic_placeholder] = STATE(2506),
    [sym_argument] = STATE(2139),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(2497),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(773),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(753),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_text_interpolation] = STATE(140),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(691),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(691),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(691),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(691),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2023),
    [sym__array_destructing_element] = STATE(2026),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(1022),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(687),
    [sym__callable_variable] = STATE(682),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2389),
    [sym_yield_expression] = STATE(1037),
    [sym_array_element_initializer] = STATE(2079),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym__array_destructing_repeat1] = STATE(2030),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(733),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_RBRACK] = ACTIONS(775),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_text_interpolation] = STATE(141),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_variadic_placeholder] = STATE(2700),
    [sym_argument] = STATE(2272),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(2497),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(777),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(753),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_text_interpolation] = STATE(142),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_variadic_placeholder] = STATE(2731),
    [sym_argument] = STATE(2290),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(2497),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(779),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(753),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_text_interpolation] = STATE(143),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(691),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(691),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(691),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(691),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2023),
    [sym__array_destructing_element] = STATE(2026),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(1022),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(687),
    [sym__callable_variable] = STATE(682),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2389),
    [sym_yield_expression] = STATE(1037),
    [sym_array_element_initializer] = STATE(2028),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym__array_destructing_repeat1] = STATE(2030),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(781),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_RBRACK] = ACTIONS(783),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_text_interpolation] = STATE(144),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_argument] = STATE(2463),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(2497),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(785),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_text_interpolation] = STATE(145),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_argument] = STATE(2463),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(2497),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(787),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_text_interpolation] = STATE(146),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_argument] = STATE(2463),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(2497),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(789),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_text_interpolation] = STATE(147),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_argument] = STATE(2463),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(2497),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(791),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_text_interpolation] = STATE(148),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_argument] = STATE(2463),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(2497),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(793),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_text_interpolation] = STATE(149),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_argument] = STATE(2463),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(2497),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(795),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_text_interpolation] = STATE(150),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_argument] = STATE(2463),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(2497),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(797),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_text_interpolation] = STATE(151),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_argument] = STATE(2463),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(2497),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(799),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_text_interpolation] = STATE(152),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_argument] = STATE(2463),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(2497),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(801),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_text_interpolation] = STATE(153),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_argument] = STATE(2463),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(2497),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(803),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_text_interpolation] = STATE(154),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_argument] = STATE(2463),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(2497),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(805),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_text_interpolation] = STATE(155),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_argument] = STATE(2463),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(2497),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(807),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_text_interpolation] = STATE(156),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1235),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(1022),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1022),
    [sym_yield_expression] = STATE(1037),
    [sym_array_element_initializer] = STATE(2079),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(809),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(811),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_text_interpolation] = STATE(157),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_argument] = STATE(2463),
    [sym__argument_name] = STATE(187),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(2497),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1578),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(739),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(745),
    [aux_sym__namespace_use_type_token1] = ACTIONS(747),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(755),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(757),
    [aux_sym_match_expression_token1] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(761),
    [anon_sym_parent] = ACTIONS(761),
    [aux_sym__argument_name_token1] = ACTIONS(763),
    [aux_sym__argument_name_token2] = ACTIONS(765),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_text_interpolation] = STATE(158),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1235),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(1022),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1022),
    [sym_yield_expression] = STATE(1037),
    [sym_array_element_initializer] = STATE(2028),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(813),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(815),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_text_interpolation] = STATE(159),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1231),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(1022),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1022),
    [sym_yield_expression] = STATE(1037),
    [sym_array_element_initializer] = STATE(2105),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(817),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(819),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_text_interpolation] = STATE(160),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1231),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(1022),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1022),
    [sym_yield_expression] = STATE(1037),
    [sym_array_element_initializer] = STATE(2109),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(821),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(823),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_text_interpolation] = STATE(161),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1235),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(1022),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1022),
    [sym_yield_expression] = STATE(1037),
    [sym_array_element_initializer] = STATE(2247),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(825),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_text_interpolation] = STATE(162),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_match_condition_list] = STATE(2624),
    [sym_match_conditional_expression] = STATE(2166),
    [sym_match_default_expression] = STATE(2166),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(827),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_text_interpolation] = STATE(163),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1235),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(1022),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1022),
    [sym_yield_expression] = STATE(1037),
    [sym_array_element_initializer] = STATE(2247),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(833),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_text_interpolation] = STATE(164),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1231),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(1022),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1022),
    [sym_yield_expression] = STATE(1037),
    [sym_array_element_initializer] = STATE(2247),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(835),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_text_interpolation] = STATE(165),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1235),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(1022),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1022),
    [sym_yield_expression] = STATE(1037),
    [sym_array_element_initializer] = STATE(2247),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(837),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_text_interpolation] = STATE(166),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1231),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(1022),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1022),
    [sym_yield_expression] = STATE(1037),
    [sym_array_element_initializer] = STATE(2247),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(839),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_text_interpolation] = STATE(167),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1231),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(1022),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1022),
    [sym_yield_expression] = STATE(1037),
    [sym_array_element_initializer] = STATE(2247),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(841),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_text_interpolation] = STATE(168),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1231),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(1022),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1022),
    [sym_yield_expression] = STATE(1037),
    [sym_array_element_initializer] = STATE(2247),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(843),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_text_interpolation] = STATE(169),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_match_condition_list] = STATE(2624),
    [sym_match_conditional_expression] = STATE(2224),
    [sym_match_default_expression] = STATE(2224),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(845),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_text_interpolation] = STATE(170),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1235),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(1022),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1022),
    [sym_yield_expression] = STATE(1037),
    [sym_array_element_initializer] = STATE(2247),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(849),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_text_interpolation] = STATE(171),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1302),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2023),
    [sym__array_destructing_element] = STATE(2474),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(686),
    [sym__callable_variable] = STATE(677),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2475),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(851),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(853),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(855),
    [anon_sym_RBRACK] = ACTIONS(851),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_text_interpolation] = STATE(172),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1231),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(1022),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1022),
    [sym_yield_expression] = STATE(1037),
    [sym_array_element_initializer] = STATE(2247),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_text_interpolation] = STATE(173),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_match_condition_list] = STATE(2624),
    [sym_match_conditional_expression] = STATE(2416),
    [sym_match_default_expression] = STATE(2416),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_text_interpolation] = STATE(174),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1302),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2023),
    [sym__array_destructing_element] = STATE(2474),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(686),
    [sym__callable_variable] = STATE(677),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2475),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(851),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(853),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(855),
    [anon_sym_RBRACK] = ACTIONS(859),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_text_interpolation] = STATE(175),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1302),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2023),
    [sym__array_destructing_element] = STATE(2474),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(686),
    [sym__callable_variable] = STATE(677),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2475),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(851),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(853),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(855),
    [anon_sym_RBRACK] = ACTIONS(862),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_text_interpolation] = STATE(176),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(675),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(675),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(675),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(675),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(1906),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(676),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2115),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym__list_destructing_repeat1] = STATE(2116),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(865),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(853),
    [anon_sym_RPAREN] = ACTIONS(867),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_text_interpolation] = STATE(177),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1235),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(1022),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1022),
    [sym_yield_expression] = STATE(1037),
    [sym_array_element_initializer] = STATE(2247),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_text_interpolation] = STATE(178),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_match_condition_list] = STATE(2624),
    [sym_match_conditional_expression] = STATE(2416),
    [sym_match_default_expression] = STATE(2416),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(869),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_text_interpolation] = STATE(179),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_match_condition_list] = STATE(2624),
    [sym_match_conditional_expression] = STATE(2416),
    [sym_match_default_expression] = STATE(2416),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_text_interpolation] = STATE(180),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_match_condition_list] = STATE(2624),
    [sym_match_conditional_expression] = STATE(2416),
    [sym_match_default_expression] = STATE(2416),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(873),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_text_interpolation] = STATE(181),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1318),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(692),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(692),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(692),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(692),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2232),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(693),
    [sym__callable_variable] = STATE(683),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2376),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(875),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(853),
    [anon_sym_RPAREN] = ACTIONS(875),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_text_interpolation] = STATE(182),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_match_condition_list] = STATE(2624),
    [sym_match_conditional_expression] = STATE(2416),
    [sym_match_default_expression] = STATE(2416),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_text_interpolation] = STATE(183),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_foreach_pair] = STATE(2654),
    [sym__foreach_value] = STATE(2654),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1244),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2357),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2649),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_text_interpolation] = STATE(184),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_foreach_pair] = STATE(2587),
    [sym__foreach_value] = STATE(2587),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1244),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2357),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2649),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_text_interpolation] = STATE(185),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_foreach_pair] = STATE(2554),
    [sym__foreach_value] = STATE(2554),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1244),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2357),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2649),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_text_interpolation] = STATE(186),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_foreach_pair] = STATE(2679),
    [sym__foreach_value] = STATE(2679),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1244),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2357),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2649),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_text_interpolation] = STATE(187),
    [sym_reference_modifier] = STATE(232),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1247),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(2341),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1567),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(741),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_text_interpolation] = STATE(188),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2680),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(877),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_text_interpolation] = STATE(189),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2551),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(879),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_text_interpolation] = STATE(190),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(2058),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(441),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [191] = {
    [sym_text_interpolation] = STATE(191),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(477),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(385),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [192] = {
    [sym_text_interpolation] = STATE(192),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2730),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(881),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_text_interpolation] = STATE(193),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2503),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(883),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_text_interpolation] = STATE(194),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2538),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_text_interpolation] = STATE(195),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2683),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(887),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_text_interpolation] = STATE(196),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2657),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(889),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_text_interpolation] = STATE(197),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2531),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(891),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_text_interpolation] = STATE(198),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(2062),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(441),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [199] = {
    [sym_text_interpolation] = STATE(199),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2568),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(893),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_text_interpolation] = STATE(200),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2681),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(895),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_text_interpolation] = STATE(201),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2629),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(897),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_text_interpolation] = STATE(202),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2630),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(899),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_text_interpolation] = STATE(203),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2603),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(901),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_text_interpolation] = STATE(204),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(487),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(385),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [205] = {
    [sym_text_interpolation] = STATE(205),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2575),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(903),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_text_interpolation] = STATE(206),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2572),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(905),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_text_interpolation] = STATE(207),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2549),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_text_interpolation] = STATE(208),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2698),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(909),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_text_interpolation] = STATE(209),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__foreach_value] = STATE(2670),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1279),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2357),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2649),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_text_interpolation] = STATE(210),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2642),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(911),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_text_interpolation] = STATE(211),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(504),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(385),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [212] = {
    [sym_text_interpolation] = STATE(212),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2676),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(913),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_text_interpolation] = STATE(213),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2621),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(915),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_text_interpolation] = STATE(214),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2589),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(917),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_text_interpolation] = STATE(215),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2558),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(919),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_text_interpolation] = STATE(216),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2585),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(921),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_text_interpolation] = STATE(217),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2723),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(923),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_text_interpolation] = STATE(218),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2720),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(925),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_text_interpolation] = STATE(219),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2556),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(927),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_text_interpolation] = STATE(220),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2668),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(929),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_text_interpolation] = STATE(221),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__expressions] = STATE(2555),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(931),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_text_interpolation] = STATE(222),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [sym__semicolon] = STATE(2061),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(441),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [223] = {
    [sym_text_interpolation] = STATE(223),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1027),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_text_interpolation] = STATE(224),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym__expressions] = STATE(2067),
    [sym_sequence_expression] = STATE(2380),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_text_interpolation] = STATE(225),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1131),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1027),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(933),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_text_interpolation] = STATE(226),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1027),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(933),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_text_interpolation] = STATE(227),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1049),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1027),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(933),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_text_interpolation] = STATE(228),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1131),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(700),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(700),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(700),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(700),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2243),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(702),
    [sym__callable_variable] = STATE(689),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2365),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_text_interpolation] = STATE(229),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym__expressions] = STATE(2013),
    [sym_sequence_expression] = STATE(2380),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_text_interpolation] = STATE(230),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(2344),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1565),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_text_interpolation] = STATE(231),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1094),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_by_ref] = STATE(1084),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_text_interpolation] = STATE(232),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_variadic_unpacking] = STATE(2464),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(1600),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_text_interpolation] = STATE(233),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1131),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1027),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_text_interpolation] = STATE(234),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_COLON] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_text_interpolation] = STATE(235),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(939),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_text_interpolation] = STATE(236),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(941),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_text_interpolation] = STATE(237),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1276),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_COLON] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_text_interpolation] = STATE(238),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_EQ_GT] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_text_interpolation] = STATE(239),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(947),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_text_interpolation] = STATE(240),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_sequence_expression] = STATE(2348),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_text_interpolation] = STATE(241),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(949),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_text_interpolation] = STATE(242),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1314),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(951),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_text_interpolation] = STATE(243),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1052),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(953),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_text_interpolation] = STATE(244),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(955),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_text_interpolation] = STATE(245),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_EQ_GT] = ACTIONS(957),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_text_interpolation] = STATE(246),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1286),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_RPAREN] = ACTIONS(959),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_text_interpolation] = STATE(247),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_COLON] = ACTIONS(961),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_text_interpolation] = STATE(248),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1297),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(963),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_text_interpolation] = STATE(249),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(965),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_text_interpolation] = STATE(250),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_sequence_expression] = STATE(2348),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1250),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_text_interpolation] = STATE(251),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_sequence_expression] = STATE(2417),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_text_interpolation] = STATE(252),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1296),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(967),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_text_interpolation] = STATE(253),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1303),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(969),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_text_interpolation] = STATE(254),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1161),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(971),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_text_interpolation] = STATE(255),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1304),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(973),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_text_interpolation] = STATE(256),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_COLON] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_text_interpolation] = STATE(257),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1113),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(977),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_text_interpolation] = STATE(258),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_COLON] = ACTIONS(979),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_text_interpolation] = STATE(259),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_RPAREN] = ACTIONS(981),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_text_interpolation] = STATE(260),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1283),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_text_interpolation] = STATE(261),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_text_interpolation] = STATE(262),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1064),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_text_interpolation] = STATE(263),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1065),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_text_interpolation] = STATE(264),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1066),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_text_interpolation] = STATE(265),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1067),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_text_interpolation] = STATE(266),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1068),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_text_interpolation] = STATE(267),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1069),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_text_interpolation] = STATE(268),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_text_interpolation] = STATE(269),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_text_interpolation] = STATE(270),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_text_interpolation] = STATE(271),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1187),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_text_interpolation] = STATE(272),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_text_interpolation] = STATE(273),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1193),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_text_interpolation] = STATE(274),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_text_interpolation] = STATE(275),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1183),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_text_interpolation] = STATE(276),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1287),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_text_interpolation] = STATE(277),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1070),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_text_interpolation] = STATE(278),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1136),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_text_interpolation] = STATE(279),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1097),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_text_interpolation] = STATE(280),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1216),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_text_interpolation] = STATE(281),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1175),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_text_interpolation] = STATE(282),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1156),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_text_interpolation] = STATE(283),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1154),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_text_interpolation] = STATE(284),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1153),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_text_interpolation] = STATE(285),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1135),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_text_interpolation] = STATE(286),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1134),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_text_interpolation] = STATE(287),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1133),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_text_interpolation] = STATE(288),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1082),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_text_interpolation] = STATE(289),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1123),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_text_interpolation] = STATE(290),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1121),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_text_interpolation] = STATE(291),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1115),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_text_interpolation] = STATE(292),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1112),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_text_interpolation] = STATE(293),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1109),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_text_interpolation] = STATE(294),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1107),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_text_interpolation] = STATE(295),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1105),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_text_interpolation] = STATE(296),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_text_interpolation] = STATE(297),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_text_interpolation] = STATE(298),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1293),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_text_interpolation] = STATE(299),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1080),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_text_interpolation] = STATE(300),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1108),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_text_interpolation] = STATE(301),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_text_interpolation] = STATE(302),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_text_interpolation] = STATE(303),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1047),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_text_interpolation] = STATE(304),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1062),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_text_interpolation] = STATE(305),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1255),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_text_interpolation] = STATE(306),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1083),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_text_interpolation] = STATE(307),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1203),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_text_interpolation] = STATE(308),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1204),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_text_interpolation] = STATE(309),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_text_interpolation] = STATE(310),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1192),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_text_interpolation] = STATE(311),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1207),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_text_interpolation] = STATE(312),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_text_interpolation] = STATE(313),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1176),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_text_interpolation] = STATE(314),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1127),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_text_interpolation] = STATE(315),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1061),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_text_interpolation] = STATE(316),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1059),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_text_interpolation] = STATE(317),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1206),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_text_interpolation] = STATE(318),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1092),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_text_interpolation] = STATE(319),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_text_interpolation] = STATE(320),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1179),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_text_interpolation] = STATE(321),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1205),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_text_interpolation] = STATE(322),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1307),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_text_interpolation] = STATE(323),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_text_interpolation] = STATE(324),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1238),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_text_interpolation] = STATE(325),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_text_interpolation] = STATE(326),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1102),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_text_interpolation] = STATE(327),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1196),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_text_interpolation] = STATE(328),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_text_interpolation] = STATE(329),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1079),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_text_interpolation] = STATE(330),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1076),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_text_interpolation] = STATE(331),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1184),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_text_interpolation] = STATE(332),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1103),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_text_interpolation] = STATE(333),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1218),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_text_interpolation] = STATE(334),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1106),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_text_interpolation] = STATE(335),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_text_interpolation] = STATE(336),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1186),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_text_interpolation] = STATE(337),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_text_interpolation] = STATE(338),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1072),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_text_interpolation] = STATE(339),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_text_interpolation] = STATE(340),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_text_interpolation] = STATE(341),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1058),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_text_interpolation] = STATE(342),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1057),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_text_interpolation] = STATE(343),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1194),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_text_interpolation] = STATE(344),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_text_interpolation] = STATE(345),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_text_interpolation] = STATE(346),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1020),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_text_interpolation] = STATE(347),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1056),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_text_interpolation] = STATE(348),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1021),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_text_interpolation] = STATE(349),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_text_interpolation] = STATE(350),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1055),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_text_interpolation] = STATE(351),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1054),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_text_interpolation] = STATE(352),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1053),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_text_interpolation] = STATE(353),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_text_interpolation] = STATE(354),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1300),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_text_interpolation] = STATE(355),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1021),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_text_interpolation] = STATE(356),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1051),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_text_interpolation] = STATE(357),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1078),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_text_interpolation] = STATE(358),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1129),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_text_interpolation] = STATE(359),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_text_interpolation] = STATE(360),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_text_interpolation] = STATE(361),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_text_interpolation] = STATE(362),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1170),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_text_interpolation] = STATE(363),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1178),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_text_interpolation] = STATE(364),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1191),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_text_interpolation] = STATE(365),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1171),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_text_interpolation] = STATE(366),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1172),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_text_interpolation] = STATE(367),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_text_interpolation] = STATE(368),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_text_interpolation] = STATE(369),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_text_interpolation] = STATE(370),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1173),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_text_interpolation] = STATE(371),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1249),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_text_interpolation] = STATE(372),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1074),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_text_interpolation] = STATE(373),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1313),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_text_interpolation] = STATE(374),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1208),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_text_interpolation] = STATE(375),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1315),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_text_interpolation] = STATE(376),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_text_interpolation] = STATE(377),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1258),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_text_interpolation] = STATE(378),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1284),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_text_interpolation] = STATE(379),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1157),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_text_interpolation] = STATE(380),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1263),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_text_interpolation] = STATE(381),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1021),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_text_interpolation] = STATE(382),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1020),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_text_interpolation] = STATE(383),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_text_interpolation] = STATE(384),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1090),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_text_interpolation] = STATE(385),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1020),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_text_interpolation] = STATE(386),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1099),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_text_interpolation] = STATE(387),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1096),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_text_interpolation] = STATE(388),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1100),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_text_interpolation] = STATE(389),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_text_interpolation] = STATE(390),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1114),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_text_interpolation] = STATE(391),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1119),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_text_interpolation] = STATE(392),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1120),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_text_interpolation] = STATE(393),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1269),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(679),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(679),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(679),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(679),
    [sym_list_literal] = STATE(2636),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(678),
    [sym__callable_variable] = STATE(658),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_text_interpolation] = STATE(394),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1125),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_text_interpolation] = STATE(395),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1159),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_text_interpolation] = STATE(396),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1126),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_text_interpolation] = STATE(397),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1145),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_text_interpolation] = STATE(398),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1146),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_text_interpolation] = STATE(399),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1147),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_text_interpolation] = STATE(400),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1150),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_text_interpolation] = STATE(401),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_text_interpolation] = STATE(402),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1151),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_text_interpolation] = STATE(403),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1158),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_text_interpolation] = STATE(404),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1217),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_text_interpolation] = STATE(405),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1111),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_text_interpolation] = STATE(406),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1091),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_text_interpolation] = STATE(407),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1160),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_text_interpolation] = STATE(408),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1142),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_text_interpolation] = STATE(409),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1270),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_text_interpolation] = STATE(410),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1075),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_text_interpolation] = STATE(411),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1140),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_text_interpolation] = STATE(412),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1306),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_text_interpolation] = STATE(413),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1310),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_text_interpolation] = STATE(414),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1137),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_text_interpolation] = STATE(415),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_text_interpolation] = STATE(416),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1128),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_text_interpolation] = STATE(417),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_text_interpolation] = STATE(418),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_text_interpolation] = STATE(419),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1316),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_text_interpolation] = STATE(420),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1298),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_text_interpolation] = STATE(421),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1289),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_text_interpolation] = STATE(422),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_text_interpolation] = STATE(423),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_match_expression] = STATE(1088),
    [sym_expression] = STATE(1132),
    [sym__unary_expression] = STATE(1086),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1088),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(664),
    [sym_assignment_expression] = STATE(1088),
    [sym_reference_assignment_expression] = STATE(1088),
    [sym_conditional_expression] = STATE(1088),
    [sym_augmented_assignment_expression] = STATE(1088),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_list_literal] = STATE(2689),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(635),
    [sym_variable_name] = STATE(645),
    [sym_yield_expression] = STATE(1088),
    [sym_binary_expression] = STATE(1088),
    [sym_include_expression] = STATE(1088),
    [sym_include_once_expression] = STATE(1088),
    [sym_require_expression] = STATE(1088),
    [sym_require_once_expression] = STATE(1088),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_text_interpolation] = STATE(424),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1124),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_text_interpolation] = STATE(425),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1101),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_text_interpolation] = STATE(426),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1087),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_text_interpolation] = STATE(427),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1162),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_text_interpolation] = STATE(428),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1322),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_text_interpolation] = STATE(429),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1275),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_text_interpolation] = STATE(430),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_text_interpolation] = STATE(431),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1165),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_text_interpolation] = STATE(432),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1163),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(673),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(673),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(673),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(673),
    [sym_list_literal] = STATE(2544),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(642),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_text_interpolation] = STATE(433),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1050),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_text_interpolation] = STATE(434),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1060),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_text_interpolation] = STATE(435),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1063),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_text_interpolation] = STATE(436),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_match_expression] = STATE(1037),
    [sym_expression] = STATE(1071),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1037),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(1037),
    [sym_reference_assignment_expression] = STATE(1037),
    [sym_conditional_expression] = STATE(1037),
    [sym_augmented_assignment_expression] = STATE(1037),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(634),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2597),
    [sym__list_destructing] = STATE(2333),
    [sym__array_destructing] = STATE(2333),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(626),
    [sym__callable_variable] = STATE(622),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1037),
    [sym_binary_expression] = STATE(1037),
    [sym_include_expression] = STATE(1037),
    [sym_include_once_expression] = STATE(1037),
    [sym_require_expression] = STATE(1037),
    [sym_require_once_expression] = STATE(1037),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_text_interpolation] = STATE(437),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__unary_expression] = STATE(1011),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(620),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(620),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(621),
    [sym__callable_variable] = STATE(606),
    [sym_variable_name] = STATE(618),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_text_interpolation] = STATE(438),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__unary_expression] = STATE(1011),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(620),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(620),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(621),
    [sym__callable_variable] = STATE(606),
    [sym_variable_name] = STATE(618),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_text_interpolation] = STATE(439),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1656),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym__unary_expression] = STATE(1139),
    [sym_unary_op_expression] = STATE(1085),
    [sym_error_suppression_expression] = STATE(1139),
    [sym_clone_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_expression] = STATE(1085),
    [sym_cast_variable] = STATE(662),
    [sym__variable_member_access_expression] = STATE(663),
    [sym_member_access_expression] = STATE(662),
    [sym__variable_nullsafe_member_access_expression] = STATE(660),
    [sym_nullsafe_member_access_expression] = STATE(662),
    [sym__variable_scoped_property_access_expression] = STATE(659),
    [sym_scoped_property_access_expression] = STATE(662),
    [sym_function_call_expression] = STATE(649),
    [sym__callable_expression] = STATE(2334),
    [sym_scoped_call_expression] = STATE(649),
    [sym__scope_resolution_qualifier] = STATE(2686),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(649),
    [sym_nullsafe_member_call_expression] = STATE(649),
    [sym__variable_subscript_expression] = STATE(668),
    [sym__dereferencable_subscript_expression] = STATE(649),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(645),
    [sym__simple_variable] = STATE(655),
    [sym__new_variable] = STATE(661),
    [sym__callable_variable] = STATE(651),
    [sym_variable_name] = STATE(645),
    [sym_include_expression] = STATE(1139),
    [sym_include_once_expression] = STATE(1139),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [sym_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_text_interpolation] = STATE(440),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__unary_expression] = STATE(1011),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(680),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(680),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(680),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(680),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(681),
    [sym__callable_variable] = STATE(674),
    [sym_variable_name] = STATE(618),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(853),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_text_interpolation] = STATE(441),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1705),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym__unary_expression] = STATE(1011),
    [sym_unary_op_expression] = STATE(1038),
    [sym_error_suppression_expression] = STATE(1011),
    [sym_clone_expression] = STATE(1038),
    [sym_primary_expression] = STATE(1038),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_expression] = STATE(1038),
    [sym_cast_variable] = STATE(620),
    [sym__variable_member_access_expression] = STATE(609),
    [sym_member_access_expression] = STATE(620),
    [sym__variable_nullsafe_member_access_expression] = STATE(595),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym__variable_scoped_property_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_function_call_expression] = STATE(600),
    [sym__callable_expression] = STATE(2413),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym__variable_subscript_expression] = STATE(602),
    [sym__dereferencable_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1881),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(617),
    [sym__new_variable] = STATE(621),
    [sym__callable_variable] = STATE(606),
    [sym_variable_name] = STATE(618),
    [sym_include_expression] = STATE(1011),
    [sym_include_once_expression] = STATE(1011),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_text_interpolation] = STATE(442),
    [sym_catch_clause] = STATE(449),
    [sym_finally_clause] = STATE(449),
    [aux_sym_try_statement_repeat1] = STATE(443),
    [ts_builtin_sym_end] = ACTIONS(987),
    [sym_name] = ACTIONS(989),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(987),
    [aux_sym_function_static_declaration_token1] = ACTIONS(989),
    [aux_sym_global_declaration_token1] = ACTIONS(989),
    [aux_sym_namespace_definition_token1] = ACTIONS(989),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(989),
    [aux_sym__namespace_use_type_token1] = ACTIONS(989),
    [aux_sym__namespace_use_type_token2] = ACTIONS(989),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_RBRACE] = ACTIONS(987),
    [aux_sym_trait_declaration_token1] = ACTIONS(989),
    [aux_sym_interface_declaration_token1] = ACTIONS(989),
    [aux_sym_enum_declaration_token1] = ACTIONS(989),
    [aux_sym_enum_case_token1] = ACTIONS(989),
    [aux_sym_class_declaration_token1] = ACTIONS(989),
    [aux_sym_final_modifier_token1] = ACTIONS(989),
    [aux_sym_abstract_modifier_token1] = ACTIONS(989),
    [aux_sym_readonly_modifier_token1] = ACTIONS(989),
    [sym_var_modifier] = ACTIONS(989),
    [aux_sym_visibility_modifier_token1] = ACTIONS(989),
    [aux_sym_visibility_modifier_token2] = ACTIONS(989),
    [aux_sym_visibility_modifier_token3] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(987),
    [aux_sym__arrow_function_header_token1] = ACTIONS(989),
    [aux_sym_cast_type_token1] = ACTIONS(989),
    [aux_sym_echo_statement_token1] = ACTIONS(989),
    [aux_sym_exit_statement_token1] = ACTIONS(989),
    [anon_sym_unset] = ACTIONS(989),
    [aux_sym_declare_statement_token1] = ACTIONS(989),
    [aux_sym_declare_statement_token2] = ACTIONS(989),
    [sym_float] = ACTIONS(989),
    [aux_sym_try_statement_token1] = ACTIONS(989),
    [aux_sym_catch_clause_token1] = ACTIONS(991),
    [aux_sym_finally_clause_token1] = ACTIONS(993),
    [aux_sym_goto_statement_token1] = ACTIONS(989),
    [aux_sym_continue_statement_token1] = ACTIONS(989),
    [aux_sym_break_statement_token1] = ACTIONS(989),
    [sym_integer] = ACTIONS(989),
    [aux_sym_return_statement_token1] = ACTIONS(989),
    [aux_sym_throw_expression_token1] = ACTIONS(989),
    [aux_sym_while_statement_token1] = ACTIONS(989),
    [aux_sym_while_statement_token2] = ACTIONS(989),
    [aux_sym_do_statement_token1] = ACTIONS(989),
    [aux_sym_for_statement_token1] = ACTIONS(989),
    [aux_sym_for_statement_token2] = ACTIONS(989),
    [aux_sym_foreach_statement_token1] = ACTIONS(989),
    [aux_sym_foreach_statement_token2] = ACTIONS(989),
    [aux_sym_if_statement_token1] = ACTIONS(989),
    [aux_sym_if_statement_token2] = ACTIONS(989),
    [aux_sym_else_if_clause_token1] = ACTIONS(989),
    [aux_sym_else_clause_token1] = ACTIONS(989),
    [aux_sym_match_expression_token1] = ACTIONS(989),
    [aux_sym_match_default_expression_token1] = ACTIONS(989),
    [aux_sym_switch_statement_token1] = ACTIONS(989),
    [aux_sym_switch_block_token1] = ACTIONS(989),
    [anon_sym_PLUS] = ACTIONS(989),
    [anon_sym_DASH] = ACTIONS(989),
    [anon_sym_TILDE] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(987),
    [anon_sym_AT] = ACTIONS(987),
    [aux_sym_clone_expression_token1] = ACTIONS(989),
    [aux_sym_print_intrinsic_token1] = ACTIONS(989),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(989),
    [anon_sym_DASH_DASH] = ACTIONS(987),
    [anon_sym_PLUS_PLUS] = ACTIONS(987),
    [aux_sym__list_destructing_token1] = ACTIONS(989),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_self] = ACTIONS(989),
    [anon_sym_parent] = ACTIONS(989),
    [aux_sym__argument_name_token1] = ACTIONS(989),
    [aux_sym__argument_name_token2] = ACTIONS(989),
    [anon_sym_POUND_LBRACK] = ACTIONS(987),
    [aux_sym_encapsed_string_token1] = ACTIONS(987),
    [anon_sym_DQUOTE] = ACTIONS(987),
    [aux_sym_string_token1] = ACTIONS(987),
    [anon_sym_SQUOTE] = ACTIONS(987),
    [anon_sym_LT_LT_LT] = ACTIONS(987),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [aux_sym_yield_expression_token1] = ACTIONS(989),
    [aux_sym_include_expression_token1] = ACTIONS(989),
    [aux_sym_include_once_expression_token1] = ACTIONS(989),
    [aux_sym_require_expression_token1] = ACTIONS(989),
    [aux_sym_require_once_expression_token1] = ACTIONS(989),
    [sym_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_text_interpolation] = STATE(443),
    [sym_catch_clause] = STATE(449),
    [sym_finally_clause] = STATE(449),
    [aux_sym_try_statement_repeat1] = STATE(443),
    [ts_builtin_sym_end] = ACTIONS(995),
    [sym_name] = ACTIONS(997),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(995),
    [aux_sym_function_static_declaration_token1] = ACTIONS(997),
    [aux_sym_global_declaration_token1] = ACTIONS(997),
    [aux_sym_namespace_definition_token1] = ACTIONS(997),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(997),
    [aux_sym__namespace_use_type_token1] = ACTIONS(997),
    [aux_sym__namespace_use_type_token2] = ACTIONS(997),
    [anon_sym_BSLASH] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(995),
    [anon_sym_RBRACE] = ACTIONS(995),
    [aux_sym_trait_declaration_token1] = ACTIONS(997),
    [aux_sym_interface_declaration_token1] = ACTIONS(997),
    [aux_sym_enum_declaration_token1] = ACTIONS(997),
    [aux_sym_enum_case_token1] = ACTIONS(997),
    [aux_sym_class_declaration_token1] = ACTIONS(997),
    [aux_sym_final_modifier_token1] = ACTIONS(997),
    [aux_sym_abstract_modifier_token1] = ACTIONS(997),
    [aux_sym_readonly_modifier_token1] = ACTIONS(997),
    [sym_var_modifier] = ACTIONS(997),
    [aux_sym_visibility_modifier_token1] = ACTIONS(997),
    [aux_sym_visibility_modifier_token2] = ACTIONS(997),
    [aux_sym_visibility_modifier_token3] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(995),
    [aux_sym__arrow_function_header_token1] = ACTIONS(997),
    [aux_sym_cast_type_token1] = ACTIONS(997),
    [aux_sym_echo_statement_token1] = ACTIONS(997),
    [aux_sym_exit_statement_token1] = ACTIONS(997),
    [anon_sym_unset] = ACTIONS(997),
    [aux_sym_declare_statement_token1] = ACTIONS(997),
    [aux_sym_declare_statement_token2] = ACTIONS(997),
    [sym_float] = ACTIONS(997),
    [aux_sym_try_statement_token1] = ACTIONS(997),
    [aux_sym_catch_clause_token1] = ACTIONS(999),
    [aux_sym_finally_clause_token1] = ACTIONS(1002),
    [aux_sym_goto_statement_token1] = ACTIONS(997),
    [aux_sym_continue_statement_token1] = ACTIONS(997),
    [aux_sym_break_statement_token1] = ACTIONS(997),
    [sym_integer] = ACTIONS(997),
    [aux_sym_return_statement_token1] = ACTIONS(997),
    [aux_sym_throw_expression_token1] = ACTIONS(997),
    [aux_sym_while_statement_token1] = ACTIONS(997),
    [aux_sym_while_statement_token2] = ACTIONS(997),
    [aux_sym_do_statement_token1] = ACTIONS(997),
    [aux_sym_for_statement_token1] = ACTIONS(997),
    [aux_sym_for_statement_token2] = ACTIONS(997),
    [aux_sym_foreach_statement_token1] = ACTIONS(997),
    [aux_sym_foreach_statement_token2] = ACTIONS(997),
    [aux_sym_if_statement_token1] = ACTIONS(997),
    [aux_sym_if_statement_token2] = ACTIONS(997),
    [aux_sym_else_if_clause_token1] = ACTIONS(997),
    [aux_sym_else_clause_token1] = ACTIONS(997),
    [aux_sym_match_expression_token1] = ACTIONS(997),
    [aux_sym_match_default_expression_token1] = ACTIONS(997),
    [aux_sym_switch_statement_token1] = ACTIONS(997),
    [aux_sym_switch_block_token1] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(997),
    [anon_sym_DASH] = ACTIONS(997),
    [anon_sym_TILDE] = ACTIONS(995),
    [anon_sym_BANG] = ACTIONS(995),
    [anon_sym_AT] = ACTIONS(995),
    [aux_sym_clone_expression_token1] = ACTIONS(997),
    [aux_sym_print_intrinsic_token1] = ACTIONS(997),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(997),
    [anon_sym_DASH_DASH] = ACTIONS(995),
    [anon_sym_PLUS_PLUS] = ACTIONS(995),
    [aux_sym__list_destructing_token1] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(995),
    [anon_sym_self] = ACTIONS(997),
    [anon_sym_parent] = ACTIONS(997),
    [aux_sym__argument_name_token1] = ACTIONS(997),
    [aux_sym__argument_name_token2] = ACTIONS(997),
    [anon_sym_POUND_LBRACK] = ACTIONS(995),
    [aux_sym_encapsed_string_token1] = ACTIONS(995),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [aux_sym_string_token1] = ACTIONS(995),
    [anon_sym_SQUOTE] = ACTIONS(995),
    [anon_sym_LT_LT_LT] = ACTIONS(995),
    [anon_sym_BQUOTE] = ACTIONS(995),
    [anon_sym_DOLLAR] = ACTIONS(995),
    [aux_sym_yield_expression_token1] = ACTIONS(997),
    [aux_sym_include_expression_token1] = ACTIONS(997),
    [aux_sym_include_once_expression_token1] = ACTIONS(997),
    [aux_sym_require_expression_token1] = ACTIONS(997),
    [aux_sym_require_once_expression_token1] = ACTIONS(997),
    [sym_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_text_interpolation] = STATE(444),
    [sym_else_if_clause] = STATE(499),
    [sym_else_clause] = STATE(498),
    [aux_sym_if_statement_repeat1] = STATE(446),
    [ts_builtin_sym_end] = ACTIONS(1005),
    [sym_name] = ACTIONS(1007),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1005),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1007),
    [aux_sym_global_declaration_token1] = ACTIONS(1007),
    [aux_sym_namespace_definition_token1] = ACTIONS(1007),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1007),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1007),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1007),
    [anon_sym_BSLASH] = ACTIONS(1005),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_RBRACE] = ACTIONS(1005),
    [aux_sym_trait_declaration_token1] = ACTIONS(1007),
    [aux_sym_interface_declaration_token1] = ACTIONS(1007),
    [aux_sym_enum_declaration_token1] = ACTIONS(1007),
    [aux_sym_enum_case_token1] = ACTIONS(1007),
    [aux_sym_class_declaration_token1] = ACTIONS(1007),
    [aux_sym_final_modifier_token1] = ACTIONS(1007),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1007),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1007),
    [sym_var_modifier] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1007),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1007),
    [aux_sym_cast_type_token1] = ACTIONS(1007),
    [aux_sym_echo_statement_token1] = ACTIONS(1007),
    [aux_sym_exit_statement_token1] = ACTIONS(1007),
    [anon_sym_unset] = ACTIONS(1007),
    [aux_sym_declare_statement_token1] = ACTIONS(1007),
    [aux_sym_declare_statement_token2] = ACTIONS(1007),
    [sym_float] = ACTIONS(1007),
    [aux_sym_try_statement_token1] = ACTIONS(1007),
    [aux_sym_goto_statement_token1] = ACTIONS(1007),
    [aux_sym_continue_statement_token1] = ACTIONS(1007),
    [aux_sym_break_statement_token1] = ACTIONS(1007),
    [sym_integer] = ACTIONS(1007),
    [aux_sym_return_statement_token1] = ACTIONS(1007),
    [aux_sym_throw_expression_token1] = ACTIONS(1007),
    [aux_sym_while_statement_token1] = ACTIONS(1007),
    [aux_sym_while_statement_token2] = ACTIONS(1007),
    [aux_sym_do_statement_token1] = ACTIONS(1007),
    [aux_sym_for_statement_token1] = ACTIONS(1007),
    [aux_sym_for_statement_token2] = ACTIONS(1007),
    [aux_sym_foreach_statement_token1] = ACTIONS(1007),
    [aux_sym_foreach_statement_token2] = ACTIONS(1007),
    [aux_sym_if_statement_token1] = ACTIONS(1007),
    [aux_sym_if_statement_token2] = ACTIONS(1007),
    [aux_sym_else_if_clause_token1] = ACTIONS(1009),
    [aux_sym_else_clause_token1] = ACTIONS(1012),
    [aux_sym_match_expression_token1] = ACTIONS(1007),
    [aux_sym_match_default_expression_token1] = ACTIONS(1007),
    [aux_sym_switch_statement_token1] = ACTIONS(1007),
    [aux_sym_switch_block_token1] = ACTIONS(1007),
    [anon_sym_PLUS] = ACTIONS(1007),
    [anon_sym_DASH] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(1005),
    [anon_sym_BANG] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(1005),
    [aux_sym_clone_expression_token1] = ACTIONS(1007),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1007),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1007),
    [anon_sym_DASH_DASH] = ACTIONS(1005),
    [anon_sym_PLUS_PLUS] = ACTIONS(1005),
    [aux_sym__list_destructing_token1] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1005),
    [anon_sym_self] = ACTIONS(1007),
    [anon_sym_parent] = ACTIONS(1007),
    [aux_sym__argument_name_token1] = ACTIONS(1007),
    [aux_sym__argument_name_token2] = ACTIONS(1007),
    [anon_sym_POUND_LBRACK] = ACTIONS(1005),
    [aux_sym_encapsed_string_token1] = ACTIONS(1005),
    [anon_sym_DQUOTE] = ACTIONS(1005),
    [aux_sym_string_token1] = ACTIONS(1005),
    [anon_sym_SQUOTE] = ACTIONS(1005),
    [anon_sym_LT_LT_LT] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1005),
    [anon_sym_DOLLAR] = ACTIONS(1005),
    [aux_sym_yield_expression_token1] = ACTIONS(1007),
    [aux_sym_include_expression_token1] = ACTIONS(1007),
    [aux_sym_include_once_expression_token1] = ACTIONS(1007),
    [aux_sym_require_expression_token1] = ACTIONS(1007),
    [aux_sym_require_once_expression_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_text_interpolation] = STATE(445),
    [sym_else_if_clause] = STATE(499),
    [sym_else_clause] = STATE(498),
    [aux_sym_if_statement_repeat1] = STATE(447),
    [ts_builtin_sym_end] = ACTIONS(1005),
    [sym_name] = ACTIONS(1007),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1005),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1007),
    [aux_sym_global_declaration_token1] = ACTIONS(1007),
    [aux_sym_namespace_definition_token1] = ACTIONS(1007),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1007),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1007),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1007),
    [anon_sym_BSLASH] = ACTIONS(1005),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_RBRACE] = ACTIONS(1005),
    [aux_sym_trait_declaration_token1] = ACTIONS(1007),
    [aux_sym_interface_declaration_token1] = ACTIONS(1007),
    [aux_sym_enum_declaration_token1] = ACTIONS(1007),
    [aux_sym_enum_case_token1] = ACTIONS(1007),
    [aux_sym_class_declaration_token1] = ACTIONS(1007),
    [aux_sym_final_modifier_token1] = ACTIONS(1007),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1007),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1007),
    [sym_var_modifier] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1007),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1007),
    [aux_sym_cast_type_token1] = ACTIONS(1007),
    [aux_sym_echo_statement_token1] = ACTIONS(1007),
    [aux_sym_exit_statement_token1] = ACTIONS(1007),
    [anon_sym_unset] = ACTIONS(1007),
    [aux_sym_declare_statement_token1] = ACTIONS(1007),
    [aux_sym_declare_statement_token2] = ACTIONS(1007),
    [sym_float] = ACTIONS(1007),
    [aux_sym_try_statement_token1] = ACTIONS(1007),
    [aux_sym_goto_statement_token1] = ACTIONS(1007),
    [aux_sym_continue_statement_token1] = ACTIONS(1007),
    [aux_sym_break_statement_token1] = ACTIONS(1007),
    [sym_integer] = ACTIONS(1007),
    [aux_sym_return_statement_token1] = ACTIONS(1007),
    [aux_sym_throw_expression_token1] = ACTIONS(1007),
    [aux_sym_while_statement_token1] = ACTIONS(1007),
    [aux_sym_while_statement_token2] = ACTIONS(1007),
    [aux_sym_do_statement_token1] = ACTIONS(1007),
    [aux_sym_for_statement_token1] = ACTIONS(1007),
    [aux_sym_for_statement_token2] = ACTIONS(1007),
    [aux_sym_foreach_statement_token1] = ACTIONS(1007),
    [aux_sym_foreach_statement_token2] = ACTIONS(1007),
    [aux_sym_if_statement_token1] = ACTIONS(1007),
    [aux_sym_if_statement_token2] = ACTIONS(1007),
    [aux_sym_else_if_clause_token1] = ACTIONS(1015),
    [aux_sym_else_clause_token1] = ACTIONS(1017),
    [aux_sym_match_expression_token1] = ACTIONS(1007),
    [aux_sym_match_default_expression_token1] = ACTIONS(1007),
    [aux_sym_switch_statement_token1] = ACTIONS(1007),
    [aux_sym_switch_block_token1] = ACTIONS(1007),
    [anon_sym_PLUS] = ACTIONS(1007),
    [anon_sym_DASH] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(1005),
    [anon_sym_BANG] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(1005),
    [aux_sym_clone_expression_token1] = ACTIONS(1007),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1007),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1007),
    [anon_sym_DASH_DASH] = ACTIONS(1005),
    [anon_sym_PLUS_PLUS] = ACTIONS(1005),
    [aux_sym__list_destructing_token1] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1005),
    [anon_sym_self] = ACTIONS(1007),
    [anon_sym_parent] = ACTIONS(1007),
    [aux_sym__argument_name_token1] = ACTIONS(1007),
    [aux_sym__argument_name_token2] = ACTIONS(1007),
    [anon_sym_POUND_LBRACK] = ACTIONS(1005),
    [aux_sym_encapsed_string_token1] = ACTIONS(1005),
    [anon_sym_DQUOTE] = ACTIONS(1005),
    [aux_sym_string_token1] = ACTIONS(1005),
    [anon_sym_SQUOTE] = ACTIONS(1005),
    [anon_sym_LT_LT_LT] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1005),
    [anon_sym_DOLLAR] = ACTIONS(1005),
    [aux_sym_yield_expression_token1] = ACTIONS(1007),
    [aux_sym_include_expression_token1] = ACTIONS(1007),
    [aux_sym_include_once_expression_token1] = ACTIONS(1007),
    [aux_sym_require_expression_token1] = ACTIONS(1007),
    [aux_sym_require_once_expression_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_text_interpolation] = STATE(446),
    [sym_else_if_clause] = STATE(499),
    [sym_else_clause] = STATE(501),
    [aux_sym_if_statement_repeat1] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(1019),
    [sym_name] = ACTIONS(1021),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1021),
    [aux_sym_global_declaration_token1] = ACTIONS(1021),
    [aux_sym_namespace_definition_token1] = ACTIONS(1021),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1021),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1021),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1021),
    [anon_sym_BSLASH] = ACTIONS(1019),
    [anon_sym_LBRACE] = ACTIONS(1019),
    [anon_sym_RBRACE] = ACTIONS(1019),
    [aux_sym_trait_declaration_token1] = ACTIONS(1021),
    [aux_sym_interface_declaration_token1] = ACTIONS(1021),
    [aux_sym_enum_declaration_token1] = ACTIONS(1021),
    [aux_sym_enum_case_token1] = ACTIONS(1021),
    [aux_sym_class_declaration_token1] = ACTIONS(1021),
    [aux_sym_final_modifier_token1] = ACTIONS(1021),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1021),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1021),
    [sym_var_modifier] = ACTIONS(1021),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1021),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1021),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1021),
    [aux_sym_cast_type_token1] = ACTIONS(1021),
    [aux_sym_echo_statement_token1] = ACTIONS(1021),
    [aux_sym_exit_statement_token1] = ACTIONS(1021),
    [anon_sym_unset] = ACTIONS(1021),
    [aux_sym_declare_statement_token1] = ACTIONS(1021),
    [aux_sym_declare_statement_token2] = ACTIONS(1021),
    [sym_float] = ACTIONS(1021),
    [aux_sym_try_statement_token1] = ACTIONS(1021),
    [aux_sym_goto_statement_token1] = ACTIONS(1021),
    [aux_sym_continue_statement_token1] = ACTIONS(1021),
    [aux_sym_break_statement_token1] = ACTIONS(1021),
    [sym_integer] = ACTIONS(1021),
    [aux_sym_return_statement_token1] = ACTIONS(1021),
    [aux_sym_throw_expression_token1] = ACTIONS(1021),
    [aux_sym_while_statement_token1] = ACTIONS(1021),
    [aux_sym_while_statement_token2] = ACTIONS(1021),
    [aux_sym_do_statement_token1] = ACTIONS(1021),
    [aux_sym_for_statement_token1] = ACTIONS(1021),
    [aux_sym_for_statement_token2] = ACTIONS(1021),
    [aux_sym_foreach_statement_token1] = ACTIONS(1021),
    [aux_sym_foreach_statement_token2] = ACTIONS(1021),
    [aux_sym_if_statement_token1] = ACTIONS(1021),
    [aux_sym_if_statement_token2] = ACTIONS(1021),
    [aux_sym_else_if_clause_token1] = ACTIONS(1023),
    [aux_sym_else_clause_token1] = ACTIONS(1026),
    [aux_sym_match_expression_token1] = ACTIONS(1021),
    [aux_sym_match_default_expression_token1] = ACTIONS(1021),
    [aux_sym_switch_statement_token1] = ACTIONS(1021),
    [aux_sym_switch_block_token1] = ACTIONS(1021),
    [anon_sym_PLUS] = ACTIONS(1021),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1019),
    [anon_sym_BANG] = ACTIONS(1019),
    [anon_sym_AT] = ACTIONS(1019),
    [aux_sym_clone_expression_token1] = ACTIONS(1021),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1021),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1021),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [aux_sym__list_destructing_token1] = ACTIONS(1021),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [anon_sym_self] = ACTIONS(1021),
    [anon_sym_parent] = ACTIONS(1021),
    [aux_sym__argument_name_token1] = ACTIONS(1021),
    [aux_sym__argument_name_token2] = ACTIONS(1021),
    [anon_sym_POUND_LBRACK] = ACTIONS(1019),
    [aux_sym_encapsed_string_token1] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1019),
    [aux_sym_string_token1] = ACTIONS(1019),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_LT_LT_LT] = ACTIONS(1019),
    [anon_sym_BQUOTE] = ACTIONS(1019),
    [anon_sym_DOLLAR] = ACTIONS(1019),
    [aux_sym_yield_expression_token1] = ACTIONS(1021),
    [aux_sym_include_expression_token1] = ACTIONS(1021),
    [aux_sym_include_once_expression_token1] = ACTIONS(1021),
    [aux_sym_require_expression_token1] = ACTIONS(1021),
    [aux_sym_require_once_expression_token1] = ACTIONS(1021),
    [sym_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_text_interpolation] = STATE(447),
    [sym_else_if_clause] = STATE(499),
    [sym_else_clause] = STATE(501),
    [aux_sym_if_statement_repeat1] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(1019),
    [sym_name] = ACTIONS(1021),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1021),
    [aux_sym_global_declaration_token1] = ACTIONS(1021),
    [aux_sym_namespace_definition_token1] = ACTIONS(1021),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1021),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1021),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1021),
    [anon_sym_BSLASH] = ACTIONS(1019),
    [anon_sym_LBRACE] = ACTIONS(1019),
    [anon_sym_RBRACE] = ACTIONS(1019),
    [aux_sym_trait_declaration_token1] = ACTIONS(1021),
    [aux_sym_interface_declaration_token1] = ACTIONS(1021),
    [aux_sym_enum_declaration_token1] = ACTIONS(1021),
    [aux_sym_enum_case_token1] = ACTIONS(1021),
    [aux_sym_class_declaration_token1] = ACTIONS(1021),
    [aux_sym_final_modifier_token1] = ACTIONS(1021),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1021),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1021),
    [sym_var_modifier] = ACTIONS(1021),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1021),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1021),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1021),
    [aux_sym_cast_type_token1] = ACTIONS(1021),
    [aux_sym_echo_statement_token1] = ACTIONS(1021),
    [aux_sym_exit_statement_token1] = ACTIONS(1021),
    [anon_sym_unset] = ACTIONS(1021),
    [aux_sym_declare_statement_token1] = ACTIONS(1021),
    [aux_sym_declare_statement_token2] = ACTIONS(1021),
    [sym_float] = ACTIONS(1021),
    [aux_sym_try_statement_token1] = ACTIONS(1021),
    [aux_sym_goto_statement_token1] = ACTIONS(1021),
    [aux_sym_continue_statement_token1] = ACTIONS(1021),
    [aux_sym_break_statement_token1] = ACTIONS(1021),
    [sym_integer] = ACTIONS(1021),
    [aux_sym_return_statement_token1] = ACTIONS(1021),
    [aux_sym_throw_expression_token1] = ACTIONS(1021),
    [aux_sym_while_statement_token1] = ACTIONS(1021),
    [aux_sym_while_statement_token2] = ACTIONS(1021),
    [aux_sym_do_statement_token1] = ACTIONS(1021),
    [aux_sym_for_statement_token1] = ACTIONS(1021),
    [aux_sym_for_statement_token2] = ACTIONS(1021),
    [aux_sym_foreach_statement_token1] = ACTIONS(1021),
    [aux_sym_foreach_statement_token2] = ACTIONS(1021),
    [aux_sym_if_statement_token1] = ACTIONS(1021),
    [aux_sym_if_statement_token2] = ACTIONS(1021),
    [aux_sym_else_if_clause_token1] = ACTIONS(1015),
    [aux_sym_else_clause_token1] = ACTIONS(1017),
    [aux_sym_match_expression_token1] = ACTIONS(1021),
    [aux_sym_match_default_expression_token1] = ACTIONS(1021),
    [aux_sym_switch_statement_token1] = ACTIONS(1021),
    [aux_sym_switch_block_token1] = ACTIONS(1021),
    [anon_sym_PLUS] = ACTIONS(1021),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1019),
    [anon_sym_BANG] = ACTIONS(1019),
    [anon_sym_AT] = ACTIONS(1019),
    [aux_sym_clone_expression_token1] = ACTIONS(1021),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1021),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1021),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [aux_sym__list_destructing_token1] = ACTIONS(1021),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [anon_sym_self] = ACTIONS(1021),
    [anon_sym_parent] = ACTIONS(1021),
    [aux_sym__argument_name_token1] = ACTIONS(1021),
    [aux_sym__argument_name_token2] = ACTIONS(1021),
    [anon_sym_POUND_LBRACK] = ACTIONS(1019),
    [aux_sym_encapsed_string_token1] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1019),
    [aux_sym_string_token1] = ACTIONS(1019),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_LT_LT_LT] = ACTIONS(1019),
    [anon_sym_BQUOTE] = ACTIONS(1019),
    [anon_sym_DOLLAR] = ACTIONS(1019),
    [aux_sym_yield_expression_token1] = ACTIONS(1021),
    [aux_sym_include_expression_token1] = ACTIONS(1021),
    [aux_sym_include_once_expression_token1] = ACTIONS(1021),
    [aux_sym_require_expression_token1] = ACTIONS(1021),
    [aux_sym_require_once_expression_token1] = ACTIONS(1021),
    [sym_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_text_interpolation] = STATE(448),
    [ts_builtin_sym_end] = ACTIONS(1029),
    [sym_name] = ACTIONS(1031),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1029),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1031),
    [aux_sym_global_declaration_token1] = ACTIONS(1031),
    [aux_sym_namespace_definition_token1] = ACTIONS(1031),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1031),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1031),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1031),
    [anon_sym_BSLASH] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_RBRACE] = ACTIONS(1029),
    [aux_sym_trait_declaration_token1] = ACTIONS(1031),
    [aux_sym_interface_declaration_token1] = ACTIONS(1031),
    [aux_sym_enum_declaration_token1] = ACTIONS(1031),
    [aux_sym_enum_case_token1] = ACTIONS(1031),
    [aux_sym_class_declaration_token1] = ACTIONS(1031),
    [aux_sym_final_modifier_token1] = ACTIONS(1031),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1031),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1031),
    [sym_var_modifier] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1031),
    [aux_sym_cast_type_token1] = ACTIONS(1031),
    [aux_sym_echo_statement_token1] = ACTIONS(1031),
    [aux_sym_exit_statement_token1] = ACTIONS(1031),
    [anon_sym_unset] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [aux_sym_declare_statement_token2] = ACTIONS(1031),
    [sym_float] = ACTIONS(1031),
    [aux_sym_try_statement_token1] = ACTIONS(1031),
    [aux_sym_catch_clause_token1] = ACTIONS(1031),
    [aux_sym_finally_clause_token1] = ACTIONS(1031),
    [aux_sym_goto_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [sym_integer] = ACTIONS(1031),
    [aux_sym_return_statement_token1] = ACTIONS(1031),
    [aux_sym_throw_expression_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token2] = ACTIONS(1031),
    [aux_sym_do_statement_token1] = ACTIONS(1031),
    [aux_sym_for_statement_token1] = ACTIONS(1031),
    [aux_sym_for_statement_token2] = ACTIONS(1031),
    [aux_sym_foreach_statement_token1] = ACTIONS(1031),
    [aux_sym_foreach_statement_token2] = ACTIONS(1031),
    [aux_sym_if_statement_token1] = ACTIONS(1031),
    [aux_sym_if_statement_token2] = ACTIONS(1031),
    [aux_sym_else_if_clause_token1] = ACTIONS(1031),
    [aux_sym_else_clause_token1] = ACTIONS(1031),
    [aux_sym_match_expression_token1] = ACTIONS(1031),
    [aux_sym_match_default_expression_token1] = ACTIONS(1031),
    [aux_sym_switch_statement_token1] = ACTIONS(1031),
    [aux_sym_switch_block_token1] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(1031),
    [anon_sym_DASH] = ACTIONS(1031),
    [anon_sym_TILDE] = ACTIONS(1029),
    [anon_sym_BANG] = ACTIONS(1029),
    [anon_sym_AT] = ACTIONS(1029),
    [aux_sym_clone_expression_token1] = ACTIONS(1031),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1031),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [aux_sym__list_destructing_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_self] = ACTIONS(1031),
    [anon_sym_parent] = ACTIONS(1031),
    [aux_sym__argument_name_token1] = ACTIONS(1031),
    [aux_sym__argument_name_token2] = ACTIONS(1031),
    [anon_sym_POUND_LBRACK] = ACTIONS(1029),
    [aux_sym_encapsed_string_token1] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [aux_sym_string_token1] = ACTIONS(1029),
    [anon_sym_SQUOTE] = ACTIONS(1029),
    [anon_sym_LT_LT_LT] = ACTIONS(1029),
    [anon_sym_BQUOTE] = ACTIONS(1029),
    [anon_sym_DOLLAR] = ACTIONS(1029),
    [aux_sym_yield_expression_token1] = ACTIONS(1031),
    [aux_sym_include_expression_token1] = ACTIONS(1031),
    [aux_sym_include_once_expression_token1] = ACTIONS(1031),
    [aux_sym_require_expression_token1] = ACTIONS(1031),
    [aux_sym_require_once_expression_token1] = ACTIONS(1031),
    [sym_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_text_interpolation] = STATE(449),
    [ts_builtin_sym_end] = ACTIONS(1033),
    [sym_name] = ACTIONS(1035),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1033),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1035),
    [aux_sym_global_declaration_token1] = ACTIONS(1035),
    [aux_sym_namespace_definition_token1] = ACTIONS(1035),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1035),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1035),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1035),
    [anon_sym_BSLASH] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_RBRACE] = ACTIONS(1033),
    [aux_sym_trait_declaration_token1] = ACTIONS(1035),
    [aux_sym_interface_declaration_token1] = ACTIONS(1035),
    [aux_sym_enum_declaration_token1] = ACTIONS(1035),
    [aux_sym_enum_case_token1] = ACTIONS(1035),
    [aux_sym_class_declaration_token1] = ACTIONS(1035),
    [aux_sym_final_modifier_token1] = ACTIONS(1035),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1035),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1035),
    [sym_var_modifier] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(1033),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1035),
    [aux_sym_cast_type_token1] = ACTIONS(1035),
    [aux_sym_echo_statement_token1] = ACTIONS(1035),
    [aux_sym_exit_statement_token1] = ACTIONS(1035),
    [anon_sym_unset] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [aux_sym_declare_statement_token2] = ACTIONS(1035),
    [sym_float] = ACTIONS(1035),
    [aux_sym_try_statement_token1] = ACTIONS(1035),
    [aux_sym_catch_clause_token1] = ACTIONS(1035),
    [aux_sym_finally_clause_token1] = ACTIONS(1035),
    [aux_sym_goto_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [sym_integer] = ACTIONS(1035),
    [aux_sym_return_statement_token1] = ACTIONS(1035),
    [aux_sym_throw_expression_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token2] = ACTIONS(1035),
    [aux_sym_do_statement_token1] = ACTIONS(1035),
    [aux_sym_for_statement_token1] = ACTIONS(1035),
    [aux_sym_for_statement_token2] = ACTIONS(1035),
    [aux_sym_foreach_statement_token1] = ACTIONS(1035),
    [aux_sym_foreach_statement_token2] = ACTIONS(1035),
    [aux_sym_if_statement_token1] = ACTIONS(1035),
    [aux_sym_if_statement_token2] = ACTIONS(1035),
    [aux_sym_else_if_clause_token1] = ACTIONS(1035),
    [aux_sym_else_clause_token1] = ACTIONS(1035),
    [aux_sym_match_expression_token1] = ACTIONS(1035),
    [aux_sym_match_default_expression_token1] = ACTIONS(1035),
    [aux_sym_switch_statement_token1] = ACTIONS(1035),
    [aux_sym_switch_block_token1] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(1035),
    [anon_sym_DASH] = ACTIONS(1035),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(1033),
    [aux_sym_clone_expression_token1] = ACTIONS(1035),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1035),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1035),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [aux_sym__list_destructing_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_self] = ACTIONS(1035),
    [anon_sym_parent] = ACTIONS(1035),
    [aux_sym__argument_name_token1] = ACTIONS(1035),
    [aux_sym__argument_name_token2] = ACTIONS(1035),
    [anon_sym_POUND_LBRACK] = ACTIONS(1033),
    [aux_sym_encapsed_string_token1] = ACTIONS(1033),
    [anon_sym_DQUOTE] = ACTIONS(1033),
    [aux_sym_string_token1] = ACTIONS(1033),
    [anon_sym_SQUOTE] = ACTIONS(1033),
    [anon_sym_LT_LT_LT] = ACTIONS(1033),
    [anon_sym_BQUOTE] = ACTIONS(1033),
    [anon_sym_DOLLAR] = ACTIONS(1033),
    [aux_sym_yield_expression_token1] = ACTIONS(1035),
    [aux_sym_include_expression_token1] = ACTIONS(1035),
    [aux_sym_include_once_expression_token1] = ACTIONS(1035),
    [aux_sym_require_expression_token1] = ACTIONS(1035),
    [aux_sym_require_once_expression_token1] = ACTIONS(1035),
    [sym_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_text_interpolation] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(1037),
    [sym_name] = ACTIONS(1039),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1037),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1039),
    [aux_sym_global_declaration_token1] = ACTIONS(1039),
    [aux_sym_namespace_definition_token1] = ACTIONS(1039),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1039),
    [anon_sym_BSLASH] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1037),
    [aux_sym_trait_declaration_token1] = ACTIONS(1039),
    [aux_sym_interface_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_case_token1] = ACTIONS(1039),
    [aux_sym_class_declaration_token1] = ACTIONS(1039),
    [aux_sym_final_modifier_token1] = ACTIONS(1039),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1039),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1039),
    [sym_var_modifier] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1039),
    [aux_sym_cast_type_token1] = ACTIONS(1039),
    [aux_sym_echo_statement_token1] = ACTIONS(1039),
    [aux_sym_exit_statement_token1] = ACTIONS(1039),
    [anon_sym_unset] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [aux_sym_declare_statement_token2] = ACTIONS(1039),
    [sym_float] = ACTIONS(1039),
    [aux_sym_try_statement_token1] = ACTIONS(1039),
    [aux_sym_catch_clause_token1] = ACTIONS(1039),
    [aux_sym_finally_clause_token1] = ACTIONS(1039),
    [aux_sym_goto_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [sym_integer] = ACTIONS(1039),
    [aux_sym_return_statement_token1] = ACTIONS(1039),
    [aux_sym_throw_expression_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token2] = ACTIONS(1039),
    [aux_sym_do_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token2] = ACTIONS(1039),
    [aux_sym_foreach_statement_token1] = ACTIONS(1039),
    [aux_sym_foreach_statement_token2] = ACTIONS(1039),
    [aux_sym_if_statement_token1] = ACTIONS(1039),
    [aux_sym_if_statement_token2] = ACTIONS(1039),
    [aux_sym_else_if_clause_token1] = ACTIONS(1039),
    [aux_sym_else_clause_token1] = ACTIONS(1039),
    [aux_sym_match_expression_token1] = ACTIONS(1039),
    [aux_sym_match_default_expression_token1] = ACTIONS(1039),
    [aux_sym_switch_statement_token1] = ACTIONS(1039),
    [aux_sym_switch_block_token1] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(1039),
    [anon_sym_DASH] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1037),
    [anon_sym_AT] = ACTIONS(1037),
    [aux_sym_clone_expression_token1] = ACTIONS(1039),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1039),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1037),
    [anon_sym_PLUS_PLUS] = ACTIONS(1037),
    [aux_sym__list_destructing_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_self] = ACTIONS(1039),
    [anon_sym_parent] = ACTIONS(1039),
    [aux_sym__argument_name_token1] = ACTIONS(1039),
    [aux_sym__argument_name_token2] = ACTIONS(1039),
    [anon_sym_POUND_LBRACK] = ACTIONS(1037),
    [aux_sym_encapsed_string_token1] = ACTIONS(1037),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [aux_sym_string_token1] = ACTIONS(1037),
    [anon_sym_SQUOTE] = ACTIONS(1037),
    [anon_sym_LT_LT_LT] = ACTIONS(1037),
    [anon_sym_BQUOTE] = ACTIONS(1037),
    [anon_sym_DOLLAR] = ACTIONS(1037),
    [aux_sym_yield_expression_token1] = ACTIONS(1039),
    [aux_sym_include_expression_token1] = ACTIONS(1039),
    [aux_sym_include_once_expression_token1] = ACTIONS(1039),
    [aux_sym_require_expression_token1] = ACTIONS(1039),
    [aux_sym_require_once_expression_token1] = ACTIONS(1039),
    [sym_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_text_interpolation] = STATE(451),
    [ts_builtin_sym_end] = ACTIONS(1041),
    [sym_name] = ACTIONS(1043),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1041),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1043),
    [aux_sym_global_declaration_token1] = ACTIONS(1043),
    [aux_sym_namespace_definition_token1] = ACTIONS(1043),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1043),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1043),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1043),
    [anon_sym_BSLASH] = ACTIONS(1041),
    [anon_sym_LBRACE] = ACTIONS(1041),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [aux_sym_trait_declaration_token1] = ACTIONS(1043),
    [aux_sym_interface_declaration_token1] = ACTIONS(1043),
    [aux_sym_enum_declaration_token1] = ACTIONS(1043),
    [aux_sym_enum_case_token1] = ACTIONS(1043),
    [aux_sym_class_declaration_token1] = ACTIONS(1043),
    [aux_sym_final_modifier_token1] = ACTIONS(1043),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1043),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1043),
    [sym_var_modifier] = ACTIONS(1043),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1043),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1043),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(1041),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1043),
    [aux_sym_cast_type_token1] = ACTIONS(1043),
    [aux_sym_echo_statement_token1] = ACTIONS(1043),
    [aux_sym_exit_statement_token1] = ACTIONS(1043),
    [anon_sym_unset] = ACTIONS(1043),
    [aux_sym_declare_statement_token1] = ACTIONS(1043),
    [aux_sym_declare_statement_token2] = ACTIONS(1043),
    [sym_float] = ACTIONS(1043),
    [aux_sym_try_statement_token1] = ACTIONS(1043),
    [aux_sym_catch_clause_token1] = ACTIONS(1043),
    [aux_sym_finally_clause_token1] = ACTIONS(1043),
    [aux_sym_goto_statement_token1] = ACTIONS(1043),
    [aux_sym_continue_statement_token1] = ACTIONS(1043),
    [aux_sym_break_statement_token1] = ACTIONS(1043),
    [sym_integer] = ACTIONS(1043),
    [aux_sym_return_statement_token1] = ACTIONS(1043),
    [aux_sym_throw_expression_token1] = ACTIONS(1043),
    [aux_sym_while_statement_token1] = ACTIONS(1043),
    [aux_sym_while_statement_token2] = ACTIONS(1043),
    [aux_sym_do_statement_token1] = ACTIONS(1043),
    [aux_sym_for_statement_token1] = ACTIONS(1043),
    [aux_sym_for_statement_token2] = ACTIONS(1043),
    [aux_sym_foreach_statement_token1] = ACTIONS(1043),
    [aux_sym_foreach_statement_token2] = ACTIONS(1043),
    [aux_sym_if_statement_token1] = ACTIONS(1043),
    [aux_sym_if_statement_token2] = ACTIONS(1043),
    [aux_sym_else_if_clause_token1] = ACTIONS(1043),
    [aux_sym_else_clause_token1] = ACTIONS(1043),
    [aux_sym_match_expression_token1] = ACTIONS(1043),
    [aux_sym_match_default_expression_token1] = ACTIONS(1043),
    [aux_sym_switch_statement_token1] = ACTIONS(1043),
    [aux_sym_switch_block_token1] = ACTIONS(1043),
    [anon_sym_PLUS] = ACTIONS(1043),
    [anon_sym_DASH] = ACTIONS(1043),
    [anon_sym_TILDE] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(1041),
    [aux_sym_clone_expression_token1] = ACTIONS(1043),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1043),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1043),
    [anon_sym_DASH_DASH] = ACTIONS(1041),
    [anon_sym_PLUS_PLUS] = ACTIONS(1041),
    [aux_sym__list_destructing_token1] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(1041),
    [anon_sym_self] = ACTIONS(1043),
    [anon_sym_parent] = ACTIONS(1043),
    [aux_sym__argument_name_token1] = ACTIONS(1043),
    [aux_sym__argument_name_token2] = ACTIONS(1043),
    [anon_sym_POUND_LBRACK] = ACTIONS(1041),
    [aux_sym_encapsed_string_token1] = ACTIONS(1041),
    [anon_sym_DQUOTE] = ACTIONS(1041),
    [aux_sym_string_token1] = ACTIONS(1041),
    [anon_sym_SQUOTE] = ACTIONS(1041),
    [anon_sym_LT_LT_LT] = ACTIONS(1041),
    [anon_sym_BQUOTE] = ACTIONS(1041),
    [anon_sym_DOLLAR] = ACTIONS(1041),
    [aux_sym_yield_expression_token1] = ACTIONS(1043),
    [aux_sym_include_expression_token1] = ACTIONS(1043),
    [aux_sym_include_once_expression_token1] = ACTIONS(1043),
    [aux_sym_require_expression_token1] = ACTIONS(1043),
    [aux_sym_require_once_expression_token1] = ACTIONS(1043),
    [sym_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_text_interpolation] = STATE(452),
    [ts_builtin_sym_end] = ACTIONS(1045),
    [sym_name] = ACTIONS(1047),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1045),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1047),
    [aux_sym_global_declaration_token1] = ACTIONS(1047),
    [aux_sym_namespace_definition_token1] = ACTIONS(1047),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1047),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1047),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1047),
    [anon_sym_BSLASH] = ACTIONS(1045),
    [anon_sym_LBRACE] = ACTIONS(1045),
    [anon_sym_RBRACE] = ACTIONS(1045),
    [aux_sym_trait_declaration_token1] = ACTIONS(1047),
    [aux_sym_interface_declaration_token1] = ACTIONS(1047),
    [aux_sym_enum_declaration_token1] = ACTIONS(1047),
    [aux_sym_enum_case_token1] = ACTIONS(1047),
    [aux_sym_class_declaration_token1] = ACTIONS(1047),
    [aux_sym_final_modifier_token1] = ACTIONS(1047),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1047),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1047),
    [sym_var_modifier] = ACTIONS(1047),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1047),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1047),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1047),
    [aux_sym_cast_type_token1] = ACTIONS(1047),
    [aux_sym_echo_statement_token1] = ACTIONS(1047),
    [aux_sym_exit_statement_token1] = ACTIONS(1047),
    [anon_sym_unset] = ACTIONS(1047),
    [aux_sym_declare_statement_token1] = ACTIONS(1047),
    [aux_sym_declare_statement_token2] = ACTIONS(1047),
    [sym_float] = ACTIONS(1047),
    [aux_sym_try_statement_token1] = ACTIONS(1047),
    [aux_sym_catch_clause_token1] = ACTIONS(1047),
    [aux_sym_finally_clause_token1] = ACTIONS(1047),
    [aux_sym_goto_statement_token1] = ACTIONS(1047),
    [aux_sym_continue_statement_token1] = ACTIONS(1047),
    [aux_sym_break_statement_token1] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1047),
    [aux_sym_return_statement_token1] = ACTIONS(1047),
    [aux_sym_throw_expression_token1] = ACTIONS(1047),
    [aux_sym_while_statement_token1] = ACTIONS(1047),
    [aux_sym_while_statement_token2] = ACTIONS(1047),
    [aux_sym_do_statement_token1] = ACTIONS(1047),
    [aux_sym_for_statement_token1] = ACTIONS(1047),
    [aux_sym_for_statement_token2] = ACTIONS(1047),
    [aux_sym_foreach_statement_token1] = ACTIONS(1047),
    [aux_sym_foreach_statement_token2] = ACTIONS(1047),
    [aux_sym_if_statement_token1] = ACTIONS(1047),
    [aux_sym_if_statement_token2] = ACTIONS(1047),
    [aux_sym_else_if_clause_token1] = ACTIONS(1047),
    [aux_sym_else_clause_token1] = ACTIONS(1047),
    [aux_sym_match_expression_token1] = ACTIONS(1047),
    [aux_sym_match_default_expression_token1] = ACTIONS(1047),
    [aux_sym_switch_statement_token1] = ACTIONS(1047),
    [aux_sym_switch_block_token1] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1045),
    [anon_sym_BANG] = ACTIONS(1045),
    [anon_sym_AT] = ACTIONS(1045),
    [aux_sym_clone_expression_token1] = ACTIONS(1047),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1047),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1047),
    [anon_sym_DASH_DASH] = ACTIONS(1045),
    [anon_sym_PLUS_PLUS] = ACTIONS(1045),
    [aux_sym__list_destructing_token1] = ACTIONS(1047),
    [anon_sym_LBRACK] = ACTIONS(1045),
    [anon_sym_self] = ACTIONS(1047),
    [anon_sym_parent] = ACTIONS(1047),
    [aux_sym__argument_name_token1] = ACTIONS(1047),
    [aux_sym__argument_name_token2] = ACTIONS(1047),
    [anon_sym_POUND_LBRACK] = ACTIONS(1045),
    [aux_sym_encapsed_string_token1] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [aux_sym_string_token1] = ACTIONS(1045),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_LT_LT_LT] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1045),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [aux_sym_yield_expression_token1] = ACTIONS(1047),
    [aux_sym_include_expression_token1] = ACTIONS(1047),
    [aux_sym_include_once_expression_token1] = ACTIONS(1047),
    [aux_sym_require_expression_token1] = ACTIONS(1047),
    [aux_sym_require_once_expression_token1] = ACTIONS(1047),
    [sym_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_text_interpolation] = STATE(453),
    [ts_builtin_sym_end] = ACTIONS(1049),
    [sym_name] = ACTIONS(1051),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1049),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1051),
    [aux_sym_global_declaration_token1] = ACTIONS(1051),
    [aux_sym_namespace_definition_token1] = ACTIONS(1051),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1051),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1051),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1049),
    [anon_sym_LBRACE] = ACTIONS(1049),
    [anon_sym_RBRACE] = ACTIONS(1049),
    [aux_sym_trait_declaration_token1] = ACTIONS(1051),
    [aux_sym_interface_declaration_token1] = ACTIONS(1051),
    [aux_sym_enum_declaration_token1] = ACTIONS(1051),
    [aux_sym_enum_case_token1] = ACTIONS(1051),
    [aux_sym_class_declaration_token1] = ACTIONS(1051),
    [aux_sym_final_modifier_token1] = ACTIONS(1051),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1051),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1051),
    [sym_var_modifier] = ACTIONS(1051),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1051),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1051),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1051),
    [anon_sym_LPAREN] = ACTIONS(1049),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1051),
    [aux_sym_cast_type_token1] = ACTIONS(1051),
    [aux_sym_echo_statement_token1] = ACTIONS(1051),
    [aux_sym_exit_statement_token1] = ACTIONS(1051),
    [anon_sym_unset] = ACTIONS(1051),
    [aux_sym_declare_statement_token1] = ACTIONS(1051),
    [aux_sym_declare_statement_token2] = ACTIONS(1051),
    [sym_float] = ACTIONS(1051),
    [aux_sym_try_statement_token1] = ACTIONS(1051),
    [aux_sym_catch_clause_token1] = ACTIONS(1051),
    [aux_sym_finally_clause_token1] = ACTIONS(1051),
    [aux_sym_goto_statement_token1] = ACTIONS(1051),
    [aux_sym_continue_statement_token1] = ACTIONS(1051),
    [aux_sym_break_statement_token1] = ACTIONS(1051),
    [sym_integer] = ACTIONS(1051),
    [aux_sym_return_statement_token1] = ACTIONS(1051),
    [aux_sym_throw_expression_token1] = ACTIONS(1051),
    [aux_sym_while_statement_token1] = ACTIONS(1051),
    [aux_sym_while_statement_token2] = ACTIONS(1051),
    [aux_sym_do_statement_token1] = ACTIONS(1051),
    [aux_sym_for_statement_token1] = ACTIONS(1051),
    [aux_sym_for_statement_token2] = ACTIONS(1051),
    [aux_sym_foreach_statement_token1] = ACTIONS(1051),
    [aux_sym_foreach_statement_token2] = ACTIONS(1051),
    [aux_sym_if_statement_token1] = ACTIONS(1051),
    [aux_sym_if_statement_token2] = ACTIONS(1051),
    [aux_sym_else_if_clause_token1] = ACTIONS(1051),
    [aux_sym_else_clause_token1] = ACTIONS(1051),
    [aux_sym_match_expression_token1] = ACTIONS(1051),
    [aux_sym_match_default_expression_token1] = ACTIONS(1051),
    [aux_sym_switch_statement_token1] = ACTIONS(1051),
    [aux_sym_switch_block_token1] = ACTIONS(1051),
    [anon_sym_PLUS] = ACTIONS(1051),
    [anon_sym_DASH] = ACTIONS(1051),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_AT] = ACTIONS(1049),
    [aux_sym_clone_expression_token1] = ACTIONS(1051),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1051),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1049),
    [aux_sym__list_destructing_token1] = ACTIONS(1051),
    [anon_sym_LBRACK] = ACTIONS(1049),
    [anon_sym_self] = ACTIONS(1051),
    [anon_sym_parent] = ACTIONS(1051),
    [aux_sym__argument_name_token1] = ACTIONS(1051),
    [aux_sym__argument_name_token2] = ACTIONS(1051),
    [anon_sym_POUND_LBRACK] = ACTIONS(1049),
    [aux_sym_encapsed_string_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1049),
    [aux_sym_string_token1] = ACTIONS(1049),
    [anon_sym_SQUOTE] = ACTIONS(1049),
    [anon_sym_LT_LT_LT] = ACTIONS(1049),
    [anon_sym_BQUOTE] = ACTIONS(1049),
    [anon_sym_DOLLAR] = ACTIONS(1049),
    [aux_sym_yield_expression_token1] = ACTIONS(1051),
    [aux_sym_include_expression_token1] = ACTIONS(1051),
    [aux_sym_include_once_expression_token1] = ACTIONS(1051),
    [aux_sym_require_expression_token1] = ACTIONS(1051),
    [aux_sym_require_once_expression_token1] = ACTIONS(1051),
    [sym_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_text_interpolation] = STATE(454),
    [sym_else_if_clause] = STATE(499),
    [aux_sym_if_statement_repeat1] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(1053),
    [sym_name] = ACTIONS(1055),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1053),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1055),
    [aux_sym_global_declaration_token1] = ACTIONS(1055),
    [aux_sym_namespace_definition_token1] = ACTIONS(1055),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1055),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1055),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1055),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_LBRACE] = ACTIONS(1053),
    [anon_sym_RBRACE] = ACTIONS(1053),
    [aux_sym_trait_declaration_token1] = ACTIONS(1055),
    [aux_sym_interface_declaration_token1] = ACTIONS(1055),
    [aux_sym_enum_declaration_token1] = ACTIONS(1055),
    [aux_sym_enum_case_token1] = ACTIONS(1055),
    [aux_sym_class_declaration_token1] = ACTIONS(1055),
    [aux_sym_final_modifier_token1] = ACTIONS(1055),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1055),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1055),
    [sym_var_modifier] = ACTIONS(1055),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1055),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1055),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1053),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1055),
    [aux_sym_cast_type_token1] = ACTIONS(1055),
    [aux_sym_echo_statement_token1] = ACTIONS(1055),
    [aux_sym_exit_statement_token1] = ACTIONS(1055),
    [anon_sym_unset] = ACTIONS(1055),
    [aux_sym_declare_statement_token1] = ACTIONS(1055),
    [aux_sym_declare_statement_token2] = ACTIONS(1055),
    [sym_float] = ACTIONS(1055),
    [aux_sym_try_statement_token1] = ACTIONS(1055),
    [aux_sym_goto_statement_token1] = ACTIONS(1055),
    [aux_sym_continue_statement_token1] = ACTIONS(1055),
    [aux_sym_break_statement_token1] = ACTIONS(1055),
    [sym_integer] = ACTIONS(1055),
    [aux_sym_return_statement_token1] = ACTIONS(1055),
    [aux_sym_throw_expression_token1] = ACTIONS(1055),
    [aux_sym_while_statement_token1] = ACTIONS(1055),
    [aux_sym_while_statement_token2] = ACTIONS(1055),
    [aux_sym_do_statement_token1] = ACTIONS(1055),
    [aux_sym_for_statement_token1] = ACTIONS(1055),
    [aux_sym_for_statement_token2] = ACTIONS(1055),
    [aux_sym_foreach_statement_token1] = ACTIONS(1055),
    [aux_sym_foreach_statement_token2] = ACTIONS(1055),
    [aux_sym_if_statement_token1] = ACTIONS(1055),
    [aux_sym_if_statement_token2] = ACTIONS(1055),
    [aux_sym_else_if_clause_token1] = ACTIONS(1057),
    [aux_sym_else_clause_token1] = ACTIONS(1055),
    [aux_sym_match_expression_token1] = ACTIONS(1055),
    [aux_sym_match_default_expression_token1] = ACTIONS(1055),
    [aux_sym_switch_statement_token1] = ACTIONS(1055),
    [aux_sym_switch_block_token1] = ACTIONS(1055),
    [anon_sym_PLUS] = ACTIONS(1055),
    [anon_sym_DASH] = ACTIONS(1055),
    [anon_sym_TILDE] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(1053),
    [anon_sym_AT] = ACTIONS(1053),
    [aux_sym_clone_expression_token1] = ACTIONS(1055),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1055),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1055),
    [anon_sym_DASH_DASH] = ACTIONS(1053),
    [anon_sym_PLUS_PLUS] = ACTIONS(1053),
    [aux_sym__list_destructing_token1] = ACTIONS(1055),
    [anon_sym_LBRACK] = ACTIONS(1053),
    [anon_sym_self] = ACTIONS(1055),
    [anon_sym_parent] = ACTIONS(1055),
    [aux_sym__argument_name_token1] = ACTIONS(1055),
    [aux_sym__argument_name_token2] = ACTIONS(1055),
    [anon_sym_POUND_LBRACK] = ACTIONS(1053),
    [aux_sym_encapsed_string_token1] = ACTIONS(1053),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [aux_sym_string_token1] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_LT_LT_LT] = ACTIONS(1053),
    [anon_sym_BQUOTE] = ACTIONS(1053),
    [anon_sym_DOLLAR] = ACTIONS(1053),
    [aux_sym_yield_expression_token1] = ACTIONS(1055),
    [aux_sym_include_expression_token1] = ACTIONS(1055),
    [aux_sym_include_once_expression_token1] = ACTIONS(1055),
    [aux_sym_require_expression_token1] = ACTIONS(1055),
    [aux_sym_require_once_expression_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_text_interpolation] = STATE(455),
    [ts_builtin_sym_end] = ACTIONS(1060),
    [sym_name] = ACTIONS(1062),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1060),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1062),
    [aux_sym_global_declaration_token1] = ACTIONS(1062),
    [aux_sym_namespace_definition_token1] = ACTIONS(1062),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1062),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1062),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1062),
    [anon_sym_BSLASH] = ACTIONS(1060),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym_RBRACE] = ACTIONS(1060),
    [aux_sym_trait_declaration_token1] = ACTIONS(1062),
    [aux_sym_interface_declaration_token1] = ACTIONS(1062),
    [aux_sym_enum_declaration_token1] = ACTIONS(1062),
    [aux_sym_enum_case_token1] = ACTIONS(1062),
    [aux_sym_class_declaration_token1] = ACTIONS(1062),
    [aux_sym_final_modifier_token1] = ACTIONS(1062),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1062),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1062),
    [sym_var_modifier] = ACTIONS(1062),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1062),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1062),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(1060),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1062),
    [aux_sym_cast_type_token1] = ACTIONS(1062),
    [aux_sym_echo_statement_token1] = ACTIONS(1062),
    [aux_sym_exit_statement_token1] = ACTIONS(1062),
    [anon_sym_unset] = ACTIONS(1062),
    [aux_sym_declare_statement_token1] = ACTIONS(1062),
    [aux_sym_declare_statement_token2] = ACTIONS(1062),
    [sym_float] = ACTIONS(1062),
    [aux_sym_try_statement_token1] = ACTIONS(1062),
    [aux_sym_goto_statement_token1] = ACTIONS(1062),
    [aux_sym_continue_statement_token1] = ACTIONS(1062),
    [aux_sym_break_statement_token1] = ACTIONS(1062),
    [sym_integer] = ACTIONS(1062),
    [aux_sym_return_statement_token1] = ACTIONS(1062),
    [aux_sym_throw_expression_token1] = ACTIONS(1062),
    [aux_sym_while_statement_token1] = ACTIONS(1062),
    [aux_sym_while_statement_token2] = ACTIONS(1062),
    [aux_sym_do_statement_token1] = ACTIONS(1062),
    [aux_sym_for_statement_token1] = ACTIONS(1062),
    [aux_sym_for_statement_token2] = ACTIONS(1062),
    [aux_sym_foreach_statement_token1] = ACTIONS(1062),
    [aux_sym_foreach_statement_token2] = ACTIONS(1062),
    [aux_sym_if_statement_token1] = ACTIONS(1062),
    [aux_sym_if_statement_token2] = ACTIONS(1062),
    [aux_sym_else_if_clause_token1] = ACTIONS(1062),
    [aux_sym_else_clause_token1] = ACTIONS(1062),
    [aux_sym_match_expression_token1] = ACTIONS(1062),
    [aux_sym_match_default_expression_token1] = ACTIONS(1062),
    [aux_sym_switch_statement_token1] = ACTIONS(1062),
    [aux_sym_switch_block_token1] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1062),
    [anon_sym_DASH] = ACTIONS(1062),
    [anon_sym_TILDE] = ACTIONS(1060),
    [anon_sym_BANG] = ACTIONS(1060),
    [anon_sym_AT] = ACTIONS(1060),
    [aux_sym_clone_expression_token1] = ACTIONS(1062),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1062),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1062),
    [anon_sym_DASH_DASH] = ACTIONS(1060),
    [anon_sym_PLUS_PLUS] = ACTIONS(1060),
    [aux_sym__list_destructing_token1] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(1060),
    [anon_sym_self] = ACTIONS(1062),
    [anon_sym_parent] = ACTIONS(1062),
    [aux_sym__argument_name_token1] = ACTIONS(1062),
    [aux_sym__argument_name_token2] = ACTIONS(1062),
    [anon_sym_POUND_LBRACK] = ACTIONS(1060),
    [aux_sym_encapsed_string_token1] = ACTIONS(1060),
    [anon_sym_DQUOTE] = ACTIONS(1060),
    [aux_sym_string_token1] = ACTIONS(1060),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [anon_sym_LT_LT_LT] = ACTIONS(1060),
    [anon_sym_BQUOTE] = ACTIONS(1060),
    [anon_sym_DOLLAR] = ACTIONS(1060),
    [aux_sym_yield_expression_token1] = ACTIONS(1062),
    [aux_sym_include_expression_token1] = ACTIONS(1062),
    [aux_sym_include_once_expression_token1] = ACTIONS(1062),
    [aux_sym_require_expression_token1] = ACTIONS(1062),
    [aux_sym_require_once_expression_token1] = ACTIONS(1062),
    [sym_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_text_interpolation] = STATE(456),
    [ts_builtin_sym_end] = ACTIONS(1064),
    [sym_name] = ACTIONS(1066),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1064),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1066),
    [aux_sym_global_declaration_token1] = ACTIONS(1066),
    [aux_sym_namespace_definition_token1] = ACTIONS(1066),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1066),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1066),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1066),
    [anon_sym_BSLASH] = ACTIONS(1064),
    [anon_sym_LBRACE] = ACTIONS(1064),
    [anon_sym_RBRACE] = ACTIONS(1064),
    [aux_sym_trait_declaration_token1] = ACTIONS(1066),
    [aux_sym_interface_declaration_token1] = ACTIONS(1066),
    [aux_sym_enum_declaration_token1] = ACTIONS(1066),
    [aux_sym_enum_case_token1] = ACTIONS(1066),
    [aux_sym_class_declaration_token1] = ACTIONS(1066),
    [aux_sym_final_modifier_token1] = ACTIONS(1066),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1066),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1066),
    [sym_var_modifier] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1064),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1066),
    [aux_sym_cast_type_token1] = ACTIONS(1066),
    [aux_sym_echo_statement_token1] = ACTIONS(1066),
    [aux_sym_exit_statement_token1] = ACTIONS(1066),
    [anon_sym_unset] = ACTIONS(1066),
    [aux_sym_declare_statement_token1] = ACTIONS(1066),
    [aux_sym_declare_statement_token2] = ACTIONS(1066),
    [sym_float] = ACTIONS(1066),
    [aux_sym_try_statement_token1] = ACTIONS(1066),
    [aux_sym_goto_statement_token1] = ACTIONS(1066),
    [aux_sym_continue_statement_token1] = ACTIONS(1066),
    [aux_sym_break_statement_token1] = ACTIONS(1066),
    [sym_integer] = ACTIONS(1066),
    [aux_sym_return_statement_token1] = ACTIONS(1066),
    [aux_sym_throw_expression_token1] = ACTIONS(1066),
    [aux_sym_while_statement_token1] = ACTIONS(1066),
    [aux_sym_while_statement_token2] = ACTIONS(1066),
    [aux_sym_do_statement_token1] = ACTIONS(1066),
    [aux_sym_for_statement_token1] = ACTIONS(1066),
    [aux_sym_for_statement_token2] = ACTIONS(1066),
    [aux_sym_foreach_statement_token1] = ACTIONS(1066),
    [aux_sym_foreach_statement_token2] = ACTIONS(1066),
    [aux_sym_if_statement_token1] = ACTIONS(1066),
    [aux_sym_if_statement_token2] = ACTIONS(1066),
    [aux_sym_else_if_clause_token1] = ACTIONS(1066),
    [aux_sym_else_clause_token1] = ACTIONS(1066),
    [aux_sym_match_expression_token1] = ACTIONS(1066),
    [aux_sym_match_default_expression_token1] = ACTIONS(1066),
    [aux_sym_switch_statement_token1] = ACTIONS(1066),
    [aux_sym_switch_block_token1] = ACTIONS(1066),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_AT] = ACTIONS(1064),
    [aux_sym_clone_expression_token1] = ACTIONS(1066),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1066),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1066),
    [anon_sym_DASH_DASH] = ACTIONS(1064),
    [anon_sym_PLUS_PLUS] = ACTIONS(1064),
    [aux_sym__list_destructing_token1] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(1064),
    [anon_sym_self] = ACTIONS(1066),
    [anon_sym_parent] = ACTIONS(1066),
    [aux_sym__argument_name_token1] = ACTIONS(1066),
    [aux_sym__argument_name_token2] = ACTIONS(1066),
    [anon_sym_POUND_LBRACK] = ACTIONS(1064),
    [aux_sym_encapsed_string_token1] = ACTIONS(1064),
    [anon_sym_DQUOTE] = ACTIONS(1064),
    [aux_sym_string_token1] = ACTIONS(1064),
    [anon_sym_SQUOTE] = ACTIONS(1064),
    [anon_sym_LT_LT_LT] = ACTIONS(1064),
    [anon_sym_BQUOTE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1064),
    [aux_sym_yield_expression_token1] = ACTIONS(1066),
    [aux_sym_include_expression_token1] = ACTIONS(1066),
    [aux_sym_include_once_expression_token1] = ACTIONS(1066),
    [aux_sym_require_expression_token1] = ACTIONS(1066),
    [aux_sym_require_once_expression_token1] = ACTIONS(1066),
    [sym_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_text_interpolation] = STATE(457),
    [ts_builtin_sym_end] = ACTIONS(1068),
    [sym_name] = ACTIONS(1070),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1068),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1070),
    [aux_sym_global_declaration_token1] = ACTIONS(1070),
    [aux_sym_namespace_definition_token1] = ACTIONS(1070),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1070),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1070),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1070),
    [anon_sym_BSLASH] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(1068),
    [anon_sym_RBRACE] = ACTIONS(1068),
    [aux_sym_trait_declaration_token1] = ACTIONS(1070),
    [aux_sym_interface_declaration_token1] = ACTIONS(1070),
    [aux_sym_enum_declaration_token1] = ACTIONS(1070),
    [aux_sym_enum_case_token1] = ACTIONS(1070),
    [aux_sym_class_declaration_token1] = ACTIONS(1070),
    [aux_sym_final_modifier_token1] = ACTIONS(1070),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1070),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1070),
    [sym_var_modifier] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1070),
    [anon_sym_LPAREN] = ACTIONS(1068),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1070),
    [aux_sym_cast_type_token1] = ACTIONS(1070),
    [aux_sym_echo_statement_token1] = ACTIONS(1070),
    [aux_sym_exit_statement_token1] = ACTIONS(1070),
    [anon_sym_unset] = ACTIONS(1070),
    [aux_sym_declare_statement_token1] = ACTIONS(1070),
    [aux_sym_declare_statement_token2] = ACTIONS(1070),
    [sym_float] = ACTIONS(1070),
    [aux_sym_try_statement_token1] = ACTIONS(1070),
    [aux_sym_goto_statement_token1] = ACTIONS(1070),
    [aux_sym_continue_statement_token1] = ACTIONS(1070),
    [aux_sym_break_statement_token1] = ACTIONS(1070),
    [sym_integer] = ACTIONS(1070),
    [aux_sym_return_statement_token1] = ACTIONS(1070),
    [aux_sym_throw_expression_token1] = ACTIONS(1070),
    [aux_sym_while_statement_token1] = ACTIONS(1070),
    [aux_sym_while_statement_token2] = ACTIONS(1070),
    [aux_sym_do_statement_token1] = ACTIONS(1070),
    [aux_sym_for_statement_token1] = ACTIONS(1070),
    [aux_sym_for_statement_token2] = ACTIONS(1070),
    [aux_sym_foreach_statement_token1] = ACTIONS(1070),
    [aux_sym_foreach_statement_token2] = ACTIONS(1070),
    [aux_sym_if_statement_token1] = ACTIONS(1070),
    [aux_sym_if_statement_token2] = ACTIONS(1070),
    [aux_sym_else_if_clause_token1] = ACTIONS(1070),
    [aux_sym_else_clause_token1] = ACTIONS(1070),
    [aux_sym_match_expression_token1] = ACTIONS(1070),
    [aux_sym_match_default_expression_token1] = ACTIONS(1070),
    [aux_sym_switch_statement_token1] = ACTIONS(1070),
    [aux_sym_switch_block_token1] = ACTIONS(1070),
    [anon_sym_PLUS] = ACTIONS(1070),
    [anon_sym_DASH] = ACTIONS(1070),
    [anon_sym_TILDE] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(1068),
    [anon_sym_AT] = ACTIONS(1068),
    [aux_sym_clone_expression_token1] = ACTIONS(1070),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1070),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1070),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [aux_sym__list_destructing_token1] = ACTIONS(1070),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_self] = ACTIONS(1070),
    [anon_sym_parent] = ACTIONS(1070),
    [aux_sym__argument_name_token1] = ACTIONS(1070),
    [aux_sym__argument_name_token2] = ACTIONS(1070),
    [anon_sym_POUND_LBRACK] = ACTIONS(1068),
    [aux_sym_encapsed_string_token1] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(1068),
    [aux_sym_string_token1] = ACTIONS(1068),
    [anon_sym_SQUOTE] = ACTIONS(1068),
    [anon_sym_LT_LT_LT] = ACTIONS(1068),
    [anon_sym_BQUOTE] = ACTIONS(1068),
    [anon_sym_DOLLAR] = ACTIONS(1068),
    [aux_sym_yield_expression_token1] = ACTIONS(1070),
    [aux_sym_include_expression_token1] = ACTIONS(1070),
    [aux_sym_include_once_expression_token1] = ACTIONS(1070),
    [aux_sym_require_expression_token1] = ACTIONS(1070),
    [aux_sym_require_once_expression_token1] = ACTIONS(1070),
    [sym_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_text_interpolation] = STATE(458),
    [ts_builtin_sym_end] = ACTIONS(1072),
    [sym_name] = ACTIONS(1074),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1072),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1074),
    [aux_sym_global_declaration_token1] = ACTIONS(1074),
    [aux_sym_namespace_definition_token1] = ACTIONS(1074),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1074),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1074),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1074),
    [anon_sym_BSLASH] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1072),
    [anon_sym_RBRACE] = ACTIONS(1072),
    [aux_sym_trait_declaration_token1] = ACTIONS(1074),
    [aux_sym_interface_declaration_token1] = ACTIONS(1074),
    [aux_sym_enum_declaration_token1] = ACTIONS(1074),
    [aux_sym_enum_case_token1] = ACTIONS(1074),
    [aux_sym_class_declaration_token1] = ACTIONS(1074),
    [aux_sym_final_modifier_token1] = ACTIONS(1074),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1074),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1074),
    [sym_var_modifier] = ACTIONS(1074),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1074),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1074),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1074),
    [aux_sym_cast_type_token1] = ACTIONS(1074),
    [aux_sym_echo_statement_token1] = ACTIONS(1074),
    [aux_sym_exit_statement_token1] = ACTIONS(1074),
    [anon_sym_unset] = ACTIONS(1074),
    [aux_sym_declare_statement_token1] = ACTIONS(1074),
    [aux_sym_declare_statement_token2] = ACTIONS(1074),
    [sym_float] = ACTIONS(1074),
    [aux_sym_try_statement_token1] = ACTIONS(1074),
    [aux_sym_goto_statement_token1] = ACTIONS(1074),
    [aux_sym_continue_statement_token1] = ACTIONS(1074),
    [aux_sym_break_statement_token1] = ACTIONS(1074),
    [sym_integer] = ACTIONS(1074),
    [aux_sym_return_statement_token1] = ACTIONS(1074),
    [aux_sym_throw_expression_token1] = ACTIONS(1074),
    [aux_sym_while_statement_token1] = ACTIONS(1074),
    [aux_sym_while_statement_token2] = ACTIONS(1074),
    [aux_sym_do_statement_token1] = ACTIONS(1074),
    [aux_sym_for_statement_token1] = ACTIONS(1074),
    [aux_sym_for_statement_token2] = ACTIONS(1074),
    [aux_sym_foreach_statement_token1] = ACTIONS(1074),
    [aux_sym_foreach_statement_token2] = ACTIONS(1074),
    [aux_sym_if_statement_token1] = ACTIONS(1074),
    [aux_sym_if_statement_token2] = ACTIONS(1074),
    [aux_sym_else_if_clause_token1] = ACTIONS(1074),
    [aux_sym_else_clause_token1] = ACTIONS(1074),
    [aux_sym_match_expression_token1] = ACTIONS(1074),
    [aux_sym_match_default_expression_token1] = ACTIONS(1074),
    [aux_sym_switch_statement_token1] = ACTIONS(1074),
    [aux_sym_switch_block_token1] = ACTIONS(1074),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_TILDE] = ACTIONS(1072),
    [anon_sym_BANG] = ACTIONS(1072),
    [anon_sym_AT] = ACTIONS(1072),
    [aux_sym_clone_expression_token1] = ACTIONS(1074),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1074),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1074),
    [anon_sym_DASH_DASH] = ACTIONS(1072),
    [anon_sym_PLUS_PLUS] = ACTIONS(1072),
    [aux_sym__list_destructing_token1] = ACTIONS(1074),
    [anon_sym_LBRACK] = ACTIONS(1072),
    [anon_sym_self] = ACTIONS(1074),
    [anon_sym_parent] = ACTIONS(1074),
    [aux_sym__argument_name_token1] = ACTIONS(1074),
    [aux_sym__argument_name_token2] = ACTIONS(1074),
    [anon_sym_POUND_LBRACK] = ACTIONS(1072),
    [aux_sym_encapsed_string_token1] = ACTIONS(1072),
    [anon_sym_DQUOTE] = ACTIONS(1072),
    [aux_sym_string_token1] = ACTIONS(1072),
    [anon_sym_SQUOTE] = ACTIONS(1072),
    [anon_sym_LT_LT_LT] = ACTIONS(1072),
    [anon_sym_BQUOTE] = ACTIONS(1072),
    [anon_sym_DOLLAR] = ACTIONS(1072),
    [aux_sym_yield_expression_token1] = ACTIONS(1074),
    [aux_sym_include_expression_token1] = ACTIONS(1074),
    [aux_sym_include_once_expression_token1] = ACTIONS(1074),
    [aux_sym_require_expression_token1] = ACTIONS(1074),
    [aux_sym_require_once_expression_token1] = ACTIONS(1074),
    [sym_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_text_interpolation] = STATE(459),
    [ts_builtin_sym_end] = ACTIONS(1076),
    [sym_name] = ACTIONS(1078),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1076),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1078),
    [aux_sym_global_declaration_token1] = ACTIONS(1078),
    [aux_sym_namespace_definition_token1] = ACTIONS(1078),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1078),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1078),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1078),
    [anon_sym_BSLASH] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1076),
    [anon_sym_RBRACE] = ACTIONS(1076),
    [aux_sym_trait_declaration_token1] = ACTIONS(1078),
    [aux_sym_interface_declaration_token1] = ACTIONS(1078),
    [aux_sym_enum_declaration_token1] = ACTIONS(1078),
    [aux_sym_enum_case_token1] = ACTIONS(1078),
    [aux_sym_class_declaration_token1] = ACTIONS(1078),
    [aux_sym_final_modifier_token1] = ACTIONS(1078),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1078),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1078),
    [sym_var_modifier] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1078),
    [anon_sym_LPAREN] = ACTIONS(1076),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1078),
    [aux_sym_cast_type_token1] = ACTIONS(1078),
    [aux_sym_echo_statement_token1] = ACTIONS(1078),
    [aux_sym_exit_statement_token1] = ACTIONS(1078),
    [anon_sym_unset] = ACTIONS(1078),
    [aux_sym_declare_statement_token1] = ACTIONS(1078),
    [aux_sym_declare_statement_token2] = ACTIONS(1078),
    [sym_float] = ACTIONS(1078),
    [aux_sym_try_statement_token1] = ACTIONS(1078),
    [aux_sym_goto_statement_token1] = ACTIONS(1078),
    [aux_sym_continue_statement_token1] = ACTIONS(1078),
    [aux_sym_break_statement_token1] = ACTIONS(1078),
    [sym_integer] = ACTIONS(1078),
    [aux_sym_return_statement_token1] = ACTIONS(1078),
    [aux_sym_throw_expression_token1] = ACTIONS(1078),
    [aux_sym_while_statement_token1] = ACTIONS(1078),
    [aux_sym_while_statement_token2] = ACTIONS(1078),
    [aux_sym_do_statement_token1] = ACTIONS(1078),
    [aux_sym_for_statement_token1] = ACTIONS(1078),
    [aux_sym_for_statement_token2] = ACTIONS(1078),
    [aux_sym_foreach_statement_token1] = ACTIONS(1078),
    [aux_sym_foreach_statement_token2] = ACTIONS(1078),
    [aux_sym_if_statement_token1] = ACTIONS(1078),
    [aux_sym_if_statement_token2] = ACTIONS(1078),
    [aux_sym_else_if_clause_token1] = ACTIONS(1078),
    [aux_sym_else_clause_token1] = ACTIONS(1078),
    [aux_sym_match_expression_token1] = ACTIONS(1078),
    [aux_sym_match_default_expression_token1] = ACTIONS(1078),
    [aux_sym_switch_statement_token1] = ACTIONS(1078),
    [aux_sym_switch_block_token1] = ACTIONS(1078),
    [anon_sym_PLUS] = ACTIONS(1078),
    [anon_sym_DASH] = ACTIONS(1078),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_AT] = ACTIONS(1076),
    [aux_sym_clone_expression_token1] = ACTIONS(1078),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1078),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1078),
    [anon_sym_DASH_DASH] = ACTIONS(1076),
    [anon_sym_PLUS_PLUS] = ACTIONS(1076),
    [aux_sym__list_destructing_token1] = ACTIONS(1078),
    [anon_sym_LBRACK] = ACTIONS(1076),
    [anon_sym_self] = ACTIONS(1078),
    [anon_sym_parent] = ACTIONS(1078),
    [aux_sym__argument_name_token1] = ACTIONS(1078),
    [aux_sym__argument_name_token2] = ACTIONS(1078),
    [anon_sym_POUND_LBRACK] = ACTIONS(1076),
    [aux_sym_encapsed_string_token1] = ACTIONS(1076),
    [anon_sym_DQUOTE] = ACTIONS(1076),
    [aux_sym_string_token1] = ACTIONS(1076),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [anon_sym_LT_LT_LT] = ACTIONS(1076),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [anon_sym_DOLLAR] = ACTIONS(1076),
    [aux_sym_yield_expression_token1] = ACTIONS(1078),
    [aux_sym_include_expression_token1] = ACTIONS(1078),
    [aux_sym_include_once_expression_token1] = ACTIONS(1078),
    [aux_sym_require_expression_token1] = ACTIONS(1078),
    [aux_sym_require_once_expression_token1] = ACTIONS(1078),
    [sym_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_text_interpolation] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(1080),
    [sym_name] = ACTIONS(1082),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1080),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1082),
    [aux_sym_global_declaration_token1] = ACTIONS(1082),
    [aux_sym_namespace_definition_token1] = ACTIONS(1082),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1082),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1082),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1082),
    [anon_sym_BSLASH] = ACTIONS(1080),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_RBRACE] = ACTIONS(1080),
    [aux_sym_trait_declaration_token1] = ACTIONS(1082),
    [aux_sym_interface_declaration_token1] = ACTIONS(1082),
    [aux_sym_enum_declaration_token1] = ACTIONS(1082),
    [aux_sym_enum_case_token1] = ACTIONS(1082),
    [aux_sym_class_declaration_token1] = ACTIONS(1082),
    [aux_sym_final_modifier_token1] = ACTIONS(1082),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1082),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1082),
    [sym_var_modifier] = ACTIONS(1082),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1082),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1082),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1082),
    [anon_sym_LPAREN] = ACTIONS(1080),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1082),
    [aux_sym_cast_type_token1] = ACTIONS(1082),
    [aux_sym_echo_statement_token1] = ACTIONS(1082),
    [aux_sym_exit_statement_token1] = ACTIONS(1082),
    [anon_sym_unset] = ACTIONS(1082),
    [aux_sym_declare_statement_token1] = ACTIONS(1082),
    [aux_sym_declare_statement_token2] = ACTIONS(1082),
    [sym_float] = ACTIONS(1082),
    [aux_sym_try_statement_token1] = ACTIONS(1082),
    [aux_sym_goto_statement_token1] = ACTIONS(1082),
    [aux_sym_continue_statement_token1] = ACTIONS(1082),
    [aux_sym_break_statement_token1] = ACTIONS(1082),
    [sym_integer] = ACTIONS(1082),
    [aux_sym_return_statement_token1] = ACTIONS(1082),
    [aux_sym_throw_expression_token1] = ACTIONS(1082),
    [aux_sym_while_statement_token1] = ACTIONS(1082),
    [aux_sym_while_statement_token2] = ACTIONS(1082),
    [aux_sym_do_statement_token1] = ACTIONS(1082),
    [aux_sym_for_statement_token1] = ACTIONS(1082),
    [aux_sym_for_statement_token2] = ACTIONS(1082),
    [aux_sym_foreach_statement_token1] = ACTIONS(1082),
    [aux_sym_foreach_statement_token2] = ACTIONS(1082),
    [aux_sym_if_statement_token1] = ACTIONS(1082),
    [aux_sym_if_statement_token2] = ACTIONS(1082),
    [aux_sym_else_if_clause_token1] = ACTIONS(1082),
    [aux_sym_else_clause_token1] = ACTIONS(1082),
    [aux_sym_match_expression_token1] = ACTIONS(1082),
    [aux_sym_match_default_expression_token1] = ACTIONS(1082),
    [aux_sym_switch_statement_token1] = ACTIONS(1082),
    [aux_sym_switch_block_token1] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1082),
    [anon_sym_DASH] = ACTIONS(1082),
    [anon_sym_TILDE] = ACTIONS(1080),
    [anon_sym_BANG] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(1080),
    [aux_sym_clone_expression_token1] = ACTIONS(1082),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1082),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1082),
    [anon_sym_DASH_DASH] = ACTIONS(1080),
    [anon_sym_PLUS_PLUS] = ACTIONS(1080),
    [aux_sym__list_destructing_token1] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1080),
    [anon_sym_self] = ACTIONS(1082),
    [anon_sym_parent] = ACTIONS(1082),
    [aux_sym__argument_name_token1] = ACTIONS(1082),
    [aux_sym__argument_name_token2] = ACTIONS(1082),
    [anon_sym_POUND_LBRACK] = ACTIONS(1080),
    [aux_sym_encapsed_string_token1] = ACTIONS(1080),
    [anon_sym_DQUOTE] = ACTIONS(1080),
    [aux_sym_string_token1] = ACTIONS(1080),
    [anon_sym_SQUOTE] = ACTIONS(1080),
    [anon_sym_LT_LT_LT] = ACTIONS(1080),
    [anon_sym_BQUOTE] = ACTIONS(1080),
    [anon_sym_DOLLAR] = ACTIONS(1080),
    [aux_sym_yield_expression_token1] = ACTIONS(1082),
    [aux_sym_include_expression_token1] = ACTIONS(1082),
    [aux_sym_include_once_expression_token1] = ACTIONS(1082),
    [aux_sym_require_expression_token1] = ACTIONS(1082),
    [aux_sym_require_once_expression_token1] = ACTIONS(1082),
    [sym_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_text_interpolation] = STATE(461),
    [ts_builtin_sym_end] = ACTIONS(1084),
    [sym_name] = ACTIONS(1086),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1084),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1086),
    [aux_sym_global_declaration_token1] = ACTIONS(1086),
    [aux_sym_namespace_definition_token1] = ACTIONS(1086),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1086),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1086),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1086),
    [anon_sym_BSLASH] = ACTIONS(1084),
    [anon_sym_LBRACE] = ACTIONS(1084),
    [anon_sym_RBRACE] = ACTIONS(1084),
    [aux_sym_trait_declaration_token1] = ACTIONS(1086),
    [aux_sym_interface_declaration_token1] = ACTIONS(1086),
    [aux_sym_enum_declaration_token1] = ACTIONS(1086),
    [aux_sym_enum_case_token1] = ACTIONS(1086),
    [aux_sym_class_declaration_token1] = ACTIONS(1086),
    [aux_sym_final_modifier_token1] = ACTIONS(1086),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1086),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1086),
    [sym_var_modifier] = ACTIONS(1086),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1086),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1086),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1086),
    [aux_sym_cast_type_token1] = ACTIONS(1086),
    [aux_sym_echo_statement_token1] = ACTIONS(1086),
    [aux_sym_exit_statement_token1] = ACTIONS(1086),
    [anon_sym_unset] = ACTIONS(1086),
    [aux_sym_declare_statement_token1] = ACTIONS(1086),
    [aux_sym_declare_statement_token2] = ACTIONS(1086),
    [sym_float] = ACTIONS(1086),
    [aux_sym_try_statement_token1] = ACTIONS(1086),
    [aux_sym_goto_statement_token1] = ACTIONS(1086),
    [aux_sym_continue_statement_token1] = ACTIONS(1086),
    [aux_sym_break_statement_token1] = ACTIONS(1086),
    [sym_integer] = ACTIONS(1086),
    [aux_sym_return_statement_token1] = ACTIONS(1086),
    [aux_sym_throw_expression_token1] = ACTIONS(1086),
    [aux_sym_while_statement_token1] = ACTIONS(1086),
    [aux_sym_while_statement_token2] = ACTIONS(1086),
    [aux_sym_do_statement_token1] = ACTIONS(1086),
    [aux_sym_for_statement_token1] = ACTIONS(1086),
    [aux_sym_for_statement_token2] = ACTIONS(1086),
    [aux_sym_foreach_statement_token1] = ACTIONS(1086),
    [aux_sym_foreach_statement_token2] = ACTIONS(1086),
    [aux_sym_if_statement_token1] = ACTIONS(1086),
    [aux_sym_if_statement_token2] = ACTIONS(1086),
    [aux_sym_else_if_clause_token1] = ACTIONS(1086),
    [aux_sym_else_clause_token1] = ACTIONS(1086),
    [aux_sym_match_expression_token1] = ACTIONS(1086),
    [aux_sym_match_default_expression_token1] = ACTIONS(1086),
    [aux_sym_switch_statement_token1] = ACTIONS(1086),
    [aux_sym_switch_block_token1] = ACTIONS(1086),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_AT] = ACTIONS(1084),
    [aux_sym_clone_expression_token1] = ACTIONS(1086),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1086),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1086),
    [anon_sym_DASH_DASH] = ACTIONS(1084),
    [anon_sym_PLUS_PLUS] = ACTIONS(1084),
    [aux_sym__list_destructing_token1] = ACTIONS(1086),
    [anon_sym_LBRACK] = ACTIONS(1084),
    [anon_sym_self] = ACTIONS(1086),
    [anon_sym_parent] = ACTIONS(1086),
    [aux_sym__argument_name_token1] = ACTIONS(1086),
    [aux_sym__argument_name_token2] = ACTIONS(1086),
    [anon_sym_POUND_LBRACK] = ACTIONS(1084),
    [aux_sym_encapsed_string_token1] = ACTIONS(1084),
    [anon_sym_DQUOTE] = ACTIONS(1084),
    [aux_sym_string_token1] = ACTIONS(1084),
    [anon_sym_SQUOTE] = ACTIONS(1084),
    [anon_sym_LT_LT_LT] = ACTIONS(1084),
    [anon_sym_BQUOTE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1084),
    [aux_sym_yield_expression_token1] = ACTIONS(1086),
    [aux_sym_include_expression_token1] = ACTIONS(1086),
    [aux_sym_include_once_expression_token1] = ACTIONS(1086),
    [aux_sym_require_expression_token1] = ACTIONS(1086),
    [aux_sym_require_once_expression_token1] = ACTIONS(1086),
    [sym_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_text_interpolation] = STATE(462),
    [ts_builtin_sym_end] = ACTIONS(1088),
    [sym_name] = ACTIONS(1090),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1088),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1090),
    [aux_sym_global_declaration_token1] = ACTIONS(1090),
    [aux_sym_namespace_definition_token1] = ACTIONS(1090),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1090),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1090),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1090),
    [anon_sym_BSLASH] = ACTIONS(1088),
    [anon_sym_LBRACE] = ACTIONS(1088),
    [anon_sym_RBRACE] = ACTIONS(1088),
    [aux_sym_trait_declaration_token1] = ACTIONS(1090),
    [aux_sym_interface_declaration_token1] = ACTIONS(1090),
    [aux_sym_enum_declaration_token1] = ACTIONS(1090),
    [aux_sym_enum_case_token1] = ACTIONS(1090),
    [aux_sym_class_declaration_token1] = ACTIONS(1090),
    [aux_sym_final_modifier_token1] = ACTIONS(1090),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1090),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1090),
    [sym_var_modifier] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1090),
    [anon_sym_LPAREN] = ACTIONS(1088),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1090),
    [aux_sym_cast_type_token1] = ACTIONS(1090),
    [aux_sym_echo_statement_token1] = ACTIONS(1090),
    [aux_sym_exit_statement_token1] = ACTIONS(1090),
    [anon_sym_unset] = ACTIONS(1090),
    [aux_sym_declare_statement_token1] = ACTIONS(1090),
    [aux_sym_declare_statement_token2] = ACTIONS(1090),
    [sym_float] = ACTIONS(1090),
    [aux_sym_try_statement_token1] = ACTIONS(1090),
    [aux_sym_goto_statement_token1] = ACTIONS(1090),
    [aux_sym_continue_statement_token1] = ACTIONS(1090),
    [aux_sym_break_statement_token1] = ACTIONS(1090),
    [sym_integer] = ACTIONS(1090),
    [aux_sym_return_statement_token1] = ACTIONS(1090),
    [aux_sym_throw_expression_token1] = ACTIONS(1090),
    [aux_sym_while_statement_token1] = ACTIONS(1090),
    [aux_sym_while_statement_token2] = ACTIONS(1090),
    [aux_sym_do_statement_token1] = ACTIONS(1090),
    [aux_sym_for_statement_token1] = ACTIONS(1090),
    [aux_sym_for_statement_token2] = ACTIONS(1090),
    [aux_sym_foreach_statement_token1] = ACTIONS(1090),
    [aux_sym_foreach_statement_token2] = ACTIONS(1090),
    [aux_sym_if_statement_token1] = ACTIONS(1090),
    [aux_sym_if_statement_token2] = ACTIONS(1090),
    [aux_sym_else_if_clause_token1] = ACTIONS(1090),
    [aux_sym_else_clause_token1] = ACTIONS(1090),
    [aux_sym_match_expression_token1] = ACTIONS(1090),
    [aux_sym_match_default_expression_token1] = ACTIONS(1090),
    [aux_sym_switch_statement_token1] = ACTIONS(1090),
    [aux_sym_switch_block_token1] = ACTIONS(1090),
    [anon_sym_PLUS] = ACTIONS(1090),
    [anon_sym_DASH] = ACTIONS(1090),
    [anon_sym_TILDE] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_AT] = ACTIONS(1088),
    [aux_sym_clone_expression_token1] = ACTIONS(1090),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1090),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1088),
    [anon_sym_PLUS_PLUS] = ACTIONS(1088),
    [aux_sym__list_destructing_token1] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1088),
    [anon_sym_self] = ACTIONS(1090),
    [anon_sym_parent] = ACTIONS(1090),
    [aux_sym__argument_name_token1] = ACTIONS(1090),
    [aux_sym__argument_name_token2] = ACTIONS(1090),
    [anon_sym_POUND_LBRACK] = ACTIONS(1088),
    [aux_sym_encapsed_string_token1] = ACTIONS(1088),
    [anon_sym_DQUOTE] = ACTIONS(1088),
    [aux_sym_string_token1] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym_LT_LT_LT] = ACTIONS(1088),
    [anon_sym_BQUOTE] = ACTIONS(1088),
    [anon_sym_DOLLAR] = ACTIONS(1088),
    [aux_sym_yield_expression_token1] = ACTIONS(1090),
    [aux_sym_include_expression_token1] = ACTIONS(1090),
    [aux_sym_include_once_expression_token1] = ACTIONS(1090),
    [aux_sym_require_expression_token1] = ACTIONS(1090),
    [aux_sym_require_once_expression_token1] = ACTIONS(1090),
    [sym_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_text_interpolation] = STATE(463),
    [ts_builtin_sym_end] = ACTIONS(1092),
    [sym_name] = ACTIONS(1094),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1092),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1094),
    [aux_sym_global_declaration_token1] = ACTIONS(1094),
    [aux_sym_namespace_definition_token1] = ACTIONS(1094),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1094),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1094),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1094),
    [anon_sym_BSLASH] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1092),
    [anon_sym_RBRACE] = ACTIONS(1092),
    [aux_sym_trait_declaration_token1] = ACTIONS(1094),
    [aux_sym_interface_declaration_token1] = ACTIONS(1094),
    [aux_sym_enum_declaration_token1] = ACTIONS(1094),
    [aux_sym_enum_case_token1] = ACTIONS(1094),
    [aux_sym_class_declaration_token1] = ACTIONS(1094),
    [aux_sym_final_modifier_token1] = ACTIONS(1094),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1094),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1094),
    [sym_var_modifier] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1094),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1094),
    [aux_sym_cast_type_token1] = ACTIONS(1094),
    [aux_sym_echo_statement_token1] = ACTIONS(1094),
    [aux_sym_exit_statement_token1] = ACTIONS(1094),
    [anon_sym_unset] = ACTIONS(1094),
    [aux_sym_declare_statement_token1] = ACTIONS(1094),
    [aux_sym_declare_statement_token2] = ACTIONS(1094),
    [sym_float] = ACTIONS(1094),
    [aux_sym_try_statement_token1] = ACTIONS(1094),
    [aux_sym_goto_statement_token1] = ACTIONS(1094),
    [aux_sym_continue_statement_token1] = ACTIONS(1094),
    [aux_sym_break_statement_token1] = ACTIONS(1094),
    [sym_integer] = ACTIONS(1094),
    [aux_sym_return_statement_token1] = ACTIONS(1094),
    [aux_sym_throw_expression_token1] = ACTIONS(1094),
    [aux_sym_while_statement_token1] = ACTIONS(1094),
    [aux_sym_while_statement_token2] = ACTIONS(1094),
    [aux_sym_do_statement_token1] = ACTIONS(1094),
    [aux_sym_for_statement_token1] = ACTIONS(1094),
    [aux_sym_for_statement_token2] = ACTIONS(1094),
    [aux_sym_foreach_statement_token1] = ACTIONS(1094),
    [aux_sym_foreach_statement_token2] = ACTIONS(1094),
    [aux_sym_if_statement_token1] = ACTIONS(1094),
    [aux_sym_if_statement_token2] = ACTIONS(1094),
    [aux_sym_else_if_clause_token1] = ACTIONS(1094),
    [aux_sym_else_clause_token1] = ACTIONS(1094),
    [aux_sym_match_expression_token1] = ACTIONS(1094),
    [aux_sym_match_default_expression_token1] = ACTIONS(1094),
    [aux_sym_switch_statement_token1] = ACTIONS(1094),
    [aux_sym_switch_block_token1] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_TILDE] = ACTIONS(1092),
    [anon_sym_BANG] = ACTIONS(1092),
    [anon_sym_AT] = ACTIONS(1092),
    [aux_sym_clone_expression_token1] = ACTIONS(1094),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1094),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1092),
    [aux_sym__list_destructing_token1] = ACTIONS(1094),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_self] = ACTIONS(1094),
    [anon_sym_parent] = ACTIONS(1094),
    [aux_sym__argument_name_token1] = ACTIONS(1094),
    [aux_sym__argument_name_token2] = ACTIONS(1094),
    [anon_sym_POUND_LBRACK] = ACTIONS(1092),
    [aux_sym_encapsed_string_token1] = ACTIONS(1092),
    [anon_sym_DQUOTE] = ACTIONS(1092),
    [aux_sym_string_token1] = ACTIONS(1092),
    [anon_sym_SQUOTE] = ACTIONS(1092),
    [anon_sym_LT_LT_LT] = ACTIONS(1092),
    [anon_sym_BQUOTE] = ACTIONS(1092),
    [anon_sym_DOLLAR] = ACTIONS(1092),
    [aux_sym_yield_expression_token1] = ACTIONS(1094),
    [aux_sym_include_expression_token1] = ACTIONS(1094),
    [aux_sym_include_once_expression_token1] = ACTIONS(1094),
    [aux_sym_require_expression_token1] = ACTIONS(1094),
    [aux_sym_require_once_expression_token1] = ACTIONS(1094),
    [sym_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_text_interpolation] = STATE(464),
    [ts_builtin_sym_end] = ACTIONS(1096),
    [sym_name] = ACTIONS(1098),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1096),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1098),
    [aux_sym_global_declaration_token1] = ACTIONS(1098),
    [aux_sym_namespace_definition_token1] = ACTIONS(1098),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1098),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1098),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1098),
    [anon_sym_BSLASH] = ACTIONS(1096),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym_RBRACE] = ACTIONS(1096),
    [aux_sym_trait_declaration_token1] = ACTIONS(1098),
    [aux_sym_interface_declaration_token1] = ACTIONS(1098),
    [aux_sym_enum_declaration_token1] = ACTIONS(1098),
    [aux_sym_enum_case_token1] = ACTIONS(1098),
    [aux_sym_class_declaration_token1] = ACTIONS(1098),
    [aux_sym_final_modifier_token1] = ACTIONS(1098),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1098),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1098),
    [sym_var_modifier] = ACTIONS(1098),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1098),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1098),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1098),
    [anon_sym_LPAREN] = ACTIONS(1096),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1098),
    [aux_sym_cast_type_token1] = ACTIONS(1098),
    [aux_sym_echo_statement_token1] = ACTIONS(1098),
    [aux_sym_exit_statement_token1] = ACTIONS(1098),
    [anon_sym_unset] = ACTIONS(1098),
    [aux_sym_declare_statement_token1] = ACTIONS(1098),
    [aux_sym_declare_statement_token2] = ACTIONS(1098),
    [sym_float] = ACTIONS(1098),
    [aux_sym_try_statement_token1] = ACTIONS(1098),
    [aux_sym_goto_statement_token1] = ACTIONS(1098),
    [aux_sym_continue_statement_token1] = ACTIONS(1098),
    [aux_sym_break_statement_token1] = ACTIONS(1098),
    [sym_integer] = ACTIONS(1098),
    [aux_sym_return_statement_token1] = ACTIONS(1098),
    [aux_sym_throw_expression_token1] = ACTIONS(1098),
    [aux_sym_while_statement_token1] = ACTIONS(1098),
    [aux_sym_while_statement_token2] = ACTIONS(1098),
    [aux_sym_do_statement_token1] = ACTIONS(1098),
    [aux_sym_for_statement_token1] = ACTIONS(1098),
    [aux_sym_for_statement_token2] = ACTIONS(1098),
    [aux_sym_foreach_statement_token1] = ACTIONS(1098),
    [aux_sym_foreach_statement_token2] = ACTIONS(1098),
    [aux_sym_if_statement_token1] = ACTIONS(1098),
    [aux_sym_if_statement_token2] = ACTIONS(1098),
    [aux_sym_else_if_clause_token1] = ACTIONS(1098),
    [aux_sym_else_clause_token1] = ACTIONS(1098),
    [aux_sym_match_expression_token1] = ACTIONS(1098),
    [aux_sym_match_default_expression_token1] = ACTIONS(1098),
    [aux_sym_switch_statement_token1] = ACTIONS(1098),
    [aux_sym_switch_block_token1] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1098),
    [anon_sym_DASH] = ACTIONS(1098),
    [anon_sym_TILDE] = ACTIONS(1096),
    [anon_sym_BANG] = ACTIONS(1096),
    [anon_sym_AT] = ACTIONS(1096),
    [aux_sym_clone_expression_token1] = ACTIONS(1098),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1098),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1098),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [aux_sym__list_destructing_token1] = ACTIONS(1098),
    [anon_sym_LBRACK] = ACTIONS(1096),
    [anon_sym_self] = ACTIONS(1098),
    [anon_sym_parent] = ACTIONS(1098),
    [aux_sym__argument_name_token1] = ACTIONS(1098),
    [aux_sym__argument_name_token2] = ACTIONS(1098),
    [anon_sym_POUND_LBRACK] = ACTIONS(1096),
    [aux_sym_encapsed_string_token1] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(1096),
    [aux_sym_string_token1] = ACTIONS(1096),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [anon_sym_LT_LT_LT] = ACTIONS(1096),
    [anon_sym_BQUOTE] = ACTIONS(1096),
    [anon_sym_DOLLAR] = ACTIONS(1096),
    [aux_sym_yield_expression_token1] = ACTIONS(1098),
    [aux_sym_include_expression_token1] = ACTIONS(1098),
    [aux_sym_include_once_expression_token1] = ACTIONS(1098),
    [aux_sym_require_expression_token1] = ACTIONS(1098),
    [aux_sym_require_once_expression_token1] = ACTIONS(1098),
    [sym_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_text_interpolation] = STATE(465),
    [ts_builtin_sym_end] = ACTIONS(1100),
    [sym_name] = ACTIONS(1102),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1100),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1102),
    [aux_sym_global_declaration_token1] = ACTIONS(1102),
    [aux_sym_namespace_definition_token1] = ACTIONS(1102),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1102),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1102),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1102),
    [anon_sym_BSLASH] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1100),
    [anon_sym_RBRACE] = ACTIONS(1100),
    [aux_sym_trait_declaration_token1] = ACTIONS(1102),
    [aux_sym_interface_declaration_token1] = ACTIONS(1102),
    [aux_sym_enum_declaration_token1] = ACTIONS(1102),
    [aux_sym_enum_case_token1] = ACTIONS(1102),
    [aux_sym_class_declaration_token1] = ACTIONS(1102),
    [aux_sym_final_modifier_token1] = ACTIONS(1102),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1102),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1102),
    [sym_var_modifier] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1100),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1102),
    [aux_sym_cast_type_token1] = ACTIONS(1102),
    [aux_sym_echo_statement_token1] = ACTIONS(1102),
    [aux_sym_exit_statement_token1] = ACTIONS(1102),
    [anon_sym_unset] = ACTIONS(1102),
    [aux_sym_declare_statement_token1] = ACTIONS(1102),
    [aux_sym_declare_statement_token2] = ACTIONS(1102),
    [sym_float] = ACTIONS(1102),
    [aux_sym_try_statement_token1] = ACTIONS(1102),
    [aux_sym_goto_statement_token1] = ACTIONS(1102),
    [aux_sym_continue_statement_token1] = ACTIONS(1102),
    [aux_sym_break_statement_token1] = ACTIONS(1102),
    [sym_integer] = ACTIONS(1102),
    [aux_sym_return_statement_token1] = ACTIONS(1102),
    [aux_sym_throw_expression_token1] = ACTIONS(1102),
    [aux_sym_while_statement_token1] = ACTIONS(1102),
    [aux_sym_while_statement_token2] = ACTIONS(1102),
    [aux_sym_do_statement_token1] = ACTIONS(1102),
    [aux_sym_for_statement_token1] = ACTIONS(1102),
    [aux_sym_for_statement_token2] = ACTIONS(1102),
    [aux_sym_foreach_statement_token1] = ACTIONS(1102),
    [aux_sym_foreach_statement_token2] = ACTIONS(1102),
    [aux_sym_if_statement_token1] = ACTIONS(1102),
    [aux_sym_if_statement_token2] = ACTIONS(1102),
    [aux_sym_else_if_clause_token1] = ACTIONS(1102),
    [aux_sym_else_clause_token1] = ACTIONS(1102),
    [aux_sym_match_expression_token1] = ACTIONS(1102),
    [aux_sym_match_default_expression_token1] = ACTIONS(1102),
    [aux_sym_switch_statement_token1] = ACTIONS(1102),
    [aux_sym_switch_block_token1] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_AT] = ACTIONS(1100),
    [aux_sym_clone_expression_token1] = ACTIONS(1102),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1102),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1102),
    [anon_sym_DASH_DASH] = ACTIONS(1100),
    [anon_sym_PLUS_PLUS] = ACTIONS(1100),
    [aux_sym__list_destructing_token1] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1100),
    [anon_sym_self] = ACTIONS(1102),
    [anon_sym_parent] = ACTIONS(1102),
    [aux_sym__argument_name_token1] = ACTIONS(1102),
    [aux_sym__argument_name_token2] = ACTIONS(1102),
    [anon_sym_POUND_LBRACK] = ACTIONS(1100),
    [aux_sym_encapsed_string_token1] = ACTIONS(1100),
    [anon_sym_DQUOTE] = ACTIONS(1100),
    [aux_sym_string_token1] = ACTIONS(1100),
    [anon_sym_SQUOTE] = ACTIONS(1100),
    [anon_sym_LT_LT_LT] = ACTIONS(1100),
    [anon_sym_BQUOTE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1100),
    [aux_sym_yield_expression_token1] = ACTIONS(1102),
    [aux_sym_include_expression_token1] = ACTIONS(1102),
    [aux_sym_include_once_expression_token1] = ACTIONS(1102),
    [aux_sym_require_expression_token1] = ACTIONS(1102),
    [aux_sym_require_once_expression_token1] = ACTIONS(1102),
    [sym_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_text_interpolation] = STATE(466),
    [ts_builtin_sym_end] = ACTIONS(1104),
    [sym_name] = ACTIONS(1106),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1104),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1106),
    [aux_sym_global_declaration_token1] = ACTIONS(1106),
    [aux_sym_namespace_definition_token1] = ACTIONS(1106),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1106),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1106),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1106),
    [anon_sym_BSLASH] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_RBRACE] = ACTIONS(1104),
    [aux_sym_trait_declaration_token1] = ACTIONS(1106),
    [aux_sym_interface_declaration_token1] = ACTIONS(1106),
    [aux_sym_enum_declaration_token1] = ACTIONS(1106),
    [aux_sym_enum_case_token1] = ACTIONS(1106),
    [aux_sym_class_declaration_token1] = ACTIONS(1106),
    [aux_sym_final_modifier_token1] = ACTIONS(1106),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1106),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1106),
    [sym_var_modifier] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1106),
    [anon_sym_LPAREN] = ACTIONS(1104),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1106),
    [aux_sym_cast_type_token1] = ACTIONS(1106),
    [aux_sym_echo_statement_token1] = ACTIONS(1106),
    [aux_sym_exit_statement_token1] = ACTIONS(1106),
    [anon_sym_unset] = ACTIONS(1106),
    [aux_sym_declare_statement_token1] = ACTIONS(1106),
    [aux_sym_declare_statement_token2] = ACTIONS(1106),
    [sym_float] = ACTIONS(1106),
    [aux_sym_try_statement_token1] = ACTIONS(1106),
    [aux_sym_goto_statement_token1] = ACTIONS(1106),
    [aux_sym_continue_statement_token1] = ACTIONS(1106),
    [aux_sym_break_statement_token1] = ACTIONS(1106),
    [sym_integer] = ACTIONS(1106),
    [aux_sym_return_statement_token1] = ACTIONS(1106),
    [aux_sym_throw_expression_token1] = ACTIONS(1106),
    [aux_sym_while_statement_token1] = ACTIONS(1106),
    [aux_sym_while_statement_token2] = ACTIONS(1106),
    [aux_sym_do_statement_token1] = ACTIONS(1106),
    [aux_sym_for_statement_token1] = ACTIONS(1106),
    [aux_sym_for_statement_token2] = ACTIONS(1106),
    [aux_sym_foreach_statement_token1] = ACTIONS(1106),
    [aux_sym_foreach_statement_token2] = ACTIONS(1106),
    [aux_sym_if_statement_token1] = ACTIONS(1106),
    [aux_sym_if_statement_token2] = ACTIONS(1106),
    [aux_sym_else_if_clause_token1] = ACTIONS(1106),
    [aux_sym_else_clause_token1] = ACTIONS(1106),
    [aux_sym_match_expression_token1] = ACTIONS(1106),
    [aux_sym_match_default_expression_token1] = ACTIONS(1106),
    [aux_sym_switch_statement_token1] = ACTIONS(1106),
    [aux_sym_switch_block_token1] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1106),
    [anon_sym_DASH] = ACTIONS(1106),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [aux_sym_clone_expression_token1] = ACTIONS(1106),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1106),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1104),
    [anon_sym_PLUS_PLUS] = ACTIONS(1104),
    [aux_sym__list_destructing_token1] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(1104),
    [anon_sym_self] = ACTIONS(1106),
    [anon_sym_parent] = ACTIONS(1106),
    [aux_sym__argument_name_token1] = ACTIONS(1106),
    [aux_sym__argument_name_token2] = ACTIONS(1106),
    [anon_sym_POUND_LBRACK] = ACTIONS(1104),
    [aux_sym_encapsed_string_token1] = ACTIONS(1104),
    [anon_sym_DQUOTE] = ACTIONS(1104),
    [aux_sym_string_token1] = ACTIONS(1104),
    [anon_sym_SQUOTE] = ACTIONS(1104),
    [anon_sym_LT_LT_LT] = ACTIONS(1104),
    [anon_sym_BQUOTE] = ACTIONS(1104),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [aux_sym_yield_expression_token1] = ACTIONS(1106),
    [aux_sym_include_expression_token1] = ACTIONS(1106),
    [aux_sym_include_once_expression_token1] = ACTIONS(1106),
    [aux_sym_require_expression_token1] = ACTIONS(1106),
    [aux_sym_require_once_expression_token1] = ACTIONS(1106),
    [sym_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_text_interpolation] = STATE(467),
    [ts_builtin_sym_end] = ACTIONS(1108),
    [sym_name] = ACTIONS(1110),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1108),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1110),
    [aux_sym_global_declaration_token1] = ACTIONS(1110),
    [aux_sym_namespace_definition_token1] = ACTIONS(1110),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1110),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1110),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1110),
    [anon_sym_BSLASH] = ACTIONS(1108),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_RBRACE] = ACTIONS(1108),
    [aux_sym_trait_declaration_token1] = ACTIONS(1110),
    [aux_sym_interface_declaration_token1] = ACTIONS(1110),
    [aux_sym_enum_declaration_token1] = ACTIONS(1110),
    [aux_sym_enum_case_token1] = ACTIONS(1110),
    [aux_sym_class_declaration_token1] = ACTIONS(1110),
    [aux_sym_final_modifier_token1] = ACTIONS(1110),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1110),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1110),
    [sym_var_modifier] = ACTIONS(1110),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1110),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1110),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1110),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1110),
    [aux_sym_cast_type_token1] = ACTIONS(1110),
    [aux_sym_echo_statement_token1] = ACTIONS(1110),
    [aux_sym_exit_statement_token1] = ACTIONS(1110),
    [anon_sym_unset] = ACTIONS(1110),
    [aux_sym_declare_statement_token1] = ACTIONS(1110),
    [aux_sym_declare_statement_token2] = ACTIONS(1110),
    [sym_float] = ACTIONS(1110),
    [aux_sym_try_statement_token1] = ACTIONS(1110),
    [aux_sym_goto_statement_token1] = ACTIONS(1110),
    [aux_sym_continue_statement_token1] = ACTIONS(1110),
    [aux_sym_break_statement_token1] = ACTIONS(1110),
    [sym_integer] = ACTIONS(1110),
    [aux_sym_return_statement_token1] = ACTIONS(1110),
    [aux_sym_throw_expression_token1] = ACTIONS(1110),
    [aux_sym_while_statement_token1] = ACTIONS(1110),
    [aux_sym_while_statement_token2] = ACTIONS(1110),
    [aux_sym_do_statement_token1] = ACTIONS(1110),
    [aux_sym_for_statement_token1] = ACTIONS(1110),
    [aux_sym_for_statement_token2] = ACTIONS(1110),
    [aux_sym_foreach_statement_token1] = ACTIONS(1110),
    [aux_sym_foreach_statement_token2] = ACTIONS(1110),
    [aux_sym_if_statement_token1] = ACTIONS(1110),
    [aux_sym_if_statement_token2] = ACTIONS(1110),
    [aux_sym_else_if_clause_token1] = ACTIONS(1110),
    [aux_sym_else_clause_token1] = ACTIONS(1110),
    [aux_sym_match_expression_token1] = ACTIONS(1110),
    [aux_sym_match_default_expression_token1] = ACTIONS(1110),
    [aux_sym_switch_statement_token1] = ACTIONS(1110),
    [aux_sym_switch_block_token1] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_TILDE] = ACTIONS(1108),
    [anon_sym_BANG] = ACTIONS(1108),
    [anon_sym_AT] = ACTIONS(1108),
    [aux_sym_clone_expression_token1] = ACTIONS(1110),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1110),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1110),
    [anon_sym_DASH_DASH] = ACTIONS(1108),
    [anon_sym_PLUS_PLUS] = ACTIONS(1108),
    [aux_sym__list_destructing_token1] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1108),
    [anon_sym_self] = ACTIONS(1110),
    [anon_sym_parent] = ACTIONS(1110),
    [aux_sym__argument_name_token1] = ACTIONS(1110),
    [aux_sym__argument_name_token2] = ACTIONS(1110),
    [anon_sym_POUND_LBRACK] = ACTIONS(1108),
    [aux_sym_encapsed_string_token1] = ACTIONS(1108),
    [anon_sym_DQUOTE] = ACTIONS(1108),
    [aux_sym_string_token1] = ACTIONS(1108),
    [anon_sym_SQUOTE] = ACTIONS(1108),
    [anon_sym_LT_LT_LT] = ACTIONS(1108),
    [anon_sym_BQUOTE] = ACTIONS(1108),
    [anon_sym_DOLLAR] = ACTIONS(1108),
    [aux_sym_yield_expression_token1] = ACTIONS(1110),
    [aux_sym_include_expression_token1] = ACTIONS(1110),
    [aux_sym_include_once_expression_token1] = ACTIONS(1110),
    [aux_sym_require_expression_token1] = ACTIONS(1110),
    [aux_sym_require_once_expression_token1] = ACTIONS(1110),
    [sym_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_text_interpolation] = STATE(468),
    [ts_builtin_sym_end] = ACTIONS(1112),
    [sym_name] = ACTIONS(1114),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1112),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1114),
    [aux_sym_global_declaration_token1] = ACTIONS(1114),
    [aux_sym_namespace_definition_token1] = ACTIONS(1114),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1114),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1114),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1114),
    [anon_sym_BSLASH] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [aux_sym_trait_declaration_token1] = ACTIONS(1114),
    [aux_sym_interface_declaration_token1] = ACTIONS(1114),
    [aux_sym_enum_declaration_token1] = ACTIONS(1114),
    [aux_sym_enum_case_token1] = ACTIONS(1114),
    [aux_sym_class_declaration_token1] = ACTIONS(1114),
    [aux_sym_final_modifier_token1] = ACTIONS(1114),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1114),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1114),
    [sym_var_modifier] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1114),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1114),
    [aux_sym_cast_type_token1] = ACTIONS(1114),
    [aux_sym_echo_statement_token1] = ACTIONS(1114),
    [aux_sym_exit_statement_token1] = ACTIONS(1114),
    [anon_sym_unset] = ACTIONS(1114),
    [aux_sym_declare_statement_token1] = ACTIONS(1114),
    [aux_sym_declare_statement_token2] = ACTIONS(1114),
    [sym_float] = ACTIONS(1114),
    [aux_sym_try_statement_token1] = ACTIONS(1114),
    [aux_sym_goto_statement_token1] = ACTIONS(1114),
    [aux_sym_continue_statement_token1] = ACTIONS(1114),
    [aux_sym_break_statement_token1] = ACTIONS(1114),
    [sym_integer] = ACTIONS(1114),
    [aux_sym_return_statement_token1] = ACTIONS(1114),
    [aux_sym_throw_expression_token1] = ACTIONS(1114),
    [aux_sym_while_statement_token1] = ACTIONS(1114),
    [aux_sym_while_statement_token2] = ACTIONS(1114),
    [aux_sym_do_statement_token1] = ACTIONS(1114),
    [aux_sym_for_statement_token1] = ACTIONS(1114),
    [aux_sym_for_statement_token2] = ACTIONS(1114),
    [aux_sym_foreach_statement_token1] = ACTIONS(1114),
    [aux_sym_foreach_statement_token2] = ACTIONS(1114),
    [aux_sym_if_statement_token1] = ACTIONS(1114),
    [aux_sym_if_statement_token2] = ACTIONS(1114),
    [aux_sym_else_if_clause_token1] = ACTIONS(1114),
    [aux_sym_else_clause_token1] = ACTIONS(1114),
    [aux_sym_match_expression_token1] = ACTIONS(1114),
    [aux_sym_match_default_expression_token1] = ACTIONS(1114),
    [aux_sym_switch_statement_token1] = ACTIONS(1114),
    [aux_sym_switch_block_token1] = ACTIONS(1114),
    [anon_sym_PLUS] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [aux_sym_clone_expression_token1] = ACTIONS(1114),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1114),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1114),
    [anon_sym_DASH_DASH] = ACTIONS(1112),
    [anon_sym_PLUS_PLUS] = ACTIONS(1112),
    [aux_sym__list_destructing_token1] = ACTIONS(1114),
    [anon_sym_LBRACK] = ACTIONS(1112),
    [anon_sym_self] = ACTIONS(1114),
    [anon_sym_parent] = ACTIONS(1114),
    [aux_sym__argument_name_token1] = ACTIONS(1114),
    [aux_sym__argument_name_token2] = ACTIONS(1114),
    [anon_sym_POUND_LBRACK] = ACTIONS(1112),
    [aux_sym_encapsed_string_token1] = ACTIONS(1112),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [aux_sym_string_token1] = ACTIONS(1112),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_LT_LT_LT] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [aux_sym_yield_expression_token1] = ACTIONS(1114),
    [aux_sym_include_expression_token1] = ACTIONS(1114),
    [aux_sym_include_once_expression_token1] = ACTIONS(1114),
    [aux_sym_require_expression_token1] = ACTIONS(1114),
    [aux_sym_require_once_expression_token1] = ACTIONS(1114),
    [sym_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_text_interpolation] = STATE(469),
    [ts_builtin_sym_end] = ACTIONS(1116),
    [sym_name] = ACTIONS(1118),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1116),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1118),
    [aux_sym_global_declaration_token1] = ACTIONS(1118),
    [aux_sym_namespace_definition_token1] = ACTIONS(1118),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1118),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1118),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1118),
    [anon_sym_BSLASH] = ACTIONS(1116),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_RBRACE] = ACTIONS(1116),
    [aux_sym_trait_declaration_token1] = ACTIONS(1118),
    [aux_sym_interface_declaration_token1] = ACTIONS(1118),
    [aux_sym_enum_declaration_token1] = ACTIONS(1118),
    [aux_sym_enum_case_token1] = ACTIONS(1118),
    [aux_sym_class_declaration_token1] = ACTIONS(1118),
    [aux_sym_final_modifier_token1] = ACTIONS(1118),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1118),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1118),
    [sym_var_modifier] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1118),
    [anon_sym_LPAREN] = ACTIONS(1116),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1118),
    [aux_sym_cast_type_token1] = ACTIONS(1118),
    [aux_sym_echo_statement_token1] = ACTIONS(1118),
    [aux_sym_exit_statement_token1] = ACTIONS(1118),
    [anon_sym_unset] = ACTIONS(1118),
    [aux_sym_declare_statement_token1] = ACTIONS(1118),
    [aux_sym_declare_statement_token2] = ACTIONS(1118),
    [sym_float] = ACTIONS(1118),
    [aux_sym_try_statement_token1] = ACTIONS(1118),
    [aux_sym_goto_statement_token1] = ACTIONS(1118),
    [aux_sym_continue_statement_token1] = ACTIONS(1118),
    [aux_sym_break_statement_token1] = ACTIONS(1118),
    [sym_integer] = ACTIONS(1118),
    [aux_sym_return_statement_token1] = ACTIONS(1118),
    [aux_sym_throw_expression_token1] = ACTIONS(1118),
    [aux_sym_while_statement_token1] = ACTIONS(1118),
    [aux_sym_while_statement_token2] = ACTIONS(1118),
    [aux_sym_do_statement_token1] = ACTIONS(1118),
    [aux_sym_for_statement_token1] = ACTIONS(1118),
    [aux_sym_for_statement_token2] = ACTIONS(1118),
    [aux_sym_foreach_statement_token1] = ACTIONS(1118),
    [aux_sym_foreach_statement_token2] = ACTIONS(1118),
    [aux_sym_if_statement_token1] = ACTIONS(1118),
    [aux_sym_if_statement_token2] = ACTIONS(1118),
    [aux_sym_else_if_clause_token1] = ACTIONS(1118),
    [aux_sym_else_clause_token1] = ACTIONS(1118),
    [aux_sym_match_expression_token1] = ACTIONS(1118),
    [aux_sym_match_default_expression_token1] = ACTIONS(1118),
    [aux_sym_switch_statement_token1] = ACTIONS(1118),
    [aux_sym_switch_block_token1] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_TILDE] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1116),
    [anon_sym_AT] = ACTIONS(1116),
    [aux_sym_clone_expression_token1] = ACTIONS(1118),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1118),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1118),
    [anon_sym_DASH_DASH] = ACTIONS(1116),
    [anon_sym_PLUS_PLUS] = ACTIONS(1116),
    [aux_sym__list_destructing_token1] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_self] = ACTIONS(1118),
    [anon_sym_parent] = ACTIONS(1118),
    [aux_sym__argument_name_token1] = ACTIONS(1118),
    [aux_sym__argument_name_token2] = ACTIONS(1118),
    [anon_sym_POUND_LBRACK] = ACTIONS(1116),
    [aux_sym_encapsed_string_token1] = ACTIONS(1116),
    [anon_sym_DQUOTE] = ACTIONS(1116),
    [aux_sym_string_token1] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1116),
    [anon_sym_LT_LT_LT] = ACTIONS(1116),
    [anon_sym_BQUOTE] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1116),
    [aux_sym_yield_expression_token1] = ACTIONS(1118),
    [aux_sym_include_expression_token1] = ACTIONS(1118),
    [aux_sym_include_once_expression_token1] = ACTIONS(1118),
    [aux_sym_require_expression_token1] = ACTIONS(1118),
    [aux_sym_require_once_expression_token1] = ACTIONS(1118),
    [sym_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_text_interpolation] = STATE(470),
    [ts_builtin_sym_end] = ACTIONS(1120),
    [sym_name] = ACTIONS(1122),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1120),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1122),
    [aux_sym_global_declaration_token1] = ACTIONS(1122),
    [aux_sym_namespace_definition_token1] = ACTIONS(1122),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1122),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1122),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1122),
    [anon_sym_BSLASH] = ACTIONS(1120),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(1120),
    [aux_sym_trait_declaration_token1] = ACTIONS(1122),
    [aux_sym_interface_declaration_token1] = ACTIONS(1122),
    [aux_sym_enum_declaration_token1] = ACTIONS(1122),
    [aux_sym_enum_case_token1] = ACTIONS(1122),
    [aux_sym_class_declaration_token1] = ACTIONS(1122),
    [aux_sym_final_modifier_token1] = ACTIONS(1122),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1122),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1122),
    [sym_var_modifier] = ACTIONS(1122),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1122),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1122),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1120),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1122),
    [aux_sym_cast_type_token1] = ACTIONS(1122),
    [aux_sym_echo_statement_token1] = ACTIONS(1122),
    [aux_sym_exit_statement_token1] = ACTIONS(1122),
    [anon_sym_unset] = ACTIONS(1122),
    [aux_sym_declare_statement_token1] = ACTIONS(1122),
    [aux_sym_declare_statement_token2] = ACTIONS(1122),
    [sym_float] = ACTIONS(1122),
    [aux_sym_try_statement_token1] = ACTIONS(1122),
    [aux_sym_goto_statement_token1] = ACTIONS(1122),
    [aux_sym_continue_statement_token1] = ACTIONS(1122),
    [aux_sym_break_statement_token1] = ACTIONS(1122),
    [sym_integer] = ACTIONS(1122),
    [aux_sym_return_statement_token1] = ACTIONS(1122),
    [aux_sym_throw_expression_token1] = ACTIONS(1122),
    [aux_sym_while_statement_token1] = ACTIONS(1122),
    [aux_sym_while_statement_token2] = ACTIONS(1122),
    [aux_sym_do_statement_token1] = ACTIONS(1122),
    [aux_sym_for_statement_token1] = ACTIONS(1122),
    [aux_sym_for_statement_token2] = ACTIONS(1122),
    [aux_sym_foreach_statement_token1] = ACTIONS(1122),
    [aux_sym_foreach_statement_token2] = ACTIONS(1122),
    [aux_sym_if_statement_token1] = ACTIONS(1122),
    [aux_sym_if_statement_token2] = ACTIONS(1122),
    [aux_sym_else_if_clause_token1] = ACTIONS(1122),
    [aux_sym_else_clause_token1] = ACTIONS(1122),
    [aux_sym_match_expression_token1] = ACTIONS(1122),
    [aux_sym_match_default_expression_token1] = ACTIONS(1122),
    [aux_sym_switch_statement_token1] = ACTIONS(1122),
    [aux_sym_switch_block_token1] = ACTIONS(1122),
    [anon_sym_PLUS] = ACTIONS(1122),
    [anon_sym_DASH] = ACTIONS(1122),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_AT] = ACTIONS(1120),
    [aux_sym_clone_expression_token1] = ACTIONS(1122),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1122),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1122),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [aux_sym__list_destructing_token1] = ACTIONS(1122),
    [anon_sym_LBRACK] = ACTIONS(1120),
    [anon_sym_self] = ACTIONS(1122),
    [anon_sym_parent] = ACTIONS(1122),
    [aux_sym__argument_name_token1] = ACTIONS(1122),
    [aux_sym__argument_name_token2] = ACTIONS(1122),
    [anon_sym_POUND_LBRACK] = ACTIONS(1120),
    [aux_sym_encapsed_string_token1] = ACTIONS(1120),
    [anon_sym_DQUOTE] = ACTIONS(1120),
    [aux_sym_string_token1] = ACTIONS(1120),
    [anon_sym_SQUOTE] = ACTIONS(1120),
    [anon_sym_LT_LT_LT] = ACTIONS(1120),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1120),
    [aux_sym_yield_expression_token1] = ACTIONS(1122),
    [aux_sym_include_expression_token1] = ACTIONS(1122),
    [aux_sym_include_once_expression_token1] = ACTIONS(1122),
    [aux_sym_require_expression_token1] = ACTIONS(1122),
    [aux_sym_require_once_expression_token1] = ACTIONS(1122),
    [sym_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_text_interpolation] = STATE(471),
    [ts_builtin_sym_end] = ACTIONS(1124),
    [sym_name] = ACTIONS(1126),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1124),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1126),
    [aux_sym_global_declaration_token1] = ACTIONS(1126),
    [aux_sym_namespace_definition_token1] = ACTIONS(1126),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1126),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1126),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1126),
    [anon_sym_BSLASH] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1124),
    [anon_sym_RBRACE] = ACTIONS(1124),
    [aux_sym_trait_declaration_token1] = ACTIONS(1126),
    [aux_sym_interface_declaration_token1] = ACTIONS(1126),
    [aux_sym_enum_declaration_token1] = ACTIONS(1126),
    [aux_sym_enum_case_token1] = ACTIONS(1126),
    [aux_sym_class_declaration_token1] = ACTIONS(1126),
    [aux_sym_final_modifier_token1] = ACTIONS(1126),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1126),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1126),
    [sym_var_modifier] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1126),
    [anon_sym_LPAREN] = ACTIONS(1124),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1126),
    [aux_sym_cast_type_token1] = ACTIONS(1126),
    [aux_sym_echo_statement_token1] = ACTIONS(1126),
    [aux_sym_exit_statement_token1] = ACTIONS(1126),
    [anon_sym_unset] = ACTIONS(1126),
    [aux_sym_declare_statement_token1] = ACTIONS(1126),
    [aux_sym_declare_statement_token2] = ACTIONS(1126),
    [sym_float] = ACTIONS(1126),
    [aux_sym_try_statement_token1] = ACTIONS(1126),
    [aux_sym_goto_statement_token1] = ACTIONS(1126),
    [aux_sym_continue_statement_token1] = ACTIONS(1126),
    [aux_sym_break_statement_token1] = ACTIONS(1126),
    [sym_integer] = ACTIONS(1126),
    [aux_sym_return_statement_token1] = ACTIONS(1126),
    [aux_sym_throw_expression_token1] = ACTIONS(1126),
    [aux_sym_while_statement_token1] = ACTIONS(1126),
    [aux_sym_while_statement_token2] = ACTIONS(1126),
    [aux_sym_do_statement_token1] = ACTIONS(1126),
    [aux_sym_for_statement_token1] = ACTIONS(1126),
    [aux_sym_for_statement_token2] = ACTIONS(1126),
    [aux_sym_foreach_statement_token1] = ACTIONS(1126),
    [aux_sym_foreach_statement_token2] = ACTIONS(1126),
    [aux_sym_if_statement_token1] = ACTIONS(1126),
    [aux_sym_if_statement_token2] = ACTIONS(1126),
    [aux_sym_else_if_clause_token1] = ACTIONS(1126),
    [aux_sym_else_clause_token1] = ACTIONS(1126),
    [aux_sym_match_expression_token1] = ACTIONS(1126),
    [aux_sym_match_default_expression_token1] = ACTIONS(1126),
    [aux_sym_switch_statement_token1] = ACTIONS(1126),
    [aux_sym_switch_block_token1] = ACTIONS(1126),
    [anon_sym_PLUS] = ACTIONS(1126),
    [anon_sym_DASH] = ACTIONS(1126),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_AT] = ACTIONS(1124),
    [aux_sym_clone_expression_token1] = ACTIONS(1126),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1126),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1126),
    [anon_sym_DASH_DASH] = ACTIONS(1124),
    [anon_sym_PLUS_PLUS] = ACTIONS(1124),
    [aux_sym__list_destructing_token1] = ACTIONS(1126),
    [anon_sym_LBRACK] = ACTIONS(1124),
    [anon_sym_self] = ACTIONS(1126),
    [anon_sym_parent] = ACTIONS(1126),
    [aux_sym__argument_name_token1] = ACTIONS(1126),
    [aux_sym__argument_name_token2] = ACTIONS(1126),
    [anon_sym_POUND_LBRACK] = ACTIONS(1124),
    [aux_sym_encapsed_string_token1] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1124),
    [aux_sym_string_token1] = ACTIONS(1124),
    [anon_sym_SQUOTE] = ACTIONS(1124),
    [anon_sym_LT_LT_LT] = ACTIONS(1124),
    [anon_sym_BQUOTE] = ACTIONS(1124),
    [anon_sym_DOLLAR] = ACTIONS(1124),
    [aux_sym_yield_expression_token1] = ACTIONS(1126),
    [aux_sym_include_expression_token1] = ACTIONS(1126),
    [aux_sym_include_once_expression_token1] = ACTIONS(1126),
    [aux_sym_require_expression_token1] = ACTIONS(1126),
    [aux_sym_require_once_expression_token1] = ACTIONS(1126),
    [sym_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_text_interpolation] = STATE(472),
    [ts_builtin_sym_end] = ACTIONS(1128),
    [sym_name] = ACTIONS(1130),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1128),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1130),
    [aux_sym_global_declaration_token1] = ACTIONS(1130),
    [aux_sym_namespace_definition_token1] = ACTIONS(1130),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1130),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1130),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1130),
    [anon_sym_BSLASH] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_RBRACE] = ACTIONS(1128),
    [aux_sym_trait_declaration_token1] = ACTIONS(1130),
    [aux_sym_interface_declaration_token1] = ACTIONS(1130),
    [aux_sym_enum_declaration_token1] = ACTIONS(1130),
    [aux_sym_enum_case_token1] = ACTIONS(1130),
    [aux_sym_class_declaration_token1] = ACTIONS(1130),
    [aux_sym_final_modifier_token1] = ACTIONS(1130),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1130),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1130),
    [sym_var_modifier] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1130),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1130),
    [aux_sym_cast_type_token1] = ACTIONS(1130),
    [aux_sym_echo_statement_token1] = ACTIONS(1130),
    [aux_sym_exit_statement_token1] = ACTIONS(1130),
    [anon_sym_unset] = ACTIONS(1130),
    [aux_sym_declare_statement_token1] = ACTIONS(1130),
    [aux_sym_declare_statement_token2] = ACTIONS(1130),
    [sym_float] = ACTIONS(1130),
    [aux_sym_try_statement_token1] = ACTIONS(1130),
    [aux_sym_goto_statement_token1] = ACTIONS(1130),
    [aux_sym_continue_statement_token1] = ACTIONS(1130),
    [aux_sym_break_statement_token1] = ACTIONS(1130),
    [sym_integer] = ACTIONS(1130),
    [aux_sym_return_statement_token1] = ACTIONS(1130),
    [aux_sym_throw_expression_token1] = ACTIONS(1130),
    [aux_sym_while_statement_token1] = ACTIONS(1130),
    [aux_sym_while_statement_token2] = ACTIONS(1130),
    [aux_sym_do_statement_token1] = ACTIONS(1130),
    [aux_sym_for_statement_token1] = ACTIONS(1130),
    [aux_sym_for_statement_token2] = ACTIONS(1130),
    [aux_sym_foreach_statement_token1] = ACTIONS(1130),
    [aux_sym_foreach_statement_token2] = ACTIONS(1130),
    [aux_sym_if_statement_token1] = ACTIONS(1130),
    [aux_sym_if_statement_token2] = ACTIONS(1130),
    [aux_sym_else_if_clause_token1] = ACTIONS(1130),
    [aux_sym_else_clause_token1] = ACTIONS(1130),
    [aux_sym_match_expression_token1] = ACTIONS(1130),
    [aux_sym_match_default_expression_token1] = ACTIONS(1130),
    [aux_sym_switch_statement_token1] = ACTIONS(1130),
    [aux_sym_switch_block_token1] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_TILDE] = ACTIONS(1128),
    [anon_sym_BANG] = ACTIONS(1128),
    [anon_sym_AT] = ACTIONS(1128),
    [aux_sym_clone_expression_token1] = ACTIONS(1130),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1130),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1130),
    [anon_sym_DASH_DASH] = ACTIONS(1128),
    [anon_sym_PLUS_PLUS] = ACTIONS(1128),
    [aux_sym__list_destructing_token1] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1128),
    [anon_sym_self] = ACTIONS(1130),
    [anon_sym_parent] = ACTIONS(1130),
    [aux_sym__argument_name_token1] = ACTIONS(1130),
    [aux_sym__argument_name_token2] = ACTIONS(1130),
    [anon_sym_POUND_LBRACK] = ACTIONS(1128),
    [aux_sym_encapsed_string_token1] = ACTIONS(1128),
    [anon_sym_DQUOTE] = ACTIONS(1128),
    [aux_sym_string_token1] = ACTIONS(1128),
    [anon_sym_SQUOTE] = ACTIONS(1128),
    [anon_sym_LT_LT_LT] = ACTIONS(1128),
    [anon_sym_BQUOTE] = ACTIONS(1128),
    [anon_sym_DOLLAR] = ACTIONS(1128),
    [aux_sym_yield_expression_token1] = ACTIONS(1130),
    [aux_sym_include_expression_token1] = ACTIONS(1130),
    [aux_sym_include_once_expression_token1] = ACTIONS(1130),
    [aux_sym_require_expression_token1] = ACTIONS(1130),
    [aux_sym_require_once_expression_token1] = ACTIONS(1130),
    [sym_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_text_interpolation] = STATE(473),
    [ts_builtin_sym_end] = ACTIONS(1132),
    [sym_name] = ACTIONS(1134),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1132),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1134),
    [aux_sym_global_declaration_token1] = ACTIONS(1134),
    [aux_sym_namespace_definition_token1] = ACTIONS(1134),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1134),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1134),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1134),
    [anon_sym_BSLASH] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [aux_sym_trait_declaration_token1] = ACTIONS(1134),
    [aux_sym_interface_declaration_token1] = ACTIONS(1134),
    [aux_sym_enum_declaration_token1] = ACTIONS(1134),
    [aux_sym_enum_case_token1] = ACTIONS(1134),
    [aux_sym_class_declaration_token1] = ACTIONS(1134),
    [aux_sym_final_modifier_token1] = ACTIONS(1134),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1134),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1134),
    [sym_var_modifier] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1134),
    [aux_sym_cast_type_token1] = ACTIONS(1134),
    [aux_sym_echo_statement_token1] = ACTIONS(1134),
    [aux_sym_exit_statement_token1] = ACTIONS(1134),
    [anon_sym_unset] = ACTIONS(1134),
    [aux_sym_declare_statement_token1] = ACTIONS(1134),
    [aux_sym_declare_statement_token2] = ACTIONS(1134),
    [sym_float] = ACTIONS(1134),
    [aux_sym_try_statement_token1] = ACTIONS(1134),
    [aux_sym_goto_statement_token1] = ACTIONS(1134),
    [aux_sym_continue_statement_token1] = ACTIONS(1134),
    [aux_sym_break_statement_token1] = ACTIONS(1134),
    [sym_integer] = ACTIONS(1134),
    [aux_sym_return_statement_token1] = ACTIONS(1134),
    [aux_sym_throw_expression_token1] = ACTIONS(1134),
    [aux_sym_while_statement_token1] = ACTIONS(1134),
    [aux_sym_while_statement_token2] = ACTIONS(1134),
    [aux_sym_do_statement_token1] = ACTIONS(1134),
    [aux_sym_for_statement_token1] = ACTIONS(1134),
    [aux_sym_for_statement_token2] = ACTIONS(1134),
    [aux_sym_foreach_statement_token1] = ACTIONS(1134),
    [aux_sym_foreach_statement_token2] = ACTIONS(1134),
    [aux_sym_if_statement_token1] = ACTIONS(1134),
    [aux_sym_if_statement_token2] = ACTIONS(1134),
    [aux_sym_else_if_clause_token1] = ACTIONS(1134),
    [aux_sym_else_clause_token1] = ACTIONS(1134),
    [aux_sym_match_expression_token1] = ACTIONS(1134),
    [aux_sym_match_default_expression_token1] = ACTIONS(1134),
    [aux_sym_switch_statement_token1] = ACTIONS(1134),
    [aux_sym_switch_block_token1] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1132),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_AT] = ACTIONS(1132),
    [aux_sym_clone_expression_token1] = ACTIONS(1134),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1134),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1134),
    [anon_sym_DASH_DASH] = ACTIONS(1132),
    [anon_sym_PLUS_PLUS] = ACTIONS(1132),
    [aux_sym__list_destructing_token1] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_self] = ACTIONS(1134),
    [anon_sym_parent] = ACTIONS(1134),
    [aux_sym__argument_name_token1] = ACTIONS(1134),
    [aux_sym__argument_name_token2] = ACTIONS(1134),
    [anon_sym_POUND_LBRACK] = ACTIONS(1132),
    [aux_sym_encapsed_string_token1] = ACTIONS(1132),
    [anon_sym_DQUOTE] = ACTIONS(1132),
    [aux_sym_string_token1] = ACTIONS(1132),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [anon_sym_LT_LT_LT] = ACTIONS(1132),
    [anon_sym_BQUOTE] = ACTIONS(1132),
    [anon_sym_DOLLAR] = ACTIONS(1132),
    [aux_sym_yield_expression_token1] = ACTIONS(1134),
    [aux_sym_include_expression_token1] = ACTIONS(1134),
    [aux_sym_include_once_expression_token1] = ACTIONS(1134),
    [aux_sym_require_expression_token1] = ACTIONS(1134),
    [aux_sym_require_once_expression_token1] = ACTIONS(1134),
    [sym_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_text_interpolation] = STATE(474),
    [ts_builtin_sym_end] = ACTIONS(1136),
    [sym_name] = ACTIONS(1138),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1136),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1138),
    [aux_sym_global_declaration_token1] = ACTIONS(1138),
    [aux_sym_namespace_definition_token1] = ACTIONS(1138),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1138),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1138),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1138),
    [anon_sym_BSLASH] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [aux_sym_trait_declaration_token1] = ACTIONS(1138),
    [aux_sym_interface_declaration_token1] = ACTIONS(1138),
    [aux_sym_enum_declaration_token1] = ACTIONS(1138),
    [aux_sym_enum_case_token1] = ACTIONS(1138),
    [aux_sym_class_declaration_token1] = ACTIONS(1138),
    [aux_sym_final_modifier_token1] = ACTIONS(1138),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1138),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1138),
    [sym_var_modifier] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1136),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1138),
    [aux_sym_cast_type_token1] = ACTIONS(1138),
    [aux_sym_echo_statement_token1] = ACTIONS(1138),
    [aux_sym_exit_statement_token1] = ACTIONS(1138),
    [anon_sym_unset] = ACTIONS(1138),
    [aux_sym_declare_statement_token1] = ACTIONS(1138),
    [aux_sym_declare_statement_token2] = ACTIONS(1138),
    [sym_float] = ACTIONS(1138),
    [aux_sym_try_statement_token1] = ACTIONS(1138),
    [aux_sym_goto_statement_token1] = ACTIONS(1138),
    [aux_sym_continue_statement_token1] = ACTIONS(1138),
    [aux_sym_break_statement_token1] = ACTIONS(1138),
    [sym_integer] = ACTIONS(1138),
    [aux_sym_return_statement_token1] = ACTIONS(1138),
    [aux_sym_throw_expression_token1] = ACTIONS(1138),
    [aux_sym_while_statement_token1] = ACTIONS(1138),
    [aux_sym_while_statement_token2] = ACTIONS(1138),
    [aux_sym_do_statement_token1] = ACTIONS(1138),
    [aux_sym_for_statement_token1] = ACTIONS(1138),
    [aux_sym_for_statement_token2] = ACTIONS(1138),
    [aux_sym_foreach_statement_token1] = ACTIONS(1138),
    [aux_sym_foreach_statement_token2] = ACTIONS(1138),
    [aux_sym_if_statement_token1] = ACTIONS(1138),
    [aux_sym_if_statement_token2] = ACTIONS(1138),
    [aux_sym_else_if_clause_token1] = ACTIONS(1138),
    [aux_sym_else_clause_token1] = ACTIONS(1138),
    [aux_sym_match_expression_token1] = ACTIONS(1138),
    [aux_sym_match_default_expression_token1] = ACTIONS(1138),
    [aux_sym_switch_statement_token1] = ACTIONS(1138),
    [aux_sym_switch_block_token1] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(1136),
    [aux_sym_clone_expression_token1] = ACTIONS(1138),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1138),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1138),
    [anon_sym_DASH_DASH] = ACTIONS(1136),
    [anon_sym_PLUS_PLUS] = ACTIONS(1136),
    [aux_sym__list_destructing_token1] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1136),
    [anon_sym_self] = ACTIONS(1138),
    [anon_sym_parent] = ACTIONS(1138),
    [aux_sym__argument_name_token1] = ACTIONS(1138),
    [aux_sym__argument_name_token2] = ACTIONS(1138),
    [anon_sym_POUND_LBRACK] = ACTIONS(1136),
    [aux_sym_encapsed_string_token1] = ACTIONS(1136),
    [anon_sym_DQUOTE] = ACTIONS(1136),
    [aux_sym_string_token1] = ACTIONS(1136),
    [anon_sym_SQUOTE] = ACTIONS(1136),
    [anon_sym_LT_LT_LT] = ACTIONS(1136),
    [anon_sym_BQUOTE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1136),
    [aux_sym_yield_expression_token1] = ACTIONS(1138),
    [aux_sym_include_expression_token1] = ACTIONS(1138),
    [aux_sym_include_once_expression_token1] = ACTIONS(1138),
    [aux_sym_require_expression_token1] = ACTIONS(1138),
    [aux_sym_require_once_expression_token1] = ACTIONS(1138),
    [sym_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_text_interpolation] = STATE(475),
    [ts_builtin_sym_end] = ACTIONS(1140),
    [sym_name] = ACTIONS(1142),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1140),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1142),
    [aux_sym_global_declaration_token1] = ACTIONS(1142),
    [aux_sym_namespace_definition_token1] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1142),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1142),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1142),
    [anon_sym_BSLASH] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [aux_sym_trait_declaration_token1] = ACTIONS(1142),
    [aux_sym_interface_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_case_token1] = ACTIONS(1142),
    [aux_sym_class_declaration_token1] = ACTIONS(1142),
    [aux_sym_final_modifier_token1] = ACTIONS(1142),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1142),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1142),
    [sym_var_modifier] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1142),
    [anon_sym_LPAREN] = ACTIONS(1140),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1142),
    [aux_sym_cast_type_token1] = ACTIONS(1142),
    [aux_sym_echo_statement_token1] = ACTIONS(1142),
    [aux_sym_exit_statement_token1] = ACTIONS(1142),
    [anon_sym_unset] = ACTIONS(1142),
    [aux_sym_declare_statement_token1] = ACTIONS(1142),
    [aux_sym_declare_statement_token2] = ACTIONS(1142),
    [sym_float] = ACTIONS(1142),
    [aux_sym_try_statement_token1] = ACTIONS(1142),
    [aux_sym_goto_statement_token1] = ACTIONS(1142),
    [aux_sym_continue_statement_token1] = ACTIONS(1142),
    [aux_sym_break_statement_token1] = ACTIONS(1142),
    [sym_integer] = ACTIONS(1142),
    [aux_sym_return_statement_token1] = ACTIONS(1142),
    [aux_sym_throw_expression_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token2] = ACTIONS(1142),
    [aux_sym_do_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token2] = ACTIONS(1142),
    [aux_sym_foreach_statement_token1] = ACTIONS(1142),
    [aux_sym_foreach_statement_token2] = ACTIONS(1142),
    [aux_sym_if_statement_token1] = ACTIONS(1142),
    [aux_sym_if_statement_token2] = ACTIONS(1142),
    [aux_sym_else_if_clause_token1] = ACTIONS(1142),
    [aux_sym_else_clause_token1] = ACTIONS(1142),
    [aux_sym_match_expression_token1] = ACTIONS(1142),
    [aux_sym_match_default_expression_token1] = ACTIONS(1142),
    [aux_sym_switch_statement_token1] = ACTIONS(1142),
    [aux_sym_switch_block_token1] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_AT] = ACTIONS(1140),
    [aux_sym_clone_expression_token1] = ACTIONS(1142),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1142),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1140),
    [anon_sym_PLUS_PLUS] = ACTIONS(1140),
    [aux_sym__list_destructing_token1] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [anon_sym_self] = ACTIONS(1142),
    [anon_sym_parent] = ACTIONS(1142),
    [aux_sym__argument_name_token1] = ACTIONS(1142),
    [aux_sym__argument_name_token2] = ACTIONS(1142),
    [anon_sym_POUND_LBRACK] = ACTIONS(1140),
    [aux_sym_encapsed_string_token1] = ACTIONS(1140),
    [anon_sym_DQUOTE] = ACTIONS(1140),
    [aux_sym_string_token1] = ACTIONS(1140),
    [anon_sym_SQUOTE] = ACTIONS(1140),
    [anon_sym_LT_LT_LT] = ACTIONS(1140),
    [anon_sym_BQUOTE] = ACTIONS(1140),
    [anon_sym_DOLLAR] = ACTIONS(1140),
    [aux_sym_yield_expression_token1] = ACTIONS(1142),
    [aux_sym_include_expression_token1] = ACTIONS(1142),
    [aux_sym_include_once_expression_token1] = ACTIONS(1142),
    [aux_sym_require_expression_token1] = ACTIONS(1142),
    [aux_sym_require_once_expression_token1] = ACTIONS(1142),
    [sym_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_text_interpolation] = STATE(476),
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_name] = ACTIONS(1146),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1144),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1146),
    [aux_sym_global_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_definition_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1146),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1146),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1146),
    [anon_sym_BSLASH] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [aux_sym_trait_declaration_token1] = ACTIONS(1146),
    [aux_sym_interface_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_case_token1] = ACTIONS(1146),
    [aux_sym_class_declaration_token1] = ACTIONS(1146),
    [aux_sym_final_modifier_token1] = ACTIONS(1146),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1146),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1146),
    [sym_var_modifier] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1146),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1146),
    [aux_sym_cast_type_token1] = ACTIONS(1146),
    [aux_sym_echo_statement_token1] = ACTIONS(1146),
    [aux_sym_exit_statement_token1] = ACTIONS(1146),
    [anon_sym_unset] = ACTIONS(1146),
    [aux_sym_declare_statement_token1] = ACTIONS(1146),
    [aux_sym_declare_statement_token2] = ACTIONS(1146),
    [sym_float] = ACTIONS(1146),
    [aux_sym_try_statement_token1] = ACTIONS(1146),
    [aux_sym_goto_statement_token1] = ACTIONS(1146),
    [aux_sym_continue_statement_token1] = ACTIONS(1146),
    [aux_sym_break_statement_token1] = ACTIONS(1146),
    [sym_integer] = ACTIONS(1146),
    [aux_sym_return_statement_token1] = ACTIONS(1146),
    [aux_sym_throw_expression_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token2] = ACTIONS(1146),
    [aux_sym_do_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token2] = ACTIONS(1146),
    [aux_sym_foreach_statement_token1] = ACTIONS(1146),
    [aux_sym_foreach_statement_token2] = ACTIONS(1146),
    [aux_sym_if_statement_token1] = ACTIONS(1146),
    [aux_sym_if_statement_token2] = ACTIONS(1146),
    [aux_sym_else_if_clause_token1] = ACTIONS(1146),
    [aux_sym_else_clause_token1] = ACTIONS(1146),
    [aux_sym_match_expression_token1] = ACTIONS(1146),
    [aux_sym_match_default_expression_token1] = ACTIONS(1146),
    [aux_sym_switch_statement_token1] = ACTIONS(1146),
    [aux_sym_switch_block_token1] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(1144),
    [aux_sym_clone_expression_token1] = ACTIONS(1146),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1146),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [aux_sym__list_destructing_token1] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [anon_sym_self] = ACTIONS(1146),
    [anon_sym_parent] = ACTIONS(1146),
    [aux_sym__argument_name_token1] = ACTIONS(1146),
    [aux_sym__argument_name_token2] = ACTIONS(1146),
    [anon_sym_POUND_LBRACK] = ACTIONS(1144),
    [aux_sym_encapsed_string_token1] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1144),
    [aux_sym_string_token1] = ACTIONS(1144),
    [anon_sym_SQUOTE] = ACTIONS(1144),
    [anon_sym_LT_LT_LT] = ACTIONS(1144),
    [anon_sym_BQUOTE] = ACTIONS(1144),
    [anon_sym_DOLLAR] = ACTIONS(1144),
    [aux_sym_yield_expression_token1] = ACTIONS(1146),
    [aux_sym_include_expression_token1] = ACTIONS(1146),
    [aux_sym_include_once_expression_token1] = ACTIONS(1146),
    [aux_sym_require_expression_token1] = ACTIONS(1146),
    [aux_sym_require_once_expression_token1] = ACTIONS(1146),
    [sym_comment] = ACTIONS(5),
  },
  [477] = {
    [sym_text_interpolation] = STATE(477),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym_name] = ACTIONS(1150),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1148),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1150),
    [aux_sym_global_declaration_token1] = ACTIONS(1150),
    [aux_sym_namespace_definition_token1] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1150),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1150),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1150),
    [anon_sym_BSLASH] = ACTIONS(1148),
    [anon_sym_LBRACE] = ACTIONS(1148),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [aux_sym_trait_declaration_token1] = ACTIONS(1150),
    [aux_sym_interface_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_case_token1] = ACTIONS(1150),
    [aux_sym_class_declaration_token1] = ACTIONS(1150),
    [aux_sym_final_modifier_token1] = ACTIONS(1150),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1150),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1150),
    [sym_var_modifier] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1150),
    [anon_sym_LPAREN] = ACTIONS(1148),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1150),
    [aux_sym_cast_type_token1] = ACTIONS(1150),
    [aux_sym_echo_statement_token1] = ACTIONS(1150),
    [aux_sym_exit_statement_token1] = ACTIONS(1150),
    [anon_sym_unset] = ACTIONS(1150),
    [aux_sym_declare_statement_token1] = ACTIONS(1150),
    [aux_sym_declare_statement_token2] = ACTIONS(1150),
    [sym_float] = ACTIONS(1150),
    [aux_sym_try_statement_token1] = ACTIONS(1150),
    [aux_sym_goto_statement_token1] = ACTIONS(1150),
    [aux_sym_continue_statement_token1] = ACTIONS(1150),
    [aux_sym_break_statement_token1] = ACTIONS(1150),
    [sym_integer] = ACTIONS(1150),
    [aux_sym_return_statement_token1] = ACTIONS(1150),
    [aux_sym_throw_expression_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token2] = ACTIONS(1150),
    [aux_sym_do_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token2] = ACTIONS(1150),
    [aux_sym_foreach_statement_token1] = ACTIONS(1150),
    [aux_sym_foreach_statement_token2] = ACTIONS(1150),
    [aux_sym_if_statement_token1] = ACTIONS(1150),
    [aux_sym_if_statement_token2] = ACTIONS(1150),
    [aux_sym_else_if_clause_token1] = ACTIONS(1150),
    [aux_sym_else_clause_token1] = ACTIONS(1150),
    [aux_sym_match_expression_token1] = ACTIONS(1150),
    [aux_sym_match_default_expression_token1] = ACTIONS(1150),
    [aux_sym_switch_statement_token1] = ACTIONS(1150),
    [aux_sym_switch_block_token1] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1150),
    [anon_sym_DASH] = ACTIONS(1150),
    [anon_sym_TILDE] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1148),
    [anon_sym_AT] = ACTIONS(1148),
    [aux_sym_clone_expression_token1] = ACTIONS(1150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1150),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1150),
    [anon_sym_DASH_DASH] = ACTIONS(1148),
    [anon_sym_PLUS_PLUS] = ACTIONS(1148),
    [aux_sym__list_destructing_token1] = ACTIONS(1150),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_self] = ACTIONS(1150),
    [anon_sym_parent] = ACTIONS(1150),
    [aux_sym__argument_name_token1] = ACTIONS(1150),
    [aux_sym__argument_name_token2] = ACTIONS(1150),
    [anon_sym_POUND_LBRACK] = ACTIONS(1148),
    [aux_sym_encapsed_string_token1] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [aux_sym_string_token1] = ACTIONS(1148),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [anon_sym_LT_LT_LT] = ACTIONS(1148),
    [anon_sym_BQUOTE] = ACTIONS(1148),
    [anon_sym_DOLLAR] = ACTIONS(1148),
    [aux_sym_yield_expression_token1] = ACTIONS(1150),
    [aux_sym_include_expression_token1] = ACTIONS(1150),
    [aux_sym_include_once_expression_token1] = ACTIONS(1150),
    [aux_sym_require_expression_token1] = ACTIONS(1150),
    [aux_sym_require_once_expression_token1] = ACTIONS(1150),
    [sym_comment] = ACTIONS(5),
  },
  [478] = {
    [sym_text_interpolation] = STATE(478),
    [ts_builtin_sym_end] = ACTIONS(1152),
    [sym_name] = ACTIONS(1154),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1152),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1154),
    [aux_sym_global_declaration_token1] = ACTIONS(1154),
    [aux_sym_namespace_definition_token1] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1154),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1154),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1154),
    [anon_sym_BSLASH] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_RBRACE] = ACTIONS(1152),
    [aux_sym_trait_declaration_token1] = ACTIONS(1154),
    [aux_sym_interface_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_case_token1] = ACTIONS(1154),
    [aux_sym_class_declaration_token1] = ACTIONS(1154),
    [aux_sym_final_modifier_token1] = ACTIONS(1154),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1154),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1154),
    [sym_var_modifier] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1154),
    [anon_sym_LPAREN] = ACTIONS(1152),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1154),
    [aux_sym_cast_type_token1] = ACTIONS(1154),
    [aux_sym_echo_statement_token1] = ACTIONS(1154),
    [aux_sym_exit_statement_token1] = ACTIONS(1154),
    [anon_sym_unset] = ACTIONS(1154),
    [aux_sym_declare_statement_token1] = ACTIONS(1154),
    [aux_sym_declare_statement_token2] = ACTIONS(1154),
    [sym_float] = ACTIONS(1154),
    [aux_sym_try_statement_token1] = ACTIONS(1154),
    [aux_sym_goto_statement_token1] = ACTIONS(1154),
    [aux_sym_continue_statement_token1] = ACTIONS(1154),
    [aux_sym_break_statement_token1] = ACTIONS(1154),
    [sym_integer] = ACTIONS(1154),
    [aux_sym_return_statement_token1] = ACTIONS(1154),
    [aux_sym_throw_expression_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token2] = ACTIONS(1154),
    [aux_sym_do_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token2] = ACTIONS(1154),
    [aux_sym_foreach_statement_token1] = ACTIONS(1154),
    [aux_sym_foreach_statement_token2] = ACTIONS(1154),
    [aux_sym_if_statement_token1] = ACTIONS(1154),
    [aux_sym_if_statement_token2] = ACTIONS(1154),
    [aux_sym_else_if_clause_token1] = ACTIONS(1154),
    [aux_sym_else_clause_token1] = ACTIONS(1154),
    [aux_sym_match_expression_token1] = ACTIONS(1154),
    [aux_sym_match_default_expression_token1] = ACTIONS(1154),
    [aux_sym_switch_statement_token1] = ACTIONS(1154),
    [aux_sym_switch_block_token1] = ACTIONS(1154),
    [anon_sym_PLUS] = ACTIONS(1154),
    [anon_sym_DASH] = ACTIONS(1154),
    [anon_sym_TILDE] = ACTIONS(1152),
    [anon_sym_BANG] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(1152),
    [aux_sym_clone_expression_token1] = ACTIONS(1154),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1154),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1152),
    [aux_sym__list_destructing_token1] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(1152),
    [anon_sym_self] = ACTIONS(1154),
    [anon_sym_parent] = ACTIONS(1154),
    [aux_sym__argument_name_token1] = ACTIONS(1154),
    [aux_sym__argument_name_token2] = ACTIONS(1154),
    [anon_sym_POUND_LBRACK] = ACTIONS(1152),
    [aux_sym_encapsed_string_token1] = ACTIONS(1152),
    [anon_sym_DQUOTE] = ACTIONS(1152),
    [aux_sym_string_token1] = ACTIONS(1152),
    [anon_sym_SQUOTE] = ACTIONS(1152),
    [anon_sym_LT_LT_LT] = ACTIONS(1152),
    [anon_sym_BQUOTE] = ACTIONS(1152),
    [anon_sym_DOLLAR] = ACTIONS(1152),
    [aux_sym_yield_expression_token1] = ACTIONS(1154),
    [aux_sym_include_expression_token1] = ACTIONS(1154),
    [aux_sym_include_once_expression_token1] = ACTIONS(1154),
    [aux_sym_require_expression_token1] = ACTIONS(1154),
    [aux_sym_require_once_expression_token1] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_text_interpolation] = STATE(479),
    [ts_builtin_sym_end] = ACTIONS(1156),
    [sym_name] = ACTIONS(1158),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1156),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1158),
    [aux_sym_global_declaration_token1] = ACTIONS(1158),
    [aux_sym_namespace_definition_token1] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1158),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1158),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1158),
    [anon_sym_BSLASH] = ACTIONS(1156),
    [anon_sym_LBRACE] = ACTIONS(1156),
    [anon_sym_RBRACE] = ACTIONS(1156),
    [aux_sym_trait_declaration_token1] = ACTIONS(1158),
    [aux_sym_interface_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_case_token1] = ACTIONS(1158),
    [aux_sym_class_declaration_token1] = ACTIONS(1158),
    [aux_sym_final_modifier_token1] = ACTIONS(1158),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1158),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1158),
    [sym_var_modifier] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1158),
    [anon_sym_LPAREN] = ACTIONS(1156),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1158),
    [aux_sym_cast_type_token1] = ACTIONS(1158),
    [aux_sym_echo_statement_token1] = ACTIONS(1158),
    [aux_sym_exit_statement_token1] = ACTIONS(1158),
    [anon_sym_unset] = ACTIONS(1158),
    [aux_sym_declare_statement_token1] = ACTIONS(1158),
    [aux_sym_declare_statement_token2] = ACTIONS(1158),
    [sym_float] = ACTIONS(1158),
    [aux_sym_try_statement_token1] = ACTIONS(1158),
    [aux_sym_goto_statement_token1] = ACTIONS(1158),
    [aux_sym_continue_statement_token1] = ACTIONS(1158),
    [aux_sym_break_statement_token1] = ACTIONS(1158),
    [sym_integer] = ACTIONS(1158),
    [aux_sym_return_statement_token1] = ACTIONS(1158),
    [aux_sym_throw_expression_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token2] = ACTIONS(1158),
    [aux_sym_do_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token2] = ACTIONS(1158),
    [aux_sym_foreach_statement_token1] = ACTIONS(1158),
    [aux_sym_foreach_statement_token2] = ACTIONS(1158),
    [aux_sym_if_statement_token1] = ACTIONS(1158),
    [aux_sym_if_statement_token2] = ACTIONS(1158),
    [aux_sym_else_if_clause_token1] = ACTIONS(1158),
    [aux_sym_else_clause_token1] = ACTIONS(1158),
    [aux_sym_match_expression_token1] = ACTIONS(1158),
    [aux_sym_match_default_expression_token1] = ACTIONS(1158),
    [aux_sym_switch_statement_token1] = ACTIONS(1158),
    [aux_sym_switch_block_token1] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1158),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_TILDE] = ACTIONS(1156),
    [anon_sym_BANG] = ACTIONS(1156),
    [anon_sym_AT] = ACTIONS(1156),
    [aux_sym_clone_expression_token1] = ACTIONS(1158),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1158),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1158),
    [anon_sym_DASH_DASH] = ACTIONS(1156),
    [anon_sym_PLUS_PLUS] = ACTIONS(1156),
    [aux_sym__list_destructing_token1] = ACTIONS(1158),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_self] = ACTIONS(1158),
    [anon_sym_parent] = ACTIONS(1158),
    [aux_sym__argument_name_token1] = ACTIONS(1158),
    [aux_sym__argument_name_token2] = ACTIONS(1158),
    [anon_sym_POUND_LBRACK] = ACTIONS(1156),
    [aux_sym_encapsed_string_token1] = ACTIONS(1156),
    [anon_sym_DQUOTE] = ACTIONS(1156),
    [aux_sym_string_token1] = ACTIONS(1156),
    [anon_sym_SQUOTE] = ACTIONS(1156),
    [anon_sym_LT_LT_LT] = ACTIONS(1156),
    [anon_sym_BQUOTE] = ACTIONS(1156),
    [anon_sym_DOLLAR] = ACTIONS(1156),
    [aux_sym_yield_expression_token1] = ACTIONS(1158),
    [aux_sym_include_expression_token1] = ACTIONS(1158),
    [aux_sym_include_once_expression_token1] = ACTIONS(1158),
    [aux_sym_require_expression_token1] = ACTIONS(1158),
    [aux_sym_require_once_expression_token1] = ACTIONS(1158),
    [sym_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_text_interpolation] = STATE(480),
    [ts_builtin_sym_end] = ACTIONS(1160),
    [sym_name] = ACTIONS(1162),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1160),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1162),
    [aux_sym_global_declaration_token1] = ACTIONS(1162),
    [aux_sym_namespace_definition_token1] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1162),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1162),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1162),
    [anon_sym_BSLASH] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(1160),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [aux_sym_trait_declaration_token1] = ACTIONS(1162),
    [aux_sym_interface_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_case_token1] = ACTIONS(1162),
    [aux_sym_class_declaration_token1] = ACTIONS(1162),
    [aux_sym_final_modifier_token1] = ACTIONS(1162),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1162),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1162),
    [sym_var_modifier] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1162),
    [anon_sym_LPAREN] = ACTIONS(1160),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1162),
    [aux_sym_cast_type_token1] = ACTIONS(1162),
    [aux_sym_echo_statement_token1] = ACTIONS(1162),
    [aux_sym_exit_statement_token1] = ACTIONS(1162),
    [anon_sym_unset] = ACTIONS(1162),
    [aux_sym_declare_statement_token1] = ACTIONS(1162),
    [aux_sym_declare_statement_token2] = ACTIONS(1162),
    [sym_float] = ACTIONS(1162),
    [aux_sym_try_statement_token1] = ACTIONS(1162),
    [aux_sym_goto_statement_token1] = ACTIONS(1162),
    [aux_sym_continue_statement_token1] = ACTIONS(1162),
    [aux_sym_break_statement_token1] = ACTIONS(1162),
    [sym_integer] = ACTIONS(1162),
    [aux_sym_return_statement_token1] = ACTIONS(1162),
    [aux_sym_throw_expression_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token2] = ACTIONS(1162),
    [aux_sym_do_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token2] = ACTIONS(1162),
    [aux_sym_foreach_statement_token1] = ACTIONS(1162),
    [aux_sym_foreach_statement_token2] = ACTIONS(1162),
    [aux_sym_if_statement_token1] = ACTIONS(1162),
    [aux_sym_if_statement_token2] = ACTIONS(1162),
    [aux_sym_else_if_clause_token1] = ACTIONS(1162),
    [aux_sym_else_clause_token1] = ACTIONS(1162),
    [aux_sym_match_expression_token1] = ACTIONS(1162),
    [aux_sym_match_default_expression_token1] = ACTIONS(1162),
    [aux_sym_switch_statement_token1] = ACTIONS(1162),
    [aux_sym_switch_block_token1] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1162),
    [anon_sym_DASH] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(1160),
    [aux_sym_clone_expression_token1] = ACTIONS(1162),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1162),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1162),
    [anon_sym_DASH_DASH] = ACTIONS(1160),
    [anon_sym_PLUS_PLUS] = ACTIONS(1160),
    [aux_sym__list_destructing_token1] = ACTIONS(1162),
    [anon_sym_LBRACK] = ACTIONS(1160),
    [anon_sym_self] = ACTIONS(1162),
    [anon_sym_parent] = ACTIONS(1162),
    [aux_sym__argument_name_token1] = ACTIONS(1162),
    [aux_sym__argument_name_token2] = ACTIONS(1162),
    [anon_sym_POUND_LBRACK] = ACTIONS(1160),
    [aux_sym_encapsed_string_token1] = ACTIONS(1160),
    [anon_sym_DQUOTE] = ACTIONS(1160),
    [aux_sym_string_token1] = ACTIONS(1160),
    [anon_sym_SQUOTE] = ACTIONS(1160),
    [anon_sym_LT_LT_LT] = ACTIONS(1160),
    [anon_sym_BQUOTE] = ACTIONS(1160),
    [anon_sym_DOLLAR] = ACTIONS(1160),
    [aux_sym_yield_expression_token1] = ACTIONS(1162),
    [aux_sym_include_expression_token1] = ACTIONS(1162),
    [aux_sym_include_once_expression_token1] = ACTIONS(1162),
    [aux_sym_require_expression_token1] = ACTIONS(1162),
    [aux_sym_require_once_expression_token1] = ACTIONS(1162),
    [sym_comment] = ACTIONS(5),
  },
  [481] = {
    [sym_text_interpolation] = STATE(481),
    [ts_builtin_sym_end] = ACTIONS(1164),
    [sym_name] = ACTIONS(1166),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1164),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1166),
    [aux_sym_global_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_definition_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1166),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1166),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1166),
    [anon_sym_BSLASH] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [aux_sym_trait_declaration_token1] = ACTIONS(1166),
    [aux_sym_interface_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_case_token1] = ACTIONS(1166),
    [aux_sym_class_declaration_token1] = ACTIONS(1166),
    [aux_sym_final_modifier_token1] = ACTIONS(1166),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1166),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1166),
    [sym_var_modifier] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(1164),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1166),
    [aux_sym_cast_type_token1] = ACTIONS(1166),
    [aux_sym_echo_statement_token1] = ACTIONS(1166),
    [aux_sym_exit_statement_token1] = ACTIONS(1166),
    [anon_sym_unset] = ACTIONS(1166),
    [aux_sym_declare_statement_token1] = ACTIONS(1166),
    [aux_sym_declare_statement_token2] = ACTIONS(1166),
    [sym_float] = ACTIONS(1166),
    [aux_sym_try_statement_token1] = ACTIONS(1166),
    [aux_sym_goto_statement_token1] = ACTIONS(1166),
    [aux_sym_continue_statement_token1] = ACTIONS(1166),
    [aux_sym_break_statement_token1] = ACTIONS(1166),
    [sym_integer] = ACTIONS(1166),
    [aux_sym_return_statement_token1] = ACTIONS(1166),
    [aux_sym_throw_expression_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token2] = ACTIONS(1166),
    [aux_sym_do_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token2] = ACTIONS(1166),
    [aux_sym_foreach_statement_token1] = ACTIONS(1166),
    [aux_sym_foreach_statement_token2] = ACTIONS(1166),
    [aux_sym_if_statement_token1] = ACTIONS(1166),
    [aux_sym_if_statement_token2] = ACTIONS(1166),
    [aux_sym_else_if_clause_token1] = ACTIONS(1166),
    [aux_sym_else_clause_token1] = ACTIONS(1166),
    [aux_sym_match_expression_token1] = ACTIONS(1166),
    [aux_sym_match_default_expression_token1] = ACTIONS(1166),
    [aux_sym_switch_statement_token1] = ACTIONS(1166),
    [aux_sym_switch_block_token1] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1166),
    [anon_sym_TILDE] = ACTIONS(1164),
    [anon_sym_BANG] = ACTIONS(1164),
    [anon_sym_AT] = ACTIONS(1164),
    [aux_sym_clone_expression_token1] = ACTIONS(1166),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1166),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1166),
    [anon_sym_DASH_DASH] = ACTIONS(1164),
    [anon_sym_PLUS_PLUS] = ACTIONS(1164),
    [aux_sym__list_destructing_token1] = ACTIONS(1166),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_self] = ACTIONS(1166),
    [anon_sym_parent] = ACTIONS(1166),
    [aux_sym__argument_name_token1] = ACTIONS(1166),
    [aux_sym__argument_name_token2] = ACTIONS(1166),
    [anon_sym_POUND_LBRACK] = ACTIONS(1164),
    [aux_sym_encapsed_string_token1] = ACTIONS(1164),
    [anon_sym_DQUOTE] = ACTIONS(1164),
    [aux_sym_string_token1] = ACTIONS(1164),
    [anon_sym_SQUOTE] = ACTIONS(1164),
    [anon_sym_LT_LT_LT] = ACTIONS(1164),
    [anon_sym_BQUOTE] = ACTIONS(1164),
    [anon_sym_DOLLAR] = ACTIONS(1164),
    [aux_sym_yield_expression_token1] = ACTIONS(1166),
    [aux_sym_include_expression_token1] = ACTIONS(1166),
    [aux_sym_include_once_expression_token1] = ACTIONS(1166),
    [aux_sym_require_expression_token1] = ACTIONS(1166),
    [aux_sym_require_once_expression_token1] = ACTIONS(1166),
    [sym_comment] = ACTIONS(5),
  },
  [482] = {
    [sym_text_interpolation] = STATE(482),
    [ts_builtin_sym_end] = ACTIONS(1168),
    [sym_name] = ACTIONS(1170),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1168),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1170),
    [aux_sym_global_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_definition_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1170),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1170),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1170),
    [anon_sym_BSLASH] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1168),
    [anon_sym_RBRACE] = ACTIONS(1168),
    [aux_sym_trait_declaration_token1] = ACTIONS(1170),
    [aux_sym_interface_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_case_token1] = ACTIONS(1170),
    [aux_sym_class_declaration_token1] = ACTIONS(1170),
    [aux_sym_final_modifier_token1] = ACTIONS(1170),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1170),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1170),
    [sym_var_modifier] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1168),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1170),
    [aux_sym_cast_type_token1] = ACTIONS(1170),
    [aux_sym_echo_statement_token1] = ACTIONS(1170),
    [aux_sym_exit_statement_token1] = ACTIONS(1170),
    [anon_sym_unset] = ACTIONS(1170),
    [aux_sym_declare_statement_token1] = ACTIONS(1170),
    [aux_sym_declare_statement_token2] = ACTIONS(1170),
    [sym_float] = ACTIONS(1170),
    [aux_sym_try_statement_token1] = ACTIONS(1170),
    [aux_sym_goto_statement_token1] = ACTIONS(1170),
    [aux_sym_continue_statement_token1] = ACTIONS(1170),
    [aux_sym_break_statement_token1] = ACTIONS(1170),
    [sym_integer] = ACTIONS(1170),
    [aux_sym_return_statement_token1] = ACTIONS(1170),
    [aux_sym_throw_expression_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token2] = ACTIONS(1170),
    [aux_sym_do_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token2] = ACTIONS(1170),
    [aux_sym_foreach_statement_token1] = ACTIONS(1170),
    [aux_sym_foreach_statement_token2] = ACTIONS(1170),
    [aux_sym_if_statement_token1] = ACTIONS(1170),
    [aux_sym_if_statement_token2] = ACTIONS(1170),
    [aux_sym_else_if_clause_token1] = ACTIONS(1170),
    [aux_sym_else_clause_token1] = ACTIONS(1170),
    [aux_sym_match_expression_token1] = ACTIONS(1170),
    [aux_sym_match_default_expression_token1] = ACTIONS(1170),
    [aux_sym_switch_statement_token1] = ACTIONS(1170),
    [aux_sym_switch_block_token1] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1168),
    [anon_sym_BANG] = ACTIONS(1168),
    [anon_sym_AT] = ACTIONS(1168),
    [aux_sym_clone_expression_token1] = ACTIONS(1170),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1170),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1170),
    [anon_sym_DASH_DASH] = ACTIONS(1168),
    [anon_sym_PLUS_PLUS] = ACTIONS(1168),
    [aux_sym__list_destructing_token1] = ACTIONS(1170),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_self] = ACTIONS(1170),
    [anon_sym_parent] = ACTIONS(1170),
    [aux_sym__argument_name_token1] = ACTIONS(1170),
    [aux_sym__argument_name_token2] = ACTIONS(1170),
    [anon_sym_POUND_LBRACK] = ACTIONS(1168),
    [aux_sym_encapsed_string_token1] = ACTIONS(1168),
    [anon_sym_DQUOTE] = ACTIONS(1168),
    [aux_sym_string_token1] = ACTIONS(1168),
    [anon_sym_SQUOTE] = ACTIONS(1168),
    [anon_sym_LT_LT_LT] = ACTIONS(1168),
    [anon_sym_BQUOTE] = ACTIONS(1168),
    [anon_sym_DOLLAR] = ACTIONS(1168),
    [aux_sym_yield_expression_token1] = ACTIONS(1170),
    [aux_sym_include_expression_token1] = ACTIONS(1170),
    [aux_sym_include_once_expression_token1] = ACTIONS(1170),
    [aux_sym_require_expression_token1] = ACTIONS(1170),
    [aux_sym_require_once_expression_token1] = ACTIONS(1170),
    [sym_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_text_interpolation] = STATE(483),
    [ts_builtin_sym_end] = ACTIONS(1172),
    [sym_name] = ACTIONS(1174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1172),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1174),
    [aux_sym_global_declaration_token1] = ACTIONS(1174),
    [aux_sym_namespace_definition_token1] = ACTIONS(1174),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1174),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1174),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1174),
    [anon_sym_BSLASH] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1172),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [aux_sym_trait_declaration_token1] = ACTIONS(1174),
    [aux_sym_interface_declaration_token1] = ACTIONS(1174),
    [aux_sym_enum_declaration_token1] = ACTIONS(1174),
    [aux_sym_enum_case_token1] = ACTIONS(1174),
    [aux_sym_class_declaration_token1] = ACTIONS(1174),
    [aux_sym_final_modifier_token1] = ACTIONS(1174),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1174),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1174),
    [sym_var_modifier] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1174),
    [anon_sym_LPAREN] = ACTIONS(1172),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1174),
    [aux_sym_cast_type_token1] = ACTIONS(1174),
    [aux_sym_echo_statement_token1] = ACTIONS(1174),
    [aux_sym_exit_statement_token1] = ACTIONS(1174),
    [anon_sym_unset] = ACTIONS(1174),
    [aux_sym_declare_statement_token1] = ACTIONS(1174),
    [aux_sym_declare_statement_token2] = ACTIONS(1174),
    [sym_float] = ACTIONS(1174),
    [aux_sym_try_statement_token1] = ACTIONS(1174),
    [aux_sym_goto_statement_token1] = ACTIONS(1174),
    [aux_sym_continue_statement_token1] = ACTIONS(1174),
    [aux_sym_break_statement_token1] = ACTIONS(1174),
    [sym_integer] = ACTIONS(1174),
    [aux_sym_return_statement_token1] = ACTIONS(1174),
    [aux_sym_throw_expression_token1] = ACTIONS(1174),
    [aux_sym_while_statement_token1] = ACTIONS(1174),
    [aux_sym_while_statement_token2] = ACTIONS(1174),
    [aux_sym_do_statement_token1] = ACTIONS(1174),
    [aux_sym_for_statement_token1] = ACTIONS(1174),
    [aux_sym_for_statement_token2] = ACTIONS(1174),
    [aux_sym_foreach_statement_token1] = ACTIONS(1174),
    [aux_sym_foreach_statement_token2] = ACTIONS(1174),
    [aux_sym_if_statement_token1] = ACTIONS(1174),
    [aux_sym_if_statement_token2] = ACTIONS(1174),
    [aux_sym_else_if_clause_token1] = ACTIONS(1174),
    [aux_sym_else_clause_token1] = ACTIONS(1174),
    [aux_sym_match_expression_token1] = ACTIONS(1174),
    [aux_sym_match_default_expression_token1] = ACTIONS(1174),
    [aux_sym_switch_statement_token1] = ACTIONS(1174),
    [aux_sym_switch_block_token1] = ACTIONS(1174),
    [anon_sym_PLUS] = ACTIONS(1174),
    [anon_sym_DASH] = ACTIONS(1174),
    [anon_sym_TILDE] = ACTIONS(1172),
    [anon_sym_BANG] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(1172),
    [aux_sym_clone_expression_token1] = ACTIONS(1174),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1174),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1174),
    [anon_sym_DASH_DASH] = ACTIONS(1172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1172),
    [aux_sym__list_destructing_token1] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_self] = ACTIONS(1174),
    [anon_sym_parent] = ACTIONS(1174),
    [aux_sym__argument_name_token1] = ACTIONS(1174),
    [aux_sym__argument_name_token2] = ACTIONS(1174),
    [anon_sym_POUND_LBRACK] = ACTIONS(1172),
    [aux_sym_encapsed_string_token1] = ACTIONS(1172),
    [anon_sym_DQUOTE] = ACTIONS(1172),
    [aux_sym_string_token1] = ACTIONS(1172),
    [anon_sym_SQUOTE] = ACTIONS(1172),
    [anon_sym_LT_LT_LT] = ACTIONS(1172),
    [anon_sym_BQUOTE] = ACTIONS(1172),
    [anon_sym_DOLLAR] = ACTIONS(1172),
    [aux_sym_yield_expression_token1] = ACTIONS(1174),
    [aux_sym_include_expression_token1] = ACTIONS(1174),
    [aux_sym_include_once_expression_token1] = ACTIONS(1174),
    [aux_sym_require_expression_token1] = ACTIONS(1174),
    [aux_sym_require_once_expression_token1] = ACTIONS(1174),
    [sym_comment] = ACTIONS(5),
  },
  [484] = {
    [sym_text_interpolation] = STATE(484),
    [ts_builtin_sym_end] = ACTIONS(1176),
    [sym_name] = ACTIONS(1178),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1178),
    [aux_sym_global_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_definition_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1178),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1178),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1178),
    [anon_sym_BSLASH] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym_RBRACE] = ACTIONS(1176),
    [aux_sym_trait_declaration_token1] = ACTIONS(1178),
    [aux_sym_interface_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_case_token1] = ACTIONS(1178),
    [aux_sym_class_declaration_token1] = ACTIONS(1178),
    [aux_sym_final_modifier_token1] = ACTIONS(1178),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1178),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1178),
    [sym_var_modifier] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1178),
    [anon_sym_LPAREN] = ACTIONS(1176),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1178),
    [aux_sym_cast_type_token1] = ACTIONS(1178),
    [aux_sym_echo_statement_token1] = ACTIONS(1178),
    [aux_sym_exit_statement_token1] = ACTIONS(1178),
    [anon_sym_unset] = ACTIONS(1178),
    [aux_sym_declare_statement_token1] = ACTIONS(1178),
    [aux_sym_declare_statement_token2] = ACTIONS(1178),
    [sym_float] = ACTIONS(1178),
    [aux_sym_try_statement_token1] = ACTIONS(1178),
    [aux_sym_goto_statement_token1] = ACTIONS(1178),
    [aux_sym_continue_statement_token1] = ACTIONS(1178),
    [aux_sym_break_statement_token1] = ACTIONS(1178),
    [sym_integer] = ACTIONS(1178),
    [aux_sym_return_statement_token1] = ACTIONS(1178),
    [aux_sym_throw_expression_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token2] = ACTIONS(1178),
    [aux_sym_do_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token2] = ACTIONS(1178),
    [aux_sym_foreach_statement_token1] = ACTIONS(1178),
    [aux_sym_foreach_statement_token2] = ACTIONS(1178),
    [aux_sym_if_statement_token1] = ACTIONS(1178),
    [aux_sym_if_statement_token2] = ACTIONS(1178),
    [aux_sym_else_if_clause_token1] = ACTIONS(1178),
    [aux_sym_else_clause_token1] = ACTIONS(1178),
    [aux_sym_match_expression_token1] = ACTIONS(1178),
    [aux_sym_match_default_expression_token1] = ACTIONS(1178),
    [aux_sym_switch_statement_token1] = ACTIONS(1178),
    [aux_sym_switch_block_token1] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1178),
    [anon_sym_DASH] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1176),
    [anon_sym_BANG] = ACTIONS(1176),
    [anon_sym_AT] = ACTIONS(1176),
    [aux_sym_clone_expression_token1] = ACTIONS(1178),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1178),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1178),
    [anon_sym_DASH_DASH] = ACTIONS(1176),
    [anon_sym_PLUS_PLUS] = ACTIONS(1176),
    [aux_sym__list_destructing_token1] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_self] = ACTIONS(1178),
    [anon_sym_parent] = ACTIONS(1178),
    [aux_sym__argument_name_token1] = ACTIONS(1178),
    [aux_sym__argument_name_token2] = ACTIONS(1178),
    [anon_sym_POUND_LBRACK] = ACTIONS(1176),
    [aux_sym_encapsed_string_token1] = ACTIONS(1176),
    [anon_sym_DQUOTE] = ACTIONS(1176),
    [aux_sym_string_token1] = ACTIONS(1176),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [anon_sym_LT_LT_LT] = ACTIONS(1176),
    [anon_sym_BQUOTE] = ACTIONS(1176),
    [anon_sym_DOLLAR] = ACTIONS(1176),
    [aux_sym_yield_expression_token1] = ACTIONS(1178),
    [aux_sym_include_expression_token1] = ACTIONS(1178),
    [aux_sym_include_once_expression_token1] = ACTIONS(1178),
    [aux_sym_require_expression_token1] = ACTIONS(1178),
    [aux_sym_require_once_expression_token1] = ACTIONS(1178),
    [sym_comment] = ACTIONS(5),
  },
  [485] = {
    [sym_text_interpolation] = STATE(485),
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_name] = ACTIONS(1182),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1180),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1182),
    [aux_sym_global_declaration_token1] = ACTIONS(1182),
    [aux_sym_namespace_definition_token1] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1182),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1182),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1182),
    [anon_sym_BSLASH] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_RBRACE] = ACTIONS(1180),
    [aux_sym_trait_declaration_token1] = ACTIONS(1182),
    [aux_sym_interface_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_case_token1] = ACTIONS(1182),
    [aux_sym_class_declaration_token1] = ACTIONS(1182),
    [aux_sym_final_modifier_token1] = ACTIONS(1182),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1182),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1182),
    [sym_var_modifier] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1180),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1182),
    [aux_sym_cast_type_token1] = ACTIONS(1182),
    [aux_sym_echo_statement_token1] = ACTIONS(1182),
    [aux_sym_exit_statement_token1] = ACTIONS(1182),
    [anon_sym_unset] = ACTIONS(1182),
    [aux_sym_declare_statement_token1] = ACTIONS(1182),
    [aux_sym_declare_statement_token2] = ACTIONS(1182),
    [sym_float] = ACTIONS(1182),
    [aux_sym_try_statement_token1] = ACTIONS(1182),
    [aux_sym_goto_statement_token1] = ACTIONS(1182),
    [aux_sym_continue_statement_token1] = ACTIONS(1182),
    [aux_sym_break_statement_token1] = ACTIONS(1182),
    [sym_integer] = ACTIONS(1182),
    [aux_sym_return_statement_token1] = ACTIONS(1182),
    [aux_sym_throw_expression_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token2] = ACTIONS(1182),
    [aux_sym_do_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token2] = ACTIONS(1182),
    [aux_sym_foreach_statement_token1] = ACTIONS(1182),
    [aux_sym_foreach_statement_token2] = ACTIONS(1182),
    [aux_sym_if_statement_token1] = ACTIONS(1182),
    [aux_sym_if_statement_token2] = ACTIONS(1182),
    [aux_sym_else_if_clause_token1] = ACTIONS(1182),
    [aux_sym_else_clause_token1] = ACTIONS(1182),
    [aux_sym_match_expression_token1] = ACTIONS(1182),
    [aux_sym_match_default_expression_token1] = ACTIONS(1182),
    [aux_sym_switch_statement_token1] = ACTIONS(1182),
    [aux_sym_switch_block_token1] = ACTIONS(1182),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_AT] = ACTIONS(1180),
    [aux_sym_clone_expression_token1] = ACTIONS(1182),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1182),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1182),
    [anon_sym_DASH_DASH] = ACTIONS(1180),
    [anon_sym_PLUS_PLUS] = ACTIONS(1180),
    [aux_sym__list_destructing_token1] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_self] = ACTIONS(1182),
    [anon_sym_parent] = ACTIONS(1182),
    [aux_sym__argument_name_token1] = ACTIONS(1182),
    [aux_sym__argument_name_token2] = ACTIONS(1182),
    [anon_sym_POUND_LBRACK] = ACTIONS(1180),
    [aux_sym_encapsed_string_token1] = ACTIONS(1180),
    [anon_sym_DQUOTE] = ACTIONS(1180),
    [aux_sym_string_token1] = ACTIONS(1180),
    [anon_sym_SQUOTE] = ACTIONS(1180),
    [anon_sym_LT_LT_LT] = ACTIONS(1180),
    [anon_sym_BQUOTE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1180),
    [aux_sym_yield_expression_token1] = ACTIONS(1182),
    [aux_sym_include_expression_token1] = ACTIONS(1182),
    [aux_sym_include_once_expression_token1] = ACTIONS(1182),
    [aux_sym_require_expression_token1] = ACTIONS(1182),
    [aux_sym_require_once_expression_token1] = ACTIONS(1182),
    [sym_comment] = ACTIONS(5),
  },
  [486] = {
    [sym_text_interpolation] = STATE(486),
    [ts_builtin_sym_end] = ACTIONS(1184),
    [sym_name] = ACTIONS(1186),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1184),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1186),
    [aux_sym_global_declaration_token1] = ACTIONS(1186),
    [aux_sym_namespace_definition_token1] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1186),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1186),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1186),
    [anon_sym_BSLASH] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1184),
    [aux_sym_trait_declaration_token1] = ACTIONS(1186),
    [aux_sym_interface_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_case_token1] = ACTIONS(1186),
    [aux_sym_class_declaration_token1] = ACTIONS(1186),
    [aux_sym_final_modifier_token1] = ACTIONS(1186),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1186),
    [sym_var_modifier] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1186),
    [aux_sym_cast_type_token1] = ACTIONS(1186),
    [aux_sym_echo_statement_token1] = ACTIONS(1186),
    [aux_sym_exit_statement_token1] = ACTIONS(1186),
    [anon_sym_unset] = ACTIONS(1186),
    [aux_sym_declare_statement_token1] = ACTIONS(1186),
    [aux_sym_declare_statement_token2] = ACTIONS(1186),
    [sym_float] = ACTIONS(1186),
    [aux_sym_try_statement_token1] = ACTIONS(1186),
    [aux_sym_goto_statement_token1] = ACTIONS(1186),
    [aux_sym_continue_statement_token1] = ACTIONS(1186),
    [aux_sym_break_statement_token1] = ACTIONS(1186),
    [sym_integer] = ACTIONS(1186),
    [aux_sym_return_statement_token1] = ACTIONS(1186),
    [aux_sym_throw_expression_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token2] = ACTIONS(1186),
    [aux_sym_do_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token2] = ACTIONS(1186),
    [aux_sym_foreach_statement_token1] = ACTIONS(1186),
    [aux_sym_foreach_statement_token2] = ACTIONS(1186),
    [aux_sym_if_statement_token1] = ACTIONS(1186),
    [aux_sym_if_statement_token2] = ACTIONS(1186),
    [aux_sym_else_if_clause_token1] = ACTIONS(1186),
    [aux_sym_else_clause_token1] = ACTIONS(1186),
    [aux_sym_match_expression_token1] = ACTIONS(1186),
    [aux_sym_match_default_expression_token1] = ACTIONS(1186),
    [aux_sym_switch_statement_token1] = ACTIONS(1186),
    [aux_sym_switch_block_token1] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1184),
    [anon_sym_AT] = ACTIONS(1184),
    [aux_sym_clone_expression_token1] = ACTIONS(1186),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1186),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1186),
    [anon_sym_DASH_DASH] = ACTIONS(1184),
    [anon_sym_PLUS_PLUS] = ACTIONS(1184),
    [aux_sym__list_destructing_token1] = ACTIONS(1186),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_self] = ACTIONS(1186),
    [anon_sym_parent] = ACTIONS(1186),
    [aux_sym__argument_name_token1] = ACTIONS(1186),
    [aux_sym__argument_name_token2] = ACTIONS(1186),
    [anon_sym_POUND_LBRACK] = ACTIONS(1184),
    [aux_sym_encapsed_string_token1] = ACTIONS(1184),
    [anon_sym_DQUOTE] = ACTIONS(1184),
    [aux_sym_string_token1] = ACTIONS(1184),
    [anon_sym_SQUOTE] = ACTIONS(1184),
    [anon_sym_LT_LT_LT] = ACTIONS(1184),
    [anon_sym_BQUOTE] = ACTIONS(1184),
    [anon_sym_DOLLAR] = ACTIONS(1184),
    [aux_sym_yield_expression_token1] = ACTIONS(1186),
    [aux_sym_include_expression_token1] = ACTIONS(1186),
    [aux_sym_include_once_expression_token1] = ACTIONS(1186),
    [aux_sym_require_expression_token1] = ACTIONS(1186),
    [aux_sym_require_once_expression_token1] = ACTIONS(1186),
    [sym_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_text_interpolation] = STATE(487),
    [ts_builtin_sym_end] = ACTIONS(1188),
    [sym_name] = ACTIONS(1190),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1188),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1190),
    [aux_sym_global_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_definition_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1190),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1190),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1190),
    [anon_sym_BSLASH] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [aux_sym_trait_declaration_token1] = ACTIONS(1190),
    [aux_sym_interface_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_case_token1] = ACTIONS(1190),
    [aux_sym_class_declaration_token1] = ACTIONS(1190),
    [aux_sym_final_modifier_token1] = ACTIONS(1190),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1190),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1190),
    [sym_var_modifier] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1190),
    [aux_sym_cast_type_token1] = ACTIONS(1190),
    [aux_sym_echo_statement_token1] = ACTIONS(1190),
    [aux_sym_exit_statement_token1] = ACTIONS(1190),
    [anon_sym_unset] = ACTIONS(1190),
    [aux_sym_declare_statement_token1] = ACTIONS(1190),
    [aux_sym_declare_statement_token2] = ACTIONS(1190),
    [sym_float] = ACTIONS(1190),
    [aux_sym_try_statement_token1] = ACTIONS(1190),
    [aux_sym_goto_statement_token1] = ACTIONS(1190),
    [aux_sym_continue_statement_token1] = ACTIONS(1190),
    [aux_sym_break_statement_token1] = ACTIONS(1190),
    [sym_integer] = ACTIONS(1190),
    [aux_sym_return_statement_token1] = ACTIONS(1190),
    [aux_sym_throw_expression_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token2] = ACTIONS(1190),
    [aux_sym_do_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token2] = ACTIONS(1190),
    [aux_sym_foreach_statement_token1] = ACTIONS(1190),
    [aux_sym_foreach_statement_token2] = ACTIONS(1190),
    [aux_sym_if_statement_token1] = ACTIONS(1190),
    [aux_sym_if_statement_token2] = ACTIONS(1190),
    [aux_sym_else_if_clause_token1] = ACTIONS(1190),
    [aux_sym_else_clause_token1] = ACTIONS(1190),
    [aux_sym_match_expression_token1] = ACTIONS(1190),
    [aux_sym_match_default_expression_token1] = ACTIONS(1190),
    [aux_sym_switch_statement_token1] = ACTIONS(1190),
    [aux_sym_switch_block_token1] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_AT] = ACTIONS(1188),
    [aux_sym_clone_expression_token1] = ACTIONS(1190),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1190),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [aux_sym__list_destructing_token1] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_self] = ACTIONS(1190),
    [anon_sym_parent] = ACTIONS(1190),
    [aux_sym__argument_name_token1] = ACTIONS(1190),
    [aux_sym__argument_name_token2] = ACTIONS(1190),
    [anon_sym_POUND_LBRACK] = ACTIONS(1188),
    [aux_sym_encapsed_string_token1] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [aux_sym_string_token1] = ACTIONS(1188),
    [anon_sym_SQUOTE] = ACTIONS(1188),
    [anon_sym_LT_LT_LT] = ACTIONS(1188),
    [anon_sym_BQUOTE] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1188),
    [aux_sym_yield_expression_token1] = ACTIONS(1190),
    [aux_sym_include_expression_token1] = ACTIONS(1190),
    [aux_sym_include_once_expression_token1] = ACTIONS(1190),
    [aux_sym_require_expression_token1] = ACTIONS(1190),
    [aux_sym_require_once_expression_token1] = ACTIONS(1190),
    [sym_comment] = ACTIONS(5),
  },
  [488] = {
    [sym_text_interpolation] = STATE(488),
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_name] = ACTIONS(1194),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1192),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1194),
    [aux_sym_global_declaration_token1] = ACTIONS(1194),
    [aux_sym_namespace_definition_token1] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1194),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1194),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1194),
    [anon_sym_BSLASH] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [aux_sym_trait_declaration_token1] = ACTIONS(1194),
    [aux_sym_interface_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_case_token1] = ACTIONS(1194),
    [aux_sym_class_declaration_token1] = ACTIONS(1194),
    [aux_sym_final_modifier_token1] = ACTIONS(1194),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1194),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1194),
    [sym_var_modifier] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1194),
    [aux_sym_cast_type_token1] = ACTIONS(1194),
    [aux_sym_echo_statement_token1] = ACTIONS(1194),
    [aux_sym_exit_statement_token1] = ACTIONS(1194),
    [anon_sym_unset] = ACTIONS(1194),
    [aux_sym_declare_statement_token1] = ACTIONS(1194),
    [aux_sym_declare_statement_token2] = ACTIONS(1194),
    [sym_float] = ACTIONS(1194),
    [aux_sym_try_statement_token1] = ACTIONS(1194),
    [aux_sym_goto_statement_token1] = ACTIONS(1194),
    [aux_sym_continue_statement_token1] = ACTIONS(1194),
    [aux_sym_break_statement_token1] = ACTIONS(1194),
    [sym_integer] = ACTIONS(1194),
    [aux_sym_return_statement_token1] = ACTIONS(1194),
    [aux_sym_throw_expression_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token2] = ACTIONS(1194),
    [aux_sym_do_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token2] = ACTIONS(1194),
    [aux_sym_foreach_statement_token1] = ACTIONS(1194),
    [aux_sym_foreach_statement_token2] = ACTIONS(1194),
    [aux_sym_if_statement_token1] = ACTIONS(1194),
    [aux_sym_if_statement_token2] = ACTIONS(1194),
    [aux_sym_else_if_clause_token1] = ACTIONS(1194),
    [aux_sym_else_clause_token1] = ACTIONS(1194),
    [aux_sym_match_expression_token1] = ACTIONS(1194),
    [aux_sym_match_default_expression_token1] = ACTIONS(1194),
    [aux_sym_switch_statement_token1] = ACTIONS(1194),
    [aux_sym_switch_block_token1] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1192),
    [aux_sym_clone_expression_token1] = ACTIONS(1194),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1194),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [aux_sym__list_destructing_token1] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_self] = ACTIONS(1194),
    [anon_sym_parent] = ACTIONS(1194),
    [aux_sym__argument_name_token1] = ACTIONS(1194),
    [aux_sym__argument_name_token2] = ACTIONS(1194),
    [anon_sym_POUND_LBRACK] = ACTIONS(1192),
    [aux_sym_encapsed_string_token1] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [aux_sym_string_token1] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_LT_LT_LT] = ACTIONS(1192),
    [anon_sym_BQUOTE] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1192),
    [aux_sym_yield_expression_token1] = ACTIONS(1194),
    [aux_sym_include_expression_token1] = ACTIONS(1194),
    [aux_sym_include_once_expression_token1] = ACTIONS(1194),
    [aux_sym_require_expression_token1] = ACTIONS(1194),
    [aux_sym_require_once_expression_token1] = ACTIONS(1194),
    [sym_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_text_interpolation] = STATE(489),
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_name] = ACTIONS(1198),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1196),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1198),
    [aux_sym_global_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_definition_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1198),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1198),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1198),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [aux_sym_trait_declaration_token1] = ACTIONS(1198),
    [aux_sym_interface_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_case_token1] = ACTIONS(1198),
    [aux_sym_class_declaration_token1] = ACTIONS(1198),
    [aux_sym_final_modifier_token1] = ACTIONS(1198),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1198),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1198),
    [sym_var_modifier] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1198),
    [aux_sym_cast_type_token1] = ACTIONS(1198),
    [aux_sym_echo_statement_token1] = ACTIONS(1198),
    [aux_sym_exit_statement_token1] = ACTIONS(1198),
    [anon_sym_unset] = ACTIONS(1198),
    [aux_sym_declare_statement_token1] = ACTIONS(1198),
    [aux_sym_declare_statement_token2] = ACTIONS(1198),
    [sym_float] = ACTIONS(1198),
    [aux_sym_try_statement_token1] = ACTIONS(1198),
    [aux_sym_goto_statement_token1] = ACTIONS(1198),
    [aux_sym_continue_statement_token1] = ACTIONS(1198),
    [aux_sym_break_statement_token1] = ACTIONS(1198),
    [sym_integer] = ACTIONS(1198),
    [aux_sym_return_statement_token1] = ACTIONS(1198),
    [aux_sym_throw_expression_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token2] = ACTIONS(1198),
    [aux_sym_do_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token2] = ACTIONS(1198),
    [aux_sym_foreach_statement_token1] = ACTIONS(1198),
    [aux_sym_foreach_statement_token2] = ACTIONS(1198),
    [aux_sym_if_statement_token1] = ACTIONS(1198),
    [aux_sym_if_statement_token2] = ACTIONS(1198),
    [aux_sym_else_if_clause_token1] = ACTIONS(1198),
    [aux_sym_else_clause_token1] = ACTIONS(1198),
    [aux_sym_match_expression_token1] = ACTIONS(1198),
    [aux_sym_match_default_expression_token1] = ACTIONS(1198),
    [aux_sym_switch_statement_token1] = ACTIONS(1198),
    [aux_sym_switch_block_token1] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_AT] = ACTIONS(1196),
    [aux_sym_clone_expression_token1] = ACTIONS(1198),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1198),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [aux_sym__list_destructing_token1] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_self] = ACTIONS(1198),
    [anon_sym_parent] = ACTIONS(1198),
    [aux_sym__argument_name_token1] = ACTIONS(1198),
    [aux_sym__argument_name_token2] = ACTIONS(1198),
    [anon_sym_POUND_LBRACK] = ACTIONS(1196),
    [aux_sym_encapsed_string_token1] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [aux_sym_string_token1] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [anon_sym_LT_LT_LT] = ACTIONS(1196),
    [anon_sym_BQUOTE] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1196),
    [aux_sym_yield_expression_token1] = ACTIONS(1198),
    [aux_sym_include_expression_token1] = ACTIONS(1198),
    [aux_sym_include_once_expression_token1] = ACTIONS(1198),
    [aux_sym_require_expression_token1] = ACTIONS(1198),
    [aux_sym_require_once_expression_token1] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
  },
  [490] = {
    [sym_text_interpolation] = STATE(490),
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_name] = ACTIONS(1202),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1200),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1202),
    [aux_sym_global_declaration_token1] = ACTIONS(1202),
    [aux_sym_namespace_definition_token1] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1202),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1202),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1202),
    [anon_sym_BSLASH] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [aux_sym_trait_declaration_token1] = ACTIONS(1202),
    [aux_sym_interface_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_case_token1] = ACTIONS(1202),
    [aux_sym_class_declaration_token1] = ACTIONS(1202),
    [aux_sym_final_modifier_token1] = ACTIONS(1202),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1202),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1202),
    [sym_var_modifier] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1202),
    [aux_sym_cast_type_token1] = ACTIONS(1202),
    [aux_sym_echo_statement_token1] = ACTIONS(1202),
    [aux_sym_exit_statement_token1] = ACTIONS(1202),
    [anon_sym_unset] = ACTIONS(1202),
    [aux_sym_declare_statement_token1] = ACTIONS(1202),
    [aux_sym_declare_statement_token2] = ACTIONS(1202),
    [sym_float] = ACTIONS(1202),
    [aux_sym_try_statement_token1] = ACTIONS(1202),
    [aux_sym_goto_statement_token1] = ACTIONS(1202),
    [aux_sym_continue_statement_token1] = ACTIONS(1202),
    [aux_sym_break_statement_token1] = ACTIONS(1202),
    [sym_integer] = ACTIONS(1202),
    [aux_sym_return_statement_token1] = ACTIONS(1202),
    [aux_sym_throw_expression_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token2] = ACTIONS(1202),
    [aux_sym_do_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token2] = ACTIONS(1202),
    [aux_sym_foreach_statement_token1] = ACTIONS(1202),
    [aux_sym_foreach_statement_token2] = ACTIONS(1202),
    [aux_sym_if_statement_token1] = ACTIONS(1202),
    [aux_sym_if_statement_token2] = ACTIONS(1202),
    [aux_sym_else_if_clause_token1] = ACTIONS(1202),
    [aux_sym_else_clause_token1] = ACTIONS(1202),
    [aux_sym_match_expression_token1] = ACTIONS(1202),
    [aux_sym_match_default_expression_token1] = ACTIONS(1202),
    [aux_sym_switch_statement_token1] = ACTIONS(1202),
    [aux_sym_switch_block_token1] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1200),
    [anon_sym_AT] = ACTIONS(1200),
    [aux_sym_clone_expression_token1] = ACTIONS(1202),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1202),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1202),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [aux_sym__list_destructing_token1] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_self] = ACTIONS(1202),
    [anon_sym_parent] = ACTIONS(1202),
    [aux_sym__argument_name_token1] = ACTIONS(1202),
    [aux_sym__argument_name_token2] = ACTIONS(1202),
    [anon_sym_POUND_LBRACK] = ACTIONS(1200),
    [aux_sym_encapsed_string_token1] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [aux_sym_string_token1] = ACTIONS(1200),
    [anon_sym_SQUOTE] = ACTIONS(1200),
    [anon_sym_LT_LT_LT] = ACTIONS(1200),
    [anon_sym_BQUOTE] = ACTIONS(1200),
    [anon_sym_DOLLAR] = ACTIONS(1200),
    [aux_sym_yield_expression_token1] = ACTIONS(1202),
    [aux_sym_include_expression_token1] = ACTIONS(1202),
    [aux_sym_include_once_expression_token1] = ACTIONS(1202),
    [aux_sym_require_expression_token1] = ACTIONS(1202),
    [aux_sym_require_once_expression_token1] = ACTIONS(1202),
    [sym_comment] = ACTIONS(5),
  },
  [491] = {
    [sym_text_interpolation] = STATE(491),
    [ts_builtin_sym_end] = ACTIONS(1204),
    [sym_name] = ACTIONS(1206),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1206),
    [aux_sym_global_declaration_token1] = ACTIONS(1206),
    [aux_sym_namespace_definition_token1] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1206),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1206),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1206),
    [anon_sym_BSLASH] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_RBRACE] = ACTIONS(1204),
    [aux_sym_trait_declaration_token1] = ACTIONS(1206),
    [aux_sym_interface_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_case_token1] = ACTIONS(1206),
    [aux_sym_class_declaration_token1] = ACTIONS(1206),
    [aux_sym_final_modifier_token1] = ACTIONS(1206),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1206),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1206),
    [sym_var_modifier] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1206),
    [aux_sym_cast_type_token1] = ACTIONS(1206),
    [aux_sym_echo_statement_token1] = ACTIONS(1206),
    [aux_sym_exit_statement_token1] = ACTIONS(1206),
    [anon_sym_unset] = ACTIONS(1206),
    [aux_sym_declare_statement_token1] = ACTIONS(1206),
    [aux_sym_declare_statement_token2] = ACTIONS(1206),
    [sym_float] = ACTIONS(1206),
    [aux_sym_try_statement_token1] = ACTIONS(1206),
    [aux_sym_goto_statement_token1] = ACTIONS(1206),
    [aux_sym_continue_statement_token1] = ACTIONS(1206),
    [aux_sym_break_statement_token1] = ACTIONS(1206),
    [sym_integer] = ACTIONS(1206),
    [aux_sym_return_statement_token1] = ACTIONS(1206),
    [aux_sym_throw_expression_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token2] = ACTIONS(1206),
    [aux_sym_do_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token2] = ACTIONS(1206),
    [aux_sym_foreach_statement_token1] = ACTIONS(1206),
    [aux_sym_foreach_statement_token2] = ACTIONS(1206),
    [aux_sym_if_statement_token1] = ACTIONS(1206),
    [aux_sym_if_statement_token2] = ACTIONS(1206),
    [aux_sym_else_if_clause_token1] = ACTIONS(1206),
    [aux_sym_else_clause_token1] = ACTIONS(1206),
    [aux_sym_match_expression_token1] = ACTIONS(1206),
    [aux_sym_match_default_expression_token1] = ACTIONS(1206),
    [aux_sym_switch_statement_token1] = ACTIONS(1206),
    [aux_sym_switch_block_token1] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1204),
    [anon_sym_AT] = ACTIONS(1204),
    [aux_sym_clone_expression_token1] = ACTIONS(1206),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1206),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1206),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [aux_sym__list_destructing_token1] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1204),
    [anon_sym_self] = ACTIONS(1206),
    [anon_sym_parent] = ACTIONS(1206),
    [aux_sym__argument_name_token1] = ACTIONS(1206),
    [aux_sym__argument_name_token2] = ACTIONS(1206),
    [anon_sym_POUND_LBRACK] = ACTIONS(1204),
    [aux_sym_encapsed_string_token1] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [aux_sym_string_token1] = ACTIONS(1204),
    [anon_sym_SQUOTE] = ACTIONS(1204),
    [anon_sym_LT_LT_LT] = ACTIONS(1204),
    [anon_sym_BQUOTE] = ACTIONS(1204),
    [anon_sym_DOLLAR] = ACTIONS(1204),
    [aux_sym_yield_expression_token1] = ACTIONS(1206),
    [aux_sym_include_expression_token1] = ACTIONS(1206),
    [aux_sym_include_once_expression_token1] = ACTIONS(1206),
    [aux_sym_require_expression_token1] = ACTIONS(1206),
    [aux_sym_require_once_expression_token1] = ACTIONS(1206),
    [sym_comment] = ACTIONS(5),
  },
  [492] = {
    [sym_text_interpolation] = STATE(492),
    [ts_builtin_sym_end] = ACTIONS(1208),
    [sym_name] = ACTIONS(1210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1208),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1210),
    [aux_sym_global_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_definition_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1210),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1210),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1210),
    [anon_sym_BSLASH] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [aux_sym_trait_declaration_token1] = ACTIONS(1210),
    [aux_sym_interface_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_case_token1] = ACTIONS(1210),
    [aux_sym_class_declaration_token1] = ACTIONS(1210),
    [aux_sym_final_modifier_token1] = ACTIONS(1210),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1210),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1210),
    [sym_var_modifier] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1210),
    [anon_sym_LPAREN] = ACTIONS(1208),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1210),
    [aux_sym_cast_type_token1] = ACTIONS(1210),
    [aux_sym_echo_statement_token1] = ACTIONS(1210),
    [aux_sym_exit_statement_token1] = ACTIONS(1210),
    [anon_sym_unset] = ACTIONS(1210),
    [aux_sym_declare_statement_token1] = ACTIONS(1210),
    [aux_sym_declare_statement_token2] = ACTIONS(1210),
    [sym_float] = ACTIONS(1210),
    [aux_sym_try_statement_token1] = ACTIONS(1210),
    [aux_sym_goto_statement_token1] = ACTIONS(1210),
    [aux_sym_continue_statement_token1] = ACTIONS(1210),
    [aux_sym_break_statement_token1] = ACTIONS(1210),
    [sym_integer] = ACTIONS(1210),
    [aux_sym_return_statement_token1] = ACTIONS(1210),
    [aux_sym_throw_expression_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token2] = ACTIONS(1210),
    [aux_sym_do_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token2] = ACTIONS(1210),
    [aux_sym_foreach_statement_token1] = ACTIONS(1210),
    [aux_sym_foreach_statement_token2] = ACTIONS(1210),
    [aux_sym_if_statement_token1] = ACTIONS(1210),
    [aux_sym_if_statement_token2] = ACTIONS(1210),
    [aux_sym_else_if_clause_token1] = ACTIONS(1210),
    [aux_sym_else_clause_token1] = ACTIONS(1210),
    [aux_sym_match_expression_token1] = ACTIONS(1210),
    [aux_sym_match_default_expression_token1] = ACTIONS(1210),
    [aux_sym_switch_statement_token1] = ACTIONS(1210),
    [aux_sym_switch_block_token1] = ACTIONS(1210),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_AT] = ACTIONS(1208),
    [aux_sym_clone_expression_token1] = ACTIONS(1210),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1210),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1210),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [aux_sym__list_destructing_token1] = ACTIONS(1210),
    [anon_sym_LBRACK] = ACTIONS(1208),
    [anon_sym_self] = ACTIONS(1210),
    [anon_sym_parent] = ACTIONS(1210),
    [aux_sym__argument_name_token1] = ACTIONS(1210),
    [aux_sym__argument_name_token2] = ACTIONS(1210),
    [anon_sym_POUND_LBRACK] = ACTIONS(1208),
    [aux_sym_encapsed_string_token1] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [aux_sym_string_token1] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_LT_LT_LT] = ACTIONS(1208),
    [anon_sym_BQUOTE] = ACTIONS(1208),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [aux_sym_yield_expression_token1] = ACTIONS(1210),
    [aux_sym_include_expression_token1] = ACTIONS(1210),
    [aux_sym_include_once_expression_token1] = ACTIONS(1210),
    [aux_sym_require_expression_token1] = ACTIONS(1210),
    [aux_sym_require_once_expression_token1] = ACTIONS(1210),
    [sym_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_text_interpolation] = STATE(493),
    [ts_builtin_sym_end] = ACTIONS(1212),
    [sym_name] = ACTIONS(1214),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1214),
    [aux_sym_global_declaration_token1] = ACTIONS(1214),
    [aux_sym_namespace_definition_token1] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1214),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1214),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1214),
    [anon_sym_BSLASH] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_RBRACE] = ACTIONS(1212),
    [aux_sym_trait_declaration_token1] = ACTIONS(1214),
    [aux_sym_interface_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_case_token1] = ACTIONS(1214),
    [aux_sym_class_declaration_token1] = ACTIONS(1214),
    [aux_sym_final_modifier_token1] = ACTIONS(1214),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1214),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1214),
    [sym_var_modifier] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1214),
    [aux_sym_cast_type_token1] = ACTIONS(1214),
    [aux_sym_echo_statement_token1] = ACTIONS(1214),
    [aux_sym_exit_statement_token1] = ACTIONS(1214),
    [anon_sym_unset] = ACTIONS(1214),
    [aux_sym_declare_statement_token1] = ACTIONS(1214),
    [aux_sym_declare_statement_token2] = ACTIONS(1214),
    [sym_float] = ACTIONS(1214),
    [aux_sym_try_statement_token1] = ACTIONS(1214),
    [aux_sym_goto_statement_token1] = ACTIONS(1214),
    [aux_sym_continue_statement_token1] = ACTIONS(1214),
    [aux_sym_break_statement_token1] = ACTIONS(1214),
    [sym_integer] = ACTIONS(1214),
    [aux_sym_return_statement_token1] = ACTIONS(1214),
    [aux_sym_throw_expression_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token2] = ACTIONS(1214),
    [aux_sym_do_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token2] = ACTIONS(1214),
    [aux_sym_foreach_statement_token1] = ACTIONS(1214),
    [aux_sym_foreach_statement_token2] = ACTIONS(1214),
    [aux_sym_if_statement_token1] = ACTIONS(1214),
    [aux_sym_if_statement_token2] = ACTIONS(1214),
    [aux_sym_else_if_clause_token1] = ACTIONS(1214),
    [aux_sym_else_clause_token1] = ACTIONS(1214),
    [aux_sym_match_expression_token1] = ACTIONS(1214),
    [aux_sym_match_default_expression_token1] = ACTIONS(1214),
    [aux_sym_switch_statement_token1] = ACTIONS(1214),
    [aux_sym_switch_block_token1] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_BANG] = ACTIONS(1212),
    [anon_sym_AT] = ACTIONS(1212),
    [aux_sym_clone_expression_token1] = ACTIONS(1214),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1214),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1212),
    [aux_sym__list_destructing_token1] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_self] = ACTIONS(1214),
    [anon_sym_parent] = ACTIONS(1214),
    [aux_sym__argument_name_token1] = ACTIONS(1214),
    [aux_sym__argument_name_token2] = ACTIONS(1214),
    [anon_sym_POUND_LBRACK] = ACTIONS(1212),
    [aux_sym_encapsed_string_token1] = ACTIONS(1212),
    [anon_sym_DQUOTE] = ACTIONS(1212),
    [aux_sym_string_token1] = ACTIONS(1212),
    [anon_sym_SQUOTE] = ACTIONS(1212),
    [anon_sym_LT_LT_LT] = ACTIONS(1212),
    [anon_sym_BQUOTE] = ACTIONS(1212),
    [anon_sym_DOLLAR] = ACTIONS(1212),
    [aux_sym_yield_expression_token1] = ACTIONS(1214),
    [aux_sym_include_expression_token1] = ACTIONS(1214),
    [aux_sym_include_once_expression_token1] = ACTIONS(1214),
    [aux_sym_require_expression_token1] = ACTIONS(1214),
    [aux_sym_require_once_expression_token1] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_text_interpolation] = STATE(494),
    [ts_builtin_sym_end] = ACTIONS(1216),
    [sym_name] = ACTIONS(1218),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1216),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1218),
    [aux_sym_global_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_definition_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1218),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1218),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1218),
    [anon_sym_BSLASH] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_RBRACE] = ACTIONS(1216),
    [aux_sym_trait_declaration_token1] = ACTIONS(1218),
    [aux_sym_interface_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_case_token1] = ACTIONS(1218),
    [aux_sym_class_declaration_token1] = ACTIONS(1218),
    [aux_sym_final_modifier_token1] = ACTIONS(1218),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1218),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1218),
    [sym_var_modifier] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1216),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1218),
    [aux_sym_cast_type_token1] = ACTIONS(1218),
    [aux_sym_echo_statement_token1] = ACTIONS(1218),
    [aux_sym_exit_statement_token1] = ACTIONS(1218),
    [anon_sym_unset] = ACTIONS(1218),
    [aux_sym_declare_statement_token1] = ACTIONS(1218),
    [aux_sym_declare_statement_token2] = ACTIONS(1218),
    [sym_float] = ACTIONS(1218),
    [aux_sym_try_statement_token1] = ACTIONS(1218),
    [aux_sym_goto_statement_token1] = ACTIONS(1218),
    [aux_sym_continue_statement_token1] = ACTIONS(1218),
    [aux_sym_break_statement_token1] = ACTIONS(1218),
    [sym_integer] = ACTIONS(1218),
    [aux_sym_return_statement_token1] = ACTIONS(1218),
    [aux_sym_throw_expression_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token2] = ACTIONS(1218),
    [aux_sym_do_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token2] = ACTIONS(1218),
    [aux_sym_foreach_statement_token1] = ACTIONS(1218),
    [aux_sym_foreach_statement_token2] = ACTIONS(1218),
    [aux_sym_if_statement_token1] = ACTIONS(1218),
    [aux_sym_if_statement_token2] = ACTIONS(1218),
    [aux_sym_else_if_clause_token1] = ACTIONS(1218),
    [aux_sym_else_clause_token1] = ACTIONS(1218),
    [aux_sym_match_expression_token1] = ACTIONS(1218),
    [aux_sym_match_default_expression_token1] = ACTIONS(1218),
    [aux_sym_switch_statement_token1] = ACTIONS(1218),
    [aux_sym_switch_block_token1] = ACTIONS(1218),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_AT] = ACTIONS(1216),
    [aux_sym_clone_expression_token1] = ACTIONS(1218),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1218),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1218),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [aux_sym__list_destructing_token1] = ACTIONS(1218),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_self] = ACTIONS(1218),
    [anon_sym_parent] = ACTIONS(1218),
    [aux_sym__argument_name_token1] = ACTIONS(1218),
    [aux_sym__argument_name_token2] = ACTIONS(1218),
    [anon_sym_POUND_LBRACK] = ACTIONS(1216),
    [aux_sym_encapsed_string_token1] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1216),
    [aux_sym_string_token1] = ACTIONS(1216),
    [anon_sym_SQUOTE] = ACTIONS(1216),
    [anon_sym_LT_LT_LT] = ACTIONS(1216),
    [anon_sym_BQUOTE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1216),
    [aux_sym_yield_expression_token1] = ACTIONS(1218),
    [aux_sym_include_expression_token1] = ACTIONS(1218),
    [aux_sym_include_once_expression_token1] = ACTIONS(1218),
    [aux_sym_require_expression_token1] = ACTIONS(1218),
    [aux_sym_require_once_expression_token1] = ACTIONS(1218),
    [sym_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_text_interpolation] = STATE(495),
    [ts_builtin_sym_end] = ACTIONS(1220),
    [sym_name] = ACTIONS(1222),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1220),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1222),
    [aux_sym_global_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_definition_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1222),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1222),
    [anon_sym_BSLASH] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1220),
    [anon_sym_RBRACE] = ACTIONS(1220),
    [aux_sym_trait_declaration_token1] = ACTIONS(1222),
    [aux_sym_interface_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_case_token1] = ACTIONS(1222),
    [aux_sym_class_declaration_token1] = ACTIONS(1222),
    [aux_sym_final_modifier_token1] = ACTIONS(1222),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1222),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1222),
    [sym_var_modifier] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1222),
    [anon_sym_LPAREN] = ACTIONS(1220),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1222),
    [aux_sym_cast_type_token1] = ACTIONS(1222),
    [aux_sym_echo_statement_token1] = ACTIONS(1222),
    [aux_sym_exit_statement_token1] = ACTIONS(1222),
    [anon_sym_unset] = ACTIONS(1222),
    [aux_sym_declare_statement_token1] = ACTIONS(1222),
    [aux_sym_declare_statement_token2] = ACTIONS(1222),
    [sym_float] = ACTIONS(1222),
    [aux_sym_try_statement_token1] = ACTIONS(1222),
    [aux_sym_goto_statement_token1] = ACTIONS(1222),
    [aux_sym_continue_statement_token1] = ACTIONS(1222),
    [aux_sym_break_statement_token1] = ACTIONS(1222),
    [sym_integer] = ACTIONS(1222),
    [aux_sym_return_statement_token1] = ACTIONS(1222),
    [aux_sym_throw_expression_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token2] = ACTIONS(1222),
    [aux_sym_do_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token2] = ACTIONS(1222),
    [aux_sym_foreach_statement_token1] = ACTIONS(1222),
    [aux_sym_foreach_statement_token2] = ACTIONS(1222),
    [aux_sym_if_statement_token1] = ACTIONS(1222),
    [aux_sym_if_statement_token2] = ACTIONS(1222),
    [aux_sym_else_if_clause_token1] = ACTIONS(1222),
    [aux_sym_else_clause_token1] = ACTIONS(1222),
    [aux_sym_match_expression_token1] = ACTIONS(1222),
    [aux_sym_match_default_expression_token1] = ACTIONS(1222),
    [aux_sym_switch_statement_token1] = ACTIONS(1222),
    [aux_sym_switch_block_token1] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1220),
    [anon_sym_BANG] = ACTIONS(1220),
    [anon_sym_AT] = ACTIONS(1220),
    [aux_sym_clone_expression_token1] = ACTIONS(1222),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1222),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [aux_sym__list_destructing_token1] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1220),
    [anon_sym_self] = ACTIONS(1222),
    [anon_sym_parent] = ACTIONS(1222),
    [aux_sym__argument_name_token1] = ACTIONS(1222),
    [aux_sym__argument_name_token2] = ACTIONS(1222),
    [anon_sym_POUND_LBRACK] = ACTIONS(1220),
    [aux_sym_encapsed_string_token1] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [aux_sym_string_token1] = ACTIONS(1220),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [anon_sym_LT_LT_LT] = ACTIONS(1220),
    [anon_sym_BQUOTE] = ACTIONS(1220),
    [anon_sym_DOLLAR] = ACTIONS(1220),
    [aux_sym_yield_expression_token1] = ACTIONS(1222),
    [aux_sym_include_expression_token1] = ACTIONS(1222),
    [aux_sym_include_once_expression_token1] = ACTIONS(1222),
    [aux_sym_require_expression_token1] = ACTIONS(1222),
    [aux_sym_require_once_expression_token1] = ACTIONS(1222),
    [sym_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_text_interpolation] = STATE(496),
    [ts_builtin_sym_end] = ACTIONS(1124),
    [sym_name] = ACTIONS(1126),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1124),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1126),
    [aux_sym_global_declaration_token1] = ACTIONS(1126),
    [aux_sym_namespace_definition_token1] = ACTIONS(1126),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1126),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1126),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1126),
    [anon_sym_BSLASH] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1124),
    [anon_sym_RBRACE] = ACTIONS(1124),
    [aux_sym_trait_declaration_token1] = ACTIONS(1126),
    [aux_sym_interface_declaration_token1] = ACTIONS(1126),
    [aux_sym_enum_declaration_token1] = ACTIONS(1126),
    [aux_sym_enum_case_token1] = ACTIONS(1126),
    [aux_sym_class_declaration_token1] = ACTIONS(1126),
    [aux_sym_final_modifier_token1] = ACTIONS(1126),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1126),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1126),
    [sym_var_modifier] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1126),
    [anon_sym_LPAREN] = ACTIONS(1124),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1126),
    [aux_sym_cast_type_token1] = ACTIONS(1126),
    [aux_sym_echo_statement_token1] = ACTIONS(1126),
    [aux_sym_exit_statement_token1] = ACTIONS(1126),
    [anon_sym_unset] = ACTIONS(1126),
    [aux_sym_declare_statement_token1] = ACTIONS(1126),
    [aux_sym_declare_statement_token2] = ACTIONS(1126),
    [sym_float] = ACTIONS(1126),
    [aux_sym_try_statement_token1] = ACTIONS(1126),
    [aux_sym_goto_statement_token1] = ACTIONS(1126),
    [aux_sym_continue_statement_token1] = ACTIONS(1126),
    [aux_sym_break_statement_token1] = ACTIONS(1126),
    [sym_integer] = ACTIONS(1126),
    [aux_sym_return_statement_token1] = ACTIONS(1126),
    [aux_sym_throw_expression_token1] = ACTIONS(1126),
    [aux_sym_while_statement_token1] = ACTIONS(1126),
    [aux_sym_while_statement_token2] = ACTIONS(1126),
    [aux_sym_do_statement_token1] = ACTIONS(1126),
    [aux_sym_for_statement_token1] = ACTIONS(1126),
    [aux_sym_for_statement_token2] = ACTIONS(1126),
    [aux_sym_foreach_statement_token1] = ACTIONS(1126),
    [aux_sym_foreach_statement_token2] = ACTIONS(1126),
    [aux_sym_if_statement_token1] = ACTIONS(1126),
    [aux_sym_if_statement_token2] = ACTIONS(1126),
    [aux_sym_else_if_clause_token1] = ACTIONS(1126),
    [aux_sym_else_clause_token1] = ACTIONS(1126),
    [aux_sym_match_expression_token1] = ACTIONS(1126),
    [aux_sym_match_default_expression_token1] = ACTIONS(1126),
    [aux_sym_switch_statement_token1] = ACTIONS(1126),
    [aux_sym_switch_block_token1] = ACTIONS(1126),
    [anon_sym_PLUS] = ACTIONS(1126),
    [anon_sym_DASH] = ACTIONS(1126),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_AT] = ACTIONS(1124),
    [aux_sym_clone_expression_token1] = ACTIONS(1126),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1126),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1126),
    [anon_sym_DASH_DASH] = ACTIONS(1124),
    [anon_sym_PLUS_PLUS] = ACTIONS(1124),
    [aux_sym__list_destructing_token1] = ACTIONS(1126),
    [anon_sym_LBRACK] = ACTIONS(1124),
    [anon_sym_self] = ACTIONS(1126),
    [anon_sym_parent] = ACTIONS(1126),
    [aux_sym__argument_name_token1] = ACTIONS(1126),
    [aux_sym__argument_name_token2] = ACTIONS(1126),
    [anon_sym_POUND_LBRACK] = ACTIONS(1124),
    [aux_sym_encapsed_string_token1] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1124),
    [aux_sym_string_token1] = ACTIONS(1124),
    [anon_sym_SQUOTE] = ACTIONS(1124),
    [anon_sym_LT_LT_LT] = ACTIONS(1124),
    [anon_sym_BQUOTE] = ACTIONS(1124),
    [anon_sym_DOLLAR] = ACTIONS(1124),
    [aux_sym_yield_expression_token1] = ACTIONS(1126),
    [aux_sym_include_expression_token1] = ACTIONS(1126),
    [aux_sym_include_once_expression_token1] = ACTIONS(1126),
    [aux_sym_require_expression_token1] = ACTIONS(1126),
    [aux_sym_require_once_expression_token1] = ACTIONS(1126),
    [sym_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_text_interpolation] = STATE(497),
    [ts_builtin_sym_end] = ACTIONS(1224),
    [sym_name] = ACTIONS(1226),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1224),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1226),
    [aux_sym_global_declaration_token1] = ACTIONS(1226),
    [aux_sym_namespace_definition_token1] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1226),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1226),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1226),
    [anon_sym_BSLASH] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_RBRACE] = ACTIONS(1224),
    [aux_sym_trait_declaration_token1] = ACTIONS(1226),
    [aux_sym_interface_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_case_token1] = ACTIONS(1226),
    [aux_sym_class_declaration_token1] = ACTIONS(1226),
    [aux_sym_final_modifier_token1] = ACTIONS(1226),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1226),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1226),
    [sym_var_modifier] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1226),
    [aux_sym_cast_type_token1] = ACTIONS(1226),
    [aux_sym_echo_statement_token1] = ACTIONS(1226),
    [aux_sym_exit_statement_token1] = ACTIONS(1226),
    [anon_sym_unset] = ACTIONS(1226),
    [aux_sym_declare_statement_token1] = ACTIONS(1226),
    [aux_sym_declare_statement_token2] = ACTIONS(1226),
    [sym_float] = ACTIONS(1226),
    [aux_sym_try_statement_token1] = ACTIONS(1226),
    [aux_sym_goto_statement_token1] = ACTIONS(1226),
    [aux_sym_continue_statement_token1] = ACTIONS(1226),
    [aux_sym_break_statement_token1] = ACTIONS(1226),
    [sym_integer] = ACTIONS(1226),
    [aux_sym_return_statement_token1] = ACTIONS(1226),
    [aux_sym_throw_expression_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token2] = ACTIONS(1226),
    [aux_sym_do_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token2] = ACTIONS(1226),
    [aux_sym_foreach_statement_token1] = ACTIONS(1226),
    [aux_sym_foreach_statement_token2] = ACTIONS(1226),
    [aux_sym_if_statement_token1] = ACTIONS(1226),
    [aux_sym_if_statement_token2] = ACTIONS(1226),
    [aux_sym_else_if_clause_token1] = ACTIONS(1226),
    [aux_sym_else_clause_token1] = ACTIONS(1226),
    [aux_sym_match_expression_token1] = ACTIONS(1226),
    [aux_sym_match_default_expression_token1] = ACTIONS(1226),
    [aux_sym_switch_statement_token1] = ACTIONS(1226),
    [aux_sym_switch_block_token1] = ACTIONS(1226),
    [anon_sym_PLUS] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_AT] = ACTIONS(1224),
    [aux_sym_clone_expression_token1] = ACTIONS(1226),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1226),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1226),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [aux_sym__list_destructing_token1] = ACTIONS(1226),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_self] = ACTIONS(1226),
    [anon_sym_parent] = ACTIONS(1226),
    [aux_sym__argument_name_token1] = ACTIONS(1226),
    [aux_sym__argument_name_token2] = ACTIONS(1226),
    [anon_sym_POUND_LBRACK] = ACTIONS(1224),
    [aux_sym_encapsed_string_token1] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [aux_sym_string_token1] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [anon_sym_LT_LT_LT] = ACTIONS(1224),
    [anon_sym_BQUOTE] = ACTIONS(1224),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [aux_sym_yield_expression_token1] = ACTIONS(1226),
    [aux_sym_include_expression_token1] = ACTIONS(1226),
    [aux_sym_include_once_expression_token1] = ACTIONS(1226),
    [aux_sym_require_expression_token1] = ACTIONS(1226),
    [aux_sym_require_once_expression_token1] = ACTIONS(1226),
    [sym_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_text_interpolation] = STATE(498),
    [ts_builtin_sym_end] = ACTIONS(1228),
    [sym_name] = ACTIONS(1230),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1228),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1230),
    [aux_sym_global_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_definition_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1230),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1230),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1230),
    [anon_sym_BSLASH] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_RBRACE] = ACTIONS(1228),
    [aux_sym_trait_declaration_token1] = ACTIONS(1230),
    [aux_sym_interface_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_case_token1] = ACTIONS(1230),
    [aux_sym_class_declaration_token1] = ACTIONS(1230),
    [aux_sym_final_modifier_token1] = ACTIONS(1230),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1230),
    [sym_var_modifier] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1230),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1230),
    [aux_sym_cast_type_token1] = ACTIONS(1230),
    [aux_sym_echo_statement_token1] = ACTIONS(1230),
    [aux_sym_exit_statement_token1] = ACTIONS(1230),
    [anon_sym_unset] = ACTIONS(1230),
    [aux_sym_declare_statement_token1] = ACTIONS(1230),
    [aux_sym_declare_statement_token2] = ACTIONS(1230),
    [sym_float] = ACTIONS(1230),
    [aux_sym_try_statement_token1] = ACTIONS(1230),
    [aux_sym_goto_statement_token1] = ACTIONS(1230),
    [aux_sym_continue_statement_token1] = ACTIONS(1230),
    [aux_sym_break_statement_token1] = ACTIONS(1230),
    [sym_integer] = ACTIONS(1230),
    [aux_sym_return_statement_token1] = ACTIONS(1230),
    [aux_sym_throw_expression_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token2] = ACTIONS(1230),
    [aux_sym_do_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token2] = ACTIONS(1230),
    [aux_sym_foreach_statement_token1] = ACTIONS(1230),
    [aux_sym_foreach_statement_token2] = ACTIONS(1230),
    [aux_sym_if_statement_token1] = ACTIONS(1230),
    [aux_sym_if_statement_token2] = ACTIONS(1230),
    [aux_sym_else_if_clause_token1] = ACTIONS(1230),
    [aux_sym_else_clause_token1] = ACTIONS(1230),
    [aux_sym_match_expression_token1] = ACTIONS(1230),
    [aux_sym_match_default_expression_token1] = ACTIONS(1230),
    [aux_sym_switch_statement_token1] = ACTIONS(1230),
    [aux_sym_switch_block_token1] = ACTIONS(1230),
    [anon_sym_PLUS] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1228),
    [anon_sym_BANG] = ACTIONS(1228),
    [anon_sym_AT] = ACTIONS(1228),
    [aux_sym_clone_expression_token1] = ACTIONS(1230),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1230),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1230),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [aux_sym__list_destructing_token1] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_self] = ACTIONS(1230),
    [anon_sym_parent] = ACTIONS(1230),
    [aux_sym__argument_name_token1] = ACTIONS(1230),
    [aux_sym__argument_name_token2] = ACTIONS(1230),
    [anon_sym_POUND_LBRACK] = ACTIONS(1228),
    [aux_sym_encapsed_string_token1] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [aux_sym_string_token1] = ACTIONS(1228),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [anon_sym_LT_LT_LT] = ACTIONS(1228),
    [anon_sym_BQUOTE] = ACTIONS(1228),
    [anon_sym_DOLLAR] = ACTIONS(1228),
    [aux_sym_yield_expression_token1] = ACTIONS(1230),
    [aux_sym_include_expression_token1] = ACTIONS(1230),
    [aux_sym_include_once_expression_token1] = ACTIONS(1230),
    [aux_sym_require_expression_token1] = ACTIONS(1230),
    [aux_sym_require_once_expression_token1] = ACTIONS(1230),
    [sym_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_text_interpolation] = STATE(499),
    [ts_builtin_sym_end] = ACTIONS(1232),
    [sym_name] = ACTIONS(1234),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1232),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1234),
    [aux_sym_global_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_definition_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1234),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1234),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1234),
    [anon_sym_BSLASH] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_RBRACE] = ACTIONS(1232),
    [aux_sym_trait_declaration_token1] = ACTIONS(1234),
    [aux_sym_interface_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_case_token1] = ACTIONS(1234),
    [aux_sym_class_declaration_token1] = ACTIONS(1234),
    [aux_sym_final_modifier_token1] = ACTIONS(1234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1234),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1234),
    [sym_var_modifier] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1234),
    [anon_sym_LPAREN] = ACTIONS(1232),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1234),
    [aux_sym_cast_type_token1] = ACTIONS(1234),
    [aux_sym_echo_statement_token1] = ACTIONS(1234),
    [aux_sym_exit_statement_token1] = ACTIONS(1234),
    [anon_sym_unset] = ACTIONS(1234),
    [aux_sym_declare_statement_token1] = ACTIONS(1234),
    [aux_sym_declare_statement_token2] = ACTIONS(1234),
    [sym_float] = ACTIONS(1234),
    [aux_sym_try_statement_token1] = ACTIONS(1234),
    [aux_sym_goto_statement_token1] = ACTIONS(1234),
    [aux_sym_continue_statement_token1] = ACTIONS(1234),
    [aux_sym_break_statement_token1] = ACTIONS(1234),
    [sym_integer] = ACTIONS(1234),
    [aux_sym_return_statement_token1] = ACTIONS(1234),
    [aux_sym_throw_expression_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token2] = ACTIONS(1234),
    [aux_sym_do_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token2] = ACTIONS(1234),
    [aux_sym_foreach_statement_token1] = ACTIONS(1234),
    [aux_sym_foreach_statement_token2] = ACTIONS(1234),
    [aux_sym_if_statement_token1] = ACTIONS(1234),
    [aux_sym_if_statement_token2] = ACTIONS(1234),
    [aux_sym_else_if_clause_token1] = ACTIONS(1234),
    [aux_sym_else_clause_token1] = ACTIONS(1234),
    [aux_sym_match_expression_token1] = ACTIONS(1234),
    [aux_sym_match_default_expression_token1] = ACTIONS(1234),
    [aux_sym_switch_statement_token1] = ACTIONS(1234),
    [aux_sym_switch_block_token1] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_AT] = ACTIONS(1232),
    [aux_sym_clone_expression_token1] = ACTIONS(1234),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1234),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1234),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [aux_sym__list_destructing_token1] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(1232),
    [anon_sym_self] = ACTIONS(1234),
    [anon_sym_parent] = ACTIONS(1234),
    [aux_sym__argument_name_token1] = ACTIONS(1234),
    [aux_sym__argument_name_token2] = ACTIONS(1234),
    [anon_sym_POUND_LBRACK] = ACTIONS(1232),
    [aux_sym_encapsed_string_token1] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [aux_sym_string_token1] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1232),
    [anon_sym_LT_LT_LT] = ACTIONS(1232),
    [anon_sym_BQUOTE] = ACTIONS(1232),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [aux_sym_yield_expression_token1] = ACTIONS(1234),
    [aux_sym_include_expression_token1] = ACTIONS(1234),
    [aux_sym_include_once_expression_token1] = ACTIONS(1234),
    [aux_sym_require_expression_token1] = ACTIONS(1234),
    [aux_sym_require_once_expression_token1] = ACTIONS(1234),
    [sym_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_text_interpolation] = STATE(500),
    [ts_builtin_sym_end] = ACTIONS(1236),
    [sym_name] = ACTIONS(1238),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1236),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1238),
    [aux_sym_global_declaration_token1] = ACTIONS(1238),
    [aux_sym_namespace_definition_token1] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1238),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1238),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1238),
    [anon_sym_BSLASH] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_RBRACE] = ACTIONS(1236),
    [aux_sym_trait_declaration_token1] = ACTIONS(1238),
    [aux_sym_interface_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_case_token1] = ACTIONS(1238),
    [aux_sym_class_declaration_token1] = ACTIONS(1238),
    [aux_sym_final_modifier_token1] = ACTIONS(1238),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1238),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1238),
    [sym_var_modifier] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1238),
    [aux_sym_cast_type_token1] = ACTIONS(1238),
    [aux_sym_echo_statement_token1] = ACTIONS(1238),
    [aux_sym_exit_statement_token1] = ACTIONS(1238),
    [anon_sym_unset] = ACTIONS(1238),
    [aux_sym_declare_statement_token1] = ACTIONS(1238),
    [aux_sym_declare_statement_token2] = ACTIONS(1238),
    [sym_float] = ACTIONS(1238),
    [aux_sym_try_statement_token1] = ACTIONS(1238),
    [aux_sym_goto_statement_token1] = ACTIONS(1238),
    [aux_sym_continue_statement_token1] = ACTIONS(1238),
    [aux_sym_break_statement_token1] = ACTIONS(1238),
    [sym_integer] = ACTIONS(1238),
    [aux_sym_return_statement_token1] = ACTIONS(1238),
    [aux_sym_throw_expression_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token2] = ACTIONS(1238),
    [aux_sym_do_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token2] = ACTIONS(1238),
    [aux_sym_foreach_statement_token1] = ACTIONS(1238),
    [aux_sym_foreach_statement_token2] = ACTIONS(1238),
    [aux_sym_if_statement_token1] = ACTIONS(1238),
    [aux_sym_if_statement_token2] = ACTIONS(1238),
    [aux_sym_else_if_clause_token1] = ACTIONS(1238),
    [aux_sym_else_clause_token1] = ACTIONS(1238),
    [aux_sym_match_expression_token1] = ACTIONS(1238),
    [aux_sym_match_default_expression_token1] = ACTIONS(1238),
    [aux_sym_switch_statement_token1] = ACTIONS(1238),
    [aux_sym_switch_block_token1] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_AT] = ACTIONS(1236),
    [aux_sym_clone_expression_token1] = ACTIONS(1238),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1238),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [aux_sym__list_destructing_token1] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_self] = ACTIONS(1238),
    [anon_sym_parent] = ACTIONS(1238),
    [aux_sym__argument_name_token1] = ACTIONS(1238),
    [aux_sym__argument_name_token2] = ACTIONS(1238),
    [anon_sym_POUND_LBRACK] = ACTIONS(1236),
    [aux_sym_encapsed_string_token1] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1236),
    [aux_sym_string_token1] = ACTIONS(1236),
    [anon_sym_SQUOTE] = ACTIONS(1236),
    [anon_sym_LT_LT_LT] = ACTIONS(1236),
    [anon_sym_BQUOTE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1236),
    [aux_sym_yield_expression_token1] = ACTIONS(1238),
    [aux_sym_include_expression_token1] = ACTIONS(1238),
    [aux_sym_include_once_expression_token1] = ACTIONS(1238),
    [aux_sym_require_expression_token1] = ACTIONS(1238),
    [aux_sym_require_once_expression_token1] = ACTIONS(1238),
    [sym_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_text_interpolation] = STATE(501),
    [ts_builtin_sym_end] = ACTIONS(1240),
    [sym_name] = ACTIONS(1242),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1240),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1242),
    [aux_sym_global_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_definition_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1242),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1242),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1242),
    [anon_sym_BSLASH] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [aux_sym_trait_declaration_token1] = ACTIONS(1242),
    [aux_sym_interface_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_case_token1] = ACTIONS(1242),
    [aux_sym_class_declaration_token1] = ACTIONS(1242),
    [aux_sym_final_modifier_token1] = ACTIONS(1242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1242),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1242),
    [sym_var_modifier] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1242),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1242),
    [aux_sym_cast_type_token1] = ACTIONS(1242),
    [aux_sym_echo_statement_token1] = ACTIONS(1242),
    [aux_sym_exit_statement_token1] = ACTIONS(1242),
    [anon_sym_unset] = ACTIONS(1242),
    [aux_sym_declare_statement_token1] = ACTIONS(1242),
    [aux_sym_declare_statement_token2] = ACTIONS(1242),
    [sym_float] = ACTIONS(1242),
    [aux_sym_try_statement_token1] = ACTIONS(1242),
    [aux_sym_goto_statement_token1] = ACTIONS(1242),
    [aux_sym_continue_statement_token1] = ACTIONS(1242),
    [aux_sym_break_statement_token1] = ACTIONS(1242),
    [sym_integer] = ACTIONS(1242),
    [aux_sym_return_statement_token1] = ACTIONS(1242),
    [aux_sym_throw_expression_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token2] = ACTIONS(1242),
    [aux_sym_do_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token2] = ACTIONS(1242),
    [aux_sym_foreach_statement_token1] = ACTIONS(1242),
    [aux_sym_foreach_statement_token2] = ACTIONS(1242),
    [aux_sym_if_statement_token1] = ACTIONS(1242),
    [aux_sym_if_statement_token2] = ACTIONS(1242),
    [aux_sym_else_if_clause_token1] = ACTIONS(1242),
    [aux_sym_else_clause_token1] = ACTIONS(1242),
    [aux_sym_match_expression_token1] = ACTIONS(1242),
    [aux_sym_match_default_expression_token1] = ACTIONS(1242),
    [aux_sym_switch_statement_token1] = ACTIONS(1242),
    [aux_sym_switch_block_token1] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_AT] = ACTIONS(1240),
    [aux_sym_clone_expression_token1] = ACTIONS(1242),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1242),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1242),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [aux_sym__list_destructing_token1] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_self] = ACTIONS(1242),
    [anon_sym_parent] = ACTIONS(1242),
    [aux_sym__argument_name_token1] = ACTIONS(1242),
    [aux_sym__argument_name_token2] = ACTIONS(1242),
    [anon_sym_POUND_LBRACK] = ACTIONS(1240),
    [aux_sym_encapsed_string_token1] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [aux_sym_string_token1] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [anon_sym_LT_LT_LT] = ACTIONS(1240),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [anon_sym_DOLLAR] = ACTIONS(1240),
    [aux_sym_yield_expression_token1] = ACTIONS(1242),
    [aux_sym_include_expression_token1] = ACTIONS(1242),
    [aux_sym_include_once_expression_token1] = ACTIONS(1242),
    [aux_sym_require_expression_token1] = ACTIONS(1242),
    [aux_sym_require_once_expression_token1] = ACTIONS(1242),
    [sym_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_text_interpolation] = STATE(502),
    [ts_builtin_sym_end] = ACTIONS(1244),
    [sym_name] = ACTIONS(1246),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1244),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1246),
    [aux_sym_global_declaration_token1] = ACTIONS(1246),
    [aux_sym_namespace_definition_token1] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1246),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1246),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1246),
    [anon_sym_BSLASH] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [aux_sym_trait_declaration_token1] = ACTIONS(1246),
    [aux_sym_interface_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_case_token1] = ACTIONS(1246),
    [aux_sym_class_declaration_token1] = ACTIONS(1246),
    [aux_sym_final_modifier_token1] = ACTIONS(1246),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1246),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1246),
    [sym_var_modifier] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1246),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1246),
    [aux_sym_cast_type_token1] = ACTIONS(1246),
    [aux_sym_echo_statement_token1] = ACTIONS(1246),
    [aux_sym_exit_statement_token1] = ACTIONS(1246),
    [anon_sym_unset] = ACTIONS(1246),
    [aux_sym_declare_statement_token1] = ACTIONS(1246),
    [aux_sym_declare_statement_token2] = ACTIONS(1246),
    [sym_float] = ACTIONS(1246),
    [aux_sym_try_statement_token1] = ACTIONS(1246),
    [aux_sym_goto_statement_token1] = ACTIONS(1246),
    [aux_sym_continue_statement_token1] = ACTIONS(1246),
    [aux_sym_break_statement_token1] = ACTIONS(1246),
    [sym_integer] = ACTIONS(1246),
    [aux_sym_return_statement_token1] = ACTIONS(1246),
    [aux_sym_throw_expression_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token2] = ACTIONS(1246),
    [aux_sym_do_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token2] = ACTIONS(1246),
    [aux_sym_foreach_statement_token1] = ACTIONS(1246),
    [aux_sym_foreach_statement_token2] = ACTIONS(1246),
    [aux_sym_if_statement_token1] = ACTIONS(1246),
    [aux_sym_if_statement_token2] = ACTIONS(1246),
    [aux_sym_else_if_clause_token1] = ACTIONS(1246),
    [aux_sym_else_clause_token1] = ACTIONS(1246),
    [aux_sym_match_expression_token1] = ACTIONS(1246),
    [aux_sym_match_default_expression_token1] = ACTIONS(1246),
    [aux_sym_switch_statement_token1] = ACTIONS(1246),
    [aux_sym_switch_block_token1] = ACTIONS(1246),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1244),
    [anon_sym_BANG] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1244),
    [aux_sym_clone_expression_token1] = ACTIONS(1246),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1246),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1246),
    [anon_sym_DASH_DASH] = ACTIONS(1244),
    [anon_sym_PLUS_PLUS] = ACTIONS(1244),
    [aux_sym__list_destructing_token1] = ACTIONS(1246),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_self] = ACTIONS(1246),
    [anon_sym_parent] = ACTIONS(1246),
    [aux_sym__argument_name_token1] = ACTIONS(1246),
    [aux_sym__argument_name_token2] = ACTIONS(1246),
    [anon_sym_POUND_LBRACK] = ACTIONS(1244),
    [aux_sym_encapsed_string_token1] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1244),
    [aux_sym_string_token1] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1244),
    [anon_sym_LT_LT_LT] = ACTIONS(1244),
    [anon_sym_BQUOTE] = ACTIONS(1244),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [aux_sym_yield_expression_token1] = ACTIONS(1246),
    [aux_sym_include_expression_token1] = ACTIONS(1246),
    [aux_sym_include_once_expression_token1] = ACTIONS(1246),
    [aux_sym_require_expression_token1] = ACTIONS(1246),
    [aux_sym_require_once_expression_token1] = ACTIONS(1246),
    [sym_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_text_interpolation] = STATE(503),
    [ts_builtin_sym_end] = ACTIONS(1045),
    [sym_name] = ACTIONS(1047),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1045),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1047),
    [aux_sym_global_declaration_token1] = ACTIONS(1047),
    [aux_sym_namespace_definition_token1] = ACTIONS(1047),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1047),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1047),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1047),
    [anon_sym_BSLASH] = ACTIONS(1045),
    [anon_sym_LBRACE] = ACTIONS(1045),
    [anon_sym_RBRACE] = ACTIONS(1045),
    [aux_sym_trait_declaration_token1] = ACTIONS(1047),
    [aux_sym_interface_declaration_token1] = ACTIONS(1047),
    [aux_sym_enum_declaration_token1] = ACTIONS(1047),
    [aux_sym_enum_case_token1] = ACTIONS(1047),
    [aux_sym_class_declaration_token1] = ACTIONS(1047),
    [aux_sym_final_modifier_token1] = ACTIONS(1047),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1047),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1047),
    [sym_var_modifier] = ACTIONS(1047),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1047),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1047),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1047),
    [aux_sym_cast_type_token1] = ACTIONS(1047),
    [aux_sym_echo_statement_token1] = ACTIONS(1047),
    [aux_sym_exit_statement_token1] = ACTIONS(1047),
    [anon_sym_unset] = ACTIONS(1047),
    [aux_sym_declare_statement_token1] = ACTIONS(1047),
    [aux_sym_declare_statement_token2] = ACTIONS(1047),
    [sym_float] = ACTIONS(1047),
    [aux_sym_try_statement_token1] = ACTIONS(1047),
    [aux_sym_goto_statement_token1] = ACTIONS(1047),
    [aux_sym_continue_statement_token1] = ACTIONS(1047),
    [aux_sym_break_statement_token1] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1047),
    [aux_sym_return_statement_token1] = ACTIONS(1047),
    [aux_sym_throw_expression_token1] = ACTIONS(1047),
    [aux_sym_while_statement_token1] = ACTIONS(1047),
    [aux_sym_while_statement_token2] = ACTIONS(1047),
    [aux_sym_do_statement_token1] = ACTIONS(1047),
    [aux_sym_for_statement_token1] = ACTIONS(1047),
    [aux_sym_for_statement_token2] = ACTIONS(1047),
    [aux_sym_foreach_statement_token1] = ACTIONS(1047),
    [aux_sym_foreach_statement_token2] = ACTIONS(1047),
    [aux_sym_if_statement_token1] = ACTIONS(1047),
    [aux_sym_if_statement_token2] = ACTIONS(1047),
    [aux_sym_else_if_clause_token1] = ACTIONS(1047),
    [aux_sym_else_clause_token1] = ACTIONS(1047),
    [aux_sym_match_expression_token1] = ACTIONS(1047),
    [aux_sym_match_default_expression_token1] = ACTIONS(1047),
    [aux_sym_switch_statement_token1] = ACTIONS(1047),
    [aux_sym_switch_block_token1] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1045),
    [anon_sym_BANG] = ACTIONS(1045),
    [anon_sym_AT] = ACTIONS(1045),
    [aux_sym_clone_expression_token1] = ACTIONS(1047),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1047),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1047),
    [anon_sym_DASH_DASH] = ACTIONS(1045),
    [anon_sym_PLUS_PLUS] = ACTIONS(1045),
    [aux_sym__list_destructing_token1] = ACTIONS(1047),
    [anon_sym_LBRACK] = ACTIONS(1045),
    [anon_sym_self] = ACTIONS(1047),
    [anon_sym_parent] = ACTIONS(1047),
    [aux_sym__argument_name_token1] = ACTIONS(1047),
    [aux_sym__argument_name_token2] = ACTIONS(1047),
    [anon_sym_POUND_LBRACK] = ACTIONS(1045),
    [aux_sym_encapsed_string_token1] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [aux_sym_string_token1] = ACTIONS(1045),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_LT_LT_LT] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1045),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [aux_sym_yield_expression_token1] = ACTIONS(1047),
    [aux_sym_include_expression_token1] = ACTIONS(1047),
    [aux_sym_include_once_expression_token1] = ACTIONS(1047),
    [aux_sym_require_expression_token1] = ACTIONS(1047),
    [aux_sym_require_once_expression_token1] = ACTIONS(1047),
    [sym_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_text_interpolation] = STATE(504),
    [ts_builtin_sym_end] = ACTIONS(1248),
    [sym_name] = ACTIONS(1250),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1248),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1250),
    [aux_sym_global_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_definition_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1250),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1250),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1250),
    [anon_sym_BSLASH] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [aux_sym_trait_declaration_token1] = ACTIONS(1250),
    [aux_sym_interface_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_case_token1] = ACTIONS(1250),
    [aux_sym_class_declaration_token1] = ACTIONS(1250),
    [aux_sym_final_modifier_token1] = ACTIONS(1250),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1250),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1250),
    [sym_var_modifier] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1250),
    [aux_sym_cast_type_token1] = ACTIONS(1250),
    [aux_sym_echo_statement_token1] = ACTIONS(1250),
    [aux_sym_exit_statement_token1] = ACTIONS(1250),
    [anon_sym_unset] = ACTIONS(1250),
    [aux_sym_declare_statement_token1] = ACTIONS(1250),
    [aux_sym_declare_statement_token2] = ACTIONS(1250),
    [sym_float] = ACTIONS(1250),
    [aux_sym_try_statement_token1] = ACTIONS(1250),
    [aux_sym_goto_statement_token1] = ACTIONS(1250),
    [aux_sym_continue_statement_token1] = ACTIONS(1250),
    [aux_sym_break_statement_token1] = ACTIONS(1250),
    [sym_integer] = ACTIONS(1250),
    [aux_sym_return_statement_token1] = ACTIONS(1250),
    [aux_sym_throw_expression_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token2] = ACTIONS(1250),
    [aux_sym_do_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token2] = ACTIONS(1250),
    [aux_sym_foreach_statement_token1] = ACTIONS(1250),
    [aux_sym_foreach_statement_token2] = ACTIONS(1250),
    [aux_sym_if_statement_token1] = ACTIONS(1250),
    [aux_sym_if_statement_token2] = ACTIONS(1250),
    [aux_sym_else_if_clause_token1] = ACTIONS(1250),
    [aux_sym_else_clause_token1] = ACTIONS(1250),
    [aux_sym_match_expression_token1] = ACTIONS(1250),
    [aux_sym_match_default_expression_token1] = ACTIONS(1250),
    [aux_sym_switch_statement_token1] = ACTIONS(1250),
    [aux_sym_switch_block_token1] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1248),
    [anon_sym_AT] = ACTIONS(1248),
    [aux_sym_clone_expression_token1] = ACTIONS(1250),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1250),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1250),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [aux_sym__list_destructing_token1] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_self] = ACTIONS(1250),
    [anon_sym_parent] = ACTIONS(1250),
    [aux_sym__argument_name_token1] = ACTIONS(1250),
    [aux_sym__argument_name_token2] = ACTIONS(1250),
    [anon_sym_POUND_LBRACK] = ACTIONS(1248),
    [aux_sym_encapsed_string_token1] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [aux_sym_string_token1] = ACTIONS(1248),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [anon_sym_LT_LT_LT] = ACTIONS(1248),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [anon_sym_DOLLAR] = ACTIONS(1248),
    [aux_sym_yield_expression_token1] = ACTIONS(1250),
    [aux_sym_include_expression_token1] = ACTIONS(1250),
    [aux_sym_include_once_expression_token1] = ACTIONS(1250),
    [aux_sym_require_expression_token1] = ACTIONS(1250),
    [aux_sym_require_once_expression_token1] = ACTIONS(1250),
    [sym_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_text_interpolation] = STATE(505),
    [ts_builtin_sym_end] = ACTIONS(1252),
    [sym_name] = ACTIONS(1254),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1252),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1254),
    [aux_sym_global_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_definition_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1254),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1254),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1254),
    [anon_sym_BSLASH] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_RBRACE] = ACTIONS(1252),
    [aux_sym_trait_declaration_token1] = ACTIONS(1254),
    [aux_sym_interface_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_case_token1] = ACTIONS(1254),
    [aux_sym_class_declaration_token1] = ACTIONS(1254),
    [aux_sym_final_modifier_token1] = ACTIONS(1254),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1254),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1254),
    [sym_var_modifier] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1254),
    [anon_sym_LPAREN] = ACTIONS(1252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1254),
    [aux_sym_cast_type_token1] = ACTIONS(1254),
    [aux_sym_echo_statement_token1] = ACTIONS(1254),
    [aux_sym_exit_statement_token1] = ACTIONS(1254),
    [anon_sym_unset] = ACTIONS(1254),
    [aux_sym_declare_statement_token1] = ACTIONS(1254),
    [aux_sym_declare_statement_token2] = ACTIONS(1254),
    [sym_float] = ACTIONS(1254),
    [aux_sym_try_statement_token1] = ACTIONS(1254),
    [aux_sym_goto_statement_token1] = ACTIONS(1254),
    [aux_sym_continue_statement_token1] = ACTIONS(1254),
    [aux_sym_break_statement_token1] = ACTIONS(1254),
    [sym_integer] = ACTIONS(1254),
    [aux_sym_return_statement_token1] = ACTIONS(1254),
    [aux_sym_throw_expression_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token2] = ACTIONS(1254),
    [aux_sym_do_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token2] = ACTIONS(1254),
    [aux_sym_foreach_statement_token1] = ACTIONS(1254),
    [aux_sym_foreach_statement_token2] = ACTIONS(1254),
    [aux_sym_if_statement_token1] = ACTIONS(1254),
    [aux_sym_if_statement_token2] = ACTIONS(1254),
    [aux_sym_else_if_clause_token1] = ACTIONS(1254),
    [aux_sym_else_clause_token1] = ACTIONS(1254),
    [aux_sym_match_expression_token1] = ACTIONS(1254),
    [aux_sym_match_default_expression_token1] = ACTIONS(1254),
    [aux_sym_switch_statement_token1] = ACTIONS(1254),
    [aux_sym_switch_block_token1] = ACTIONS(1254),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(1252),
    [aux_sym_clone_expression_token1] = ACTIONS(1254),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1254),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1254),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [aux_sym__list_destructing_token1] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(1252),
    [anon_sym_self] = ACTIONS(1254),
    [anon_sym_parent] = ACTIONS(1254),
    [aux_sym__argument_name_token1] = ACTIONS(1254),
    [aux_sym__argument_name_token2] = ACTIONS(1254),
    [anon_sym_POUND_LBRACK] = ACTIONS(1252),
    [aux_sym_encapsed_string_token1] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [aux_sym_string_token1] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [anon_sym_LT_LT_LT] = ACTIONS(1252),
    [anon_sym_BQUOTE] = ACTIONS(1252),
    [anon_sym_DOLLAR] = ACTIONS(1252),
    [aux_sym_yield_expression_token1] = ACTIONS(1254),
    [aux_sym_include_expression_token1] = ACTIONS(1254),
    [aux_sym_include_once_expression_token1] = ACTIONS(1254),
    [aux_sym_require_expression_token1] = ACTIONS(1254),
    [aux_sym_require_once_expression_token1] = ACTIONS(1254),
    [sym_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_text_interpolation] = STATE(506),
    [ts_builtin_sym_end] = ACTIONS(1256),
    [sym_name] = ACTIONS(1258),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1256),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1258),
    [aux_sym_global_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_definition_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1258),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1258),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1258),
    [anon_sym_BSLASH] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1256),
    [anon_sym_RBRACE] = ACTIONS(1256),
    [aux_sym_trait_declaration_token1] = ACTIONS(1258),
    [aux_sym_interface_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_case_token1] = ACTIONS(1258),
    [aux_sym_class_declaration_token1] = ACTIONS(1258),
    [aux_sym_final_modifier_token1] = ACTIONS(1258),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1258),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1258),
    [sym_var_modifier] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1258),
    [anon_sym_LPAREN] = ACTIONS(1256),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1258),
    [aux_sym_cast_type_token1] = ACTIONS(1258),
    [aux_sym_echo_statement_token1] = ACTIONS(1258),
    [aux_sym_exit_statement_token1] = ACTIONS(1258),
    [anon_sym_unset] = ACTIONS(1258),
    [aux_sym_declare_statement_token1] = ACTIONS(1258),
    [aux_sym_declare_statement_token2] = ACTIONS(1258),
    [sym_float] = ACTIONS(1258),
    [aux_sym_try_statement_token1] = ACTIONS(1258),
    [aux_sym_goto_statement_token1] = ACTIONS(1258),
    [aux_sym_continue_statement_token1] = ACTIONS(1258),
    [aux_sym_break_statement_token1] = ACTIONS(1258),
    [sym_integer] = ACTIONS(1258),
    [aux_sym_return_statement_token1] = ACTIONS(1258),
    [aux_sym_throw_expression_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token2] = ACTIONS(1258),
    [aux_sym_do_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token2] = ACTIONS(1258),
    [aux_sym_foreach_statement_token1] = ACTIONS(1258),
    [aux_sym_foreach_statement_token2] = ACTIONS(1258),
    [aux_sym_if_statement_token1] = ACTIONS(1258),
    [aux_sym_if_statement_token2] = ACTIONS(1258),
    [aux_sym_else_if_clause_token1] = ACTIONS(1258),
    [aux_sym_else_clause_token1] = ACTIONS(1258),
    [aux_sym_match_expression_token1] = ACTIONS(1258),
    [aux_sym_match_default_expression_token1] = ACTIONS(1258),
    [aux_sym_switch_statement_token1] = ACTIONS(1258),
    [aux_sym_switch_block_token1] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_AT] = ACTIONS(1256),
    [aux_sym_clone_expression_token1] = ACTIONS(1258),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1258),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [aux_sym__list_destructing_token1] = ACTIONS(1258),
    [anon_sym_LBRACK] = ACTIONS(1256),
    [anon_sym_self] = ACTIONS(1258),
    [anon_sym_parent] = ACTIONS(1258),
    [aux_sym__argument_name_token1] = ACTIONS(1258),
    [aux_sym__argument_name_token2] = ACTIONS(1258),
    [anon_sym_POUND_LBRACK] = ACTIONS(1256),
    [aux_sym_encapsed_string_token1] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [aux_sym_string_token1] = ACTIONS(1256),
    [anon_sym_SQUOTE] = ACTIONS(1256),
    [anon_sym_LT_LT_LT] = ACTIONS(1256),
    [anon_sym_BQUOTE] = ACTIONS(1256),
    [anon_sym_DOLLAR] = ACTIONS(1256),
    [aux_sym_yield_expression_token1] = ACTIONS(1258),
    [aux_sym_include_expression_token1] = ACTIONS(1258),
    [aux_sym_include_once_expression_token1] = ACTIONS(1258),
    [aux_sym_require_expression_token1] = ACTIONS(1258),
    [aux_sym_require_once_expression_token1] = ACTIONS(1258),
    [sym_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_text_interpolation] = STATE(507),
    [ts_builtin_sym_end] = ACTIONS(1260),
    [sym_name] = ACTIONS(1262),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1260),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1262),
    [aux_sym_global_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_definition_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1262),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1262),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1262),
    [anon_sym_BSLASH] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_RBRACE] = ACTIONS(1260),
    [aux_sym_trait_declaration_token1] = ACTIONS(1262),
    [aux_sym_interface_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_case_token1] = ACTIONS(1262),
    [aux_sym_class_declaration_token1] = ACTIONS(1262),
    [aux_sym_final_modifier_token1] = ACTIONS(1262),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1262),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1262),
    [sym_var_modifier] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1262),
    [anon_sym_LPAREN] = ACTIONS(1260),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1262),
    [aux_sym_cast_type_token1] = ACTIONS(1262),
    [aux_sym_echo_statement_token1] = ACTIONS(1262),
    [aux_sym_exit_statement_token1] = ACTIONS(1262),
    [anon_sym_unset] = ACTIONS(1262),
    [aux_sym_declare_statement_token1] = ACTIONS(1262),
    [aux_sym_declare_statement_token2] = ACTIONS(1262),
    [sym_float] = ACTIONS(1262),
    [aux_sym_try_statement_token1] = ACTIONS(1262),
    [aux_sym_goto_statement_token1] = ACTIONS(1262),
    [aux_sym_continue_statement_token1] = ACTIONS(1262),
    [aux_sym_break_statement_token1] = ACTIONS(1262),
    [sym_integer] = ACTIONS(1262),
    [aux_sym_return_statement_token1] = ACTIONS(1262),
    [aux_sym_throw_expression_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token2] = ACTIONS(1262),
    [aux_sym_do_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token2] = ACTIONS(1262),
    [aux_sym_foreach_statement_token1] = ACTIONS(1262),
    [aux_sym_foreach_statement_token2] = ACTIONS(1262),
    [aux_sym_if_statement_token1] = ACTIONS(1262),
    [aux_sym_if_statement_token2] = ACTIONS(1262),
    [aux_sym_else_if_clause_token1] = ACTIONS(1262),
    [aux_sym_else_clause_token1] = ACTIONS(1262),
    [aux_sym_match_expression_token1] = ACTIONS(1262),
    [aux_sym_match_default_expression_token1] = ACTIONS(1262),
    [aux_sym_switch_statement_token1] = ACTIONS(1262),
    [aux_sym_switch_block_token1] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1260),
    [anon_sym_AT] = ACTIONS(1260),
    [aux_sym_clone_expression_token1] = ACTIONS(1262),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1262),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1262),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [aux_sym__list_destructing_token1] = ACTIONS(1262),
    [anon_sym_LBRACK] = ACTIONS(1260),
    [anon_sym_self] = ACTIONS(1262),
    [anon_sym_parent] = ACTIONS(1262),
    [aux_sym__argument_name_token1] = ACTIONS(1262),
    [aux_sym__argument_name_token2] = ACTIONS(1262),
    [anon_sym_POUND_LBRACK] = ACTIONS(1260),
    [aux_sym_encapsed_string_token1] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [aux_sym_string_token1] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1260),
    [anon_sym_LT_LT_LT] = ACTIONS(1260),
    [anon_sym_BQUOTE] = ACTIONS(1260),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [aux_sym_yield_expression_token1] = ACTIONS(1262),
    [aux_sym_include_expression_token1] = ACTIONS(1262),
    [aux_sym_include_once_expression_token1] = ACTIONS(1262),
    [aux_sym_require_expression_token1] = ACTIONS(1262),
    [aux_sym_require_once_expression_token1] = ACTIONS(1262),
    [sym_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_text_interpolation] = STATE(508),
    [ts_builtin_sym_end] = ACTIONS(1264),
    [sym_name] = ACTIONS(1266),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1264),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1266),
    [aux_sym_global_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_definition_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1266),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1266),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1266),
    [anon_sym_BSLASH] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [anon_sym_RBRACE] = ACTIONS(1264),
    [aux_sym_trait_declaration_token1] = ACTIONS(1266),
    [aux_sym_interface_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_case_token1] = ACTIONS(1266),
    [aux_sym_class_declaration_token1] = ACTIONS(1266),
    [aux_sym_final_modifier_token1] = ACTIONS(1266),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1266),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1266),
    [sym_var_modifier] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1266),
    [aux_sym_cast_type_token1] = ACTIONS(1266),
    [aux_sym_echo_statement_token1] = ACTIONS(1266),
    [aux_sym_exit_statement_token1] = ACTIONS(1266),
    [anon_sym_unset] = ACTIONS(1266),
    [aux_sym_declare_statement_token1] = ACTIONS(1266),
    [aux_sym_declare_statement_token2] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [aux_sym_try_statement_token1] = ACTIONS(1266),
    [aux_sym_goto_statement_token1] = ACTIONS(1266),
    [aux_sym_continue_statement_token1] = ACTIONS(1266),
    [aux_sym_break_statement_token1] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [aux_sym_return_statement_token1] = ACTIONS(1266),
    [aux_sym_throw_expression_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token2] = ACTIONS(1266),
    [aux_sym_do_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token2] = ACTIONS(1266),
    [aux_sym_foreach_statement_token1] = ACTIONS(1266),
    [aux_sym_foreach_statement_token2] = ACTIONS(1266),
    [aux_sym_if_statement_token1] = ACTIONS(1266),
    [aux_sym_if_statement_token2] = ACTIONS(1266),
    [aux_sym_else_if_clause_token1] = ACTIONS(1266),
    [aux_sym_else_clause_token1] = ACTIONS(1266),
    [aux_sym_match_expression_token1] = ACTIONS(1266),
    [aux_sym_match_default_expression_token1] = ACTIONS(1266),
    [aux_sym_switch_statement_token1] = ACTIONS(1266),
    [aux_sym_switch_block_token1] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AT] = ACTIONS(1264),
    [aux_sym_clone_expression_token1] = ACTIONS(1266),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1266),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1266),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [aux_sym__list_destructing_token1] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [anon_sym_self] = ACTIONS(1266),
    [anon_sym_parent] = ACTIONS(1266),
    [aux_sym__argument_name_token1] = ACTIONS(1266),
    [aux_sym__argument_name_token2] = ACTIONS(1266),
    [anon_sym_POUND_LBRACK] = ACTIONS(1264),
    [aux_sym_encapsed_string_token1] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [aux_sym_string_token1] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1264),
    [anon_sym_LT_LT_LT] = ACTIONS(1264),
    [anon_sym_BQUOTE] = ACTIONS(1264),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [aux_sym_yield_expression_token1] = ACTIONS(1266),
    [aux_sym_include_expression_token1] = ACTIONS(1266),
    [aux_sym_include_once_expression_token1] = ACTIONS(1266),
    [aux_sym_require_expression_token1] = ACTIONS(1266),
    [aux_sym_require_once_expression_token1] = ACTIONS(1266),
    [sym_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_text_interpolation] = STATE(509),
    [ts_builtin_sym_end] = ACTIONS(1268),
    [sym_name] = ACTIONS(1270),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1268),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1270),
    [aux_sym_global_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_definition_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1270),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1270),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1270),
    [anon_sym_BSLASH] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_RBRACE] = ACTIONS(1268),
    [aux_sym_trait_declaration_token1] = ACTIONS(1270),
    [aux_sym_interface_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_case_token1] = ACTIONS(1270),
    [aux_sym_class_declaration_token1] = ACTIONS(1270),
    [aux_sym_final_modifier_token1] = ACTIONS(1270),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1270),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1270),
    [sym_var_modifier] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1270),
    [anon_sym_LPAREN] = ACTIONS(1268),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1270),
    [aux_sym_cast_type_token1] = ACTIONS(1270),
    [aux_sym_echo_statement_token1] = ACTIONS(1270),
    [aux_sym_exit_statement_token1] = ACTIONS(1270),
    [anon_sym_unset] = ACTIONS(1270),
    [aux_sym_declare_statement_token1] = ACTIONS(1270),
    [aux_sym_declare_statement_token2] = ACTIONS(1270),
    [sym_float] = ACTIONS(1270),
    [aux_sym_try_statement_token1] = ACTIONS(1270),
    [aux_sym_goto_statement_token1] = ACTIONS(1270),
    [aux_sym_continue_statement_token1] = ACTIONS(1270),
    [aux_sym_break_statement_token1] = ACTIONS(1270),
    [sym_integer] = ACTIONS(1270),
    [aux_sym_return_statement_token1] = ACTIONS(1270),
    [aux_sym_throw_expression_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token2] = ACTIONS(1270),
    [aux_sym_do_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token2] = ACTIONS(1270),
    [aux_sym_foreach_statement_token1] = ACTIONS(1270),
    [aux_sym_foreach_statement_token2] = ACTIONS(1270),
    [aux_sym_if_statement_token1] = ACTIONS(1270),
    [aux_sym_if_statement_token2] = ACTIONS(1270),
    [aux_sym_else_if_clause_token1] = ACTIONS(1270),
    [aux_sym_else_clause_token1] = ACTIONS(1270),
    [aux_sym_match_expression_token1] = ACTIONS(1270),
    [aux_sym_match_default_expression_token1] = ACTIONS(1270),
    [aux_sym_switch_statement_token1] = ACTIONS(1270),
    [aux_sym_switch_block_token1] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1268),
    [anon_sym_BANG] = ACTIONS(1268),
    [anon_sym_AT] = ACTIONS(1268),
    [aux_sym_clone_expression_token1] = ACTIONS(1270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1270),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1270),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [aux_sym__list_destructing_token1] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1268),
    [anon_sym_self] = ACTIONS(1270),
    [anon_sym_parent] = ACTIONS(1270),
    [aux_sym__argument_name_token1] = ACTIONS(1270),
    [aux_sym__argument_name_token2] = ACTIONS(1270),
    [anon_sym_POUND_LBRACK] = ACTIONS(1268),
    [aux_sym_encapsed_string_token1] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [aux_sym_string_token1] = ACTIONS(1268),
    [anon_sym_SQUOTE] = ACTIONS(1268),
    [anon_sym_LT_LT_LT] = ACTIONS(1268),
    [anon_sym_BQUOTE] = ACTIONS(1268),
    [anon_sym_DOLLAR] = ACTIONS(1268),
    [aux_sym_yield_expression_token1] = ACTIONS(1270),
    [aux_sym_include_expression_token1] = ACTIONS(1270),
    [aux_sym_include_once_expression_token1] = ACTIONS(1270),
    [aux_sym_require_expression_token1] = ACTIONS(1270),
    [aux_sym_require_once_expression_token1] = ACTIONS(1270),
    [sym_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_text_interpolation] = STATE(510),
    [ts_builtin_sym_end] = ACTIONS(1272),
    [sym_name] = ACTIONS(1274),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1272),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1274),
    [aux_sym_global_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_definition_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1274),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1274),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1274),
    [anon_sym_BSLASH] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1272),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [aux_sym_trait_declaration_token1] = ACTIONS(1274),
    [aux_sym_interface_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_case_token1] = ACTIONS(1274),
    [aux_sym_class_declaration_token1] = ACTIONS(1274),
    [aux_sym_final_modifier_token1] = ACTIONS(1274),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1274),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1274),
    [sym_var_modifier] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1272),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1274),
    [aux_sym_cast_type_token1] = ACTIONS(1274),
    [aux_sym_echo_statement_token1] = ACTIONS(1274),
    [aux_sym_exit_statement_token1] = ACTIONS(1274),
    [anon_sym_unset] = ACTIONS(1274),
    [aux_sym_declare_statement_token1] = ACTIONS(1274),
    [aux_sym_declare_statement_token2] = ACTIONS(1274),
    [sym_float] = ACTIONS(1274),
    [aux_sym_try_statement_token1] = ACTIONS(1274),
    [aux_sym_goto_statement_token1] = ACTIONS(1274),
    [aux_sym_continue_statement_token1] = ACTIONS(1274),
    [aux_sym_break_statement_token1] = ACTIONS(1274),
    [sym_integer] = ACTIONS(1274),
    [aux_sym_return_statement_token1] = ACTIONS(1274),
    [aux_sym_throw_expression_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token2] = ACTIONS(1274),
    [aux_sym_do_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token2] = ACTIONS(1274),
    [aux_sym_foreach_statement_token1] = ACTIONS(1274),
    [aux_sym_foreach_statement_token2] = ACTIONS(1274),
    [aux_sym_if_statement_token1] = ACTIONS(1274),
    [aux_sym_if_statement_token2] = ACTIONS(1274),
    [aux_sym_else_if_clause_token1] = ACTIONS(1274),
    [aux_sym_else_clause_token1] = ACTIONS(1274),
    [aux_sym_match_expression_token1] = ACTIONS(1274),
    [aux_sym_match_default_expression_token1] = ACTIONS(1274),
    [aux_sym_switch_statement_token1] = ACTIONS(1274),
    [aux_sym_switch_block_token1] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_AT] = ACTIONS(1272),
    [aux_sym_clone_expression_token1] = ACTIONS(1274),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1274),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1272),
    [aux_sym__list_destructing_token1] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_self] = ACTIONS(1274),
    [anon_sym_parent] = ACTIONS(1274),
    [aux_sym__argument_name_token1] = ACTIONS(1274),
    [aux_sym__argument_name_token2] = ACTIONS(1274),
    [anon_sym_POUND_LBRACK] = ACTIONS(1272),
    [aux_sym_encapsed_string_token1] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1272),
    [aux_sym_string_token1] = ACTIONS(1272),
    [anon_sym_SQUOTE] = ACTIONS(1272),
    [anon_sym_LT_LT_LT] = ACTIONS(1272),
    [anon_sym_BQUOTE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [aux_sym_yield_expression_token1] = ACTIONS(1274),
    [aux_sym_include_expression_token1] = ACTIONS(1274),
    [aux_sym_include_once_expression_token1] = ACTIONS(1274),
    [aux_sym_require_expression_token1] = ACTIONS(1274),
    [aux_sym_require_once_expression_token1] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_text_interpolation] = STATE(511),
    [ts_builtin_sym_end] = ACTIONS(1276),
    [sym_name] = ACTIONS(1278),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1276),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1278),
    [aux_sym_global_declaration_token1] = ACTIONS(1278),
    [aux_sym_namespace_definition_token1] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1278),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1278),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1278),
    [anon_sym_BSLASH] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1276),
    [anon_sym_RBRACE] = ACTIONS(1276),
    [aux_sym_trait_declaration_token1] = ACTIONS(1278),
    [aux_sym_interface_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_case_token1] = ACTIONS(1278),
    [aux_sym_class_declaration_token1] = ACTIONS(1278),
    [aux_sym_final_modifier_token1] = ACTIONS(1278),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1278),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1278),
    [sym_var_modifier] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1278),
    [anon_sym_LPAREN] = ACTIONS(1276),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1278),
    [aux_sym_cast_type_token1] = ACTIONS(1278),
    [aux_sym_echo_statement_token1] = ACTIONS(1278),
    [aux_sym_exit_statement_token1] = ACTIONS(1278),
    [anon_sym_unset] = ACTIONS(1278),
    [aux_sym_declare_statement_token1] = ACTIONS(1278),
    [aux_sym_declare_statement_token2] = ACTIONS(1278),
    [sym_float] = ACTIONS(1278),
    [aux_sym_try_statement_token1] = ACTIONS(1278),
    [aux_sym_goto_statement_token1] = ACTIONS(1278),
    [aux_sym_continue_statement_token1] = ACTIONS(1278),
    [aux_sym_break_statement_token1] = ACTIONS(1278),
    [sym_integer] = ACTIONS(1278),
    [aux_sym_return_statement_token1] = ACTIONS(1278),
    [aux_sym_throw_expression_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token2] = ACTIONS(1278),
    [aux_sym_do_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token2] = ACTIONS(1278),
    [aux_sym_foreach_statement_token1] = ACTIONS(1278),
    [aux_sym_foreach_statement_token2] = ACTIONS(1278),
    [aux_sym_if_statement_token1] = ACTIONS(1278),
    [aux_sym_if_statement_token2] = ACTIONS(1278),
    [aux_sym_else_if_clause_token1] = ACTIONS(1278),
    [aux_sym_else_clause_token1] = ACTIONS(1278),
    [aux_sym_match_expression_token1] = ACTIONS(1278),
    [aux_sym_match_default_expression_token1] = ACTIONS(1278),
    [aux_sym_switch_statement_token1] = ACTIONS(1278),
    [aux_sym_switch_block_token1] = ACTIONS(1278),
    [anon_sym_PLUS] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1276),
    [anon_sym_BANG] = ACTIONS(1276),
    [anon_sym_AT] = ACTIONS(1276),
    [aux_sym_clone_expression_token1] = ACTIONS(1278),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1278),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1278),
    [anon_sym_DASH_DASH] = ACTIONS(1276),
    [anon_sym_PLUS_PLUS] = ACTIONS(1276),
    [aux_sym__list_destructing_token1] = ACTIONS(1278),
    [anon_sym_LBRACK] = ACTIONS(1276),
    [anon_sym_self] = ACTIONS(1278),
    [anon_sym_parent] = ACTIONS(1278),
    [aux_sym__argument_name_token1] = ACTIONS(1278),
    [aux_sym__argument_name_token2] = ACTIONS(1278),
    [anon_sym_POUND_LBRACK] = ACTIONS(1276),
    [aux_sym_encapsed_string_token1] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1276),
    [aux_sym_string_token1] = ACTIONS(1276),
    [anon_sym_SQUOTE] = ACTIONS(1276),
    [anon_sym_LT_LT_LT] = ACTIONS(1276),
    [anon_sym_BQUOTE] = ACTIONS(1276),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [aux_sym_yield_expression_token1] = ACTIONS(1278),
    [aux_sym_include_expression_token1] = ACTIONS(1278),
    [aux_sym_include_once_expression_token1] = ACTIONS(1278),
    [aux_sym_require_expression_token1] = ACTIONS(1278),
    [aux_sym_require_once_expression_token1] = ACTIONS(1278),
    [sym_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_text_interpolation] = STATE(512),
    [ts_builtin_sym_end] = ACTIONS(1280),
    [sym_name] = ACTIONS(1282),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1280),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1282),
    [aux_sym_global_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_definition_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1282),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1282),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1282),
    [anon_sym_BSLASH] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1280),
    [anon_sym_RBRACE] = ACTIONS(1280),
    [aux_sym_trait_declaration_token1] = ACTIONS(1282),
    [aux_sym_interface_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_case_token1] = ACTIONS(1282),
    [aux_sym_class_declaration_token1] = ACTIONS(1282),
    [aux_sym_final_modifier_token1] = ACTIONS(1282),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1282),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1282),
    [sym_var_modifier] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1282),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1282),
    [aux_sym_cast_type_token1] = ACTIONS(1282),
    [aux_sym_echo_statement_token1] = ACTIONS(1282),
    [aux_sym_exit_statement_token1] = ACTIONS(1282),
    [anon_sym_unset] = ACTIONS(1282),
    [aux_sym_declare_statement_token1] = ACTIONS(1282),
    [aux_sym_declare_statement_token2] = ACTIONS(1282),
    [sym_float] = ACTIONS(1282),
    [aux_sym_try_statement_token1] = ACTIONS(1282),
    [aux_sym_goto_statement_token1] = ACTIONS(1282),
    [aux_sym_continue_statement_token1] = ACTIONS(1282),
    [aux_sym_break_statement_token1] = ACTIONS(1282),
    [sym_integer] = ACTIONS(1282),
    [aux_sym_return_statement_token1] = ACTIONS(1282),
    [aux_sym_throw_expression_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token2] = ACTIONS(1282),
    [aux_sym_do_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token2] = ACTIONS(1282),
    [aux_sym_foreach_statement_token1] = ACTIONS(1282),
    [aux_sym_foreach_statement_token2] = ACTIONS(1282),
    [aux_sym_if_statement_token1] = ACTIONS(1282),
    [aux_sym_if_statement_token2] = ACTIONS(1282),
    [aux_sym_else_if_clause_token1] = ACTIONS(1282),
    [aux_sym_else_clause_token1] = ACTIONS(1282),
    [aux_sym_match_expression_token1] = ACTIONS(1282),
    [aux_sym_match_default_expression_token1] = ACTIONS(1282),
    [aux_sym_switch_statement_token1] = ACTIONS(1282),
    [aux_sym_switch_block_token1] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1280),
    [aux_sym_clone_expression_token1] = ACTIONS(1282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1282),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1282),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [aux_sym__list_destructing_token1] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1280),
    [anon_sym_self] = ACTIONS(1282),
    [anon_sym_parent] = ACTIONS(1282),
    [aux_sym__argument_name_token1] = ACTIONS(1282),
    [aux_sym__argument_name_token2] = ACTIONS(1282),
    [anon_sym_POUND_LBRACK] = ACTIONS(1280),
    [aux_sym_encapsed_string_token1] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [aux_sym_string_token1] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1280),
    [anon_sym_LT_LT_LT] = ACTIONS(1280),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [aux_sym_yield_expression_token1] = ACTIONS(1282),
    [aux_sym_include_expression_token1] = ACTIONS(1282),
    [aux_sym_include_once_expression_token1] = ACTIONS(1282),
    [aux_sym_require_expression_token1] = ACTIONS(1282),
    [aux_sym_require_once_expression_token1] = ACTIONS(1282),
    [sym_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_text_interpolation] = STATE(513),
    [ts_builtin_sym_end] = ACTIONS(1284),
    [sym_name] = ACTIONS(1286),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1284),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1286),
    [aux_sym_global_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_definition_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1286),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1286),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1286),
    [anon_sym_BSLASH] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_RBRACE] = ACTIONS(1284),
    [aux_sym_trait_declaration_token1] = ACTIONS(1286),
    [aux_sym_interface_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_case_token1] = ACTIONS(1286),
    [aux_sym_class_declaration_token1] = ACTIONS(1286),
    [aux_sym_final_modifier_token1] = ACTIONS(1286),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1286),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1286),
    [sym_var_modifier] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(1284),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1286),
    [aux_sym_cast_type_token1] = ACTIONS(1286),
    [aux_sym_echo_statement_token1] = ACTIONS(1286),
    [aux_sym_exit_statement_token1] = ACTIONS(1286),
    [anon_sym_unset] = ACTIONS(1286),
    [aux_sym_declare_statement_token1] = ACTIONS(1286),
    [aux_sym_declare_statement_token2] = ACTIONS(1286),
    [sym_float] = ACTIONS(1286),
    [aux_sym_try_statement_token1] = ACTIONS(1286),
    [aux_sym_goto_statement_token1] = ACTIONS(1286),
    [aux_sym_continue_statement_token1] = ACTIONS(1286),
    [aux_sym_break_statement_token1] = ACTIONS(1286),
    [sym_integer] = ACTIONS(1286),
    [aux_sym_return_statement_token1] = ACTIONS(1286),
    [aux_sym_throw_expression_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token2] = ACTIONS(1286),
    [aux_sym_do_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token2] = ACTIONS(1286),
    [aux_sym_foreach_statement_token1] = ACTIONS(1286),
    [aux_sym_foreach_statement_token2] = ACTIONS(1286),
    [aux_sym_if_statement_token1] = ACTIONS(1286),
    [aux_sym_if_statement_token2] = ACTIONS(1286),
    [aux_sym_else_if_clause_token1] = ACTIONS(1286),
    [aux_sym_else_clause_token1] = ACTIONS(1286),
    [aux_sym_match_expression_token1] = ACTIONS(1286),
    [aux_sym_match_default_expression_token1] = ACTIONS(1286),
    [aux_sym_switch_statement_token1] = ACTIONS(1286),
    [aux_sym_switch_block_token1] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1284),
    [aux_sym_clone_expression_token1] = ACTIONS(1286),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1286),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [aux_sym__list_destructing_token1] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1284),
    [anon_sym_self] = ACTIONS(1286),
    [anon_sym_parent] = ACTIONS(1286),
    [aux_sym__argument_name_token1] = ACTIONS(1286),
    [aux_sym__argument_name_token2] = ACTIONS(1286),
    [anon_sym_POUND_LBRACK] = ACTIONS(1284),
    [aux_sym_encapsed_string_token1] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [aux_sym_string_token1] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [anon_sym_LT_LT_LT] = ACTIONS(1284),
    [anon_sym_BQUOTE] = ACTIONS(1284),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [aux_sym_yield_expression_token1] = ACTIONS(1286),
    [aux_sym_include_expression_token1] = ACTIONS(1286),
    [aux_sym_include_once_expression_token1] = ACTIONS(1286),
    [aux_sym_require_expression_token1] = ACTIONS(1286),
    [aux_sym_require_once_expression_token1] = ACTIONS(1286),
    [sym_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_text_interpolation] = STATE(514),
    [ts_builtin_sym_end] = ACTIONS(1288),
    [sym_name] = ACTIONS(1290),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1288),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1290),
    [aux_sym_global_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_definition_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1290),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1290),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1290),
    [anon_sym_BSLASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1288),
    [anon_sym_RBRACE] = ACTIONS(1288),
    [aux_sym_trait_declaration_token1] = ACTIONS(1290),
    [aux_sym_interface_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_case_token1] = ACTIONS(1290),
    [aux_sym_class_declaration_token1] = ACTIONS(1290),
    [aux_sym_final_modifier_token1] = ACTIONS(1290),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1290),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1290),
    [sym_var_modifier] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1290),
    [anon_sym_LPAREN] = ACTIONS(1288),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1290),
    [aux_sym_cast_type_token1] = ACTIONS(1290),
    [aux_sym_echo_statement_token1] = ACTIONS(1290),
    [aux_sym_exit_statement_token1] = ACTIONS(1290),
    [anon_sym_unset] = ACTIONS(1290),
    [aux_sym_declare_statement_token1] = ACTIONS(1290),
    [aux_sym_declare_statement_token2] = ACTIONS(1290),
    [sym_float] = ACTIONS(1290),
    [aux_sym_try_statement_token1] = ACTIONS(1290),
    [aux_sym_goto_statement_token1] = ACTIONS(1290),
    [aux_sym_continue_statement_token1] = ACTIONS(1290),
    [aux_sym_break_statement_token1] = ACTIONS(1290),
    [sym_integer] = ACTIONS(1290),
    [aux_sym_return_statement_token1] = ACTIONS(1290),
    [aux_sym_throw_expression_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token2] = ACTIONS(1290),
    [aux_sym_do_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token2] = ACTIONS(1290),
    [aux_sym_foreach_statement_token1] = ACTIONS(1290),
    [aux_sym_foreach_statement_token2] = ACTIONS(1290),
    [aux_sym_if_statement_token1] = ACTIONS(1290),
    [aux_sym_if_statement_token2] = ACTIONS(1290),
    [aux_sym_else_if_clause_token1] = ACTIONS(1290),
    [aux_sym_else_clause_token1] = ACTIONS(1290),
    [aux_sym_match_expression_token1] = ACTIONS(1290),
    [aux_sym_match_default_expression_token1] = ACTIONS(1290),
    [aux_sym_switch_statement_token1] = ACTIONS(1290),
    [aux_sym_switch_block_token1] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1288),
    [aux_sym_clone_expression_token1] = ACTIONS(1290),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1290),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1290),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [aux_sym__list_destructing_token1] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1288),
    [anon_sym_self] = ACTIONS(1290),
    [anon_sym_parent] = ACTIONS(1290),
    [aux_sym__argument_name_token1] = ACTIONS(1290),
    [aux_sym__argument_name_token2] = ACTIONS(1290),
    [anon_sym_POUND_LBRACK] = ACTIONS(1288),
    [aux_sym_encapsed_string_token1] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [aux_sym_string_token1] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [anon_sym_LT_LT_LT] = ACTIONS(1288),
    [anon_sym_BQUOTE] = ACTIONS(1288),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [aux_sym_yield_expression_token1] = ACTIONS(1290),
    [aux_sym_include_expression_token1] = ACTIONS(1290),
    [aux_sym_include_once_expression_token1] = ACTIONS(1290),
    [aux_sym_require_expression_token1] = ACTIONS(1290),
    [aux_sym_require_once_expression_token1] = ACTIONS(1290),
    [sym_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_text_interpolation] = STATE(515),
    [ts_builtin_sym_end] = ACTIONS(1292),
    [sym_name] = ACTIONS(1294),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1292),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1294),
    [aux_sym_global_declaration_token1] = ACTIONS(1294),
    [aux_sym_namespace_definition_token1] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1294),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1294),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1294),
    [anon_sym_BSLASH] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_RBRACE] = ACTIONS(1292),
    [aux_sym_trait_declaration_token1] = ACTIONS(1294),
    [aux_sym_interface_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_case_token1] = ACTIONS(1294),
    [aux_sym_class_declaration_token1] = ACTIONS(1294),
    [aux_sym_final_modifier_token1] = ACTIONS(1294),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1294),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1294),
    [sym_var_modifier] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1294),
    [anon_sym_LPAREN] = ACTIONS(1292),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1294),
    [aux_sym_cast_type_token1] = ACTIONS(1294),
    [aux_sym_echo_statement_token1] = ACTIONS(1294),
    [aux_sym_exit_statement_token1] = ACTIONS(1294),
    [anon_sym_unset] = ACTIONS(1294),
    [aux_sym_declare_statement_token1] = ACTIONS(1294),
    [aux_sym_declare_statement_token2] = ACTIONS(1294),
    [sym_float] = ACTIONS(1294),
    [aux_sym_try_statement_token1] = ACTIONS(1294),
    [aux_sym_goto_statement_token1] = ACTIONS(1294),
    [aux_sym_continue_statement_token1] = ACTIONS(1294),
    [aux_sym_break_statement_token1] = ACTIONS(1294),
    [sym_integer] = ACTIONS(1294),
    [aux_sym_return_statement_token1] = ACTIONS(1294),
    [aux_sym_throw_expression_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token2] = ACTIONS(1294),
    [aux_sym_do_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token2] = ACTIONS(1294),
    [aux_sym_foreach_statement_token1] = ACTIONS(1294),
    [aux_sym_foreach_statement_token2] = ACTIONS(1294),
    [aux_sym_if_statement_token1] = ACTIONS(1294),
    [aux_sym_if_statement_token2] = ACTIONS(1294),
    [aux_sym_else_if_clause_token1] = ACTIONS(1294),
    [aux_sym_else_clause_token1] = ACTIONS(1294),
    [aux_sym_match_expression_token1] = ACTIONS(1294),
    [aux_sym_match_default_expression_token1] = ACTIONS(1294),
    [aux_sym_switch_statement_token1] = ACTIONS(1294),
    [aux_sym_switch_block_token1] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1292),
    [anon_sym_BANG] = ACTIONS(1292),
    [anon_sym_AT] = ACTIONS(1292),
    [aux_sym_clone_expression_token1] = ACTIONS(1294),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1294),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1292),
    [anon_sym_PLUS_PLUS] = ACTIONS(1292),
    [aux_sym__list_destructing_token1] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1292),
    [anon_sym_self] = ACTIONS(1294),
    [anon_sym_parent] = ACTIONS(1294),
    [aux_sym__argument_name_token1] = ACTIONS(1294),
    [aux_sym__argument_name_token2] = ACTIONS(1294),
    [anon_sym_POUND_LBRACK] = ACTIONS(1292),
    [aux_sym_encapsed_string_token1] = ACTIONS(1292),
    [anon_sym_DQUOTE] = ACTIONS(1292),
    [aux_sym_string_token1] = ACTIONS(1292),
    [anon_sym_SQUOTE] = ACTIONS(1292),
    [anon_sym_LT_LT_LT] = ACTIONS(1292),
    [anon_sym_BQUOTE] = ACTIONS(1292),
    [anon_sym_DOLLAR] = ACTIONS(1292),
    [aux_sym_yield_expression_token1] = ACTIONS(1294),
    [aux_sym_include_expression_token1] = ACTIONS(1294),
    [aux_sym_include_once_expression_token1] = ACTIONS(1294),
    [aux_sym_require_expression_token1] = ACTIONS(1294),
    [aux_sym_require_once_expression_token1] = ACTIONS(1294),
    [sym_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_text_interpolation] = STATE(516),
    [ts_builtin_sym_end] = ACTIONS(1296),
    [sym_name] = ACTIONS(1298),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1296),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1298),
    [aux_sym_global_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_definition_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1298),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1298),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1298),
    [anon_sym_BSLASH] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_RBRACE] = ACTIONS(1296),
    [aux_sym_trait_declaration_token1] = ACTIONS(1298),
    [aux_sym_interface_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_case_token1] = ACTIONS(1298),
    [aux_sym_class_declaration_token1] = ACTIONS(1298),
    [aux_sym_final_modifier_token1] = ACTIONS(1298),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1298),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1298),
    [sym_var_modifier] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1298),
    [anon_sym_LPAREN] = ACTIONS(1296),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1298),
    [aux_sym_cast_type_token1] = ACTIONS(1298),
    [aux_sym_echo_statement_token1] = ACTIONS(1298),
    [aux_sym_exit_statement_token1] = ACTIONS(1298),
    [anon_sym_unset] = ACTIONS(1298),
    [aux_sym_declare_statement_token1] = ACTIONS(1298),
    [aux_sym_declare_statement_token2] = ACTIONS(1298),
    [sym_float] = ACTIONS(1298),
    [aux_sym_try_statement_token1] = ACTIONS(1298),
    [aux_sym_goto_statement_token1] = ACTIONS(1298),
    [aux_sym_continue_statement_token1] = ACTIONS(1298),
    [aux_sym_break_statement_token1] = ACTIONS(1298),
    [sym_integer] = ACTIONS(1298),
    [aux_sym_return_statement_token1] = ACTIONS(1298),
    [aux_sym_throw_expression_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token2] = ACTIONS(1298),
    [aux_sym_do_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token2] = ACTIONS(1298),
    [aux_sym_foreach_statement_token1] = ACTIONS(1298),
    [aux_sym_foreach_statement_token2] = ACTIONS(1298),
    [aux_sym_if_statement_token1] = ACTIONS(1298),
    [aux_sym_if_statement_token2] = ACTIONS(1298),
    [aux_sym_else_if_clause_token1] = ACTIONS(1298),
    [aux_sym_else_clause_token1] = ACTIONS(1298),
    [aux_sym_match_expression_token1] = ACTIONS(1298),
    [aux_sym_match_default_expression_token1] = ACTIONS(1298),
    [aux_sym_switch_statement_token1] = ACTIONS(1298),
    [aux_sym_switch_block_token1] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [aux_sym_clone_expression_token1] = ACTIONS(1298),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1298),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1296),
    [anon_sym_PLUS_PLUS] = ACTIONS(1296),
    [aux_sym__list_destructing_token1] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(1296),
    [anon_sym_self] = ACTIONS(1298),
    [anon_sym_parent] = ACTIONS(1298),
    [aux_sym__argument_name_token1] = ACTIONS(1298),
    [aux_sym__argument_name_token2] = ACTIONS(1298),
    [anon_sym_POUND_LBRACK] = ACTIONS(1296),
    [aux_sym_encapsed_string_token1] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [aux_sym_string_token1] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1296),
    [anon_sym_LT_LT_LT] = ACTIONS(1296),
    [anon_sym_BQUOTE] = ACTIONS(1296),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [aux_sym_yield_expression_token1] = ACTIONS(1298),
    [aux_sym_include_expression_token1] = ACTIONS(1298),
    [aux_sym_include_once_expression_token1] = ACTIONS(1298),
    [aux_sym_require_expression_token1] = ACTIONS(1298),
    [aux_sym_require_once_expression_token1] = ACTIONS(1298),
    [sym_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_text_interpolation] = STATE(517),
    [ts_builtin_sym_end] = ACTIONS(1300),
    [sym_name] = ACTIONS(1302),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1300),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1302),
    [aux_sym_global_declaration_token1] = ACTIONS(1302),
    [aux_sym_namespace_definition_token1] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1302),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1302),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1302),
    [anon_sym_BSLASH] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [aux_sym_trait_declaration_token1] = ACTIONS(1302),
    [aux_sym_interface_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_case_token1] = ACTIONS(1302),
    [aux_sym_class_declaration_token1] = ACTIONS(1302),
    [aux_sym_final_modifier_token1] = ACTIONS(1302),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1302),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1302),
    [sym_var_modifier] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1300),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1302),
    [aux_sym_cast_type_token1] = ACTIONS(1302),
    [aux_sym_echo_statement_token1] = ACTIONS(1302),
    [aux_sym_exit_statement_token1] = ACTIONS(1302),
    [anon_sym_unset] = ACTIONS(1302),
    [aux_sym_declare_statement_token1] = ACTIONS(1302),
    [aux_sym_declare_statement_token2] = ACTIONS(1302),
    [sym_float] = ACTIONS(1302),
    [aux_sym_try_statement_token1] = ACTIONS(1302),
    [aux_sym_goto_statement_token1] = ACTIONS(1302),
    [aux_sym_continue_statement_token1] = ACTIONS(1302),
    [aux_sym_break_statement_token1] = ACTIONS(1302),
    [sym_integer] = ACTIONS(1302),
    [aux_sym_return_statement_token1] = ACTIONS(1302),
    [aux_sym_throw_expression_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token2] = ACTIONS(1302),
    [aux_sym_do_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token2] = ACTIONS(1302),
    [aux_sym_foreach_statement_token1] = ACTIONS(1302),
    [aux_sym_foreach_statement_token2] = ACTIONS(1302),
    [aux_sym_if_statement_token1] = ACTIONS(1302),
    [aux_sym_if_statement_token2] = ACTIONS(1302),
    [aux_sym_else_if_clause_token1] = ACTIONS(1302),
    [aux_sym_else_clause_token1] = ACTIONS(1302),
    [aux_sym_match_expression_token1] = ACTIONS(1302),
    [aux_sym_match_default_expression_token1] = ACTIONS(1302),
    [aux_sym_switch_statement_token1] = ACTIONS(1302),
    [aux_sym_switch_block_token1] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_AT] = ACTIONS(1300),
    [aux_sym_clone_expression_token1] = ACTIONS(1302),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [aux_sym__list_destructing_token1] = ACTIONS(1302),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_self] = ACTIONS(1302),
    [anon_sym_parent] = ACTIONS(1302),
    [aux_sym__argument_name_token1] = ACTIONS(1302),
    [aux_sym__argument_name_token2] = ACTIONS(1302),
    [anon_sym_POUND_LBRACK] = ACTIONS(1300),
    [aux_sym_encapsed_string_token1] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [aux_sym_string_token1] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_LT_LT_LT] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(1300),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [aux_sym_yield_expression_token1] = ACTIONS(1302),
    [aux_sym_include_expression_token1] = ACTIONS(1302),
    [aux_sym_include_once_expression_token1] = ACTIONS(1302),
    [aux_sym_require_expression_token1] = ACTIONS(1302),
    [aux_sym_require_once_expression_token1] = ACTIONS(1302),
    [sym_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_text_interpolation] = STATE(518),
    [ts_builtin_sym_end] = ACTIONS(1304),
    [sym_name] = ACTIONS(1306),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1304),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1306),
    [aux_sym_global_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_definition_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1306),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1306),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1306),
    [anon_sym_BSLASH] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [aux_sym_trait_declaration_token1] = ACTIONS(1306),
    [aux_sym_interface_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_case_token1] = ACTIONS(1306),
    [aux_sym_class_declaration_token1] = ACTIONS(1306),
    [aux_sym_final_modifier_token1] = ACTIONS(1306),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1306),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1306),
    [sym_var_modifier] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1306),
    [anon_sym_LPAREN] = ACTIONS(1304),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1306),
    [aux_sym_cast_type_token1] = ACTIONS(1306),
    [aux_sym_echo_statement_token1] = ACTIONS(1306),
    [aux_sym_exit_statement_token1] = ACTIONS(1306),
    [anon_sym_unset] = ACTIONS(1306),
    [aux_sym_declare_statement_token1] = ACTIONS(1306),
    [aux_sym_declare_statement_token2] = ACTIONS(1306),
    [sym_float] = ACTIONS(1306),
    [aux_sym_try_statement_token1] = ACTIONS(1306),
    [aux_sym_goto_statement_token1] = ACTIONS(1306),
    [aux_sym_continue_statement_token1] = ACTIONS(1306),
    [aux_sym_break_statement_token1] = ACTIONS(1306),
    [sym_integer] = ACTIONS(1306),
    [aux_sym_return_statement_token1] = ACTIONS(1306),
    [aux_sym_throw_expression_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token2] = ACTIONS(1306),
    [aux_sym_do_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token2] = ACTIONS(1306),
    [aux_sym_foreach_statement_token1] = ACTIONS(1306),
    [aux_sym_foreach_statement_token2] = ACTIONS(1306),
    [aux_sym_if_statement_token1] = ACTIONS(1306),
    [aux_sym_if_statement_token2] = ACTIONS(1306),
    [aux_sym_else_if_clause_token1] = ACTIONS(1306),
    [aux_sym_else_clause_token1] = ACTIONS(1306),
    [aux_sym_match_expression_token1] = ACTIONS(1306),
    [aux_sym_match_default_expression_token1] = ACTIONS(1306),
    [aux_sym_switch_statement_token1] = ACTIONS(1306),
    [aux_sym_switch_block_token1] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(1304),
    [aux_sym_clone_expression_token1] = ACTIONS(1306),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1306),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [aux_sym__list_destructing_token1] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_self] = ACTIONS(1306),
    [anon_sym_parent] = ACTIONS(1306),
    [aux_sym__argument_name_token1] = ACTIONS(1306),
    [aux_sym__argument_name_token2] = ACTIONS(1306),
    [anon_sym_POUND_LBRACK] = ACTIONS(1304),
    [aux_sym_encapsed_string_token1] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [aux_sym_string_token1] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_LT_LT_LT] = ACTIONS(1304),
    [anon_sym_BQUOTE] = ACTIONS(1304),
    [anon_sym_DOLLAR] = ACTIONS(1304),
    [aux_sym_yield_expression_token1] = ACTIONS(1306),
    [aux_sym_include_expression_token1] = ACTIONS(1306),
    [aux_sym_include_once_expression_token1] = ACTIONS(1306),
    [aux_sym_require_expression_token1] = ACTIONS(1306),
    [aux_sym_require_once_expression_token1] = ACTIONS(1306),
    [sym_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_text_interpolation] = STATE(519),
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_name] = ACTIONS(1310),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1308),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1310),
    [aux_sym_global_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_definition_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1310),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1310),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1310),
    [anon_sym_BSLASH] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [aux_sym_trait_declaration_token1] = ACTIONS(1310),
    [aux_sym_interface_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_case_token1] = ACTIONS(1310),
    [aux_sym_class_declaration_token1] = ACTIONS(1310),
    [aux_sym_final_modifier_token1] = ACTIONS(1310),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1310),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1310),
    [sym_var_modifier] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1308),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1310),
    [aux_sym_cast_type_token1] = ACTIONS(1310),
    [aux_sym_echo_statement_token1] = ACTIONS(1310),
    [aux_sym_exit_statement_token1] = ACTIONS(1310),
    [anon_sym_unset] = ACTIONS(1310),
    [aux_sym_declare_statement_token1] = ACTIONS(1310),
    [aux_sym_declare_statement_token2] = ACTIONS(1310),
    [sym_float] = ACTIONS(1310),
    [aux_sym_try_statement_token1] = ACTIONS(1310),
    [aux_sym_goto_statement_token1] = ACTIONS(1310),
    [aux_sym_continue_statement_token1] = ACTIONS(1310),
    [aux_sym_break_statement_token1] = ACTIONS(1310),
    [sym_integer] = ACTIONS(1310),
    [aux_sym_return_statement_token1] = ACTIONS(1310),
    [aux_sym_throw_expression_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token2] = ACTIONS(1310),
    [aux_sym_do_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token2] = ACTIONS(1310),
    [aux_sym_foreach_statement_token1] = ACTIONS(1310),
    [aux_sym_foreach_statement_token2] = ACTIONS(1310),
    [aux_sym_if_statement_token1] = ACTIONS(1310),
    [aux_sym_if_statement_token2] = ACTIONS(1310),
    [aux_sym_else_if_clause_token1] = ACTIONS(1310),
    [aux_sym_else_clause_token1] = ACTIONS(1310),
    [aux_sym_match_expression_token1] = ACTIONS(1310),
    [aux_sym_match_default_expression_token1] = ACTIONS(1310),
    [aux_sym_switch_statement_token1] = ACTIONS(1310),
    [aux_sym_switch_block_token1] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_AT] = ACTIONS(1308),
    [aux_sym_clone_expression_token1] = ACTIONS(1310),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1310),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [aux_sym__list_destructing_token1] = ACTIONS(1310),
    [anon_sym_LBRACK] = ACTIONS(1308),
    [anon_sym_self] = ACTIONS(1310),
    [anon_sym_parent] = ACTIONS(1310),
    [aux_sym__argument_name_token1] = ACTIONS(1310),
    [aux_sym__argument_name_token2] = ACTIONS(1310),
    [anon_sym_POUND_LBRACK] = ACTIONS(1308),
    [aux_sym_encapsed_string_token1] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [aux_sym_string_token1] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_LT_LT_LT] = ACTIONS(1308),
    [anon_sym_BQUOTE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1308),
    [aux_sym_yield_expression_token1] = ACTIONS(1310),
    [aux_sym_include_expression_token1] = ACTIONS(1310),
    [aux_sym_include_once_expression_token1] = ACTIONS(1310),
    [aux_sym_require_expression_token1] = ACTIONS(1310),
    [aux_sym_require_once_expression_token1] = ACTIONS(1310),
    [sym_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_text_interpolation] = STATE(520),
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_name] = ACTIONS(1314),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1312),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1314),
    [aux_sym_global_declaration_token1] = ACTIONS(1314),
    [aux_sym_namespace_definition_token1] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1314),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1314),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1314),
    [anon_sym_BSLASH] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [aux_sym_trait_declaration_token1] = ACTIONS(1314),
    [aux_sym_interface_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_case_token1] = ACTIONS(1314),
    [aux_sym_class_declaration_token1] = ACTIONS(1314),
    [aux_sym_final_modifier_token1] = ACTIONS(1314),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1314),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1314),
    [sym_var_modifier] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1314),
    [anon_sym_LPAREN] = ACTIONS(1312),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1314),
    [aux_sym_cast_type_token1] = ACTIONS(1314),
    [aux_sym_echo_statement_token1] = ACTIONS(1314),
    [aux_sym_exit_statement_token1] = ACTIONS(1314),
    [anon_sym_unset] = ACTIONS(1314),
    [aux_sym_declare_statement_token1] = ACTIONS(1314),
    [aux_sym_declare_statement_token2] = ACTIONS(1314),
    [sym_float] = ACTIONS(1314),
    [aux_sym_try_statement_token1] = ACTIONS(1314),
    [aux_sym_goto_statement_token1] = ACTIONS(1314),
    [aux_sym_continue_statement_token1] = ACTIONS(1314),
    [aux_sym_break_statement_token1] = ACTIONS(1314),
    [sym_integer] = ACTIONS(1314),
    [aux_sym_return_statement_token1] = ACTIONS(1314),
    [aux_sym_throw_expression_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token2] = ACTIONS(1314),
    [aux_sym_do_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token2] = ACTIONS(1314),
    [aux_sym_foreach_statement_token1] = ACTIONS(1314),
    [aux_sym_foreach_statement_token2] = ACTIONS(1314),
    [aux_sym_if_statement_token1] = ACTIONS(1314),
    [aux_sym_if_statement_token2] = ACTIONS(1314),
    [aux_sym_else_if_clause_token1] = ACTIONS(1314),
    [aux_sym_else_clause_token1] = ACTIONS(1314),
    [aux_sym_match_expression_token1] = ACTIONS(1314),
    [aux_sym_match_default_expression_token1] = ACTIONS(1314),
    [aux_sym_switch_statement_token1] = ACTIONS(1314),
    [aux_sym_switch_block_token1] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_AT] = ACTIONS(1312),
    [aux_sym_clone_expression_token1] = ACTIONS(1314),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1314),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1314),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [aux_sym__list_destructing_token1] = ACTIONS(1314),
    [anon_sym_LBRACK] = ACTIONS(1312),
    [anon_sym_self] = ACTIONS(1314),
    [anon_sym_parent] = ACTIONS(1314),
    [aux_sym__argument_name_token1] = ACTIONS(1314),
    [aux_sym__argument_name_token2] = ACTIONS(1314),
    [anon_sym_POUND_LBRACK] = ACTIONS(1312),
    [aux_sym_encapsed_string_token1] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [aux_sym_string_token1] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_LT_LT_LT] = ACTIONS(1312),
    [anon_sym_BQUOTE] = ACTIONS(1312),
    [anon_sym_DOLLAR] = ACTIONS(1312),
    [aux_sym_yield_expression_token1] = ACTIONS(1314),
    [aux_sym_include_expression_token1] = ACTIONS(1314),
    [aux_sym_include_once_expression_token1] = ACTIONS(1314),
    [aux_sym_require_expression_token1] = ACTIONS(1314),
    [aux_sym_require_once_expression_token1] = ACTIONS(1314),
    [sym_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_text_interpolation] = STATE(521),
    [ts_builtin_sym_end] = ACTIONS(1316),
    [sym_name] = ACTIONS(1318),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1316),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1318),
    [aux_sym_global_declaration_token1] = ACTIONS(1318),
    [aux_sym_namespace_definition_token1] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1318),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1318),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1318),
    [anon_sym_BSLASH] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [aux_sym_trait_declaration_token1] = ACTIONS(1318),
    [aux_sym_interface_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_case_token1] = ACTIONS(1318),
    [aux_sym_class_declaration_token1] = ACTIONS(1318),
    [aux_sym_final_modifier_token1] = ACTIONS(1318),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1318),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1318),
    [sym_var_modifier] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1318),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1318),
    [aux_sym_cast_type_token1] = ACTIONS(1318),
    [aux_sym_echo_statement_token1] = ACTIONS(1318),
    [aux_sym_exit_statement_token1] = ACTIONS(1318),
    [anon_sym_unset] = ACTIONS(1318),
    [aux_sym_declare_statement_token1] = ACTIONS(1318),
    [aux_sym_declare_statement_token2] = ACTIONS(1318),
    [sym_float] = ACTIONS(1318),
    [aux_sym_try_statement_token1] = ACTIONS(1318),
    [aux_sym_goto_statement_token1] = ACTIONS(1318),
    [aux_sym_continue_statement_token1] = ACTIONS(1318),
    [aux_sym_break_statement_token1] = ACTIONS(1318),
    [sym_integer] = ACTIONS(1318),
    [aux_sym_return_statement_token1] = ACTIONS(1318),
    [aux_sym_throw_expression_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token2] = ACTIONS(1318),
    [aux_sym_do_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token2] = ACTIONS(1318),
    [aux_sym_foreach_statement_token1] = ACTIONS(1318),
    [aux_sym_foreach_statement_token2] = ACTIONS(1318),
    [aux_sym_if_statement_token1] = ACTIONS(1318),
    [aux_sym_if_statement_token2] = ACTIONS(1318),
    [aux_sym_else_if_clause_token1] = ACTIONS(1318),
    [aux_sym_else_clause_token1] = ACTIONS(1318),
    [aux_sym_match_expression_token1] = ACTIONS(1318),
    [aux_sym_match_default_expression_token1] = ACTIONS(1318),
    [aux_sym_switch_statement_token1] = ACTIONS(1318),
    [aux_sym_switch_block_token1] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [anon_sym_AT] = ACTIONS(1316),
    [aux_sym_clone_expression_token1] = ACTIONS(1318),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1318),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [aux_sym__list_destructing_token1] = ACTIONS(1318),
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_self] = ACTIONS(1318),
    [anon_sym_parent] = ACTIONS(1318),
    [aux_sym__argument_name_token1] = ACTIONS(1318),
    [aux_sym__argument_name_token2] = ACTIONS(1318),
    [anon_sym_POUND_LBRACK] = ACTIONS(1316),
    [aux_sym_encapsed_string_token1] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [aux_sym_string_token1] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [anon_sym_LT_LT_LT] = ACTIONS(1316),
    [anon_sym_BQUOTE] = ACTIONS(1316),
    [anon_sym_DOLLAR] = ACTIONS(1316),
    [aux_sym_yield_expression_token1] = ACTIONS(1318),
    [aux_sym_include_expression_token1] = ACTIONS(1318),
    [aux_sym_include_once_expression_token1] = ACTIONS(1318),
    [aux_sym_require_expression_token1] = ACTIONS(1318),
    [aux_sym_require_once_expression_token1] = ACTIONS(1318),
    [sym_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_text_interpolation] = STATE(522),
    [ts_builtin_sym_end] = ACTIONS(1320),
    [sym_name] = ACTIONS(1322),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1320),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1322),
    [aux_sym_global_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_definition_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1322),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1322),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1322),
    [anon_sym_BSLASH] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [aux_sym_trait_declaration_token1] = ACTIONS(1322),
    [aux_sym_interface_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_case_token1] = ACTIONS(1322),
    [aux_sym_class_declaration_token1] = ACTIONS(1322),
    [aux_sym_final_modifier_token1] = ACTIONS(1322),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1322),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1322),
    [sym_var_modifier] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(1320),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1322),
    [aux_sym_cast_type_token1] = ACTIONS(1322),
    [aux_sym_echo_statement_token1] = ACTIONS(1322),
    [aux_sym_exit_statement_token1] = ACTIONS(1322),
    [anon_sym_unset] = ACTIONS(1322),
    [aux_sym_declare_statement_token1] = ACTIONS(1322),
    [aux_sym_declare_statement_token2] = ACTIONS(1322),
    [sym_float] = ACTIONS(1322),
    [aux_sym_try_statement_token1] = ACTIONS(1322),
    [aux_sym_goto_statement_token1] = ACTIONS(1322),
    [aux_sym_continue_statement_token1] = ACTIONS(1322),
    [aux_sym_break_statement_token1] = ACTIONS(1322),
    [sym_integer] = ACTIONS(1322),
    [aux_sym_return_statement_token1] = ACTIONS(1322),
    [aux_sym_throw_expression_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token2] = ACTIONS(1322),
    [aux_sym_do_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token2] = ACTIONS(1322),
    [aux_sym_foreach_statement_token1] = ACTIONS(1322),
    [aux_sym_foreach_statement_token2] = ACTIONS(1322),
    [aux_sym_if_statement_token1] = ACTIONS(1322),
    [aux_sym_if_statement_token2] = ACTIONS(1322),
    [aux_sym_else_if_clause_token1] = ACTIONS(1322),
    [aux_sym_else_clause_token1] = ACTIONS(1322),
    [aux_sym_match_expression_token1] = ACTIONS(1322),
    [aux_sym_match_default_expression_token1] = ACTIONS(1322),
    [aux_sym_switch_statement_token1] = ACTIONS(1322),
    [aux_sym_switch_block_token1] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_AT] = ACTIONS(1320),
    [aux_sym_clone_expression_token1] = ACTIONS(1322),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1322),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [aux_sym__list_destructing_token1] = ACTIONS(1322),
    [anon_sym_LBRACK] = ACTIONS(1320),
    [anon_sym_self] = ACTIONS(1322),
    [anon_sym_parent] = ACTIONS(1322),
    [aux_sym__argument_name_token1] = ACTIONS(1322),
    [aux_sym__argument_name_token2] = ACTIONS(1322),
    [anon_sym_POUND_LBRACK] = ACTIONS(1320),
    [aux_sym_encapsed_string_token1] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [aux_sym_string_token1] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_LT_LT_LT] = ACTIONS(1320),
    [anon_sym_BQUOTE] = ACTIONS(1320),
    [anon_sym_DOLLAR] = ACTIONS(1320),
    [aux_sym_yield_expression_token1] = ACTIONS(1322),
    [aux_sym_include_expression_token1] = ACTIONS(1322),
    [aux_sym_include_once_expression_token1] = ACTIONS(1322),
    [aux_sym_require_expression_token1] = ACTIONS(1322),
    [aux_sym_require_once_expression_token1] = ACTIONS(1322),
    [sym_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_text_interpolation] = STATE(523),
    [ts_builtin_sym_end] = ACTIONS(1324),
    [sym_name] = ACTIONS(1326),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1324),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1326),
    [aux_sym_global_declaration_token1] = ACTIONS(1326),
    [aux_sym_namespace_definition_token1] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1326),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1326),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1326),
    [anon_sym_BSLASH] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [aux_sym_trait_declaration_token1] = ACTIONS(1326),
    [aux_sym_interface_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_case_token1] = ACTIONS(1326),
    [aux_sym_class_declaration_token1] = ACTIONS(1326),
    [aux_sym_final_modifier_token1] = ACTIONS(1326),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1326),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1326),
    [sym_var_modifier] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1326),
    [anon_sym_LPAREN] = ACTIONS(1324),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1326),
    [aux_sym_cast_type_token1] = ACTIONS(1326),
    [aux_sym_echo_statement_token1] = ACTIONS(1326),
    [aux_sym_exit_statement_token1] = ACTIONS(1326),
    [anon_sym_unset] = ACTIONS(1326),
    [aux_sym_declare_statement_token1] = ACTIONS(1326),
    [aux_sym_declare_statement_token2] = ACTIONS(1326),
    [sym_float] = ACTIONS(1326),
    [aux_sym_try_statement_token1] = ACTIONS(1326),
    [aux_sym_goto_statement_token1] = ACTIONS(1326),
    [aux_sym_continue_statement_token1] = ACTIONS(1326),
    [aux_sym_break_statement_token1] = ACTIONS(1326),
    [sym_integer] = ACTIONS(1326),
    [aux_sym_return_statement_token1] = ACTIONS(1326),
    [aux_sym_throw_expression_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token2] = ACTIONS(1326),
    [aux_sym_do_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token2] = ACTIONS(1326),
    [aux_sym_foreach_statement_token1] = ACTIONS(1326),
    [aux_sym_foreach_statement_token2] = ACTIONS(1326),
    [aux_sym_if_statement_token1] = ACTIONS(1326),
    [aux_sym_if_statement_token2] = ACTIONS(1326),
    [aux_sym_else_if_clause_token1] = ACTIONS(1326),
    [aux_sym_else_clause_token1] = ACTIONS(1326),
    [aux_sym_match_expression_token1] = ACTIONS(1326),
    [aux_sym_match_default_expression_token1] = ACTIONS(1326),
    [aux_sym_switch_statement_token1] = ACTIONS(1326),
    [aux_sym_switch_block_token1] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_AT] = ACTIONS(1324),
    [aux_sym_clone_expression_token1] = ACTIONS(1326),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1326),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [aux_sym__list_destructing_token1] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1324),
    [anon_sym_self] = ACTIONS(1326),
    [anon_sym_parent] = ACTIONS(1326),
    [aux_sym__argument_name_token1] = ACTIONS(1326),
    [aux_sym__argument_name_token2] = ACTIONS(1326),
    [anon_sym_POUND_LBRACK] = ACTIONS(1324),
    [aux_sym_encapsed_string_token1] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [aux_sym_string_token1] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_LT_LT_LT] = ACTIONS(1324),
    [anon_sym_BQUOTE] = ACTIONS(1324),
    [anon_sym_DOLLAR] = ACTIONS(1324),
    [aux_sym_yield_expression_token1] = ACTIONS(1326),
    [aux_sym_include_expression_token1] = ACTIONS(1326),
    [aux_sym_include_once_expression_token1] = ACTIONS(1326),
    [aux_sym_require_expression_token1] = ACTIONS(1326),
    [aux_sym_require_once_expression_token1] = ACTIONS(1326),
    [sym_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_text_interpolation] = STATE(524),
    [ts_builtin_sym_end] = ACTIONS(1328),
    [sym_name] = ACTIONS(1330),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1328),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1330),
    [aux_sym_global_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_definition_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1330),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1330),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1330),
    [anon_sym_BSLASH] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [aux_sym_trait_declaration_token1] = ACTIONS(1330),
    [aux_sym_interface_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_case_token1] = ACTIONS(1330),
    [aux_sym_class_declaration_token1] = ACTIONS(1330),
    [aux_sym_final_modifier_token1] = ACTIONS(1330),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1330),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1330),
    [sym_var_modifier] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1330),
    [anon_sym_LPAREN] = ACTIONS(1328),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1330),
    [aux_sym_cast_type_token1] = ACTIONS(1330),
    [aux_sym_echo_statement_token1] = ACTIONS(1330),
    [aux_sym_exit_statement_token1] = ACTIONS(1330),
    [anon_sym_unset] = ACTIONS(1330),
    [aux_sym_declare_statement_token1] = ACTIONS(1330),
    [aux_sym_declare_statement_token2] = ACTIONS(1330),
    [sym_float] = ACTIONS(1330),
    [aux_sym_try_statement_token1] = ACTIONS(1330),
    [aux_sym_goto_statement_token1] = ACTIONS(1330),
    [aux_sym_continue_statement_token1] = ACTIONS(1330),
    [aux_sym_break_statement_token1] = ACTIONS(1330),
    [sym_integer] = ACTIONS(1330),
    [aux_sym_return_statement_token1] = ACTIONS(1330),
    [aux_sym_throw_expression_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token2] = ACTIONS(1330),
    [aux_sym_do_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token2] = ACTIONS(1330),
    [aux_sym_foreach_statement_token1] = ACTIONS(1330),
    [aux_sym_foreach_statement_token2] = ACTIONS(1330),
    [aux_sym_if_statement_token1] = ACTIONS(1330),
    [aux_sym_if_statement_token2] = ACTIONS(1330),
    [aux_sym_else_if_clause_token1] = ACTIONS(1330),
    [aux_sym_else_clause_token1] = ACTIONS(1330),
    [aux_sym_match_expression_token1] = ACTIONS(1330),
    [aux_sym_match_default_expression_token1] = ACTIONS(1330),
    [aux_sym_switch_statement_token1] = ACTIONS(1330),
    [aux_sym_switch_block_token1] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_AT] = ACTIONS(1328),
    [aux_sym_clone_expression_token1] = ACTIONS(1330),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1330),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [aux_sym__list_destructing_token1] = ACTIONS(1330),
    [anon_sym_LBRACK] = ACTIONS(1328),
    [anon_sym_self] = ACTIONS(1330),
    [anon_sym_parent] = ACTIONS(1330),
    [aux_sym__argument_name_token1] = ACTIONS(1330),
    [aux_sym__argument_name_token2] = ACTIONS(1330),
    [anon_sym_POUND_LBRACK] = ACTIONS(1328),
    [aux_sym_encapsed_string_token1] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [aux_sym_string_token1] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_LT_LT_LT] = ACTIONS(1328),
    [anon_sym_BQUOTE] = ACTIONS(1328),
    [anon_sym_DOLLAR] = ACTIONS(1328),
    [aux_sym_yield_expression_token1] = ACTIONS(1330),
    [aux_sym_include_expression_token1] = ACTIONS(1330),
    [aux_sym_include_once_expression_token1] = ACTIONS(1330),
    [aux_sym_require_expression_token1] = ACTIONS(1330),
    [aux_sym_require_once_expression_token1] = ACTIONS(1330),
    [sym_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_text_interpolation] = STATE(525),
    [ts_builtin_sym_end] = ACTIONS(1332),
    [sym_name] = ACTIONS(1334),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1332),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1334),
    [aux_sym_global_declaration_token1] = ACTIONS(1334),
    [aux_sym_namespace_definition_token1] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1334),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1334),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1334),
    [anon_sym_BSLASH] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [aux_sym_trait_declaration_token1] = ACTIONS(1334),
    [aux_sym_interface_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_case_token1] = ACTIONS(1334),
    [aux_sym_class_declaration_token1] = ACTIONS(1334),
    [aux_sym_final_modifier_token1] = ACTIONS(1334),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1334),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1334),
    [sym_var_modifier] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(1332),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1334),
    [aux_sym_cast_type_token1] = ACTIONS(1334),
    [aux_sym_echo_statement_token1] = ACTIONS(1334),
    [aux_sym_exit_statement_token1] = ACTIONS(1334),
    [anon_sym_unset] = ACTIONS(1334),
    [aux_sym_declare_statement_token1] = ACTIONS(1334),
    [aux_sym_declare_statement_token2] = ACTIONS(1334),
    [sym_float] = ACTIONS(1334),
    [aux_sym_try_statement_token1] = ACTIONS(1334),
    [aux_sym_goto_statement_token1] = ACTIONS(1334),
    [aux_sym_continue_statement_token1] = ACTIONS(1334),
    [aux_sym_break_statement_token1] = ACTIONS(1334),
    [sym_integer] = ACTIONS(1334),
    [aux_sym_return_statement_token1] = ACTIONS(1334),
    [aux_sym_throw_expression_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token2] = ACTIONS(1334),
    [aux_sym_do_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token2] = ACTIONS(1334),
    [aux_sym_foreach_statement_token1] = ACTIONS(1334),
    [aux_sym_foreach_statement_token2] = ACTIONS(1334),
    [aux_sym_if_statement_token1] = ACTIONS(1334),
    [aux_sym_if_statement_token2] = ACTIONS(1334),
    [aux_sym_else_if_clause_token1] = ACTIONS(1334),
    [aux_sym_else_clause_token1] = ACTIONS(1334),
    [aux_sym_match_expression_token1] = ACTIONS(1334),
    [aux_sym_match_default_expression_token1] = ACTIONS(1334),
    [aux_sym_switch_statement_token1] = ACTIONS(1334),
    [aux_sym_switch_block_token1] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_AT] = ACTIONS(1332),
    [aux_sym_clone_expression_token1] = ACTIONS(1334),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1334),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [aux_sym__list_destructing_token1] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1332),
    [anon_sym_self] = ACTIONS(1334),
    [anon_sym_parent] = ACTIONS(1334),
    [aux_sym__argument_name_token1] = ACTIONS(1334),
    [aux_sym__argument_name_token2] = ACTIONS(1334),
    [anon_sym_POUND_LBRACK] = ACTIONS(1332),
    [aux_sym_encapsed_string_token1] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [aux_sym_string_token1] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_LT_LT_LT] = ACTIONS(1332),
    [anon_sym_BQUOTE] = ACTIONS(1332),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [aux_sym_yield_expression_token1] = ACTIONS(1334),
    [aux_sym_include_expression_token1] = ACTIONS(1334),
    [aux_sym_include_once_expression_token1] = ACTIONS(1334),
    [aux_sym_require_expression_token1] = ACTIONS(1334),
    [aux_sym_require_once_expression_token1] = ACTIONS(1334),
    [sym_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_text_interpolation] = STATE(526),
    [ts_builtin_sym_end] = ACTIONS(1336),
    [sym_name] = ACTIONS(1338),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1336),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1338),
    [aux_sym_global_declaration_token1] = ACTIONS(1338),
    [aux_sym_namespace_definition_token1] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1338),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1338),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1338),
    [anon_sym_BSLASH] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_RBRACE] = ACTIONS(1336),
    [aux_sym_trait_declaration_token1] = ACTIONS(1338),
    [aux_sym_interface_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_case_token1] = ACTIONS(1338),
    [aux_sym_class_declaration_token1] = ACTIONS(1338),
    [aux_sym_final_modifier_token1] = ACTIONS(1338),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1338),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1338),
    [sym_var_modifier] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1338),
    [anon_sym_LPAREN] = ACTIONS(1336),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1338),
    [aux_sym_cast_type_token1] = ACTIONS(1338),
    [aux_sym_echo_statement_token1] = ACTIONS(1338),
    [aux_sym_exit_statement_token1] = ACTIONS(1338),
    [anon_sym_unset] = ACTIONS(1338),
    [aux_sym_declare_statement_token1] = ACTIONS(1338),
    [aux_sym_declare_statement_token2] = ACTIONS(1338),
    [sym_float] = ACTIONS(1338),
    [aux_sym_try_statement_token1] = ACTIONS(1338),
    [aux_sym_goto_statement_token1] = ACTIONS(1338),
    [aux_sym_continue_statement_token1] = ACTIONS(1338),
    [aux_sym_break_statement_token1] = ACTIONS(1338),
    [sym_integer] = ACTIONS(1338),
    [aux_sym_return_statement_token1] = ACTIONS(1338),
    [aux_sym_throw_expression_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token2] = ACTIONS(1338),
    [aux_sym_do_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token2] = ACTIONS(1338),
    [aux_sym_foreach_statement_token1] = ACTIONS(1338),
    [aux_sym_foreach_statement_token2] = ACTIONS(1338),
    [aux_sym_if_statement_token1] = ACTIONS(1338),
    [aux_sym_if_statement_token2] = ACTIONS(1338),
    [aux_sym_else_if_clause_token1] = ACTIONS(1338),
    [aux_sym_else_clause_token1] = ACTIONS(1338),
    [aux_sym_match_expression_token1] = ACTIONS(1338),
    [aux_sym_match_default_expression_token1] = ACTIONS(1338),
    [aux_sym_switch_statement_token1] = ACTIONS(1338),
    [aux_sym_switch_block_token1] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_AT] = ACTIONS(1336),
    [aux_sym_clone_expression_token1] = ACTIONS(1338),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1338),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [aux_sym__list_destructing_token1] = ACTIONS(1338),
    [anon_sym_LBRACK] = ACTIONS(1336),
    [anon_sym_self] = ACTIONS(1338),
    [anon_sym_parent] = ACTIONS(1338),
    [aux_sym__argument_name_token1] = ACTIONS(1338),
    [aux_sym__argument_name_token2] = ACTIONS(1338),
    [anon_sym_POUND_LBRACK] = ACTIONS(1336),
    [aux_sym_encapsed_string_token1] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [aux_sym_string_token1] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_LT_LT_LT] = ACTIONS(1336),
    [anon_sym_BQUOTE] = ACTIONS(1336),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [aux_sym_yield_expression_token1] = ACTIONS(1338),
    [aux_sym_include_expression_token1] = ACTIONS(1338),
    [aux_sym_include_once_expression_token1] = ACTIONS(1338),
    [aux_sym_require_expression_token1] = ACTIONS(1338),
    [aux_sym_require_once_expression_token1] = ACTIONS(1338),
    [sym_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_text_interpolation] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(1340),
    [sym_name] = ACTIONS(1342),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1340),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1342),
    [aux_sym_global_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_definition_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1342),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1342),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1342),
    [anon_sym_BSLASH] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [aux_sym_trait_declaration_token1] = ACTIONS(1342),
    [aux_sym_interface_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_case_token1] = ACTIONS(1342),
    [aux_sym_class_declaration_token1] = ACTIONS(1342),
    [aux_sym_final_modifier_token1] = ACTIONS(1342),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1342),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1342),
    [sym_var_modifier] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(1340),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1342),
    [aux_sym_cast_type_token1] = ACTIONS(1342),
    [aux_sym_echo_statement_token1] = ACTIONS(1342),
    [aux_sym_exit_statement_token1] = ACTIONS(1342),
    [anon_sym_unset] = ACTIONS(1342),
    [aux_sym_declare_statement_token1] = ACTIONS(1342),
    [aux_sym_declare_statement_token2] = ACTIONS(1342),
    [sym_float] = ACTIONS(1342),
    [aux_sym_try_statement_token1] = ACTIONS(1342),
    [aux_sym_goto_statement_token1] = ACTIONS(1342),
    [aux_sym_continue_statement_token1] = ACTIONS(1342),
    [aux_sym_break_statement_token1] = ACTIONS(1342),
    [sym_integer] = ACTIONS(1342),
    [aux_sym_return_statement_token1] = ACTIONS(1342),
    [aux_sym_throw_expression_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token2] = ACTIONS(1342),
    [aux_sym_do_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token2] = ACTIONS(1342),
    [aux_sym_foreach_statement_token1] = ACTIONS(1342),
    [aux_sym_foreach_statement_token2] = ACTIONS(1342),
    [aux_sym_if_statement_token1] = ACTIONS(1342),
    [aux_sym_if_statement_token2] = ACTIONS(1342),
    [aux_sym_else_if_clause_token1] = ACTIONS(1342),
    [aux_sym_else_clause_token1] = ACTIONS(1342),
    [aux_sym_match_expression_token1] = ACTIONS(1342),
    [aux_sym_match_default_expression_token1] = ACTIONS(1342),
    [aux_sym_switch_statement_token1] = ACTIONS(1342),
    [aux_sym_switch_block_token1] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_AT] = ACTIONS(1340),
    [aux_sym_clone_expression_token1] = ACTIONS(1342),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1342),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [aux_sym__list_destructing_token1] = ACTIONS(1342),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_self] = ACTIONS(1342),
    [anon_sym_parent] = ACTIONS(1342),
    [aux_sym__argument_name_token1] = ACTIONS(1342),
    [aux_sym__argument_name_token2] = ACTIONS(1342),
    [anon_sym_POUND_LBRACK] = ACTIONS(1340),
    [aux_sym_encapsed_string_token1] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [aux_sym_string_token1] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_LT_LT_LT] = ACTIONS(1340),
    [anon_sym_BQUOTE] = ACTIONS(1340),
    [anon_sym_DOLLAR] = ACTIONS(1340),
    [aux_sym_yield_expression_token1] = ACTIONS(1342),
    [aux_sym_include_expression_token1] = ACTIONS(1342),
    [aux_sym_include_once_expression_token1] = ACTIONS(1342),
    [aux_sym_require_expression_token1] = ACTIONS(1342),
    [aux_sym_require_once_expression_token1] = ACTIONS(1342),
    [sym_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_text_interpolation] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(1344),
    [sym_name] = ACTIONS(1346),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1344),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1346),
    [aux_sym_global_declaration_token1] = ACTIONS(1346),
    [aux_sym_namespace_definition_token1] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1346),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1346),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1346),
    [anon_sym_BSLASH] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [aux_sym_trait_declaration_token1] = ACTIONS(1346),
    [aux_sym_interface_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_case_token1] = ACTIONS(1346),
    [aux_sym_class_declaration_token1] = ACTIONS(1346),
    [aux_sym_final_modifier_token1] = ACTIONS(1346),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1346),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1346),
    [sym_var_modifier] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1344),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1346),
    [aux_sym_cast_type_token1] = ACTIONS(1346),
    [aux_sym_echo_statement_token1] = ACTIONS(1346),
    [aux_sym_exit_statement_token1] = ACTIONS(1346),
    [anon_sym_unset] = ACTIONS(1346),
    [aux_sym_declare_statement_token1] = ACTIONS(1346),
    [aux_sym_declare_statement_token2] = ACTIONS(1346),
    [sym_float] = ACTIONS(1346),
    [aux_sym_try_statement_token1] = ACTIONS(1346),
    [aux_sym_goto_statement_token1] = ACTIONS(1346),
    [aux_sym_continue_statement_token1] = ACTIONS(1346),
    [aux_sym_break_statement_token1] = ACTIONS(1346),
    [sym_integer] = ACTIONS(1346),
    [aux_sym_return_statement_token1] = ACTIONS(1346),
    [aux_sym_throw_expression_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token2] = ACTIONS(1346),
    [aux_sym_do_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token2] = ACTIONS(1346),
    [aux_sym_foreach_statement_token1] = ACTIONS(1346),
    [aux_sym_foreach_statement_token2] = ACTIONS(1346),
    [aux_sym_if_statement_token1] = ACTIONS(1346),
    [aux_sym_if_statement_token2] = ACTIONS(1346),
    [aux_sym_else_if_clause_token1] = ACTIONS(1346),
    [aux_sym_else_clause_token1] = ACTIONS(1346),
    [aux_sym_match_expression_token1] = ACTIONS(1346),
    [aux_sym_match_default_expression_token1] = ACTIONS(1346),
    [aux_sym_switch_statement_token1] = ACTIONS(1346),
    [aux_sym_switch_block_token1] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_AT] = ACTIONS(1344),
    [aux_sym_clone_expression_token1] = ACTIONS(1346),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1346),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [aux_sym__list_destructing_token1] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(1344),
    [anon_sym_self] = ACTIONS(1346),
    [anon_sym_parent] = ACTIONS(1346),
    [aux_sym__argument_name_token1] = ACTIONS(1346),
    [aux_sym__argument_name_token2] = ACTIONS(1346),
    [anon_sym_POUND_LBRACK] = ACTIONS(1344),
    [aux_sym_encapsed_string_token1] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [aux_sym_string_token1] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_LT_LT_LT] = ACTIONS(1344),
    [anon_sym_BQUOTE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [aux_sym_yield_expression_token1] = ACTIONS(1346),
    [aux_sym_include_expression_token1] = ACTIONS(1346),
    [aux_sym_include_once_expression_token1] = ACTIONS(1346),
    [aux_sym_require_expression_token1] = ACTIONS(1346),
    [aux_sym_require_once_expression_token1] = ACTIONS(1346),
    [sym_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_text_interpolation] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(1348),
    [sym_name] = ACTIONS(1350),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1348),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1350),
    [aux_sym_global_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_definition_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1350),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1350),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1350),
    [anon_sym_BSLASH] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [aux_sym_trait_declaration_token1] = ACTIONS(1350),
    [aux_sym_interface_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_case_token1] = ACTIONS(1350),
    [aux_sym_class_declaration_token1] = ACTIONS(1350),
    [aux_sym_final_modifier_token1] = ACTIONS(1350),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1350),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1350),
    [sym_var_modifier] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1348),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1350),
    [aux_sym_cast_type_token1] = ACTIONS(1350),
    [aux_sym_echo_statement_token1] = ACTIONS(1350),
    [aux_sym_exit_statement_token1] = ACTIONS(1350),
    [anon_sym_unset] = ACTIONS(1350),
    [aux_sym_declare_statement_token1] = ACTIONS(1350),
    [aux_sym_declare_statement_token2] = ACTIONS(1350),
    [sym_float] = ACTIONS(1350),
    [aux_sym_try_statement_token1] = ACTIONS(1350),
    [aux_sym_goto_statement_token1] = ACTIONS(1350),
    [aux_sym_continue_statement_token1] = ACTIONS(1350),
    [aux_sym_break_statement_token1] = ACTIONS(1350),
    [sym_integer] = ACTIONS(1350),
    [aux_sym_return_statement_token1] = ACTIONS(1350),
    [aux_sym_throw_expression_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token2] = ACTIONS(1350),
    [aux_sym_do_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token2] = ACTIONS(1350),
    [aux_sym_foreach_statement_token1] = ACTIONS(1350),
    [aux_sym_foreach_statement_token2] = ACTIONS(1350),
    [aux_sym_if_statement_token1] = ACTIONS(1350),
    [aux_sym_if_statement_token2] = ACTIONS(1350),
    [aux_sym_else_if_clause_token1] = ACTIONS(1350),
    [aux_sym_else_clause_token1] = ACTIONS(1350),
    [aux_sym_match_expression_token1] = ACTIONS(1350),
    [aux_sym_match_default_expression_token1] = ACTIONS(1350),
    [aux_sym_switch_statement_token1] = ACTIONS(1350),
    [aux_sym_switch_block_token1] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_AT] = ACTIONS(1348),
    [aux_sym_clone_expression_token1] = ACTIONS(1350),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1350),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [aux_sym__list_destructing_token1] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_self] = ACTIONS(1350),
    [anon_sym_parent] = ACTIONS(1350),
    [aux_sym__argument_name_token1] = ACTIONS(1350),
    [aux_sym__argument_name_token2] = ACTIONS(1350),
    [anon_sym_POUND_LBRACK] = ACTIONS(1348),
    [aux_sym_encapsed_string_token1] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [aux_sym_string_token1] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_LT_LT_LT] = ACTIONS(1348),
    [anon_sym_BQUOTE] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1348),
    [aux_sym_yield_expression_token1] = ACTIONS(1350),
    [aux_sym_include_expression_token1] = ACTIONS(1350),
    [aux_sym_include_once_expression_token1] = ACTIONS(1350),
    [aux_sym_require_expression_token1] = ACTIONS(1350),
    [aux_sym_require_once_expression_token1] = ACTIONS(1350),
    [sym_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_text_interpolation] = STATE(530),
    [ts_builtin_sym_end] = ACTIONS(1352),
    [sym_name] = ACTIONS(1354),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1352),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1354),
    [aux_sym_global_declaration_token1] = ACTIONS(1354),
    [aux_sym_namespace_definition_token1] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1354),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1354),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1354),
    [anon_sym_BSLASH] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [aux_sym_trait_declaration_token1] = ACTIONS(1354),
    [aux_sym_interface_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_case_token1] = ACTIONS(1354),
    [aux_sym_class_declaration_token1] = ACTIONS(1354),
    [aux_sym_final_modifier_token1] = ACTIONS(1354),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1354),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1354),
    [sym_var_modifier] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1354),
    [aux_sym_cast_type_token1] = ACTIONS(1354),
    [aux_sym_echo_statement_token1] = ACTIONS(1354),
    [aux_sym_exit_statement_token1] = ACTIONS(1354),
    [anon_sym_unset] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_declare_statement_token2] = ACTIONS(1354),
    [sym_float] = ACTIONS(1354),
    [aux_sym_try_statement_token1] = ACTIONS(1354),
    [aux_sym_goto_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [sym_integer] = ACTIONS(1354),
    [aux_sym_return_statement_token1] = ACTIONS(1354),
    [aux_sym_throw_expression_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token2] = ACTIONS(1354),
    [aux_sym_do_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token2] = ACTIONS(1354),
    [aux_sym_foreach_statement_token1] = ACTIONS(1354),
    [aux_sym_foreach_statement_token2] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token2] = ACTIONS(1354),
    [aux_sym_else_if_clause_token1] = ACTIONS(1354),
    [aux_sym_else_clause_token1] = ACTIONS(1354),
    [aux_sym_match_expression_token1] = ACTIONS(1354),
    [aux_sym_match_default_expression_token1] = ACTIONS(1354),
    [aux_sym_switch_statement_token1] = ACTIONS(1354),
    [aux_sym_switch_block_token1] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [anon_sym_AT] = ACTIONS(1352),
    [aux_sym_clone_expression_token1] = ACTIONS(1354),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1354),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [aux_sym__list_destructing_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_self] = ACTIONS(1354),
    [anon_sym_parent] = ACTIONS(1354),
    [aux_sym__argument_name_token1] = ACTIONS(1354),
    [aux_sym__argument_name_token2] = ACTIONS(1354),
    [anon_sym_POUND_LBRACK] = ACTIONS(1352),
    [aux_sym_encapsed_string_token1] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [aux_sym_string_token1] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_LT_LT_LT] = ACTIONS(1352),
    [anon_sym_BQUOTE] = ACTIONS(1352),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [aux_sym_yield_expression_token1] = ACTIONS(1354),
    [aux_sym_include_expression_token1] = ACTIONS(1354),
    [aux_sym_include_once_expression_token1] = ACTIONS(1354),
    [aux_sym_require_expression_token1] = ACTIONS(1354),
    [aux_sym_require_once_expression_token1] = ACTIONS(1354),
    [sym_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_text_interpolation] = STATE(531),
    [ts_builtin_sym_end] = ACTIONS(1356),
    [sym_name] = ACTIONS(1358),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1358),
    [aux_sym_global_declaration_token1] = ACTIONS(1358),
    [aux_sym_namespace_definition_token1] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1358),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1358),
    [anon_sym_BSLASH] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_RBRACE] = ACTIONS(1356),
    [aux_sym_trait_declaration_token1] = ACTIONS(1358),
    [aux_sym_interface_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_case_token1] = ACTIONS(1358),
    [aux_sym_class_declaration_token1] = ACTIONS(1358),
    [aux_sym_final_modifier_token1] = ACTIONS(1358),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1358),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1358),
    [sym_var_modifier] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1358),
    [anon_sym_LPAREN] = ACTIONS(1356),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1358),
    [aux_sym_cast_type_token1] = ACTIONS(1358),
    [aux_sym_echo_statement_token1] = ACTIONS(1358),
    [aux_sym_exit_statement_token1] = ACTIONS(1358),
    [anon_sym_unset] = ACTIONS(1358),
    [aux_sym_declare_statement_token1] = ACTIONS(1358),
    [aux_sym_declare_statement_token2] = ACTIONS(1358),
    [sym_float] = ACTIONS(1358),
    [aux_sym_try_statement_token1] = ACTIONS(1358),
    [aux_sym_goto_statement_token1] = ACTIONS(1358),
    [aux_sym_continue_statement_token1] = ACTIONS(1358),
    [aux_sym_break_statement_token1] = ACTIONS(1358),
    [sym_integer] = ACTIONS(1358),
    [aux_sym_return_statement_token1] = ACTIONS(1358),
    [aux_sym_throw_expression_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token2] = ACTIONS(1358),
    [aux_sym_do_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token2] = ACTIONS(1358),
    [aux_sym_foreach_statement_token1] = ACTIONS(1358),
    [aux_sym_foreach_statement_token2] = ACTIONS(1358),
    [aux_sym_if_statement_token1] = ACTIONS(1358),
    [aux_sym_if_statement_token2] = ACTIONS(1358),
    [aux_sym_else_if_clause_token1] = ACTIONS(1358),
    [aux_sym_else_clause_token1] = ACTIONS(1358),
    [aux_sym_match_expression_token1] = ACTIONS(1358),
    [aux_sym_match_default_expression_token1] = ACTIONS(1358),
    [aux_sym_switch_statement_token1] = ACTIONS(1358),
    [aux_sym_switch_block_token1] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_AT] = ACTIONS(1356),
    [aux_sym_clone_expression_token1] = ACTIONS(1358),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1358),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [aux_sym__list_destructing_token1] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_self] = ACTIONS(1358),
    [anon_sym_parent] = ACTIONS(1358),
    [aux_sym__argument_name_token1] = ACTIONS(1358),
    [aux_sym__argument_name_token2] = ACTIONS(1358),
    [anon_sym_POUND_LBRACK] = ACTIONS(1356),
    [aux_sym_encapsed_string_token1] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [aux_sym_string_token1] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_LT_LT_LT] = ACTIONS(1356),
    [anon_sym_BQUOTE] = ACTIONS(1356),
    [anon_sym_DOLLAR] = ACTIONS(1356),
    [aux_sym_yield_expression_token1] = ACTIONS(1358),
    [aux_sym_include_expression_token1] = ACTIONS(1358),
    [aux_sym_include_once_expression_token1] = ACTIONS(1358),
    [aux_sym_require_expression_token1] = ACTIONS(1358),
    [aux_sym_require_once_expression_token1] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_text_interpolation] = STATE(532),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym_name] = ACTIONS(1362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1362),
    [aux_sym_global_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_definition_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1362),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1362),
    [anon_sym_BSLASH] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [aux_sym_trait_declaration_token1] = ACTIONS(1362),
    [aux_sym_interface_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_case_token1] = ACTIONS(1362),
    [aux_sym_class_declaration_token1] = ACTIONS(1362),
    [aux_sym_final_modifier_token1] = ACTIONS(1362),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1362),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1362),
    [sym_var_modifier] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1362),
    [aux_sym_cast_type_token1] = ACTIONS(1362),
    [aux_sym_echo_statement_token1] = ACTIONS(1362),
    [aux_sym_exit_statement_token1] = ACTIONS(1362),
    [anon_sym_unset] = ACTIONS(1362),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [aux_sym_declare_statement_token2] = ACTIONS(1362),
    [sym_float] = ACTIONS(1362),
    [aux_sym_try_statement_token1] = ACTIONS(1362),
    [aux_sym_goto_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [sym_integer] = ACTIONS(1362),
    [aux_sym_return_statement_token1] = ACTIONS(1362),
    [aux_sym_throw_expression_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token2] = ACTIONS(1362),
    [aux_sym_do_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token2] = ACTIONS(1362),
    [aux_sym_foreach_statement_token1] = ACTIONS(1362),
    [aux_sym_foreach_statement_token2] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token2] = ACTIONS(1362),
    [aux_sym_else_if_clause_token1] = ACTIONS(1362),
    [aux_sym_else_clause_token1] = ACTIONS(1362),
    [aux_sym_match_expression_token1] = ACTIONS(1362),
    [aux_sym_match_default_expression_token1] = ACTIONS(1362),
    [aux_sym_switch_statement_token1] = ACTIONS(1362),
    [aux_sym_switch_block_token1] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_AT] = ACTIONS(1360),
    [aux_sym_clone_expression_token1] = ACTIONS(1362),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1362),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [aux_sym__list_destructing_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_self] = ACTIONS(1362),
    [anon_sym_parent] = ACTIONS(1362),
    [aux_sym__argument_name_token1] = ACTIONS(1362),
    [aux_sym__argument_name_token2] = ACTIONS(1362),
    [anon_sym_POUND_LBRACK] = ACTIONS(1360),
    [aux_sym_encapsed_string_token1] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [aux_sym_string_token1] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_LT_LT_LT] = ACTIONS(1360),
    [anon_sym_BQUOTE] = ACTIONS(1360),
    [anon_sym_DOLLAR] = ACTIONS(1360),
    [aux_sym_yield_expression_token1] = ACTIONS(1362),
    [aux_sym_include_expression_token1] = ACTIONS(1362),
    [aux_sym_include_once_expression_token1] = ACTIONS(1362),
    [aux_sym_require_expression_token1] = ACTIONS(1362),
    [aux_sym_require_once_expression_token1] = ACTIONS(1362),
    [sym_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_text_interpolation] = STATE(533),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym_name] = ACTIONS(1366),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1366),
    [aux_sym_global_declaration_token1] = ACTIONS(1366),
    [aux_sym_namespace_definition_token1] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1366),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1366),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1366),
    [anon_sym_BSLASH] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_RBRACE] = ACTIONS(1364),
    [aux_sym_trait_declaration_token1] = ACTIONS(1366),
    [aux_sym_interface_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_case_token1] = ACTIONS(1366),
    [aux_sym_class_declaration_token1] = ACTIONS(1366),
    [aux_sym_final_modifier_token1] = ACTIONS(1366),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1366),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1366),
    [sym_var_modifier] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1366),
    [aux_sym_cast_type_token1] = ACTIONS(1366),
    [aux_sym_echo_statement_token1] = ACTIONS(1366),
    [aux_sym_exit_statement_token1] = ACTIONS(1366),
    [anon_sym_unset] = ACTIONS(1366),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [aux_sym_declare_statement_token2] = ACTIONS(1366),
    [sym_float] = ACTIONS(1366),
    [aux_sym_try_statement_token1] = ACTIONS(1366),
    [aux_sym_goto_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [sym_integer] = ACTIONS(1366),
    [aux_sym_return_statement_token1] = ACTIONS(1366),
    [aux_sym_throw_expression_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token2] = ACTIONS(1366),
    [aux_sym_do_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token2] = ACTIONS(1366),
    [aux_sym_foreach_statement_token1] = ACTIONS(1366),
    [aux_sym_foreach_statement_token2] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token2] = ACTIONS(1366),
    [aux_sym_else_if_clause_token1] = ACTIONS(1366),
    [aux_sym_else_clause_token1] = ACTIONS(1366),
    [aux_sym_match_expression_token1] = ACTIONS(1366),
    [aux_sym_match_default_expression_token1] = ACTIONS(1366),
    [aux_sym_switch_statement_token1] = ACTIONS(1366),
    [aux_sym_switch_block_token1] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_AT] = ACTIONS(1364),
    [aux_sym_clone_expression_token1] = ACTIONS(1366),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1366),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [aux_sym__list_destructing_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [anon_sym_self] = ACTIONS(1366),
    [anon_sym_parent] = ACTIONS(1366),
    [aux_sym__argument_name_token1] = ACTIONS(1366),
    [aux_sym__argument_name_token2] = ACTIONS(1366),
    [anon_sym_POUND_LBRACK] = ACTIONS(1364),
    [aux_sym_encapsed_string_token1] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [aux_sym_string_token1] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_LT_LT_LT] = ACTIONS(1364),
    [anon_sym_BQUOTE] = ACTIONS(1364),
    [anon_sym_DOLLAR] = ACTIONS(1364),
    [aux_sym_yield_expression_token1] = ACTIONS(1366),
    [aux_sym_include_expression_token1] = ACTIONS(1366),
    [aux_sym_include_once_expression_token1] = ACTIONS(1366),
    [aux_sym_require_expression_token1] = ACTIONS(1366),
    [aux_sym_require_once_expression_token1] = ACTIONS(1366),
    [sym_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_text_interpolation] = STATE(534),
    [ts_builtin_sym_end] = ACTIONS(1368),
    [sym_name] = ACTIONS(1370),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1368),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1370),
    [aux_sym_global_declaration_token1] = ACTIONS(1370),
    [aux_sym_namespace_definition_token1] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1370),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1370),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1370),
    [anon_sym_BSLASH] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_RBRACE] = ACTIONS(1368),
    [aux_sym_trait_declaration_token1] = ACTIONS(1370),
    [aux_sym_interface_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_case_token1] = ACTIONS(1370),
    [aux_sym_class_declaration_token1] = ACTIONS(1370),
    [aux_sym_final_modifier_token1] = ACTIONS(1370),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1370),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1370),
    [sym_var_modifier] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1368),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1370),
    [aux_sym_cast_type_token1] = ACTIONS(1370),
    [aux_sym_echo_statement_token1] = ACTIONS(1370),
    [aux_sym_exit_statement_token1] = ACTIONS(1370),
    [anon_sym_unset] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_declare_statement_token2] = ACTIONS(1370),
    [sym_float] = ACTIONS(1370),
    [aux_sym_try_statement_token1] = ACTIONS(1370),
    [aux_sym_goto_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [sym_integer] = ACTIONS(1370),
    [aux_sym_return_statement_token1] = ACTIONS(1370),
    [aux_sym_throw_expression_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token2] = ACTIONS(1370),
    [aux_sym_do_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token2] = ACTIONS(1370),
    [aux_sym_foreach_statement_token1] = ACTIONS(1370),
    [aux_sym_foreach_statement_token2] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token2] = ACTIONS(1370),
    [aux_sym_else_if_clause_token1] = ACTIONS(1370),
    [aux_sym_else_clause_token1] = ACTIONS(1370),
    [aux_sym_match_expression_token1] = ACTIONS(1370),
    [aux_sym_match_default_expression_token1] = ACTIONS(1370),
    [aux_sym_switch_statement_token1] = ACTIONS(1370),
    [aux_sym_switch_block_token1] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_AT] = ACTIONS(1368),
    [aux_sym_clone_expression_token1] = ACTIONS(1370),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1370),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [aux_sym__list_destructing_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_self] = ACTIONS(1370),
    [anon_sym_parent] = ACTIONS(1370),
    [aux_sym__argument_name_token1] = ACTIONS(1370),
    [aux_sym__argument_name_token2] = ACTIONS(1370),
    [anon_sym_POUND_LBRACK] = ACTIONS(1368),
    [aux_sym_encapsed_string_token1] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [aux_sym_string_token1] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_LT_LT_LT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(1368),
    [anon_sym_DOLLAR] = ACTIONS(1368),
    [aux_sym_yield_expression_token1] = ACTIONS(1370),
    [aux_sym_include_expression_token1] = ACTIONS(1370),
    [aux_sym_include_once_expression_token1] = ACTIONS(1370),
    [aux_sym_require_expression_token1] = ACTIONS(1370),
    [aux_sym_require_once_expression_token1] = ACTIONS(1370),
    [sym_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_text_interpolation] = STATE(535),
    [ts_builtin_sym_end] = ACTIONS(1372),
    [sym_name] = ACTIONS(1374),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1372),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1374),
    [aux_sym_global_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_definition_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1374),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1374),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1374),
    [anon_sym_BSLASH] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_RBRACE] = ACTIONS(1372),
    [aux_sym_trait_declaration_token1] = ACTIONS(1374),
    [aux_sym_interface_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_case_token1] = ACTIONS(1374),
    [aux_sym_class_declaration_token1] = ACTIONS(1374),
    [aux_sym_final_modifier_token1] = ACTIONS(1374),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1374),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1374),
    [sym_var_modifier] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1372),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1374),
    [aux_sym_cast_type_token1] = ACTIONS(1374),
    [aux_sym_echo_statement_token1] = ACTIONS(1374),
    [aux_sym_exit_statement_token1] = ACTIONS(1374),
    [anon_sym_unset] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [aux_sym_declare_statement_token2] = ACTIONS(1374),
    [sym_float] = ACTIONS(1374),
    [aux_sym_try_statement_token1] = ACTIONS(1374),
    [aux_sym_goto_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [sym_integer] = ACTIONS(1374),
    [aux_sym_return_statement_token1] = ACTIONS(1374),
    [aux_sym_throw_expression_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token2] = ACTIONS(1374),
    [aux_sym_do_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token2] = ACTIONS(1374),
    [aux_sym_foreach_statement_token1] = ACTIONS(1374),
    [aux_sym_foreach_statement_token2] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token2] = ACTIONS(1374),
    [aux_sym_else_if_clause_token1] = ACTIONS(1374),
    [aux_sym_else_clause_token1] = ACTIONS(1374),
    [aux_sym_match_expression_token1] = ACTIONS(1374),
    [aux_sym_match_default_expression_token1] = ACTIONS(1374),
    [aux_sym_switch_statement_token1] = ACTIONS(1374),
    [aux_sym_switch_block_token1] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_AT] = ACTIONS(1372),
    [aux_sym_clone_expression_token1] = ACTIONS(1374),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1374),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [aux_sym__list_destructing_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_self] = ACTIONS(1374),
    [anon_sym_parent] = ACTIONS(1374),
    [aux_sym__argument_name_token1] = ACTIONS(1374),
    [aux_sym__argument_name_token2] = ACTIONS(1374),
    [anon_sym_POUND_LBRACK] = ACTIONS(1372),
    [aux_sym_encapsed_string_token1] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [aux_sym_string_token1] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_LT_LT_LT] = ACTIONS(1372),
    [anon_sym_BQUOTE] = ACTIONS(1372),
    [anon_sym_DOLLAR] = ACTIONS(1372),
    [aux_sym_yield_expression_token1] = ACTIONS(1374),
    [aux_sym_include_expression_token1] = ACTIONS(1374),
    [aux_sym_include_once_expression_token1] = ACTIONS(1374),
    [aux_sym_require_expression_token1] = ACTIONS(1374),
    [aux_sym_require_once_expression_token1] = ACTIONS(1374),
    [sym_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_text_interpolation] = STATE(536),
    [ts_builtin_sym_end] = ACTIONS(1376),
    [sym_name] = ACTIONS(1378),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1376),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1378),
    [aux_sym_global_declaration_token1] = ACTIONS(1378),
    [aux_sym_namespace_definition_token1] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1378),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1378),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1378),
    [anon_sym_BSLASH] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_RBRACE] = ACTIONS(1376),
    [aux_sym_trait_declaration_token1] = ACTIONS(1378),
    [aux_sym_interface_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_case_token1] = ACTIONS(1378),
    [aux_sym_class_declaration_token1] = ACTIONS(1378),
    [aux_sym_final_modifier_token1] = ACTIONS(1378),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1378),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1378),
    [sym_var_modifier] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1378),
    [aux_sym_cast_type_token1] = ACTIONS(1378),
    [aux_sym_echo_statement_token1] = ACTIONS(1378),
    [aux_sym_exit_statement_token1] = ACTIONS(1378),
    [anon_sym_unset] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_declare_statement_token2] = ACTIONS(1378),
    [sym_float] = ACTIONS(1378),
    [aux_sym_try_statement_token1] = ACTIONS(1378),
    [aux_sym_goto_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [sym_integer] = ACTIONS(1378),
    [aux_sym_return_statement_token1] = ACTIONS(1378),
    [aux_sym_throw_expression_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token2] = ACTIONS(1378),
    [aux_sym_do_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token2] = ACTIONS(1378),
    [aux_sym_foreach_statement_token1] = ACTIONS(1378),
    [aux_sym_foreach_statement_token2] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token2] = ACTIONS(1378),
    [aux_sym_else_if_clause_token1] = ACTIONS(1378),
    [aux_sym_else_clause_token1] = ACTIONS(1378),
    [aux_sym_match_expression_token1] = ACTIONS(1378),
    [aux_sym_match_default_expression_token1] = ACTIONS(1378),
    [aux_sym_switch_statement_token1] = ACTIONS(1378),
    [aux_sym_switch_block_token1] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_AT] = ACTIONS(1376),
    [aux_sym_clone_expression_token1] = ACTIONS(1378),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1378),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [aux_sym__list_destructing_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1376),
    [anon_sym_self] = ACTIONS(1378),
    [anon_sym_parent] = ACTIONS(1378),
    [aux_sym__argument_name_token1] = ACTIONS(1378),
    [aux_sym__argument_name_token2] = ACTIONS(1378),
    [anon_sym_POUND_LBRACK] = ACTIONS(1376),
    [aux_sym_encapsed_string_token1] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [aux_sym_string_token1] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_LT_LT_LT] = ACTIONS(1376),
    [anon_sym_BQUOTE] = ACTIONS(1376),
    [anon_sym_DOLLAR] = ACTIONS(1376),
    [aux_sym_yield_expression_token1] = ACTIONS(1378),
    [aux_sym_include_expression_token1] = ACTIONS(1378),
    [aux_sym_include_once_expression_token1] = ACTIONS(1378),
    [aux_sym_require_expression_token1] = ACTIONS(1378),
    [aux_sym_require_once_expression_token1] = ACTIONS(1378),
    [sym_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_text_interpolation] = STATE(537),
    [ts_builtin_sym_end] = ACTIONS(1380),
    [sym_name] = ACTIONS(1382),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1380),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1382),
    [aux_sym_global_declaration_token1] = ACTIONS(1382),
    [aux_sym_namespace_definition_token1] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1382),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1382),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1382),
    [anon_sym_BSLASH] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_RBRACE] = ACTIONS(1380),
    [aux_sym_trait_declaration_token1] = ACTIONS(1382),
    [aux_sym_interface_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_case_token1] = ACTIONS(1382),
    [aux_sym_class_declaration_token1] = ACTIONS(1382),
    [aux_sym_final_modifier_token1] = ACTIONS(1382),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1382),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1382),
    [sym_var_modifier] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1382),
    [anon_sym_LPAREN] = ACTIONS(1380),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1382),
    [aux_sym_cast_type_token1] = ACTIONS(1382),
    [aux_sym_echo_statement_token1] = ACTIONS(1382),
    [aux_sym_exit_statement_token1] = ACTIONS(1382),
    [anon_sym_unset] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1382),
    [aux_sym_declare_statement_token2] = ACTIONS(1382),
    [sym_float] = ACTIONS(1382),
    [aux_sym_try_statement_token1] = ACTIONS(1382),
    [aux_sym_goto_statement_token1] = ACTIONS(1382),
    [aux_sym_continue_statement_token1] = ACTIONS(1382),
    [aux_sym_break_statement_token1] = ACTIONS(1382),
    [sym_integer] = ACTIONS(1382),
    [aux_sym_return_statement_token1] = ACTIONS(1382),
    [aux_sym_throw_expression_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token2] = ACTIONS(1382),
    [aux_sym_do_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token2] = ACTIONS(1382),
    [aux_sym_foreach_statement_token1] = ACTIONS(1382),
    [aux_sym_foreach_statement_token2] = ACTIONS(1382),
    [aux_sym_if_statement_token1] = ACTIONS(1382),
    [aux_sym_if_statement_token2] = ACTIONS(1382),
    [aux_sym_else_if_clause_token1] = ACTIONS(1382),
    [aux_sym_else_clause_token1] = ACTIONS(1382),
    [aux_sym_match_expression_token1] = ACTIONS(1382),
    [aux_sym_match_default_expression_token1] = ACTIONS(1382),
    [aux_sym_switch_statement_token1] = ACTIONS(1382),
    [aux_sym_switch_block_token1] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_AT] = ACTIONS(1380),
    [aux_sym_clone_expression_token1] = ACTIONS(1382),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1382),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [aux_sym__list_destructing_token1] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [anon_sym_self] = ACTIONS(1382),
    [anon_sym_parent] = ACTIONS(1382),
    [aux_sym__argument_name_token1] = ACTIONS(1382),
    [aux_sym__argument_name_token2] = ACTIONS(1382),
    [anon_sym_POUND_LBRACK] = ACTIONS(1380),
    [aux_sym_encapsed_string_token1] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [aux_sym_string_token1] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_LT_LT_LT] = ACTIONS(1380),
    [anon_sym_BQUOTE] = ACTIONS(1380),
    [anon_sym_DOLLAR] = ACTIONS(1380),
    [aux_sym_yield_expression_token1] = ACTIONS(1382),
    [aux_sym_include_expression_token1] = ACTIONS(1382),
    [aux_sym_include_once_expression_token1] = ACTIONS(1382),
    [aux_sym_require_expression_token1] = ACTIONS(1382),
    [aux_sym_require_once_expression_token1] = ACTIONS(1382),
    [sym_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_text_interpolation] = STATE(538),
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym_name] = ACTIONS(1386),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1384),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1386),
    [aux_sym_global_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_definition_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1386),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1386),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1386),
    [anon_sym_BSLASH] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [aux_sym_trait_declaration_token1] = ACTIONS(1386),
    [aux_sym_interface_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_case_token1] = ACTIONS(1386),
    [aux_sym_class_declaration_token1] = ACTIONS(1386),
    [aux_sym_final_modifier_token1] = ACTIONS(1386),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1386),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1386),
    [sym_var_modifier] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1386),
    [aux_sym_cast_type_token1] = ACTIONS(1386),
    [aux_sym_echo_statement_token1] = ACTIONS(1386),
    [aux_sym_exit_statement_token1] = ACTIONS(1386),
    [anon_sym_unset] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [aux_sym_declare_statement_token2] = ACTIONS(1386),
    [sym_float] = ACTIONS(1386),
    [aux_sym_try_statement_token1] = ACTIONS(1386),
    [aux_sym_goto_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [sym_integer] = ACTIONS(1386),
    [aux_sym_return_statement_token1] = ACTIONS(1386),
    [aux_sym_throw_expression_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token2] = ACTIONS(1386),
    [aux_sym_do_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token2] = ACTIONS(1386),
    [aux_sym_foreach_statement_token1] = ACTIONS(1386),
    [aux_sym_foreach_statement_token2] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token2] = ACTIONS(1386),
    [aux_sym_else_if_clause_token1] = ACTIONS(1386),
    [aux_sym_else_clause_token1] = ACTIONS(1386),
    [aux_sym_match_expression_token1] = ACTIONS(1386),
    [aux_sym_match_default_expression_token1] = ACTIONS(1386),
    [aux_sym_switch_statement_token1] = ACTIONS(1386),
    [aux_sym_switch_block_token1] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_AT] = ACTIONS(1384),
    [aux_sym_clone_expression_token1] = ACTIONS(1386),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1386),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [aux_sym__list_destructing_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_self] = ACTIONS(1386),
    [anon_sym_parent] = ACTIONS(1386),
    [aux_sym__argument_name_token1] = ACTIONS(1386),
    [aux_sym__argument_name_token2] = ACTIONS(1386),
    [anon_sym_POUND_LBRACK] = ACTIONS(1384),
    [aux_sym_encapsed_string_token1] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [aux_sym_string_token1] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_LT_LT_LT] = ACTIONS(1384),
    [anon_sym_BQUOTE] = ACTIONS(1384),
    [anon_sym_DOLLAR] = ACTIONS(1384),
    [aux_sym_yield_expression_token1] = ACTIONS(1386),
    [aux_sym_include_expression_token1] = ACTIONS(1386),
    [aux_sym_include_once_expression_token1] = ACTIONS(1386),
    [aux_sym_require_expression_token1] = ACTIONS(1386),
    [aux_sym_require_once_expression_token1] = ACTIONS(1386),
    [sym_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_text_interpolation] = STATE(539),
    [ts_builtin_sym_end] = ACTIONS(1388),
    [sym_name] = ACTIONS(1390),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1388),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1390),
    [aux_sym_global_declaration_token1] = ACTIONS(1390),
    [aux_sym_namespace_definition_token1] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1390),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1390),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1390),
    [anon_sym_BSLASH] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_RBRACE] = ACTIONS(1388),
    [aux_sym_trait_declaration_token1] = ACTIONS(1390),
    [aux_sym_interface_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_case_token1] = ACTIONS(1390),
    [aux_sym_class_declaration_token1] = ACTIONS(1390),
    [aux_sym_final_modifier_token1] = ACTIONS(1390),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1390),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1390),
    [sym_var_modifier] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1388),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1390),
    [aux_sym_cast_type_token1] = ACTIONS(1390),
    [aux_sym_echo_statement_token1] = ACTIONS(1390),
    [aux_sym_exit_statement_token1] = ACTIONS(1390),
    [anon_sym_unset] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1390),
    [aux_sym_declare_statement_token2] = ACTIONS(1390),
    [sym_float] = ACTIONS(1390),
    [aux_sym_try_statement_token1] = ACTIONS(1390),
    [aux_sym_goto_statement_token1] = ACTIONS(1390),
    [aux_sym_continue_statement_token1] = ACTIONS(1390),
    [aux_sym_break_statement_token1] = ACTIONS(1390),
    [sym_integer] = ACTIONS(1390),
    [aux_sym_return_statement_token1] = ACTIONS(1390),
    [aux_sym_throw_expression_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token2] = ACTIONS(1390),
    [aux_sym_do_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token2] = ACTIONS(1390),
    [aux_sym_foreach_statement_token1] = ACTIONS(1390),
    [aux_sym_foreach_statement_token2] = ACTIONS(1390),
    [aux_sym_if_statement_token1] = ACTIONS(1390),
    [aux_sym_if_statement_token2] = ACTIONS(1390),
    [aux_sym_else_if_clause_token1] = ACTIONS(1390),
    [aux_sym_else_clause_token1] = ACTIONS(1390),
    [aux_sym_match_expression_token1] = ACTIONS(1390),
    [aux_sym_match_default_expression_token1] = ACTIONS(1390),
    [aux_sym_switch_statement_token1] = ACTIONS(1390),
    [aux_sym_switch_block_token1] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_AT] = ACTIONS(1388),
    [aux_sym_clone_expression_token1] = ACTIONS(1390),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1390),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [aux_sym__list_destructing_token1] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1388),
    [anon_sym_self] = ACTIONS(1390),
    [anon_sym_parent] = ACTIONS(1390),
    [aux_sym__argument_name_token1] = ACTIONS(1390),
    [aux_sym__argument_name_token2] = ACTIONS(1390),
    [anon_sym_POUND_LBRACK] = ACTIONS(1388),
    [aux_sym_encapsed_string_token1] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [aux_sym_string_token1] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_LT_LT_LT] = ACTIONS(1388),
    [anon_sym_BQUOTE] = ACTIONS(1388),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [aux_sym_yield_expression_token1] = ACTIONS(1390),
    [aux_sym_include_expression_token1] = ACTIONS(1390),
    [aux_sym_include_once_expression_token1] = ACTIONS(1390),
    [aux_sym_require_expression_token1] = ACTIONS(1390),
    [aux_sym_require_once_expression_token1] = ACTIONS(1390),
    [sym_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_text_interpolation] = STATE(540),
    [ts_builtin_sym_end] = ACTIONS(1392),
    [sym_name] = ACTIONS(1394),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1392),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1394),
    [aux_sym_global_declaration_token1] = ACTIONS(1394),
    [aux_sym_namespace_definition_token1] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1394),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1394),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1394),
    [anon_sym_BSLASH] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [aux_sym_trait_declaration_token1] = ACTIONS(1394),
    [aux_sym_interface_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_case_token1] = ACTIONS(1394),
    [aux_sym_class_declaration_token1] = ACTIONS(1394),
    [aux_sym_final_modifier_token1] = ACTIONS(1394),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1394),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1394),
    [sym_var_modifier] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1392),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1394),
    [aux_sym_cast_type_token1] = ACTIONS(1394),
    [aux_sym_echo_statement_token1] = ACTIONS(1394),
    [aux_sym_exit_statement_token1] = ACTIONS(1394),
    [anon_sym_unset] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1394),
    [aux_sym_declare_statement_token2] = ACTIONS(1394),
    [sym_float] = ACTIONS(1394),
    [aux_sym_try_statement_token1] = ACTIONS(1394),
    [aux_sym_goto_statement_token1] = ACTIONS(1394),
    [aux_sym_continue_statement_token1] = ACTIONS(1394),
    [aux_sym_break_statement_token1] = ACTIONS(1394),
    [sym_integer] = ACTIONS(1394),
    [aux_sym_return_statement_token1] = ACTIONS(1394),
    [aux_sym_throw_expression_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token2] = ACTIONS(1394),
    [aux_sym_do_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token2] = ACTIONS(1394),
    [aux_sym_foreach_statement_token1] = ACTIONS(1394),
    [aux_sym_foreach_statement_token2] = ACTIONS(1394),
    [aux_sym_if_statement_token1] = ACTIONS(1394),
    [aux_sym_if_statement_token2] = ACTIONS(1394),
    [aux_sym_else_if_clause_token1] = ACTIONS(1394),
    [aux_sym_else_clause_token1] = ACTIONS(1394),
    [aux_sym_match_expression_token1] = ACTIONS(1394),
    [aux_sym_match_default_expression_token1] = ACTIONS(1394),
    [aux_sym_switch_statement_token1] = ACTIONS(1394),
    [aux_sym_switch_block_token1] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_AT] = ACTIONS(1392),
    [aux_sym_clone_expression_token1] = ACTIONS(1394),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1394),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [aux_sym__list_destructing_token1] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1392),
    [anon_sym_self] = ACTIONS(1394),
    [anon_sym_parent] = ACTIONS(1394),
    [aux_sym__argument_name_token1] = ACTIONS(1394),
    [aux_sym__argument_name_token2] = ACTIONS(1394),
    [anon_sym_POUND_LBRACK] = ACTIONS(1392),
    [aux_sym_encapsed_string_token1] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [aux_sym_string_token1] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_LT_LT_LT] = ACTIONS(1392),
    [anon_sym_BQUOTE] = ACTIONS(1392),
    [anon_sym_DOLLAR] = ACTIONS(1392),
    [aux_sym_yield_expression_token1] = ACTIONS(1394),
    [aux_sym_include_expression_token1] = ACTIONS(1394),
    [aux_sym_include_once_expression_token1] = ACTIONS(1394),
    [aux_sym_require_expression_token1] = ACTIONS(1394),
    [aux_sym_require_once_expression_token1] = ACTIONS(1394),
    [sym_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_text_interpolation] = STATE(541),
    [ts_builtin_sym_end] = ACTIONS(1396),
    [sym_name] = ACTIONS(1398),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1396),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1398),
    [aux_sym_global_declaration_token1] = ACTIONS(1398),
    [aux_sym_namespace_definition_token1] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1398),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1398),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1398),
    [anon_sym_BSLASH] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_RBRACE] = ACTIONS(1396),
    [aux_sym_trait_declaration_token1] = ACTIONS(1398),
    [aux_sym_interface_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_case_token1] = ACTIONS(1398),
    [aux_sym_class_declaration_token1] = ACTIONS(1398),
    [aux_sym_final_modifier_token1] = ACTIONS(1398),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1398),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1398),
    [sym_var_modifier] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1398),
    [aux_sym_cast_type_token1] = ACTIONS(1398),
    [aux_sym_echo_statement_token1] = ACTIONS(1398),
    [aux_sym_exit_statement_token1] = ACTIONS(1398),
    [anon_sym_unset] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [aux_sym_declare_statement_token2] = ACTIONS(1398),
    [sym_float] = ACTIONS(1398),
    [aux_sym_try_statement_token1] = ACTIONS(1398),
    [aux_sym_goto_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [sym_integer] = ACTIONS(1398),
    [aux_sym_return_statement_token1] = ACTIONS(1398),
    [aux_sym_throw_expression_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token2] = ACTIONS(1398),
    [aux_sym_do_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token2] = ACTIONS(1398),
    [aux_sym_foreach_statement_token1] = ACTIONS(1398),
    [aux_sym_foreach_statement_token2] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token2] = ACTIONS(1398),
    [aux_sym_else_if_clause_token1] = ACTIONS(1398),
    [aux_sym_else_clause_token1] = ACTIONS(1398),
    [aux_sym_match_expression_token1] = ACTIONS(1398),
    [aux_sym_match_default_expression_token1] = ACTIONS(1398),
    [aux_sym_switch_statement_token1] = ACTIONS(1398),
    [aux_sym_switch_block_token1] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_AT] = ACTIONS(1396),
    [aux_sym_clone_expression_token1] = ACTIONS(1398),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1398),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [aux_sym__list_destructing_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1396),
    [anon_sym_self] = ACTIONS(1398),
    [anon_sym_parent] = ACTIONS(1398),
    [aux_sym__argument_name_token1] = ACTIONS(1398),
    [aux_sym__argument_name_token2] = ACTIONS(1398),
    [anon_sym_POUND_LBRACK] = ACTIONS(1396),
    [aux_sym_encapsed_string_token1] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [aux_sym_string_token1] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_LT_LT_LT] = ACTIONS(1396),
    [anon_sym_BQUOTE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1396),
    [aux_sym_yield_expression_token1] = ACTIONS(1398),
    [aux_sym_include_expression_token1] = ACTIONS(1398),
    [aux_sym_include_once_expression_token1] = ACTIONS(1398),
    [aux_sym_require_expression_token1] = ACTIONS(1398),
    [aux_sym_require_once_expression_token1] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_text_interpolation] = STATE(542),
    [ts_builtin_sym_end] = ACTIONS(1400),
    [sym_name] = ACTIONS(1402),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1400),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1402),
    [aux_sym_global_declaration_token1] = ACTIONS(1402),
    [aux_sym_namespace_definition_token1] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1402),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1402),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1402),
    [anon_sym_BSLASH] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [aux_sym_trait_declaration_token1] = ACTIONS(1402),
    [aux_sym_interface_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_case_token1] = ACTIONS(1402),
    [aux_sym_class_declaration_token1] = ACTIONS(1402),
    [aux_sym_final_modifier_token1] = ACTIONS(1402),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1402),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1402),
    [sym_var_modifier] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1402),
    [anon_sym_LPAREN] = ACTIONS(1400),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1402),
    [aux_sym_cast_type_token1] = ACTIONS(1402),
    [aux_sym_echo_statement_token1] = ACTIONS(1402),
    [aux_sym_exit_statement_token1] = ACTIONS(1402),
    [anon_sym_unset] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1402),
    [aux_sym_declare_statement_token2] = ACTIONS(1402),
    [sym_float] = ACTIONS(1402),
    [aux_sym_try_statement_token1] = ACTIONS(1402),
    [aux_sym_goto_statement_token1] = ACTIONS(1402),
    [aux_sym_continue_statement_token1] = ACTIONS(1402),
    [aux_sym_break_statement_token1] = ACTIONS(1402),
    [sym_integer] = ACTIONS(1402),
    [aux_sym_return_statement_token1] = ACTIONS(1402),
    [aux_sym_throw_expression_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token2] = ACTIONS(1402),
    [aux_sym_do_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token2] = ACTIONS(1402),
    [aux_sym_foreach_statement_token1] = ACTIONS(1402),
    [aux_sym_foreach_statement_token2] = ACTIONS(1402),
    [aux_sym_if_statement_token1] = ACTIONS(1402),
    [aux_sym_if_statement_token2] = ACTIONS(1402),
    [aux_sym_else_if_clause_token1] = ACTIONS(1402),
    [aux_sym_else_clause_token1] = ACTIONS(1402),
    [aux_sym_match_expression_token1] = ACTIONS(1402),
    [aux_sym_match_default_expression_token1] = ACTIONS(1402),
    [aux_sym_switch_statement_token1] = ACTIONS(1402),
    [aux_sym_switch_block_token1] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1400),
    [aux_sym_clone_expression_token1] = ACTIONS(1402),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1402),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [aux_sym__list_destructing_token1] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_self] = ACTIONS(1402),
    [anon_sym_parent] = ACTIONS(1402),
    [aux_sym__argument_name_token1] = ACTIONS(1402),
    [aux_sym__argument_name_token2] = ACTIONS(1402),
    [anon_sym_POUND_LBRACK] = ACTIONS(1400),
    [aux_sym_encapsed_string_token1] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [aux_sym_string_token1] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_LT_LT_LT] = ACTIONS(1400),
    [anon_sym_BQUOTE] = ACTIONS(1400),
    [anon_sym_DOLLAR] = ACTIONS(1400),
    [aux_sym_yield_expression_token1] = ACTIONS(1402),
    [aux_sym_include_expression_token1] = ACTIONS(1402),
    [aux_sym_include_once_expression_token1] = ACTIONS(1402),
    [aux_sym_require_expression_token1] = ACTIONS(1402),
    [aux_sym_require_once_expression_token1] = ACTIONS(1402),
    [sym_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_text_interpolation] = STATE(543),
    [ts_builtin_sym_end] = ACTIONS(1404),
    [sym_name] = ACTIONS(1406),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1404),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1406),
    [aux_sym_global_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_definition_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1406),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1406),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1406),
    [anon_sym_BSLASH] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [aux_sym_trait_declaration_token1] = ACTIONS(1406),
    [aux_sym_interface_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_case_token1] = ACTIONS(1406),
    [aux_sym_class_declaration_token1] = ACTIONS(1406),
    [aux_sym_final_modifier_token1] = ACTIONS(1406),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1406),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1406),
    [sym_var_modifier] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1406),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1406),
    [aux_sym_cast_type_token1] = ACTIONS(1406),
    [aux_sym_echo_statement_token1] = ACTIONS(1406),
    [aux_sym_exit_statement_token1] = ACTIONS(1406),
    [anon_sym_unset] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [aux_sym_declare_statement_token2] = ACTIONS(1406),
    [sym_float] = ACTIONS(1406),
    [aux_sym_try_statement_token1] = ACTIONS(1406),
    [aux_sym_goto_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [sym_integer] = ACTIONS(1406),
    [aux_sym_return_statement_token1] = ACTIONS(1406),
    [aux_sym_throw_expression_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token2] = ACTIONS(1406),
    [aux_sym_do_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token2] = ACTIONS(1406),
    [aux_sym_foreach_statement_token1] = ACTIONS(1406),
    [aux_sym_foreach_statement_token2] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token2] = ACTIONS(1406),
    [aux_sym_else_if_clause_token1] = ACTIONS(1406),
    [aux_sym_else_clause_token1] = ACTIONS(1406),
    [aux_sym_match_expression_token1] = ACTIONS(1406),
    [aux_sym_match_default_expression_token1] = ACTIONS(1406),
    [aux_sym_switch_statement_token1] = ACTIONS(1406),
    [aux_sym_switch_block_token1] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_AT] = ACTIONS(1404),
    [aux_sym_clone_expression_token1] = ACTIONS(1406),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1406),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [aux_sym__list_destructing_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_self] = ACTIONS(1406),
    [anon_sym_parent] = ACTIONS(1406),
    [aux_sym__argument_name_token1] = ACTIONS(1406),
    [aux_sym__argument_name_token2] = ACTIONS(1406),
    [anon_sym_POUND_LBRACK] = ACTIONS(1404),
    [aux_sym_encapsed_string_token1] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [aux_sym_string_token1] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_LT_LT_LT] = ACTIONS(1404),
    [anon_sym_BQUOTE] = ACTIONS(1404),
    [anon_sym_DOLLAR] = ACTIONS(1404),
    [aux_sym_yield_expression_token1] = ACTIONS(1406),
    [aux_sym_include_expression_token1] = ACTIONS(1406),
    [aux_sym_include_once_expression_token1] = ACTIONS(1406),
    [aux_sym_require_expression_token1] = ACTIONS(1406),
    [aux_sym_require_once_expression_token1] = ACTIONS(1406),
    [sym_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_text_interpolation] = STATE(544),
    [ts_builtin_sym_end] = ACTIONS(1408),
    [sym_name] = ACTIONS(1410),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1408),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1410),
    [aux_sym_global_declaration_token1] = ACTIONS(1410),
    [aux_sym_namespace_definition_token1] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1410),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1410),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1410),
    [anon_sym_BSLASH] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [aux_sym_trait_declaration_token1] = ACTIONS(1410),
    [aux_sym_interface_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_case_token1] = ACTIONS(1410),
    [aux_sym_class_declaration_token1] = ACTIONS(1410),
    [aux_sym_final_modifier_token1] = ACTIONS(1410),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1410),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1410),
    [sym_var_modifier] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1410),
    [anon_sym_LPAREN] = ACTIONS(1408),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1410),
    [aux_sym_cast_type_token1] = ACTIONS(1410),
    [aux_sym_echo_statement_token1] = ACTIONS(1410),
    [aux_sym_exit_statement_token1] = ACTIONS(1410),
    [anon_sym_unset] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1410),
    [aux_sym_declare_statement_token2] = ACTIONS(1410),
    [sym_float] = ACTIONS(1410),
    [aux_sym_try_statement_token1] = ACTIONS(1410),
    [aux_sym_goto_statement_token1] = ACTIONS(1410),
    [aux_sym_continue_statement_token1] = ACTIONS(1410),
    [aux_sym_break_statement_token1] = ACTIONS(1410),
    [sym_integer] = ACTIONS(1410),
    [aux_sym_return_statement_token1] = ACTIONS(1410),
    [aux_sym_throw_expression_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token2] = ACTIONS(1410),
    [aux_sym_do_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token2] = ACTIONS(1410),
    [aux_sym_foreach_statement_token1] = ACTIONS(1410),
    [aux_sym_foreach_statement_token2] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_if_statement_token2] = ACTIONS(1410),
    [aux_sym_else_if_clause_token1] = ACTIONS(1410),
    [aux_sym_else_clause_token1] = ACTIONS(1410),
    [aux_sym_match_expression_token1] = ACTIONS(1410),
    [aux_sym_match_default_expression_token1] = ACTIONS(1410),
    [aux_sym_switch_statement_token1] = ACTIONS(1410),
    [aux_sym_switch_block_token1] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_AT] = ACTIONS(1408),
    [aux_sym_clone_expression_token1] = ACTIONS(1410),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1410),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [aux_sym__list_destructing_token1] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_self] = ACTIONS(1410),
    [anon_sym_parent] = ACTIONS(1410),
    [aux_sym__argument_name_token1] = ACTIONS(1410),
    [aux_sym__argument_name_token2] = ACTIONS(1410),
    [anon_sym_POUND_LBRACK] = ACTIONS(1408),
    [aux_sym_encapsed_string_token1] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [aux_sym_string_token1] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_LT_LT_LT] = ACTIONS(1408),
    [anon_sym_BQUOTE] = ACTIONS(1408),
    [anon_sym_DOLLAR] = ACTIONS(1408),
    [aux_sym_yield_expression_token1] = ACTIONS(1410),
    [aux_sym_include_expression_token1] = ACTIONS(1410),
    [aux_sym_include_once_expression_token1] = ACTIONS(1410),
    [aux_sym_require_expression_token1] = ACTIONS(1410),
    [aux_sym_require_once_expression_token1] = ACTIONS(1410),
    [sym_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_text_interpolation] = STATE(545),
    [ts_builtin_sym_end] = ACTIONS(1412),
    [sym_name] = ACTIONS(1414),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1412),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1414),
    [aux_sym_global_declaration_token1] = ACTIONS(1414),
    [aux_sym_namespace_definition_token1] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1414),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1414),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1414),
    [anon_sym_BSLASH] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [aux_sym_trait_declaration_token1] = ACTIONS(1414),
    [aux_sym_interface_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_case_token1] = ACTIONS(1414),
    [aux_sym_class_declaration_token1] = ACTIONS(1414),
    [aux_sym_final_modifier_token1] = ACTIONS(1414),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1414),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1414),
    [sym_var_modifier] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1412),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1414),
    [aux_sym_cast_type_token1] = ACTIONS(1414),
    [aux_sym_echo_statement_token1] = ACTIONS(1414),
    [aux_sym_exit_statement_token1] = ACTIONS(1414),
    [anon_sym_unset] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1414),
    [aux_sym_declare_statement_token2] = ACTIONS(1414),
    [sym_float] = ACTIONS(1414),
    [aux_sym_try_statement_token1] = ACTIONS(1414),
    [aux_sym_goto_statement_token1] = ACTIONS(1414),
    [aux_sym_continue_statement_token1] = ACTIONS(1414),
    [aux_sym_break_statement_token1] = ACTIONS(1414),
    [sym_integer] = ACTIONS(1414),
    [aux_sym_return_statement_token1] = ACTIONS(1414),
    [aux_sym_throw_expression_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token2] = ACTIONS(1414),
    [aux_sym_do_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token2] = ACTIONS(1414),
    [aux_sym_foreach_statement_token1] = ACTIONS(1414),
    [aux_sym_foreach_statement_token2] = ACTIONS(1414),
    [aux_sym_if_statement_token1] = ACTIONS(1414),
    [aux_sym_if_statement_token2] = ACTIONS(1414),
    [aux_sym_else_if_clause_token1] = ACTIONS(1414),
    [aux_sym_else_clause_token1] = ACTIONS(1414),
    [aux_sym_match_expression_token1] = ACTIONS(1414),
    [aux_sym_match_default_expression_token1] = ACTIONS(1414),
    [aux_sym_switch_statement_token1] = ACTIONS(1414),
    [aux_sym_switch_block_token1] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_AT] = ACTIONS(1412),
    [aux_sym_clone_expression_token1] = ACTIONS(1414),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1414),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [aux_sym__list_destructing_token1] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1412),
    [anon_sym_self] = ACTIONS(1414),
    [anon_sym_parent] = ACTIONS(1414),
    [aux_sym__argument_name_token1] = ACTIONS(1414),
    [aux_sym__argument_name_token2] = ACTIONS(1414),
    [anon_sym_POUND_LBRACK] = ACTIONS(1412),
    [aux_sym_encapsed_string_token1] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [aux_sym_string_token1] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_LT_LT_LT] = ACTIONS(1412),
    [anon_sym_BQUOTE] = ACTIONS(1412),
    [anon_sym_DOLLAR] = ACTIONS(1412),
    [aux_sym_yield_expression_token1] = ACTIONS(1414),
    [aux_sym_include_expression_token1] = ACTIONS(1414),
    [aux_sym_include_once_expression_token1] = ACTIONS(1414),
    [aux_sym_require_expression_token1] = ACTIONS(1414),
    [aux_sym_require_once_expression_token1] = ACTIONS(1414),
    [sym_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_text_interpolation] = STATE(546),
    [ts_builtin_sym_end] = ACTIONS(1416),
    [sym_name] = ACTIONS(1418),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1416),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1418),
    [aux_sym_global_declaration_token1] = ACTIONS(1418),
    [aux_sym_namespace_definition_token1] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1418),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1418),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [aux_sym_trait_declaration_token1] = ACTIONS(1418),
    [aux_sym_interface_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_case_token1] = ACTIONS(1418),
    [aux_sym_class_declaration_token1] = ACTIONS(1418),
    [aux_sym_final_modifier_token1] = ACTIONS(1418),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1418),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1418),
    [sym_var_modifier] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1418),
    [aux_sym_cast_type_token1] = ACTIONS(1418),
    [aux_sym_echo_statement_token1] = ACTIONS(1418),
    [aux_sym_exit_statement_token1] = ACTIONS(1418),
    [anon_sym_unset] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_declare_statement_token2] = ACTIONS(1418),
    [sym_float] = ACTIONS(1418),
    [aux_sym_try_statement_token1] = ACTIONS(1418),
    [aux_sym_goto_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [sym_integer] = ACTIONS(1418),
    [aux_sym_return_statement_token1] = ACTIONS(1418),
    [aux_sym_throw_expression_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token2] = ACTIONS(1418),
    [aux_sym_do_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token2] = ACTIONS(1418),
    [aux_sym_foreach_statement_token1] = ACTIONS(1418),
    [aux_sym_foreach_statement_token2] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token2] = ACTIONS(1418),
    [aux_sym_else_if_clause_token1] = ACTIONS(1418),
    [aux_sym_else_clause_token1] = ACTIONS(1418),
    [aux_sym_match_expression_token1] = ACTIONS(1418),
    [aux_sym_match_default_expression_token1] = ACTIONS(1418),
    [aux_sym_switch_statement_token1] = ACTIONS(1418),
    [aux_sym_switch_block_token1] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [aux_sym_clone_expression_token1] = ACTIONS(1418),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1418),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [aux_sym__list_destructing_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_self] = ACTIONS(1418),
    [anon_sym_parent] = ACTIONS(1418),
    [aux_sym__argument_name_token1] = ACTIONS(1418),
    [aux_sym__argument_name_token2] = ACTIONS(1418),
    [anon_sym_POUND_LBRACK] = ACTIONS(1416),
    [aux_sym_encapsed_string_token1] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [aux_sym_string_token1] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_LT_LT_LT] = ACTIONS(1416),
    [anon_sym_BQUOTE] = ACTIONS(1416),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [aux_sym_yield_expression_token1] = ACTIONS(1418),
    [aux_sym_include_expression_token1] = ACTIONS(1418),
    [aux_sym_include_once_expression_token1] = ACTIONS(1418),
    [aux_sym_require_expression_token1] = ACTIONS(1418),
    [aux_sym_require_once_expression_token1] = ACTIONS(1418),
    [sym_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_text_interpolation] = STATE(547),
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_name] = ACTIONS(1422),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1422),
    [aux_sym_global_declaration_token1] = ACTIONS(1422),
    [aux_sym_namespace_definition_token1] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1422),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1422),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1422),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [aux_sym_trait_declaration_token1] = ACTIONS(1422),
    [aux_sym_interface_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_case_token1] = ACTIONS(1422),
    [aux_sym_class_declaration_token1] = ACTIONS(1422),
    [aux_sym_final_modifier_token1] = ACTIONS(1422),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1422),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1422),
    [sym_var_modifier] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1422),
    [aux_sym_cast_type_token1] = ACTIONS(1422),
    [aux_sym_echo_statement_token1] = ACTIONS(1422),
    [aux_sym_exit_statement_token1] = ACTIONS(1422),
    [anon_sym_unset] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1422),
    [aux_sym_declare_statement_token2] = ACTIONS(1422),
    [sym_float] = ACTIONS(1422),
    [aux_sym_try_statement_token1] = ACTIONS(1422),
    [aux_sym_goto_statement_token1] = ACTIONS(1422),
    [aux_sym_continue_statement_token1] = ACTIONS(1422),
    [aux_sym_break_statement_token1] = ACTIONS(1422),
    [sym_integer] = ACTIONS(1422),
    [aux_sym_return_statement_token1] = ACTIONS(1422),
    [aux_sym_throw_expression_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token2] = ACTIONS(1422),
    [aux_sym_do_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token2] = ACTIONS(1422),
    [aux_sym_foreach_statement_token1] = ACTIONS(1422),
    [aux_sym_foreach_statement_token2] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_if_statement_token2] = ACTIONS(1422),
    [aux_sym_else_if_clause_token1] = ACTIONS(1422),
    [aux_sym_else_clause_token1] = ACTIONS(1422),
    [aux_sym_match_expression_token1] = ACTIONS(1422),
    [aux_sym_match_default_expression_token1] = ACTIONS(1422),
    [aux_sym_switch_statement_token1] = ACTIONS(1422),
    [aux_sym_switch_block_token1] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_AT] = ACTIONS(1420),
    [aux_sym_clone_expression_token1] = ACTIONS(1422),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1422),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [aux_sym__list_destructing_token1] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_self] = ACTIONS(1422),
    [anon_sym_parent] = ACTIONS(1422),
    [aux_sym__argument_name_token1] = ACTIONS(1422),
    [aux_sym__argument_name_token2] = ACTIONS(1422),
    [anon_sym_POUND_LBRACK] = ACTIONS(1420),
    [aux_sym_encapsed_string_token1] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [aux_sym_string_token1] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_LT_LT_LT] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1420),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [aux_sym_yield_expression_token1] = ACTIONS(1422),
    [aux_sym_include_expression_token1] = ACTIONS(1422),
    [aux_sym_include_once_expression_token1] = ACTIONS(1422),
    [aux_sym_require_expression_token1] = ACTIONS(1422),
    [aux_sym_require_once_expression_token1] = ACTIONS(1422),
    [sym_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_text_interpolation] = STATE(548),
    [ts_builtin_sym_end] = ACTIONS(1424),
    [sym_name] = ACTIONS(1426),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1424),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1426),
    [aux_sym_global_declaration_token1] = ACTIONS(1426),
    [aux_sym_namespace_definition_token1] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1426),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1426),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1426),
    [anon_sym_BSLASH] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [aux_sym_trait_declaration_token1] = ACTIONS(1426),
    [aux_sym_interface_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_case_token1] = ACTIONS(1426),
    [aux_sym_class_declaration_token1] = ACTIONS(1426),
    [aux_sym_final_modifier_token1] = ACTIONS(1426),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1426),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1426),
    [sym_var_modifier] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1426),
    [anon_sym_LPAREN] = ACTIONS(1424),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1426),
    [aux_sym_cast_type_token1] = ACTIONS(1426),
    [aux_sym_echo_statement_token1] = ACTIONS(1426),
    [aux_sym_exit_statement_token1] = ACTIONS(1426),
    [anon_sym_unset] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1426),
    [aux_sym_declare_statement_token2] = ACTIONS(1426),
    [sym_float] = ACTIONS(1426),
    [aux_sym_try_statement_token1] = ACTIONS(1426),
    [aux_sym_goto_statement_token1] = ACTIONS(1426),
    [aux_sym_continue_statement_token1] = ACTIONS(1426),
    [aux_sym_break_statement_token1] = ACTIONS(1426),
    [sym_integer] = ACTIONS(1426),
    [aux_sym_return_statement_token1] = ACTIONS(1426),
    [aux_sym_throw_expression_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token2] = ACTIONS(1426),
    [aux_sym_do_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token2] = ACTIONS(1426),
    [aux_sym_foreach_statement_token1] = ACTIONS(1426),
    [aux_sym_foreach_statement_token2] = ACTIONS(1426),
    [aux_sym_if_statement_token1] = ACTIONS(1426),
    [aux_sym_if_statement_token2] = ACTIONS(1426),
    [aux_sym_else_if_clause_token1] = ACTIONS(1426),
    [aux_sym_else_clause_token1] = ACTIONS(1426),
    [aux_sym_match_expression_token1] = ACTIONS(1426),
    [aux_sym_match_default_expression_token1] = ACTIONS(1426),
    [aux_sym_switch_statement_token1] = ACTIONS(1426),
    [aux_sym_switch_block_token1] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_AT] = ACTIONS(1424),
    [aux_sym_clone_expression_token1] = ACTIONS(1426),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1426),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [aux_sym__list_destructing_token1] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_self] = ACTIONS(1426),
    [anon_sym_parent] = ACTIONS(1426),
    [aux_sym__argument_name_token1] = ACTIONS(1426),
    [aux_sym__argument_name_token2] = ACTIONS(1426),
    [anon_sym_POUND_LBRACK] = ACTIONS(1424),
    [aux_sym_encapsed_string_token1] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [aux_sym_string_token1] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_LT_LT_LT] = ACTIONS(1424),
    [anon_sym_BQUOTE] = ACTIONS(1424),
    [anon_sym_DOLLAR] = ACTIONS(1424),
    [aux_sym_yield_expression_token1] = ACTIONS(1426),
    [aux_sym_include_expression_token1] = ACTIONS(1426),
    [aux_sym_include_once_expression_token1] = ACTIONS(1426),
    [aux_sym_require_expression_token1] = ACTIONS(1426),
    [aux_sym_require_once_expression_token1] = ACTIONS(1426),
    [sym_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_text_interpolation] = STATE(549),
    [ts_builtin_sym_end] = ACTIONS(1428),
    [sym_name] = ACTIONS(1430),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1428),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1430),
    [aux_sym_global_declaration_token1] = ACTIONS(1430),
    [aux_sym_namespace_definition_token1] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1430),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1430),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1430),
    [anon_sym_BSLASH] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_RBRACE] = ACTIONS(1428),
    [aux_sym_trait_declaration_token1] = ACTIONS(1430),
    [aux_sym_interface_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_case_token1] = ACTIONS(1430),
    [aux_sym_class_declaration_token1] = ACTIONS(1430),
    [aux_sym_final_modifier_token1] = ACTIONS(1430),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1430),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1430),
    [sym_var_modifier] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1430),
    [anon_sym_LPAREN] = ACTIONS(1428),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1430),
    [aux_sym_cast_type_token1] = ACTIONS(1430),
    [aux_sym_echo_statement_token1] = ACTIONS(1430),
    [aux_sym_exit_statement_token1] = ACTIONS(1430),
    [anon_sym_unset] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1430),
    [aux_sym_declare_statement_token2] = ACTIONS(1430),
    [sym_float] = ACTIONS(1430),
    [aux_sym_try_statement_token1] = ACTIONS(1430),
    [aux_sym_goto_statement_token1] = ACTIONS(1430),
    [aux_sym_continue_statement_token1] = ACTIONS(1430),
    [aux_sym_break_statement_token1] = ACTIONS(1430),
    [sym_integer] = ACTIONS(1430),
    [aux_sym_return_statement_token1] = ACTIONS(1430),
    [aux_sym_throw_expression_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token2] = ACTIONS(1430),
    [aux_sym_do_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token2] = ACTIONS(1430),
    [aux_sym_foreach_statement_token1] = ACTIONS(1430),
    [aux_sym_foreach_statement_token2] = ACTIONS(1430),
    [aux_sym_if_statement_token1] = ACTIONS(1430),
    [aux_sym_if_statement_token2] = ACTIONS(1430),
    [aux_sym_else_if_clause_token1] = ACTIONS(1430),
    [aux_sym_else_clause_token1] = ACTIONS(1430),
    [aux_sym_match_expression_token1] = ACTIONS(1430),
    [aux_sym_match_default_expression_token1] = ACTIONS(1430),
    [aux_sym_switch_statement_token1] = ACTIONS(1430),
    [aux_sym_switch_block_token1] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_AT] = ACTIONS(1428),
    [aux_sym_clone_expression_token1] = ACTIONS(1430),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1430),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [aux_sym__list_destructing_token1] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1428),
    [anon_sym_self] = ACTIONS(1430),
    [anon_sym_parent] = ACTIONS(1430),
    [aux_sym__argument_name_token1] = ACTIONS(1430),
    [aux_sym__argument_name_token2] = ACTIONS(1430),
    [anon_sym_POUND_LBRACK] = ACTIONS(1428),
    [aux_sym_encapsed_string_token1] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [aux_sym_string_token1] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_LT_LT_LT] = ACTIONS(1428),
    [anon_sym_BQUOTE] = ACTIONS(1428),
    [anon_sym_DOLLAR] = ACTIONS(1428),
    [aux_sym_yield_expression_token1] = ACTIONS(1430),
    [aux_sym_include_expression_token1] = ACTIONS(1430),
    [aux_sym_include_once_expression_token1] = ACTIONS(1430),
    [aux_sym_require_expression_token1] = ACTIONS(1430),
    [aux_sym_require_once_expression_token1] = ACTIONS(1430),
    [sym_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_text_interpolation] = STATE(550),
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_name] = ACTIONS(1434),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1432),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1434),
    [aux_sym_global_declaration_token1] = ACTIONS(1434),
    [aux_sym_namespace_definition_token1] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1434),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1434),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1434),
    [anon_sym_BSLASH] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [aux_sym_trait_declaration_token1] = ACTIONS(1434),
    [aux_sym_interface_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_case_token1] = ACTIONS(1434),
    [aux_sym_class_declaration_token1] = ACTIONS(1434),
    [aux_sym_final_modifier_token1] = ACTIONS(1434),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1434),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1434),
    [sym_var_modifier] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1432),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1434),
    [aux_sym_cast_type_token1] = ACTIONS(1434),
    [aux_sym_echo_statement_token1] = ACTIONS(1434),
    [aux_sym_exit_statement_token1] = ACTIONS(1434),
    [anon_sym_unset] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [aux_sym_declare_statement_token2] = ACTIONS(1434),
    [sym_float] = ACTIONS(1434),
    [aux_sym_try_statement_token1] = ACTIONS(1434),
    [aux_sym_goto_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [sym_integer] = ACTIONS(1434),
    [aux_sym_return_statement_token1] = ACTIONS(1434),
    [aux_sym_throw_expression_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token2] = ACTIONS(1434),
    [aux_sym_do_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token2] = ACTIONS(1434),
    [aux_sym_foreach_statement_token1] = ACTIONS(1434),
    [aux_sym_foreach_statement_token2] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token2] = ACTIONS(1434),
    [aux_sym_else_if_clause_token1] = ACTIONS(1434),
    [aux_sym_else_clause_token1] = ACTIONS(1434),
    [aux_sym_match_expression_token1] = ACTIONS(1434),
    [aux_sym_match_default_expression_token1] = ACTIONS(1434),
    [aux_sym_switch_statement_token1] = ACTIONS(1434),
    [aux_sym_switch_block_token1] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_AT] = ACTIONS(1432),
    [aux_sym_clone_expression_token1] = ACTIONS(1434),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1434),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [aux_sym__list_destructing_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1432),
    [anon_sym_self] = ACTIONS(1434),
    [anon_sym_parent] = ACTIONS(1434),
    [aux_sym__argument_name_token1] = ACTIONS(1434),
    [aux_sym__argument_name_token2] = ACTIONS(1434),
    [anon_sym_POUND_LBRACK] = ACTIONS(1432),
    [aux_sym_encapsed_string_token1] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_LT_LT_LT] = ACTIONS(1432),
    [anon_sym_BQUOTE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1432),
    [aux_sym_yield_expression_token1] = ACTIONS(1434),
    [aux_sym_include_expression_token1] = ACTIONS(1434),
    [aux_sym_include_once_expression_token1] = ACTIONS(1434),
    [aux_sym_require_expression_token1] = ACTIONS(1434),
    [aux_sym_require_once_expression_token1] = ACTIONS(1434),
    [sym_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_text_interpolation] = STATE(551),
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_name] = ACTIONS(1438),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1436),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1438),
    [aux_sym_global_declaration_token1] = ACTIONS(1438),
    [aux_sym_namespace_definition_token1] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1438),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1438),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1438),
    [anon_sym_BSLASH] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [aux_sym_trait_declaration_token1] = ACTIONS(1438),
    [aux_sym_interface_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_case_token1] = ACTIONS(1438),
    [aux_sym_class_declaration_token1] = ACTIONS(1438),
    [aux_sym_final_modifier_token1] = ACTIONS(1438),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1438),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1438),
    [sym_var_modifier] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1436),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1438),
    [aux_sym_cast_type_token1] = ACTIONS(1438),
    [aux_sym_echo_statement_token1] = ACTIONS(1438),
    [aux_sym_exit_statement_token1] = ACTIONS(1438),
    [anon_sym_unset] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [aux_sym_declare_statement_token2] = ACTIONS(1438),
    [sym_float] = ACTIONS(1438),
    [aux_sym_try_statement_token1] = ACTIONS(1438),
    [aux_sym_goto_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [sym_integer] = ACTIONS(1438),
    [aux_sym_return_statement_token1] = ACTIONS(1438),
    [aux_sym_throw_expression_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token2] = ACTIONS(1438),
    [aux_sym_do_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token2] = ACTIONS(1438),
    [aux_sym_foreach_statement_token1] = ACTIONS(1438),
    [aux_sym_foreach_statement_token2] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token2] = ACTIONS(1438),
    [aux_sym_else_if_clause_token1] = ACTIONS(1438),
    [aux_sym_else_clause_token1] = ACTIONS(1438),
    [aux_sym_match_expression_token1] = ACTIONS(1438),
    [aux_sym_match_default_expression_token1] = ACTIONS(1438),
    [aux_sym_switch_statement_token1] = ACTIONS(1438),
    [aux_sym_switch_block_token1] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1436),
    [aux_sym_clone_expression_token1] = ACTIONS(1438),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1438),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [aux_sym__list_destructing_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_self] = ACTIONS(1438),
    [anon_sym_parent] = ACTIONS(1438),
    [aux_sym__argument_name_token1] = ACTIONS(1438),
    [aux_sym__argument_name_token2] = ACTIONS(1438),
    [anon_sym_POUND_LBRACK] = ACTIONS(1436),
    [aux_sym_encapsed_string_token1] = ACTIONS(1436),
    [anon_sym_DQUOTE] = ACTIONS(1436),
    [aux_sym_string_token1] = ACTIONS(1436),
    [anon_sym_SQUOTE] = ACTIONS(1436),
    [anon_sym_LT_LT_LT] = ACTIONS(1436),
    [anon_sym_BQUOTE] = ACTIONS(1436),
    [anon_sym_DOLLAR] = ACTIONS(1436),
    [aux_sym_yield_expression_token1] = ACTIONS(1438),
    [aux_sym_include_expression_token1] = ACTIONS(1438),
    [aux_sym_include_once_expression_token1] = ACTIONS(1438),
    [aux_sym_require_expression_token1] = ACTIONS(1438),
    [aux_sym_require_once_expression_token1] = ACTIONS(1438),
    [sym_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_text_interpolation] = STATE(552),
    [ts_builtin_sym_end] = ACTIONS(1037),
    [sym_name] = ACTIONS(1039),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1037),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1039),
    [aux_sym_global_declaration_token1] = ACTIONS(1039),
    [aux_sym_namespace_definition_token1] = ACTIONS(1039),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1039),
    [anon_sym_BSLASH] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1037),
    [aux_sym_trait_declaration_token1] = ACTIONS(1039),
    [aux_sym_interface_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_case_token1] = ACTIONS(1039),
    [aux_sym_class_declaration_token1] = ACTIONS(1039),
    [aux_sym_final_modifier_token1] = ACTIONS(1039),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1039),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1039),
    [sym_var_modifier] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(1037),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1039),
    [aux_sym_cast_type_token1] = ACTIONS(1039),
    [aux_sym_echo_statement_token1] = ACTIONS(1039),
    [aux_sym_exit_statement_token1] = ACTIONS(1039),
    [anon_sym_unset] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [aux_sym_declare_statement_token2] = ACTIONS(1039),
    [sym_float] = ACTIONS(1039),
    [aux_sym_try_statement_token1] = ACTIONS(1039),
    [aux_sym_goto_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [sym_integer] = ACTIONS(1039),
    [aux_sym_return_statement_token1] = ACTIONS(1039),
    [aux_sym_throw_expression_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token2] = ACTIONS(1039),
    [aux_sym_do_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token2] = ACTIONS(1039),
    [aux_sym_foreach_statement_token1] = ACTIONS(1039),
    [aux_sym_foreach_statement_token2] = ACTIONS(1039),
    [aux_sym_if_statement_token1] = ACTIONS(1039),
    [aux_sym_if_statement_token2] = ACTIONS(1039),
    [aux_sym_else_if_clause_token1] = ACTIONS(1039),
    [aux_sym_else_clause_token1] = ACTIONS(1039),
    [aux_sym_match_expression_token1] = ACTIONS(1039),
    [aux_sym_match_default_expression_token1] = ACTIONS(1039),
    [aux_sym_switch_statement_token1] = ACTIONS(1039),
    [aux_sym_switch_block_token1] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(1039),
    [anon_sym_DASH] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1037),
    [anon_sym_AT] = ACTIONS(1037),
    [aux_sym_clone_expression_token1] = ACTIONS(1039),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1039),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1037),
    [anon_sym_PLUS_PLUS] = ACTIONS(1037),
    [aux_sym__list_destructing_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_self] = ACTIONS(1039),
    [anon_sym_parent] = ACTIONS(1039),
    [aux_sym__argument_name_token1] = ACTIONS(1039),
    [aux_sym__argument_name_token2] = ACTIONS(1039),
    [anon_sym_POUND_LBRACK] = ACTIONS(1037),
    [aux_sym_encapsed_string_token1] = ACTIONS(1037),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [aux_sym_string_token1] = ACTIONS(1037),
    [anon_sym_SQUOTE] = ACTIONS(1037),
    [anon_sym_LT_LT_LT] = ACTIONS(1037),
    [anon_sym_BQUOTE] = ACTIONS(1037),
    [anon_sym_DOLLAR] = ACTIONS(1037),
    [aux_sym_yield_expression_token1] = ACTIONS(1039),
    [aux_sym_include_expression_token1] = ACTIONS(1039),
    [aux_sym_include_once_expression_token1] = ACTIONS(1039),
    [aux_sym_require_expression_token1] = ACTIONS(1039),
    [aux_sym_require_once_expression_token1] = ACTIONS(1039),
    [sym_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_text_interpolation] = STATE(553),
    [ts_builtin_sym_end] = ACTIONS(1440),
    [sym_name] = ACTIONS(1442),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1440),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1442),
    [aux_sym_global_declaration_token1] = ACTIONS(1442),
    [aux_sym_namespace_definition_token1] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1442),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1442),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1442),
    [anon_sym_BSLASH] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [aux_sym_trait_declaration_token1] = ACTIONS(1442),
    [aux_sym_interface_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_case_token1] = ACTIONS(1442),
    [aux_sym_class_declaration_token1] = ACTIONS(1442),
    [aux_sym_final_modifier_token1] = ACTIONS(1442),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1442),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1442),
    [sym_var_modifier] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1442),
    [aux_sym_cast_type_token1] = ACTIONS(1442),
    [aux_sym_echo_statement_token1] = ACTIONS(1442),
    [aux_sym_exit_statement_token1] = ACTIONS(1442),
    [anon_sym_unset] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_declare_statement_token2] = ACTIONS(1442),
    [sym_float] = ACTIONS(1442),
    [aux_sym_try_statement_token1] = ACTIONS(1442),
    [aux_sym_goto_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [sym_integer] = ACTIONS(1442),
    [aux_sym_return_statement_token1] = ACTIONS(1442),
    [aux_sym_throw_expression_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token2] = ACTIONS(1442),
    [aux_sym_do_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token2] = ACTIONS(1442),
    [aux_sym_foreach_statement_token1] = ACTIONS(1442),
    [aux_sym_foreach_statement_token2] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token2] = ACTIONS(1442),
    [aux_sym_else_if_clause_token1] = ACTIONS(1442),
    [aux_sym_else_clause_token1] = ACTIONS(1442),
    [aux_sym_match_expression_token1] = ACTIONS(1442),
    [aux_sym_match_default_expression_token1] = ACTIONS(1442),
    [aux_sym_switch_statement_token1] = ACTIONS(1442),
    [aux_sym_switch_block_token1] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(1440),
    [aux_sym_clone_expression_token1] = ACTIONS(1442),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1442),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1442),
    [anon_sym_DASH_DASH] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(1440),
    [aux_sym__list_destructing_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1440),
    [anon_sym_self] = ACTIONS(1442),
    [anon_sym_parent] = ACTIONS(1442),
    [aux_sym__argument_name_token1] = ACTIONS(1442),
    [aux_sym__argument_name_token2] = ACTIONS(1442),
    [anon_sym_POUND_LBRACK] = ACTIONS(1440),
    [aux_sym_encapsed_string_token1] = ACTIONS(1440),
    [anon_sym_DQUOTE] = ACTIONS(1440),
    [aux_sym_string_token1] = ACTIONS(1440),
    [anon_sym_SQUOTE] = ACTIONS(1440),
    [anon_sym_LT_LT_LT] = ACTIONS(1440),
    [anon_sym_BQUOTE] = ACTIONS(1440),
    [anon_sym_DOLLAR] = ACTIONS(1440),
    [aux_sym_yield_expression_token1] = ACTIONS(1442),
    [aux_sym_include_expression_token1] = ACTIONS(1442),
    [aux_sym_include_once_expression_token1] = ACTIONS(1442),
    [aux_sym_require_expression_token1] = ACTIONS(1442),
    [aux_sym_require_once_expression_token1] = ACTIONS(1442),
    [sym_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_text_interpolation] = STATE(554),
    [ts_builtin_sym_end] = ACTIONS(1444),
    [sym_name] = ACTIONS(1446),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1444),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1446),
    [aux_sym_global_declaration_token1] = ACTIONS(1446),
    [aux_sym_namespace_definition_token1] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1446),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1446),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1446),
    [anon_sym_BSLASH] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_RBRACE] = ACTIONS(1444),
    [aux_sym_trait_declaration_token1] = ACTIONS(1446),
    [aux_sym_interface_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_case_token1] = ACTIONS(1446),
    [aux_sym_class_declaration_token1] = ACTIONS(1446),
    [aux_sym_final_modifier_token1] = ACTIONS(1446),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1446),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1446),
    [sym_var_modifier] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1444),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1446),
    [aux_sym_cast_type_token1] = ACTIONS(1446),
    [aux_sym_echo_statement_token1] = ACTIONS(1446),
    [aux_sym_exit_statement_token1] = ACTIONS(1446),
    [anon_sym_unset] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [aux_sym_declare_statement_token2] = ACTIONS(1446),
    [sym_float] = ACTIONS(1446),
    [aux_sym_try_statement_token1] = ACTIONS(1446),
    [aux_sym_goto_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [sym_integer] = ACTIONS(1446),
    [aux_sym_return_statement_token1] = ACTIONS(1446),
    [aux_sym_throw_expression_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token2] = ACTIONS(1446),
    [aux_sym_do_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token2] = ACTIONS(1446),
    [aux_sym_foreach_statement_token1] = ACTIONS(1446),
    [aux_sym_foreach_statement_token2] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token2] = ACTIONS(1446),
    [aux_sym_else_if_clause_token1] = ACTIONS(1446),
    [aux_sym_else_clause_token1] = ACTIONS(1446),
    [aux_sym_match_expression_token1] = ACTIONS(1446),
    [aux_sym_match_default_expression_token1] = ACTIONS(1446),
    [aux_sym_switch_statement_token1] = ACTIONS(1446),
    [aux_sym_switch_block_token1] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_BANG] = ACTIONS(1444),
    [anon_sym_AT] = ACTIONS(1444),
    [aux_sym_clone_expression_token1] = ACTIONS(1446),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1446),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1444),
    [anon_sym_PLUS_PLUS] = ACTIONS(1444),
    [aux_sym__list_destructing_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_self] = ACTIONS(1446),
    [anon_sym_parent] = ACTIONS(1446),
    [aux_sym__argument_name_token1] = ACTIONS(1446),
    [aux_sym__argument_name_token2] = ACTIONS(1446),
    [anon_sym_POUND_LBRACK] = ACTIONS(1444),
    [aux_sym_encapsed_string_token1] = ACTIONS(1444),
    [anon_sym_DQUOTE] = ACTIONS(1444),
    [aux_sym_string_token1] = ACTIONS(1444),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [anon_sym_LT_LT_LT] = ACTIONS(1444),
    [anon_sym_BQUOTE] = ACTIONS(1444),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [aux_sym_yield_expression_token1] = ACTIONS(1446),
    [aux_sym_include_expression_token1] = ACTIONS(1446),
    [aux_sym_include_once_expression_token1] = ACTIONS(1446),
    [aux_sym_require_expression_token1] = ACTIONS(1446),
    [aux_sym_require_once_expression_token1] = ACTIONS(1446),
    [sym_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_text_interpolation] = STATE(555),
    [ts_builtin_sym_end] = ACTIONS(1448),
    [sym_name] = ACTIONS(1450),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1448),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1450),
    [aux_sym_global_declaration_token1] = ACTIONS(1450),
    [aux_sym_namespace_definition_token1] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1450),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1450),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1450),
    [anon_sym_BSLASH] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [aux_sym_trait_declaration_token1] = ACTIONS(1450),
    [aux_sym_interface_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_case_token1] = ACTIONS(1450),
    [aux_sym_class_declaration_token1] = ACTIONS(1450),
    [aux_sym_final_modifier_token1] = ACTIONS(1450),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1450),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1450),
    [sym_var_modifier] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1450),
    [aux_sym_cast_type_token1] = ACTIONS(1450),
    [aux_sym_echo_statement_token1] = ACTIONS(1450),
    [aux_sym_exit_statement_token1] = ACTIONS(1450),
    [anon_sym_unset] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1450),
    [aux_sym_declare_statement_token2] = ACTIONS(1450),
    [sym_float] = ACTIONS(1450),
    [aux_sym_try_statement_token1] = ACTIONS(1450),
    [aux_sym_goto_statement_token1] = ACTIONS(1450),
    [aux_sym_continue_statement_token1] = ACTIONS(1450),
    [aux_sym_break_statement_token1] = ACTIONS(1450),
    [sym_integer] = ACTIONS(1450),
    [aux_sym_return_statement_token1] = ACTIONS(1450),
    [aux_sym_throw_expression_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token2] = ACTIONS(1450),
    [aux_sym_do_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token2] = ACTIONS(1450),
    [aux_sym_foreach_statement_token1] = ACTIONS(1450),
    [aux_sym_foreach_statement_token2] = ACTIONS(1450),
    [aux_sym_if_statement_token1] = ACTIONS(1450),
    [aux_sym_if_statement_token2] = ACTIONS(1450),
    [aux_sym_else_if_clause_token1] = ACTIONS(1450),
    [aux_sym_else_clause_token1] = ACTIONS(1450),
    [aux_sym_match_expression_token1] = ACTIONS(1450),
    [aux_sym_match_default_expression_token1] = ACTIONS(1450),
    [aux_sym_switch_statement_token1] = ACTIONS(1450),
    [aux_sym_switch_block_token1] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_AT] = ACTIONS(1448),
    [aux_sym_clone_expression_token1] = ACTIONS(1450),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1450),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1450),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [aux_sym__list_destructing_token1] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_self] = ACTIONS(1450),
    [anon_sym_parent] = ACTIONS(1450),
    [aux_sym__argument_name_token1] = ACTIONS(1450),
    [aux_sym__argument_name_token2] = ACTIONS(1450),
    [anon_sym_POUND_LBRACK] = ACTIONS(1448),
    [aux_sym_encapsed_string_token1] = ACTIONS(1448),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [aux_sym_string_token1] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1448),
    [anon_sym_LT_LT_LT] = ACTIONS(1448),
    [anon_sym_BQUOTE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1448),
    [aux_sym_yield_expression_token1] = ACTIONS(1450),
    [aux_sym_include_expression_token1] = ACTIONS(1450),
    [aux_sym_include_once_expression_token1] = ACTIONS(1450),
    [aux_sym_require_expression_token1] = ACTIONS(1450),
    [aux_sym_require_once_expression_token1] = ACTIONS(1450),
    [sym_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_text_interpolation] = STATE(556),
    [ts_builtin_sym_end] = ACTIONS(1452),
    [sym_name] = ACTIONS(1454),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1452),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1454),
    [aux_sym_global_declaration_token1] = ACTIONS(1454),
    [aux_sym_namespace_definition_token1] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1454),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1454),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1454),
    [anon_sym_BSLASH] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [aux_sym_trait_declaration_token1] = ACTIONS(1454),
    [aux_sym_interface_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_case_token1] = ACTIONS(1454),
    [aux_sym_class_declaration_token1] = ACTIONS(1454),
    [aux_sym_final_modifier_token1] = ACTIONS(1454),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1454),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1454),
    [sym_var_modifier] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1454),
    [aux_sym_cast_type_token1] = ACTIONS(1454),
    [aux_sym_echo_statement_token1] = ACTIONS(1454),
    [aux_sym_exit_statement_token1] = ACTIONS(1454),
    [anon_sym_unset] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1454),
    [aux_sym_declare_statement_token2] = ACTIONS(1454),
    [sym_float] = ACTIONS(1454),
    [aux_sym_try_statement_token1] = ACTIONS(1454),
    [aux_sym_goto_statement_token1] = ACTIONS(1454),
    [aux_sym_continue_statement_token1] = ACTIONS(1454),
    [aux_sym_break_statement_token1] = ACTIONS(1454),
    [sym_integer] = ACTIONS(1454),
    [aux_sym_return_statement_token1] = ACTIONS(1454),
    [aux_sym_throw_expression_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token2] = ACTIONS(1454),
    [aux_sym_do_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token2] = ACTIONS(1454),
    [aux_sym_foreach_statement_token1] = ACTIONS(1454),
    [aux_sym_foreach_statement_token2] = ACTIONS(1454),
    [aux_sym_if_statement_token1] = ACTIONS(1454),
    [aux_sym_if_statement_token2] = ACTIONS(1454),
    [aux_sym_else_if_clause_token1] = ACTIONS(1454),
    [aux_sym_else_clause_token1] = ACTIONS(1454),
    [aux_sym_match_expression_token1] = ACTIONS(1454),
    [aux_sym_match_default_expression_token1] = ACTIONS(1454),
    [aux_sym_switch_statement_token1] = ACTIONS(1454),
    [aux_sym_switch_block_token1] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(1452),
    [aux_sym_clone_expression_token1] = ACTIONS(1454),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1454),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1454),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [aux_sym__list_destructing_token1] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_self] = ACTIONS(1454),
    [anon_sym_parent] = ACTIONS(1454),
    [aux_sym__argument_name_token1] = ACTIONS(1454),
    [aux_sym__argument_name_token2] = ACTIONS(1454),
    [anon_sym_POUND_LBRACK] = ACTIONS(1452),
    [aux_sym_encapsed_string_token1] = ACTIONS(1452),
    [anon_sym_DQUOTE] = ACTIONS(1452),
    [aux_sym_string_token1] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1452),
    [anon_sym_LT_LT_LT] = ACTIONS(1452),
    [anon_sym_BQUOTE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1452),
    [aux_sym_yield_expression_token1] = ACTIONS(1454),
    [aux_sym_include_expression_token1] = ACTIONS(1454),
    [aux_sym_include_once_expression_token1] = ACTIONS(1454),
    [aux_sym_require_expression_token1] = ACTIONS(1454),
    [aux_sym_require_once_expression_token1] = ACTIONS(1454),
    [sym_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_text_interpolation] = STATE(557),
    [ts_builtin_sym_end] = ACTIONS(1456),
    [sym_name] = ACTIONS(1458),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1456),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1458),
    [aux_sym_global_declaration_token1] = ACTIONS(1458),
    [aux_sym_namespace_definition_token1] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1458),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1458),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1458),
    [anon_sym_BSLASH] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_RBRACE] = ACTIONS(1456),
    [aux_sym_trait_declaration_token1] = ACTIONS(1458),
    [aux_sym_interface_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_case_token1] = ACTIONS(1458),
    [aux_sym_class_declaration_token1] = ACTIONS(1458),
    [aux_sym_final_modifier_token1] = ACTIONS(1458),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1458),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1458),
    [sym_var_modifier] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1458),
    [aux_sym_cast_type_token1] = ACTIONS(1458),
    [aux_sym_echo_statement_token1] = ACTIONS(1458),
    [aux_sym_exit_statement_token1] = ACTIONS(1458),
    [anon_sym_unset] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1458),
    [aux_sym_declare_statement_token2] = ACTIONS(1458),
    [sym_float] = ACTIONS(1458),
    [aux_sym_try_statement_token1] = ACTIONS(1458),
    [aux_sym_goto_statement_token1] = ACTIONS(1458),
    [aux_sym_continue_statement_token1] = ACTIONS(1458),
    [aux_sym_break_statement_token1] = ACTIONS(1458),
    [sym_integer] = ACTIONS(1458),
    [aux_sym_return_statement_token1] = ACTIONS(1458),
    [aux_sym_throw_expression_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token2] = ACTIONS(1458),
    [aux_sym_do_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token2] = ACTIONS(1458),
    [aux_sym_foreach_statement_token1] = ACTIONS(1458),
    [aux_sym_foreach_statement_token2] = ACTIONS(1458),
    [aux_sym_if_statement_token1] = ACTIONS(1458),
    [aux_sym_if_statement_token2] = ACTIONS(1458),
    [aux_sym_else_if_clause_token1] = ACTIONS(1458),
    [aux_sym_else_clause_token1] = ACTIONS(1458),
    [aux_sym_match_expression_token1] = ACTIONS(1458),
    [aux_sym_match_default_expression_token1] = ACTIONS(1458),
    [aux_sym_switch_statement_token1] = ACTIONS(1458),
    [aux_sym_switch_block_token1] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1456),
    [anon_sym_AT] = ACTIONS(1456),
    [aux_sym_clone_expression_token1] = ACTIONS(1458),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1458),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1458),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [aux_sym__list_destructing_token1] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_self] = ACTIONS(1458),
    [anon_sym_parent] = ACTIONS(1458),
    [aux_sym__argument_name_token1] = ACTIONS(1458),
    [aux_sym__argument_name_token2] = ACTIONS(1458),
    [anon_sym_POUND_LBRACK] = ACTIONS(1456),
    [aux_sym_encapsed_string_token1] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [aux_sym_string_token1] = ACTIONS(1456),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_LT_LT_LT] = ACTIONS(1456),
    [anon_sym_BQUOTE] = ACTIONS(1456),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [aux_sym_yield_expression_token1] = ACTIONS(1458),
    [aux_sym_include_expression_token1] = ACTIONS(1458),
    [aux_sym_include_once_expression_token1] = ACTIONS(1458),
    [aux_sym_require_expression_token1] = ACTIONS(1458),
    [aux_sym_require_once_expression_token1] = ACTIONS(1458),
    [sym_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_text_interpolation] = STATE(558),
    [ts_builtin_sym_end] = ACTIONS(1460),
    [sym_name] = ACTIONS(1462),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1460),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1462),
    [aux_sym_global_declaration_token1] = ACTIONS(1462),
    [aux_sym_namespace_definition_token1] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1462),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1462),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1460),
    [aux_sym_trait_declaration_token1] = ACTIONS(1462),
    [aux_sym_interface_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_case_token1] = ACTIONS(1462),
    [aux_sym_class_declaration_token1] = ACTIONS(1462),
    [aux_sym_final_modifier_token1] = ACTIONS(1462),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1462),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1462),
    [sym_var_modifier] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1462),
    [aux_sym_cast_type_token1] = ACTIONS(1462),
    [aux_sym_echo_statement_token1] = ACTIONS(1462),
    [aux_sym_exit_statement_token1] = ACTIONS(1462),
    [anon_sym_unset] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_declare_statement_token2] = ACTIONS(1462),
    [sym_float] = ACTIONS(1462),
    [aux_sym_try_statement_token1] = ACTIONS(1462),
    [aux_sym_goto_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [sym_integer] = ACTIONS(1462),
    [aux_sym_return_statement_token1] = ACTIONS(1462),
    [aux_sym_throw_expression_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token2] = ACTIONS(1462),
    [aux_sym_do_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token2] = ACTIONS(1462),
    [aux_sym_foreach_statement_token1] = ACTIONS(1462),
    [aux_sym_foreach_statement_token2] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token2] = ACTIONS(1462),
    [aux_sym_else_if_clause_token1] = ACTIONS(1462),
    [aux_sym_else_clause_token1] = ACTIONS(1462),
    [aux_sym_match_expression_token1] = ACTIONS(1462),
    [aux_sym_match_default_expression_token1] = ACTIONS(1462),
    [aux_sym_switch_statement_token1] = ACTIONS(1462),
    [aux_sym_switch_block_token1] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [aux_sym_clone_expression_token1] = ACTIONS(1462),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1462),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [aux_sym__list_destructing_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_self] = ACTIONS(1462),
    [anon_sym_parent] = ACTIONS(1462),
    [aux_sym__argument_name_token1] = ACTIONS(1462),
    [aux_sym__argument_name_token2] = ACTIONS(1462),
    [anon_sym_POUND_LBRACK] = ACTIONS(1460),
    [aux_sym_encapsed_string_token1] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [aux_sym_string_token1] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_LT_LT_LT] = ACTIONS(1460),
    [anon_sym_BQUOTE] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [aux_sym_yield_expression_token1] = ACTIONS(1462),
    [aux_sym_include_expression_token1] = ACTIONS(1462),
    [aux_sym_include_once_expression_token1] = ACTIONS(1462),
    [aux_sym_require_expression_token1] = ACTIONS(1462),
    [aux_sym_require_once_expression_token1] = ACTIONS(1462),
    [sym_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_text_interpolation] = STATE(559),
    [ts_builtin_sym_end] = ACTIONS(1464),
    [sym_name] = ACTIONS(1466),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1464),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1466),
    [aux_sym_global_declaration_token1] = ACTIONS(1466),
    [aux_sym_namespace_definition_token1] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1466),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1466),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1466),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_RBRACE] = ACTIONS(1464),
    [aux_sym_trait_declaration_token1] = ACTIONS(1466),
    [aux_sym_interface_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_case_token1] = ACTIONS(1466),
    [aux_sym_class_declaration_token1] = ACTIONS(1466),
    [aux_sym_final_modifier_token1] = ACTIONS(1466),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1466),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1466),
    [sym_var_modifier] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1464),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1466),
    [aux_sym_cast_type_token1] = ACTIONS(1466),
    [aux_sym_echo_statement_token1] = ACTIONS(1466),
    [aux_sym_exit_statement_token1] = ACTIONS(1466),
    [anon_sym_unset] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1466),
    [aux_sym_declare_statement_token2] = ACTIONS(1466),
    [sym_float] = ACTIONS(1466),
    [aux_sym_try_statement_token1] = ACTIONS(1466),
    [aux_sym_goto_statement_token1] = ACTIONS(1466),
    [aux_sym_continue_statement_token1] = ACTIONS(1466),
    [aux_sym_break_statement_token1] = ACTIONS(1466),
    [sym_integer] = ACTIONS(1466),
    [aux_sym_return_statement_token1] = ACTIONS(1466),
    [aux_sym_throw_expression_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token2] = ACTIONS(1466),
    [aux_sym_do_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token2] = ACTIONS(1466),
    [aux_sym_foreach_statement_token1] = ACTIONS(1466),
    [aux_sym_foreach_statement_token2] = ACTIONS(1466),
    [aux_sym_if_statement_token1] = ACTIONS(1466),
    [aux_sym_if_statement_token2] = ACTIONS(1466),
    [aux_sym_else_if_clause_token1] = ACTIONS(1466),
    [aux_sym_else_clause_token1] = ACTIONS(1466),
    [aux_sym_match_expression_token1] = ACTIONS(1466),
    [aux_sym_match_default_expression_token1] = ACTIONS(1466),
    [aux_sym_switch_statement_token1] = ACTIONS(1466),
    [aux_sym_switch_block_token1] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1464),
    [aux_sym_clone_expression_token1] = ACTIONS(1466),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1466),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1466),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [aux_sym__list_destructing_token1] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [anon_sym_self] = ACTIONS(1466),
    [anon_sym_parent] = ACTIONS(1466),
    [aux_sym__argument_name_token1] = ACTIONS(1466),
    [aux_sym__argument_name_token2] = ACTIONS(1466),
    [anon_sym_POUND_LBRACK] = ACTIONS(1464),
    [aux_sym_encapsed_string_token1] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [aux_sym_string_token1] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_LT_LT_LT] = ACTIONS(1464),
    [anon_sym_BQUOTE] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [aux_sym_yield_expression_token1] = ACTIONS(1466),
    [aux_sym_include_expression_token1] = ACTIONS(1466),
    [aux_sym_include_once_expression_token1] = ACTIONS(1466),
    [aux_sym_require_expression_token1] = ACTIONS(1466),
    [aux_sym_require_once_expression_token1] = ACTIONS(1466),
    [sym_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_text_interpolation] = STATE(560),
    [ts_builtin_sym_end] = ACTIONS(1468),
    [sym_name] = ACTIONS(1470),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1468),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1470),
    [aux_sym_global_declaration_token1] = ACTIONS(1470),
    [aux_sym_namespace_definition_token1] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1470),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1470),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1470),
    [anon_sym_BSLASH] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_RBRACE] = ACTIONS(1468),
    [aux_sym_trait_declaration_token1] = ACTIONS(1470),
    [aux_sym_interface_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_case_token1] = ACTIONS(1470),
    [aux_sym_class_declaration_token1] = ACTIONS(1470),
    [aux_sym_final_modifier_token1] = ACTIONS(1470),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1470),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1470),
    [sym_var_modifier] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1468),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1470),
    [aux_sym_cast_type_token1] = ACTIONS(1470),
    [aux_sym_echo_statement_token1] = ACTIONS(1470),
    [aux_sym_exit_statement_token1] = ACTIONS(1470),
    [anon_sym_unset] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1470),
    [aux_sym_declare_statement_token2] = ACTIONS(1470),
    [sym_float] = ACTIONS(1470),
    [aux_sym_try_statement_token1] = ACTIONS(1470),
    [aux_sym_goto_statement_token1] = ACTIONS(1470),
    [aux_sym_continue_statement_token1] = ACTIONS(1470),
    [aux_sym_break_statement_token1] = ACTIONS(1470),
    [sym_integer] = ACTIONS(1470),
    [aux_sym_return_statement_token1] = ACTIONS(1470),
    [aux_sym_throw_expression_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token2] = ACTIONS(1470),
    [aux_sym_do_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token2] = ACTIONS(1470),
    [aux_sym_foreach_statement_token1] = ACTIONS(1470),
    [aux_sym_foreach_statement_token2] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_if_statement_token2] = ACTIONS(1470),
    [aux_sym_else_if_clause_token1] = ACTIONS(1470),
    [aux_sym_else_clause_token1] = ACTIONS(1470),
    [aux_sym_match_expression_token1] = ACTIONS(1470),
    [aux_sym_match_default_expression_token1] = ACTIONS(1470),
    [aux_sym_switch_statement_token1] = ACTIONS(1470),
    [aux_sym_switch_block_token1] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(1468),
    [aux_sym_clone_expression_token1] = ACTIONS(1470),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1470),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1470),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [aux_sym__list_destructing_token1] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_self] = ACTIONS(1470),
    [anon_sym_parent] = ACTIONS(1470),
    [aux_sym__argument_name_token1] = ACTIONS(1470),
    [aux_sym__argument_name_token2] = ACTIONS(1470),
    [anon_sym_POUND_LBRACK] = ACTIONS(1468),
    [aux_sym_encapsed_string_token1] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [aux_sym_string_token1] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_LT_LT_LT] = ACTIONS(1468),
    [anon_sym_BQUOTE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [aux_sym_yield_expression_token1] = ACTIONS(1470),
    [aux_sym_include_expression_token1] = ACTIONS(1470),
    [aux_sym_include_once_expression_token1] = ACTIONS(1470),
    [aux_sym_require_expression_token1] = ACTIONS(1470),
    [aux_sym_require_once_expression_token1] = ACTIONS(1470),
    [sym_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_text_interpolation] = STATE(561),
    [ts_builtin_sym_end] = ACTIONS(1472),
    [sym_name] = ACTIONS(1474),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1472),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1474),
    [aux_sym_global_declaration_token1] = ACTIONS(1474),
    [aux_sym_namespace_definition_token1] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1474),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1474),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1474),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [aux_sym_trait_declaration_token1] = ACTIONS(1474),
    [aux_sym_interface_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_case_token1] = ACTIONS(1474),
    [aux_sym_class_declaration_token1] = ACTIONS(1474),
    [aux_sym_final_modifier_token1] = ACTIONS(1474),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1474),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1474),
    [sym_var_modifier] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1474),
    [anon_sym_LPAREN] = ACTIONS(1472),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1474),
    [aux_sym_cast_type_token1] = ACTIONS(1474),
    [aux_sym_echo_statement_token1] = ACTIONS(1474),
    [aux_sym_exit_statement_token1] = ACTIONS(1474),
    [anon_sym_unset] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1474),
    [aux_sym_declare_statement_token2] = ACTIONS(1474),
    [sym_float] = ACTIONS(1474),
    [aux_sym_try_statement_token1] = ACTIONS(1474),
    [aux_sym_goto_statement_token1] = ACTIONS(1474),
    [aux_sym_continue_statement_token1] = ACTIONS(1474),
    [aux_sym_break_statement_token1] = ACTIONS(1474),
    [sym_integer] = ACTIONS(1474),
    [aux_sym_return_statement_token1] = ACTIONS(1474),
    [aux_sym_throw_expression_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token2] = ACTIONS(1474),
    [aux_sym_do_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token2] = ACTIONS(1474),
    [aux_sym_foreach_statement_token1] = ACTIONS(1474),
    [aux_sym_foreach_statement_token2] = ACTIONS(1474),
    [aux_sym_if_statement_token1] = ACTIONS(1474),
    [aux_sym_if_statement_token2] = ACTIONS(1474),
    [aux_sym_else_if_clause_token1] = ACTIONS(1474),
    [aux_sym_else_clause_token1] = ACTIONS(1474),
    [aux_sym_match_expression_token1] = ACTIONS(1474),
    [aux_sym_match_default_expression_token1] = ACTIONS(1474),
    [aux_sym_switch_statement_token1] = ACTIONS(1474),
    [aux_sym_switch_block_token1] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [aux_sym_clone_expression_token1] = ACTIONS(1474),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1474),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1474),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [aux_sym__list_destructing_token1] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1472),
    [anon_sym_self] = ACTIONS(1474),
    [anon_sym_parent] = ACTIONS(1474),
    [aux_sym__argument_name_token1] = ACTIONS(1474),
    [aux_sym__argument_name_token2] = ACTIONS(1474),
    [anon_sym_POUND_LBRACK] = ACTIONS(1472),
    [aux_sym_encapsed_string_token1] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [aux_sym_string_token1] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_LT_LT_LT] = ACTIONS(1472),
    [anon_sym_BQUOTE] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [aux_sym_yield_expression_token1] = ACTIONS(1474),
    [aux_sym_include_expression_token1] = ACTIONS(1474),
    [aux_sym_include_once_expression_token1] = ACTIONS(1474),
    [aux_sym_require_expression_token1] = ACTIONS(1474),
    [aux_sym_require_once_expression_token1] = ACTIONS(1474),
    [sym_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_text_interpolation] = STATE(562),
    [ts_builtin_sym_end] = ACTIONS(1476),
    [sym_name] = ACTIONS(1478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1476),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1478),
    [aux_sym_global_declaration_token1] = ACTIONS(1478),
    [aux_sym_namespace_definition_token1] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1478),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1478),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [aux_sym_trait_declaration_token1] = ACTIONS(1478),
    [aux_sym_interface_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_case_token1] = ACTIONS(1478),
    [aux_sym_class_declaration_token1] = ACTIONS(1478),
    [aux_sym_final_modifier_token1] = ACTIONS(1478),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1478),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1478),
    [sym_var_modifier] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1478),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1478),
    [aux_sym_cast_type_token1] = ACTIONS(1478),
    [aux_sym_echo_statement_token1] = ACTIONS(1478),
    [aux_sym_exit_statement_token1] = ACTIONS(1478),
    [anon_sym_unset] = ACTIONS(1478),
    [aux_sym_declare_statement_token1] = ACTIONS(1478),
    [aux_sym_declare_statement_token2] = ACTIONS(1478),
    [sym_float] = ACTIONS(1478),
    [aux_sym_try_statement_token1] = ACTIONS(1478),
    [aux_sym_goto_statement_token1] = ACTIONS(1478),
    [aux_sym_continue_statement_token1] = ACTIONS(1478),
    [aux_sym_break_statement_token1] = ACTIONS(1478),
    [sym_integer] = ACTIONS(1478),
    [aux_sym_return_statement_token1] = ACTIONS(1478),
    [aux_sym_throw_expression_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token2] = ACTIONS(1478),
    [aux_sym_do_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token2] = ACTIONS(1478),
    [aux_sym_foreach_statement_token1] = ACTIONS(1478),
    [aux_sym_foreach_statement_token2] = ACTIONS(1478),
    [aux_sym_if_statement_token1] = ACTIONS(1478),
    [aux_sym_if_statement_token2] = ACTIONS(1478),
    [aux_sym_else_if_clause_token1] = ACTIONS(1478),
    [aux_sym_else_clause_token1] = ACTIONS(1478),
    [aux_sym_match_expression_token1] = ACTIONS(1478),
    [aux_sym_match_default_expression_token1] = ACTIONS(1478),
    [aux_sym_switch_statement_token1] = ACTIONS(1478),
    [aux_sym_switch_block_token1] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [aux_sym_clone_expression_token1] = ACTIONS(1478),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1478),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1478),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [aux_sym__list_destructing_token1] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_self] = ACTIONS(1478),
    [anon_sym_parent] = ACTIONS(1478),
    [aux_sym__argument_name_token1] = ACTIONS(1478),
    [aux_sym__argument_name_token2] = ACTIONS(1478),
    [anon_sym_POUND_LBRACK] = ACTIONS(1476),
    [aux_sym_encapsed_string_token1] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [aux_sym_string_token1] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_LT_LT_LT] = ACTIONS(1476),
    [anon_sym_BQUOTE] = ACTIONS(1476),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [aux_sym_yield_expression_token1] = ACTIONS(1478),
    [aux_sym_include_expression_token1] = ACTIONS(1478),
    [aux_sym_include_once_expression_token1] = ACTIONS(1478),
    [aux_sym_require_expression_token1] = ACTIONS(1478),
    [aux_sym_require_once_expression_token1] = ACTIONS(1478),
    [sym_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_text_interpolation] = STATE(563),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [sym_name] = ACTIONS(1482),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1482),
    [aux_sym_global_declaration_token1] = ACTIONS(1482),
    [aux_sym_namespace_definition_token1] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1482),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1482),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [aux_sym_trait_declaration_token1] = ACTIONS(1482),
    [aux_sym_interface_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_case_token1] = ACTIONS(1482),
    [aux_sym_class_declaration_token1] = ACTIONS(1482),
    [aux_sym_final_modifier_token1] = ACTIONS(1482),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1482),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1482),
    [sym_var_modifier] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1482),
    [aux_sym_cast_type_token1] = ACTIONS(1482),
    [aux_sym_echo_statement_token1] = ACTIONS(1482),
    [aux_sym_exit_statement_token1] = ACTIONS(1482),
    [anon_sym_unset] = ACTIONS(1482),
    [aux_sym_declare_statement_token1] = ACTIONS(1482),
    [aux_sym_declare_statement_token2] = ACTIONS(1482),
    [sym_float] = ACTIONS(1482),
    [aux_sym_try_statement_token1] = ACTIONS(1482),
    [aux_sym_goto_statement_token1] = ACTIONS(1482),
    [aux_sym_continue_statement_token1] = ACTIONS(1482),
    [aux_sym_break_statement_token1] = ACTIONS(1482),
    [sym_integer] = ACTIONS(1482),
    [aux_sym_return_statement_token1] = ACTIONS(1482),
    [aux_sym_throw_expression_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token2] = ACTIONS(1482),
    [aux_sym_do_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token2] = ACTIONS(1482),
    [aux_sym_foreach_statement_token1] = ACTIONS(1482),
    [aux_sym_foreach_statement_token2] = ACTIONS(1482),
    [aux_sym_if_statement_token1] = ACTIONS(1482),
    [aux_sym_if_statement_token2] = ACTIONS(1482),
    [aux_sym_else_if_clause_token1] = ACTIONS(1482),
    [aux_sym_else_clause_token1] = ACTIONS(1482),
    [aux_sym_match_expression_token1] = ACTIONS(1482),
    [aux_sym_match_default_expression_token1] = ACTIONS(1482),
    [aux_sym_switch_statement_token1] = ACTIONS(1482),
    [aux_sym_switch_block_token1] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [aux_sym_clone_expression_token1] = ACTIONS(1482),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1482),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1482),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [aux_sym__list_destructing_token1] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_self] = ACTIONS(1482),
    [anon_sym_parent] = ACTIONS(1482),
    [aux_sym__argument_name_token1] = ACTIONS(1482),
    [aux_sym__argument_name_token2] = ACTIONS(1482),
    [anon_sym_POUND_LBRACK] = ACTIONS(1480),
    [aux_sym_encapsed_string_token1] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [aux_sym_string_token1] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_LT_LT_LT] = ACTIONS(1480),
    [anon_sym_BQUOTE] = ACTIONS(1480),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [aux_sym_yield_expression_token1] = ACTIONS(1482),
    [aux_sym_include_expression_token1] = ACTIONS(1482),
    [aux_sym_include_once_expression_token1] = ACTIONS(1482),
    [aux_sym_require_expression_token1] = ACTIONS(1482),
    [aux_sym_require_once_expression_token1] = ACTIONS(1482),
    [sym_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_text_interpolation] = STATE(564),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_name] = ACTIONS(1486),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1486),
    [aux_sym_global_declaration_token1] = ACTIONS(1486),
    [aux_sym_namespace_definition_token1] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1486),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1486),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [aux_sym_trait_declaration_token1] = ACTIONS(1486),
    [aux_sym_interface_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_case_token1] = ACTIONS(1486),
    [aux_sym_class_declaration_token1] = ACTIONS(1486),
    [aux_sym_final_modifier_token1] = ACTIONS(1486),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1486),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1486),
    [sym_var_modifier] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1486),
    [aux_sym_cast_type_token1] = ACTIONS(1486),
    [aux_sym_echo_statement_token1] = ACTIONS(1486),
    [aux_sym_exit_statement_token1] = ACTIONS(1486),
    [anon_sym_unset] = ACTIONS(1486),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [aux_sym_declare_statement_token2] = ACTIONS(1486),
    [sym_float] = ACTIONS(1486),
    [aux_sym_try_statement_token1] = ACTIONS(1486),
    [aux_sym_goto_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [sym_integer] = ACTIONS(1486),
    [aux_sym_return_statement_token1] = ACTIONS(1486),
    [aux_sym_throw_expression_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token2] = ACTIONS(1486),
    [aux_sym_do_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token2] = ACTIONS(1486),
    [aux_sym_foreach_statement_token1] = ACTIONS(1486),
    [aux_sym_foreach_statement_token2] = ACTIONS(1486),
    [aux_sym_if_statement_token1] = ACTIONS(1486),
    [aux_sym_if_statement_token2] = ACTIONS(1486),
    [aux_sym_else_if_clause_token1] = ACTIONS(1486),
    [aux_sym_else_clause_token1] = ACTIONS(1486),
    [aux_sym_match_expression_token1] = ACTIONS(1486),
    [aux_sym_match_default_expression_token1] = ACTIONS(1486),
    [aux_sym_switch_statement_token1] = ACTIONS(1486),
    [aux_sym_switch_block_token1] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [aux_sym_clone_expression_token1] = ACTIONS(1486),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1486),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1486),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [aux_sym__list_destructing_token1] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_self] = ACTIONS(1486),
    [anon_sym_parent] = ACTIONS(1486),
    [aux_sym__argument_name_token1] = ACTIONS(1486),
    [aux_sym__argument_name_token2] = ACTIONS(1486),
    [anon_sym_POUND_LBRACK] = ACTIONS(1484),
    [aux_sym_encapsed_string_token1] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [aux_sym_string_token1] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_LT_LT_LT] = ACTIONS(1484),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [aux_sym_yield_expression_token1] = ACTIONS(1486),
    [aux_sym_include_expression_token1] = ACTIONS(1486),
    [aux_sym_include_once_expression_token1] = ACTIONS(1486),
    [aux_sym_require_expression_token1] = ACTIONS(1486),
    [aux_sym_require_once_expression_token1] = ACTIONS(1486),
    [sym_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_text_interpolation] = STATE(565),
    [ts_builtin_sym_end] = ACTIONS(1488),
    [sym_name] = ACTIONS(1490),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1490),
    [aux_sym_global_declaration_token1] = ACTIONS(1490),
    [aux_sym_namespace_definition_token1] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1490),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1490),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1490),
    [anon_sym_BSLASH] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_RBRACE] = ACTIONS(1488),
    [aux_sym_trait_declaration_token1] = ACTIONS(1490),
    [aux_sym_interface_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_case_token1] = ACTIONS(1490),
    [aux_sym_class_declaration_token1] = ACTIONS(1490),
    [aux_sym_final_modifier_token1] = ACTIONS(1490),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1490),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1490),
    [sym_var_modifier] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1490),
    [aux_sym_cast_type_token1] = ACTIONS(1490),
    [aux_sym_echo_statement_token1] = ACTIONS(1490),
    [aux_sym_exit_statement_token1] = ACTIONS(1490),
    [anon_sym_unset] = ACTIONS(1490),
    [aux_sym_declare_statement_token1] = ACTIONS(1490),
    [aux_sym_declare_statement_token2] = ACTIONS(1490),
    [sym_float] = ACTIONS(1490),
    [aux_sym_try_statement_token1] = ACTIONS(1490),
    [aux_sym_goto_statement_token1] = ACTIONS(1490),
    [aux_sym_continue_statement_token1] = ACTIONS(1490),
    [aux_sym_break_statement_token1] = ACTIONS(1490),
    [sym_integer] = ACTIONS(1490),
    [aux_sym_return_statement_token1] = ACTIONS(1490),
    [aux_sym_throw_expression_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token2] = ACTIONS(1490),
    [aux_sym_do_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token2] = ACTIONS(1490),
    [aux_sym_foreach_statement_token1] = ACTIONS(1490),
    [aux_sym_foreach_statement_token2] = ACTIONS(1490),
    [aux_sym_if_statement_token1] = ACTIONS(1490),
    [aux_sym_if_statement_token2] = ACTIONS(1490),
    [aux_sym_else_if_clause_token1] = ACTIONS(1490),
    [aux_sym_else_clause_token1] = ACTIONS(1490),
    [aux_sym_match_expression_token1] = ACTIONS(1490),
    [aux_sym_match_default_expression_token1] = ACTIONS(1490),
    [aux_sym_switch_statement_token1] = ACTIONS(1490),
    [aux_sym_switch_block_token1] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_AT] = ACTIONS(1488),
    [aux_sym_clone_expression_token1] = ACTIONS(1490),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1490),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1490),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [aux_sym__list_destructing_token1] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [anon_sym_self] = ACTIONS(1490),
    [anon_sym_parent] = ACTIONS(1490),
    [aux_sym__argument_name_token1] = ACTIONS(1490),
    [aux_sym__argument_name_token2] = ACTIONS(1490),
    [anon_sym_POUND_LBRACK] = ACTIONS(1488),
    [aux_sym_encapsed_string_token1] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [aux_sym_string_token1] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1488),
    [anon_sym_LT_LT_LT] = ACTIONS(1488),
    [anon_sym_BQUOTE] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1488),
    [aux_sym_yield_expression_token1] = ACTIONS(1490),
    [aux_sym_include_expression_token1] = ACTIONS(1490),
    [aux_sym_include_once_expression_token1] = ACTIONS(1490),
    [aux_sym_require_expression_token1] = ACTIONS(1490),
    [aux_sym_require_once_expression_token1] = ACTIONS(1490),
    [sym_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_text_interpolation] = STATE(566),
    [ts_builtin_sym_end] = ACTIONS(1492),
    [sym_name] = ACTIONS(1494),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1494),
    [aux_sym_global_declaration_token1] = ACTIONS(1494),
    [aux_sym_namespace_definition_token1] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1494),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1494),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1494),
    [anon_sym_BSLASH] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [aux_sym_trait_declaration_token1] = ACTIONS(1494),
    [aux_sym_interface_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_case_token1] = ACTIONS(1494),
    [aux_sym_class_declaration_token1] = ACTIONS(1494),
    [aux_sym_final_modifier_token1] = ACTIONS(1494),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1494),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1494),
    [sym_var_modifier] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1494),
    [aux_sym_cast_type_token1] = ACTIONS(1494),
    [aux_sym_echo_statement_token1] = ACTIONS(1494),
    [aux_sym_exit_statement_token1] = ACTIONS(1494),
    [anon_sym_unset] = ACTIONS(1494),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [aux_sym_declare_statement_token2] = ACTIONS(1494),
    [sym_float] = ACTIONS(1494),
    [aux_sym_try_statement_token1] = ACTIONS(1494),
    [aux_sym_goto_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [sym_integer] = ACTIONS(1494),
    [aux_sym_return_statement_token1] = ACTIONS(1494),
    [aux_sym_throw_expression_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token2] = ACTIONS(1494),
    [aux_sym_do_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token2] = ACTIONS(1494),
    [aux_sym_foreach_statement_token1] = ACTIONS(1494),
    [aux_sym_foreach_statement_token2] = ACTIONS(1494),
    [aux_sym_if_statement_token1] = ACTIONS(1494),
    [aux_sym_if_statement_token2] = ACTIONS(1494),
    [aux_sym_else_if_clause_token1] = ACTIONS(1494),
    [aux_sym_else_clause_token1] = ACTIONS(1494),
    [aux_sym_match_expression_token1] = ACTIONS(1494),
    [aux_sym_match_default_expression_token1] = ACTIONS(1494),
    [aux_sym_switch_statement_token1] = ACTIONS(1494),
    [aux_sym_switch_block_token1] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(1492),
    [aux_sym_clone_expression_token1] = ACTIONS(1494),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1494),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1494),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [aux_sym__list_destructing_token1] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_self] = ACTIONS(1494),
    [anon_sym_parent] = ACTIONS(1494),
    [aux_sym__argument_name_token1] = ACTIONS(1494),
    [aux_sym__argument_name_token2] = ACTIONS(1494),
    [anon_sym_POUND_LBRACK] = ACTIONS(1492),
    [aux_sym_encapsed_string_token1] = ACTIONS(1492),
    [anon_sym_DQUOTE] = ACTIONS(1492),
    [aux_sym_string_token1] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1492),
    [anon_sym_LT_LT_LT] = ACTIONS(1492),
    [anon_sym_BQUOTE] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [aux_sym_yield_expression_token1] = ACTIONS(1494),
    [aux_sym_include_expression_token1] = ACTIONS(1494),
    [aux_sym_include_once_expression_token1] = ACTIONS(1494),
    [aux_sym_require_expression_token1] = ACTIONS(1494),
    [aux_sym_require_once_expression_token1] = ACTIONS(1494),
    [sym_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_text_interpolation] = STATE(567),
    [ts_builtin_sym_end] = ACTIONS(1496),
    [sym_name] = ACTIONS(1498),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1498),
    [aux_sym_global_declaration_token1] = ACTIONS(1498),
    [aux_sym_namespace_definition_token1] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1498),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1498),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1498),
    [anon_sym_BSLASH] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1496),
    [anon_sym_RBRACE] = ACTIONS(1496),
    [aux_sym_trait_declaration_token1] = ACTIONS(1498),
    [aux_sym_interface_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_case_token1] = ACTIONS(1498),
    [aux_sym_class_declaration_token1] = ACTIONS(1498),
    [aux_sym_final_modifier_token1] = ACTIONS(1498),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1498),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1498),
    [sym_var_modifier] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1498),
    [aux_sym_cast_type_token1] = ACTIONS(1498),
    [aux_sym_echo_statement_token1] = ACTIONS(1498),
    [aux_sym_exit_statement_token1] = ACTIONS(1498),
    [anon_sym_unset] = ACTIONS(1498),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [aux_sym_declare_statement_token2] = ACTIONS(1498),
    [sym_float] = ACTIONS(1498),
    [aux_sym_try_statement_token1] = ACTIONS(1498),
    [aux_sym_goto_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [sym_integer] = ACTIONS(1498),
    [aux_sym_return_statement_token1] = ACTIONS(1498),
    [aux_sym_throw_expression_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token2] = ACTIONS(1498),
    [aux_sym_do_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token2] = ACTIONS(1498),
    [aux_sym_foreach_statement_token1] = ACTIONS(1498),
    [aux_sym_foreach_statement_token2] = ACTIONS(1498),
    [aux_sym_if_statement_token1] = ACTIONS(1498),
    [aux_sym_if_statement_token2] = ACTIONS(1498),
    [aux_sym_else_if_clause_token1] = ACTIONS(1498),
    [aux_sym_else_clause_token1] = ACTIONS(1498),
    [aux_sym_match_expression_token1] = ACTIONS(1498),
    [aux_sym_match_default_expression_token1] = ACTIONS(1498),
    [aux_sym_switch_statement_token1] = ACTIONS(1498),
    [aux_sym_switch_block_token1] = ACTIONS(1498),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1496),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_AT] = ACTIONS(1496),
    [aux_sym_clone_expression_token1] = ACTIONS(1498),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1498),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1496),
    [aux_sym__list_destructing_token1] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [anon_sym_self] = ACTIONS(1498),
    [anon_sym_parent] = ACTIONS(1498),
    [aux_sym__argument_name_token1] = ACTIONS(1498),
    [aux_sym__argument_name_token2] = ACTIONS(1498),
    [anon_sym_POUND_LBRACK] = ACTIONS(1496),
    [aux_sym_encapsed_string_token1] = ACTIONS(1496),
    [anon_sym_DQUOTE] = ACTIONS(1496),
    [aux_sym_string_token1] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1496),
    [anon_sym_LT_LT_LT] = ACTIONS(1496),
    [anon_sym_BQUOTE] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1496),
    [aux_sym_yield_expression_token1] = ACTIONS(1498),
    [aux_sym_include_expression_token1] = ACTIONS(1498),
    [aux_sym_include_once_expression_token1] = ACTIONS(1498),
    [aux_sym_require_expression_token1] = ACTIONS(1498),
    [aux_sym_require_once_expression_token1] = ACTIONS(1498),
    [sym_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_text_interpolation] = STATE(568),
    [ts_builtin_sym_end] = ACTIONS(1500),
    [sym_name] = ACTIONS(1502),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1502),
    [aux_sym_global_declaration_token1] = ACTIONS(1502),
    [aux_sym_namespace_definition_token1] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1502),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1502),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1502),
    [anon_sym_BSLASH] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_RBRACE] = ACTIONS(1500),
    [aux_sym_trait_declaration_token1] = ACTIONS(1502),
    [aux_sym_interface_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_case_token1] = ACTIONS(1502),
    [aux_sym_class_declaration_token1] = ACTIONS(1502),
    [aux_sym_final_modifier_token1] = ACTIONS(1502),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1502),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1502),
    [sym_var_modifier] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1502),
    [aux_sym_cast_type_token1] = ACTIONS(1502),
    [aux_sym_echo_statement_token1] = ACTIONS(1502),
    [aux_sym_exit_statement_token1] = ACTIONS(1502),
    [anon_sym_unset] = ACTIONS(1502),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [aux_sym_declare_statement_token2] = ACTIONS(1502),
    [sym_float] = ACTIONS(1502),
    [aux_sym_try_statement_token1] = ACTIONS(1502),
    [aux_sym_goto_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [sym_integer] = ACTIONS(1502),
    [aux_sym_return_statement_token1] = ACTIONS(1502),
    [aux_sym_throw_expression_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token2] = ACTIONS(1502),
    [aux_sym_do_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token2] = ACTIONS(1502),
    [aux_sym_foreach_statement_token1] = ACTIONS(1502),
    [aux_sym_foreach_statement_token2] = ACTIONS(1502),
    [aux_sym_if_statement_token1] = ACTIONS(1502),
    [aux_sym_if_statement_token2] = ACTIONS(1502),
    [aux_sym_else_if_clause_token1] = ACTIONS(1502),
    [aux_sym_else_clause_token1] = ACTIONS(1502),
    [aux_sym_match_expression_token1] = ACTIONS(1502),
    [aux_sym_match_default_expression_token1] = ACTIONS(1502),
    [aux_sym_switch_statement_token1] = ACTIONS(1502),
    [aux_sym_switch_block_token1] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1500),
    [anon_sym_BANG] = ACTIONS(1500),
    [anon_sym_AT] = ACTIONS(1500),
    [aux_sym_clone_expression_token1] = ACTIONS(1502),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1502),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1502),
    [anon_sym_DASH_DASH] = ACTIONS(1500),
    [anon_sym_PLUS_PLUS] = ACTIONS(1500),
    [aux_sym__list_destructing_token1] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [anon_sym_self] = ACTIONS(1502),
    [anon_sym_parent] = ACTIONS(1502),
    [aux_sym__argument_name_token1] = ACTIONS(1502),
    [aux_sym__argument_name_token2] = ACTIONS(1502),
    [anon_sym_POUND_LBRACK] = ACTIONS(1500),
    [aux_sym_encapsed_string_token1] = ACTIONS(1500),
    [anon_sym_DQUOTE] = ACTIONS(1500),
    [aux_sym_string_token1] = ACTIONS(1500),
    [anon_sym_SQUOTE] = ACTIONS(1500),
    [anon_sym_LT_LT_LT] = ACTIONS(1500),
    [anon_sym_BQUOTE] = ACTIONS(1500),
    [anon_sym_DOLLAR] = ACTIONS(1500),
    [aux_sym_yield_expression_token1] = ACTIONS(1502),
    [aux_sym_include_expression_token1] = ACTIONS(1502),
    [aux_sym_include_once_expression_token1] = ACTIONS(1502),
    [aux_sym_require_expression_token1] = ACTIONS(1502),
    [aux_sym_require_once_expression_token1] = ACTIONS(1502),
    [sym_comment] = ACTIONS(5),
  },
  [569] = {
    [sym_text_interpolation] = STATE(569),
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym_name] = ACTIONS(1506),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1506),
    [aux_sym_global_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_definition_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1506),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1506),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1506),
    [anon_sym_BSLASH] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1504),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [aux_sym_trait_declaration_token1] = ACTIONS(1506),
    [aux_sym_interface_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_case_token1] = ACTIONS(1506),
    [aux_sym_class_declaration_token1] = ACTIONS(1506),
    [aux_sym_final_modifier_token1] = ACTIONS(1506),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1506),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1506),
    [sym_var_modifier] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1506),
    [aux_sym_cast_type_token1] = ACTIONS(1506),
    [aux_sym_echo_statement_token1] = ACTIONS(1506),
    [aux_sym_exit_statement_token1] = ACTIONS(1506),
    [anon_sym_unset] = ACTIONS(1506),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [aux_sym_declare_statement_token2] = ACTIONS(1506),
    [sym_float] = ACTIONS(1506),
    [aux_sym_try_statement_token1] = ACTIONS(1506),
    [aux_sym_goto_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [sym_integer] = ACTIONS(1506),
    [aux_sym_return_statement_token1] = ACTIONS(1506),
    [aux_sym_throw_expression_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token2] = ACTIONS(1506),
    [aux_sym_do_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token2] = ACTIONS(1506),
    [aux_sym_foreach_statement_token1] = ACTIONS(1506),
    [aux_sym_foreach_statement_token2] = ACTIONS(1506),
    [aux_sym_if_statement_token1] = ACTIONS(1506),
    [aux_sym_if_statement_token2] = ACTIONS(1506),
    [aux_sym_else_if_clause_token1] = ACTIONS(1506),
    [aux_sym_else_clause_token1] = ACTIONS(1506),
    [aux_sym_match_expression_token1] = ACTIONS(1506),
    [aux_sym_match_default_expression_token1] = ACTIONS(1506),
    [aux_sym_switch_statement_token1] = ACTIONS(1506),
    [aux_sym_switch_block_token1] = ACTIONS(1506),
    [anon_sym_PLUS] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_AT] = ACTIONS(1504),
    [aux_sym_clone_expression_token1] = ACTIONS(1506),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1506),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1504),
    [anon_sym_PLUS_PLUS] = ACTIONS(1504),
    [aux_sym__list_destructing_token1] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_self] = ACTIONS(1506),
    [anon_sym_parent] = ACTIONS(1506),
    [aux_sym__argument_name_token1] = ACTIONS(1506),
    [aux_sym__argument_name_token2] = ACTIONS(1506),
    [anon_sym_POUND_LBRACK] = ACTIONS(1504),
    [aux_sym_encapsed_string_token1] = ACTIONS(1504),
    [anon_sym_DQUOTE] = ACTIONS(1504),
    [aux_sym_string_token1] = ACTIONS(1504),
    [anon_sym_SQUOTE] = ACTIONS(1504),
    [anon_sym_LT_LT_LT] = ACTIONS(1504),
    [anon_sym_BQUOTE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1504),
    [aux_sym_yield_expression_token1] = ACTIONS(1506),
    [aux_sym_include_expression_token1] = ACTIONS(1506),
    [aux_sym_include_once_expression_token1] = ACTIONS(1506),
    [aux_sym_require_expression_token1] = ACTIONS(1506),
    [aux_sym_require_once_expression_token1] = ACTIONS(1506),
    [sym_comment] = ACTIONS(5),
  },
  [570] = {
    [sym_text_interpolation] = STATE(570),
    [ts_builtin_sym_end] = ACTIONS(1508),
    [sym_name] = ACTIONS(1510),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1510),
    [aux_sym_global_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_definition_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1510),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1510),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1510),
    [anon_sym_BSLASH] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1508),
    [anon_sym_RBRACE] = ACTIONS(1508),
    [aux_sym_trait_declaration_token1] = ACTIONS(1510),
    [aux_sym_interface_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_case_token1] = ACTIONS(1510),
    [aux_sym_class_declaration_token1] = ACTIONS(1510),
    [aux_sym_final_modifier_token1] = ACTIONS(1510),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1510),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1510),
    [sym_var_modifier] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1510),
    [aux_sym_cast_type_token1] = ACTIONS(1510),
    [aux_sym_echo_statement_token1] = ACTIONS(1510),
    [aux_sym_exit_statement_token1] = ACTIONS(1510),
    [anon_sym_unset] = ACTIONS(1510),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [aux_sym_declare_statement_token2] = ACTIONS(1510),
    [sym_float] = ACTIONS(1510),
    [aux_sym_try_statement_token1] = ACTIONS(1510),
    [aux_sym_goto_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [sym_integer] = ACTIONS(1510),
    [aux_sym_return_statement_token1] = ACTIONS(1510),
    [aux_sym_throw_expression_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token2] = ACTIONS(1510),
    [aux_sym_do_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token2] = ACTIONS(1510),
    [aux_sym_foreach_statement_token1] = ACTIONS(1510),
    [aux_sym_foreach_statement_token2] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token2] = ACTIONS(1510),
    [aux_sym_else_if_clause_token1] = ACTIONS(1510),
    [aux_sym_else_clause_token1] = ACTIONS(1510),
    [aux_sym_match_expression_token1] = ACTIONS(1510),
    [aux_sym_match_default_expression_token1] = ACTIONS(1510),
    [aux_sym_switch_statement_token1] = ACTIONS(1510),
    [aux_sym_switch_block_token1] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1508),
    [anon_sym_BANG] = ACTIONS(1508),
    [anon_sym_AT] = ACTIONS(1508),
    [aux_sym_clone_expression_token1] = ACTIONS(1510),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1510),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [aux_sym__list_destructing_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_self] = ACTIONS(1510),
    [anon_sym_parent] = ACTIONS(1510),
    [aux_sym__argument_name_token1] = ACTIONS(1510),
    [aux_sym__argument_name_token2] = ACTIONS(1510),
    [anon_sym_POUND_LBRACK] = ACTIONS(1508),
    [aux_sym_encapsed_string_token1] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1508),
    [aux_sym_string_token1] = ACTIONS(1508),
    [anon_sym_SQUOTE] = ACTIONS(1508),
    [anon_sym_LT_LT_LT] = ACTIONS(1508),
    [anon_sym_BQUOTE] = ACTIONS(1508),
    [anon_sym_DOLLAR] = ACTIONS(1508),
    [aux_sym_yield_expression_token1] = ACTIONS(1510),
    [aux_sym_include_expression_token1] = ACTIONS(1510),
    [aux_sym_include_once_expression_token1] = ACTIONS(1510),
    [aux_sym_require_expression_token1] = ACTIONS(1510),
    [aux_sym_require_once_expression_token1] = ACTIONS(1510),
    [sym_comment] = ACTIONS(5),
  },
  [571] = {
    [sym_text_interpolation] = STATE(571),
    [ts_builtin_sym_end] = ACTIONS(1512),
    [sym_name] = ACTIONS(1514),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1512),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1514),
    [aux_sym_global_declaration_token1] = ACTIONS(1514),
    [aux_sym_namespace_definition_token1] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1514),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1514),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1514),
    [anon_sym_BSLASH] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1512),
    [aux_sym_trait_declaration_token1] = ACTIONS(1514),
    [aux_sym_interface_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_case_token1] = ACTIONS(1514),
    [aux_sym_class_declaration_token1] = ACTIONS(1514),
    [aux_sym_final_modifier_token1] = ACTIONS(1514),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1514),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1514),
    [sym_var_modifier] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1514),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1514),
    [aux_sym_cast_type_token1] = ACTIONS(1514),
    [aux_sym_echo_statement_token1] = ACTIONS(1514),
    [aux_sym_exit_statement_token1] = ACTIONS(1514),
    [anon_sym_unset] = ACTIONS(1514),
    [aux_sym_declare_statement_token1] = ACTIONS(1514),
    [aux_sym_declare_statement_token2] = ACTIONS(1514),
    [sym_float] = ACTIONS(1514),
    [aux_sym_try_statement_token1] = ACTIONS(1514),
    [aux_sym_goto_statement_token1] = ACTIONS(1514),
    [aux_sym_continue_statement_token1] = ACTIONS(1514),
    [aux_sym_break_statement_token1] = ACTIONS(1514),
    [sym_integer] = ACTIONS(1514),
    [aux_sym_return_statement_token1] = ACTIONS(1514),
    [aux_sym_throw_expression_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token2] = ACTIONS(1514),
    [aux_sym_do_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token2] = ACTIONS(1514),
    [aux_sym_foreach_statement_token1] = ACTIONS(1514),
    [aux_sym_foreach_statement_token2] = ACTIONS(1514),
    [aux_sym_if_statement_token1] = ACTIONS(1514),
    [aux_sym_if_statement_token2] = ACTIONS(1514),
    [aux_sym_else_if_clause_token1] = ACTIONS(1514),
    [aux_sym_else_clause_token1] = ACTIONS(1514),
    [aux_sym_match_expression_token1] = ACTIONS(1514),
    [aux_sym_match_default_expression_token1] = ACTIONS(1514),
    [aux_sym_switch_statement_token1] = ACTIONS(1514),
    [aux_sym_switch_block_token1] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1512),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_AT] = ACTIONS(1512),
    [aux_sym_clone_expression_token1] = ACTIONS(1514),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1514),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1514),
    [anon_sym_DASH_DASH] = ACTIONS(1512),
    [anon_sym_PLUS_PLUS] = ACTIONS(1512),
    [aux_sym__list_destructing_token1] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_self] = ACTIONS(1514),
    [anon_sym_parent] = ACTIONS(1514),
    [aux_sym__argument_name_token1] = ACTIONS(1514),
    [aux_sym__argument_name_token2] = ACTIONS(1514),
    [anon_sym_POUND_LBRACK] = ACTIONS(1512),
    [aux_sym_encapsed_string_token1] = ACTIONS(1512),
    [anon_sym_DQUOTE] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_LT_LT_LT] = ACTIONS(1512),
    [anon_sym_BQUOTE] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [aux_sym_yield_expression_token1] = ACTIONS(1514),
    [aux_sym_include_expression_token1] = ACTIONS(1514),
    [aux_sym_include_once_expression_token1] = ACTIONS(1514),
    [aux_sym_require_expression_token1] = ACTIONS(1514),
    [aux_sym_require_once_expression_token1] = ACTIONS(1514),
    [sym_comment] = ACTIONS(5),
  },
  [572] = {
    [sym_text_interpolation] = STATE(572),
    [ts_builtin_sym_end] = ACTIONS(1516),
    [sym_name] = ACTIONS(1518),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1518),
    [aux_sym_global_declaration_token1] = ACTIONS(1518),
    [aux_sym_namespace_definition_token1] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1518),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1518),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1518),
    [anon_sym_BSLASH] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym_RBRACE] = ACTIONS(1516),
    [aux_sym_trait_declaration_token1] = ACTIONS(1518),
    [aux_sym_interface_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_case_token1] = ACTIONS(1518),
    [aux_sym_class_declaration_token1] = ACTIONS(1518),
    [aux_sym_final_modifier_token1] = ACTIONS(1518),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1518),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1518),
    [sym_var_modifier] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1518),
    [aux_sym_cast_type_token1] = ACTIONS(1518),
    [aux_sym_echo_statement_token1] = ACTIONS(1518),
    [aux_sym_exit_statement_token1] = ACTIONS(1518),
    [anon_sym_unset] = ACTIONS(1518),
    [aux_sym_declare_statement_token1] = ACTIONS(1518),
    [aux_sym_declare_statement_token2] = ACTIONS(1518),
    [sym_float] = ACTIONS(1518),
    [aux_sym_try_statement_token1] = ACTIONS(1518),
    [aux_sym_goto_statement_token1] = ACTIONS(1518),
    [aux_sym_continue_statement_token1] = ACTIONS(1518),
    [aux_sym_break_statement_token1] = ACTIONS(1518),
    [sym_integer] = ACTIONS(1518),
    [aux_sym_return_statement_token1] = ACTIONS(1518),
    [aux_sym_throw_expression_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token2] = ACTIONS(1518),
    [aux_sym_do_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token2] = ACTIONS(1518),
    [aux_sym_foreach_statement_token1] = ACTIONS(1518),
    [aux_sym_foreach_statement_token2] = ACTIONS(1518),
    [aux_sym_if_statement_token1] = ACTIONS(1518),
    [aux_sym_if_statement_token2] = ACTIONS(1518),
    [aux_sym_else_if_clause_token1] = ACTIONS(1518),
    [aux_sym_else_clause_token1] = ACTIONS(1518),
    [aux_sym_match_expression_token1] = ACTIONS(1518),
    [aux_sym_match_default_expression_token1] = ACTIONS(1518),
    [aux_sym_switch_statement_token1] = ACTIONS(1518),
    [aux_sym_switch_block_token1] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1516),
    [aux_sym_clone_expression_token1] = ACTIONS(1518),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1518),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [aux_sym__list_destructing_token1] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_self] = ACTIONS(1518),
    [anon_sym_parent] = ACTIONS(1518),
    [aux_sym__argument_name_token1] = ACTIONS(1518),
    [aux_sym__argument_name_token2] = ACTIONS(1518),
    [anon_sym_POUND_LBRACK] = ACTIONS(1516),
    [aux_sym_encapsed_string_token1] = ACTIONS(1516),
    [anon_sym_DQUOTE] = ACTIONS(1516),
    [aux_sym_string_token1] = ACTIONS(1516),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [anon_sym_LT_LT_LT] = ACTIONS(1516),
    [anon_sym_BQUOTE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1516),
    [aux_sym_yield_expression_token1] = ACTIONS(1518),
    [aux_sym_include_expression_token1] = ACTIONS(1518),
    [aux_sym_include_once_expression_token1] = ACTIONS(1518),
    [aux_sym_require_expression_token1] = ACTIONS(1518),
    [aux_sym_require_once_expression_token1] = ACTIONS(1518),
    [sym_comment] = ACTIONS(5),
  },
  [573] = {
    [sym_text_interpolation] = STATE(573),
    [ts_builtin_sym_end] = ACTIONS(1520),
    [sym_name] = ACTIONS(1522),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1520),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1522),
    [aux_sym_global_declaration_token1] = ACTIONS(1522),
    [aux_sym_namespace_definition_token1] = ACTIONS(1522),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1522),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1522),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1522),
    [anon_sym_BSLASH] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1520),
    [anon_sym_RBRACE] = ACTIONS(1520),
    [aux_sym_trait_declaration_token1] = ACTIONS(1522),
    [aux_sym_interface_declaration_token1] = ACTIONS(1522),
    [aux_sym_enum_declaration_token1] = ACTIONS(1522),
    [aux_sym_enum_case_token1] = ACTIONS(1522),
    [aux_sym_class_declaration_token1] = ACTIONS(1522),
    [aux_sym_final_modifier_token1] = ACTIONS(1522),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1522),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1522),
    [sym_var_modifier] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1520),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1522),
    [aux_sym_cast_type_token1] = ACTIONS(1522),
    [aux_sym_echo_statement_token1] = ACTIONS(1522),
    [aux_sym_exit_statement_token1] = ACTIONS(1522),
    [anon_sym_unset] = ACTIONS(1522),
    [aux_sym_declare_statement_token1] = ACTIONS(1522),
    [aux_sym_declare_statement_token2] = ACTIONS(1522),
    [sym_float] = ACTIONS(1522),
    [aux_sym_try_statement_token1] = ACTIONS(1522),
    [aux_sym_goto_statement_token1] = ACTIONS(1522),
    [aux_sym_continue_statement_token1] = ACTIONS(1522),
    [aux_sym_break_statement_token1] = ACTIONS(1522),
    [sym_integer] = ACTIONS(1522),
    [aux_sym_return_statement_token1] = ACTIONS(1522),
    [aux_sym_throw_expression_token1] = ACTIONS(1522),
    [aux_sym_while_statement_token1] = ACTIONS(1522),
    [aux_sym_while_statement_token2] = ACTIONS(1522),
    [aux_sym_do_statement_token1] = ACTIONS(1522),
    [aux_sym_for_statement_token1] = ACTIONS(1522),
    [aux_sym_for_statement_token2] = ACTIONS(1522),
    [aux_sym_foreach_statement_token1] = ACTIONS(1522),
    [aux_sym_foreach_statement_token2] = ACTIONS(1522),
    [aux_sym_if_statement_token1] = ACTIONS(1522),
    [aux_sym_if_statement_token2] = ACTIONS(1522),
    [aux_sym_else_if_clause_token1] = ACTIONS(1522),
    [aux_sym_else_clause_token1] = ACTIONS(1522),
    [aux_sym_match_expression_token1] = ACTIONS(1522),
    [aux_sym_match_default_expression_token1] = ACTIONS(1522),
    [aux_sym_switch_statement_token1] = ACTIONS(1522),
    [aux_sym_switch_block_token1] = ACTIONS(1522),
    [anon_sym_PLUS] = ACTIONS(1522),
    [anon_sym_DASH] = ACTIONS(1522),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_AT] = ACTIONS(1520),
    [aux_sym_clone_expression_token1] = ACTIONS(1522),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1522),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1520),
    [anon_sym_PLUS_PLUS] = ACTIONS(1520),
    [aux_sym__list_destructing_token1] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1520),
    [anon_sym_self] = ACTIONS(1522),
    [anon_sym_parent] = ACTIONS(1522),
    [aux_sym__argument_name_token1] = ACTIONS(1522),
    [aux_sym__argument_name_token2] = ACTIONS(1522),
    [anon_sym_POUND_LBRACK] = ACTIONS(1520),
    [aux_sym_encapsed_string_token1] = ACTIONS(1520),
    [anon_sym_DQUOTE] = ACTIONS(1520),
    [aux_sym_string_token1] = ACTIONS(1520),
    [anon_sym_SQUOTE] = ACTIONS(1520),
    [anon_sym_LT_LT_LT] = ACTIONS(1520),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1520),
    [aux_sym_yield_expression_token1] = ACTIONS(1522),
    [aux_sym_include_expression_token1] = ACTIONS(1522),
    [aux_sym_include_once_expression_token1] = ACTIONS(1522),
    [aux_sym_require_expression_token1] = ACTIONS(1522),
    [aux_sym_require_once_expression_token1] = ACTIONS(1522),
    [sym_comment] = ACTIONS(5),
  },
  [574] = {
    [sym_text_interpolation] = STATE(574),
    [ts_builtin_sym_end] = ACTIONS(1524),
    [sym_name] = ACTIONS(1526),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1524),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1526),
    [aux_sym_global_declaration_token1] = ACTIONS(1526),
    [aux_sym_namespace_definition_token1] = ACTIONS(1526),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1526),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1526),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1526),
    [anon_sym_BSLASH] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_RBRACE] = ACTIONS(1524),
    [aux_sym_trait_declaration_token1] = ACTIONS(1526),
    [aux_sym_interface_declaration_token1] = ACTIONS(1526),
    [aux_sym_enum_declaration_token1] = ACTIONS(1526),
    [aux_sym_enum_case_token1] = ACTIONS(1526),
    [aux_sym_class_declaration_token1] = ACTIONS(1526),
    [aux_sym_final_modifier_token1] = ACTIONS(1526),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1526),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1526),
    [sym_var_modifier] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1526),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1526),
    [aux_sym_cast_type_token1] = ACTIONS(1526),
    [aux_sym_echo_statement_token1] = ACTIONS(1526),
    [aux_sym_exit_statement_token1] = ACTIONS(1526),
    [anon_sym_unset] = ACTIONS(1526),
    [aux_sym_declare_statement_token1] = ACTIONS(1526),
    [aux_sym_declare_statement_token2] = ACTIONS(1526),
    [sym_float] = ACTIONS(1526),
    [aux_sym_try_statement_token1] = ACTIONS(1526),
    [aux_sym_goto_statement_token1] = ACTIONS(1526),
    [aux_sym_continue_statement_token1] = ACTIONS(1526),
    [aux_sym_break_statement_token1] = ACTIONS(1526),
    [sym_integer] = ACTIONS(1526),
    [aux_sym_return_statement_token1] = ACTIONS(1526),
    [aux_sym_throw_expression_token1] = ACTIONS(1526),
    [aux_sym_while_statement_token1] = ACTIONS(1526),
    [aux_sym_while_statement_token2] = ACTIONS(1526),
    [aux_sym_do_statement_token1] = ACTIONS(1526),
    [aux_sym_for_statement_token1] = ACTIONS(1526),
    [aux_sym_for_statement_token2] = ACTIONS(1526),
    [aux_sym_foreach_statement_token1] = ACTIONS(1526),
    [aux_sym_foreach_statement_token2] = ACTIONS(1526),
    [aux_sym_if_statement_token1] = ACTIONS(1526),
    [aux_sym_if_statement_token2] = ACTIONS(1526),
    [aux_sym_else_if_clause_token1] = ACTIONS(1526),
    [aux_sym_else_clause_token1] = ACTIONS(1526),
    [aux_sym_match_expression_token1] = ACTIONS(1526),
    [aux_sym_match_default_expression_token1] = ACTIONS(1526),
    [aux_sym_switch_statement_token1] = ACTIONS(1526),
    [aux_sym_switch_block_token1] = ACTIONS(1526),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_TILDE] = ACTIONS(1524),
    [anon_sym_BANG] = ACTIONS(1524),
    [anon_sym_AT] = ACTIONS(1524),
    [aux_sym_clone_expression_token1] = ACTIONS(1526),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1526),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1524),
    [anon_sym_PLUS_PLUS] = ACTIONS(1524),
    [aux_sym__list_destructing_token1] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_self] = ACTIONS(1526),
    [anon_sym_parent] = ACTIONS(1526),
    [aux_sym__argument_name_token1] = ACTIONS(1526),
    [aux_sym__argument_name_token2] = ACTIONS(1526),
    [anon_sym_POUND_LBRACK] = ACTIONS(1524),
    [aux_sym_encapsed_string_token1] = ACTIONS(1524),
    [anon_sym_DQUOTE] = ACTIONS(1524),
    [aux_sym_string_token1] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1524),
    [anon_sym_LT_LT_LT] = ACTIONS(1524),
    [anon_sym_BQUOTE] = ACTIONS(1524),
    [anon_sym_DOLLAR] = ACTIONS(1524),
    [aux_sym_yield_expression_token1] = ACTIONS(1526),
    [aux_sym_include_expression_token1] = ACTIONS(1526),
    [aux_sym_include_once_expression_token1] = ACTIONS(1526),
    [aux_sym_require_expression_token1] = ACTIONS(1526),
    [aux_sym_require_once_expression_token1] = ACTIONS(1526),
    [sym_comment] = ACTIONS(5),
  },
  [575] = {
    [sym_text_interpolation] = STATE(575),
    [ts_builtin_sym_end] = ACTIONS(1528),
    [sym_name] = ACTIONS(1530),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1528),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1530),
    [aux_sym_global_declaration_token1] = ACTIONS(1530),
    [aux_sym_namespace_definition_token1] = ACTIONS(1530),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1530),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1530),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1530),
    [anon_sym_BSLASH] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(1528),
    [aux_sym_trait_declaration_token1] = ACTIONS(1530),
    [aux_sym_interface_declaration_token1] = ACTIONS(1530),
    [aux_sym_enum_declaration_token1] = ACTIONS(1530),
    [aux_sym_enum_case_token1] = ACTIONS(1530),
    [aux_sym_class_declaration_token1] = ACTIONS(1530),
    [aux_sym_final_modifier_token1] = ACTIONS(1530),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1530),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1530),
    [sym_var_modifier] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1530),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1530),
    [aux_sym_cast_type_token1] = ACTIONS(1530),
    [aux_sym_echo_statement_token1] = ACTIONS(1530),
    [aux_sym_exit_statement_token1] = ACTIONS(1530),
    [anon_sym_unset] = ACTIONS(1530),
    [aux_sym_declare_statement_token1] = ACTIONS(1530),
    [aux_sym_declare_statement_token2] = ACTIONS(1530),
    [sym_float] = ACTIONS(1530),
    [aux_sym_try_statement_token1] = ACTIONS(1530),
    [aux_sym_goto_statement_token1] = ACTIONS(1530),
    [aux_sym_continue_statement_token1] = ACTIONS(1530),
    [aux_sym_break_statement_token1] = ACTIONS(1530),
    [sym_integer] = ACTIONS(1530),
    [aux_sym_return_statement_token1] = ACTIONS(1530),
    [aux_sym_throw_expression_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token2] = ACTIONS(1530),
    [aux_sym_do_statement_token1] = ACTIONS(1530),
    [aux_sym_for_statement_token1] = ACTIONS(1530),
    [aux_sym_for_statement_token2] = ACTIONS(1530),
    [aux_sym_foreach_statement_token1] = ACTIONS(1530),
    [aux_sym_foreach_statement_token2] = ACTIONS(1530),
    [aux_sym_if_statement_token1] = ACTIONS(1530),
    [aux_sym_if_statement_token2] = ACTIONS(1530),
    [aux_sym_else_if_clause_token1] = ACTIONS(1530),
    [aux_sym_else_clause_token1] = ACTIONS(1530),
    [aux_sym_match_expression_token1] = ACTIONS(1530),
    [aux_sym_match_default_expression_token1] = ACTIONS(1530),
    [aux_sym_switch_statement_token1] = ACTIONS(1530),
    [aux_sym_switch_block_token1] = ACTIONS(1530),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1530),
    [anon_sym_TILDE] = ACTIONS(1528),
    [anon_sym_BANG] = ACTIONS(1528),
    [anon_sym_AT] = ACTIONS(1528),
    [aux_sym_clone_expression_token1] = ACTIONS(1530),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1530),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1530),
    [anon_sym_DASH_DASH] = ACTIONS(1528),
    [anon_sym_PLUS_PLUS] = ACTIONS(1528),
    [aux_sym__list_destructing_token1] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(1528),
    [anon_sym_self] = ACTIONS(1530),
    [anon_sym_parent] = ACTIONS(1530),
    [aux_sym__argument_name_token1] = ACTIONS(1530),
    [aux_sym__argument_name_token2] = ACTIONS(1530),
    [anon_sym_POUND_LBRACK] = ACTIONS(1528),
    [aux_sym_encapsed_string_token1] = ACTIONS(1528),
    [anon_sym_DQUOTE] = ACTIONS(1528),
    [aux_sym_string_token1] = ACTIONS(1528),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [anon_sym_LT_LT_LT] = ACTIONS(1528),
    [anon_sym_BQUOTE] = ACTIONS(1528),
    [anon_sym_DOLLAR] = ACTIONS(1528),
    [aux_sym_yield_expression_token1] = ACTIONS(1530),
    [aux_sym_include_expression_token1] = ACTIONS(1530),
    [aux_sym_include_once_expression_token1] = ACTIONS(1530),
    [aux_sym_require_expression_token1] = ACTIONS(1530),
    [aux_sym_require_once_expression_token1] = ACTIONS(1530),
    [sym_comment] = ACTIONS(5),
  },
  [576] = {
    [sym_text_interpolation] = STATE(576),
    [ts_builtin_sym_end] = ACTIONS(1532),
    [sym_name] = ACTIONS(1534),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1532),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1534),
    [aux_sym_global_declaration_token1] = ACTIONS(1534),
    [aux_sym_namespace_definition_token1] = ACTIONS(1534),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1534),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1534),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1534),
    [anon_sym_BSLASH] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1532),
    [anon_sym_RBRACE] = ACTIONS(1532),
    [aux_sym_trait_declaration_token1] = ACTIONS(1534),
    [aux_sym_interface_declaration_token1] = ACTIONS(1534),
    [aux_sym_enum_declaration_token1] = ACTIONS(1534),
    [aux_sym_enum_case_token1] = ACTIONS(1534),
    [aux_sym_class_declaration_token1] = ACTIONS(1534),
    [aux_sym_final_modifier_token1] = ACTIONS(1534),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1534),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1534),
    [sym_var_modifier] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1534),
    [anon_sym_LPAREN] = ACTIONS(1532),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1534),
    [aux_sym_cast_type_token1] = ACTIONS(1534),
    [aux_sym_echo_statement_token1] = ACTIONS(1534),
    [aux_sym_exit_statement_token1] = ACTIONS(1534),
    [anon_sym_unset] = ACTIONS(1534),
    [aux_sym_declare_statement_token1] = ACTIONS(1534),
    [aux_sym_declare_statement_token2] = ACTIONS(1534),
    [sym_float] = ACTIONS(1534),
    [aux_sym_try_statement_token1] = ACTIONS(1534),
    [aux_sym_goto_statement_token1] = ACTIONS(1534),
    [aux_sym_continue_statement_token1] = ACTIONS(1534),
    [aux_sym_break_statement_token1] = ACTIONS(1534),
    [sym_integer] = ACTIONS(1534),
    [aux_sym_return_statement_token1] = ACTIONS(1534),
    [aux_sym_throw_expression_token1] = ACTIONS(1534),
    [aux_sym_while_statement_token1] = ACTIONS(1534),
    [aux_sym_while_statement_token2] = ACTIONS(1534),
    [aux_sym_do_statement_token1] = ACTIONS(1534),
    [aux_sym_for_statement_token1] = ACTIONS(1534),
    [aux_sym_for_statement_token2] = ACTIONS(1534),
    [aux_sym_foreach_statement_token1] = ACTIONS(1534),
    [aux_sym_foreach_statement_token2] = ACTIONS(1534),
    [aux_sym_if_statement_token1] = ACTIONS(1534),
    [aux_sym_if_statement_token2] = ACTIONS(1534),
    [aux_sym_else_if_clause_token1] = ACTIONS(1534),
    [aux_sym_else_clause_token1] = ACTIONS(1534),
    [aux_sym_match_expression_token1] = ACTIONS(1534),
    [aux_sym_match_default_expression_token1] = ACTIONS(1534),
    [aux_sym_switch_statement_token1] = ACTIONS(1534),
    [aux_sym_switch_block_token1] = ACTIONS(1534),
    [anon_sym_PLUS] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1532),
    [anon_sym_BANG] = ACTIONS(1532),
    [anon_sym_AT] = ACTIONS(1532),
    [aux_sym_clone_expression_token1] = ACTIONS(1534),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1534),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1534),
    [anon_sym_DASH_DASH] = ACTIONS(1532),
    [anon_sym_PLUS_PLUS] = ACTIONS(1532),
    [aux_sym__list_destructing_token1] = ACTIONS(1534),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_self] = ACTIONS(1534),
    [anon_sym_parent] = ACTIONS(1534),
    [aux_sym__argument_name_token1] = ACTIONS(1534),
    [aux_sym__argument_name_token2] = ACTIONS(1534),
    [anon_sym_POUND_LBRACK] = ACTIONS(1532),
    [aux_sym_encapsed_string_token1] = ACTIONS(1532),
    [anon_sym_DQUOTE] = ACTIONS(1532),
    [aux_sym_string_token1] = ACTIONS(1532),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [anon_sym_LT_LT_LT] = ACTIONS(1532),
    [anon_sym_BQUOTE] = ACTIONS(1532),
    [anon_sym_DOLLAR] = ACTIONS(1532),
    [aux_sym_yield_expression_token1] = ACTIONS(1534),
    [aux_sym_include_expression_token1] = ACTIONS(1534),
    [aux_sym_include_once_expression_token1] = ACTIONS(1534),
    [aux_sym_require_expression_token1] = ACTIONS(1534),
    [aux_sym_require_once_expression_token1] = ACTIONS(1534),
    [sym_comment] = ACTIONS(5),
  },
  [577] = {
    [sym_text_interpolation] = STATE(577),
    [ts_builtin_sym_end] = ACTIONS(1536),
    [sym_name] = ACTIONS(1538),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1536),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1538),
    [aux_sym_global_declaration_token1] = ACTIONS(1538),
    [aux_sym_namespace_definition_token1] = ACTIONS(1538),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1538),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1538),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1538),
    [anon_sym_BSLASH] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [aux_sym_trait_declaration_token1] = ACTIONS(1538),
    [aux_sym_interface_declaration_token1] = ACTIONS(1538),
    [aux_sym_enum_declaration_token1] = ACTIONS(1538),
    [aux_sym_enum_case_token1] = ACTIONS(1538),
    [aux_sym_class_declaration_token1] = ACTIONS(1538),
    [aux_sym_final_modifier_token1] = ACTIONS(1538),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1538),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1538),
    [sym_var_modifier] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1538),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1538),
    [aux_sym_cast_type_token1] = ACTIONS(1538),
    [aux_sym_echo_statement_token1] = ACTIONS(1538),
    [aux_sym_exit_statement_token1] = ACTIONS(1538),
    [anon_sym_unset] = ACTIONS(1538),
    [aux_sym_declare_statement_token1] = ACTIONS(1538),
    [aux_sym_declare_statement_token2] = ACTIONS(1538),
    [sym_float] = ACTIONS(1538),
    [aux_sym_try_statement_token1] = ACTIONS(1538),
    [aux_sym_goto_statement_token1] = ACTIONS(1538),
    [aux_sym_continue_statement_token1] = ACTIONS(1538),
    [aux_sym_break_statement_token1] = ACTIONS(1538),
    [sym_integer] = ACTIONS(1538),
    [aux_sym_return_statement_token1] = ACTIONS(1538),
    [aux_sym_throw_expression_token1] = ACTIONS(1538),
    [aux_sym_while_statement_token1] = ACTIONS(1538),
    [aux_sym_while_statement_token2] = ACTIONS(1538),
    [aux_sym_do_statement_token1] = ACTIONS(1538),
    [aux_sym_for_statement_token1] = ACTIONS(1538),
    [aux_sym_for_statement_token2] = ACTIONS(1538),
    [aux_sym_foreach_statement_token1] = ACTIONS(1538),
    [aux_sym_foreach_statement_token2] = ACTIONS(1538),
    [aux_sym_if_statement_token1] = ACTIONS(1538),
    [aux_sym_if_statement_token2] = ACTIONS(1538),
    [aux_sym_else_if_clause_token1] = ACTIONS(1538),
    [aux_sym_else_clause_token1] = ACTIONS(1538),
    [aux_sym_match_expression_token1] = ACTIONS(1538),
    [aux_sym_match_default_expression_token1] = ACTIONS(1538),
    [aux_sym_switch_statement_token1] = ACTIONS(1538),
    [aux_sym_switch_block_token1] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_AT] = ACTIONS(1536),
    [aux_sym_clone_expression_token1] = ACTIONS(1538),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1538),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1538),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [aux_sym__list_destructing_token1] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_self] = ACTIONS(1538),
    [anon_sym_parent] = ACTIONS(1538),
    [aux_sym__argument_name_token1] = ACTIONS(1538),
    [aux_sym__argument_name_token2] = ACTIONS(1538),
    [anon_sym_POUND_LBRACK] = ACTIONS(1536),
    [aux_sym_encapsed_string_token1] = ACTIONS(1536),
    [anon_sym_DQUOTE] = ACTIONS(1536),
    [aux_sym_string_token1] = ACTIONS(1536),
    [anon_sym_SQUOTE] = ACTIONS(1536),
    [anon_sym_LT_LT_LT] = ACTIONS(1536),
    [anon_sym_BQUOTE] = ACTIONS(1536),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [aux_sym_yield_expression_token1] = ACTIONS(1538),
    [aux_sym_include_expression_token1] = ACTIONS(1538),
    [aux_sym_include_once_expression_token1] = ACTIONS(1538),
    [aux_sym_require_expression_token1] = ACTIONS(1538),
    [aux_sym_require_once_expression_token1] = ACTIONS(1538),
    [sym_comment] = ACTIONS(5),
  },
  [578] = {
    [sym_text_interpolation] = STATE(578),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_name] = ACTIONS(1542),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1542),
    [aux_sym_global_declaration_token1] = ACTIONS(1542),
    [aux_sym_namespace_definition_token1] = ACTIONS(1542),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1542),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1542),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1542),
    [anon_sym_BSLASH] = ACTIONS(1540),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [aux_sym_trait_declaration_token1] = ACTIONS(1542),
    [aux_sym_interface_declaration_token1] = ACTIONS(1542),
    [aux_sym_enum_declaration_token1] = ACTIONS(1542),
    [aux_sym_enum_case_token1] = ACTIONS(1542),
    [aux_sym_class_declaration_token1] = ACTIONS(1542),
    [aux_sym_final_modifier_token1] = ACTIONS(1542),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1542),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1542),
    [sym_var_modifier] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1542),
    [aux_sym_cast_type_token1] = ACTIONS(1542),
    [aux_sym_echo_statement_token1] = ACTIONS(1542),
    [aux_sym_exit_statement_token1] = ACTIONS(1542),
    [anon_sym_unset] = ACTIONS(1542),
    [aux_sym_declare_statement_token1] = ACTIONS(1542),
    [aux_sym_declare_statement_token2] = ACTIONS(1542),
    [sym_float] = ACTIONS(1542),
    [aux_sym_try_statement_token1] = ACTIONS(1542),
    [aux_sym_goto_statement_token1] = ACTIONS(1542),
    [aux_sym_continue_statement_token1] = ACTIONS(1542),
    [aux_sym_break_statement_token1] = ACTIONS(1542),
    [sym_integer] = ACTIONS(1542),
    [aux_sym_return_statement_token1] = ACTIONS(1542),
    [aux_sym_throw_expression_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token2] = ACTIONS(1542),
    [aux_sym_do_statement_token1] = ACTIONS(1542),
    [aux_sym_for_statement_token1] = ACTIONS(1542),
    [aux_sym_for_statement_token2] = ACTIONS(1542),
    [aux_sym_foreach_statement_token1] = ACTIONS(1542),
    [aux_sym_foreach_statement_token2] = ACTIONS(1542),
    [aux_sym_if_statement_token1] = ACTIONS(1542),
    [aux_sym_if_statement_token2] = ACTIONS(1542),
    [aux_sym_else_if_clause_token1] = ACTIONS(1542),
    [aux_sym_else_clause_token1] = ACTIONS(1542),
    [aux_sym_match_expression_token1] = ACTIONS(1542),
    [aux_sym_match_default_expression_token1] = ACTIONS(1542),
    [aux_sym_switch_statement_token1] = ACTIONS(1542),
    [aux_sym_switch_block_token1] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(1540),
    [aux_sym_clone_expression_token1] = ACTIONS(1542),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1542),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1542),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [aux_sym__list_destructing_token1] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [anon_sym_self] = ACTIONS(1542),
    [anon_sym_parent] = ACTIONS(1542),
    [aux_sym__argument_name_token1] = ACTIONS(1542),
    [aux_sym__argument_name_token2] = ACTIONS(1542),
    [anon_sym_POUND_LBRACK] = ACTIONS(1540),
    [aux_sym_encapsed_string_token1] = ACTIONS(1540),
    [anon_sym_DQUOTE] = ACTIONS(1540),
    [aux_sym_string_token1] = ACTIONS(1540),
    [anon_sym_SQUOTE] = ACTIONS(1540),
    [anon_sym_LT_LT_LT] = ACTIONS(1540),
    [anon_sym_BQUOTE] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1540),
    [aux_sym_yield_expression_token1] = ACTIONS(1542),
    [aux_sym_include_expression_token1] = ACTIONS(1542),
    [aux_sym_include_once_expression_token1] = ACTIONS(1542),
    [aux_sym_require_expression_token1] = ACTIONS(1542),
    [aux_sym_require_once_expression_token1] = ACTIONS(1542),
    [sym_comment] = ACTIONS(5),
  },
  [579] = {
    [sym_text_interpolation] = STATE(579),
    [ts_builtin_sym_end] = ACTIONS(1544),
    [sym_name] = ACTIONS(1546),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1544),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1546),
    [aux_sym_global_declaration_token1] = ACTIONS(1546),
    [aux_sym_namespace_definition_token1] = ACTIONS(1546),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1546),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1546),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1546),
    [anon_sym_BSLASH] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_RBRACE] = ACTIONS(1544),
    [aux_sym_trait_declaration_token1] = ACTIONS(1546),
    [aux_sym_interface_declaration_token1] = ACTIONS(1546),
    [aux_sym_enum_declaration_token1] = ACTIONS(1546),
    [aux_sym_enum_case_token1] = ACTIONS(1546),
    [aux_sym_class_declaration_token1] = ACTIONS(1546),
    [aux_sym_final_modifier_token1] = ACTIONS(1546),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1546),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1546),
    [sym_var_modifier] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1546),
    [anon_sym_LPAREN] = ACTIONS(1544),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1546),
    [aux_sym_cast_type_token1] = ACTIONS(1546),
    [aux_sym_echo_statement_token1] = ACTIONS(1546),
    [aux_sym_exit_statement_token1] = ACTIONS(1546),
    [anon_sym_unset] = ACTIONS(1546),
    [aux_sym_declare_statement_token1] = ACTIONS(1546),
    [aux_sym_declare_statement_token2] = ACTIONS(1546),
    [sym_float] = ACTIONS(1546),
    [aux_sym_try_statement_token1] = ACTIONS(1546),
    [aux_sym_goto_statement_token1] = ACTIONS(1546),
    [aux_sym_continue_statement_token1] = ACTIONS(1546),
    [aux_sym_break_statement_token1] = ACTIONS(1546),
    [sym_integer] = ACTIONS(1546),
    [aux_sym_return_statement_token1] = ACTIONS(1546),
    [aux_sym_throw_expression_token1] = ACTIONS(1546),
    [aux_sym_while_statement_token1] = ACTIONS(1546),
    [aux_sym_while_statement_token2] = ACTIONS(1546),
    [aux_sym_do_statement_token1] = ACTIONS(1546),
    [aux_sym_for_statement_token1] = ACTIONS(1546),
    [aux_sym_for_statement_token2] = ACTIONS(1546),
    [aux_sym_foreach_statement_token1] = ACTIONS(1546),
    [aux_sym_foreach_statement_token2] = ACTIONS(1546),
    [aux_sym_if_statement_token1] = ACTIONS(1546),
    [aux_sym_if_statement_token2] = ACTIONS(1546),
    [aux_sym_else_if_clause_token1] = ACTIONS(1546),
    [aux_sym_else_clause_token1] = ACTIONS(1546),
    [aux_sym_match_expression_token1] = ACTIONS(1546),
    [aux_sym_match_default_expression_token1] = ACTIONS(1546),
    [aux_sym_switch_statement_token1] = ACTIONS(1546),
    [aux_sym_switch_block_token1] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_TILDE] = ACTIONS(1544),
    [anon_sym_BANG] = ACTIONS(1544),
    [anon_sym_AT] = ACTIONS(1544),
    [aux_sym_clone_expression_token1] = ACTIONS(1546),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1546),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1546),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [aux_sym__list_destructing_token1] = ACTIONS(1546),
    [anon_sym_LBRACK] = ACTIONS(1544),
    [anon_sym_self] = ACTIONS(1546),
    [anon_sym_parent] = ACTIONS(1546),
    [aux_sym__argument_name_token1] = ACTIONS(1546),
    [aux_sym__argument_name_token2] = ACTIONS(1546),
    [anon_sym_POUND_LBRACK] = ACTIONS(1544),
    [aux_sym_encapsed_string_token1] = ACTIONS(1544),
    [anon_sym_DQUOTE] = ACTIONS(1544),
    [aux_sym_string_token1] = ACTIONS(1544),
    [anon_sym_SQUOTE] = ACTIONS(1544),
    [anon_sym_LT_LT_LT] = ACTIONS(1544),
    [anon_sym_BQUOTE] = ACTIONS(1544),
    [anon_sym_DOLLAR] = ACTIONS(1544),
    [aux_sym_yield_expression_token1] = ACTIONS(1546),
    [aux_sym_include_expression_token1] = ACTIONS(1546),
    [aux_sym_include_once_expression_token1] = ACTIONS(1546),
    [aux_sym_require_expression_token1] = ACTIONS(1546),
    [aux_sym_require_once_expression_token1] = ACTIONS(1546),
    [sym_comment] = ACTIONS(5),
  },
  [580] = {
    [sym_text_interpolation] = STATE(580),
    [ts_builtin_sym_end] = ACTIONS(1548),
    [sym_name] = ACTIONS(1550),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1548),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1550),
    [aux_sym_global_declaration_token1] = ACTIONS(1550),
    [aux_sym_namespace_definition_token1] = ACTIONS(1550),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1550),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1550),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1550),
    [anon_sym_BSLASH] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [aux_sym_trait_declaration_token1] = ACTIONS(1550),
    [aux_sym_interface_declaration_token1] = ACTIONS(1550),
    [aux_sym_enum_declaration_token1] = ACTIONS(1550),
    [aux_sym_enum_case_token1] = ACTIONS(1550),
    [aux_sym_class_declaration_token1] = ACTIONS(1550),
    [aux_sym_final_modifier_token1] = ACTIONS(1550),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1550),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1550),
    [sym_var_modifier] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1550),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1550),
    [aux_sym_cast_type_token1] = ACTIONS(1550),
    [aux_sym_echo_statement_token1] = ACTIONS(1550),
    [aux_sym_exit_statement_token1] = ACTIONS(1550),
    [anon_sym_unset] = ACTIONS(1550),
    [aux_sym_declare_statement_token1] = ACTIONS(1550),
    [aux_sym_declare_statement_token2] = ACTIONS(1550),
    [sym_float] = ACTIONS(1550),
    [aux_sym_try_statement_token1] = ACTIONS(1550),
    [aux_sym_goto_statement_token1] = ACTIONS(1550),
    [aux_sym_continue_statement_token1] = ACTIONS(1550),
    [aux_sym_break_statement_token1] = ACTIONS(1550),
    [sym_integer] = ACTIONS(1550),
    [aux_sym_return_statement_token1] = ACTIONS(1550),
    [aux_sym_throw_expression_token1] = ACTIONS(1550),
    [aux_sym_while_statement_token1] = ACTIONS(1550),
    [aux_sym_while_statement_token2] = ACTIONS(1550),
    [aux_sym_do_statement_token1] = ACTIONS(1550),
    [aux_sym_for_statement_token1] = ACTIONS(1550),
    [aux_sym_for_statement_token2] = ACTIONS(1550),
    [aux_sym_foreach_statement_token1] = ACTIONS(1550),
    [aux_sym_foreach_statement_token2] = ACTIONS(1550),
    [aux_sym_if_statement_token1] = ACTIONS(1550),
    [aux_sym_if_statement_token2] = ACTIONS(1550),
    [aux_sym_else_if_clause_token1] = ACTIONS(1550),
    [aux_sym_else_clause_token1] = ACTIONS(1550),
    [aux_sym_match_expression_token1] = ACTIONS(1550),
    [aux_sym_match_default_expression_token1] = ACTIONS(1550),
    [aux_sym_switch_statement_token1] = ACTIONS(1550),
    [aux_sym_switch_block_token1] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1550),
    [anon_sym_DASH] = ACTIONS(1550),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(1548),
    [aux_sym_clone_expression_token1] = ACTIONS(1550),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1550),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1550),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [aux_sym__list_destructing_token1] = ACTIONS(1550),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_self] = ACTIONS(1550),
    [anon_sym_parent] = ACTIONS(1550),
    [aux_sym__argument_name_token1] = ACTIONS(1550),
    [aux_sym__argument_name_token2] = ACTIONS(1550),
    [anon_sym_POUND_LBRACK] = ACTIONS(1548),
    [aux_sym_encapsed_string_token1] = ACTIONS(1548),
    [anon_sym_DQUOTE] = ACTIONS(1548),
    [aux_sym_string_token1] = ACTIONS(1548),
    [anon_sym_SQUOTE] = ACTIONS(1548),
    [anon_sym_LT_LT_LT] = ACTIONS(1548),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [anon_sym_DOLLAR] = ACTIONS(1548),
    [aux_sym_yield_expression_token1] = ACTIONS(1550),
    [aux_sym_include_expression_token1] = ACTIONS(1550),
    [aux_sym_include_once_expression_token1] = ACTIONS(1550),
    [aux_sym_require_expression_token1] = ACTIONS(1550),
    [aux_sym_require_once_expression_token1] = ACTIONS(1550),
    [sym_comment] = ACTIONS(5),
  },
  [581] = {
    [sym_text_interpolation] = STATE(581),
    [ts_builtin_sym_end] = ACTIONS(1552),
    [sym_name] = ACTIONS(1554),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1552),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1554),
    [aux_sym_global_declaration_token1] = ACTIONS(1554),
    [aux_sym_namespace_definition_token1] = ACTIONS(1554),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1554),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1554),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1554),
    [anon_sym_BSLASH] = ACTIONS(1552),
    [anon_sym_LBRACE] = ACTIONS(1552),
    [anon_sym_RBRACE] = ACTIONS(1552),
    [aux_sym_trait_declaration_token1] = ACTIONS(1554),
    [aux_sym_interface_declaration_token1] = ACTIONS(1554),
    [aux_sym_enum_declaration_token1] = ACTIONS(1554),
    [aux_sym_enum_case_token1] = ACTIONS(1554),
    [aux_sym_class_declaration_token1] = ACTIONS(1554),
    [aux_sym_final_modifier_token1] = ACTIONS(1554),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1554),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1554),
    [sym_var_modifier] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1552),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1554),
    [aux_sym_cast_type_token1] = ACTIONS(1554),
    [aux_sym_echo_statement_token1] = ACTIONS(1554),
    [aux_sym_exit_statement_token1] = ACTIONS(1554),
    [anon_sym_unset] = ACTIONS(1554),
    [aux_sym_declare_statement_token1] = ACTIONS(1554),
    [aux_sym_declare_statement_token2] = ACTIONS(1554),
    [sym_float] = ACTIONS(1554),
    [aux_sym_try_statement_token1] = ACTIONS(1554),
    [aux_sym_goto_statement_token1] = ACTIONS(1554),
    [aux_sym_continue_statement_token1] = ACTIONS(1554),
    [aux_sym_break_statement_token1] = ACTIONS(1554),
    [sym_integer] = ACTIONS(1554),
    [aux_sym_return_statement_token1] = ACTIONS(1554),
    [aux_sym_throw_expression_token1] = ACTIONS(1554),
    [aux_sym_while_statement_token1] = ACTIONS(1554),
    [aux_sym_while_statement_token2] = ACTIONS(1554),
    [aux_sym_do_statement_token1] = ACTIONS(1554),
    [aux_sym_for_statement_token1] = ACTIONS(1554),
    [aux_sym_for_statement_token2] = ACTIONS(1554),
    [aux_sym_foreach_statement_token1] = ACTIONS(1554),
    [aux_sym_foreach_statement_token2] = ACTIONS(1554),
    [aux_sym_if_statement_token1] = ACTIONS(1554),
    [aux_sym_if_statement_token2] = ACTIONS(1554),
    [aux_sym_else_if_clause_token1] = ACTIONS(1554),
    [aux_sym_else_clause_token1] = ACTIONS(1554),
    [aux_sym_match_expression_token1] = ACTIONS(1554),
    [aux_sym_match_default_expression_token1] = ACTIONS(1554),
    [aux_sym_switch_statement_token1] = ACTIONS(1554),
    [aux_sym_switch_block_token1] = ACTIONS(1554),
    [anon_sym_PLUS] = ACTIONS(1554),
    [anon_sym_DASH] = ACTIONS(1554),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_AT] = ACTIONS(1552),
    [aux_sym_clone_expression_token1] = ACTIONS(1554),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1554),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1554),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [aux_sym__list_destructing_token1] = ACTIONS(1554),
    [anon_sym_LBRACK] = ACTIONS(1552),
    [anon_sym_self] = ACTIONS(1554),
    [anon_sym_parent] = ACTIONS(1554),
    [aux_sym__argument_name_token1] = ACTIONS(1554),
    [aux_sym__argument_name_token2] = ACTIONS(1554),
    [anon_sym_POUND_LBRACK] = ACTIONS(1552),
    [aux_sym_encapsed_string_token1] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [aux_sym_string_token1] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1552),
    [anon_sym_LT_LT_LT] = ACTIONS(1552),
    [anon_sym_BQUOTE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1552),
    [aux_sym_yield_expression_token1] = ACTIONS(1554),
    [aux_sym_include_expression_token1] = ACTIONS(1554),
    [aux_sym_include_once_expression_token1] = ACTIONS(1554),
    [aux_sym_require_expression_token1] = ACTIONS(1554),
    [aux_sym_require_once_expression_token1] = ACTIONS(1554),
    [sym_comment] = ACTIONS(5),
  },
  [582] = {
    [sym_text_interpolation] = STATE(582),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1692),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2543),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_primary_expression] = STATE(1019),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_variable] = STATE(756),
    [sym__variable_member_access_expression] = STATE(759),
    [sym_member_access_expression] = STATE(756),
    [sym__variable_nullsafe_member_access_expression] = STATE(758),
    [sym_nullsafe_member_access_expression] = STATE(756),
    [sym__variable_scoped_property_access_expression] = STATE(755),
    [sym_scoped_property_access_expression] = STATE(756),
    [sym_function_call_expression] = STATE(742),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(742),
    [sym__scope_resolution_qualifier] = STATE(2722),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(742),
    [sym_nullsafe_member_call_expression] = STATE(742),
    [sym__variable_subscript_expression] = STATE(753),
    [sym__dereferencable_subscript_expression] = STATE(742),
    [sym__dereferencable_expression] = STATE(1939),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(723),
    [sym__simple_variable] = STATE(744),
    [sym__new_variable] = STATE(749),
    [sym__callable_variable] = STATE(721),
    [sym_variable_name] = STATE(723),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(1556),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(1558),
    [sym_comment] = ACTIONS(5),
  },
  [583] = {
    [sym_text_interpolation] = STATE(583),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1692),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2635),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_primary_expression] = STATE(1019),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_variable] = STATE(756),
    [sym__variable_member_access_expression] = STATE(759),
    [sym_member_access_expression] = STATE(756),
    [sym__variable_nullsafe_member_access_expression] = STATE(758),
    [sym_nullsafe_member_access_expression] = STATE(756),
    [sym__variable_scoped_property_access_expression] = STATE(755),
    [sym_scoped_property_access_expression] = STATE(756),
    [sym_function_call_expression] = STATE(742),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(742),
    [sym__scope_resolution_qualifier] = STATE(2722),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(742),
    [sym_nullsafe_member_call_expression] = STATE(742),
    [sym__variable_subscript_expression] = STATE(753),
    [sym__dereferencable_subscript_expression] = STATE(742),
    [sym__dereferencable_expression] = STATE(1939),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(723),
    [sym__simple_variable] = STATE(744),
    [sym__new_variable] = STATE(749),
    [sym__callable_variable] = STATE(721),
    [sym_variable_name] = STATE(723),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(1556),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(1558),
    [sym_comment] = ACTIONS(5),
  },
  [584] = {
    [sym_text_interpolation] = STATE(584),
    [sym_qualified_name] = STATE(966),
    [sym__name] = STATE(1633),
    [sym_namespace_name] = STATE(2693),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1095),
    [sym__anonymous_function_header] = STATE(2332),
    [sym__arrow_function_header] = STATE(2690),
    [sym_arrow_function] = STATE(1095),
    [sym_literal] = STATE(1095),
    [sym_throw_expression] = STATE(1095),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(987),
    [sym_class_constant_access_expression] = STATE(1028),
    [sym_print_intrinsic] = STATE(1095),
    [sym_object_creation_expression] = STATE(1095),
    [sym__new_non_dereferencable_expression] = STATE(1148),
    [sym__new_dereferencable_expression] = STATE(991),
    [sym_update_expression] = STATE(1095),
    [sym_cast_variable] = STATE(904),
    [sym__variable_member_access_expression] = STATE(901),
    [sym_member_access_expression] = STATE(904),
    [sym__variable_nullsafe_member_access_expression] = STATE(899),
    [sym_nullsafe_member_access_expression] = STATE(904),
    [sym__variable_scoped_property_access_expression] = STATE(896),
    [sym_scoped_property_access_expression] = STATE(904),
    [sym_function_call_expression] = STATE(883),
    [sym__callable_expression] = STATE(2320),
    [sym_scoped_call_expression] = STATE(883),
    [sym__scope_resolution_qualifier] = STATE(2607),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(883),
    [sym_nullsafe_member_call_expression] = STATE(883),
    [sym__variable_subscript_expression] = STATE(894),
    [sym__dereferencable_subscript_expression] = STATE(883),
    [sym__dereferencable_expression] = STATE(1913),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(999),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(1003),
    [sym_string] = STATE(1003),
    [sym_heredoc] = STATE(1003),
    [sym_nowdoc] = STATE(1003),
    [sym_shell_command_expression] = STATE(1095),
    [sym_boolean] = STATE(1130),
    [sym_null] = STATE(1130),
    [sym__string] = STATE(1005),
    [sym_dynamic_variable_name] = STATE(882),
    [sym__simple_variable] = STATE(880),
    [sym__new_variable] = STATE(915),
    [sym__callable_variable] = STATE(890),
    [sym_variable_name] = STATE(882),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [sym_comment] = ACTIONS(5),
  },
  [585] = {
    [sym_text_interpolation] = STATE(585),
    [sym_qualified_name] = STATE(797),
    [sym__name] = STATE(1692),
    [sym_namespace_name] = STATE(2609),
    [sym_static_modifier] = STATE(2367),
    [sym_anonymous_function] = STATE(1036),
    [sym__anonymous_function_header] = STATE(2409),
    [sym__arrow_function_header] = STATE(2602),
    [sym_arrow_function] = STATE(1036),
    [sym_literal] = STATE(1036),
    [sym_throw_expression] = STATE(1036),
    [sym_primary_expression] = STATE(1019),
    [sym_parenthesized_expression] = STATE(798),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1036),
    [sym_object_creation_expression] = STATE(1036),
    [sym__new_non_dereferencable_expression] = STATE(1030),
    [sym__new_dereferencable_expression] = STATE(800),
    [sym_update_expression] = STATE(1036),
    [sym_cast_variable] = STATE(756),
    [sym__variable_member_access_expression] = STATE(759),
    [sym_member_access_expression] = STATE(756),
    [sym__variable_nullsafe_member_access_expression] = STATE(758),
    [sym_nullsafe_member_access_expression] = STATE(756),
    [sym__variable_scoped_property_access_expression] = STATE(755),
    [sym_scoped_property_access_expression] = STATE(756),
    [sym_function_call_expression] = STATE(742),
    [sym__callable_expression] = STATE(2337),
    [sym_scoped_call_expression] = STATE(742),
    [sym__scope_resolution_qualifier] = STATE(2722),
    [sym_relative_scope] = STATE(2685),
    [sym_member_call_expression] = STATE(742),
    [sym_nullsafe_member_call_expression] = STATE(742),
    [sym__variable_subscript_expression] = STATE(753),
    [sym__dereferencable_subscript_expression] = STATE(742),
    [sym__dereferencable_expression] = STATE(1939),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(802),
    [sym_attribute_group] = STATE(1370),
    [sym_attribute_list] = STATE(1935),
    [sym_encapsed_string] = STATE(803),
    [sym_string] = STATE(803),
    [sym_heredoc] = STATE(803),
    [sym_nowdoc] = STATE(803),
    [sym_shell_command_expression] = STATE(1036),
    [sym_boolean] = STATE(1008),
    [sym_null] = STATE(1008),
    [sym__string] = STATE(804),
    [sym_dynamic_variable_name] = STATE(723),
    [sym__simple_variable] = STATE(744),
    [sym__new_variable] = STATE(749),
    [sym__callable_variable] = STATE(721),
    [sym_variable_name] = STATE(723),
    [sym__reserved_identifier] = STATE(716),
    [sym__identifier] = STATE(1493),
    [aux_sym_attribute_list_repeat1] = STATE(1362),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(1556),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(1558),
    [sym_comment] = ACTIONS(5),
  },
  [586] = {
    [sym_text_interpolation] = STATE(586),
    [sym_name] = ACTIONS(1564),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1566),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1564),
    [aux_sym_global_declaration_token1] = ACTIONS(1564),
    [aux_sym_namespace_definition_token1] = ACTIONS(1564),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1564),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1564),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1564),
    [anon_sym_BSLASH] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1566),
    [aux_sym_trait_declaration_token1] = ACTIONS(1564),
    [aux_sym_interface_declaration_token1] = ACTIONS(1564),
    [aux_sym_enum_declaration_token1] = ACTIONS(1564),
    [anon_sym_COLON] = ACTIONS(1566),
    [aux_sym_class_declaration_token1] = ACTIONS(1564),
    [aux_sym_final_modifier_token1] = ACTIONS(1564),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1564),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1564),
    [sym_var_modifier] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1564),
    [anon_sym_LPAREN] = ACTIONS(1566),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1564),
    [aux_sym_cast_type_token1] = ACTIONS(1564),
    [aux_sym_echo_statement_token1] = ACTIONS(1564),
    [aux_sym_exit_statement_token1] = ACTIONS(1564),
    [anon_sym_unset] = ACTIONS(1564),
    [aux_sym_declare_statement_token1] = ACTIONS(1564),
    [sym_float] = ACTIONS(1564),
    [aux_sym_try_statement_token1] = ACTIONS(1564),
    [aux_sym_goto_statement_token1] = ACTIONS(1564),
    [aux_sym_continue_statement_token1] = ACTIONS(1564),
    [aux_sym_break_statement_token1] = ACTIONS(1564),
    [sym_integer] = ACTIONS(1564),
    [aux_sym_return_statement_token1] = ACTIONS(1564),
    [aux_sym_throw_expression_token1] = ACTIONS(1564),
    [aux_sym_while_statement_token1] = ACTIONS(1564),
    [aux_sym_do_statement_token1] = ACTIONS(1564),
    [aux_sym_for_statement_token1] = ACTIONS(1564),
    [aux_sym_foreach_statement_token1] = ACTIONS(1564),
    [aux_sym_if_statement_token1] = ACTIONS(1564),
    [aux_sym_match_expression_token1] = ACTIONS(1564),
    [aux_sym_switch_statement_token1] = ACTIONS(1564),
    [anon_sym_PLUS] = ACTIONS(1564),
    [anon_sym_DASH] = ACTIONS(1564),
    [anon_sym_TILDE] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_AT] = ACTIONS(1566),
    [aux_sym_clone_expression_token1] = ACTIONS(1564),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1564),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1564),
    [anon_sym_DASH_DASH] = ACTIONS(1566),
    [anon_sym_PLUS_PLUS] = ACTIONS(1566),
    [aux_sym__list_destructing_token1] = ACTIONS(1564),
    [anon_sym_LBRACK] = ACTIONS(1566),
    [anon_sym_self] = ACTIONS(1564),
    [anon_sym_parent] = ACTIONS(1564),
    [aux_sym__argument_name_token1] = ACTIONS(1564),
    [aux_sym__argument_name_token2] = ACTIONS(1564),
    [anon_sym_POUND_LBRACK] = ACTIONS(1566),
    [aux_sym_encapsed_string_token1] = ACTIONS(1566),
    [anon_sym_DQUOTE] = ACTIONS(1566),
    [aux_sym_string_token1] = ACTIONS(1566),
    [anon_sym_SQUOTE] = ACTIONS(1566),
    [anon_sym_LT_LT_LT] = ACTIONS(1566),
    [anon_sym_BQUOTE] = ACTIONS(1566),
    [anon_sym_DOLLAR] = ACTIONS(1566),
    [aux_sym_yield_expression_token1] = ACTIONS(1564),
    [aux_sym_include_expression_token1] = ACTIONS(1564),
    [aux_sym_include_once_expression_token1] = ACTIONS(1564),
    [aux_sym_require_expression_token1] = ACTIONS(1564),
    [aux_sym_require_once_expression_token1] = ACTIONS(1564),
    [sym_comment] = ACTIONS(5),
  },
  [587] = {
    [sym_text_interpolation] = STATE(587),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1568),
    [anon_sym_AMP] = ACTIONS(1570),
    [anon_sym_COMMA] = ACTIONS(1568),
    [anon_sym_EQ] = ACTIONS(1570),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [aux_sym_base_clause_token1] = ACTIONS(1568),
    [anon_sym_COLON] = ACTIONS(1570),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1568),
    [anon_sym_EQ_GT] = ACTIONS(1568),
    [anon_sym_LPAREN] = ACTIONS(1568),
    [anon_sym_RPAREN] = ACTIONS(1568),
    [anon_sym_QMARK] = ACTIONS(1570),
    [anon_sym_PIPE] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_COLON_COLON] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1568),
    [anon_sym_STAR_EQ] = ACTIONS(1568),
    [anon_sym_SLASH_EQ] = ACTIONS(1568),
    [anon_sym_PERCENT_EQ] = ACTIONS(1568),
    [anon_sym_PLUS_EQ] = ACTIONS(1568),
    [anon_sym_DASH_EQ] = ACTIONS(1568),
    [anon_sym_DOT_EQ] = ACTIONS(1568),
    [anon_sym_LT_LT_EQ] = ACTIONS(1568),
    [anon_sym_GT_GT_EQ] = ACTIONS(1568),
    [anon_sym_AMP_EQ] = ACTIONS(1568),
    [anon_sym_CARET_EQ] = ACTIONS(1568),
    [anon_sym_PIPE_EQ] = ACTIONS(1568),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1568),
    [anon_sym_DASH_GT] = ACTIONS(1568),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1568),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_RBRACK] = ACTIONS(1568),
    [aux_sym_binary_expression_token1] = ACTIONS(1568),
    [anon_sym_QMARK_QMARK] = ACTIONS(1570),
    [anon_sym_STAR_STAR] = ACTIONS(1570),
    [aux_sym_binary_expression_token2] = ACTIONS(1568),
    [aux_sym_binary_expression_token3] = ACTIONS(1568),
    [aux_sym_binary_expression_token4] = ACTIONS(1568),
    [anon_sym_PIPE_PIPE] = ACTIONS(1568),
    [anon_sym_AMP_AMP] = ACTIONS(1568),
    [anon_sym_CARET] = ACTIONS(1570),
    [anon_sym_EQ_EQ] = ACTIONS(1570),
    [anon_sym_BANG_EQ] = ACTIONS(1570),
    [anon_sym_LT_GT] = ACTIONS(1568),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1568),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(1570),
    [anon_sym_GT] = ACTIONS(1570),
    [anon_sym_LT_EQ] = ACTIONS(1570),
    [anon_sym_GT_EQ] = ACTIONS(1568),
    [anon_sym_LT_EQ_GT] = ACTIONS(1568),
    [anon_sym_LT_LT] = ACTIONS(1570),
    [anon_sym_GT_GT] = ACTIONS(1570),
    [anon_sym_DOT] = ACTIONS(1570),
    [anon_sym_STAR] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(1570),
    [anon_sym_PERCENT] = ACTIONS(1570),
    [sym_comment] = ACTIONS(1572),
  },
  [588] = {
    [sym_text_interpolation] = STATE(588),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1574),
    [anon_sym_AMP] = ACTIONS(1576),
    [anon_sym_COMMA] = ACTIONS(1574),
    [anon_sym_EQ] = ACTIONS(1576),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1574),
    [anon_sym_LBRACE] = ACTIONS(1574),
    [anon_sym_RBRACE] = ACTIONS(1574),
    [aux_sym_base_clause_token1] = ACTIONS(1574),
    [anon_sym_COLON] = ACTIONS(1576),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1574),
    [anon_sym_EQ_GT] = ACTIONS(1574),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_RPAREN] = ACTIONS(1574),
    [anon_sym_QMARK] = ACTIONS(1576),
    [anon_sym_PIPE] = ACTIONS(1576),
    [anon_sym_PLUS] = ACTIONS(1576),
    [anon_sym_DASH] = ACTIONS(1576),
    [anon_sym_COLON_COLON] = ACTIONS(1574),
    [anon_sym_DASH_DASH] = ACTIONS(1574),
    [anon_sym_PLUS_PLUS] = ACTIONS(1574),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1574),
    [anon_sym_STAR_EQ] = ACTIONS(1574),
    [anon_sym_SLASH_EQ] = ACTIONS(1574),
    [anon_sym_PERCENT_EQ] = ACTIONS(1574),
    [anon_sym_PLUS_EQ] = ACTIONS(1574),
    [anon_sym_DASH_EQ] = ACTIONS(1574),
    [anon_sym_DOT_EQ] = ACTIONS(1574),
    [anon_sym_LT_LT_EQ] = ACTIONS(1574),
    [anon_sym_GT_GT_EQ] = ACTIONS(1574),
    [anon_sym_AMP_EQ] = ACTIONS(1574),
    [anon_sym_CARET_EQ] = ACTIONS(1574),
    [anon_sym_PIPE_EQ] = ACTIONS(1574),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1574),
    [anon_sym_DASH_GT] = ACTIONS(1574),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1574),
    [anon_sym_RBRACK] = ACTIONS(1574),
    [aux_sym_binary_expression_token1] = ACTIONS(1574),
    [anon_sym_QMARK_QMARK] = ACTIONS(1576),
    [anon_sym_STAR_STAR] = ACTIONS(1576),
    [aux_sym_binary_expression_token2] = ACTIONS(1574),
    [aux_sym_binary_expression_token3] = ACTIONS(1574),
    [aux_sym_binary_expression_token4] = ACTIONS(1574),
    [anon_sym_PIPE_PIPE] = ACTIONS(1574),
    [anon_sym_AMP_AMP] = ACTIONS(1574),
    [anon_sym_CARET] = ACTIONS(1576),
    [anon_sym_EQ_EQ] = ACTIONS(1576),
    [anon_sym_BANG_EQ] = ACTIONS(1576),
    [anon_sym_LT_GT] = ACTIONS(1574),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1574),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1574),
    [anon_sym_LT] = ACTIONS(1576),
    [anon_sym_GT] = ACTIONS(1576),
    [anon_sym_LT_EQ] = ACTIONS(1576),
    [anon_sym_GT_EQ] = ACTIONS(1574),
    [anon_sym_LT_EQ_GT] = ACTIONS(1574),
    [anon_sym_LT_LT] = ACTIONS(1576),
    [anon_sym_GT_GT] = ACTIONS(1576),
    [anon_sym_DOT] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(1576),
    [anon_sym_SLASH] = ACTIONS(1576),
    [anon_sym_PERCENT] = ACTIONS(1576),
    [sym_comment] = ACTIONS(1572),
  },
  [589] = {
    [sym_text_interpolation] = STATE(589),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1578),
    [anon_sym_AMP] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1578),
    [anon_sym_EQ] = ACTIONS(1580),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_RBRACE] = ACTIONS(1578),
    [aux_sym_base_clause_token1] = ACTIONS(1578),
    [anon_sym_COLON] = ACTIONS(1580),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1578),
    [anon_sym_EQ_GT] = ACTIONS(1578),
    [anon_sym_LPAREN] = ACTIONS(1578),
    [anon_sym_RPAREN] = ACTIONS(1578),
    [anon_sym_QMARK] = ACTIONS(1580),
    [anon_sym_PIPE] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1580),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_COLON_COLON] = ACTIONS(1578),
    [anon_sym_DASH_DASH] = ACTIONS(1578),
    [anon_sym_PLUS_PLUS] = ACTIONS(1578),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1578),
    [anon_sym_STAR_EQ] = ACTIONS(1578),
    [anon_sym_SLASH_EQ] = ACTIONS(1578),
    [anon_sym_PERCENT_EQ] = ACTIONS(1578),
    [anon_sym_PLUS_EQ] = ACTIONS(1578),
    [anon_sym_DASH_EQ] = ACTIONS(1578),
    [anon_sym_DOT_EQ] = ACTIONS(1578),
    [anon_sym_LT_LT_EQ] = ACTIONS(1578),
    [anon_sym_GT_GT_EQ] = ACTIONS(1578),
    [anon_sym_AMP_EQ] = ACTIONS(1578),
    [anon_sym_CARET_EQ] = ACTIONS(1578),
    [anon_sym_PIPE_EQ] = ACTIONS(1578),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1578),
    [anon_sym_DASH_GT] = ACTIONS(1578),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_RBRACK] = ACTIONS(1578),
    [aux_sym_binary_expression_token1] = ACTIONS(1578),
    [anon_sym_QMARK_QMARK] = ACTIONS(1580),
    [anon_sym_STAR_STAR] = ACTIONS(1580),
    [aux_sym_binary_expression_token2] = ACTIONS(1578),
    [aux_sym_binary_expression_token3] = ACTIONS(1578),
    [aux_sym_binary_expression_token4] = ACTIONS(1578),
    [anon_sym_PIPE_PIPE] = ACTIONS(1578),
    [anon_sym_AMP_AMP] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1580),
    [anon_sym_EQ_EQ] = ACTIONS(1580),
    [anon_sym_BANG_EQ] = ACTIONS(1580),
    [anon_sym_LT_GT] = ACTIONS(1578),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1578),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_GT] = ACTIONS(1580),
    [anon_sym_LT_EQ] = ACTIONS(1580),
    [anon_sym_GT_EQ] = ACTIONS(1578),
    [anon_sym_LT_EQ_GT] = ACTIONS(1578),
    [anon_sym_LT_LT] = ACTIONS(1580),
    [anon_sym_GT_GT] = ACTIONS(1580),
    [anon_sym_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1580),
    [anon_sym_SLASH] = ACTIONS(1580),
    [anon_sym_PERCENT] = ACTIONS(1580),
    [sym_comment] = ACTIONS(1572),
  },
  [590] = {
    [sym_text_interpolation] = STATE(590),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1582),
    [anon_sym_AMP] = ACTIONS(1584),
    [anon_sym_COMMA] = ACTIONS(1582),
    [anon_sym_EQ] = ACTIONS(1584),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_RBRACE] = ACTIONS(1582),
    [aux_sym_base_clause_token1] = ACTIONS(1582),
    [anon_sym_COLON] = ACTIONS(1584),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1582),
    [anon_sym_EQ_GT] = ACTIONS(1582),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_RPAREN] = ACTIONS(1582),
    [anon_sym_QMARK] = ACTIONS(1584),
    [anon_sym_PIPE] = ACTIONS(1584),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_COLON_COLON] = ACTIONS(1582),
    [anon_sym_DASH_DASH] = ACTIONS(1582),
    [anon_sym_PLUS_PLUS] = ACTIONS(1582),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1582),
    [anon_sym_STAR_EQ] = ACTIONS(1582),
    [anon_sym_SLASH_EQ] = ACTIONS(1582),
    [anon_sym_PERCENT_EQ] = ACTIONS(1582),
    [anon_sym_PLUS_EQ] = ACTIONS(1582),
    [anon_sym_DASH_EQ] = ACTIONS(1582),
    [anon_sym_DOT_EQ] = ACTIONS(1582),
    [anon_sym_LT_LT_EQ] = ACTIONS(1582),
    [anon_sym_GT_GT_EQ] = ACTIONS(1582),
    [anon_sym_AMP_EQ] = ACTIONS(1582),
    [anon_sym_CARET_EQ] = ACTIONS(1582),
    [anon_sym_PIPE_EQ] = ACTIONS(1582),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1582),
    [anon_sym_DASH_GT] = ACTIONS(1582),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_RBRACK] = ACTIONS(1582),
    [aux_sym_binary_expression_token1] = ACTIONS(1582),
    [anon_sym_QMARK_QMARK] = ACTIONS(1584),
    [anon_sym_STAR_STAR] = ACTIONS(1584),
    [aux_sym_binary_expression_token2] = ACTIONS(1582),
    [aux_sym_binary_expression_token3] = ACTIONS(1582),
    [aux_sym_binary_expression_token4] = ACTIONS(1582),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_AMP_AMP] = ACTIONS(1582),
    [anon_sym_CARET] = ACTIONS(1584),
    [anon_sym_EQ_EQ] = ACTIONS(1584),
    [anon_sym_BANG_EQ] = ACTIONS(1584),
    [anon_sym_LT_GT] = ACTIONS(1582),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_GT] = ACTIONS(1584),
    [anon_sym_LT_EQ] = ACTIONS(1584),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_LT_EQ_GT] = ACTIONS(1582),
    [anon_sym_LT_LT] = ACTIONS(1584),
    [anon_sym_GT_GT] = ACTIONS(1584),
    [anon_sym_DOT] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1584),
    [anon_sym_SLASH] = ACTIONS(1584),
    [anon_sym_PERCENT] = ACTIONS(1584),
    [sym_comment] = ACTIONS(1572),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN,
    STATE(591), 1,
      sym_text_interpolation,
    STATE(594), 1,
      sym_arguments,
    ACTIONS(1588), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1586), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [79] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_text_interpolation,
    STATE(610), 1,
      sym_arguments,
    ACTIONS(1594), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1592), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [158] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(593), 1,
      sym_text_interpolation,
    ACTIONS(1598), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1596), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [232] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(594), 1,
      sym_text_interpolation,
    ACTIONS(1602), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1600), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [306] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(595), 1,
      sym_text_interpolation,
    ACTIONS(1606), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [380] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(596), 1,
      sym_text_interpolation,
    ACTIONS(1610), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [454] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(597), 1,
      sym_text_interpolation,
    ACTIONS(1614), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [528] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(598), 1,
      sym_text_interpolation,
    ACTIONS(1618), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1616), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [602] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(599), 1,
      sym_text_interpolation,
    ACTIONS(1622), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1620), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [676] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(600), 1,
      sym_text_interpolation,
    ACTIONS(1626), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1624), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [750] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(601), 1,
      sym_text_interpolation,
    ACTIONS(1630), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1628), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [824] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(602), 1,
      sym_text_interpolation,
    ACTIONS(1634), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1632), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [898] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(603), 1,
      sym_text_interpolation,
    ACTIONS(1638), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1636), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [972] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(604), 1,
      sym_text_interpolation,
    ACTIONS(1642), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1640), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1046] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(605), 1,
      sym_text_interpolation,
    ACTIONS(1646), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1644), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1120] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_EQ,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    STATE(606), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1648), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1650), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1204] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_LPAREN,
    STATE(607), 1,
      sym_text_interpolation,
    ACTIONS(1664), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1662), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1280] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(608), 1,
      sym_text_interpolation,
    ACTIONS(1670), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1668), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1354] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(609), 1,
      sym_text_interpolation,
    ACTIONS(1606), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1428] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(610), 1,
      sym_text_interpolation,
    ACTIONS(1674), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1672), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1502] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(611), 1,
      sym_text_interpolation,
    ACTIONS(1678), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1676), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1576] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(612), 1,
      sym_text_interpolation,
    ACTIONS(1680), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1666), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1650] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(613), 1,
      sym_text_interpolation,
    ACTIONS(1684), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1682), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1724] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(614), 1,
      sym_text_interpolation,
    ACTIONS(1688), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1686), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1798] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(615), 1,
      sym_text_interpolation,
    ACTIONS(1692), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1690), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1872] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(616), 1,
      sym_text_interpolation,
    ACTIONS(1696), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1694), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1946] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    STATE(617), 1,
      sym_text_interpolation,
    ACTIONS(1634), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1632), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2022] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(618), 1,
      sym_text_interpolation,
    ACTIONS(1700), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1698), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2096] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(619), 1,
      sym_text_interpolation,
    ACTIONS(1704), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1702), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2170] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_EQ,
    STATE(620), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1648), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1650), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2251] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1648), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1650), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2332] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(622), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1648), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1650), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2413] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_LPAREN,
    STATE(623), 1,
      sym_text_interpolation,
    STATE(647), 1,
      sym_arguments,
    ACTIONS(1588), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1586), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2488] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_LPAREN,
    STATE(624), 1,
      sym_text_interpolation,
    STATE(646), 1,
      sym_arguments,
    ACTIONS(1594), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1592), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2563] = 41,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(308), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(1714), 1,
      anon_sym_LPAREN,
    ACTIONS(1716), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(595), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(596), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_subscript_expression,
    STATE(609), 1,
      sym__variable_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(625), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1544), 1,
      sym__callable_variable,
    STATE(1576), 1,
      sym__new_variable,
    STATE(1705), 1,
      sym__name,
    STATE(1745), 1,
      sym__new_dereferencable_expression,
    STATE(1853), 1,
      sym__dereferencable_expression,
    STATE(1933), 1,
      sym_class_constant_access_expression,
    STATE(2202), 1,
      sym_by_ref,
    STATE(2204), 1,
      sym__list_destructing,
    STATE(2413), 1,
      sym__callable_expression,
    STATE(2593), 1,
      sym__scope_resolution_qualifier,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1746), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1570), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(600), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [2705] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(626), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1648), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1650), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2783] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(627), 1,
      sym_text_interpolation,
    ACTIONS(1576), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1574), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2853] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(628), 1,
      sym_text_interpolation,
    ACTIONS(1598), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1596), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2923] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(629), 1,
      sym_text_interpolation,
    ACTIONS(1570), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1568), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2993] = 39,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_LPAREN,
    ACTIONS(1716), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1718), 1,
      sym_name,
    ACTIONS(1720), 1,
      anon_sym_RBRACE,
    STATE(595), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(596), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_subscript_expression,
    STATE(609), 1,
      sym__variable_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(630), 1,
      sym_text_interpolation,
    STATE(633), 1,
      aux_sym_use_list_repeat1,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1632), 1,
      sym_class_constant_access_expression,
    STATE(1705), 1,
      sym__name,
    STATE(1745), 1,
      sym__new_dereferencable_expression,
    STATE(1853), 1,
      sym__dereferencable_expression,
    STATE(1927), 1,
      sym__new_variable,
    STATE(2413), 1,
      sym__callable_expression,
    STATE(2593), 1,
      sym__scope_resolution_qualifier,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1746), 2,
      sym_array_creation_expression,
      sym__string,
    STATE(1994), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1717), 3,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym__callable_variable,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1933), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(600), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [3131] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(631), 1,
      sym_text_interpolation,
    ACTIONS(1584), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1582), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3201] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(632), 1,
      sym_text_interpolation,
    ACTIONS(1638), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1636), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3271] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1722), 1,
      sym_name,
    ACTIONS(1728), 1,
      anon_sym_BSLASH,
    ACTIONS(1731), 1,
      anon_sym_RBRACE,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    ACTIONS(1736), 1,
      aux_sym_cast_type_token1,
    ACTIONS(1739), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1742), 1,
      anon_sym_LBRACK,
    ACTIONS(1751), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1754), 1,
      anon_sym_DOLLAR,
    STATE(595), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(596), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_subscript_expression,
    STATE(609), 1,
      sym__variable_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1632), 1,
      sym_class_constant_access_expression,
    STATE(1705), 1,
      sym__name,
    STATE(1745), 1,
      sym__new_dereferencable_expression,
    STATE(1853), 1,
      sym__dereferencable_expression,
    STATE(1927), 1,
      sym__new_variable,
    STATE(2413), 1,
      sym__callable_expression,
    STATE(2593), 1,
      sym__scope_resolution_qualifier,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_relative_scope,
    ACTIONS(1745), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(1748), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(633), 2,
      sym_text_interpolation,
      aux_sym_use_list_repeat1,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1746), 2,
      sym_array_creation_expression,
      sym__string,
    STATE(1994), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(1725), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1717), 3,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym__callable_variable,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1933), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(600), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [3407] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(634), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1648), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1650), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3485] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_EQ,
    STATE(635), 1,
      sym_text_interpolation,
    ACTIONS(1759), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1761), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1648), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3565] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(636), 1,
      sym_text_interpolation,
    ACTIONS(1692), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1690), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3635] = 39,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_LPAREN,
    ACTIONS(1716), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1718), 1,
      sym_name,
    ACTIONS(1763), 1,
      anon_sym_RBRACE,
    STATE(595), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(596), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_subscript_expression,
    STATE(609), 1,
      sym__variable_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(630), 1,
      aux_sym_use_list_repeat1,
    STATE(637), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1632), 1,
      sym_class_constant_access_expression,
    STATE(1705), 1,
      sym__name,
    STATE(1745), 1,
      sym__new_dereferencable_expression,
    STATE(1853), 1,
      sym__dereferencable_expression,
    STATE(1927), 1,
      sym__new_variable,
    STATE(2413), 1,
      sym__callable_expression,
    STATE(2593), 1,
      sym__scope_resolution_qualifier,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1746), 2,
      sym_array_creation_expression,
      sym__string,
    STATE(1994), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1717), 3,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym__callable_variable,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1933), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(600), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [3773] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(638), 1,
      sym_text_interpolation,
    ACTIONS(1680), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1666), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3843] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(639), 1,
      sym_text_interpolation,
    ACTIONS(1678), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1676), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3913] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_LPAREN,
    STATE(640), 1,
      sym_text_interpolation,
    ACTIONS(1664), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1662), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3985] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(641), 1,
      sym_text_interpolation,
    ACTIONS(1688), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1686), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4055] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    ACTIONS(1765), 1,
      anon_sym_EQ,
    STATE(642), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1767), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1648), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4135] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(643), 1,
      sym_text_interpolation,
    ACTIONS(1684), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1682), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4205] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(644), 1,
      sym_text_interpolation,
    ACTIONS(1580), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1578), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4275] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(645), 1,
      sym_text_interpolation,
    ACTIONS(1700), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1698), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4345] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(646), 1,
      sym_text_interpolation,
    ACTIONS(1674), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1672), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4415] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(647), 1,
      sym_text_interpolation,
    ACTIONS(1602), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1600), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4485] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(648), 1,
      sym_text_interpolation,
    ACTIONS(1670), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1668), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4555] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(649), 1,
      sym_text_interpolation,
    ACTIONS(1626), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1624), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4625] = 41,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(308), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(1714), 1,
      anon_sym_LPAREN,
    ACTIONS(1716), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(595), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(596), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_subscript_expression,
    STATE(609), 1,
      sym__variable_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(650), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1579), 1,
      sym__callable_variable,
    STATE(1689), 1,
      sym__new_variable,
    STATE(1705), 1,
      sym__name,
    STATE(1745), 1,
      sym__new_dereferencable_expression,
    STATE(1853), 1,
      sym__dereferencable_expression,
    STATE(1933), 1,
      sym_class_constant_access_expression,
    STATE(2392), 1,
      sym_by_ref,
    STATE(2393), 1,
      sym__list_destructing,
    STATE(2413), 1,
      sym__callable_expression,
    STATE(2593), 1,
      sym__scope_resolution_qualifier,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1746), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1690), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(600), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [4767] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_EQ,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    STATE(651), 1,
      sym_text_interpolation,
    ACTIONS(1759), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1648), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4847] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(652), 1,
      sym_text_interpolation,
    ACTIONS(1630), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1628), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4917] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(653), 1,
      sym_text_interpolation,
    ACTIONS(1704), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1702), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4987] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(654), 1,
      sym_text_interpolation,
    ACTIONS(1696), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1694), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5057] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    STATE(655), 1,
      sym_text_interpolation,
    ACTIONS(1634), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1632), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5129] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(656), 1,
      sym_text_interpolation,
    ACTIONS(1622), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1620), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5198] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(1769), 1,
      anon_sym_RPAREN,
    STATE(657), 1,
      sym_text_interpolation,
    STATE(2235), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1648), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5283] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    ACTIONS(1771), 1,
      anon_sym_EQ,
    STATE(658), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1773), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1648), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5362] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(659), 1,
      sym_text_interpolation,
    ACTIONS(1610), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5431] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(660), 1,
      sym_text_interpolation,
    ACTIONS(1606), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5500] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_EQ,
    STATE(661), 1,
      sym_text_interpolation,
    ACTIONS(1759), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1648), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5577] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_EQ,
    STATE(662), 1,
      sym_text_interpolation,
    ACTIONS(1759), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1648), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5654] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(663), 1,
      sym_text_interpolation,
    ACTIONS(1606), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5723] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_EQ,
    STATE(664), 1,
      sym_text_interpolation,
    ACTIONS(1759), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1761), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1648), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5800] = 40,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(855), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(1714), 1,
      anon_sym_LPAREN,
    ACTIONS(1716), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(595), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(596), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_subscript_expression,
    STATE(609), 1,
      sym__variable_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(665), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1582), 1,
      sym__callable_variable,
    STATE(1682), 1,
      sym__new_variable,
    STATE(1705), 1,
      sym__name,
    STATE(1745), 1,
      sym__new_dereferencable_expression,
    STATE(1853), 1,
      sym__dereferencable_expression,
    STATE(1933), 1,
      sym_class_constant_access_expression,
    STATE(2413), 1,
      sym__callable_expression,
    STATE(2435), 1,
      sym__array_destructing,
    STATE(2436), 1,
      sym_by_ref,
    STATE(2593), 1,
      sym__scope_resolution_qualifier,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1746), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1684), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(600), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [5939] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_EQ,
    STATE(666), 1,
      sym_text_interpolation,
    ACTIONS(1759), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1761), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1648), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6016] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(667), 1,
      sym_text_interpolation,
    ACTIONS(1614), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6085] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(668), 1,
      sym_text_interpolation,
    ACTIONS(1634), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1632), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6154] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(669), 1,
      sym_text_interpolation,
    ACTIONS(1642), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1640), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6223] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(670), 1,
      sym_text_interpolation,
    ACTIONS(1618), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1616), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6292] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(671), 1,
      sym_text_interpolation,
    ACTIONS(1646), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1644), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6361] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_EQ,
    STATE(672), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1767), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1648), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6438] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_EQ,
    STATE(673), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1767), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1648), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6515] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_EQ,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    STATE(674), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1648), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1660), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6594] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(1769), 1,
      anon_sym_RPAREN,
    STATE(675), 1,
      sym_text_interpolation,
    STATE(2235), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1648), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6676] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(1769), 1,
      anon_sym_RPAREN,
    STATE(676), 1,
      sym_text_interpolation,
    STATE(2235), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1648), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6758] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(677), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1775), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1648), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6838] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_EQ,
    STATE(678), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1773), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1648), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6914] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_EQ,
    STATE(679), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1773), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1648), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6990] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_EQ,
    STATE(680), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1648), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1660), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7066] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_EQ,
    STATE(681), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1648), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1660), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7142] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    ACTIONS(1765), 1,
      anon_sym_EQ,
    STATE(682), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1777), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1648), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1767), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7222] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(683), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1780), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1648), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7302] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(1714), 1,
      anon_sym_LPAREN,
    ACTIONS(1716), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1782), 1,
      anon_sym_RPAREN,
    STATE(595), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(596), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_subscript_expression,
    STATE(609), 1,
      sym__variable_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(684), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1564), 1,
      sym__callable_variable,
    STATE(1703), 1,
      sym__new_variable,
    STATE(1705), 1,
      sym__name,
    STATE(1745), 1,
      sym__new_dereferencable_expression,
    STATE(1853), 1,
      sym__dereferencable_expression,
    STATE(1933), 1,
      sym_class_constant_access_expression,
    STATE(2413), 1,
      sym__callable_expression,
    STATE(2593), 1,
      sym__scope_resolution_qualifier,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1746), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1700), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(600), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [7435] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(685), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1775), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1648), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7512] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(686), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1775), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1648), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7589] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_EQ,
    STATE(687), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1777), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1648), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1767), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7666] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(1714), 1,
      anon_sym_LPAREN,
    ACTIONS(1716), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1784), 1,
      anon_sym_RPAREN,
    STATE(595), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(596), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_subscript_expression,
    STATE(609), 1,
      sym__variable_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(688), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1564), 1,
      sym__callable_variable,
    STATE(1703), 1,
      sym__new_variable,
    STATE(1705), 1,
      sym__name,
    STATE(1745), 1,
      sym__new_dereferencable_expression,
    STATE(1853), 1,
      sym__dereferencable_expression,
    STATE(1933), 1,
      sym_class_constant_access_expression,
    STATE(2413), 1,
      sym__callable_expression,
    STATE(2593), 1,
      sym__scope_resolution_qualifier,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1746), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1700), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(600), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [7799] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    ACTIONS(1765), 1,
      anon_sym_EQ,
    STATE(689), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1786), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1648), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1767), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7878] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(1714), 1,
      anon_sym_LPAREN,
    ACTIONS(1716), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1789), 1,
      anon_sym_RPAREN,
    STATE(595), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(596), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_subscript_expression,
    STATE(609), 1,
      sym__variable_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(690), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1564), 1,
      sym__callable_variable,
    STATE(1703), 1,
      sym__new_variable,
    STATE(1705), 1,
      sym__name,
    STATE(1745), 1,
      sym__new_dereferencable_expression,
    STATE(1853), 1,
      sym__dereferencable_expression,
    STATE(1933), 1,
      sym_class_constant_access_expression,
    STATE(2413), 1,
      sym__callable_expression,
    STATE(2593), 1,
      sym__scope_resolution_qualifier,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1746), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1700), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(600), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8011] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_EQ,
    STATE(691), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1777), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1648), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1767), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8088] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(692), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1780), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1648), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8165] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(693), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1780), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1648), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8242] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(1714), 1,
      anon_sym_LPAREN,
    ACTIONS(1716), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1791), 1,
      anon_sym_RPAREN,
    STATE(595), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(596), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_subscript_expression,
    STATE(609), 1,
      sym__variable_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(694), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1564), 1,
      sym__callable_variable,
    STATE(1703), 1,
      sym__new_variable,
    STATE(1705), 1,
      sym__name,
    STATE(1745), 1,
      sym__new_dereferencable_expression,
    STATE(1853), 1,
      sym__dereferencable_expression,
    STATE(1933), 1,
      sym_class_constant_access_expression,
    STATE(2413), 1,
      sym__callable_expression,
    STATE(2593), 1,
      sym__scope_resolution_qualifier,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1746), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1700), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(600), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8375] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(1716), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1793), 1,
      anon_sym_LPAREN,
    STATE(695), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(873), 1,
      sym__callable_variable,
    STATE(880), 1,
      sym__simple_variable,
    STATE(894), 1,
      sym__variable_subscript_expression,
    STATE(896), 1,
      sym__variable_scoped_property_access_expression,
    STATE(899), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(901), 1,
      sym__variable_member_access_expression,
    STATE(908), 1,
      sym__new_variable,
    STATE(1633), 1,
      sym__name,
    STATE(1745), 1,
      sym__new_dereferencable_expression,
    STATE(1913), 1,
      sym__dereferencable_expression,
    STATE(1933), 1,
      sym_class_constant_access_expression,
    STATE(2320), 1,
      sym__callable_expression,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2647), 1,
      sym__scope_resolution_qualifier,
    STATE(2685), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(882), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1746), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(907), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(883), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8505] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(1714), 1,
      anon_sym_LPAREN,
    ACTIONS(1716), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(595), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(596), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_subscript_expression,
    STATE(609), 1,
      sym__variable_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(696), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1559), 1,
      sym__callable_variable,
    STATE(1594), 1,
      sym__new_variable,
    STATE(1705), 1,
      sym__name,
    STATE(1745), 1,
      sym__new_dereferencable_expression,
    STATE(1853), 1,
      sym__dereferencable_expression,
    STATE(1933), 1,
      sym_class_constant_access_expression,
    STATE(2413), 1,
      sym__callable_expression,
    STATE(2593), 1,
      sym__scope_resolution_qualifier,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1746), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1597), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(600), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8635] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(1716), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1795), 1,
      anon_sym_LPAREN,
    ACTIONS(1797), 1,
      anon_sym_DOLLAR,
    STATE(697), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(920), 1,
      sym__callable_variable,
    STATE(924), 1,
      sym__simple_variable,
    STATE(934), 1,
      sym__variable_subscript_expression,
    STATE(937), 1,
      sym__variable_scoped_property_access_expression,
    STATE(939), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(940), 1,
      sym__variable_member_access_expression,
    STATE(1010), 1,
      sym__new_variable,
    STATE(1687), 1,
      sym__name,
    STATE(1745), 1,
      sym__new_dereferencable_expression,
    STATE(1933), 1,
      sym_class_constant_access_expression,
    STATE(1936), 1,
      sym__dereferencable_expression,
    STATE(2307), 1,
      sym__callable_expression,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_relative_scope,
    STATE(2705), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(927), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1746), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1015), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(935), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8765] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_LPAREN,
    ACTIONS(1558), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(1716), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(698), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(719), 1,
      sym__callable_variable,
    STATE(726), 1,
      sym__new_variable,
    STATE(744), 1,
      sym__simple_variable,
    STATE(753), 1,
      sym__variable_subscript_expression,
    STATE(755), 1,
      sym__variable_scoped_property_access_expression,
    STATE(758), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(759), 1,
      sym__variable_member_access_expression,
    STATE(1692), 1,
      sym__name,
    STATE(1745), 1,
      sym__new_dereferencable_expression,
    STATE(1933), 1,
      sym_class_constant_access_expression,
    STATE(1939), 1,
      sym__dereferencable_expression,
    STATE(2337), 1,
      sym__callable_expression,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_relative_scope,
    STATE(2722), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(723), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1746), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(725), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(742), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8895] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(1714), 1,
      anon_sym_LPAREN,
    ACTIONS(1716), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(595), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(596), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_subscript_expression,
    STATE(609), 1,
      sym__variable_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(699), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(750), 1,
      sym__callable_variable,
    STATE(795), 1,
      sym__new_variable,
    STATE(1705), 1,
      sym__name,
    STATE(1745), 1,
      sym__new_dereferencable_expression,
    STATE(1853), 1,
      sym__dereferencable_expression,
    STATE(1933), 1,
      sym_class_constant_access_expression,
    STATE(2413), 1,
      sym__callable_expression,
    STATE(2593), 1,
      sym__scope_resolution_qualifier,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1746), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(796), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(600), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9025] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_EQ,
    STATE(700), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1786), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1648), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1767), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9101] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(1716), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1799), 1,
      anon_sym_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_DOLLAR,
    STATE(701), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(750), 1,
      sym__callable_variable,
    STATE(778), 1,
      sym__simple_variable,
    STATE(779), 1,
      sym__variable_subscript_expression,
    STATE(781), 1,
      sym__variable_scoped_property_access_expression,
    STATE(782), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(784), 1,
      sym__variable_member_access_expression,
    STATE(795), 1,
      sym__new_variable,
    STATE(1666), 1,
      sym__name,
    STATE(1745), 1,
      sym__new_dereferencable_expression,
    STATE(1911), 1,
      sym__dereferencable_expression,
    STATE(1933), 1,
      sym_class_constant_access_expression,
    STATE(2360), 1,
      sym__callable_expression,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2675), 1,
      sym__scope_resolution_qualifier,
    STATE(2685), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(766), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1746), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(796), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(780), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9231] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_EQ,
    STATE(702), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1786), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1648), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1767), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1650), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9307] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(1714), 1,
      anon_sym_LPAREN,
    ACTIONS(1716), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(595), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(596), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_subscript_expression,
    STATE(609), 1,
      sym__variable_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(703), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1547), 1,
      sym__callable_variable,
    STATE(1612), 1,
      sym__new_variable,
    STATE(1705), 1,
      sym__name,
    STATE(1745), 1,
      sym__new_dereferencable_expression,
    STATE(1853), 1,
      sym__dereferencable_expression,
    STATE(1933), 1,
      sym_class_constant_access_expression,
    STATE(2413), 1,
      sym__callable_expression,
    STATE(2593), 1,
      sym__scope_resolution_qualifier,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1746), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1611), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(600), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9437] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(1714), 1,
      anon_sym_LPAREN,
    ACTIONS(1716), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(595), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(596), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_subscript_expression,
    STATE(609), 1,
      sym__variable_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(704), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(719), 1,
      sym__callable_variable,
    STATE(726), 1,
      sym__new_variable,
    STATE(1705), 1,
      sym__name,
    STATE(1745), 1,
      sym__new_dereferencable_expression,
    STATE(1853), 1,
      sym__dereferencable_expression,
    STATE(1933), 1,
      sym_class_constant_access_expression,
    STATE(2413), 1,
      sym__callable_expression,
    STATE(2593), 1,
      sym__scope_resolution_qualifier,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1746), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(725), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(600), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9567] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(1716), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1799), 1,
      anon_sym_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_DOLLAR,
    STATE(705), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(778), 1,
      sym__simple_variable,
    STATE(779), 1,
      sym__variable_subscript_expression,
    STATE(781), 1,
      sym__variable_scoped_property_access_expression,
    STATE(782), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(784), 1,
      sym__variable_member_access_expression,
    STATE(817), 1,
      sym__callable_variable,
    STATE(850), 1,
      sym__new_variable,
    STATE(1666), 1,
      sym__name,
    STATE(1745), 1,
      sym__new_dereferencable_expression,
    STATE(1911), 1,
      sym__dereferencable_expression,
    STATE(1933), 1,
      sym_class_constant_access_expression,
    STATE(2360), 1,
      sym__callable_expression,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2675), 1,
      sym__scope_resolution_qualifier,
    STATE(2685), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(766), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1746), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(849), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(780), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9697] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(1716), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1795), 1,
      anon_sym_LPAREN,
    ACTIONS(1797), 1,
      anon_sym_DOLLAR,
    STATE(706), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(924), 1,
      sym__simple_variable,
    STATE(934), 1,
      sym__variable_subscript_expression,
    STATE(937), 1,
      sym__variable_scoped_property_access_expression,
    STATE(939), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(940), 1,
      sym__variable_member_access_expression,
    STATE(951), 1,
      sym__callable_variable,
    STATE(1023), 1,
      sym__new_variable,
    STATE(1687), 1,
      sym__name,
    STATE(1745), 1,
      sym__new_dereferencable_expression,
    STATE(1933), 1,
      sym_class_constant_access_expression,
    STATE(1936), 1,
      sym__dereferencable_expression,
    STATE(2307), 1,
      sym__callable_expression,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_relative_scope,
    STATE(2705), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(927), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1746), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1024), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(935), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9827] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1807), 1,
      anon_sym_BSLASH,
    STATE(707), 1,
      sym_text_interpolation,
    STATE(2432), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1803), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1805), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9897] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(1716), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1795), 1,
      anon_sym_LPAREN,
    ACTIONS(1797), 1,
      anon_sym_DOLLAR,
    STATE(708), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(924), 1,
      sym__simple_variable,
    STATE(934), 1,
      sym__variable_subscript_expression,
    STATE(937), 1,
      sym__variable_scoped_property_access_expression,
    STATE(939), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(940), 1,
      sym__variable_member_access_expression,
    STATE(972), 1,
      sym__callable_variable,
    STATE(1032), 1,
      sym__new_variable,
    STATE(1687), 1,
      sym__name,
    STATE(1745), 1,
      sym__new_dereferencable_expression,
    STATE(1933), 1,
      sym_class_constant_access_expression,
    STATE(1936), 1,
      sym__dereferencable_expression,
    STATE(2307), 1,
      sym__callable_expression,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_relative_scope,
    STATE(2705), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(927), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1746), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1031), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(935), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [10027] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(1714), 1,
      anon_sym_LPAREN,
    ACTIONS(1716), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(595), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(596), 1,
      sym__variable_scoped_property_access_expression,
    STATE(602), 1,
      sym__variable_subscript_expression,
    STATE(609), 1,
      sym__variable_member_access_expression,
    STATE(617), 1,
      sym__simple_variable,
    STATE(709), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1564), 1,
      sym__callable_variable,
    STATE(1703), 1,
      sym__new_variable,
    STATE(1705), 1,
      sym__name,
    STATE(1745), 1,
      sym__new_dereferencable_expression,
    STATE(1853), 1,
      sym__dereferencable_expression,
    STATE(1933), 1,
      sym_class_constant_access_expression,
    STATE(2413), 1,
      sym__callable_expression,
    STATE(2593), 1,
      sym__scope_resolution_qualifier,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1746), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1700), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(600), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [10157] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(1716), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1799), 1,
      anon_sym_LPAREN,
    ACTIONS(1801), 1,
      anon_sym_DOLLAR,
    STATE(710), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(778), 1,
      sym__simple_variable,
    STATE(779), 1,
      sym__variable_subscript_expression,
    STATE(781), 1,
      sym__variable_scoped_property_access_expression,
    STATE(782), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(784), 1,
      sym__variable_member_access_expression,
    STATE(787), 1,
      sym__callable_variable,
    STATE(855), 1,
      sym__new_variable,
    STATE(1666), 1,
      sym__name,
    STATE(1745), 1,
      sym__new_dereferencable_expression,
    STATE(1911), 1,
      sym__dereferencable_expression,
    STATE(1933), 1,
      sym_class_constant_access_expression,
    STATE(2360), 1,
      sym__callable_expression,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2675), 1,
      sym__scope_resolution_qualifier,
    STATE(2685), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(766), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1746), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(854), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(780), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [10287] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(711), 1,
      sym_text_interpolation,
    ACTIONS(1810), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1812), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10351] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(712), 1,
      sym_text_interpolation,
    ACTIONS(1814), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(1704), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10417] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(713), 1,
      sym_text_interpolation,
    ACTIONS(1254), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1252), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10478] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(714), 1,
      sym_text_interpolation,
    ACTIONS(1466), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1464), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10539] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1818), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1820), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(1822), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(1826), 1,
      anon_sym_LPAREN,
    ACTIONS(1828), 1,
      anon_sym_QMARK,
    ACTIONS(1830), 1,
      anon_sym_DOLLAR,
    STATE(715), 1,
      sym_text_interpolation,
    STATE(1143), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1486), 1,
      sym__types,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1595), 1,
      sym_property_element,
    STATE(1832), 1,
      sym__function_definition_header,
    STATE(1833), 1,
      sym_variable_name,
    STATE(2264), 1,
      sym_type,
    STATE(2609), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [10648] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(716), 1,
      sym_text_interpolation,
    ACTIONS(1598), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10709] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_LPAREN,
    STATE(717), 1,
      sym_text_interpolation,
    STATE(731), 1,
      sym_arguments,
    ACTIONS(1594), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10774] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_LPAREN,
    STATE(718), 1,
      sym_text_interpolation,
    STATE(732), 1,
      sym_arguments,
    ACTIONS(1588), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10839] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    STATE(719), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1652), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10904] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1818), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1820), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(1822), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(1826), 1,
      anon_sym_LPAREN,
    ACTIONS(1828), 1,
      anon_sym_QMARK,
    ACTIONS(1830), 1,
      anon_sym_DOLLAR,
    STATE(720), 1,
      sym_text_interpolation,
    STATE(1143), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1486), 1,
      sym__types,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1574), 1,
      sym_property_element,
    STATE(1790), 1,
      sym__function_definition_header,
    STATE(1833), 1,
      sym_variable_name,
    STATE(2081), 1,
      sym_type,
    STATE(2609), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [11013] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    STATE(721), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1650), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11079] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(722), 1,
      sym_text_interpolation,
    ACTIONS(1704), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11139] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(723), 1,
      sym_text_interpolation,
    ACTIONS(1700), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11199] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(724), 1,
      sym_text_interpolation,
    ACTIONS(1814), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(1704), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11261] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(725), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1652), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11323] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(726), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1652), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11385] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(727), 1,
      sym_text_interpolation,
    ACTIONS(1670), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11445] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(728), 1,
      sym_text_interpolation,
    ACTIONS(1684), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11505] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(729), 1,
      sym_text_interpolation,
    ACTIONS(1688), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11565] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(730), 1,
      sym_text_interpolation,
    ACTIONS(1570), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11625] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(731), 1,
      sym_text_interpolation,
    ACTIONS(1674), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11685] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(732), 1,
      sym_text_interpolation,
    ACTIONS(1602), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11745] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(733), 1,
      sym_text_interpolation,
    ACTIONS(1630), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1628), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11805] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(734), 1,
      sym_text_interpolation,
    ACTIONS(1696), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11865] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(735), 1,
      sym_text_interpolation,
    ACTIONS(1692), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1690), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11925] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(736), 1,
      sym_text_interpolation,
    ACTIONS(1584), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11985] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(737), 1,
      sym_text_interpolation,
    ACTIONS(1680), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12045] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(738), 1,
      sym_text_interpolation,
    ACTIONS(1638), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12105] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(739), 1,
      sym_text_interpolation,
    ACTIONS(1678), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12165] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_LPAREN,
    STATE(740), 1,
      sym_text_interpolation,
    ACTIONS(1664), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12227] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(741), 1,
      sym_text_interpolation,
    ACTIONS(1576), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12287] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(742), 1,
      sym_text_interpolation,
    ACTIONS(1626), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12347] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(743), 1,
      sym_text_interpolation,
    STATE(2407), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1596), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1650), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12413] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    STATE(744), 1,
      sym_text_interpolation,
    ACTIONS(1634), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12475] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(745), 1,
      sym_text_interpolation,
    ACTIONS(1598), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12535] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(746), 1,
      sym_text_interpolation,
    ACTIONS(1580), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12595] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(747), 1,
      sym_text_interpolation,
    ACTIONS(1704), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12655] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(748), 1,
      sym_text_interpolation,
    ACTIONS(1642), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12714] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(749), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1650), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12777] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    STATE(750), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1839), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12840] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(751), 1,
      sym_text_interpolation,
    ACTIONS(1622), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1620), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12899] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(752), 1,
      sym_text_interpolation,
    ACTIONS(1618), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12958] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(753), 1,
      sym_text_interpolation,
    ACTIONS(1634), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13017] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_LPAREN,
    STATE(754), 1,
      sym_text_interpolation,
    STATE(840), 1,
      sym_arguments,
    ACTIONS(1588), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13080] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(755), 1,
      sym_text_interpolation,
    ACTIONS(1610), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13139] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(756), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1650), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13202] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_LPAREN,
    STATE(757), 1,
      sym_text_interpolation,
    STATE(827), 1,
      sym_arguments,
    ACTIONS(1594), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13265] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(758), 1,
      sym_text_interpolation,
    ACTIONS(1606), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13324] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(759), 1,
      sym_text_interpolation,
    ACTIONS(1606), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13383] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(760), 1,
      sym_text_interpolation,
    ACTIONS(1614), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13442] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1636), 1,
      anon_sym_LPAREN,
    STATE(761), 1,
      sym_text_interpolation,
    ACTIONS(1845), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1843), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13503] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(762), 1,
      sym_text_interpolation,
    ACTIONS(1646), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13562] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_LPAREN,
    STATE(763), 1,
      sym_text_interpolation,
    ACTIONS(1849), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1847), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13623] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1857), 1,
      anon_sym_DASH_GT,
    ACTIONS(1859), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(1861), 1,
      anon_sym_LBRACK,
    STATE(764), 1,
      sym_text_interpolation,
    ACTIONS(1853), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1851), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13689] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(765), 1,
      sym_text_interpolation,
    ACTIONS(1865), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1863), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13747] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(766), 1,
      sym_text_interpolation,
    ACTIONS(1700), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13805] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(767), 1,
      sym_text_interpolation,
    ACTIONS(1869), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1867), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13863] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(768), 1,
      sym_text_interpolation,
    ACTIONS(1642), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13921] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(769), 1,
      sym_text_interpolation,
    ACTIONS(1630), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1628), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13979] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(770), 1,
      sym_text_interpolation,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14037] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(771), 1,
      sym_text_interpolation,
    ACTIONS(1646), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14095] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(772), 1,
      sym_text_interpolation,
    ACTIONS(1618), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14153] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(773), 1,
      sym_text_interpolation,
    ACTIONS(1680), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14211] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(774), 1,
      sym_text_interpolation,
    ACTIONS(1873), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14269] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_LPAREN,
    STATE(775), 1,
      sym_text_interpolation,
    ACTIONS(1664), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14329] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(776), 1,
      sym_text_interpolation,
    ACTIONS(1580), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14387] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(777), 1,
      sym_text_interpolation,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14445] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    STATE(778), 1,
      sym_text_interpolation,
    ACTIONS(1634), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14505] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(779), 1,
      sym_text_interpolation,
    ACTIONS(1634), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14563] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(780), 1,
      sym_text_interpolation,
    ACTIONS(1626), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14621] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(781), 1,
      sym_text_interpolation,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14679] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(782), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14737] = 28,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1877), 1,
      anon_sym_COMMA,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1881), 1,
      anon_sym_LPAREN,
    ACTIONS(1883), 1,
      anon_sym_RPAREN,
    ACTIONS(1885), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    ACTIONS(1889), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(783), 1,
      sym_text_interpolation,
    STATE(1141), 1,
      sym_attribute_list,
    STATE(1234), 1,
      sym_visibility_modifier,
    STATE(1337), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1340), 1,
      sym_attribute_group,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1598), 1,
      sym__types,
    STATE(1767), 1,
      sym_type,
    STATE(2065), 1,
      sym_reference_modifier,
    STATE(2085), 1,
      sym_variable_name,
    STATE(2641), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2099), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [14841] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(784), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14899] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(785), 1,
      sym_text_interpolation,
    ACTIONS(1895), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1893), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14957] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(786), 1,
      sym_text_interpolation,
    ACTIONS(1899), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15015] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    STATE(787), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1652), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15077] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(788), 1,
      sym_text_interpolation,
    ACTIONS(1903), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1901), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15135] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(789), 1,
      sym_text_interpolation,
    ACTIONS(1907), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1905), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15193] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(790), 1,
      sym_text_interpolation,
    ACTIONS(1584), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15251] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(791), 1,
      sym_text_interpolation,
    ACTIONS(1911), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1909), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15309] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(792), 1,
      sym_text_interpolation,
    ACTIONS(1915), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1913), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15367] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(793), 1,
      sym_text_interpolation,
    ACTIONS(1919), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1917), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15425] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(794), 1,
      sym_text_interpolation,
    ACTIONS(1923), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1921), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15483] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(795), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1839), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15543] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(796), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1839), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15603] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(797), 1,
      sym_text_interpolation,
    ACTIONS(1925), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1650), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15663] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    STATE(798), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1650), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15725] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(799), 1,
      sym_text_interpolation,
    ACTIONS(1929), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1927), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15783] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1935), 1,
      anon_sym_LPAREN,
    STATE(800), 1,
      sym_text_interpolation,
    ACTIONS(1937), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1933), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1931), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15845] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(801), 1,
      sym_text_interpolation,
    ACTIONS(1941), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1939), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15903] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(802), 1,
      sym_text_interpolation,
    ACTIONS(1943), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1650), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15963] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(803), 1,
      sym_text_interpolation,
    ACTIONS(1947), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1945), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16021] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(804), 1,
      sym_text_interpolation,
    ACTIONS(1943), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1951), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16081] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(805), 1,
      sym_text_interpolation,
    ACTIONS(1955), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1953), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16139] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(806), 1,
      sym_text_interpolation,
    ACTIONS(1959), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1957), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16197] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(807), 1,
      sym_text_interpolation,
    ACTIONS(1963), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16255] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(808), 1,
      sym_text_interpolation,
    ACTIONS(1967), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1965), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16313] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(809), 1,
      sym_text_interpolation,
    ACTIONS(1047), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1045), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16371] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(810), 1,
      sym_text_interpolation,
    ACTIONS(1971), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1969), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16429] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(811), 1,
      sym_text_interpolation,
    ACTIONS(1975), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1973), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16487] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(812), 1,
      sym_text_interpolation,
    ACTIONS(1979), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1977), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16545] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(813), 1,
      sym_text_interpolation,
    ACTIONS(1983), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1981), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16603] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(814), 1,
      sym_text_interpolation,
    ACTIONS(1622), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1620), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16661] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(815), 1,
      sym_text_interpolation,
    ACTIONS(1987), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16719] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(816), 1,
      sym_text_interpolation,
    ACTIONS(1991), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1989), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16777] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    STATE(817), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1995), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1993), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16839] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    STATE(818), 1,
      sym_text_interpolation,
    ACTIONS(2001), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1999), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1997), 29,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16901] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(819), 1,
      sym_text_interpolation,
    ACTIONS(2008), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2006), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16959] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(820), 1,
      sym_text_interpolation,
    ACTIONS(2012), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2010), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17017] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(821), 1,
      sym_text_interpolation,
    ACTIONS(2016), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2014), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17075] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(822), 1,
      sym_text_interpolation,
    ACTIONS(2020), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2018), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17133] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(823), 1,
      sym_text_interpolation,
    ACTIONS(2024), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2022), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17191] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(824), 1,
      sym_text_interpolation,
    ACTIONS(2028), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2026), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17249] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(825), 1,
      sym_text_interpolation,
    ACTIONS(2032), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2030), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17307] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(826), 1,
      sym_text_interpolation,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17365] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(827), 1,
      sym_text_interpolation,
    ACTIONS(1674), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17423] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(828), 1,
      sym_text_interpolation,
    ACTIONS(1678), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17481] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(829), 1,
      sym_text_interpolation,
    ACTIONS(2036), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2034), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17539] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(830), 1,
      sym_text_interpolation,
    ACTIONS(1638), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17597] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(831), 1,
      sym_text_interpolation,
    ACTIONS(2040), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2038), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17655] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(832), 1,
      sym_text_interpolation,
    ACTIONS(1039), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1037), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17713] = 28,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1881), 1,
      anon_sym_LPAREN,
    ACTIONS(1885), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    ACTIONS(1889), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(2042), 1,
      anon_sym_COMMA,
    ACTIONS(2044), 1,
      anon_sym_RPAREN,
    STATE(833), 1,
      sym_text_interpolation,
    STATE(1141), 1,
      sym_attribute_list,
    STATE(1234), 1,
      sym_visibility_modifier,
    STATE(1337), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1340), 1,
      sym_attribute_group,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1598), 1,
      sym__types,
    STATE(1767), 1,
      sym_type,
    STATE(2065), 1,
      sym_reference_modifier,
    STATE(2085), 1,
      sym_variable_name,
    STATE(2641), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2066), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [17817] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(834), 1,
      sym_text_interpolation,
    ACTIONS(1670), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17875] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(835), 1,
      sym_text_interpolation,
    ACTIONS(1576), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17933] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(836), 1,
      sym_text_interpolation,
    ACTIONS(1684), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17991] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(837), 1,
      sym_text_interpolation,
    ACTIONS(2048), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2046), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18049] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(838), 1,
      sym_text_interpolation,
    ACTIONS(2052), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2050), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18107] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(839), 1,
      sym_text_interpolation,
    ACTIONS(1564), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18165] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(840), 1,
      sym_text_interpolation,
    ACTIONS(1602), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18223] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(841), 1,
      sym_text_interpolation,
    ACTIONS(2056), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2054), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18281] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(842), 1,
      sym_text_interpolation,
    ACTIONS(1692), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1690), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18339] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(843), 1,
      sym_text_interpolation,
    ACTIONS(2060), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2058), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18397] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(844), 1,
      sym_text_interpolation,
    ACTIONS(2064), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2062), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18455] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(845), 1,
      sym_text_interpolation,
    ACTIONS(2068), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2066), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18513] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(846), 1,
      sym_text_interpolation,
    ACTIONS(1688), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18571] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(847), 1,
      sym_text_interpolation,
    ACTIONS(1999), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1997), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18629] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    STATE(848), 1,
      sym_text_interpolation,
    STATE(869), 1,
      sym_arguments,
    ACTIONS(1588), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18690] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(849), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1995), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1993), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18749] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(850), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1995), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1993), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18808] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1881), 1,
      anon_sym_LPAREN,
    ACTIONS(1885), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    ACTIONS(1889), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(2072), 1,
      anon_sym_RPAREN,
    STATE(851), 1,
      sym_text_interpolation,
    STATE(1141), 1,
      sym_attribute_list,
    STATE(1234), 1,
      sym_visibility_modifier,
    STATE(1337), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1340), 1,
      sym_attribute_group,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1598), 1,
      sym__types,
    STATE(1767), 1,
      sym_type,
    STATE(2065), 1,
      sym_reference_modifier,
    STATE(2085), 1,
      sym_variable_name,
    STATE(2641), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2298), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [18909] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(852), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1650), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18968] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1881), 1,
      anon_sym_LPAREN,
    ACTIONS(1885), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    ACTIONS(1889), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(2074), 1,
      anon_sym_RPAREN,
    STATE(853), 1,
      sym_text_interpolation,
    STATE(1141), 1,
      sym_attribute_list,
    STATE(1234), 1,
      sym_visibility_modifier,
    STATE(1337), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1340), 1,
      sym_attribute_group,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1598), 1,
      sym__types,
    STATE(1767), 1,
      sym_type,
    STATE(2065), 1,
      sym_reference_modifier,
    STATE(2085), 1,
      sym_variable_name,
    STATE(2641), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2298), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [19069] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(854), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1652), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19128] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(855), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1652), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19187] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1881), 1,
      anon_sym_LPAREN,
    ACTIONS(1885), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    ACTIONS(1889), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(2076), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      sym_text_interpolation,
    STATE(1141), 1,
      sym_attribute_list,
    STATE(1234), 1,
      sym_visibility_modifier,
    STATE(1337), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1340), 1,
      sym_attribute_group,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1598), 1,
      sym__types,
    STATE(1767), 1,
      sym_type,
    STATE(2065), 1,
      sym_reference_modifier,
    STATE(2085), 1,
      sym_variable_name,
    STATE(2641), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2298), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [19288] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(857), 1,
      sym_text_interpolation,
    ACTIONS(1704), 12,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19345] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1881), 1,
      anon_sym_LPAREN,
    ACTIONS(1885), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    ACTIONS(1889), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(2078), 1,
      anon_sym_RPAREN,
    STATE(858), 1,
      sym_text_interpolation,
    STATE(1141), 1,
      sym_attribute_list,
    STATE(1234), 1,
      sym_visibility_modifier,
    STATE(1337), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1340), 1,
      sym_attribute_group,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1598), 1,
      sym__types,
    STATE(1767), 1,
      sym_type,
    STATE(2065), 1,
      sym_reference_modifier,
    STATE(2085), 1,
      sym_variable_name,
    STATE(2641), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2298), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [19446] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(859), 1,
      sym_text_interpolation,
    STATE(2407), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1598), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19507] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1807), 1,
      anon_sym_BSLASH,
    STATE(860), 1,
      sym_text_interpolation,
    STATE(2432), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1803), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1805), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19568] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1807), 1,
      anon_sym_BSLASH,
    STATE(861), 1,
      sym_text_interpolation,
    STATE(2432), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1803), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1805), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19629] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    STATE(862), 1,
      sym_text_interpolation,
    STATE(878), 1,
      sym_arguments,
    ACTIONS(1594), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19690] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(863), 1,
      sym_text_interpolation,
    ACTIONS(1678), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19746] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(864), 1,
      sym_text_interpolation,
    ACTIONS(2082), 18,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2080), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [19802] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(865), 1,
      sym_text_interpolation,
    ACTIONS(1692), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1690), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19858] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(866), 1,
      sym_text_interpolation,
    ACTIONS(1680), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19914] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_LPAREN,
    STATE(867), 1,
      sym_text_interpolation,
    ACTIONS(1664), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19972] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(868), 1,
      sym_text_interpolation,
    ACTIONS(1580), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20028] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(869), 1,
      sym_text_interpolation,
    ACTIONS(1602), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20084] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(870), 1,
      sym_text_interpolation,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20140] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(871), 1,
      sym_text_interpolation,
    ACTIONS(1630), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1628), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20196] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(872), 1,
      sym_text_interpolation,
    ACTIONS(1670), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20252] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    STATE(873), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1652), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20312] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2001), 1,
      anon_sym_RPAREN,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    STATE(874), 1,
      sym_text_interpolation,
    ACTIONS(1999), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1997), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20372] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(875), 1,
      sym_text_interpolation,
    ACTIONS(1598), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20428] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(876), 1,
      sym_text_interpolation,
    ACTIONS(1704), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20484] = 35,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1797), 1,
      anon_sym_DOLLAR,
    ACTIONS(2084), 1,
      sym_name,
    ACTIONS(2086), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2088), 1,
      anon_sym_BSLASH,
    ACTIONS(2090), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2092), 1,
      anon_sym_LPAREN,
    STATE(877), 1,
      sym_text_interpolation,
    STATE(937), 1,
      sym__variable_scoped_property_access_expression,
    STATE(939), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(940), 1,
      sym__variable_member_access_expression,
    STATE(955), 1,
      sym__new_variable,
    STATE(957), 1,
      sym_anonymous_class,
    STATE(1042), 1,
      sym__reserved_identifier,
    STATE(1045), 1,
      sym__name,
    STATE(1046), 1,
      sym__class_name_reference,
    STATE(1048), 1,
      sym_parenthesized_expression,
    STATE(1334), 1,
      sym__modifier,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      sym_attribute_group,
    STATE(1386), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1392), 1,
      sym_attribute_list,
    STATE(2561), 1,
      sym_namespace_name,
    ACTIONS(2094), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(927), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(934), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    STATE(1043), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [20600] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(878), 1,
      sym_text_interpolation,
    ACTIONS(1674), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20656] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(879), 1,
      sym_text_interpolation,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20712] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    STATE(880), 1,
      sym_text_interpolation,
    ACTIONS(1634), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20770] = 35,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(2096), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2098), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(595), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(596), 1,
      sym__variable_scoped_property_access_expression,
    STATE(609), 1,
      sym__variable_member_access_expression,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(813), 1,
      sym_anonymous_class,
    STATE(881), 1,
      sym_text_interpolation,
    STATE(943), 1,
      sym_parenthesized_expression,
    STATE(1334), 1,
      sym__modifier,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      sym_attribute_group,
    STATE(1393), 1,
      sym_attribute_list,
    STATE(1394), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1791), 1,
      sym__new_variable,
    STATE(2471), 1,
      sym__class_name_reference,
    STATE(2477), 1,
      sym__name,
    STATE(2609), 1,
      sym_namespace_name,
    ACTIONS(2102), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(602), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [20886] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(882), 1,
      sym_text_interpolation,
    ACTIONS(1700), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20942] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(883), 1,
      sym_text_interpolation,
    ACTIONS(1626), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20998] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(884), 1,
      sym_text_interpolation,
    ACTIONS(1584), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21054] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(885), 1,
      sym_text_interpolation,
    ACTIONS(1638), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21110] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1881), 1,
      anon_sym_LPAREN,
    ACTIONS(1885), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    ACTIONS(1889), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(886), 1,
      sym_text_interpolation,
    STATE(1141), 1,
      sym_attribute_list,
    STATE(1234), 1,
      sym_visibility_modifier,
    STATE(1337), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1340), 1,
      sym_attribute_group,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1598), 1,
      sym__types,
    STATE(1767), 1,
      sym_type,
    STATE(2065), 1,
      sym_reference_modifier,
    STATE(2085), 1,
      sym_variable_name,
    STATE(2641), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2298), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [21208] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(887), 1,
      sym_text_interpolation,
    ACTIONS(1576), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21264] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(888), 1,
      sym_text_interpolation,
    ACTIONS(1688), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21320] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(889), 1,
      sym_text_interpolation,
    ACTIONS(1684), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21376] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    STATE(890), 1,
      sym_text_interpolation,
    ACTIONS(1759), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1650), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21438] = 35,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1801), 1,
      anon_sym_DOLLAR,
    ACTIONS(2096), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2098), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2104), 1,
      sym_name,
    ACTIONS(2106), 1,
      anon_sym_BSLASH,
    ACTIONS(2108), 1,
      anon_sym_LPAREN,
    STATE(764), 1,
      sym__new_variable,
    STATE(781), 1,
      sym__variable_scoped_property_access_expression,
    STATE(782), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(784), 1,
      sym__variable_member_access_expression,
    STATE(813), 1,
      sym_anonymous_class,
    STATE(891), 1,
      sym_text_interpolation,
    STATE(897), 1,
      sym__class_name_reference,
    STATE(898), 1,
      sym__name,
    STATE(906), 1,
      sym__reserved_identifier,
    STATE(943), 1,
      sym_parenthesized_expression,
    STATE(1334), 1,
      sym__modifier,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      sym_attribute_group,
    STATE(1393), 1,
      sym_attribute_list,
    STATE(1394), 1,
      aux_sym_class_declaration_repeat1,
    STATE(2648), 1,
      sym_namespace_name,
    ACTIONS(2102), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(766), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(779), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    STATE(909), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [21554] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(892), 1,
      sym_text_interpolation,
    STATE(2407), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1596), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1650), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21616] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    STATE(893), 1,
      sym_text_interpolation,
    ACTIONS(1999), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1997), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21673] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(894), 1,
      sym_text_interpolation,
    ACTIONS(1634), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21728] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(895), 1,
      sym_text_interpolation,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21783] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(896), 1,
      sym_text_interpolation,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21838] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_LPAREN,
    STATE(844), 1,
      sym_arguments,
    STATE(897), 1,
      sym_text_interpolation,
    ACTIONS(2112), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2110), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21897] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1855), 1,
      anon_sym_COLON_COLON,
    STATE(898), 1,
      sym_text_interpolation,
    ACTIONS(1853), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1851), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21954] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(899), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22009] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    STATE(900), 1,
      sym_text_interpolation,
    STATE(990), 1,
      sym_arguments,
    ACTIONS(1594), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22068] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(901), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22123] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    STATE(902), 1,
      sym_text_interpolation,
    STATE(981), 1,
      sym_arguments,
    ACTIONS(1588), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22182] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(903), 1,
      sym_text_interpolation,
    ACTIONS(2118), 17,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2116), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [22237] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(904), 1,
      sym_text_interpolation,
    ACTIONS(1759), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1650), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22296] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(905), 1,
      sym_text_interpolation,
    ACTIONS(1622), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1620), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22351] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(906), 1,
      sym_text_interpolation,
    ACTIONS(1598), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22406] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(907), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1652), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22463] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(908), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1652), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22520] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(909), 1,
      sym_text_interpolation,
    ACTIONS(2120), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1925), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22575] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(910), 1,
      sym_text_interpolation,
    ACTIONS(1810), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22630] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(911), 1,
      sym_text_interpolation,
    ACTIONS(1810), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22685] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(912), 1,
      sym_text_interpolation,
    ACTIONS(1618), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22740] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(913), 1,
      sym_text_interpolation,
    ACTIONS(1646), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22795] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(914), 1,
      sym_text_interpolation,
    ACTIONS(1642), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22850] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(915), 1,
      sym_text_interpolation,
    ACTIONS(1759), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1650), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22909] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(916), 1,
      sym_text_interpolation,
    ACTIONS(1999), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1997), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22963] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(917), 1,
      sym_text_interpolation,
    ACTIONS(1466), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1464), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23017] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(918), 1,
      sym_text_interpolation,
    ACTIONS(1670), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23071] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(919), 1,
      sym_text_interpolation,
    ACTIONS(1684), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23125] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    STATE(920), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1652), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23183] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(921), 1,
      sym_text_interpolation,
    ACTIONS(1955), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1953), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23237] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(922), 1,
      sym_text_interpolation,
    ACTIONS(2008), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2006), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23291] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(923), 1,
      sym_text_interpolation,
    ACTIONS(2012), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2010), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23345] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN,
    STATE(924), 1,
      sym_text_interpolation,
    ACTIONS(1634), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23401] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(925), 1,
      sym_text_interpolation,
    ACTIONS(2056), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2054), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23455] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(926), 1,
      sym_text_interpolation,
    ACTIONS(1941), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1939), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23509] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(927), 1,
      sym_text_interpolation,
    ACTIONS(1700), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23563] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(928), 1,
      sym_text_interpolation,
    ACTIONS(1869), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1867), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23617] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(929), 1,
      sym_text_interpolation,
    ACTIONS(1915), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1913), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23671] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(930), 1,
      sym_text_interpolation,
    ACTIONS(1584), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23725] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(931), 1,
      sym_text_interpolation,
    ACTIONS(1638), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23779] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(932), 1,
      sym_text_interpolation,
    ACTIONS(1576), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23833] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(933), 1,
      sym_text_interpolation,
    ACTIONS(2052), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2050), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23887] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(934), 1,
      sym_text_interpolation,
    ACTIONS(1634), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23941] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(935), 1,
      sym_text_interpolation,
    ACTIONS(1626), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23995] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(936), 1,
      sym_text_interpolation,
    ACTIONS(2048), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2046), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24049] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(937), 1,
      sym_text_interpolation,
    ACTIONS(1610), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24103] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(938), 1,
      sym_text_interpolation,
    ACTIONS(1991), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1989), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24157] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(939), 1,
      sym_text_interpolation,
    ACTIONS(1606), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24211] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(940), 1,
      sym_text_interpolation,
    ACTIONS(1606), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24265] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(941), 1,
      sym_text_interpolation,
    ACTIONS(2036), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2034), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24319] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(942), 1,
      sym_text_interpolation,
    ACTIONS(1630), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1628), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24373] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(943), 1,
      sym_text_interpolation,
    ACTIONS(1853), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1851), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24427] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(944), 1,
      sym_text_interpolation,
    ACTIONS(1254), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1252), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24481] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(945), 1,
      sym_text_interpolation,
    ACTIONS(1564), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24535] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(946), 1,
      sym_text_interpolation,
    ACTIONS(2040), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2038), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24589] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(947), 1,
      sym_text_interpolation,
    ACTIONS(1987), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24643] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(948), 1,
      sym_text_interpolation,
    ACTIONS(1696), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24697] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(949), 1,
      sym_text_interpolation,
    ACTIONS(1614), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24751] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(950), 1,
      sym_text_interpolation,
    ACTIONS(1580), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24805] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    STATE(951), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1995), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1993), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24863] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(952), 1,
      sym_text_interpolation,
    ACTIONS(1873), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24917] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(953), 1,
      sym_text_interpolation,
    ACTIONS(1618), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24971] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(954), 1,
      sym_text_interpolation,
    ACTIONS(1967), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1965), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25025] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2124), 1,
      anon_sym_DASH_GT,
    ACTIONS(2126), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(2128), 1,
      anon_sym_LBRACK,
    STATE(955), 1,
      sym_text_interpolation,
    ACTIONS(1853), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1851), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25087] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(956), 1,
      sym_text_interpolation,
    ACTIONS(1963), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25141] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(957), 1,
      sym_text_interpolation,
    ACTIONS(1983), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1981), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25195] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(958), 1,
      sym_text_interpolation,
    ACTIONS(1895), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1893), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25249] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(959), 1,
      sym_text_interpolation,
    ACTIONS(1899), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25303] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(960), 1,
      sym_text_interpolation,
    ACTIONS(1959), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1957), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25357] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(961), 1,
      sym_text_interpolation,
    ACTIONS(1903), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1901), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25411] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(962), 1,
      sym_text_interpolation,
    ACTIONS(1929), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1927), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25465] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(963), 1,
      sym_text_interpolation,
    ACTIONS(1907), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1905), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25519] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(2130), 1,
      anon_sym_COLON,
    STATE(964), 1,
      sym_text_interpolation,
    STATE(2407), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1596), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1650), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25581] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_LPAREN,
    STATE(965), 1,
      sym_text_interpolation,
    ACTIONS(1664), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25637] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(966), 1,
      sym_text_interpolation,
    ACTIONS(1925), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1650), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25693] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(967), 1,
      sym_text_interpolation,
    ACTIONS(1979), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1977), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25747] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(968), 1,
      sym_text_interpolation,
    ACTIONS(1680), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25801] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(969), 1,
      sym_text_interpolation,
    ACTIONS(2016), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2014), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25855] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(970), 1,
      sym_text_interpolation,
    ACTIONS(1923), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1921), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25909] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(971), 1,
      sym_text_interpolation,
    ACTIONS(1919), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1917), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25963] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    STATE(972), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1839), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26021] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(2132), 1,
      anon_sym_COLON,
    STATE(973), 1,
      sym_text_interpolation,
    STATE(2407), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1596), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1650), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26083] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(974), 1,
      sym_text_interpolation,
    ACTIONS(2020), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2018), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26137] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(975), 1,
      sym_text_interpolation,
    ACTIONS(1598), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26191] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(976), 1,
      sym_text_interpolation,
    ACTIONS(1975), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1973), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26245] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(977), 1,
      sym_text_interpolation,
    ACTIONS(2024), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2022), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26299] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1636), 1,
      anon_sym_LPAREN,
    STATE(978), 1,
      sym_text_interpolation,
    ACTIONS(1845), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1843), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26355] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(979), 1,
      sym_text_interpolation,
    ACTIONS(1692), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1690), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26409] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(980), 1,
      sym_text_interpolation,
    ACTIONS(2028), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2026), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26463] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(981), 1,
      sym_text_interpolation,
    ACTIONS(1602), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26517] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    STATE(982), 1,
      sym_text_interpolation,
    ACTIONS(1999), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1997), 28,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26573] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(983), 1,
      sym_text_interpolation,
    ACTIONS(1865), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1863), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26627] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(984), 1,
      sym_text_interpolation,
    ACTIONS(1971), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1969), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26681] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(985), 1,
      sym_text_interpolation,
    ACTIONS(1646), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26735] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(986), 1,
      sym_text_interpolation,
    ACTIONS(1642), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26789] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    STATE(987), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1650), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26847] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(988), 1,
      sym_text_interpolation,
    ACTIONS(2068), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2066), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26901] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(989), 1,
      sym_text_interpolation,
    ACTIONS(2064), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2062), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26955] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(990), 1,
      sym_text_interpolation,
    ACTIONS(1674), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27009] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1935), 1,
      anon_sym_LPAREN,
    STATE(991), 1,
      sym_text_interpolation,
    ACTIONS(1937), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1933), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1931), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27067] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(992), 1,
      sym_text_interpolation,
    ACTIONS(1678), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27121] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(993), 1,
      sym_text_interpolation,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27175] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(994), 1,
      sym_text_interpolation,
    ACTIONS(1564), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27229] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(995), 1,
      sym_text_interpolation,
    ACTIONS(1622), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1620), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27283] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(996), 1,
      sym_text_interpolation,
    ACTIONS(1688), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27337] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(2134), 1,
      anon_sym_COLON,
    STATE(997), 1,
      sym_text_interpolation,
    STATE(2407), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1596), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1650), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27399] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(998), 1,
      sym_text_interpolation,
    ACTIONS(1911), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1909), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27453] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(999), 1,
      sym_text_interpolation,
    ACTIONS(1943), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1650), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27509] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(1000), 1,
      sym_text_interpolation,
    STATE(2407), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1598), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27567] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1001), 1,
      sym_text_interpolation,
    ACTIONS(1704), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27621] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_LPAREN,
    STATE(1002), 1,
      sym_text_interpolation,
    ACTIONS(1849), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1847), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27677] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1003), 1,
      sym_text_interpolation,
    ACTIONS(1947), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1945), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27731] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1004), 1,
      sym_text_interpolation,
    ACTIONS(2032), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2030), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27785] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1005), 1,
      sym_text_interpolation,
    ACTIONS(1943), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1951), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27841] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1006), 1,
      sym_text_interpolation,
    ACTIONS(2060), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2058), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27895] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    STATE(1007), 1,
      sym_text_interpolation,
    ACTIONS(2136), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1999), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1997), 25,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27952] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1008), 1,
      sym_text_interpolation,
    ACTIONS(1951), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28005] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1009), 1,
      sym_text_interpolation,
    ACTIONS(2140), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2138), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28058] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1010), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1652), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28113] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1011), 1,
      sym_text_interpolation,
    ACTIONS(2144), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2142), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28166] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1012), 1,
      sym_text_interpolation,
    ACTIONS(2148), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2146), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28219] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1013), 1,
      sym_text_interpolation,
    ACTIONS(2152), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2150), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28272] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1014), 1,
      sym_text_interpolation,
    ACTIONS(2156), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2154), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28325] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1015), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1652), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28380] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1016), 1,
      sym_text_interpolation,
    ACTIONS(2160), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2158), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28433] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1807), 1,
      anon_sym_BSLASH,
    STATE(1017), 1,
      sym_text_interpolation,
    STATE(2432), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1803), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1805), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28490] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1018), 1,
      sym_text_interpolation,
    ACTIONS(2164), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2162), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28543] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1019), 1,
      sym_text_interpolation,
    ACTIONS(2168), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2166), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28596] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1020), 1,
      sym_text_interpolation,
    ACTIONS(2172), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2170), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28649] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1021), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28702] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1022), 1,
      sym_text_interpolation,
    ACTIONS(2180), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2178), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28755] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1023), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1995), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1993), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28810] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1024), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1995), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1993), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28865] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1025), 1,
      sym_text_interpolation,
    ACTIONS(2184), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2182), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28918] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1026), 1,
      sym_text_interpolation,
    ACTIONS(2188), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28971] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1027), 1,
      sym_text_interpolation,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29024] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1028), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1650), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29079] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1029), 1,
      sym_text_interpolation,
    ACTIONS(2196), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29132] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1030), 1,
      sym_text_interpolation,
    ACTIONS(1933), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1931), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29185] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1031), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1839), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29240] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1032), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1839), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29295] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1033), 1,
      sym_text_interpolation,
    ACTIONS(2200), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2198), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29348] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1034), 1,
      sym_text_interpolation,
    ACTIONS(2204), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2202), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29401] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1035), 1,
      sym_text_interpolation,
    ACTIONS(2208), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29454] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1036), 1,
      sym_text_interpolation,
    ACTIONS(1650), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29507] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1037), 1,
      sym_text_interpolation,
    ACTIONS(2212), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2210), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29560] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1038), 1,
      sym_text_interpolation,
    ACTIONS(2216), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2214), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29613] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1039), 1,
      sym_text_interpolation,
    ACTIONS(2220), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2218), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29666] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token1,
    STATE(1040), 1,
      sym_text_interpolation,
    ACTIONS(2212), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2210), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29721] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1041), 1,
      sym_text_interpolation,
    ACTIONS(1704), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29773] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1042), 1,
      sym_text_interpolation,
    ACTIONS(1598), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29825] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1043), 1,
      sym_text_interpolation,
    ACTIONS(2120), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1925), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29877] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1044), 1,
      sym_text_interpolation,
    ACTIONS(1810), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1812), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29928] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_COLON_COLON,
    STATE(1045), 1,
      sym_text_interpolation,
    ACTIONS(1853), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1851), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29981] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    STATE(989), 1,
      sym_arguments,
    STATE(1046), 1,
      sym_text_interpolation,
    ACTIONS(2112), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2110), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30036] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    STATE(1047), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 8,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [30122] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1048), 1,
      sym_text_interpolation,
    ACTIONS(1853), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1851), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30172] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    STATE(1049), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [30260] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    STATE(1050), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2264), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [30348] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    STATE(1051), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2266), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30430] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    STATE(1052), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2268), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30512] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    STATE(1053), 1,
      sym_text_interpolation,
    ACTIONS(2220), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2218), 25,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30564] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    STATE(1054), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2218), 20,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [30624] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    STATE(1055), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2218), 22,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [30682] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    STATE(1056), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2218), 19,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [30744] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    STATE(1057), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2220), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2218), 18,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [30810] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    STATE(1058), 1,
      sym_text_interpolation,
    ACTIONS(2220), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 14,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [30882] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_QMARK,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    STATE(1059), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 13,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [30958] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    STATE(1060), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [31046] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_QMARK,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    STATE(1061), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 12,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [31124] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    STATE(1062), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 9,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31208] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    STATE(1063), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2272), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [31296] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    STATE(1064), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31378] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    STATE(1065), 1,
      sym_text_interpolation,
    ACTIONS(2220), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2218), 25,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31430] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_QMARK,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    STATE(1066), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31512] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    STATE(1067), 1,
      sym_text_interpolation,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2218), 24,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [31568] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    STATE(1068), 1,
      sym_text_interpolation,
    ACTIONS(2220), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 13,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [31642] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    STATE(1069), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 14,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [31712] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    STATE(1070), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [31800] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    STATE(1071), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2276), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [31888] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    STATE(1072), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [31976] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2280), 1,
      anon_sym_EQ_GT,
    STATE(1073), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2178), 6,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [32066] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    STATE(1074), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2282), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32148] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    STATE(1075), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [32236] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    STATE(1076), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [32324] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1077), 1,
      sym_text_interpolation,
    ACTIONS(1564), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32374] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    STATE(1078), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32456] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    STATE(1079), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32538] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    STATE(1080), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [32626] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1081), 1,
      sym_text_interpolation,
    ACTIONS(2196), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32675] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_QMARK,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    STATE(1082), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [32752] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1083), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [32839] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1084), 1,
      sym_text_interpolation,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32888] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1085), 1,
      sym_text_interpolation,
    ACTIONS(2216), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2214), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32937] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      aux_sym_binary_expression_token1,
    STATE(1086), 1,
      sym_text_interpolation,
    ACTIONS(2212), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2210), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32988] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    STATE(1087), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2218), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [33049] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1088), 1,
      sym_text_interpolation,
    ACTIONS(2212), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2210), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33098] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1089), 1,
      sym_text_interpolation,
    ACTIONS(2164), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2162), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33147] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1090), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [33234] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1091), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2282), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33315] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1092), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33402] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    ACTIONS(2380), 1,
      anon_sym_EQ_GT,
    STATE(1093), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2178), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [33491] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1094), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33578] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1095), 1,
      sym_text_interpolation,
    ACTIONS(1650), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33627] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1096), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2276), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [33714] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    STATE(1097), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [33783] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1098), 1,
      sym_text_interpolation,
    ACTIONS(2220), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2218), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33832] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1099), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [33919] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1100), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2272), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [34006] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1101), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2220), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2218), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34071] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1102), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34120] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1103), 1,
      sym_text_interpolation,
    ACTIONS(2172), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2170), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34169] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1104), 1,
      sym_text_interpolation,
    ACTIONS(2168), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2166), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34218] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    STATE(1105), 1,
      sym_text_interpolation,
    ACTIONS(2220), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2218), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34269] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1106), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [34356] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    STATE(1107), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2218), 19,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [34415] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1108), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2266), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34496] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    STATE(1109), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2218), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [34553] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1110), 1,
      sym_text_interpolation,
    STATE(1334), 1,
      sym__modifier,
    STATE(1385), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1442), 1,
      sym__const_declaration,
    ACTIONS(2384), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2382), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [34610] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1111), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34691] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    STATE(1112), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2218), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [34752] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1113), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2268), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34833] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1114), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [34920] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    STATE(1115), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2220), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2218), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34985] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1116), 1,
      sym_text_interpolation,
    ACTIONS(2188), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35034] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1117), 1,
      sym_text_interpolation,
    ACTIONS(2208), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35083] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1118), 1,
      sym_text_interpolation,
    ACTIONS(2184), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2182), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35132] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1119), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2264), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [35219] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1120), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [35306] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    STATE(1121), 1,
      sym_text_interpolation,
    ACTIONS(2220), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [35377] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1122), 1,
      sym_text_interpolation,
    STATE(1334), 1,
      sym__modifier,
    STATE(1385), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1434), 1,
      sym__const_declaration,
    ACTIONS(2384), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2382), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [35434] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_QMARK,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    STATE(1123), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [35509] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1124), 1,
      sym_text_interpolation,
    ACTIONS(2220), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [35580] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1125), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [35667] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1126), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2220), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [35736] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1127), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35817] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1128), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2282), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35898] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1129), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [35985] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1130), 1,
      sym_text_interpolation,
    ACTIONS(1951), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36034] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1131), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [36121] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1132), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36202] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1133), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36285] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1134), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [36370] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1135), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36451] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1136), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [36538] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1137), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36619] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1138), 1,
      sym_text_interpolation,
    ACTIONS(1039), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1037), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36668] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1139), 1,
      sym_text_interpolation,
    ACTIONS(2144), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2142), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36717] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1140), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [36792] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1881), 1,
      anon_sym_LPAREN,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(2386), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1141), 1,
      sym_text_interpolation,
    STATE(1233), 1,
      sym_visibility_modifier,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1598), 1,
      sym__types,
    STATE(1797), 1,
      sym_type,
    STATE(2179), 1,
      sym_reference_modifier,
    STATE(2181), 1,
      sym_variable_name,
    STATE(2641), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [36873] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1142), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [36950] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2390), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2395), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2398), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2401), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2404), 1,
      sym_var_modifier,
    STATE(1334), 1,
      sym__modifier,
    STATE(1143), 2,
      sym_text_interpolation,
      aux_sym_class_declaration_repeat1,
    ACTIONS(2393), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2407), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2388), 17,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [37015] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1144), 1,
      sym_text_interpolation,
    ACTIONS(2204), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2202), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37064] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1145), 1,
      sym_text_interpolation,
    ACTIONS(2220), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [37137] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    STATE(1146), 1,
      sym_text_interpolation,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2218), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [37192] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1147), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37273] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1148), 1,
      sym_text_interpolation,
    ACTIONS(1933), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1931), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37322] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2410), 1,
      anon_sym_EQ_GT,
    STATE(1149), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2178), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_binary_expression_token1,
  [37411] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    STATE(1150), 1,
      sym_text_interpolation,
    ACTIONS(2220), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2218), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37462] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1151), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37543] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1152), 1,
      sym_text_interpolation,
    ACTIONS(1047), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1045), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37592] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    STATE(1153), 1,
      sym_text_interpolation,
    ACTIONS(2220), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2218), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37643] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_QMARK,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1154), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37724] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1155), 1,
      sym_text_interpolation,
    ACTIONS(2180), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2178), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37773] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    STATE(1156), 1,
      sym_text_interpolation,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2218), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [37828] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1157), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [37915] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1158), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [38000] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1159), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2266), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38081] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1160), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38164] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1161), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2268), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38245] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    STATE(1162), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2218), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [38302] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    STATE(1163), 1,
      sym_text_interpolation,
    ACTIONS(2220), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2218), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38353] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1164), 1,
      sym_text_interpolation,
    ACTIONS(2152), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2150), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38402] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    STATE(1165), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2218), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [38461] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1166), 1,
      sym_text_interpolation,
    ACTIONS(2160), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2158), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38510] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1167), 1,
      sym_text_interpolation,
    ACTIONS(2200), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2198), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38559] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1168), 1,
      sym_text_interpolation,
    ACTIONS(2156), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2154), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38608] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1169), 1,
      sym_text_interpolation,
    ACTIONS(2148), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2146), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38657] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1170), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2276), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [38744] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1171), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2272), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [38831] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1172), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [38918] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1173), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2264), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [39005] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1174), 1,
      sym_text_interpolation,
    ACTIONS(2140), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2138), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [39054] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    STATE(1175), 1,
      sym_text_interpolation,
    ACTIONS(2220), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [39127] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    STATE(1176), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 6,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [39211] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2450), 1,
      anon_sym_EQ_GT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    STATE(1177), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2178), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39299] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    STATE(1178), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39379] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    STATE(1179), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2266), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39459] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    STATE(1180), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2218), 20,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [39515] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    STATE(1181), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [39601] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    STATE(1182), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 11,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [39675] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    STATE(1183), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2218), 17,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [39735] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    STATE(1184), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [39821] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    STATE(1185), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [39889] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    STATE(1186), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2264), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [39975] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    STATE(1187), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40055] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    STATE(1188), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [40141] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    STATE(1189), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2272), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [40227] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    STATE(1190), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2276), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [40313] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2284), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    STATE(1191), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2282), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40393] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    STATE(1192), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 10,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [40469] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    STATE(1193), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2218), 18,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [40527] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    STATE(1194), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [40613] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    STATE(1195), 1,
      sym_text_interpolation,
    ACTIONS(2220), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2218), 23,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [40663] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    STATE(1196), 1,
      sym_text_interpolation,
    ACTIONS(2220), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 11,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [40735] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    STATE(1197), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2268), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40815] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    STATE(1198), 1,
      sym_text_interpolation,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2218), 22,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [40869] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    STATE(1199), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [40955] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    STATE(1200), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2190), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [41041] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    STATE(1201), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [41121] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    STATE(1202), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [41207] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    STATE(1203), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2220), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2218), 16,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41271] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    STATE(1204), 1,
      sym_text_interpolation,
    ACTIONS(2220), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [41341] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    STATE(1205), 1,
      sym_text_interpolation,
    ACTIONS(2220), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2218), 23,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [41391] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    STATE(1206), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [41471] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    STATE(1207), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2218), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [41553] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1208), 1,
      sym_text_interpolation,
    STATE(2336), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2454), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41642] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1209), 1,
      sym_text_interpolation,
    STATE(2338), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2458), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41731] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(961), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1210), 1,
      sym_text_interpolation,
    ACTIONS(2208), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [41780] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(961), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1211), 1,
      sym_text_interpolation,
    ACTIONS(2188), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [41829] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1212), 1,
      sym_text_interpolation,
    STATE(2364), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2460), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41918] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1213), 1,
      sym_text_interpolation,
    STATE(2339), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2462), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42007] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1214), 1,
      sym_text_interpolation,
    STATE(2308), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42096] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1215), 1,
      sym_text_interpolation,
    STATE(2312), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2466), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42185] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1216), 1,
      sym_text_interpolation,
    STATE(2313), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42274] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1217), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2470), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [42359] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1218), 1,
      sym_text_interpolation,
    STATE(2330), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2472), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42448] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1219), 1,
      sym_text_interpolation,
    STATE(2140), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42534] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1826), 1,
      anon_sym_LPAREN,
    ACTIONS(1828), 1,
      anon_sym_QMARK,
    ACTIONS(2474), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1220), 1,
      sym_text_interpolation,
    STATE(1486), 1,
      sym__types,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1613), 1,
      sym_type,
    STATE(1823), 1,
      sym_const_element,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2650), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [42606] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1221), 1,
      sym_text_interpolation,
    STATE(2132), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42692] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1222), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2476), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42776] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    ACTIONS(2478), 1,
      anon_sym_EQ_GT,
    STATE(1223), 1,
      sym_text_interpolation,
    ACTIONS(2178), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42862] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2482), 1,
      anon_sym_COMMA,
    STATE(1224), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2480), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42948] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1826), 1,
      anon_sym_LPAREN,
    ACTIONS(1828), 1,
      anon_sym_QMARK,
    ACTIONS(2474), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1225), 1,
      sym_text_interpolation,
    STATE(1486), 1,
      sym__types,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1566), 1,
      sym_type,
    STATE(1776), 1,
      sym_const_element,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2650), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [43020] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1826), 1,
      anon_sym_LPAREN,
    ACTIONS(1828), 1,
      anon_sym_QMARK,
    ACTIONS(2474), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1226), 1,
      sym_text_interpolation,
    STATE(1486), 1,
      sym__types,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1583), 1,
      sym_type,
    STATE(1789), 1,
      sym_const_element,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2650), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [43092] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1227), 1,
      sym_text_interpolation,
    STATE(2136), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43178] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(493), 1,
      sym__semicolon,
    STATE(1228), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43264] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1229), 1,
      sym_text_interpolation,
    STATE(2070), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43350] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2482), 1,
      anon_sym_COMMA,
    STATE(1230), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2484), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43436] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2486), 1,
      anon_sym_EQ_GT,
    STATE(1231), 1,
      sym_text_interpolation,
    ACTIONS(2178), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43522] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(548), 1,
      sym__semicolon,
    STATE(1232), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43608] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1826), 1,
      anon_sym_LPAREN,
    ACTIONS(1828), 1,
      anon_sym_QMARK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(1233), 1,
      sym_text_interpolation,
    STATE(1294), 1,
      sym_readonly_modifier,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1676), 1,
      sym__types,
    STATE(1856), 1,
      sym_type,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1829), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [43682] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1826), 1,
      anon_sym_LPAREN,
    ACTIONS(1828), 1,
      anon_sym_QMARK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(1234), 1,
      sym_text_interpolation,
    STATE(1311), 1,
      sym_readonly_modifier,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1676), 1,
      sym__types,
    STATE(1889), 1,
      sym_type,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1796), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [43756] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    ACTIONS(2488), 1,
      anon_sym_EQ_GT,
    STATE(1235), 1,
      sym_text_interpolation,
    ACTIONS(2178), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43842] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(549), 1,
      sym__semicolon,
    STATE(1236), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43928] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1237), 1,
      sym_text_interpolation,
    STATE(1712), 1,
      sym__semicolon,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44014] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(1238), 1,
      sym_text_interpolation,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2492), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44098] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_PIPE,
    ACTIONS(2304), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2316), 1,
      anon_sym_GT_EQ,
    ACTIONS(2320), 1,
      anon_sym_DOT,
    ACTIONS(2324), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2332), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2334), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2336), 1,
      anon_sym_PIPE_PIPE,
    STATE(541), 1,
      sym__semicolon,
    STATE(1239), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2302), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2322), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2314), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2312), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44184] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    ACTIONS(2494), 1,
      anon_sym_COMMA,
    ACTIONS(2496), 1,
      anon_sym_EQ_GT,
    STATE(1240), 1,
      sym_text_interpolation,
    STATE(2226), 1,
      aux_sym_match_condition_list_repeat1,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44272] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1826), 1,
      anon_sym_LPAREN,
    ACTIONS(1828), 1,
      anon_sym_QMARK,
    ACTIONS(2474), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1241), 1,
      sym_text_interpolation,
    STATE(1486), 1,
      sym__types,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1593), 1,
      sym_type,
    STATE(1735), 1,
      sym_const_element,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2650), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [44344] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2500), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2502), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2504), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2506), 1,
      anon_sym_RBRACE,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    STATE(715), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1122), 1,
      sym_final_modifier,
    STATE(1242), 1,
      sym_text_interpolation,
    STATE(1252), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1368), 1,
      sym_attribute_list,
    STATE(1370), 1,
      sym_attribute_group,
    STATE(1425), 1,
      sym__class_const_declaration,
    STATE(1426), 1,
      sym__const_declaration,
    STATE(1433), 1,
      sym__member_declaration,
    STATE(1805), 1,
      sym__function_definition_header,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1431), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [44433] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    STATE(1243), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44516] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2520), 1,
      anon_sym_EQ_GT,
    ACTIONS(2522), 1,
      anon_sym_RPAREN,
    STATE(1244), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44601] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    STATE(1245), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2524), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44684] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    STATE(1246), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2526), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44767] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    STATE(1247), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2528), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44850] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2530), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2533), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2539), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2542), 1,
      anon_sym_RBRACE,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2547), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2553), 1,
      sym_var_modifier,
    ACTIONS(2559), 1,
      anon_sym_POUND_LBRACK,
    STATE(715), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1122), 1,
      sym_final_modifier,
    STATE(1334), 1,
      sym__modifier,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1368), 1,
      sym_attribute_list,
    STATE(1370), 1,
      sym_attribute_group,
    STATE(1425), 1,
      sym__class_const_declaration,
    STATE(1426), 1,
      sym__const_declaration,
    STATE(1433), 1,
      sym__member_declaration,
    STATE(1805), 1,
      sym__function_definition_header,
    STATE(1248), 2,
      sym_text_interpolation,
      aux_sym_declaration_list_repeat1,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1431), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [44937] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    STATE(1249), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45020] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2484), 1,
      anon_sym_RPAREN,
    ACTIONS(2564), 1,
      anon_sym_COMMA,
    STATE(1250), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45105] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    STATE(1251), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2566), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45188] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2500), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2502), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2504), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    ACTIONS(2568), 1,
      anon_sym_RBRACE,
    STATE(715), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1122), 1,
      sym_final_modifier,
    STATE(1248), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1252), 1,
      sym_text_interpolation,
    STATE(1334), 1,
      sym__modifier,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1368), 1,
      sym_attribute_list,
    STATE(1370), 1,
      sym_attribute_group,
    STATE(1425), 1,
      sym__class_const_declaration,
    STATE(1426), 1,
      sym__const_declaration,
    STATE(1433), 1,
      sym__member_declaration,
    STATE(1805), 1,
      sym__function_definition_header,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1431), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [45277] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2500), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2502), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2504), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    ACTIONS(2570), 1,
      anon_sym_RBRACE,
    STATE(715), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1122), 1,
      sym_final_modifier,
    STATE(1248), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1253), 1,
      sym_text_interpolation,
    STATE(1334), 1,
      sym__modifier,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1368), 1,
      sym_attribute_list,
    STATE(1370), 1,
      sym_attribute_group,
    STATE(1425), 1,
      sym__class_const_declaration,
    STATE(1426), 1,
      sym__const_declaration,
    STATE(1433), 1,
      sym__member_declaration,
    STATE(1805), 1,
      sym__function_definition_header,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1431), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [45366] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    ACTIONS(2480), 1,
      anon_sym_SEMI,
    ACTIONS(2572), 1,
      anon_sym_COMMA,
    STATE(1254), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45451] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    STATE(1255), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2574), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45534] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    STATE(1256), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2576), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45617] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1257), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2578), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45700] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    STATE(1258), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2580), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45783] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2480), 1,
      anon_sym_RPAREN,
    ACTIONS(2564), 1,
      anon_sym_COMMA,
    STATE(1259), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45868] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    STATE(1260), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2582), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45951] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    ACTIONS(2484), 1,
      anon_sym_SEMI,
    ACTIONS(2572), 1,
      anon_sym_COMMA,
    STATE(1261), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46036] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2500), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2502), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2504), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    ACTIONS(2584), 1,
      anon_sym_RBRACE,
    STATE(715), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1122), 1,
      sym_final_modifier,
    STATE(1262), 1,
      sym_text_interpolation,
    STATE(1268), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1368), 1,
      sym_attribute_list,
    STATE(1370), 1,
      sym_attribute_group,
    STATE(1425), 1,
      sym__class_const_declaration,
    STATE(1426), 1,
      sym__const_declaration,
    STATE(1433), 1,
      sym__member_declaration,
    STATE(1805), 1,
      sym__function_definition_header,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1431), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [46125] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    STATE(1263), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2586), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46208] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1264), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2588), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46291] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    STATE(1265), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2590), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46374] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2500), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2502), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2504), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    ACTIONS(2592), 1,
      anon_sym_RBRACE,
    STATE(715), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1122), 1,
      sym_final_modifier,
    STATE(1253), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1266), 1,
      sym_text_interpolation,
    STATE(1334), 1,
      sym__modifier,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1368), 1,
      sym_attribute_list,
    STATE(1370), 1,
      sym_attribute_group,
    STATE(1425), 1,
      sym__class_const_declaration,
    STATE(1426), 1,
      sym__const_declaration,
    STATE(1433), 1,
      sym__member_declaration,
    STATE(1805), 1,
      sym__function_definition_header,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1431), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [46463] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    STATE(1267), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2594), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46546] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2500), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2502), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2504), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    ACTIONS(2596), 1,
      anon_sym_RBRACE,
    STATE(715), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1122), 1,
      sym_final_modifier,
    STATE(1248), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1268), 1,
      sym_text_interpolation,
    STATE(1334), 1,
      sym__modifier,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1368), 1,
      sym_attribute_list,
    STATE(1370), 1,
      sym_attribute_group,
    STATE(1425), 1,
      sym__class_const_declaration,
    STATE(1426), 1,
      sym__const_declaration,
    STATE(1433), 1,
      sym__member_declaration,
    STATE(1805), 1,
      sym__function_definition_header,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1431), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [46635] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2428), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2430), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2432), 1,
      anon_sym_CARET,
    ACTIONS(2440), 1,
      anon_sym_GT_EQ,
    ACTIONS(2444), 1,
      anon_sym_DOT,
    ACTIONS(2448), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      aux_sym_binary_expression_token3,
    STATE(1269), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2434), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2442), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2598), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2438), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2436), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46718] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2600), 1,
      anon_sym_RBRACE,
    STATE(1270), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46800] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2602), 1,
      anon_sym_RPAREN,
    STATE(1271), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46882] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2604), 1,
      anon_sym_RPAREN,
    STATE(1272), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46964] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2606), 1,
      anon_sym_RBRACE,
    STATE(1273), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47046] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2608), 1,
      anon_sym_RBRACE,
    STATE(1274), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47128] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2610), 1,
      anon_sym_RBRACE,
    STATE(1275), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47210] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2612), 1,
      anon_sym_COLON,
    STATE(1276), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47292] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    ACTIONS(2614), 1,
      anon_sym_RBRACK,
    STATE(1277), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47374] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    ACTIONS(2616), 1,
      anon_sym_RBRACK,
    STATE(1278), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47456] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2522), 1,
      anon_sym_RPAREN,
    STATE(1279), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47538] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    ACTIONS(2618), 1,
      anon_sym_RBRACK,
    STATE(1280), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47620] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2620), 1,
      anon_sym_COLON,
    STATE(1281), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47702] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2622), 1,
      anon_sym_EQ_GT,
    STATE(1282), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47784] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2624), 1,
      anon_sym_RBRACE,
    STATE(1283), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47866] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2626), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1284), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47948] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2628), 1,
      anon_sym_RBRACE,
    STATE(1285), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48030] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2630), 1,
      anon_sym_RPAREN,
    STATE(1286), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48112] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2632), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1287), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48194] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2634), 1,
      anon_sym_RBRACE,
    STATE(1288), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48276] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2636), 1,
      anon_sym_RBRACE,
    STATE(1289), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48358] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    ACTIONS(2638), 1,
      anon_sym_RBRACK,
    STATE(1290), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48440] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2640), 1,
      anon_sym_COLON,
    STATE(1291), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48522] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    ACTIONS(2642), 1,
      anon_sym_RBRACK,
    STATE(1292), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48604] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2644), 1,
      anon_sym_RBRACE,
    STATE(1293), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48686] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1826), 1,
      anon_sym_LPAREN,
    ACTIONS(1828), 1,
      anon_sym_QMARK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(1294), 1,
      sym_text_interpolation,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1676), 1,
      sym__types,
    STATE(1879), 1,
      sym_type,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1810), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [48754] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2646), 1,
      anon_sym_RPAREN,
    STATE(1295), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48836] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    ACTIONS(2648), 1,
      anon_sym_RBRACK,
    STATE(1296), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48918] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    ACTIONS(2650), 1,
      anon_sym_RBRACK,
    STATE(1297), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49000] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2652), 1,
      anon_sym_RBRACE,
    STATE(1298), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49082] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2654), 1,
      anon_sym_RBRACE,
    STATE(1299), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49164] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2656), 1,
      anon_sym_RBRACE,
    STATE(1300), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49246] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2658), 1,
      anon_sym_COLON,
    STATE(1301), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49328] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2660), 1,
      anon_sym_EQ_GT,
    STATE(1302), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49410] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    ACTIONS(2662), 1,
      anon_sym_RBRACK,
    STATE(1303), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49492] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    ACTIONS(2664), 1,
      anon_sym_RBRACK,
    STATE(1304), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49574] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    ACTIONS(2666), 1,
      anon_sym_RBRACK,
    STATE(1305), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49656] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2668), 1,
      anon_sym_RBRACE,
    STATE(1306), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49738] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2670), 1,
      anon_sym_RPAREN,
    STATE(1307), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49820] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2672), 1,
      anon_sym_RBRACE,
    STATE(1308), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49902] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    ACTIONS(2674), 1,
      anon_sym_RBRACK,
    STATE(1309), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49984] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2676), 1,
      anon_sym_RBRACE,
    STATE(1310), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50066] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1826), 1,
      anon_sym_LPAREN,
    ACTIONS(1828), 1,
      anon_sym_QMARK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(1311), 1,
      sym_text_interpolation,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1676), 1,
      sym__types,
    STATE(1863), 1,
      sym_type,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1825), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50134] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2678), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1312), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50216] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2680), 1,
      anon_sym_RBRACE,
    STATE(1313), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50298] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_DOT,
    ACTIONS(2350), 1,
      anon_sym_PERCENT,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_QMARK,
    ACTIONS(2356), 1,
      anon_sym_PIPE,
    ACTIONS(2358), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2360), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2362), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2364), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2366), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2370), 1,
      anon_sym_CARET,
    ACTIONS(2378), 1,
      anon_sym_GT_EQ,
    ACTIONS(2682), 1,
      anon_sym_RBRACK,
    STATE(1314), 1,
      sym_text_interpolation,
    ACTIONS(2340), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2348), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2372), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2376), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2374), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50380] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2684), 1,
      anon_sym_RBRACE,
    STATE(1315), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50462] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2686), 1,
      anon_sym_RBRACE,
    STATE(1316), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50544] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2688), 1,
      anon_sym_RPAREN,
    STATE(1317), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50626] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2690), 1,
      anon_sym_EQ_GT,
    STATE(1318), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50708] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2692), 1,
      anon_sym_RBRACE,
    STATE(1319), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50790] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2694), 1,
      anon_sym_RBRACE,
    STATE(1320), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50872] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2696), 1,
      anon_sym_RPAREN,
    STATE(1321), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50954] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_QMARK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2234), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2238), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2240), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2242), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2244), 1,
      anon_sym_CARET,
    ACTIONS(2252), 1,
      anon_sym_GT_EQ,
    ACTIONS(2256), 1,
      anon_sym_DOT,
    ACTIONS(2260), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2698), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1322), 1,
      sym_text_interpolation,
    ACTIONS(2230), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2254), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2258), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2250), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2248), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51036] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1323), 1,
      sym_text_interpolation,
    ACTIONS(2702), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2700), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51079] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1324), 1,
      sym_text_interpolation,
    ACTIONS(2706), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2704), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51122] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1325), 1,
      sym_text_interpolation,
    ACTIONS(2710), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2708), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51165] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2500), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2502), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    ACTIONS(2712), 1,
      anon_sym_RBRACE,
    ACTIONS(2714), 1,
      aux_sym_enum_case_token1,
    STATE(1326), 1,
      sym_text_interpolation,
    STATE(1328), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      sym_attribute_group,
    STATE(1374), 1,
      sym_attribute_list,
    STATE(1382), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1427), 1,
      sym__enum_member_declaration,
    STATE(1805), 1,
      sym__function_definition_header,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1428), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51246] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1327), 1,
      sym_text_interpolation,
    ACTIONS(1814), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2716), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51289] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2718), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2721), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2724), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2727), 1,
      anon_sym_RBRACE,
    ACTIONS(2729), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2732), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2735), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2738), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2741), 1,
      sym_var_modifier,
    ACTIONS(2747), 1,
      anon_sym_POUND_LBRACK,
    STATE(1334), 1,
      sym__modifier,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      sym_attribute_group,
    STATE(1374), 1,
      sym_attribute_list,
    STATE(1382), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1427), 1,
      sym__enum_member_declaration,
    STATE(1805), 1,
      sym__function_definition_header,
    STATE(1328), 2,
      sym_text_interpolation,
      aux_sym_enum_declaration_list_repeat1,
    ACTIONS(2744), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1428), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51368] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2500), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2502), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    ACTIONS(2714), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2750), 1,
      anon_sym_RBRACE,
    STATE(1328), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1329), 1,
      sym_text_interpolation,
    STATE(1334), 1,
      sym__modifier,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      sym_attribute_group,
    STATE(1374), 1,
      sym_attribute_list,
    STATE(1382), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1427), 1,
      sym__enum_member_declaration,
    STATE(1805), 1,
      sym__function_definition_header,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1428), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51449] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2500), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2502), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    ACTIONS(2714), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2752), 1,
      anon_sym_RBRACE,
    STATE(1329), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1330), 1,
      sym_text_interpolation,
    STATE(1334), 1,
      sym__modifier,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      sym_attribute_group,
    STATE(1374), 1,
      sym_attribute_list,
    STATE(1382), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1427), 1,
      sym__enum_member_declaration,
    STATE(1805), 1,
      sym__function_definition_header,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1428), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51530] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2500), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2502), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    ACTIONS(2714), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2754), 1,
      anon_sym_RBRACE,
    STATE(1326), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1331), 1,
      sym_text_interpolation,
    STATE(1334), 1,
      sym__modifier,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      sym_attribute_group,
    STATE(1374), 1,
      sym_attribute_list,
    STATE(1382), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1427), 1,
      sym__enum_member_declaration,
    STATE(1805), 1,
      sym__function_definition_header,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1428), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51611] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1332), 1,
      sym_text_interpolation,
    ACTIONS(2384), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2382), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51653] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1333), 1,
      sym_text_interpolation,
    ACTIONS(2758), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2756), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51695] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1334), 1,
      sym_text_interpolation,
    ACTIONS(2762), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2760), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51737] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2764), 1,
      sym_name,
    ACTIONS(2768), 1,
      anon_sym_LPAREN,
    ACTIONS(2770), 1,
      anon_sym_QMARK,
    ACTIONS(2772), 1,
      sym_bottom_type,
    STATE(1335), 1,
      sym_text_interpolation,
    STATE(1548), 1,
      sym__types,
    STATE(1771), 1,
      sym_qualified_name,
    STATE(2205), 1,
      sym_type,
    STATE(2693), 1,
      sym_namespace_name,
    STATE(1772), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(2048), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(2766), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51798] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1826), 1,
      anon_sym_LPAREN,
    ACTIONS(1828), 1,
      anon_sym_QMARK,
    ACTIONS(2774), 1,
      sym_bottom_type,
    STATE(1336), 1,
      sym_text_interpolation,
    STATE(1486), 1,
      sym__types,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(2445), 1,
      sym_type,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51859] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_POUND_LBRACK,
    STATE(1337), 1,
      sym_text_interpolation,
    STATE(1338), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1340), 1,
      sym_attribute_group,
    ACTIONS(2778), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2776), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51904] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2784), 1,
      anon_sym_POUND_LBRACK,
    STATE(1340), 1,
      sym_attribute_group,
    STATE(1338), 2,
      sym_text_interpolation,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2782), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2780), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51947] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1339), 1,
      sym_text_interpolation,
    ACTIONS(2789), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2787), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51984] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1340), 1,
      sym_text_interpolation,
    ACTIONS(2793), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2791), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52021] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1341), 1,
      sym_text_interpolation,
    ACTIONS(2797), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2795), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52058] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1342), 1,
      sym_text_interpolation,
    ACTIONS(2801), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2799), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52095] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    ACTIONS(2803), 1,
      anon_sym_LPAREN,
    STATE(1343), 1,
      sym_text_interpolation,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1514), 1,
      sym__types,
    STATE(2641), 1,
      sym_namespace_name,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52145] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2764), 1,
      sym_name,
    ACTIONS(2770), 1,
      anon_sym_QMARK,
    ACTIONS(2805), 1,
      anon_sym_LPAREN,
    STATE(1344), 1,
      sym_text_interpolation,
    STATE(1771), 1,
      sym_qualified_name,
    STATE(1929), 1,
      sym__types,
    STATE(2693), 1,
      sym_namespace_name,
    STATE(1772), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2766), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52195] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_QMARK,
    STATE(1345), 1,
      sym_text_interpolation,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(2092), 1,
      sym__types,
    STATE(2567), 1,
      sym_intersection_type,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52245] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2764), 1,
      sym_name,
    ACTIONS(2770), 1,
      anon_sym_QMARK,
    ACTIONS(2805), 1,
      anon_sym_LPAREN,
    STATE(1346), 1,
      sym_text_interpolation,
    STATE(1771), 1,
      sym_qualified_name,
    STATE(1848), 1,
      sym__types,
    STATE(2693), 1,
      sym_namespace_name,
    STATE(1772), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2766), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52295] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    ACTIONS(2803), 1,
      anon_sym_LPAREN,
    STATE(1347), 1,
      sym_text_interpolation,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1508), 1,
      sym__types,
    STATE(2641), 1,
      sym_namespace_name,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52345] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_QMARK,
    ACTIONS(2803), 1,
      anon_sym_LPAREN,
    STATE(1348), 1,
      sym_text_interpolation,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1514), 1,
      sym__types,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52395] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1797), 1,
      anon_sym_DOLLAR,
    ACTIONS(2084), 1,
      sym_name,
    ACTIONS(2088), 1,
      anon_sym_BSLASH,
    ACTIONS(2092), 1,
      anon_sym_LPAREN,
    STATE(937), 1,
      sym__variable_scoped_property_access_expression,
    STATE(939), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(940), 1,
      sym__variable_member_access_expression,
    STATE(955), 1,
      sym__new_variable,
    STATE(1042), 1,
      sym__reserved_identifier,
    STATE(1045), 1,
      sym__name,
    STATE(1048), 1,
      sym_parenthesized_expression,
    STATE(1098), 1,
      sym__class_name_reference,
    STATE(1349), 1,
      sym_text_interpolation,
    STATE(2561), 1,
      sym_namespace_name,
    STATE(927), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(934), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    STATE(1043), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2094), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52461] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    ACTIONS(2807), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2809), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(2811), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(2813), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2815), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2817), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1350), 1,
      sym_text_interpolation,
    STATE(1391), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1499), 1,
      sym_static_modifier,
    STATE(2431), 1,
      sym__function_definition_header,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 4,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_visibility_modifier,
  [52527] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    ACTIONS(2807), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2817), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(2819), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(2821), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(2823), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2825), 1,
      aux_sym_class_declaration_token1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1351), 1,
      sym_text_interpolation,
    STATE(1388), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1499), 1,
      sym_static_modifier,
    STATE(2411), 1,
      sym__function_definition_header,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 4,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_visibility_modifier,
  [52593] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_QMARK,
    ACTIONS(2803), 1,
      anon_sym_LPAREN,
    STATE(1352), 1,
      sym_text_interpolation,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1508), 1,
      sym__types,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52643] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_QMARK,
    STATE(1353), 1,
      sym_text_interpolation,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(2092), 1,
      sym__types,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2717), 1,
      sym_intersection_type,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52693] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_QMARK,
    STATE(1354), 1,
      sym_text_interpolation,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(2092), 1,
      sym__types,
    STATE(2562), 1,
      sym_intersection_type,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52743] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1801), 1,
      anon_sym_DOLLAR,
    ACTIONS(2104), 1,
      sym_name,
    ACTIONS(2106), 1,
      anon_sym_BSLASH,
    ACTIONS(2108), 1,
      anon_sym_LPAREN,
    STATE(764), 1,
      sym__new_variable,
    STATE(781), 1,
      sym__variable_scoped_property_access_expression,
    STATE(782), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(784), 1,
      sym__variable_member_access_expression,
    STATE(898), 1,
      sym__name,
    STATE(906), 1,
      sym__reserved_identifier,
    STATE(943), 1,
      sym_parenthesized_expression,
    STATE(1039), 1,
      sym__class_name_reference,
    STATE(1355), 1,
      sym_text_interpolation,
    STATE(2648), 1,
      sym_namespace_name,
    STATE(766), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(779), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    STATE(909), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52809] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_QMARK,
    STATE(1356), 1,
      sym_text_interpolation,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(2092), 1,
      sym__types,
    STATE(2553), 1,
      sym_intersection_type,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52859] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_QMARK,
    STATE(1357), 1,
      sym_text_interpolation,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(2092), 1,
      sym__types,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(2692), 1,
      sym_intersection_type,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52909] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_QMARK,
    STATE(1358), 1,
      sym_text_interpolation,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1505), 1,
      sym__types,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52956] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    STATE(1359), 1,
      sym_text_interpolation,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1511), 1,
      sym__types,
    STATE(2641), 1,
      sym_namespace_name,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53003] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2782), 1,
      anon_sym_AMP,
    ACTIONS(2827), 1,
      anon_sym_POUND_LBRACK,
    STATE(1370), 1,
      sym_attribute_group,
    STATE(1360), 2,
      sym_text_interpolation,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2780), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53042] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2764), 1,
      sym_name,
    ACTIONS(2770), 1,
      anon_sym_QMARK,
    STATE(1361), 1,
      sym_text_interpolation,
    STATE(1771), 1,
      sym_qualified_name,
    STATE(1925), 1,
      sym__types,
    STATE(2693), 1,
      sym_namespace_name,
    STATE(1772), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2766), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53089] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2778), 1,
      anon_sym_AMP,
    STATE(1360), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1362), 1,
      sym_text_interpolation,
    STATE(1370), 1,
      sym_attribute_group,
    ACTIONS(2776), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53130] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_QMARK,
    STATE(1363), 1,
      sym_text_interpolation,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1511), 1,
      sym__types,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53177] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2764), 1,
      sym_name,
    ACTIONS(2770), 1,
      anon_sym_QMARK,
    STATE(1364), 1,
      sym_text_interpolation,
    STATE(1771), 1,
      sym_qualified_name,
    STATE(1849), 1,
      sym__types,
    STATE(2693), 1,
      sym_namespace_name,
    STATE(1772), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2766), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53224] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    STATE(1365), 1,
      sym_text_interpolation,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1505), 1,
      sym__types,
    STATE(2641), 1,
      sym_namespace_name,
    STATE(1491), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53271] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1830), 1,
      anon_sym_DOLLAR,
    ACTIONS(2830), 1,
      anon_sym_COLON_COLON,
    STATE(1366), 1,
      sym_text_interpolation,
    STATE(1719), 1,
      sym_static_variable_declaration,
    STATE(1945), 1,
      sym_variable_name,
    ACTIONS(1702), 4,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1814), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [53313] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1830), 1,
      anon_sym_DOLLAR,
    ACTIONS(2830), 1,
      anon_sym_COLON_COLON,
    STATE(1367), 1,
      sym_text_interpolation,
    STATE(1773), 1,
      sym_static_variable_declaration,
    STATE(1945), 1,
      sym_variable_name,
    ACTIONS(1702), 4,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1814), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [53355] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2502), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2504), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    STATE(720), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1110), 1,
      sym_final_modifier,
    STATE(1334), 1,
      sym__modifier,
    STATE(1368), 1,
      sym_text_interpolation,
    STATE(1444), 1,
      sym__const_declaration,
    STATE(1831), 1,
      sym__function_definition_header,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53412] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1369), 1,
      sym_text_interpolation,
    ACTIONS(2801), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2799), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53445] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1370), 1,
      sym_text_interpolation,
    ACTIONS(2793), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2791), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53478] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1371), 1,
      sym_text_interpolation,
    ACTIONS(2789), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2787), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53511] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1372), 1,
      sym_text_interpolation,
    ACTIONS(1126), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_cast_type_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      aux_sym_else_clause_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1124), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [53544] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1373), 1,
      sym_text_interpolation,
    ACTIONS(2797), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2795), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53577] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2502), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    ACTIONS(2832), 1,
      aux_sym_enum_case_token1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1374), 1,
      sym_text_interpolation,
    STATE(1379), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1831), 1,
      sym__function_definition_header,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53629] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    STATE(1375), 1,
      sym_text_interpolation,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(2641), 1,
      sym_namespace_name,
    STATE(1498), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53669] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2764), 1,
      sym_name,
    STATE(1376), 1,
      sym_text_interpolation,
    STATE(1771), 1,
      sym_qualified_name,
    STATE(2693), 1,
      sym_namespace_name,
    STATE(1799), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(2766), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53709] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      sym_name,
    STATE(1377), 1,
      sym_text_interpolation,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1498), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1824), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53749] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    ACTIONS(2834), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2836), 1,
      aux_sym_class_declaration_token1,
    STATE(1143), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1378), 1,
      sym_text_interpolation,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53798] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2502), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    STATE(1143), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1379), 1,
      sym_text_interpolation,
    STATE(1790), 1,
      sym__function_definition_header,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53847] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(611), 1,
      sym_integer,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2838), 1,
      sym_float,
    ACTIONS(2840), 1,
      aux_sym__argument_name_token1,
    ACTIONS(2842), 1,
      aux_sym__argument_name_token2,
    STATE(1380), 1,
      sym_text_interpolation,
    STATE(2664), 1,
      sym_literal,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1008), 3,
      sym_boolean,
      sym_null,
      sym__string,
    STATE(803), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [53894] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    ACTIONS(2844), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2846), 1,
      aux_sym_class_declaration_token1,
    STATE(1143), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1381), 1,
      sym_text_interpolation,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53943] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2502), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    STATE(1143), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1382), 1,
      sym_text_interpolation,
    STATE(1832), 1,
      sym__function_definition_header,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53992] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    ACTIONS(2848), 1,
      aux_sym_class_declaration_token1,
    STATE(1143), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1383), 1,
      sym_text_interpolation,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54038] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    ACTIONS(2850), 1,
      aux_sym_class_declaration_token1,
    STATE(1143), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1384), 1,
      sym_text_interpolation,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54084] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    ACTIONS(2844), 1,
      aux_sym__namespace_use_type_token2,
    STATE(1143), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1385), 1,
      sym_text_interpolation,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54130] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    ACTIONS(2852), 1,
      aux_sym_class_declaration_token1,
    STATE(1143), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1386), 1,
      sym_text_interpolation,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54176] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2854), 1,
      anon_sym_LBRACE,
    ACTIONS(2860), 1,
      anon_sym_BSLASHu,
    ACTIONS(2863), 1,
      sym__new_line,
    ACTIONS(2866), 1,
      anon_sym_DOLLAR,
    ACTIONS(2869), 1,
      sym_heredoc_end,
    STATE(1396), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1517), 1,
      sym_variable_name,
    STATE(1596), 1,
      sym_dynamic_variable_name,
    STATE(1608), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2857), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1387), 2,
      sym_text_interpolation,
      aux_sym_heredoc_body_repeat1,
    STATE(1581), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1607), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [54226] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    ACTIONS(2871), 1,
      aux_sym_class_declaration_token1,
    STATE(1143), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1388), 1,
      sym_text_interpolation,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54272] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2873), 1,
      anon_sym_LBRACE,
    ACTIONS(2877), 1,
      anon_sym_BSLASHu,
    ACTIONS(2879), 1,
      sym__new_line,
    ACTIONS(2882), 1,
      anon_sym_DOLLAR,
    ACTIONS(2884), 1,
      sym_heredoc_end,
    STATE(1387), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1389), 1,
      sym_text_interpolation,
    STATE(1396), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1517), 1,
      sym_variable_name,
    STATE(1596), 1,
      sym_dynamic_variable_name,
    STATE(1608), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2875), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1581), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1607), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [54324] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1390), 1,
      sym_text_interpolation,
    ACTIONS(2886), 6,
      aux_sym_function_static_declaration_token1,
      aux_sym_cast_type_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1731), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [54354] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    ACTIONS(2888), 1,
      aux_sym_class_declaration_token1,
    STATE(1143), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1391), 1,
      sym_text_interpolation,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54400] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    ACTIONS(2890), 1,
      aux_sym_class_declaration_token1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1384), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1392), 1,
      sym_text_interpolation,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54446] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    ACTIONS(2892), 1,
      aux_sym_class_declaration_token1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1383), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1393), 1,
      sym_text_interpolation,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54492] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2508), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2510), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2512), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2514), 1,
      sym_var_modifier,
    ACTIONS(2894), 1,
      aux_sym_class_declaration_token1,
    STATE(1143), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1394), 1,
      sym_text_interpolation,
    ACTIONS(2516), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54538] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2873), 1,
      anon_sym_LBRACE,
    ACTIONS(2877), 1,
      anon_sym_BSLASHu,
    ACTIONS(2882), 1,
      anon_sym_DOLLAR,
    ACTIONS(2896), 1,
      sym__new_line,
    STATE(1389), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1395), 1,
      sym_text_interpolation,
    STATE(1396), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1517), 1,
      sym_variable_name,
    STATE(1596), 1,
      sym_dynamic_variable_name,
    STATE(1608), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2875), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1581), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1607), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [54587] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2873), 1,
      anon_sym_LBRACE,
    ACTIONS(2877), 1,
      anon_sym_BSLASHu,
    ACTIONS(2882), 1,
      anon_sym_DOLLAR,
    STATE(1396), 1,
      sym_text_interpolation,
    STATE(1398), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1517), 1,
      sym_variable_name,
    STATE(1596), 1,
      sym_dynamic_variable_name,
    STATE(1608), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2875), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2898), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1581), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1607), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [54634] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2873), 1,
      anon_sym_LBRACE,
    ACTIONS(2877), 1,
      anon_sym_BSLASHu,
    ACTIONS(2882), 1,
      anon_sym_DOLLAR,
    STATE(1397), 1,
      sym_text_interpolation,
    STATE(1398), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1517), 1,
      sym_variable_name,
    STATE(1596), 1,
      sym_dynamic_variable_name,
    STATE(1608), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2869), 2,
      sym_heredoc_end,
      sym__new_line,
    ACTIONS(2875), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1581), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1607), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [54681] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2900), 1,
      anon_sym_LBRACE,
    ACTIONS(2906), 1,
      anon_sym_BSLASHu,
    ACTIONS(2911), 1,
      anon_sym_DOLLAR,
    STATE(1517), 1,
      sym_variable_name,
    STATE(1596), 1,
      sym_dynamic_variable_name,
    STATE(1608), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2903), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2909), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1398), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1581), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1607), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [54726] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2914), 1,
      anon_sym_LBRACE,
    ACTIONS(2920), 1,
      anon_sym_BSLASHu,
    ACTIONS(2923), 1,
      anon_sym_BQUOTE,
    ACTIONS(2925), 1,
      anon_sym_DOLLAR,
    STATE(1535), 1,
      sym_variable_name,
    STATE(1641), 1,
      sym__simple_string_member_access_expression,
    STATE(1659), 1,
      sym_dynamic_variable_name,
    ACTIONS(2917), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1399), 2,
      sym_text_interpolation,
      aux_sym__interpolated_execution_operator_body,
    STATE(1628), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1640), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [54770] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2084), 1,
      sym_name,
    STATE(1042), 1,
      sym__reserved_identifier,
    STATE(1400), 1,
      sym_text_interpolation,
    STATE(1775), 1,
      sym_namespace_use_clause,
    STATE(1940), 1,
      sym__name,
    STATE(2054), 1,
      sym__namespace_use_group,
    STATE(2656), 1,
      sym_namespace_name,
    ACTIONS(2928), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    STATE(1043), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2094), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54814] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2930), 1,
      anon_sym_LBRACE,
    ACTIONS(2934), 1,
      anon_sym_BSLASHu,
    ACTIONS(2936), 1,
      anon_sym_DQUOTE,
    ACTIONS(2938), 1,
      anon_sym_DOLLAR,
    STATE(1401), 1,
      sym_text_interpolation,
    STATE(1416), 1,
      aux_sym__interpolated_string_body,
    STATE(1530), 1,
      sym_variable_name,
    STATE(1638), 1,
      sym__simple_string_member_access_expression,
    STATE(1695), 1,
      sym_dynamic_variable_name,
    ACTIONS(2932), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1618), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1654), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54860] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1402), 1,
      sym_text_interpolation,
    ACTIONS(2940), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54886] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1403), 1,
      sym_text_interpolation,
    ACTIONS(2942), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54912] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1404), 1,
      sym_text_interpolation,
    ACTIONS(2944), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54938] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2946), 1,
      anon_sym_LBRACE,
    ACTIONS(2950), 1,
      anon_sym_BSLASHu,
    ACTIONS(2952), 1,
      anon_sym_BQUOTE,
    ACTIONS(2954), 1,
      anon_sym_DOLLAR,
    STATE(1405), 1,
      sym_text_interpolation,
    STATE(1420), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1535), 1,
      sym_variable_name,
    STATE(1641), 1,
      sym__simple_string_member_access_expression,
    STATE(1659), 1,
      sym_dynamic_variable_name,
    ACTIONS(2948), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1628), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1640), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [54984] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1406), 1,
      sym_text_interpolation,
    ACTIONS(2956), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55010] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2946), 1,
      anon_sym_LBRACE,
    ACTIONS(2950), 1,
      anon_sym_BSLASHu,
    ACTIONS(2954), 1,
      anon_sym_DOLLAR,
    ACTIONS(2958), 1,
      anon_sym_BQUOTE,
    STATE(1407), 1,
      sym_text_interpolation,
    STATE(1411), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1535), 1,
      sym_variable_name,
    STATE(1641), 1,
      sym__simple_string_member_access_expression,
    STATE(1659), 1,
      sym_dynamic_variable_name,
    ACTIONS(2948), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1628), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1640), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [55056] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2930), 1,
      anon_sym_LBRACE,
    ACTIONS(2934), 1,
      anon_sym_BSLASHu,
    ACTIONS(2938), 1,
      anon_sym_DOLLAR,
    ACTIONS(2960), 1,
      anon_sym_DQUOTE,
    STATE(1408), 1,
      sym_text_interpolation,
    STATE(1416), 1,
      aux_sym__interpolated_string_body,
    STATE(1530), 1,
      sym_variable_name,
    STATE(1638), 1,
      sym__simple_string_member_access_expression,
    STATE(1695), 1,
      sym_dynamic_variable_name,
    ACTIONS(2932), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1618), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1654), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55102] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1409), 1,
      sym_text_interpolation,
    ACTIONS(2962), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55128] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2084), 1,
      sym_name,
    STATE(1042), 1,
      sym__reserved_identifier,
    STATE(1410), 1,
      sym_text_interpolation,
    STATE(1753), 1,
      sym_namespace_use_clause,
    STATE(1940), 1,
      sym__name,
    STATE(1999), 1,
      sym__namespace_use_group,
    STATE(2656), 1,
      sym_namespace_name,
    ACTIONS(2928), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    STATE(1043), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2094), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55172] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2946), 1,
      anon_sym_LBRACE,
    ACTIONS(2950), 1,
      anon_sym_BSLASHu,
    ACTIONS(2954), 1,
      anon_sym_DOLLAR,
    ACTIONS(2964), 1,
      anon_sym_BQUOTE,
    STATE(1399), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1411), 1,
      sym_text_interpolation,
    STATE(1535), 1,
      sym_variable_name,
    STATE(1641), 1,
      sym__simple_string_member_access_expression,
    STATE(1659), 1,
      sym_dynamic_variable_name,
    ACTIONS(2948), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1628), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1640), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [55218] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1412), 1,
      sym_text_interpolation,
    ACTIONS(2966), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55244] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1413), 1,
      sym_text_interpolation,
    ACTIONS(2968), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55270] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2930), 1,
      anon_sym_LBRACE,
    ACTIONS(2934), 1,
      anon_sym_BSLASHu,
    ACTIONS(2938), 1,
      anon_sym_DOLLAR,
    ACTIONS(2970), 1,
      anon_sym_DQUOTE,
    STATE(1401), 1,
      aux_sym__interpolated_string_body,
    STATE(1414), 1,
      sym_text_interpolation,
    STATE(1530), 1,
      sym_variable_name,
    STATE(1638), 1,
      sym__simple_string_member_access_expression,
    STATE(1695), 1,
      sym_dynamic_variable_name,
    ACTIONS(2932), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1618), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1654), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55316] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1415), 1,
      sym_text_interpolation,
    ACTIONS(2972), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55342] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_LBRACE,
    ACTIONS(2980), 1,
      anon_sym_BSLASHu,
    ACTIONS(2983), 1,
      anon_sym_DQUOTE,
    ACTIONS(2985), 1,
      anon_sym_DOLLAR,
    STATE(1530), 1,
      sym_variable_name,
    STATE(1638), 1,
      sym__simple_string_member_access_expression,
    STATE(1695), 1,
      sym_dynamic_variable_name,
    ACTIONS(2977), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1416), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body,
    STATE(1618), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1654), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55386] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1417), 1,
      sym_text_interpolation,
    ACTIONS(2988), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55412] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2930), 1,
      anon_sym_LBRACE,
    ACTIONS(2934), 1,
      anon_sym_BSLASHu,
    ACTIONS(2938), 1,
      anon_sym_DOLLAR,
    ACTIONS(2990), 1,
      anon_sym_DQUOTE,
    STATE(1408), 1,
      aux_sym__interpolated_string_body,
    STATE(1418), 1,
      sym_text_interpolation,
    STATE(1530), 1,
      sym_variable_name,
    STATE(1638), 1,
      sym__simple_string_member_access_expression,
    STATE(1695), 1,
      sym_dynamic_variable_name,
    ACTIONS(2932), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1618), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1654), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55458] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1419), 1,
      sym_text_interpolation,
    ACTIONS(2992), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55484] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2946), 1,
      anon_sym_LBRACE,
    ACTIONS(2950), 1,
      anon_sym_BSLASHu,
    ACTIONS(2954), 1,
      anon_sym_DOLLAR,
    ACTIONS(2994), 1,
      anon_sym_BQUOTE,
    STATE(1399), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1420), 1,
      sym_text_interpolation,
    STATE(1535), 1,
      sym_variable_name,
    STATE(1641), 1,
      sym__simple_string_member_access_expression,
    STATE(1659), 1,
      sym_dynamic_variable_name,
    ACTIONS(2948), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1628), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1640), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [55530] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1421), 1,
      sym_text_interpolation,
    ACTIONS(2996), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55556] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1422), 1,
      sym_text_interpolation,
    ACTIONS(2998), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55582] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1423), 1,
      sym_text_interpolation,
    ACTIONS(3000), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55607] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1424), 1,
      sym_text_interpolation,
    ACTIONS(3002), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55632] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1425), 1,
      sym_text_interpolation,
    ACTIONS(3004), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55657] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1426), 1,
      sym_text_interpolation,
    ACTIONS(3006), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55682] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1427), 1,
      sym_text_interpolation,
    ACTIONS(3008), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55707] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1428), 1,
      sym_text_interpolation,
    ACTIONS(3010), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55732] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1429), 1,
      sym_text_interpolation,
    ACTIONS(3012), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55757] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1430), 1,
      sym_text_interpolation,
    ACTIONS(3014), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55782] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1431), 1,
      sym_text_interpolation,
    ACTIONS(3016), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55807] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1432), 1,
      sym_text_interpolation,
    ACTIONS(3018), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55832] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1433), 1,
      sym_text_interpolation,
    ACTIONS(3020), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55857] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1434), 1,
      sym_text_interpolation,
    ACTIONS(3022), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55882] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1435), 1,
      sym_text_interpolation,
    ACTIONS(3024), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55907] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2877), 1,
      anon_sym_BSLASHu,
    ACTIONS(3026), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_DOLLAR,
    STATE(1397), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1436), 1,
      sym_text_interpolation,
    STATE(1517), 1,
      sym_variable_name,
    STATE(1596), 1,
      sym_dynamic_variable_name,
    STATE(1608), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2875), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1581), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1607), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [55950] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1437), 1,
      sym_text_interpolation,
    ACTIONS(3030), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55975] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(1438), 1,
      sym_text_interpolation,
    STATE(2407), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1596), 11,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [56004] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(1439), 1,
      sym_text_interpolation,
    STATE(2407), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3032), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3034), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56035] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2084), 1,
      sym_name,
    STATE(1042), 1,
      sym__reserved_identifier,
    STATE(1440), 1,
      sym_text_interpolation,
    STATE(1940), 1,
      sym__name,
    STATE(2165), 1,
      sym_namespace_use_clause,
    STATE(2693), 1,
      sym_namespace_name,
    ACTIONS(3036), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    STATE(1043), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2094), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56076] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1441), 1,
      sym_text_interpolation,
    ACTIONS(3038), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56101] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1442), 1,
      sym_text_interpolation,
    ACTIONS(3040), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56126] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1443), 1,
      sym_text_interpolation,
    ACTIONS(3042), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56151] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1444), 1,
      sym_text_interpolation,
    ACTIONS(3044), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56176] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1445), 1,
      sym_text_interpolation,
    ACTIONS(3046), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56201] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1446), 1,
      sym_text_interpolation,
    STATE(2038), 1,
      sym__name,
    STATE(2466), 1,
      sym_namespace_use_clause,
    STATE(2609), 1,
      sym_namespace_name,
    ACTIONS(3048), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56242] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1447), 1,
      sym_text_interpolation,
    ACTIONS(3050), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56267] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1448), 1,
      sym_text_interpolation,
    ACTIONS(3052), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56292] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1449), 1,
      sym_text_interpolation,
    STATE(2038), 1,
      sym__name,
    STATE(2288), 1,
      sym_namespace_use_clause,
    STATE(2609), 1,
      sym_namespace_name,
    ACTIONS(3048), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56333] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1450), 1,
      sym_text_interpolation,
    ACTIONS(3054), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56358] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1451), 1,
      sym_text_interpolation,
    ACTIONS(3056), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56383] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3058), 1,
      sym_name,
    ACTIONS(3060), 1,
      anon_sym_RBRACE,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      sym_attribute_group,
    STATE(1452), 1,
      sym_text_interpolation,
    STATE(1489), 1,
      aux_sym_property_hook_list_repeat1,
    STATE(1811), 1,
      sym_attribute_list,
    STATE(1812), 1,
      sym_property_hook,
    STATE(2118), 1,
      sym_final_modifier,
    STATE(2518), 1,
      sym_reference_modifier,
  [56429] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3062), 1,
      sym_name,
    ACTIONS(3066), 1,
      anon_sym_LBRACE,
    STATE(607), 1,
      sym__simple_variable,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(763), 1,
      sym__identifier,
    STATE(1453), 1,
      sym_text_interpolation,
    STATE(2495), 1,
      sym__member_name,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3064), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56469] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3068), 1,
      sym_name,
    ACTIONS(3072), 1,
      anon_sym_LBRACE,
    STATE(624), 1,
      sym__member_name,
    STATE(628), 1,
      sym__reserved_identifier,
    STATE(1454), 1,
      sym_text_interpolation,
    STATE(638), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(645), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3070), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56507] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3074), 1,
      sym_name,
    ACTIONS(3078), 1,
      anon_sym_LBRACE,
    STATE(640), 1,
      sym__simple_variable,
    STATE(975), 1,
      sym__reserved_identifier,
    STATE(1002), 1,
      sym__identifier,
    STATE(1455), 1,
      sym_text_interpolation,
    STATE(2479), 1,
      sym__member_name,
    STATE(645), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3076), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56547] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1801), 1,
      anon_sym_DOLLAR,
    ACTIONS(3062), 1,
      sym_name,
    ACTIONS(3066), 1,
      anon_sym_LBRACE,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(763), 1,
      sym__identifier,
    STATE(775), 1,
      sym__simple_variable,
    STATE(1456), 1,
      sym_text_interpolation,
    STATE(2369), 1,
      sym__member_name,
    STATE(766), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3064), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56587] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(3080), 1,
      anon_sym_RBRACK,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1457), 1,
      sym_text_interpolation,
    STATE(1932), 1,
      sym__name,
    STATE(2358), 1,
      sym_attribute,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56627] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1797), 1,
      anon_sym_DOLLAR,
    ACTIONS(3074), 1,
      sym_name,
    ACTIONS(3082), 1,
      anon_sym_LBRACE,
    STATE(975), 1,
      sym__reserved_identifier,
    STATE(986), 1,
      sym__member_name,
    STATE(1458), 1,
      sym_text_interpolation,
    STATE(927), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(968), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3076), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56665] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1797), 1,
      anon_sym_DOLLAR,
    ACTIONS(3062), 1,
      sym_name,
    ACTIONS(3066), 1,
      anon_sym_LBRACE,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(763), 1,
      sym__identifier,
    STATE(965), 1,
      sym__simple_variable,
    STATE(1459), 1,
      sym_text_interpolation,
    STATE(2323), 1,
      sym__member_name,
    STATE(927), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3064), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56705] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1797), 1,
      anon_sym_DOLLAR,
    ACTIONS(3074), 1,
      sym_name,
    ACTIONS(3082), 1,
      anon_sym_LBRACE,
    STATE(900), 1,
      sym__member_name,
    STATE(975), 1,
      sym__reserved_identifier,
    STATE(1460), 1,
      sym_text_interpolation,
    STATE(927), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(968), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3076), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56743] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(3084), 1,
      anon_sym_RBRACK,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1461), 1,
      sym_text_interpolation,
    STATE(1932), 1,
      sym__name,
    STATE(2358), 1,
      sym_attribute,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56783] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1797), 1,
      anon_sym_DOLLAR,
    ACTIONS(3074), 1,
      sym_name,
    ACTIONS(3082), 1,
      anon_sym_LBRACE,
    STATE(975), 1,
      sym__reserved_identifier,
    STATE(985), 1,
      sym__member_name,
    STATE(1462), 1,
      sym_text_interpolation,
    STATE(927), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(968), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3076), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56821] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1558), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3086), 1,
      sym_name,
    ACTIONS(3090), 1,
      anon_sym_LBRACE,
    STATE(717), 1,
      sym__member_name,
    STATE(745), 1,
      sym__reserved_identifier,
    STATE(1463), 1,
      sym_text_interpolation,
    STATE(723), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(737), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3088), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56859] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1558), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3086), 1,
      sym_name,
    ACTIONS(3090), 1,
      anon_sym_LBRACE,
    STATE(718), 1,
      sym__member_name,
    STATE(745), 1,
      sym__reserved_identifier,
    STATE(1464), 1,
      sym_text_interpolation,
    STATE(723), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(737), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3088), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56897] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3058), 1,
      sym_name,
    ACTIONS(3092), 1,
      anon_sym_RBRACE,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      sym_attribute_group,
    STATE(1465), 1,
      sym_text_interpolation,
    STATE(1467), 1,
      aux_sym_property_hook_list_repeat1,
    STATE(1811), 1,
      sym_attribute_list,
    STATE(1812), 1,
      sym_property_hook,
    STATE(2118), 1,
      sym_final_modifier,
    STATE(2518), 1,
      sym_reference_modifier,
  [56943] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1797), 1,
      anon_sym_DOLLAR,
    ACTIONS(3074), 1,
      sym_name,
    ACTIONS(3082), 1,
      anon_sym_LBRACE,
    STATE(902), 1,
      sym__member_name,
    STATE(975), 1,
      sym__reserved_identifier,
    STATE(1466), 1,
      sym_text_interpolation,
    STATE(927), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(968), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3076), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56981] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3094), 1,
      sym_name,
    ACTIONS(3097), 1,
      anon_sym_AMP,
    ACTIONS(3100), 1,
      anon_sym_RBRACE,
    ACTIONS(3102), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(3105), 1,
      anon_sym_POUND_LBRACK,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      sym_attribute_group,
    STATE(1811), 1,
      sym_attribute_list,
    STATE(1812), 1,
      sym_property_hook,
    STATE(2118), 1,
      sym_final_modifier,
    STATE(2518), 1,
      sym_reference_modifier,
    STATE(1467), 2,
      sym_text_interpolation,
      aux_sym_property_hook_list_repeat1,
  [57025] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3062), 1,
      sym_name,
    ACTIONS(3108), 1,
      anon_sym_LBRACE,
    STATE(592), 1,
      sym__member_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1468), 1,
      sym_text_interpolation,
    STATE(612), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3064), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57063] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(3110), 1,
      anon_sym_RBRACK,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1469), 1,
      sym_text_interpolation,
    STATE(1932), 1,
      sym__name,
    STATE(2358), 1,
      sym_attribute,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57103] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3108), 1,
      anon_sym_LBRACE,
    ACTIONS(3112), 1,
      sym_name,
    STATE(591), 1,
      sym__member_name,
    STATE(593), 1,
      sym__reserved_identifier,
    STATE(1470), 1,
      sym_text_interpolation,
    STATE(612), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57141] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3062), 1,
      sym_name,
    ACTIONS(3108), 1,
      anon_sym_LBRACE,
    STATE(591), 1,
      sym__member_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1471), 1,
      sym_text_interpolation,
    STATE(612), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3064), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57179] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3058), 1,
      sym_name,
    ACTIONS(3116), 1,
      anon_sym_RBRACE,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      sym_attribute_group,
    STATE(1465), 1,
      aux_sym_property_hook_list_repeat1,
    STATE(1472), 1,
      sym_text_interpolation,
    STATE(1811), 1,
      sym_attribute_list,
    STATE(1812), 1,
      sym_property_hook,
    STATE(2118), 1,
      sym_final_modifier,
    STATE(2518), 1,
      sym_reference_modifier,
  [57225] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3062), 1,
      sym_name,
    ACTIONS(3108), 1,
      anon_sym_LBRACE,
    STATE(605), 1,
      sym__member_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1473), 1,
      sym_text_interpolation,
    STATE(612), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3064), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57263] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3118), 1,
      sym_name,
    ACTIONS(3122), 1,
      anon_sym_LBRACE,
    STATE(862), 1,
      sym__member_name,
    STATE(875), 1,
      sym__reserved_identifier,
    STATE(1474), 1,
      sym_text_interpolation,
    STATE(866), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(882), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3120), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57301] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1558), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3062), 1,
      sym_name,
    ACTIONS(3066), 1,
      anon_sym_LBRACE,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(740), 1,
      sym__simple_variable,
    STATE(763), 1,
      sym__identifier,
    STATE(1475), 1,
      sym_text_interpolation,
    STATE(2297), 1,
      sym__member_name,
    STATE(723), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3064), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57341] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3124), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3126), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1476), 1,
      sym_text_interpolation,
    ACTIONS(2384), 10,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [57369] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3074), 1,
      sym_name,
    ACTIONS(3078), 1,
      anon_sym_LBRACE,
    STATE(867), 1,
      sym__simple_variable,
    STATE(975), 1,
      sym__reserved_identifier,
    STATE(1002), 1,
      sym__identifier,
    STATE(1477), 1,
      sym_text_interpolation,
    STATE(2300), 1,
      sym__member_name,
    STATE(882), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3076), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57409] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1801), 1,
      anon_sym_DOLLAR,
    ACTIONS(3062), 1,
      sym_name,
    ACTIONS(3128), 1,
      anon_sym_LBRACE,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(768), 1,
      sym__member_name,
    STATE(1478), 1,
      sym_text_interpolation,
    STATE(766), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(773), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3064), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57447] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    ACTIONS(3130), 1,
      anon_sym_RBRACK,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1479), 1,
      sym_text_interpolation,
    STATE(1932), 1,
      sym__name,
    STATE(2358), 1,
      sym_attribute,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57487] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3068), 1,
      sym_name,
    ACTIONS(3072), 1,
      anon_sym_LBRACE,
    STATE(623), 1,
      sym__member_name,
    STATE(628), 1,
      sym__reserved_identifier,
    STATE(1480), 1,
      sym_text_interpolation,
    STATE(638), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(645), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3070), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57525] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1801), 1,
      anon_sym_DOLLAR,
    ACTIONS(3062), 1,
      sym_name,
    ACTIONS(3128), 1,
      anon_sym_LBRACE,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(771), 1,
      sym__member_name,
    STATE(1481), 1,
      sym_text_interpolation,
    STATE(766), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(773), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3064), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57563] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3118), 1,
      sym_name,
    ACTIONS(3122), 1,
      anon_sym_LBRACE,
    STATE(848), 1,
      sym__member_name,
    STATE(875), 1,
      sym__reserved_identifier,
    STATE(1482), 1,
      sym_text_interpolation,
    STATE(866), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(882), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3120), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57601] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3108), 1,
      anon_sym_LBRACE,
    ACTIONS(3112), 1,
      sym_name,
    STATE(592), 1,
      sym__member_name,
    STATE(593), 1,
      sym__reserved_identifier,
    STATE(1483), 1,
      sym_text_interpolation,
    STATE(612), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57639] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3062), 1,
      sym_name,
    ACTIONS(3066), 1,
      anon_sym_LBRACE,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(763), 1,
      sym__identifier,
    STATE(867), 1,
      sym__simple_variable,
    STATE(1484), 1,
      sym_text_interpolation,
    STATE(2300), 1,
      sym__member_name,
    STATE(882), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3064), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57679] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1801), 1,
      anon_sym_DOLLAR,
    ACTIONS(3062), 1,
      sym_name,
    ACTIONS(3128), 1,
      anon_sym_LBRACE,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(754), 1,
      sym__member_name,
    STATE(1485), 1,
      sym_text_interpolation,
    STATE(766), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(773), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3064), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57717] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3137), 1,
      anon_sym_AMP,
    ACTIONS(3144), 1,
      anon_sym_PIPE,
    STATE(1486), 1,
      sym_text_interpolation,
    STATE(1510), 1,
      aux_sym_union_type_repeat1,
    STATE(1512), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1513), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3139), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3132), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [57753] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1801), 1,
      anon_sym_DOLLAR,
    ACTIONS(3062), 1,
      sym_name,
    ACTIONS(3128), 1,
      anon_sym_LBRACE,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(757), 1,
      sym__member_name,
    STATE(1487), 1,
      sym_text_interpolation,
    STATE(766), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(773), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3064), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57791] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3062), 1,
      sym_name,
    ACTIONS(3108), 1,
      anon_sym_LBRACE,
    STATE(604), 1,
      sym__member_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1488), 1,
      sym_text_interpolation,
    STATE(612), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3064), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57829] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3058), 1,
      sym_name,
    ACTIONS(3146), 1,
      anon_sym_RBRACE,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      sym_attribute_group,
    STATE(1467), 1,
      aux_sym_property_hook_list_repeat1,
    STATE(1489), 1,
      sym_text_interpolation,
    STATE(1811), 1,
      sym_attribute_list,
    STATE(1812), 1,
      sym_property_hook,
    STATE(2118), 1,
      sym_final_modifier,
    STATE(2518), 1,
      sym_reference_modifier,
  [57875] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1490), 1,
      sym_text_interpolation,
    ACTIONS(3032), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3034), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [57900] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1491), 1,
      sym_text_interpolation,
    ACTIONS(3148), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3150), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [57925] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1492), 1,
      sym_text_interpolation,
    STATE(1932), 1,
      sym__name,
    STATE(2358), 1,
      sym_attribute,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57962] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1493), 1,
      sym_text_interpolation,
    ACTIONS(1925), 11,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [57985] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1494), 1,
      sym_text_interpolation,
    STATE(1932), 1,
      sym__name,
    STATE(2035), 1,
      sym_attribute,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58022] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(324), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3152), 1,
      sym_integer,
    STATE(1495), 1,
      sym_text_interpolation,
    STATE(1990), 1,
      sym__string,
    ACTIONS(320), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(322), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1003), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [58055] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1496), 1,
      sym_text_interpolation,
    STATE(1932), 1,
      sym__name,
    STATE(2080), 1,
      sym_attribute,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58092] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(324), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3154), 1,
      sym_integer,
    STATE(1497), 1,
      sym_text_interpolation,
    STATE(1951), 1,
      sym__string,
    ACTIONS(320), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(322), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1003), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [58125] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1498), 1,
      sym_text_interpolation,
    ACTIONS(3156), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3158), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58150] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3160), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3162), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1499), 1,
      sym_text_interpolation,
    ACTIONS(2384), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [58177] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1500), 1,
      sym_text_interpolation,
    ACTIONS(3164), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3166), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58202] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3170), 1,
      anon_sym_AMP,
    STATE(1501), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3168), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3173), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [58228] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1502), 1,
      sym_text_interpolation,
    STATE(1884), 1,
      sym__name,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58262] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3062), 1,
      sym_name,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1503), 1,
      sym_text_interpolation,
    STATE(1557), 1,
      sym_reference_modifier,
    STATE(1734), 1,
      sym_formal_parameters,
    STATE(2355), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58298] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3181), 1,
      anon_sym_PIPE,
    STATE(1504), 1,
      sym_text_interpolation,
    STATE(1523), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3177), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3179), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58326] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1505), 1,
      sym_text_interpolation,
    ACTIONS(3183), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3185), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58350] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3062), 1,
      sym_name,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1506), 1,
      sym_text_interpolation,
    STATE(1549), 1,
      sym_reference_modifier,
    STATE(1783), 1,
      sym_formal_parameters,
    STATE(2355), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58386] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_COLON,
    ACTIONS(2830), 1,
      anon_sym_COLON_COLON,
    STATE(1507), 1,
      sym_text_interpolation,
    ACTIONS(1814), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1702), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58414] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1508), 1,
      sym_text_interpolation,
    ACTIONS(3187), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3189), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58438] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3181), 1,
      anon_sym_PIPE,
    STATE(1504), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1509), 1,
      sym_text_interpolation,
    ACTIONS(3191), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3193), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58466] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3199), 1,
      anon_sym_PIPE,
    STATE(1510), 1,
      sym_text_interpolation,
    STATE(1519), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3195), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3197), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58494] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1511), 1,
      sym_text_interpolation,
    ACTIONS(3168), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3173), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [58518] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3137), 1,
      anon_sym_AMP,
    STATE(1501), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1512), 1,
      sym_text_interpolation,
    ACTIONS(3201), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3203), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [58546] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3181), 1,
      anon_sym_PIPE,
    STATE(1513), 1,
      sym_text_interpolation,
    STATE(1523), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3205), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3207), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58574] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1514), 1,
      sym_text_interpolation,
    ACTIONS(3209), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3212), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58598] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1515), 1,
      sym_text_interpolation,
    STATE(2087), 1,
      sym__name,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58632] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2084), 1,
      sym_name,
    STATE(1042), 1,
      sym__reserved_identifier,
    STATE(1516), 1,
      sym_text_interpolation,
    STATE(1918), 1,
      sym__name,
    STATE(2588), 1,
      sym_namespace_name,
    STATE(1043), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2094), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58666] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3215), 1,
      anon_sym_DASH_GT,
    ACTIONS(3217), 1,
      anon_sym_LBRACK,
    ACTIONS(3219), 1,
      sym_encapsed_string_chars_after_variable_heredoc,
    STATE(1517), 1,
      sym_text_interpolation,
    ACTIONS(1700), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1698), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [58696] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1518), 1,
      sym_text_interpolation,
    STATE(2077), 1,
      sym__name,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58730] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3221), 1,
      anon_sym_PIPE,
    STATE(1519), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3183), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3185), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58756] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2084), 1,
      sym_name,
    STATE(1042), 1,
      sym__reserved_identifier,
    STATE(1520), 1,
      sym_text_interpolation,
    STATE(1609), 1,
      sym__name,
    STATE(2693), 1,
      sym_namespace_name,
    STATE(1043), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2094), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58790] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2084), 1,
      sym_name,
    STATE(1042), 1,
      sym__reserved_identifier,
    STATE(1521), 1,
      sym_text_interpolation,
    STATE(1942), 1,
      sym__name,
    STATE(2693), 1,
      sym_namespace_name,
    STATE(1043), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2094), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58824] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1522), 1,
      sym_text_interpolation,
    ACTIONS(3224), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3226), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58848] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3228), 1,
      anon_sym_PIPE,
    STATE(1523), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3187), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3189), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58874] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1524), 1,
      sym_text_interpolation,
    STATE(2251), 1,
      sym__name,
    STATE(2609), 1,
      sym_namespace_name,
    STATE(1493), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58908] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1525), 1,
      sym_text_interpolation,
    ACTIONS(1668), 5,
      sym_encapsed_string_chars_heredoc,
      sym_encapsed_string_chars_after_variable_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
    ACTIONS(1670), 5,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
  [58932] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2084), 1,
      sym_name,
    STATE(1042), 1,
      sym__reserved_identifier,
    STATE(1526), 1,
      sym_text_interpolation,
    STATE(1918), 1,
      sym__name,
    STATE(2693), 1,
      sym_namespace_name,
    STATE(1043), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2094), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58966] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1596), 1,
      anon_sym_EQ,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(1527), 1,
      sym_text_interpolation,
    STATE(2407), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3034), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3032), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [58995] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1528), 1,
      sym_text_interpolation,
    ACTIONS(3231), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3233), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [59018] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_BSLASHu,
    STATE(1529), 1,
      sym_text_interpolation,
    ACTIONS(1668), 8,
      sym_execution_string_chars,
      sym_execution_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [59041] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1700), 1,
      anon_sym_BSLASHu,
    ACTIONS(3235), 1,
      anon_sym_DASH_GT,
    ACTIONS(3237), 1,
      anon_sym_LBRACK,
    ACTIONS(3239), 1,
      sym_encapsed_string_chars_after_variable,
    STATE(1530), 1,
      sym_text_interpolation,
    ACTIONS(1698), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [59070] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    ACTIONS(3245), 1,
      anon_sym_LPAREN,
    STATE(1531), 1,
      sym_text_interpolation,
    STATE(1604), 1,
      sym_formal_parameters,
    STATE(1755), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    STATE(1757), 1,
      sym__property_hook_body,
    ACTIONS(2490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59105] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    ACTIONS(3245), 1,
      anon_sym_LPAREN,
    STATE(1532), 1,
      sym_text_interpolation,
    STATE(1590), 1,
      sym_formal_parameters,
    STATE(1737), 1,
      sym__property_hook_body,
    STATE(1755), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59140] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    ACTIONS(3245), 1,
      anon_sym_LPAREN,
    STATE(1533), 1,
      sym_text_interpolation,
    STATE(1591), 1,
      sym_formal_parameters,
    STATE(1739), 1,
      sym__property_hook_body,
    STATE(1755), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59175] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    ACTIONS(3245), 1,
      anon_sym_LPAREN,
    STATE(1534), 1,
      sym_text_interpolation,
    STATE(1584), 1,
      sym_formal_parameters,
    STATE(1736), 1,
      sym__property_hook_body,
    STATE(1755), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59210] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1700), 1,
      anon_sym_BSLASHu,
    ACTIONS(3247), 1,
      anon_sym_DASH_GT,
    ACTIONS(3249), 1,
      anon_sym_LBRACK,
    ACTIONS(3251), 1,
      sym_execution_string_chars_after_variable,
    STATE(1535), 1,
      sym_text_interpolation,
    ACTIONS(1698), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [59239] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    ACTIONS(3245), 1,
      anon_sym_LPAREN,
    STATE(1536), 1,
      sym_text_interpolation,
    STATE(1577), 1,
      sym_formal_parameters,
    STATE(1720), 1,
      sym__property_hook_body,
    STATE(1755), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59274] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_BSLASHu,
    STATE(1537), 1,
      sym_text_interpolation,
    ACTIONS(1668), 8,
      sym_encapsed_string_chars,
      sym_encapsed_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [59297] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2830), 1,
      anon_sym_COLON_COLON,
    STATE(1538), 1,
      sym_text_interpolation,
    ACTIONS(1814), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1702), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59322] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    ACTIONS(3245), 1,
      anon_sym_LPAREN,
    STATE(1539), 1,
      sym_text_interpolation,
    STATE(1575), 1,
      sym_formal_parameters,
    STATE(1755), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym__property_hook_body,
    ACTIONS(2490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59357] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    ACTIONS(3245), 1,
      anon_sym_LPAREN,
    STATE(1540), 1,
      sym_text_interpolation,
    STATE(1615), 1,
      sym_formal_parameters,
    STATE(1744), 1,
      sym__property_hook_body,
    STATE(1755), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59392] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    ACTIONS(3245), 1,
      anon_sym_LPAREN,
    STATE(1541), 1,
      sym_text_interpolation,
    STATE(1569), 1,
      sym_formal_parameters,
    STATE(1709), 1,
      sym__property_hook_body,
    STATE(1755), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59427] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    STATE(816), 1,
      sym_declaration_list,
    STATE(1542), 1,
      sym_text_interpolation,
    STATE(1657), 1,
      sym_arguments,
    STATE(1859), 1,
      sym_base_clause,
    STATE(2465), 1,
      sym_class_interface_clause,
  [59461] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(3259), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1543), 1,
      sym_text_interpolation,
    STATE(2407), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1596), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59487] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    ACTIONS(3261), 1,
      anon_sym_RPAREN,
    STATE(1544), 1,
      sym_text_interpolation,
    STATE(2033), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59515] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3062), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1545), 1,
      sym_text_interpolation,
    STATE(1643), 1,
      sym_reference_modifier,
    STATE(2418), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59545] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(989), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3265), 1,
      aux_sym_finally_clause_token1,
    STATE(1546), 1,
      sym_text_interpolation,
    STATE(1556), 1,
      aux_sym_try_statement_repeat1,
    ACTIONS(987), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1813), 2,
      sym_catch_clause,
      sym_finally_clause,
  [59575] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    ACTIONS(3267), 1,
      anon_sym_COMMA,
    ACTIONS(3269), 1,
      anon_sym_RPAREN,
    STATE(1547), 1,
      sym_text_interpolation,
    STATE(2160), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59603] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3271), 1,
      anon_sym_AMP,
    ACTIONS(3273), 1,
      anon_sym_PIPE,
    STATE(1548), 1,
      sym_text_interpolation,
    STATE(1804), 1,
      aux_sym_union_type_repeat1,
    STATE(1806), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1830), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3139), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59633] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3062), 1,
      sym_name,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1549), 1,
      sym_text_interpolation,
    STATE(1817), 1,
      sym_formal_parameters,
    STATE(2424), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59663] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(923), 1,
      sym_declaration_list,
    STATE(1550), 1,
      sym_text_interpolation,
    STATE(1662), 1,
      sym_arguments,
    STATE(1875), 1,
      sym_base_clause,
    STATE(2381), 1,
      sym_class_interface_clause,
  [59697] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    STATE(767), 1,
      sym_declaration_list,
    STATE(1551), 1,
      sym_text_interpolation,
    STATE(1699), 1,
      sym_arguments,
    STATE(1843), 1,
      sym_base_clause,
    STATE(2414), 1,
      sym_class_interface_clause,
  [59731] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    STATE(820), 1,
      sym_declaration_list,
    STATE(1552), 1,
      sym_text_interpolation,
    STATE(1660), 1,
      sym_arguments,
    STATE(1860), 1,
      sym_base_clause,
    STATE(2469), 1,
      sym_class_interface_clause,
  [59765] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    STATE(845), 1,
      sym_declaration_list,
    STATE(1553), 1,
      sym_text_interpolation,
    STATE(1629), 1,
      sym_arguments,
    STATE(1873), 1,
      sym_base_clause,
    STATE(2485), 1,
      sym_class_interface_clause,
  [59799] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(928), 1,
      sym_declaration_list,
    STATE(1554), 1,
      sym_text_interpolation,
    STATE(1694), 1,
      sym_arguments,
    STATE(1851), 1,
      sym_base_clause,
    STATE(2412), 1,
      sym_class_interface_clause,
  [59833] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_COLON,
    ACTIONS(2830), 1,
      anon_sym_COLON_COLON,
    STATE(1555), 1,
      sym_text_interpolation,
    ACTIONS(1702), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59857] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(997), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3277), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3280), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(995), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1556), 2,
      sym_text_interpolation,
      aux_sym_try_statement_repeat1,
    STATE(1813), 2,
      sym_catch_clause,
      sym_finally_clause,
  [59885] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3062), 1,
      sym_name,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1557), 1,
      sym_text_interpolation,
    STATE(1768), 1,
      sym_formal_parameters,
    STATE(2424), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59915] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(988), 1,
      sym_declaration_list,
    STATE(1558), 1,
      sym_text_interpolation,
    STATE(1674), 1,
      sym_arguments,
    STATE(1907), 1,
      sym_base_clause,
    STATE(2458), 1,
      sym_class_interface_clause,
  [59949] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    ACTIONS(3283), 1,
      anon_sym_COMMA,
    ACTIONS(3285), 1,
      anon_sym_RPAREN,
    STATE(1559), 1,
      sym_text_interpolation,
    STATE(2211), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59977] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(938), 1,
      sym_declaration_list,
    STATE(1560), 1,
      sym_text_interpolation,
    STATE(1658), 1,
      sym_arguments,
    STATE(1874), 1,
      sym_base_clause,
    STATE(2378), 1,
      sym_class_interface_clause,
  [60011] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1561), 1,
      sym_text_interpolation,
    ACTIONS(1688), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1686), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60032] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3287), 1,
      anon_sym_COMMA,
    ACTIONS(3289), 1,
      anon_sym_LBRACE,
    STATE(1562), 1,
      sym_text_interpolation,
    STATE(1580), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1435), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60059] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3293), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3296), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3291), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(1563), 2,
      sym_text_interpolation,
      aux_sym_switch_block_repeat1,
    STATE(1876), 2,
      sym_case_statement,
      sym_default_statement,
  [60084] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    STATE(1564), 1,
      sym_text_interpolation,
    ACTIONS(3299), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60107] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1565), 1,
      sym_text_interpolation,
    ACTIONS(2524), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1596), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60128] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3062), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1566), 1,
      sym_text_interpolation,
    STATE(1801), 1,
      sym_const_element,
    STATE(2650), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60155] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1567), 1,
      sym_text_interpolation,
    ACTIONS(2528), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1596), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60176] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(3303), 1,
      anon_sym_DASH,
    STATE(1568), 1,
      sym_text_interpolation,
    STATE(2655), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3301), 2,
      sym_integer,
      sym_name,
    STATE(2652), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [60203] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    STATE(1569), 1,
      sym_text_interpolation,
    STATE(1742), 1,
      sym__property_hook_body,
    STATE(1755), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60232] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_RPAREN,
    STATE(1570), 1,
      sym_text_interpolation,
    STATE(2033), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60257] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3287), 1,
      anon_sym_COMMA,
    ACTIONS(3289), 1,
      anon_sym_LBRACE,
    STATE(1571), 1,
      sym_text_interpolation,
    STATE(1610), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1450), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60284] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3287), 1,
      anon_sym_COMMA,
    ACTIONS(3289), 1,
      anon_sym_LBRACE,
    STATE(1572), 1,
      sym_text_interpolation,
    STATE(1748), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1448), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60311] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3305), 1,
      anon_sym_COMMA,
    ACTIONS(3307), 1,
      anon_sym_LBRACE,
    STATE(1573), 1,
      sym_text_interpolation,
    STATE(1732), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1417), 2,
      sym_use_list,
      sym__semicolon,
  [60338] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3287), 1,
      anon_sym_COMMA,
    ACTIONS(3289), 1,
      anon_sym_LBRACE,
    STATE(1574), 1,
      sym_text_interpolation,
    STATE(1614), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1429), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60365] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    STATE(1575), 1,
      sym_text_interpolation,
    STATE(1741), 1,
      sym__property_hook_body,
    STATE(1755), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60394] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_RPAREN,
    STATE(1576), 1,
      sym_text_interpolation,
    STATE(2033), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60419] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    STATE(1577), 1,
      sym_text_interpolation,
    STATE(1740), 1,
      sym__property_hook_body,
    STATE(1755), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60448] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1578), 1,
      sym_text_interpolation,
    ACTIONS(2582), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1596), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60469] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    STATE(1579), 1,
      sym_text_interpolation,
    ACTIONS(3309), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60492] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3287), 1,
      anon_sym_COMMA,
    ACTIONS(3289), 1,
      anon_sym_LBRACE,
    STATE(1580), 1,
      sym_text_interpolation,
    STATE(1748), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1430), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60519] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1581), 1,
      sym_text_interpolation,
    ACTIONS(3311), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3313), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60540] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    STATE(1582), 1,
      sym_text_interpolation,
    ACTIONS(3315), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60563] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3062), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1583), 1,
      sym_text_interpolation,
    STATE(1820), 1,
      sym_const_element,
    STATE(2650), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60590] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    STATE(1584), 1,
      sym_text_interpolation,
    STATE(1728), 1,
      sym__property_hook_body,
    STATE(1755), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60619] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1585), 1,
      sym_text_interpolation,
    ACTIONS(3317), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(2909), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60640] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1586), 1,
      sym_text_interpolation,
    ACTIONS(3319), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3321), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60661] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1587), 1,
      sym_text_interpolation,
    ACTIONS(3323), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3325), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60682] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1588), 1,
      sym_text_interpolation,
    ACTIONS(1670), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1668), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60703] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2830), 1,
      anon_sym_COLON_COLON,
    STATE(1589), 1,
      sym_text_interpolation,
    ACTIONS(1702), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60724] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    STATE(1590), 1,
      sym_text_interpolation,
    STATE(1716), 1,
      sym__property_hook_body,
    STATE(1755), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60753] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    STATE(1591), 1,
      sym_text_interpolation,
    STATE(1715), 1,
      sym__property_hook_body,
    STATE(1755), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60782] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1592), 1,
      sym_text_interpolation,
    ACTIONS(1684), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1682), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60803] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3062), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1593), 1,
      sym_text_interpolation,
    STATE(1769), 1,
      sym_const_element,
    STATE(2650), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60830] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_COMMA,
    ACTIONS(3285), 1,
      anon_sym_RPAREN,
    STATE(1594), 1,
      sym_text_interpolation,
    STATE(2211), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60855] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3287), 1,
      anon_sym_COMMA,
    ACTIONS(3289), 1,
      anon_sym_LBRACE,
    STATE(1572), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1595), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1424), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60882] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1596), 1,
      sym_text_interpolation,
    ACTIONS(1700), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1698), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60903] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_COMMA,
    ACTIONS(3285), 1,
      anon_sym_RPAREN,
    STATE(1597), 1,
      sym_text_interpolation,
    STATE(2211), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60928] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_AMP,
    ACTIONS(3333), 1,
      anon_sym_PIPE,
    STATE(1598), 1,
      sym_text_interpolation,
    STATE(1723), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1724), 1,
      aux_sym_union_type_repeat1,
    STATE(1885), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3139), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [60957] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1599), 1,
      sym_text_interpolation,
    ACTIONS(3335), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3337), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60978] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1600), 1,
      sym_text_interpolation,
    ACTIONS(2566), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1596), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60999] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(1601), 1,
      sym_text_interpolation,
    STATE(2407), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3034), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [61022] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1602), 1,
      sym_text_interpolation,
    ACTIONS(2118), 3,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2116), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [61043] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3062), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1603), 1,
      sym_text_interpolation,
    STATE(2195), 1,
      sym_const_element,
    STATE(2650), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61070] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    STATE(1604), 1,
      sym_text_interpolation,
    STATE(1747), 1,
      sym__property_hook_body,
    STATE(1755), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61099] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(3303), 1,
      anon_sym_DASH,
    STATE(1605), 1,
      sym_text_interpolation,
    STATE(2527), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3301), 2,
      sym_integer,
      sym_name,
    STATE(2652), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [61126] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(3303), 1,
      anon_sym_DASH,
    STATE(1606), 1,
      sym_text_interpolation,
    STATE(2661), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3301), 2,
      sym_integer,
      sym_name,
    STATE(2652), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [61153] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1607), 1,
      sym_text_interpolation,
    ACTIONS(3339), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3341), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [61174] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1608), 1,
      sym_text_interpolation,
    ACTIONS(3343), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3345), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [61195] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3305), 1,
      anon_sym_COMMA,
    ACTIONS(3307), 1,
      anon_sym_LBRACE,
    STATE(1573), 1,
      aux_sym_base_clause_repeat1,
    STATE(1609), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1422), 2,
      sym_use_list,
      sym__semicolon,
  [61222] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3287), 1,
      anon_sym_COMMA,
    ACTIONS(3289), 1,
      anon_sym_LBRACE,
    STATE(1610), 1,
      sym_text_interpolation,
    STATE(1748), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1447), 2,
      sym_property_hook_list,
      sym__semicolon,
  [61249] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3267), 1,
      anon_sym_COMMA,
    ACTIONS(3269), 1,
      anon_sym_RPAREN,
    STATE(1611), 1,
      sym_text_interpolation,
    STATE(2160), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61274] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3267), 1,
      anon_sym_COMMA,
    ACTIONS(3269), 1,
      anon_sym_RPAREN,
    STATE(1612), 1,
      sym_text_interpolation,
    STATE(2160), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61299] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3062), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1613), 1,
      sym_text_interpolation,
    STATE(1711), 1,
      sym_const_element,
    STATE(2650), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61326] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3287), 1,
      anon_sym_COMMA,
    ACTIONS(3289), 1,
      anon_sym_LBRACE,
    STATE(1614), 1,
      sym_text_interpolation,
    STATE(1748), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1451), 2,
      sym_property_hook_list,
      sym__semicolon,
  [61353] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    STATE(1615), 1,
      sym_text_interpolation,
    STATE(1749), 1,
      sym__property_hook_body,
    STATE(1755), 1,
      sym__semicolon,
    STATE(1756), 1,
      sym_compound_statement,
    ACTIONS(2490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61382] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3347), 1,
      sym_name,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    STATE(889), 1,
      sym__simple_variable,
    STATE(1616), 1,
      sym_text_interpolation,
    STATE(882), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61408] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3351), 1,
      sym_name,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(643), 1,
      sym__simple_variable,
    STATE(1617), 1,
      sym_text_interpolation,
    STATE(645), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61434] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3339), 1,
      anon_sym_BSLASHu,
    STATE(1618), 1,
      sym_text_interpolation,
    ACTIONS(3341), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [61454] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3355), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3357), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3359), 1,
      aux_sym_else_clause_token1,
    STATE(1619), 1,
      sym_text_interpolation,
    STATE(1647), 1,
      aux_sym_if_statement_repeat2,
    STATE(2221), 1,
      sym_else_if_clause_2,
    STATE(2519), 1,
      sym_else_clause_2,
  [61482] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3361), 1,
      anon_sym_RBRACE,
    ACTIONS(3363), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3365), 1,
      aux_sym_match_default_expression_token1,
    STATE(1563), 1,
      aux_sym_switch_block_repeat1,
    STATE(1620), 1,
      sym_text_interpolation,
    STATE(1876), 2,
      sym_case_statement,
      sym_default_statement,
  [61508] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3363), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3365), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3367), 1,
      anon_sym_RBRACE,
    STATE(1621), 1,
      sym_text_interpolation,
    STATE(1651), 1,
      aux_sym_switch_block_repeat1,
    STATE(1876), 2,
      sym_case_statement,
      sym_default_statement,
  [61534] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3369), 1,
      sym_name,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1622), 1,
      sym_text_interpolation,
    STATE(1847), 1,
      sym_named_type,
    STATE(2185), 1,
      sym_type_list,
    STATE(2609), 1,
      sym_namespace_name,
  [61562] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3371), 1,
      sym_name,
    ACTIONS(3373), 1,
      anon_sym_LBRACE,
    ACTIONS(3375), 1,
      anon_sym_DOLLAR,
    STATE(1623), 1,
      sym_text_interpolation,
    STATE(1655), 1,
      sym__simple_variable,
    STATE(1659), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61588] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3363), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3365), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3377), 1,
      aux_sym_switch_block_token1,
    STATE(1624), 1,
      sym_text_interpolation,
    STATE(1653), 1,
      aux_sym_switch_block_repeat1,
    STATE(1876), 2,
      sym_case_statement,
      sym_default_statement,
  [61614] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3379), 1,
      sym_name,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    ACTIONS(3383), 1,
      anon_sym_DOLLAR,
    STATE(1592), 1,
      sym__simple_variable,
    STATE(1625), 1,
      sym_text_interpolation,
    STATE(1596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61640] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    ACTIONS(3383), 1,
      anon_sym_DOLLAR,
    ACTIONS(3385), 1,
      sym_name,
    STATE(1592), 1,
      sym__simple_variable,
    STATE(1626), 1,
      sym_text_interpolation,
    STATE(1596), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61666] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3387), 1,
      anon_sym_SQUOTE,
    ACTIONS(3389), 1,
      aux_sym_string_token2,
    ACTIONS(3391), 1,
      aux_sym_string_content_token1,
    STATE(1627), 1,
      sym_text_interpolation,
    STATE(1698), 1,
      aux_sym_string_repeat1,
    STATE(1926), 1,
      aux_sym_string_content_repeat1,
    STATE(2036), 1,
      sym_string_content,
  [61694] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_BSLASHu,
    STATE(1628), 1,
      sym_text_interpolation,
    ACTIONS(3393), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61714] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    STATE(820), 1,
      sym_declaration_list,
    STATE(1629), 1,
      sym_text_interpolation,
    STATE(1860), 1,
      sym_base_clause,
    STATE(2469), 1,
      sym_class_interface_clause,
  [61742] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3357), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3359), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3397), 1,
      aux_sym_if_statement_token2,
    STATE(1630), 1,
      sym_text_interpolation,
    STATE(1839), 1,
      aux_sym_if_statement_repeat2,
    STATE(2221), 1,
      sym_else_if_clause_2,
    STATE(2631), 1,
      sym_else_clause_2,
  [61770] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_BSLASHu,
    STATE(1631), 1,
      sym_text_interpolation,
    ACTIONS(1686), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61790] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3399), 1,
      aux_sym_use_instead_of_clause_token1,
    STATE(1632), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61812] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    STATE(870), 1,
      sym_arguments,
    STATE(1633), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61834] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3389), 1,
      aux_sym_string_token2,
    ACTIONS(3391), 1,
      aux_sym_string_content_token1,
    ACTIONS(3401), 1,
      anon_sym_SQUOTE,
    STATE(1634), 1,
      sym_text_interpolation,
    STATE(1683), 1,
      aux_sym_string_repeat1,
    STATE(1926), 1,
      aux_sym_string_content_repeat1,
    STATE(2036), 1,
      sym_string_content,
  [61862] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1635), 1,
      sym_text_interpolation,
    STATE(1858), 1,
      sym_base_clause,
    STATE(2103), 1,
      sym_declaration_list,
    STATE(2441), 1,
      sym_class_interface_clause,
  [61890] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3403), 1,
      sym_name,
    ACTIONS(3405), 1,
      anon_sym_LBRACE,
    STATE(613), 1,
      sym__simple_variable,
    STATE(1636), 1,
      sym_text_interpolation,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61916] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1637), 1,
      sym_text_interpolation,
    STATE(1855), 1,
      sym_base_clause,
    STATE(2042), 1,
      sym_declaration_list,
    STATE(2438), 1,
      sym_class_interface_clause,
  [61944] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3343), 1,
      anon_sym_BSLASHu,
    STATE(1638), 1,
      sym_text_interpolation,
    ACTIONS(3345), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [61964] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1019), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3407), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3409), 1,
      aux_sym_else_clause_token1,
    STATE(1639), 1,
      sym_text_interpolation,
    STATE(1713), 1,
      aux_sym_if_statement_repeat1,
    STATE(1957), 1,
      sym_else_clause,
    STATE(2192), 1,
      sym_else_if_clause,
  [61992] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3339), 1,
      anon_sym_BSLASHu,
    STATE(1640), 1,
      sym_text_interpolation,
    ACTIONS(3341), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62012] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3343), 1,
      anon_sym_BSLASHu,
    STATE(1641), 1,
      sym_text_interpolation,
    ACTIONS(3345), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62032] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3363), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3365), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3411), 1,
      aux_sym_switch_block_token1,
    STATE(1563), 1,
      aux_sym_switch_block_repeat1,
    STATE(1642), 1,
      sym_text_interpolation,
    STATE(1876), 2,
      sym_case_statement,
      sym_default_statement,
  [62058] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3062), 1,
      sym_name,
    STATE(716), 1,
      sym__reserved_identifier,
    STATE(1643), 1,
      sym_text_interpolation,
    STATE(2433), 1,
      sym__identifier,
    ACTIONS(2102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [62082] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3369), 1,
      sym_name,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1644), 1,
      sym_text_interpolation,
    STATE(1847), 1,
      sym_named_type,
    STATE(2253), 1,
      sym_type_list,
    STATE(2609), 1,
      sym_namespace_name,
  [62110] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3413), 1,
      sym_name,
    ACTIONS(3415), 1,
      anon_sym_LBRACE,
    ACTIONS(3417), 1,
      anon_sym_DOLLAR,
    STATE(1645), 1,
      sym_text_interpolation,
    STATE(1696), 1,
      sym__simple_variable,
    STATE(1695), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62136] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3419), 1,
      sym_php_tag,
    ACTIONS(3421), 1,
      aux_sym_text_token1,
    ACTIONS(3423), 1,
      aux_sym_text_token2,
    ACTIONS(3425), 1,
      sym__eof,
    STATE(1646), 1,
      sym_text_interpolation,
    STATE(1751), 1,
      aux_sym_text_repeat1,
    STATE(2306), 1,
      sym_text,
  [62164] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3357), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3359), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3427), 1,
      aux_sym_if_statement_token2,
    STATE(1647), 1,
      sym_text_interpolation,
    STATE(1839), 1,
      aux_sym_if_statement_repeat2,
    STATE(2221), 1,
      sym_else_if_clause_2,
    STATE(2591), 1,
      sym_else_clause_2,
  [62192] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1801), 1,
      anon_sym_DOLLAR,
    ACTIONS(3429), 1,
      sym_name,
    ACTIONS(3431), 1,
      anon_sym_LBRACE,
    STATE(836), 1,
      sym__simple_variable,
    STATE(1648), 1,
      sym_text_interpolation,
    STATE(766), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62218] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_BSLASHu,
    STATE(1649), 1,
      sym_text_interpolation,
    ACTIONS(3321), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62238] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_BSLASHu,
    STATE(1650), 1,
      sym_text_interpolation,
    ACTIONS(3325), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62258] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3363), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3365), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3433), 1,
      anon_sym_RBRACE,
    STATE(1563), 1,
      aux_sym_switch_block_repeat1,
    STATE(1651), 1,
      sym_text_interpolation,
    STATE(1876), 2,
      sym_case_statement,
      sym_default_statement,
  [62284] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1005), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3435), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3438), 1,
      aux_sym_else_clause_token1,
    STATE(1652), 1,
      sym_text_interpolation,
    STATE(1680), 1,
      aux_sym_if_statement_repeat1,
    STATE(2189), 1,
      sym_else_clause,
    STATE(2192), 1,
      sym_else_if_clause,
  [62312] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3363), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3365), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3441), 1,
      aux_sym_switch_block_token1,
    STATE(1563), 1,
      aux_sym_switch_block_repeat1,
    STATE(1653), 1,
      sym_text_interpolation,
    STATE(1876), 2,
      sym_case_statement,
      sym_default_statement,
  [62338] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3445), 1,
      anon_sym_BSLASHu,
    STATE(1654), 1,
      sym_text_interpolation,
    ACTIONS(3443), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62358] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_BSLASHu,
    STATE(1655), 1,
      sym_text_interpolation,
    ACTIONS(1682), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62378] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_LPAREN,
    STATE(654), 1,
      sym_arguments,
    STATE(1656), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62400] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    STATE(767), 1,
      sym_declaration_list,
    STATE(1657), 1,
      sym_text_interpolation,
    STATE(1843), 1,
      sym_base_clause,
    STATE(2414), 1,
      sym_class_interface_clause,
  [62428] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(928), 1,
      sym_declaration_list,
    STATE(1658), 1,
      sym_text_interpolation,
    STATE(1851), 1,
      sym_base_clause,
    STATE(2412), 1,
      sym_class_interface_clause,
  [62456] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1700), 1,
      anon_sym_BSLASHu,
    STATE(1659), 1,
      sym_text_interpolation,
    ACTIONS(1698), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62476] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    STATE(801), 1,
      sym_declaration_list,
    STATE(1660), 1,
      sym_text_interpolation,
    STATE(1842), 1,
      sym_base_clause,
    STATE(2415), 1,
      sym_class_interface_clause,
  [62504] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1807), 1,
      anon_sym_BSLASH,
    STATE(1661), 1,
      sym_text_interpolation,
    STATE(2432), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1805), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [62526] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(926), 1,
      sym_declaration_list,
    STATE(1662), 1,
      sym_text_interpolation,
    STATE(1854), 1,
      sym_base_clause,
    STATE(2401), 1,
      sym_class_interface_clause,
  [62554] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1558), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3447), 1,
      sym_name,
    ACTIONS(3449), 1,
      anon_sym_LBRACE,
    STATE(728), 1,
      sym__simple_variable,
    STATE(1663), 1,
      sym_text_interpolation,
    STATE(723), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62580] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_BSLASHu,
    STATE(1664), 1,
      sym_text_interpolation,
    ACTIONS(1668), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62600] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3389), 1,
      aux_sym_string_token2,
    ACTIONS(3391), 1,
      aux_sym_string_content_token1,
    ACTIONS(3451), 1,
      anon_sym_SQUOTE,
    STATE(1627), 1,
      aux_sym_string_repeat1,
    STATE(1665), 1,
      sym_text_interpolation,
    STATE(1926), 1,
      aux_sym_string_content_repeat1,
    STATE(2036), 1,
      sym_string_content,
  [62628] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_LPAREN,
    STATE(777), 1,
      sym_arguments,
    STATE(1666), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62650] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_LBRACE,
    ACTIONS(3375), 1,
      anon_sym_DOLLAR,
    ACTIONS(3453), 1,
      sym_name,
    STATE(1655), 1,
      sym__simple_variable,
    STATE(1667), 1,
      sym_text_interpolation,
    STATE(1659), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62676] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3357), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3359), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3455), 1,
      aux_sym_if_statement_token2,
    STATE(1630), 1,
      aux_sym_if_statement_repeat2,
    STATE(1668), 1,
      sym_text_interpolation,
    STATE(2221), 1,
      sym_else_if_clause_2,
    STATE(2610), 1,
      sym_else_clause_2,
  [62704] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3363), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3365), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3457), 1,
      anon_sym_RBRACE,
    STATE(1620), 1,
      aux_sym_switch_block_repeat1,
    STATE(1669), 1,
      sym_text_interpolation,
    STATE(1876), 2,
      sym_case_statement,
      sym_default_statement,
  [62730] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3363), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3365), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3459), 1,
      aux_sym_switch_block_token1,
    STATE(1642), 1,
      aux_sym_switch_block_repeat1,
    STATE(1670), 1,
      sym_text_interpolation,
    STATE(1876), 2,
      sym_case_statement,
      sym_default_statement,
  [62756] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_BSLASHu,
    STATE(1671), 1,
      sym_text_interpolation,
    ACTIONS(1668), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62776] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(526), 1,
      sym_declaration_list,
    STATE(1672), 1,
      sym_text_interpolation,
    STATE(1909), 1,
      sym_base_clause,
    STATE(2442), 1,
      sym_class_interface_clause,
  [62804] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_BSLASHu,
    STATE(1673), 1,
      sym_text_interpolation,
    ACTIONS(3321), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62824] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(923), 1,
      sym_declaration_list,
    STATE(1674), 1,
      sym_text_interpolation,
    STATE(1875), 1,
      sym_base_clause,
    STATE(2381), 1,
      sym_class_interface_clause,
  [62852] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3335), 1,
      anon_sym_BSLASHu,
    STATE(1675), 1,
      sym_text_interpolation,
    ACTIONS(3337), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62872] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym_DOLLAR,
    ACTIONS(3144), 1,
      anon_sym_PIPE,
    ACTIONS(3463), 1,
      anon_sym_AMP,
    STATE(1510), 1,
      aux_sym_union_type_repeat1,
    STATE(1513), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1676), 1,
      sym_text_interpolation,
    STATE(2137), 1,
      aux_sym_intersection_type_repeat1,
  [62900] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(542), 1,
      sym_declaration_list,
    STATE(1677), 1,
      sym_text_interpolation,
    STATE(1864), 1,
      sym_base_clause,
    STATE(2309), 1,
      sym_class_interface_clause,
  [62928] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1797), 1,
      anon_sym_DOLLAR,
    ACTIONS(3469), 1,
      sym_name,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(919), 1,
      sym__simple_variable,
    STATE(1678), 1,
      sym_text_interpolation,
    STATE(927), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62954] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1679), 1,
      sym_text_interpolation,
    STATE(1845), 1,
      sym_base_clause,
    STATE(1982), 1,
      sym_declaration_list,
    STATE(2386), 1,
      sym_class_interface_clause,
  [62982] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1019), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3473), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3476), 1,
      aux_sym_else_clause_token1,
    STATE(1680), 1,
      sym_text_interpolation,
    STATE(1713), 1,
      aux_sym_if_statement_repeat1,
    STATE(1957), 1,
      sym_else_clause,
    STATE(2192), 1,
      sym_else_if_clause,
  [63010] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_BSLASHu,
    STATE(1681), 1,
      sym_text_interpolation,
    ACTIONS(3325), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63030] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1682), 1,
      sym_text_interpolation,
    ACTIONS(3315), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63050] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3389), 1,
      aux_sym_string_token2,
    ACTIONS(3391), 1,
      aux_sym_string_content_token1,
    ACTIONS(3479), 1,
      anon_sym_SQUOTE,
    STATE(1683), 1,
      sym_text_interpolation,
    STATE(1698), 1,
      aux_sym_string_repeat1,
    STATE(1926), 1,
      aux_sym_string_content_repeat1,
    STATE(2036), 1,
      sym_string_content,
  [63078] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1684), 1,
      sym_text_interpolation,
    ACTIONS(3315), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63098] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(506), 1,
      sym_declaration_list,
    STATE(1685), 1,
      sym_text_interpolation,
    STATE(1866), 1,
      sym_base_clause,
    STATE(2324), 1,
      sym_class_interface_clause,
  [63126] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_BSLASHu,
    STATE(1686), 1,
      sym_text_interpolation,
    ACTIONS(1686), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63146] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    STATE(948), 1,
      sym_arguments,
    STATE(1687), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63168] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1005), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3407), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3409), 1,
      aux_sym_else_clause_token1,
    STATE(1639), 1,
      aux_sym_if_statement_repeat1,
    STATE(1688), 1,
      sym_text_interpolation,
    STATE(2189), 1,
      sym_else_clause,
    STATE(2192), 1,
      sym_else_if_clause,
  [63196] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1689), 1,
      sym_text_interpolation,
    ACTIONS(3309), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63216] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1690), 1,
      sym_text_interpolation,
    ACTIONS(3309), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63236] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(476), 1,
      sym_declaration_list,
    STATE(1691), 1,
      sym_text_interpolation,
    STATE(1869), 1,
      sym_base_clause,
    STATE(2500), 1,
      sym_class_interface_clause,
  [63264] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_LPAREN,
    STATE(734), 1,
      sym_arguments,
    STATE(1692), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63286] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3481), 1,
      anon_sym_BSLASHu,
    STATE(1693), 1,
      sym_text_interpolation,
    ACTIONS(2923), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [63306] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(970), 1,
      sym_declaration_list,
    STATE(1694), 1,
      sym_text_interpolation,
    STATE(1912), 1,
      sym_base_clause,
    STATE(2395), 1,
      sym_class_interface_clause,
  [63334] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1700), 1,
      anon_sym_BSLASHu,
    STATE(1695), 1,
      sym_text_interpolation,
    ACTIONS(1698), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63354] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_BSLASHu,
    STATE(1696), 1,
      sym_text_interpolation,
    ACTIONS(1682), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63374] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3483), 1,
      anon_sym_BSLASHu,
    STATE(1697), 1,
      sym_text_interpolation,
    ACTIONS(2983), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63394] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3485), 1,
      anon_sym_SQUOTE,
    ACTIONS(3487), 1,
      aux_sym_string_token2,
    ACTIONS(3490), 1,
      aux_sym_string_content_token1,
    STATE(1926), 1,
      aux_sym_string_content_repeat1,
    STATE(2036), 1,
      sym_string_content,
    STATE(1698), 2,
      sym_text_interpolation,
      aux_sym_string_repeat1,
  [63420] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    STATE(794), 1,
      sym_declaration_list,
    STATE(1699), 1,
      sym_text_interpolation,
    STATE(1846), 1,
      sym_base_clause,
    STATE(2375), 1,
      sym_class_interface_clause,
  [63448] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1700), 1,
      sym_text_interpolation,
    ACTIONS(3299), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63468] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1701), 1,
      sym_text_interpolation,
    STATE(1878), 1,
      sym_base_clause,
    STATE(2112), 1,
      sym_declaration_list,
    STATE(2454), 1,
      sym_class_interface_clause,
  [63496] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3335), 1,
      anon_sym_BSLASHu,
    STATE(1702), 1,
      sym_text_interpolation,
    ACTIONS(3337), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [63516] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1703), 1,
      sym_text_interpolation,
    ACTIONS(3299), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63536] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3415), 1,
      anon_sym_LBRACE,
    ACTIONS(3417), 1,
      anon_sym_DOLLAR,
    ACTIONS(3493), 1,
      sym_name,
    STATE(1696), 1,
      sym__simple_variable,
    STATE(1704), 1,
      sym_text_interpolation,
    STATE(1695), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63562] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN,
    STATE(616), 1,
      sym_arguments,
    STATE(1705), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63584] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1706), 1,
      sym_text_interpolation,
    STATE(2082), 1,
      sym_compound_statement,
    STATE(2083), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63607] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1707), 1,
      sym_text_interpolation,
    ACTIONS(3495), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [63624] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(13), 1,
      aux_sym_text_token1,
    ACTIONS(15), 1,
      aux_sym_text_token2,
    ACTIONS(3497), 1,
      ts_builtin_sym_end,
    ACTIONS(3499), 1,
      sym_php_tag,
    STATE(1708), 1,
      sym_text_interpolation,
    STATE(1718), 1,
      aux_sym_text_repeat1,
  [63649] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1709), 1,
      sym_text_interpolation,
    ACTIONS(3501), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3503), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [63668] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3505), 1,
      sym_name,
    ACTIONS(3507), 1,
      anon_sym_BSLASH,
    STATE(565), 1,
      sym_compound_statement,
    STATE(1710), 1,
      sym_text_interpolation,
    STATE(1727), 1,
      sym_namespace_name,
  [63693] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_COMMA,
    STATE(1711), 1,
      sym_text_interpolation,
    STATE(1725), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1983), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63716] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1712), 1,
      sym_text_interpolation,
    ACTIONS(3511), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3513), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [63735] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1053), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1055), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3515), 1,
      aux_sym_else_if_clause_token1,
    STATE(2192), 1,
      sym_else_if_clause,
    STATE(1713), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat1,
  [63758] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1714), 1,
      sym_text_interpolation,
    ACTIONS(1039), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1037), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [63777] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1715), 1,
      sym_text_interpolation,
    ACTIONS(3518), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3520), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [63796] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1716), 1,
      sym_text_interpolation,
    ACTIONS(3522), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3524), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [63815] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_LPAREN,
    STATE(1717), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63834] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3526), 1,
      ts_builtin_sym_end,
    ACTIONS(3528), 1,
      sym_php_tag,
    ACTIONS(3530), 1,
      aux_sym_text_token1,
    ACTIONS(3533), 1,
      aux_sym_text_token2,
    STATE(1718), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [63857] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    STATE(500), 1,
      sym__semicolon,
    STATE(1719), 1,
      sym_text_interpolation,
    STATE(1758), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63880] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1720), 1,
      sym_text_interpolation,
    ACTIONS(3538), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3540), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [63899] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3542), 1,
      anon_sym_PIPE,
    STATE(1721), 1,
      sym_text_interpolation,
    STATE(1798), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3193), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [63920] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3544), 1,
      anon_sym_COMMA,
    STATE(508), 1,
      sym__semicolon,
    STATE(1722), 1,
      sym_text_interpolation,
    STATE(1760), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63943] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3542), 1,
      anon_sym_PIPE,
    STATE(1723), 1,
      sym_text_interpolation,
    STATE(1800), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3207), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [63964] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3546), 1,
      anon_sym_PIPE,
    STATE(1724), 1,
      sym_text_interpolation,
    STATE(1802), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3197), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [63985] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_COMMA,
    STATE(1725), 1,
      sym_text_interpolation,
    STATE(1886), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2049), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64008] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3550), 1,
      anon_sym_BSLASH,
    STATE(1726), 1,
      sym_text_interpolation,
    STATE(1778), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3548), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64029] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(509), 1,
      sym_compound_statement,
    STATE(510), 1,
      sym__semicolon,
    STATE(1727), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64052] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1728), 1,
      sym_text_interpolation,
    ACTIONS(3552), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3554), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64071] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1729), 1,
      sym_text_interpolation,
    ACTIONS(3556), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [64088] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1730), 1,
      sym_text_interpolation,
    ACTIONS(1047), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1045), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64107] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3558), 1,
      sym_name,
    STATE(1731), 1,
      sym_text_interpolation,
    STATE(1953), 1,
      sym_visibility_modifier,
    ACTIONS(3560), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [64128] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3564), 1,
      anon_sym_COMMA,
    STATE(1732), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
    ACTIONS(3562), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64147] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3569), 1,
      anon_sym_EQ,
    STATE(1733), 1,
      sym_text_interpolation,
    STATE(2335), 1,
      sym_property_hook_list,
    ACTIONS(3567), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [64170] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3571), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3573), 1,
      anon_sym_LBRACE,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    STATE(1734), 1,
      sym_text_interpolation,
    STATE(2088), 1,
      sym_anonymous_function_use_clause,
    STATE(2571), 1,
      sym__return_type,
  [64195] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_COMMA,
    STATE(543), 1,
      sym__semicolon,
    STATE(1735), 1,
      sym_text_interpolation,
    STATE(1770), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64218] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1736), 1,
      sym_text_interpolation,
    ACTIONS(3577), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3579), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64237] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1737), 1,
      sym_text_interpolation,
    ACTIONS(3581), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3583), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64256] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3585), 1,
      anon_sym_LBRACE,
    ACTIONS(3587), 1,
      anon_sym_COLON,
    STATE(511), 1,
      sym_enum_declaration_list,
    STATE(1738), 1,
      sym_text_interpolation,
    STATE(2440), 1,
      sym_class_interface_clause,
  [64281] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1739), 1,
      sym_text_interpolation,
    ACTIONS(3589), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3591), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64300] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1740), 1,
      sym_text_interpolation,
    ACTIONS(3593), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3595), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64319] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1741), 1,
      sym_text_interpolation,
    ACTIONS(3597), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3599), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64338] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1742), 1,
      sym_text_interpolation,
    ACTIONS(3601), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3603), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64357] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3605), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3607), 1,
      aux_sym_finally_clause_token1,
    STATE(442), 1,
      aux_sym_try_statement_repeat1,
    STATE(1743), 1,
      sym_text_interpolation,
    STATE(449), 2,
      sym_catch_clause,
      sym_finally_clause,
  [64380] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1744), 1,
      sym_text_interpolation,
    ACTIONS(3609), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3611), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64399] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1935), 1,
      anon_sym_LPAREN,
    STATE(1745), 1,
      sym_text_interpolation,
    ACTIONS(1937), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [64418] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1746), 1,
      sym_text_interpolation,
    ACTIONS(1943), 5,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [64435] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1747), 1,
      sym_text_interpolation,
    ACTIONS(3613), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3615), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64454] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3619), 1,
      anon_sym_COMMA,
    STATE(1748), 2,
      sym_text_interpolation,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3617), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64473] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1749), 1,
      sym_text_interpolation,
    ACTIONS(3622), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3624), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64492] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(3626), 1,
      anon_sym_RPAREN,
    STATE(1750), 1,
      sym_text_interpolation,
    STATE(2349), 2,
      sym_variable_name,
      sym_by_ref,
  [64515] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3421), 1,
      aux_sym_text_token1,
    ACTIONS(3423), 1,
      aux_sym_text_token2,
    ACTIONS(3497), 1,
      sym__eof,
    ACTIONS(3499), 1,
      sym_php_tag,
    STATE(1751), 1,
      sym_text_interpolation,
    STATE(1763), 1,
      aux_sym_text_repeat1,
  [64540] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3628), 1,
      anon_sym_PIPE,
    STATE(1752), 1,
      sym_text_interpolation,
    STATE(1841), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3179), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64561] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3630), 1,
      anon_sym_COMMA,
    STATE(512), 1,
      sym__semicolon,
    STATE(1753), 1,
      sym_text_interpolation,
    STATE(1764), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64584] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1754), 1,
      sym_text_interpolation,
    ACTIONS(3632), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [64601] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1755), 1,
      sym_text_interpolation,
    ACTIONS(3634), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3636), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64620] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1756), 1,
      sym_text_interpolation,
    ACTIONS(3638), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3640), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64639] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1757), 1,
      sym_text_interpolation,
    ACTIONS(3642), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3644), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64658] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    STATE(567), 1,
      sym__semicolon,
    STATE(1758), 1,
      sym_text_interpolation,
    STATE(1895), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64681] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3505), 1,
      sym_name,
    ACTIONS(3507), 1,
      anon_sym_BSLASH,
    STATE(1706), 1,
      sym_namespace_name,
    STATE(1759), 1,
      sym_text_interpolation,
    STATE(2025), 1,
      sym_compound_statement,
  [64706] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3544), 1,
      anon_sym_COMMA,
    STATE(571), 1,
      sym__semicolon,
    STATE(1760), 1,
      sym_text_interpolation,
    STATE(1892), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64729] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3550), 1,
      anon_sym_BSLASH,
    STATE(1761), 1,
      sym_text_interpolation,
    STATE(1809), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3646), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64750] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_COMMA,
    STATE(1762), 1,
      sym_text_interpolation,
    STATE(1886), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1984), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64773] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3526), 1,
      sym__eof,
    ACTIONS(3528), 1,
      sym_php_tag,
    ACTIONS(3648), 1,
      aux_sym_text_token1,
    ACTIONS(3651), 1,
      aux_sym_text_token2,
    STATE(1763), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [64796] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3630), 1,
      anon_sym_COMMA,
    STATE(577), 1,
      sym__semicolon,
    STATE(1764), 1,
      sym_text_interpolation,
    STATE(1891), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64819] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1765), 1,
      sym_text_interpolation,
    ACTIONS(3166), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [64836] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1043), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1766), 1,
      sym_text_interpolation,
    ACTIONS(1041), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [64855] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(3654), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1767), 1,
      sym_text_interpolation,
    STATE(2177), 1,
      sym_reference_modifier,
    STATE(2178), 1,
      sym_variable_name,
  [64880] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3571), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(3656), 1,
      anon_sym_LBRACE,
    STATE(1768), 1,
      sym_text_interpolation,
    STATE(2183), 1,
      sym_anonymous_function_use_clause,
    STATE(2542), 1,
      sym__return_type,
  [64905] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_COMMA,
    STATE(524), 1,
      sym__semicolon,
    STATE(1769), 1,
      sym_text_interpolation,
    STATE(1803), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64928] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_COMMA,
    STATE(570), 1,
      sym__semicolon,
    STATE(1770), 1,
      sym_text_interpolation,
    STATE(1886), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64951] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1771), 1,
      sym_text_interpolation,
    ACTIONS(3034), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [64968] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1772), 1,
      sym_text_interpolation,
    ACTIONS(3150), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [64985] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    STATE(1773), 1,
      sym_text_interpolation,
    STATE(1786), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(2075), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65008] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3544), 1,
      anon_sym_COMMA,
    STATE(1774), 1,
      sym_text_interpolation,
    STATE(1787), 1,
      aux_sym_global_declaration_repeat1,
    STATE(2076), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65031] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3630), 1,
      anon_sym_COMMA,
    STATE(1775), 1,
      sym_text_interpolation,
    STATE(1792), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2089), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65054] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_COMMA,
    STATE(1776), 1,
      sym_text_interpolation,
    STATE(1808), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2096), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65077] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3658), 1,
      anon_sym_LBRACE,
    ACTIONS(3660), 1,
      anon_sym_COLON,
    STATE(1777), 1,
      sym_text_interpolation,
    STATE(2111), 1,
      sym_enum_declaration_list,
    STATE(2452), 1,
      sym_class_interface_clause,
  [65102] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3550), 1,
      anon_sym_BSLASH,
    STATE(1778), 1,
      sym_text_interpolation,
    STATE(1818), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3646), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [65123] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3265), 1,
      aux_sym_finally_clause_token1,
    STATE(1546), 1,
      aux_sym_try_statement_repeat1,
    STATE(1779), 1,
      sym_text_interpolation,
    STATE(1813), 2,
      sym_catch_clause,
      sym_finally_clause,
  [65146] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(961), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(1734), 1,
      sym_formal_parameters,
    STATE(1780), 1,
      sym_text_interpolation,
    STATE(2444), 1,
      sym_reference_modifier,
  [65171] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(961), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(1781), 1,
      sym_text_interpolation,
    STATE(2012), 1,
      sym_formal_parameters,
    STATE(2373), 1,
      sym_reference_modifier,
  [65196] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3571), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(3662), 1,
      anon_sym_LBRACE,
    STATE(1782), 1,
      sym_text_interpolation,
    STATE(2260), 1,
      sym_anonymous_function_use_clause,
    STATE(2678), 1,
      sym__return_type,
  [65221] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3571), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(3664), 1,
      anon_sym_LBRACE,
    STATE(1783), 1,
      sym_text_interpolation,
    STATE(2268), 1,
      sym_anonymous_function_use_clause,
    STATE(2694), 1,
      sym__return_type,
  [65246] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3369), 1,
      sym_name,
    STATE(1490), 1,
      sym_qualified_name,
    STATE(1784), 1,
      sym_text_interpolation,
    STATE(1988), 1,
      sym_named_type,
    STATE(2609), 1,
      sym_namespace_name,
  [65271] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3585), 1,
      anon_sym_LBRACE,
    ACTIONS(3666), 1,
      anon_sym_COLON,
    STATE(486), 1,
      sym_enum_declaration_list,
    STATE(1785), 1,
      sym_text_interpolation,
    STATE(2326), 1,
      sym_class_interface_clause,
  [65296] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    STATE(1786), 1,
      sym_text_interpolation,
    STATE(1895), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(2154), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65319] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3544), 1,
      anon_sym_COMMA,
    STATE(1787), 1,
      sym_text_interpolation,
    STATE(1892), 1,
      aux_sym_global_declaration_repeat1,
    STATE(2155), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65342] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1031), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1788), 1,
      sym_text_interpolation,
    ACTIONS(1029), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65361] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_COMMA,
    STATE(570), 1,
      sym__semicolon,
    STATE(1789), 1,
      sym_text_interpolation,
    STATE(1822), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65384] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1404), 1,
      sym_compound_statement,
    STATE(1413), 1,
      sym__semicolon,
    STATE(1790), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65407] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_LPAREN,
    ACTIONS(3668), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3670), 1,
      anon_sym_DASH_GT,
    ACTIONS(3672), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3674), 1,
      anon_sym_LBRACK,
    STATE(1791), 1,
      sym_text_interpolation,
  [65432] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3630), 1,
      anon_sym_COMMA,
    STATE(1792), 1,
      sym_text_interpolation,
    STATE(1891), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2172), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65455] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(3676), 1,
      anon_sym_RPAREN,
    STATE(1793), 1,
      sym_text_interpolation,
    STATE(2349), 2,
      sym_variable_name,
      sym_by_ref,
  [65478] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1794), 1,
      sym_text_interpolation,
    ACTIONS(3678), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3680), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65497] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3684), 1,
      anon_sym_COLON,
    STATE(1795), 1,
      sym_text_interpolation,
    STATE(2208), 1,
      sym__return_type,
    ACTIONS(3682), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [65518] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3688), 1,
      anon_sym_EQ,
    STATE(1796), 1,
      sym_text_interpolation,
    STATE(2481), 1,
      sym_property_hook_list,
    ACTIONS(3686), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [65541] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(3690), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1797), 1,
      sym_text_interpolation,
    STATE(2276), 1,
      sym_variable_name,
    STATE(2278), 1,
      sym_reference_modifier,
  [65566] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3542), 1,
      anon_sym_PIPE,
    STATE(1798), 1,
      sym_text_interpolation,
    STATE(1800), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3179), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [65587] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1799), 1,
      sym_text_interpolation,
    ACTIONS(3158), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [65604] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3692), 1,
      anon_sym_PIPE,
    STATE(1800), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3189), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [65623] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_COMMA,
    STATE(1801), 1,
      sym_text_interpolation,
    STATE(1836), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2212), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65646] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3695), 1,
      anon_sym_PIPE,
    STATE(1802), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3185), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [65665] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_COMMA,
    STATE(535), 1,
      sym__semicolon,
    STATE(1803), 1,
      sym_text_interpolation,
    STATE(1886), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65688] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3698), 1,
      anon_sym_PIPE,
    STATE(1804), 1,
      sym_text_interpolation,
    STATE(1837), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3197), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [65709] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1406), 1,
      sym__semicolon,
    STATE(1415), 1,
      sym_compound_statement,
    STATE(1805), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65732] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3628), 1,
      anon_sym_PIPE,
    STATE(1806), 1,
      sym_text_interpolation,
    STATE(1841), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3207), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [65753] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3702), 1,
      anon_sym_EQ,
    STATE(1807), 1,
      sym_text_interpolation,
    STATE(2354), 1,
      sym_property_hook_list,
    ACTIONS(3700), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [65776] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_COMMA,
    STATE(1808), 1,
      sym_text_interpolation,
    STATE(1886), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2214), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65799] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3550), 1,
      anon_sym_BSLASH,
    STATE(1809), 1,
      sym_text_interpolation,
    STATE(1818), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3704), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [65820] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3708), 1,
      anon_sym_EQ,
    STATE(1810), 1,
      sym_text_interpolation,
    STATE(2356), 1,
      sym_property_hook_list,
    ACTIONS(3706), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [65843] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3710), 1,
      sym_name,
    STATE(1811), 1,
      sym_text_interpolation,
    STATE(2004), 1,
      sym_final_modifier,
    STATE(2644), 1,
      sym_reference_modifier,
  [65868] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1812), 1,
      sym_text_interpolation,
    ACTIONS(3712), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3714), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65887] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1035), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1813), 1,
      sym_text_interpolation,
    ACTIONS(1033), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65906] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3718), 1,
      anon_sym_EQ,
    STATE(1814), 1,
      sym_text_interpolation,
    STATE(2372), 1,
      sym_property_hook_list,
    ACTIONS(3716), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [65929] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_COMMA,
    STATE(489), 1,
      sym__semicolon,
    STATE(1815), 1,
      sym_text_interpolation,
    STATE(1886), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65952] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3571), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(3720), 1,
      anon_sym_LBRACE,
    STATE(1816), 1,
      sym_text_interpolation,
    STATE(2169), 1,
      sym_anonymous_function_use_clause,
    STATE(2526), 1,
      sym__return_type,
  [65977] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3571), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(3722), 1,
      anon_sym_LBRACE,
    STATE(1817), 1,
      sym_text_interpolation,
    STATE(2161), 1,
      sym_anonymous_function_use_clause,
    STATE(2517), 1,
      sym__return_type,
  [66002] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3726), 1,
      anon_sym_BSLASH,
    STATE(1818), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3724), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66021] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3571), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(3729), 1,
      anon_sym_LBRACE,
    STATE(1819), 1,
      sym_text_interpolation,
    STATE(2148), 1,
      sym_anonymous_function_use_clause,
    STATE(2510), 1,
      sym__return_type,
  [66046] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_COMMA,
    STATE(574), 1,
      sym__semicolon,
    STATE(1815), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1820), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66069] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3658), 1,
      anon_sym_LBRACE,
    ACTIONS(3731), 1,
      anon_sym_COLON,
    STATE(1821), 1,
      sym_text_interpolation,
    STATE(2108), 1,
      sym_enum_declaration_list,
    STATE(2443), 1,
      sym_class_interface_clause,
  [66094] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_COMMA,
    STATE(575), 1,
      sym__semicolon,
    STATE(1822), 1,
      sym_text_interpolation,
    STATE(1886), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66117] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_COMMA,
    STATE(1762), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1823), 1,
      sym_text_interpolation,
    STATE(2214), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66140] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3571), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(3733), 1,
      anon_sym_LBRACE,
    STATE(1824), 1,
      sym_text_interpolation,
    STATE(2017), 1,
      sym_anonymous_function_use_clause,
    STATE(2626), 1,
      sym__return_type,
  [66165] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3737), 1,
      anon_sym_EQ,
    STATE(1825), 1,
      sym_text_interpolation,
    STATE(2486), 1,
      sym_property_hook_list,
    ACTIONS(3735), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [66188] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3741), 1,
      anon_sym_EQ,
    STATE(1826), 1,
      sym_text_interpolation,
    STATE(2296), 1,
      sym_property_hook_list,
    ACTIONS(3739), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [66211] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1827), 1,
      sym_text_interpolation,
    ACTIONS(3743), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [66228] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3684), 1,
      anon_sym_COLON,
    STATE(1828), 1,
      sym_text_interpolation,
    STATE(2041), 1,
      sym__return_type,
    ACTIONS(3745), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66249] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3749), 1,
      anon_sym_EQ,
    STATE(1829), 1,
      sym_text_interpolation,
    STATE(2359), 1,
      sym_property_hook_list,
    ACTIONS(3747), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [66272] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3271), 1,
      anon_sym_AMP,
    STATE(1830), 1,
      sym_text_interpolation,
    STATE(1840), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3203), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66293] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1402), 1,
      sym__semicolon,
    STATE(1409), 1,
      sym_compound_statement,
    STATE(1831), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66316] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1403), 1,
      sym_compound_statement,
    STATE(1421), 1,
      sym__semicolon,
    STATE(1832), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66339] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3753), 1,
      anon_sym_EQ,
    STATE(1833), 1,
      sym_text_interpolation,
    ACTIONS(3751), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [66358] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1051), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1834), 1,
      sym_text_interpolation,
    ACTIONS(1049), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66377] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3628), 1,
      anon_sym_PIPE,
    STATE(1752), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1835), 1,
      sym_text_interpolation,
    ACTIONS(3193), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66398] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3509), 1,
      anon_sym_COMMA,
    STATE(1836), 1,
      sym_text_interpolation,
    STATE(1886), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2039), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66421] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3755), 1,
      anon_sym_PIPE,
    STATE(1837), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3185), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66440] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1838), 1,
      sym_text_interpolation,
    ACTIONS(1126), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1124), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [66459] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3758), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3760), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3763), 1,
      aux_sym_else_clause_token1,
    STATE(2221), 1,
      sym_else_if_clause_2,
    STATE(1839), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat2,
  [66482] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3765), 1,
      anon_sym_AMP,
    STATE(1840), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3173), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66501] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3768), 1,
      anon_sym_PIPE,
    STATE(1841), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3189), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66520] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    STATE(793), 1,
      sym_declaration_list,
    STATE(1842), 1,
      sym_text_interpolation,
    STATE(2374), 1,
      sym_class_interface_clause,
  [66542] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    STATE(794), 1,
      sym_declaration_list,
    STATE(1843), 1,
      sym_text_interpolation,
    STATE(2375), 1,
      sym_class_interface_clause,
  [66564] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3658), 1,
      anon_sym_LBRACE,
    STATE(1844), 1,
      sym_text_interpolation,
    STATE(2163), 1,
      sym_enum_declaration_list,
    STATE(2371), 1,
      sym_class_interface_clause,
  [66586] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1845), 1,
      sym_text_interpolation,
    STATE(2047), 1,
      sym_declaration_list,
    STATE(2370), 1,
      sym_class_interface_clause,
  [66608] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    STATE(821), 1,
      sym_declaration_list,
    STATE(1846), 1,
      sym_text_interpolation,
    STATE(2362), 1,
      sym_class_interface_clause,
  [66630] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_PIPE,
    STATE(1847), 1,
      sym_text_interpolation,
    STATE(1902), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3771), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [66650] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1848), 1,
      sym_text_interpolation,
    ACTIONS(3212), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [66666] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1849), 1,
      sym_text_interpolation,
    ACTIONS(3173), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [66682] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_EQ,
    STATE(1437), 1,
      sym__semicolon,
    STATE(1850), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66702] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(970), 1,
      sym_declaration_list,
    STATE(1851), 1,
      sym_text_interpolation,
    STATE(2395), 1,
      sym_class_interface_clause,
  [66724] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3777), 1,
      anon_sym_COMMA,
    STATE(1852), 1,
      sym_text_interpolation,
    STATE(1896), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3779), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [66744] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3781), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3783), 1,
      anon_sym_DASH_GT,
    ACTIONS(3785), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3787), 1,
      anon_sym_LBRACK,
    STATE(1853), 1,
      sym_text_interpolation,
  [66766] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(971), 1,
      sym_declaration_list,
    STATE(1854), 1,
      sym_text_interpolation,
    STATE(2394), 1,
      sym_class_interface_clause,
  [66788] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1855), 1,
      sym_text_interpolation,
    STATE(1986), 1,
      sym_declaration_list,
    STATE(2385), 1,
      sym_class_interface_clause,
  [66810] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(1856), 1,
      sym_text_interpolation,
    STATE(1807), 2,
      sym_variable_name,
      sym_by_ref,
  [66830] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1857), 1,
      sym_text_interpolation,
    ACTIONS(3632), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [66846] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1858), 1,
      sym_text_interpolation,
    STATE(1981), 1,
      sym_declaration_list,
    STATE(2400), 1,
      sym_class_interface_clause,
  [66868] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    STATE(767), 1,
      sym_declaration_list,
    STATE(1859), 1,
      sym_text_interpolation,
    STATE(2414), 1,
      sym_class_interface_clause,
  [66890] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    STATE(801), 1,
      sym_declaration_list,
    STATE(1860), 1,
      sym_text_interpolation,
    STATE(2415), 1,
      sym_class_interface_clause,
  [66912] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3658), 1,
      anon_sym_LBRACE,
    STATE(1861), 1,
      sym_text_interpolation,
    STATE(2011), 1,
      sym_enum_declaration_list,
    STATE(2430), 1,
      sym_class_interface_clause,
  [66934] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3585), 1,
      anon_sym_LBRACE,
    STATE(475), 1,
      sym_enum_declaration_list,
    STATE(1862), 1,
      sym_text_interpolation,
    STATE(2388), 1,
      sym_class_interface_clause,
  [66956] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(1863), 1,
      sym_text_interpolation,
    STATE(1814), 2,
      sym_variable_name,
      sym_by_ref,
  [66976] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(578), 1,
      sym_declaration_list,
    STATE(1864), 1,
      sym_text_interpolation,
    STATE(2499), 1,
      sym_class_interface_clause,
  [66998] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1797), 1,
      anon_sym_DOLLAR,
    STATE(953), 1,
      sym__simple_variable,
    STATE(1865), 1,
      sym_text_interpolation,
    STATE(927), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67018] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(540), 1,
      sym_declaration_list,
    STATE(1866), 1,
      sym_text_interpolation,
    STATE(2484), 1,
      sym_class_interface_clause,
  [67040] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1867), 1,
      sym_text_interpolation,
    ACTIONS(3724), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [67056] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    STATE(1868), 1,
      sym_text_interpolation,
    STATE(2128), 1,
      sym_declaration_list,
    STATE(2447), 1,
      sym_base_clause,
  [67078] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(483), 1,
      sym_declaration_list,
    STATE(1869), 1,
      sym_text_interpolation,
    STATE(2379), 1,
      sym_class_interface_clause,
  [67100] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3789), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3791), 1,
      sym__new_line,
    ACTIONS(3793), 1,
      sym_heredoc_end,
    STATE(1870), 1,
      sym_text_interpolation,
    STATE(2453), 1,
      sym_heredoc_body,
  [67122] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1801), 1,
      anon_sym_DOLLAR,
    STATE(772), 1,
      sym__simple_variable,
    STATE(1871), 1,
      sym_text_interpolation,
    STATE(766), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67142] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1872), 1,
      sym_text_interpolation,
    ACTIONS(3795), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [67158] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    STATE(820), 1,
      sym_declaration_list,
    STATE(1873), 1,
      sym_text_interpolation,
    STATE(2469), 1,
      sym_class_interface_clause,
  [67180] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(928), 1,
      sym_declaration_list,
    STATE(1874), 1,
      sym_text_interpolation,
    STATE(2412), 1,
      sym_class_interface_clause,
  [67202] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(926), 1,
      sym_declaration_list,
    STATE(1875), 1,
      sym_text_interpolation,
    STATE(2401), 1,
      sym_class_interface_clause,
  [67224] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1876), 1,
      sym_text_interpolation,
    ACTIONS(3797), 4,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_match_default_expression_token1,
      aux_sym_switch_block_token1,
  [67240] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1877), 1,
      sym_text_interpolation,
    ACTIONS(3556), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [67256] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1878), 1,
      sym_text_interpolation,
    STATE(2098), 1,
      sym_declaration_list,
    STATE(2482), 1,
      sym_class_interface_clause,
  [67278] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(1879), 1,
      sym_text_interpolation,
    STATE(1733), 2,
      sym_variable_name,
      sym_by_ref,
  [67298] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1774), 1,
      sym__simple_variable,
    STATE(1880), 1,
      sym_text_interpolation,
    STATE(645), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67318] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3781), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3787), 1,
      anon_sym_LBRACK,
    ACTIONS(3799), 1,
      anon_sym_DASH_GT,
    ACTIONS(3801), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1881), 1,
      sym_text_interpolation,
  [67340] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1882), 1,
      sym_text_interpolation,
    STATE(2524), 1,
      sym_declare_directive,
    ACTIONS(3803), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [67358] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3585), 1,
      anon_sym_LBRACE,
    STATE(562), 1,
      sym_enum_declaration_list,
    STATE(1883), 1,
      sym_text_interpolation,
    STATE(2340), 1,
      sym_class_interface_clause,
  [67380] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3777), 1,
      anon_sym_COMMA,
    STATE(1852), 1,
      aux_sym_base_clause_repeat1,
    STATE(1884), 1,
      sym_text_interpolation,
    ACTIONS(3805), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [67400] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3807), 1,
      anon_sym_AMP,
    STATE(1885), 1,
      sym_text_interpolation,
    STATE(1887), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3203), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [67420] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3812), 1,
      anon_sym_COMMA,
    ACTIONS(3810), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1886), 2,
      sym_text_interpolation,
      aux_sym__const_declaration_repeat1,
  [67438] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3815), 1,
      anon_sym_AMP,
    ACTIONS(3173), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    STATE(1887), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
  [67456] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(1888), 1,
      sym_text_interpolation,
    STATE(2270), 2,
      sym_variable_name,
      sym_by_ref,
  [67476] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(1889), 1,
      sym_text_interpolation,
    STATE(1826), 2,
      sym_variable_name,
      sym_by_ref,
  [67496] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1890), 1,
      sym_text_interpolation,
    ACTIONS(3743), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [67512] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3820), 1,
      anon_sym_COMMA,
    ACTIONS(3818), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1891), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_declaration_repeat1,
  [67530] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_COMMA,
    ACTIONS(3823), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1892), 2,
      sym_text_interpolation,
      aux_sym_global_declaration_repeat1,
  [67548] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(598), 1,
      sym__simple_variable,
    STATE(1893), 1,
      sym_text_interpolation,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67568] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3791), 1,
      sym__new_line,
    ACTIONS(3828), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3830), 1,
      sym_heredoc_end,
    STATE(1894), 1,
      sym_text_interpolation,
    STATE(2501), 1,
      sym_heredoc_body,
  [67590] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3834), 1,
      anon_sym_COMMA,
    ACTIONS(3832), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1895), 2,
      sym_text_interpolation,
      aux_sym_function_static_declaration_repeat1,
  [67608] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3562), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
    STATE(1896), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
  [67626] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(1897), 1,
      sym_text_interpolation,
    STATE(2277), 1,
      sym_formal_parameters,
    STATE(2316), 1,
      sym_reference_modifier,
  [67648] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3840), 1,
      anon_sym_EQ,
    STATE(1445), 1,
      sym__semicolon,
    STATE(1898), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67668] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(1819), 1,
      sym_formal_parameters,
    STATE(1899), 1,
      sym_text_interpolation,
    STATE(2318), 1,
      sym_reference_modifier,
  [67690] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(462), 1,
      sym_declaration_list,
    STATE(1900), 1,
      sym_text_interpolation,
    STATE(2329), 1,
      sym_base_clause,
  [67712] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3791), 1,
      sym__new_line,
    ACTIONS(3842), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3844), 1,
      sym_heredoc_end,
    STATE(1901), 1,
      sym_text_interpolation,
    STATE(2346), 1,
      sym_heredoc_body,
  [67734] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_PIPE,
    STATE(1902), 1,
      sym_text_interpolation,
    STATE(1930), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3846), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [67754] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3850), 1,
      aux_sym_string_content_token1,
    ACTIONS(3848), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
    STATE(1903), 2,
      sym_text_interpolation,
      aux_sym_string_content_repeat1,
  [67772] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1904), 1,
      sym_text_interpolation,
    ACTIONS(3853), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [67788] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    STATE(1905), 1,
      sym_text_interpolation,
    STATE(2106), 1,
      sym_declaration_list,
    STATE(2446), 1,
      sym_base_clause,
  [67810] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3855), 1,
      anon_sym_EQ,
    ACTIONS(3857), 1,
      anon_sym_RPAREN,
    STATE(1906), 1,
      sym_text_interpolation,
    STATE(2238), 1,
      aux_sym__list_destructing_repeat1,
  [67832] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(923), 1,
      sym_declaration_list,
    STATE(1907), 1,
      sym_text_interpolation,
    STATE(2381), 1,
      sym_class_interface_clause,
  [67854] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(1783), 1,
      sym_formal_parameters,
    STATE(1908), 1,
      sym_text_interpolation,
    STATE(2426), 1,
      sym_reference_modifier,
  [67876] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(532), 1,
      sym_declaration_list,
    STATE(1909), 1,
      sym_text_interpolation,
    STATE(2427), 1,
      sym_class_interface_clause,
  [67898] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1910), 1,
      sym_text_interpolation,
    ACTIONS(1812), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [67914] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3781), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3859), 1,
      anon_sym_DASH_GT,
    ACTIONS(3861), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3863), 1,
      anon_sym_LBRACK,
    STATE(1911), 1,
      sym_text_interpolation,
  [67936] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(969), 1,
      sym_declaration_list,
    STATE(1912), 1,
      sym_text_interpolation,
    STATE(2342), 1,
      sym_class_interface_clause,
  [67958] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3781), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3865), 1,
      anon_sym_DASH_GT,
    ACTIONS(3867), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3869), 1,
      anon_sym_LBRACK,
    STATE(1913), 1,
      sym_text_interpolation,
  [67980] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1914), 1,
      sym_text_interpolation,
    STATE(2548), 1,
      sym_declare_directive,
    ACTIONS(3803), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [67998] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1915), 1,
      sym_text_interpolation,
    ACTIONS(3495), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [68014] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_LPAREN,
    STATE(1916), 1,
      sym_text_interpolation,
    STATE(2051), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68034] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3875), 1,
      sym_nowdoc_string,
    STATE(1917), 1,
      sym_text_interpolation,
    STATE(1931), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(3873), 2,
      sym_heredoc_end,
      sym__new_line,
  [68054] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1918), 1,
      sym_text_interpolation,
    ACTIONS(3877), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [68072] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1919), 1,
      sym_text_interpolation,
    STATE(2203), 1,
      sym__simple_variable,
    STATE(645), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [68092] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(1920), 1,
      sym_text_interpolation,
    STATE(2150), 1,
      sym_formal_parameters,
    STATE(2487), 1,
      sym_reference_modifier,
  [68114] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(1921), 1,
      sym_text_interpolation,
    STATE(2142), 1,
      sym_formal_parameters,
    STATE(2494), 1,
      sym_reference_modifier,
  [68136] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(1782), 1,
      sym_formal_parameters,
    STATE(1922), 1,
      sym_text_interpolation,
    STATE(2496), 1,
      sym_reference_modifier,
  [68158] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3791), 1,
      sym__new_line,
    ACTIONS(3881), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3883), 1,
      sym_heredoc_end,
    STATE(1923), 1,
      sym_text_interpolation,
    STATE(2488), 1,
      sym_heredoc_body,
  [68180] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1924), 1,
      sym_text_interpolation,
    ACTIONS(3885), 2,
      sym_php_tag,
      aux_sym_text_token1,
    ACTIONS(3887), 2,
      sym__eof,
      aux_sym_text_token2,
  [68198] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1925), 1,
      sym_text_interpolation,
    ACTIONS(3185), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [68214] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3391), 1,
      aux_sym_string_content_token1,
    STATE(1903), 1,
      aux_sym_string_content_repeat1,
    STATE(1926), 1,
      sym_text_interpolation,
    ACTIONS(3889), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [68234] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1927), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [68250] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1928), 1,
      sym_text_interpolation,
    ACTIONS(3617), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [68266] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1929), 1,
      sym_text_interpolation,
    ACTIONS(3189), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [68282] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3893), 1,
      anon_sym_PIPE,
    ACTIONS(3891), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
    STATE(1930), 2,
      sym_text_interpolation,
      aux_sym_type_list_repeat1,
  [68300] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3898), 1,
      sym_nowdoc_string,
    ACTIONS(3896), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1931), 2,
      sym_text_interpolation,
      aux_sym_nowdoc_body_repeat1,
  [68318] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN,
    STATE(1932), 1,
      sym_text_interpolation,
    STATE(2405), 1,
      sym_arguments,
    ACTIONS(3901), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [68338] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1933), 1,
      sym_text_interpolation,
    ACTIONS(1656), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [68354] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1934), 1,
      sym_text_interpolation,
    STATE(2536), 1,
      sym_declare_directive,
    ACTIONS(3803), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [68372] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2498), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2817), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3903), 1,
      aux_sym__namespace_use_type_token1,
    STATE(1935), 1,
      sym_text_interpolation,
    STATE(2492), 1,
      sym_static_modifier,
  [68394] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3781), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3905), 1,
      anon_sym_DASH_GT,
    ACTIONS(3907), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3909), 1,
      anon_sym_LBRACK,
    STATE(1936), 1,
      sym_text_interpolation,
  [68416] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(1734), 1,
      sym_formal_parameters,
    STATE(1937), 1,
      sym_text_interpolation,
    STATE(2444), 1,
      sym_reference_modifier,
  [68438] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(564), 1,
      sym_declaration_list,
    STATE(1938), 1,
      sym_text_interpolation,
    STATE(2434), 1,
      sym_base_clause,
  [68460] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3781), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3911), 1,
      anon_sym_DASH_GT,
    ACTIONS(3913), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3915), 1,
      anon_sym_LBRACK,
    STATE(1939), 1,
      sym_text_interpolation,
  [68482] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3919), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1940), 1,
      sym_text_interpolation,
    ACTIONS(3917), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [68500] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(1941), 1,
      sym_text_interpolation,
    STATE(2349), 2,
      sym_variable_name,
      sym_by_ref,
  [68520] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1942), 1,
      sym_text_interpolation,
    ACTIONS(3562), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [68536] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1943), 1,
      sym_text_interpolation,
    ACTIONS(3226), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [68552] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1944), 1,
      sym_text_interpolation,
    ACTIONS(3885), 2,
      sym_php_tag,
      aux_sym_text_token1,
    ACTIONS(3887), 2,
      ts_builtin_sym_end,
      aux_sym_text_token2,
  [68570] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3923), 1,
      anon_sym_EQ,
    STATE(1945), 1,
      sym_text_interpolation,
    ACTIONS(3921), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [68588] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3781), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3925), 1,
      anon_sym_DASH_GT,
    ACTIONS(3927), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3929), 1,
      anon_sym_LBRACK,
    STATE(1946), 1,
      sym_text_interpolation,
  [68610] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3931), 1,
      anon_sym_LPAREN,
    STATE(465), 1,
      sym__semicolon,
    STATE(1947), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68630] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(1948), 1,
      sym_text_interpolation,
    STATE(2012), 1,
      sym_formal_parameters,
    STATE(2373), 1,
      sym_reference_modifier,
  [68652] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1949), 1,
      sym_text_interpolation,
    STATE(2667), 1,
      sym_declare_directive,
    ACTIONS(3803), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [68670] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1722), 1,
      sym__simple_variable,
    STATE(1950), 1,
      sym_text_interpolation,
    STATE(645), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [68690] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1432), 1,
      sym__semicolon,
    STATE(1951), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68707] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3933), 1,
      sym__new_line,
    ACTIONS(3935), 1,
      sym_heredoc_end,
    STATE(1952), 1,
      sym_text_interpolation,
    STATE(2461), 1,
      sym_nowdoc_body,
  [68726] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3937), 1,
      sym_name,
    STATE(1953), 1,
      sym_text_interpolation,
    ACTIONS(3939), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68743] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1550), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1954), 1,
      sym_text_interpolation,
    ACTIONS(1548), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68760] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1955), 1,
      sym_text_interpolation,
    STATE(2031), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68777] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1178), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1956), 1,
      sym_text_interpolation,
    ACTIONS(1176), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68794] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1242), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1957), 1,
      sym_text_interpolation,
    ACTIONS(1240), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68811] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1246), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1958), 1,
      sym_text_interpolation,
    ACTIONS(1244), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68828] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(481), 1,
      sym__semicolon,
    STATE(1959), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68845] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(455), 1,
      sym__semicolon,
    STATE(1960), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68862] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(488), 1,
      sym__semicolon,
    STATE(1961), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68879] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(490), 1,
      sym__semicolon,
    STATE(1962), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68896] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1963), 1,
      sym_text_interpolation,
    STATE(2019), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68913] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1334), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1964), 1,
      sym_text_interpolation,
    ACTIONS(1332), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68930] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1322), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1965), 1,
      sym_text_interpolation,
    ACTIONS(1320), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68947] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(468), 1,
      sym__semicolon,
    STATE(1966), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68964] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(467), 1,
      sym__semicolon,
    STATE(1967), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68981] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3941), 1,
      anon_sym_DQUOTE,
    ACTIONS(3943), 1,
      anon_sym_SQUOTE,
    ACTIONS(3945), 1,
      sym_heredoc_start,
    STATE(1968), 1,
      sym_text_interpolation,
  [69000] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1074), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1969), 1,
      sym_text_interpolation,
    ACTIONS(1072), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69017] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1162), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1970), 1,
      sym_text_interpolation,
    ACTIONS(1160), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69034] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(466), 1,
      sym__semicolon,
    STATE(1971), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69051] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(464), 1,
      sym__semicolon,
    STATE(1972), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69068] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(463), 1,
      sym__semicolon,
    STATE(1973), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69085] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(461), 1,
      sym__semicolon,
    STATE(1974), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69102] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1126), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1975), 1,
      sym_text_interpolation,
    ACTIONS(1124), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69119] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3947), 1,
      anon_sym_COMMA,
    ACTIONS(3950), 1,
      anon_sym_RPAREN,
    STATE(1976), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [69136] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1358), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1977), 1,
      sym_text_interpolation,
    ACTIONS(1356), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69153] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1370), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1978), 1,
      sym_text_interpolation,
    ACTIONS(1368), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69170] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1979), 1,
      sym_text_interpolation,
    ACTIONS(3952), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [69185] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1980), 1,
      sym_text_interpolation,
    ACTIONS(3954), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [69200] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1394), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1981), 1,
      sym_text_interpolation,
    ACTIONS(1392), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69217] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1146), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1982), 1,
      sym_text_interpolation,
    ACTIONS(1144), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69234] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1526), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1983), 1,
      sym_text_interpolation,
    ACTIONS(1524), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69251] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1530), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1984), 1,
      sym_text_interpolation,
    ACTIONS(1528), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69268] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(536), 1,
      sym__semicolon,
    STATE(1985), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69285] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1542), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1986), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69302] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1546), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1987), 1,
      sym_text_interpolation,
    ACTIONS(1544), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69319] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1988), 1,
      sym_text_interpolation,
    ACTIONS(3891), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [69334] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(546), 1,
      sym__semicolon,
    STATE(1989), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69351] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1443), 1,
      sym__semicolon,
    STATE(1990), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69368] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(457), 1,
      sym__semicolon,
    STATE(1991), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69385] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(530), 1,
      sym__semicolon,
    STATE(1992), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69402] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(479), 1,
      sym__semicolon,
    STATE(1993), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69419] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1390), 1,
      sym__semicolon,
    STATE(1994), 1,
      sym_text_interpolation,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69436] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3956), 1,
      anon_sym_COMMA,
    ACTIONS(3959), 1,
      anon_sym_RPAREN,
    STATE(1995), 2,
      sym_text_interpolation,
      aux_sym_anonymous_function_use_clause_repeat1,
  [69453] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(482), 1,
      sym__semicolon,
    STATE(1996), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69470] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1262), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1997), 1,
      sym_text_interpolation,
    ACTIONS(1260), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69487] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1998), 1,
      sym_text_interpolation,
    STATE(2000), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69504] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(522), 1,
      sym__semicolon,
    STATE(1999), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69521] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1218), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2000), 1,
      sym_text_interpolation,
    ACTIONS(1216), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69538] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2001), 1,
      sym_text_interpolation,
    STATE(2056), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69555] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2002), 1,
      sym_text_interpolation,
    STATE(2059), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69572] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1290), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2003), 1,
      sym_text_interpolation,
    ACTIONS(1288), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69589] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3961), 1,
      sym_name,
    STATE(2004), 1,
      sym_text_interpolation,
    STATE(2682), 1,
      sym_reference_modifier,
  [69608] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1294), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2005), 1,
      sym_text_interpolation,
    ACTIONS(1292), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69625] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1506), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2006), 1,
      sym_text_interpolation,
    ACTIONS(1504), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69642] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(485), 1,
      sym__semicolon,
    STATE(2007), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69659] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1082), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2008), 1,
      sym_text_interpolation,
    ACTIONS(1080), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69676] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2009), 1,
      sym_text_interpolation,
    ACTIONS(2702), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [69691] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1494), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2010), 1,
      sym_text_interpolation,
    ACTIONS(1492), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69708] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1478), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2011), 1,
      sym_text_interpolation,
    ACTIONS(1476), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69725] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(3963), 1,
      anon_sym_EQ_GT,
    STATE(2012), 1,
      sym_text_interpolation,
    STATE(2541), 1,
      sym__return_type,
  [69744] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(568), 1,
      sym__semicolon,
    STATE(2013), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69761] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1342), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2014), 1,
      sym_text_interpolation,
    ACTIONS(1340), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69778] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1302), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2015), 1,
      sym_text_interpolation,
    ACTIONS(1300), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69795] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(550), 1,
      sym__semicolon,
    STATE(2016), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69812] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(3965), 1,
      anon_sym_LBRACE,
    STATE(2017), 1,
      sym_text_interpolation,
    STATE(2673), 1,
      sym__return_type,
  [69831] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3967), 1,
      anon_sym_LBRACE,
    ACTIONS(3969), 1,
      anon_sym_COLON,
    STATE(516), 1,
      sym_switch_block,
    STATE(2018), 1,
      sym_text_interpolation,
  [69850] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1222), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2019), 1,
      sym_text_interpolation,
    ACTIONS(1220), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69867] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1210), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2020), 1,
      sym_text_interpolation,
    ACTIONS(1208), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69884] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2021), 1,
      sym_text_interpolation,
    STATE(2124), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69901] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1462), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2022), 1,
      sym_text_interpolation,
    ACTIONS(1460), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69918] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3855), 1,
      anon_sym_EQ,
    STATE(2023), 1,
      sym_text_interpolation,
    ACTIONS(3971), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [69935] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1534), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2024), 1,
      sym_text_interpolation,
    ACTIONS(1532), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69952] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1490), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2025), 1,
      sym_text_interpolation,
    ACTIONS(1488), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69969] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3973), 1,
      anon_sym_COMMA,
    ACTIONS(3975), 1,
      anon_sym_RBRACK,
    STATE(2026), 1,
      sym_text_interpolation,
    STATE(2119), 1,
      aux_sym__array_destructing_repeat1,
  [69988] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(2027), 1,
      sym_text_interpolation,
    ACTIONS(3977), 3,
      sym_heredoc_end,
      sym_nowdoc_string,
      sym__new_line,
  [70003] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3979), 1,
      anon_sym_COMMA,
    ACTIONS(3981), 1,
      anon_sym_RBRACK,
    STATE(2028), 1,
      sym_text_interpolation,
    STATE(2120), 1,
      aux_sym_array_creation_expression_repeat1,
  [70022] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3983), 1,
      anon_sym_RPAREN,
    STATE(2029), 1,
      sym_text_interpolation,
    STATE(2239), 1,
      aux_sym__list_destructing_repeat1,
  [70041] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3973), 1,
      anon_sym_COMMA,
    ACTIONS(3975), 1,
      anon_sym_RBRACK,
    STATE(2030), 1,
      sym_text_interpolation,
    STATE(2121), 1,
      aux_sym__array_destructing_repeat1,
  [70060] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1474), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2031), 1,
      sym_text_interpolation,
    ACTIONS(1472), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70077] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2032), 1,
      sym_text_interpolation,
    ACTIONS(3985), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [70092] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3987), 1,
      anon_sym_RPAREN,
    STATE(2033), 1,
      sym_text_interpolation,
    STATE(2239), 1,
      aux_sym__list_destructing_repeat1,
  [70111] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2034), 1,
      sym_text_interpolation,
    ACTIONS(3989), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [70126] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3991), 1,
      anon_sym_COMMA,
    ACTIONS(3993), 1,
      anon_sym_RBRACK,
    STATE(2035), 1,
      sym_text_interpolation,
    STATE(2122), 1,
      aux_sym_attribute_group_repeat1,
  [70145] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3997), 1,
      aux_sym_string_content_token1,
    STATE(2036), 1,
      sym_text_interpolation,
    ACTIONS(3995), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [70162] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4001), 1,
      aux_sym_string_content_token1,
    STATE(2037), 1,
      sym_text_interpolation,
    ACTIONS(3999), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [70179] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4003), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(2038), 1,
      sym_text_interpolation,
    ACTIONS(3917), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [70196] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1374), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2039), 1,
      sym_text_interpolation,
    ACTIONS(1372), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70213] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2590), 1,
      anon_sym_EQ_GT,
    ACTIONS(4005), 1,
      anon_sym_COMMA,
    STATE(2040), 2,
      sym_text_interpolation,
      aux_sym_match_condition_list_repeat1,
  [70230] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2041), 1,
      sym_text_interpolation,
    ACTIONS(4008), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [70245] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1402), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2042), 1,
      sym_text_interpolation,
    ACTIONS(1400), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70262] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2020), 1,
      sym__semicolon,
    STATE(2043), 1,
      sym_text_interpolation,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70279] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4010), 1,
      anon_sym_COMMA,
    ACTIONS(4013), 1,
      anon_sym_RBRACE,
    STATE(2044), 2,
      sym_text_interpolation,
      aux_sym_match_block_repeat1,
  [70296] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1154), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2045), 1,
      sym_text_interpolation,
    ACTIONS(1152), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70313] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1830), 1,
      anon_sym_DOLLAR,
    STATE(1945), 1,
      sym_variable_name,
    STATE(2046), 1,
      sym_text_interpolation,
    STATE(2157), 1,
      sym_static_variable_declaration,
  [70332] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1174), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2047), 1,
      sym_text_interpolation,
    ACTIONS(1172), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70349] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2048), 1,
      sym_text_interpolation,
    ACTIONS(3233), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [70364] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1198), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2049), 1,
      sym_text_interpolation,
    ACTIONS(1196), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70381] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(472), 1,
      sym__semicolon,
    STATE(2050), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70398] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1102), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2051), 1,
      sym_text_interpolation,
    ACTIONS(1100), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70415] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1206), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2052), 1,
      sym_text_interpolation,
    ACTIONS(1204), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70432] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2053), 1,
      sym_text_interpolation,
    STATE(2126), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70449] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1965), 1,
      sym__semicolon,
    STATE(2054), 1,
      sym_text_interpolation,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70466] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(572), 1,
      sym__semicolon,
    STATE(2055), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70483] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1286), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2056), 1,
      sym_text_interpolation,
    ACTIONS(1284), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70500] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4017), 1,
      aux_sym_else_clause_token1,
    STATE(2057), 1,
      sym_text_interpolation,
    ACTIONS(4015), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [70517] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1150), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2058), 1,
      sym_text_interpolation,
    ACTIONS(1148), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70534] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1306), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2059), 1,
      sym_text_interpolation,
    ACTIONS(1304), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70551] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2060), 1,
      sym_text_interpolation,
    STATE(2151), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70568] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1190), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2061), 1,
      sym_text_interpolation,
    ACTIONS(1188), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70585] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1250), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2062), 1,
      sym_text_interpolation,
    ACTIONS(1248), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70602] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4019), 1,
      sym_name,
    ACTIONS(4021), 1,
      anon_sym_LBRACE,
    STATE(2063), 1,
      sym_text_interpolation,
    STATE(2470), 1,
      sym_namespace_use_group,
  [70621] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2064), 1,
      sym_text_interpolation,
    STATE(2153), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70638] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(4023), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2065), 1,
      sym_text_interpolation,
    STATE(2171), 1,
      sym_variable_name,
  [70657] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_COMMA,
    ACTIONS(4027), 1,
      anon_sym_RPAREN,
    STATE(2066), 1,
      sym_text_interpolation,
    STATE(2176), 1,
      aux_sym_formal_parameters_repeat1,
  [70676] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2067), 1,
      sym_text_interpolation,
    STATE(2113), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70693] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1078), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2068), 1,
      sym_text_interpolation,
    ACTIONS(1076), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70710] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1122), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2069), 1,
      sym_text_interpolation,
    ACTIONS(1120), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70727] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1214), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2070), 1,
      sym_text_interpolation,
    ACTIONS(1212), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70744] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(518), 1,
      sym__semicolon,
    STATE(2071), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70761] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1382), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2072), 1,
      sym_text_interpolation,
    ACTIONS(1380), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70778] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4029), 1,
      anon_sym_LBRACE,
    ACTIONS(4031), 1,
      anon_sym_COLON,
    STATE(2073), 1,
      sym_text_interpolation,
    STATE(2234), 1,
      sym_switch_block,
  [70797] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(513), 1,
      sym__semicolon,
    STATE(2074), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70814] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1238), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2075), 1,
      sym_text_interpolation,
    ACTIONS(1236), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70831] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1266), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2076), 1,
      sym_text_interpolation,
    ACTIONS(1264), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70848] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2077), 1,
      sym_text_interpolation,
    ACTIONS(3562), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [70863] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1830), 1,
      anon_sym_DOLLAR,
    STATE(1833), 1,
      sym_variable_name,
    STATE(1928), 1,
      sym_property_element,
    STATE(2078), 1,
      sym_text_interpolation,
  [70882] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4033), 1,
      anon_sym_COMMA,
    ACTIONS(4035), 1,
      anon_sym_RBRACK,
    STATE(2079), 1,
      sym_text_interpolation,
    STATE(2129), 1,
      aux_sym_array_creation_expression_repeat1,
  [70901] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4037), 1,
      anon_sym_COMMA,
    ACTIONS(4039), 1,
      anon_sym_RBRACK,
    STATE(2080), 1,
      sym_text_interpolation,
    STATE(2131), 1,
      aux_sym_attribute_group_repeat1,
  [70920] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1830), 1,
      anon_sym_DOLLAR,
    STATE(1562), 1,
      sym_property_element,
    STATE(1833), 1,
      sym_variable_name,
    STATE(2081), 1,
      sym_text_interpolation,
  [70939] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1270), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2082), 1,
      sym_text_interpolation,
    ACTIONS(1268), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70956] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1274), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2083), 1,
      sym_text_interpolation,
    ACTIONS(1272), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70973] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_RPAREN,
    ACTIONS(4041), 1,
      anon_sym_COMMA,
    STATE(1995), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
    STATE(2084), 1,
      sym_text_interpolation,
  [70992] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4045), 1,
      anon_sym_EQ,
    STATE(2085), 1,
      sym_text_interpolation,
    ACTIONS(4043), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71009] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1390), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2086), 1,
      sym_text_interpolation,
    ACTIONS(1388), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71026] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4047), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(2087), 1,
      sym_text_interpolation,
    ACTIONS(3877), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [71043] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(4049), 1,
      anon_sym_LBRACE,
    STATE(2088), 1,
      sym_text_interpolation,
    STATE(2550), 1,
      sym__return_type,
  [71062] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1282), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2089), 1,
      sym_text_interpolation,
    ACTIONS(1280), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71079] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_EQ,
    STATE(2090), 1,
      sym_text_interpolation,
    ACTIONS(4051), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71096] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(3682), 1,
      anon_sym_LBRACE,
    STATE(2091), 1,
      sym_text_interpolation,
    STATE(2552), 1,
      sym__return_type,
  [71115] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3137), 1,
      anon_sym_AMP,
    ACTIONS(4055), 1,
      anon_sym_RPAREN,
    STATE(1512), 1,
      aux_sym_intersection_type_repeat1,
    STATE(2092), 1,
      sym_text_interpolation,
  [71134] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1414), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2093), 1,
      sym_text_interpolation,
    ACTIONS(1412), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71151] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1422), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2094), 1,
      sym_text_interpolation,
    ACTIONS(1420), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71168] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(561), 1,
      sym__semicolon,
    STATE(2095), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71185] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1406), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2096), 1,
      sym_text_interpolation,
    ACTIONS(1404), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71202] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1438), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2097), 1,
      sym_text_interpolation,
    ACTIONS(1436), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71219] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1362), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2098), 1,
      sym_text_interpolation,
    ACTIONS(1360), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71236] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4057), 1,
      anon_sym_COMMA,
    ACTIONS(4059), 1,
      anon_sym_RPAREN,
    STATE(2099), 1,
      sym_text_interpolation,
    STATE(2152), 1,
      aux_sym_formal_parameters_repeat1,
  [71255] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1446), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2100), 1,
      sym_text_interpolation,
    ACTIONS(1444), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71272] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1450), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2101), 1,
      sym_text_interpolation,
    ACTIONS(1448), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71289] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1442), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2102), 1,
      sym_text_interpolation,
    ACTIONS(1440), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71306] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1258), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2103), 1,
      sym_text_interpolation,
    ACTIONS(1256), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71323] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(4061), 1,
      anon_sym_EQ_GT,
    STATE(2104), 1,
      sym_text_interpolation,
    STATE(2576), 1,
      sym__return_type,
  [71342] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4063), 1,
      anon_sym_COMMA,
    ACTIONS(4065), 1,
      anon_sym_RPAREN,
    STATE(2105), 1,
      sym_text_interpolation,
    STATE(2206), 1,
      aux_sym_array_creation_expression_repeat1,
  [71361] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1486), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2106), 1,
      sym_text_interpolation,
    ACTIONS(1484), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71378] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(519), 1,
      sym__semicolon,
    STATE(2107), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71395] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1186), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2108), 1,
      sym_text_interpolation,
    ACTIONS(1184), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71412] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4067), 1,
      anon_sym_COMMA,
    ACTIONS(4069), 1,
      anon_sym_RPAREN,
    STATE(2109), 1,
      sym_text_interpolation,
    STATE(2158), 1,
      aux_sym_array_creation_expression_repeat1,
  [71431] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2110), 1,
      sym_text_interpolation,
    ACTIONS(4071), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [71446] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1278), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2111), 1,
      sym_text_interpolation,
    ACTIONS(1276), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71463] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1338), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2112), 1,
      sym_text_interpolation,
    ACTIONS(1336), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71480] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1502), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2113), 1,
      sym_text_interpolation,
    ACTIONS(1500), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71497] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1470), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2114), 1,
      sym_text_interpolation,
    ACTIONS(1468), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71514] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1769), 1,
      anon_sym_RPAREN,
    STATE(2115), 1,
      sym_text_interpolation,
    STATE(2235), 1,
      aux_sym__list_destructing_repeat1,
  [71533] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1769), 1,
      anon_sym_RPAREN,
    STATE(2116), 1,
      sym_text_interpolation,
    STATE(2239), 1,
      aux_sym__list_destructing_repeat1,
  [71552] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1482), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2117), 1,
      sym_text_interpolation,
    ACTIONS(1480), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71569] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(4073), 1,
      sym_name,
    STATE(2118), 1,
      sym_text_interpolation,
    STATE(2643), 1,
      sym_reference_modifier,
  [71588] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3973), 1,
      anon_sym_COMMA,
    ACTIONS(4075), 1,
      anon_sym_RBRACK,
    STATE(2119), 1,
      sym_text_interpolation,
    STATE(2121), 1,
      aux_sym__array_destructing_repeat1,
  [71607] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(849), 1,
      anon_sym_RBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    STATE(2120), 1,
      sym_text_interpolation,
    STATE(2248), 1,
      aux_sym_array_creation_expression_repeat1,
  [71626] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4079), 1,
      anon_sym_COMMA,
    ACTIONS(4082), 1,
      anon_sym_RBRACK,
    STATE(2121), 2,
      sym_text_interpolation,
      aux_sym__array_destructing_repeat1,
  [71643] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3080), 1,
      anon_sym_RBRACK,
    ACTIONS(4084), 1,
      anon_sym_COMMA,
    STATE(2122), 1,
      sym_text_interpolation,
    STATE(2249), 1,
      aux_sym_attribute_group_repeat1,
  [71662] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2123), 1,
      sym_text_interpolation,
    STATE(2261), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71679] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1518), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2124), 1,
      sym_text_interpolation,
    ACTIONS(1516), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71696] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3791), 1,
      sym__new_line,
    ACTIONS(4086), 1,
      sym_heredoc_end,
    STATE(2125), 1,
      sym_text_interpolation,
    STATE(2352), 1,
      sym_heredoc_body,
  [71715] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1434), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2126), 1,
      sym_text_interpolation,
    ACTIONS(1432), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71732] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4088), 1,
      anon_sym_COMMA,
    ACTIONS(4090), 1,
      anon_sym_RBRACE,
    STATE(2127), 1,
      sym_text_interpolation,
    STATE(2191), 1,
      aux_sym_namespace_use_declaration_repeat1,
  [71751] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1090), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2128), 1,
      sym_text_interpolation,
    ACTIONS(1088), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71768] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(837), 1,
      anon_sym_RBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4092), 1,
      anon_sym_COMMA,
    STATE(2129), 1,
      sym_text_interpolation,
    STATE(2248), 1,
      aux_sym_array_creation_expression_repeat1,
  [71787] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1118), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2130), 1,
      sym_text_interpolation,
    ACTIONS(1116), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71804] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3084), 1,
      anon_sym_RBRACK,
    ACTIONS(4094), 1,
      anon_sym_COMMA,
    STATE(2131), 1,
      sym_text_interpolation,
    STATE(2249), 1,
      aux_sym_attribute_group_repeat1,
  [71823] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1430), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2132), 1,
      sym_text_interpolation,
    ACTIONS(1428), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71840] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1954), 1,
      sym__semicolon,
    STATE(2133), 1,
      sym_text_interpolation,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71857] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3791), 1,
      sym__new_line,
    ACTIONS(4096), 1,
      sym_heredoc_end,
    STATE(2134), 1,
      sym_text_interpolation,
    STATE(2457), 1,
      sym_heredoc_body,
  [71876] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(961), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(2135), 1,
      sym_text_interpolation,
    STATE(2422), 1,
      sym_parenthesized_expression,
  [71895] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1426), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2136), 1,
      sym_text_interpolation,
    ACTIONS(1424), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71912] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3203), 1,
      anon_sym_DOLLAR,
    ACTIONS(4098), 1,
      anon_sym_AMP,
    STATE(1501), 1,
      aux_sym_intersection_type_repeat1,
    STATE(2137), 1,
      sym_text_interpolation,
  [71931] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4101), 1,
      anon_sym_COMMA,
    ACTIONS(4103), 1,
      anon_sym_RPAREN,
    STATE(2138), 1,
      sym_text_interpolation,
    STATE(2255), 1,
      aux_sym_arguments_repeat1,
  [71950] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4105), 1,
      anon_sym_COMMA,
    ACTIONS(4107), 1,
      anon_sym_RPAREN,
    STATE(2139), 1,
      sym_text_interpolation,
    STATE(2186), 1,
      aux_sym_arguments_repeat1,
  [71969] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1398), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2140), 1,
      sym_text_interpolation,
    ACTIONS(1396), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71986] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1226), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2141), 1,
      sym_text_interpolation,
    ACTIONS(1224), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72003] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(4109), 1,
      anon_sym_EQ_GT,
    STATE(2142), 1,
      sym_text_interpolation,
    STATE(2687), 1,
      sym__return_type,
  [72022] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1956), 1,
      sym__semicolon,
    STATE(2143), 1,
      sym_text_interpolation,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72039] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1386), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2144), 1,
      sym_text_interpolation,
    ACTIONS(1384), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72056] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1554), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2145), 1,
      sym_text_interpolation,
    ACTIONS(1552), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72073] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(4111), 1,
      anon_sym_EQ_GT,
    STATE(2146), 1,
      sym_text_interpolation,
    STATE(2628), 1,
      sym__return_type,
  [72092] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1522), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2147), 1,
      sym_text_interpolation,
    ACTIONS(1520), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72109] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(4113), 1,
      anon_sym_LBRACE,
    STATE(2148), 1,
      sym_text_interpolation,
    STATE(2627), 1,
      sym__return_type,
  [72128] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1458), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2149), 1,
      sym_text_interpolation,
    ACTIONS(1456), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72145] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(4115), 1,
      anon_sym_EQ_GT,
    STATE(2150), 1,
      sym_text_interpolation,
    STATE(2703), 1,
      sym__return_type,
  [72164] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1418), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2151), 1,
      sym_text_interpolation,
    ACTIONS(1416), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72181] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2074), 1,
      anon_sym_RPAREN,
    ACTIONS(4117), 1,
      anon_sym_COMMA,
    STATE(2152), 1,
      sym_text_interpolation,
    STATE(2293), 1,
      aux_sym_formal_parameters_repeat1,
  [72200] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1378), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2153), 1,
      sym_text_interpolation,
    ACTIONS(1376), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72217] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1498), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2154), 1,
      sym_text_interpolation,
    ACTIONS(1496), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72234] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1514), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2155), 1,
      sym_text_interpolation,
    ACTIONS(1512), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72251] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2156), 1,
      sym_text_interpolation,
    STATE(2193), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72268] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2157), 1,
      sym_text_interpolation,
    ACTIONS(3832), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [72283] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(841), 1,
      anon_sym_RPAREN,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4119), 1,
      anon_sym_COMMA,
    STATE(1976), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(2158), 1,
      sym_text_interpolation,
  [72302] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2159), 1,
      sym_text_interpolation,
    STATE(2194), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72319] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1789), 1,
      anon_sym_RPAREN,
    ACTIONS(4121), 1,
      anon_sym_COMMA,
    STATE(2160), 1,
      sym_text_interpolation,
    STATE(2256), 1,
      aux_sym_unset_statement_repeat1,
  [72338] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(4123), 1,
      anon_sym_LBRACE,
    STATE(2161), 1,
      sym_text_interpolation,
    STATE(2622), 1,
      sym__return_type,
  [72357] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2162), 1,
      sym_text_interpolation,
    STATE(2197), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72374] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1142), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2163), 1,
      sym_text_interpolation,
    ACTIONS(1140), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72391] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4019), 1,
      sym_name,
    ACTIONS(4021), 1,
      anon_sym_LBRACE,
    STATE(2164), 1,
      sym_text_interpolation,
    STATE(2305), 1,
      sym_namespace_use_group,
  [72410] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2165), 1,
      sym_text_interpolation,
    ACTIONS(3818), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [72425] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4125), 1,
      anon_sym_COMMA,
    ACTIONS(4127), 1,
      anon_sym_RBRACE,
    STATE(2166), 1,
      sym_text_interpolation,
    STATE(2209), 1,
      aux_sym_match_block_repeat1,
  [72444] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1346), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2167), 1,
      sym_text_interpolation,
    ACTIONS(1344), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72461] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2168), 1,
      sym_text_interpolation,
    ACTIONS(4129), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [72476] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(4131), 1,
      anon_sym_LBRACE,
    STATE(2169), 1,
      sym_text_interpolation,
    STATE(2665), 1,
      sym__return_type,
  [72495] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2170), 1,
      sym_text_interpolation,
    STATE(2216), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72512] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4135), 1,
      anon_sym_EQ,
    STATE(2171), 1,
      sym_text_interpolation,
    ACTIONS(4133), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72529] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1538), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2172), 1,
      sym_text_interpolation,
    ACTIONS(1536), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72546] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1066), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2173), 1,
      sym_text_interpolation,
    ACTIONS(1064), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72563] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1326), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2174), 1,
      sym_text_interpolation,
    ACTIONS(1324), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72580] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4137), 1,
      anon_sym_COMMA,
    ACTIONS(4140), 1,
      anon_sym_RPAREN,
    STATE(2175), 2,
      sym_text_interpolation,
      aux_sym_arguments_repeat1,
  [72597] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2076), 1,
      anon_sym_RPAREN,
    ACTIONS(4142), 1,
      anon_sym_COMMA,
    STATE(2176), 1,
      sym_text_interpolation,
    STATE(2293), 1,
      aux_sym_formal_parameters_repeat1,
  [72616] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(4144), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2177), 1,
      sym_text_interpolation,
    STATE(2286), 1,
      sym_variable_name,
  [72635] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4148), 1,
      anon_sym_EQ,
    STATE(2178), 1,
      sym_text_interpolation,
    ACTIONS(4146), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72652] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(4150), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2179), 1,
      sym_text_interpolation,
    STATE(2283), 1,
      sym_variable_name,
  [72671] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1318), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2180), 1,
      sym_text_interpolation,
    ACTIONS(1316), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72688] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4154), 1,
      anon_sym_EQ,
    STATE(2181), 1,
      sym_text_interpolation,
    ACTIONS(4152), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72705] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3791), 1,
      sym__new_line,
    ACTIONS(4156), 1,
      sym_heredoc_end,
    STATE(2182), 1,
      sym_text_interpolation,
    STATE(2410), 1,
      sym_heredoc_body,
  [72724] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(4158), 1,
      anon_sym_LBRACE,
    STATE(2183), 1,
      sym_text_interpolation,
    STATE(2699), 1,
      sym__return_type,
  [72743] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3933), 1,
      sym__new_line,
    ACTIONS(4160), 1,
      sym_heredoc_end,
    STATE(2184), 1,
      sym_text_interpolation,
    STATE(2404), 1,
      sym_nowdoc_body,
  [72762] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(4162), 1,
      anon_sym_RPAREN,
    STATE(2185), 1,
      sym_text_interpolation,
    STATE(2532), 1,
      sym_variable_name,
  [72781] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(799), 1,
      anon_sym_RPAREN,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4164), 1,
      anon_sym_COMMA,
    STATE(2175), 1,
      aux_sym_arguments_repeat1,
    STATE(2186), 1,
      sym_text_interpolation,
  [72800] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1314), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2187), 1,
      sym_text_interpolation,
    ACTIONS(1312), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72817] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(3745), 1,
      anon_sym_LBRACE,
    STATE(2188), 1,
      sym_text_interpolation,
    STATE(2697), 1,
      sym__return_type,
  [72836] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1230), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2189), 1,
      sym_text_interpolation,
    ACTIONS(1228), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72853] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2190), 1,
      sym_text_interpolation,
    STATE(2245), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72870] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3818), 1,
      anon_sym_RBRACE,
    ACTIONS(4166), 1,
      anon_sym_COMMA,
    STATE(2191), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_declaration_repeat1,
  [72887] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1234), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2192), 1,
      sym_text_interpolation,
    ACTIONS(1232), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72904] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1202), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2193), 1,
      sym_text_interpolation,
    ACTIONS(1200), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72921] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1194), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2194), 1,
      sym_text_interpolation,
    ACTIONS(1192), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72938] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2195), 1,
      sym_text_interpolation,
    ACTIONS(3810), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [72953] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2196), 1,
      sym_text_interpolation,
    STATE(2262), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72970] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1062), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2197), 1,
      sym_text_interpolation,
    ACTIONS(1060), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72987] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2198), 1,
      sym_text_interpolation,
    STATE(2259), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73004] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2199), 1,
      sym_text_interpolation,
    STATE(2267), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73021] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2200), 1,
      sym_text_interpolation,
    ACTIONS(4169), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [73036] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2201), 1,
      sym_text_interpolation,
    ACTIONS(4171), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [73051] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_RPAREN,
    STATE(2033), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2202), 1,
      sym_text_interpolation,
  [73070] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2203), 1,
      sym_text_interpolation,
    ACTIONS(3823), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [73085] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4173), 1,
      anon_sym_RPAREN,
    STATE(2029), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2204), 1,
      sym_text_interpolation,
  [73104] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2205), 1,
      sym_text_interpolation,
    ACTIONS(4175), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [73119] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(843), 1,
      anon_sym_RPAREN,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4177), 1,
      anon_sym_COMMA,
    STATE(1976), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(2206), 1,
      sym_text_interpolation,
  [73138] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(569), 1,
      sym__semicolon,
    STATE(2207), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73155] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2208), 1,
      sym_text_interpolation,
    ACTIONS(4179), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [73170] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(871), 1,
      anon_sym_RBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4181), 1,
      anon_sym_COMMA,
    STATE(2044), 1,
      aux_sym_match_block_repeat1,
    STATE(2209), 1,
      sym_text_interpolation,
  [73189] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(579), 1,
      sym__semicolon,
    STATE(2210), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73206] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1784), 1,
      anon_sym_RPAREN,
    ACTIONS(4183), 1,
      anon_sym_COMMA,
    STATE(2211), 1,
      sym_text_interpolation,
    STATE(2256), 1,
      aux_sym_unset_statement_repeat1,
  [73225] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1330), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2212), 1,
      sym_text_interpolation,
    ACTIONS(1328), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73242] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(458), 1,
      sym__semicolon,
    STATE(2213), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73259] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1510), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2214), 1,
      sym_text_interpolation,
    ACTIONS(1508), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73276] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(525), 1,
      sym__semicolon,
    STATE(2215), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73293] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1166), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2216), 1,
      sym_text_interpolation,
    ACTIONS(1164), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73310] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(484), 1,
      sym__semicolon,
    STATE(2217), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73327] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2218), 1,
      sym_text_interpolation,
    STATE(2274), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73344] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4185), 1,
      anon_sym_DQUOTE,
    ACTIONS(4187), 1,
      anon_sym_SQUOTE,
    ACTIONS(4189), 1,
      sym_heredoc_start,
    STATE(2219), 1,
      sym_text_interpolation,
  [73363] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2006), 1,
      sym__semicolon,
    STATE(2220), 1,
      sym_text_interpolation,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73380] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4193), 1,
      aux_sym_else_clause_token1,
    STATE(2221), 1,
      sym_text_interpolation,
    ACTIONS(4191), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [73397] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1410), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2222), 1,
      sym_text_interpolation,
    ACTIONS(1408), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73414] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2223), 1,
      sym_text_interpolation,
    STATE(2279), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73431] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4195), 1,
      anon_sym_COMMA,
    ACTIONS(4197), 1,
      anon_sym_RBRACE,
    STATE(2224), 1,
      sym_text_interpolation,
    STATE(2228), 1,
      aux_sym_match_block_repeat1,
  [73450] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2225), 1,
      sym_text_interpolation,
    STATE(2284), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73467] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(957), 1,
      anon_sym_EQ_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_COMMA,
    STATE(2040), 1,
      aux_sym_match_condition_list_repeat1,
    STATE(2226), 1,
      sym_text_interpolation,
  [73486] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(580), 1,
      sym__semicolon,
    STATE(2227), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73503] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(857), 1,
      anon_sym_RBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4201), 1,
      anon_sym_COMMA,
    STATE(2044), 1,
      aux_sym_match_block_repeat1,
    STATE(2228), 1,
      sym_text_interpolation,
  [73522] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1138), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2229), 1,
      sym_text_interpolation,
    ACTIONS(1136), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73539] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1134), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2230), 1,
      sym_text_interpolation,
    ACTIONS(1132), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73556] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1366), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2231), 1,
      sym_text_interpolation,
    ACTIONS(1364), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73573] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3855), 1,
      anon_sym_EQ,
    STATE(2232), 1,
      sym_text_interpolation,
    ACTIONS(4203), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [73590] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2233), 1,
      sym_text_interpolation,
    ACTIONS(4205), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [73605] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1298), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2234), 1,
      sym_text_interpolation,
    ACTIONS(1296), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73622] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4207), 1,
      anon_sym_RPAREN,
    STATE(2235), 1,
      sym_text_interpolation,
    STATE(2239), 1,
      aux_sym__list_destructing_repeat1,
  [73641] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(795), 1,
      anon_sym_RPAREN,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4209), 1,
      anon_sym_COMMA,
    STATE(2175), 1,
      aux_sym_arguments_repeat1,
    STATE(2236), 1,
      sym_text_interpolation,
  [73660] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2237), 1,
      sym_text_interpolation,
    ACTIONS(4211), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [73675] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4213), 1,
      anon_sym_RPAREN,
    STATE(2238), 1,
      sym_text_interpolation,
    STATE(2239), 1,
      aux_sym__list_destructing_repeat1,
  [73694] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1780), 1,
      anon_sym_RPAREN,
    ACTIONS(4215), 1,
      anon_sym_COMMA,
    STATE(2239), 2,
      sym_text_interpolation,
      aux_sym__list_destructing_repeat1,
  [73711] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym_COMMA,
    ACTIONS(4220), 1,
      anon_sym_RPAREN,
    STATE(2236), 1,
      aux_sym_arguments_repeat1,
    STATE(2240), 1,
      sym_text_interpolation,
  [73730] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(492), 1,
      sym__semicolon,
    STATE(2241), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73747] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(495), 1,
      sym__semicolon,
    STATE(2242), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73764] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3855), 1,
      anon_sym_EQ,
    STATE(2243), 1,
      sym_text_interpolation,
    ACTIONS(4222), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [73781] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(4224), 1,
      anon_sym_EQ_GT,
    STATE(2244), 1,
      sym_text_interpolation,
    STATE(2521), 1,
      sym__return_type,
  [73800] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1130), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2245), 1,
      sym_text_interpolation,
    ACTIONS(1128), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73817] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1350), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2246), 1,
      sym_text_interpolation,
    ACTIONS(1348), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73834] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2247), 1,
      sym_text_interpolation,
    ACTIONS(3950), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [73849] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3950), 1,
      anon_sym_RBRACK,
    ACTIONS(4226), 1,
      anon_sym_COMMA,
    STATE(2248), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [73866] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4229), 1,
      anon_sym_COMMA,
    ACTIONS(4232), 1,
      anon_sym_RBRACK,
    STATE(2249), 2,
      sym_text_interpolation,
      aux_sym_attribute_group_repeat1,
  [73883] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(787), 1,
      anon_sym_RPAREN,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4234), 1,
      anon_sym_COMMA,
    STATE(2175), 1,
      aux_sym_arguments_repeat1,
    STATE(2250), 1,
      sym_text_interpolation,
  [73902] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3777), 1,
      anon_sym_COMMA,
    ACTIONS(4236), 1,
      anon_sym_LBRACE,
    STATE(2251), 1,
      sym_text_interpolation,
    STATE(2258), 1,
      aux_sym_base_clause_repeat1,
  [73921] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3791), 1,
      sym__new_line,
    ACTIONS(4238), 1,
      sym_heredoc_end,
    STATE(2252), 1,
      sym_text_interpolation,
    STATE(2451), 1,
      sym_heredoc_body,
  [73940] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(4240), 1,
      anon_sym_RPAREN,
    STATE(2253), 1,
      sym_text_interpolation,
    STATE(2581), 1,
      sym_variable_name,
  [73959] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_COMMA,
    ACTIONS(4244), 1,
      anon_sym_RPAREN,
    STATE(2250), 1,
      aux_sym_arguments_repeat1,
    STATE(2254), 1,
      sym_text_interpolation,
  [73978] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(791), 1,
      anon_sym_RPAREN,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4246), 1,
      anon_sym_COMMA,
    STATE(2175), 1,
      aux_sym_arguments_repeat1,
    STATE(2255), 1,
      sym_text_interpolation,
  [73997] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3299), 1,
      anon_sym_RPAREN,
    ACTIONS(4248), 1,
      anon_sym_COMMA,
    STATE(2256), 2,
      sym_text_interpolation,
      aux_sym_unset_statement_repeat1,
  [74014] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(494), 1,
      sym__semicolon,
    STATE(2257), 1,
      sym_text_interpolation,
    ACTIONS(385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74031] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3777), 1,
      anon_sym_COMMA,
    ACTIONS(4251), 1,
      anon_sym_LBRACE,
    STATE(1896), 1,
      aux_sym_base_clause_repeat1,
    STATE(2258), 1,
      sym_text_interpolation,
  [74050] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1110), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2259), 1,
      sym_text_interpolation,
    ACTIONS(1108), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74067] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(4253), 1,
      anon_sym_LBRACE,
    STATE(2260), 1,
      sym_text_interpolation,
    STATE(2525), 1,
      sym__return_type,
  [74086] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1310), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2261), 1,
      sym_text_interpolation,
    ACTIONS(1308), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74103] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1114), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2262), 1,
      sym_text_interpolation,
    ACTIONS(1112), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74120] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1987), 1,
      sym__semicolon,
    STATE(2263), 1,
      sym_text_interpolation,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74137] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1830), 1,
      anon_sym_DOLLAR,
    STATE(1571), 1,
      sym_property_element,
    STATE(1833), 1,
      sym_variable_name,
    STATE(2264), 1,
      sym_text_interpolation,
  [74156] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1969), 1,
      sym__semicolon,
    STATE(2265), 1,
      sym_text_interpolation,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74173] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1964), 1,
      sym__semicolon,
    STATE(2266), 1,
      sym_text_interpolation,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74190] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1106), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2267), 1,
      sym_text_interpolation,
    ACTIONS(1104), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74207] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(4255), 1,
      anon_sym_LBRACE,
    STATE(2268), 1,
      sym_text_interpolation,
    STATE(2516), 1,
      sym__return_type,
  [74226] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(807), 1,
      anon_sym_RPAREN,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_COMMA,
    STATE(2175), 1,
      aux_sym_arguments_repeat1,
    STATE(2269), 1,
      sym_text_interpolation,
  [74245] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_COMMA,
    ACTIONS(4261), 1,
      anon_sym_RPAREN,
    STATE(2084), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
    STATE(2270), 1,
      sym_text_interpolation,
  [74264] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2271), 1,
      sym_text_interpolation,
    STATE(2291), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74281] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_COMMA,
    ACTIONS(4265), 1,
      anon_sym_RPAREN,
    STATE(2269), 1,
      aux_sym_arguments_repeat1,
    STATE(2272), 1,
      sym_text_interpolation,
  [74300] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(4267), 1,
      anon_sym_EQ_GT,
    STATE(2273), 1,
      sym_text_interpolation,
    STATE(2512), 1,
      sym__return_type,
  [74319] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1098), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2274), 1,
      sym_text_interpolation,
    ACTIONS(1096), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74336] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1182), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2275), 1,
      sym_text_interpolation,
    ACTIONS(1180), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74353] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4271), 1,
      anon_sym_EQ,
    STATE(2276), 1,
      sym_text_interpolation,
    ACTIONS(4269), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74370] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_COLON,
    ACTIONS(4273), 1,
      anon_sym_EQ_GT,
    STATE(2277), 1,
      sym_text_interpolation,
    STATE(2509), 1,
      sym__return_type,
  [74389] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(4275), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2090), 1,
      sym_variable_name,
    STATE(2278), 1,
      sym_text_interpolation,
  [74408] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1094), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2279), 1,
      sym_text_interpolation,
    ACTIONS(1092), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74425] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2275), 1,
      sym__semicolon,
    STATE(2280), 1,
      sym_text_interpolation,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74442] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2281), 1,
      sym_text_interpolation,
    STATE(2292), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74459] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1170), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2282), 1,
      sym_text_interpolation,
    ACTIONS(1168), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74476] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4279), 1,
      anon_sym_EQ,
    STATE(2283), 1,
      sym_text_interpolation,
    ACTIONS(4277), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74493] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1086), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2284), 1,
      sym_text_interpolation,
    ACTIONS(1084), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74510] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2285), 1,
      sym_text_interpolation,
    STATE(2295), 1,
      sym__semicolon,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74527] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4283), 1,
      anon_sym_EQ,
    STATE(2286), 1,
      sym_text_interpolation,
    ACTIONS(4281), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74544] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2287), 1,
      sym_text_interpolation,
    ACTIONS(4285), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [74559] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4088), 1,
      anon_sym_COMMA,
    ACTIONS(4287), 1,
      anon_sym_RBRACE,
    STATE(2127), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2288), 1,
      sym_text_interpolation,
  [74578] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2282), 1,
      sym__semicolon,
    STATE(2289), 1,
      sym_text_interpolation,
    ACTIONS(441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74595] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4289), 1,
      anon_sym_COMMA,
    ACTIONS(4291), 1,
      anon_sym_RPAREN,
    STATE(2290), 1,
      sym_text_interpolation,
    STATE(2294), 1,
      aux_sym_arguments_repeat1,
  [74614] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1070), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2291), 1,
      sym_text_interpolation,
    ACTIONS(1068), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74631] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1354), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2292), 1,
      sym_text_interpolation,
    ACTIONS(1352), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74648] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4293), 1,
      anon_sym_COMMA,
    ACTIONS(4296), 1,
      anon_sym_RPAREN,
    STATE(2293), 2,
      sym_text_interpolation,
      aux_sym_formal_parameters_repeat1,
  [74665] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(803), 1,
      anon_sym_RPAREN,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_COMMA,
    STATE(2175), 1,
      aux_sym_arguments_repeat1,
    STATE(2294), 1,
      sym_text_interpolation,
  [74684] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1158), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2295), 1,
      sym_text_interpolation,
    ACTIONS(1156), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74701] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2296), 1,
      sym_text_interpolation,
    ACTIONS(4300), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74715] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_LPAREN,
    STATE(739), 1,
      sym_arguments,
    STATE(2297), 1,
      sym_text_interpolation,
  [74731] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2298), 1,
      sym_text_interpolation,
    ACTIONS(4296), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74745] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2299), 1,
      sym_text_interpolation,
    ACTIONS(4302), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74759] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    STATE(863), 1,
      sym_arguments,
    STATE(2300), 1,
      sym_text_interpolation,
  [74775] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(501), 1,
      ts_builtin_sym_end,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4304), 1,
      sym_php_tag,
    STATE(2301), 1,
      sym_text_interpolation,
  [74791] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2302), 1,
      sym_text_interpolation,
    ACTIONS(3939), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74805] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2303), 1,
      sym_text_interpolation,
    ACTIONS(4306), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74819] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(2304), 1,
      sym_text_interpolation,
    STATE(2472), 1,
      sym_variable_name,
  [74835] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2305), 1,
      sym_text_interpolation,
    ACTIONS(4308), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74849] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2306), 1,
      sym_text_interpolation,
    ACTIONS(4310), 2,
      sym__eof,
      sym_php_tag,
  [74863] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    STATE(948), 1,
      sym_arguments,
    STATE(2307), 1,
      sym_text_interpolation,
  [74879] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2308), 1,
      sym_text_interpolation,
    ACTIONS(4312), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74893] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(578), 1,
      sym_declaration_list,
    STATE(2309), 1,
      sym_text_interpolation,
  [74909] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2310), 1,
      sym_text_interpolation,
    ACTIONS(4314), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74923] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(2311), 1,
      sym_text_interpolation,
    STATE(2448), 1,
      sym_variable_name,
  [74939] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2312), 1,
      sym_text_interpolation,
    ACTIONS(4316), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74953] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2313), 1,
      sym_text_interpolation,
    ACTIONS(4318), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74967] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(2314), 1,
      sym_text_interpolation,
    STATE(2429), 1,
      sym_variable_name,
  [74983] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2315), 1,
      sym_text_interpolation,
    ACTIONS(4320), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [74997] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(2146), 1,
      sym_formal_parameters,
    STATE(2316), 1,
      sym_text_interpolation,
  [75013] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1743), 1,
      sym_compound_statement,
    STATE(2317), 1,
      sym_text_interpolation,
  [75029] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(1824), 1,
      sym_formal_parameters,
    STATE(2318), 1,
      sym_text_interpolation,
  [75045] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_LPAREN,
    STATE(85), 1,
      sym_parenthesized_expression,
    STATE(2319), 1,
      sym_text_interpolation,
  [75061] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2070), 1,
      anon_sym_LPAREN,
    STATE(870), 1,
      sym_arguments,
    STATE(2320), 1,
      sym_text_interpolation,
  [75077] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_LPAREN,
    STATE(87), 1,
      sym_parenthesized_expression,
    STATE(2321), 1,
      sym_text_interpolation,
  [75093] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(2322), 1,
      sym_text_interpolation,
    STATE(2387), 1,
      sym_parenthesized_expression,
  [75109] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
    STATE(992), 1,
      sym_arguments,
    STATE(2323), 1,
      sym_text_interpolation,
  [75125] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(540), 1,
      sym_declaration_list,
    STATE(2324), 1,
      sym_text_interpolation,
  [75141] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(2018), 1,
      sym_parenthesized_expression,
    STATE(2325), 1,
      sym_text_interpolation,
  [75157] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3585), 1,
      anon_sym_LBRACE,
    STATE(534), 1,
      sym_enum_declaration_list,
    STATE(2326), 1,
      sym_text_interpolation,
  [75173] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2327), 1,
      sym_text_interpolation,
    ACTIONS(4324), 2,
      anon_sym_string,
      anon_sym_int,
  [75187] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_LPAREN,
    STATE(52), 1,
      sym_parenthesized_expression,
    STATE(2328), 1,
      sym_text_interpolation,
  [75203] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(531), 1,
      sym_declaration_list,
    STATE(2329), 1,
      sym_text_interpolation,
  [75219] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2330), 1,
      sym_text_interpolation,
    ACTIONS(4326), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75233] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(470), 1,
      sym_compound_statement,
    STATE(2331), 1,
      sym_text_interpolation,
  [75249] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4328), 1,
      anon_sym_LBRACE,
    STATE(1174), 1,
      sym_compound_statement,
    STATE(2332), 1,
      sym_text_interpolation,
  [75265] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2333), 1,
      sym_text_interpolation,
    ACTIONS(3855), 2,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [75279] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_LPAREN,
    STATE(654), 1,
      sym_arguments,
    STATE(2334), 1,
      sym_text_interpolation,
  [75295] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2335), 1,
      sym_text_interpolation,
    ACTIONS(4330), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75309] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2336), 1,
      sym_text_interpolation,
    ACTIONS(4332), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75323] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_LPAREN,
    STATE(734), 1,
      sym_arguments,
    STATE(2337), 1,
      sym_text_interpolation,
  [75339] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2338), 1,
      sym_text_interpolation,
    ACTIONS(4334), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75353] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2339), 1,
      sym_text_interpolation,
    ACTIONS(4336), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75367] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3585), 1,
      anon_sym_LBRACE,
    STATE(507), 1,
      sym_enum_declaration_list,
    STATE(2340), 1,
      sym_text_interpolation,
  [75383] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2341), 1,
      sym_text_interpolation,
    ACTIONS(2528), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75397] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(1004), 1,
      sym_declaration_list,
    STATE(2342), 1,
      sym_text_interpolation,
  [75413] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4338), 1,
      anon_sym_LBRACE,
    STATE(448), 1,
      sym_compound_statement,
    STATE(2343), 1,
      sym_text_interpolation,
  [75429] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2344), 1,
      sym_text_interpolation,
    ACTIONS(2524), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75443] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2345), 1,
      sym_text_interpolation,
    ACTIONS(4340), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75457] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4342), 1,
      sym__new_line,
    ACTIONS(4344), 1,
      sym_heredoc_end,
    STATE(2346), 1,
      sym_text_interpolation,
  [75473] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2347), 1,
      sym_text_interpolation,
    ACTIONS(4346), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75487] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2348), 1,
      sym_text_interpolation,
    ACTIONS(2484), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [75501] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2349), 1,
      sym_text_interpolation,
    ACTIONS(3959), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75515] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_LPAREN,
    STATE(59), 1,
      sym_parenthesized_expression,
    STATE(2350), 1,
      sym_text_interpolation,
  [75531] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2351), 1,
      sym_text_interpolation,
    ACTIONS(4348), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [75545] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4350), 1,
      sym__new_line,
    ACTIONS(4352), 1,
      sym_heredoc_end,
    STATE(2352), 1,
      sym_text_interpolation,
  [75561] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2353), 1,
      sym_text_interpolation,
    ACTIONS(4354), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75575] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2354), 1,
      sym_text_interpolation,
    ACTIONS(4356), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75589] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(2091), 1,
      sym_formal_parameters,
    STATE(2355), 1,
      sym_text_interpolation,
  [75605] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2356), 1,
      sym_text_interpolation,
    ACTIONS(4358), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75619] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2522), 1,
      anon_sym_RPAREN,
    ACTIONS(4360), 1,
      anon_sym_EQ,
    STATE(2357), 1,
      sym_text_interpolation,
  [75635] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2358), 1,
      sym_text_interpolation,
    ACTIONS(4232), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [75649] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2359), 1,
      sym_text_interpolation,
    ACTIONS(4362), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75663] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_LPAREN,
    STATE(777), 1,
      sym_arguments,
    STATE(2360), 1,
      sym_text_interpolation,
  [75679] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(553), 1,
      sym_declaration_list,
    STATE(2361), 1,
      sym_text_interpolation,
  [75695] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    STATE(825), 1,
      sym_declaration_list,
    STATE(2362), 1,
      sym_text_interpolation,
  [75711] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2363), 1,
      sym_text_interpolation,
    ACTIONS(3000), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75725] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2364), 1,
      sym_text_interpolation,
    ACTIONS(4364), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75739] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2365), 1,
      sym_text_interpolation,
    ACTIONS(4366), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [75753] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4369), 1,
      anon_sym_LPAREN,
    ACTIONS(4371), 1,
      anon_sym_RPAREN,
    STATE(2366), 1,
      sym_text_interpolation,
  [75769] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3124), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3126), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2367), 1,
      sym_text_interpolation,
  [75785] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1788), 1,
      sym_compound_statement,
    STATE(2368), 1,
      sym_text_interpolation,
  [75801] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_LPAREN,
    STATE(828), 1,
      sym_arguments,
    STATE(2369), 1,
      sym_text_interpolation,
  [75817] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    STATE(2147), 1,
      sym_declaration_list,
    STATE(2370), 1,
      sym_text_interpolation,
  [75833] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3658), 1,
      anon_sym_LBRACE,
    STATE(2145), 1,
      sym_enum_declaration_list,
    STATE(2371), 1,
      sym_text_interpolation,
  [75849] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2372), 1,
      sym_text_interpolation,
    ACTIONS(4373), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75863] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(2104), 1,
      sym_formal_parameters,
    STATE(2373), 1,
      sym_text_interpolation,
  [75879] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    STATE(822), 1,
      sym_declaration_list,
    STATE(2374), 1,
      sym_text_interpolation,
  [75895] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    STATE(821), 1,
      sym_declaration_list,
    STATE(2375), 1,
      sym_text_interpolation,
  [75911] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2376), 1,
      sym_text_interpolation,
    ACTIONS(1780), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75925] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2377), 1,
      sym_text_interpolation,
    ACTIONS(4375), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75939] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(928), 1,
      sym_declaration_list,
    STATE(2378), 1,
      sym_text_interpolation,
  [75955] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(573), 1,
      sym_declaration_list,
    STATE(2379), 1,
      sym_text_interpolation,
  [75971] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2380), 1,
      sym_text_interpolation,
    ACTIONS(2480), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75985] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(926), 1,
      sym_declaration_list,
    STATE(2381), 1,
      sym_text_interpolation,
  [76001] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1766), 1,
      sym_compound_statement,
    STATE(2382), 1,
      sym_text_interpolation,
  [76017] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(491), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2057), 1,
      sym_colon_block,
    STATE(2383), 1,
      sym_text_interpolation,
  [76033] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2384), 1,
      sym_text_interpolation,
    ACTIONS(4377), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [76047] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    STATE(2052), 1,
      sym_declaration_list,
    STATE(2385), 1,
      sym_text_interpolation,
  [76063] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    STATE(2047), 1,
      sym_declaration_list,
    STATE(2386), 1,
      sym_text_interpolation,
  [76079] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_LBRACE,
    STATE(1081), 1,
      sym_match_block,
    STATE(2387), 1,
      sym_text_interpolation,
  [76095] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3585), 1,
      anon_sym_LBRACE,
    STATE(581), 1,
      sym_enum_declaration_list,
    STATE(2388), 1,
      sym_text_interpolation,
  [76111] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2389), 1,
      sym_text_interpolation,
    ACTIONS(4381), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [76125] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_LPAREN,
    STATE(101), 1,
      sym_parenthesized_expression,
    STATE(2390), 1,
      sym_text_interpolation,
  [76141] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_LPAREN,
    STATE(103), 1,
      sym_parenthesized_expression,
    STATE(2391), 1,
      sym_text_interpolation,
  [76157] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2392), 1,
      sym_text_interpolation,
    ACTIONS(3309), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [76171] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2393), 1,
      sym_text_interpolation,
    ACTIONS(4384), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [76185] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(974), 1,
      sym_declaration_list,
    STATE(2394), 1,
      sym_text_interpolation,
  [76201] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(969), 1,
      sym_declaration_list,
    STATE(2395), 1,
      sym_text_interpolation,
  [76217] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1779), 1,
      sym_compound_statement,
    STATE(2396), 1,
      sym_text_interpolation,
  [76233] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_LPAREN,
    STATE(84), 1,
      sym_parenthesized_expression,
    STATE(2397), 1,
      sym_text_interpolation,
  [76249] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(2398), 1,
      sym_text_interpolation,
    STATE(2422), 1,
      sym_parenthesized_expression,
  [76265] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(2073), 1,
      sym_parenthesized_expression,
    STATE(2399), 1,
      sym_text_interpolation,
  [76281] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    STATE(2045), 1,
      sym_declaration_list,
    STATE(2400), 1,
      sym_text_interpolation,
  [76297] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(971), 1,
      sym_declaration_list,
    STATE(2401), 1,
      sym_text_interpolation,
  [76313] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2069), 1,
      sym_compound_statement,
    STATE(2402), 1,
      sym_text_interpolation,
  [76329] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2403), 1,
      sym_text_interpolation,
    ACTIONS(4285), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [76343] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4386), 1,
      sym__new_line,
    ACTIONS(4388), 1,
      sym_heredoc_end,
    STATE(2404), 1,
      sym_text_interpolation,
  [76359] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2405), 1,
      sym_text_interpolation,
    ACTIONS(4390), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [76373] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    STATE(2383), 1,
      sym_parenthesized_expression,
    STATE(2406), 1,
      sym_text_interpolation,
  [76389] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1807), 1,
      anon_sym_BSLASH,
    STATE(2407), 1,
      sym_text_interpolation,
    STATE(2498), 1,
      aux_sym_namespace_name_repeat1,
  [76405] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_LPAREN,
    STATE(111), 1,
      sym_parenthesized_expression,
    STATE(2408), 1,
      sym_text_interpolation,
  [76421] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1009), 1,
      sym_compound_statement,
    STATE(2409), 1,
      sym_text_interpolation,
  [76437] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4392), 1,
      sym__new_line,
    ACTIONS(4394), 1,
      sym_heredoc_end,
    STATE(2410), 1,
      sym_text_interpolation,
  [76453] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(557), 1,
      sym_compound_statement,
    STATE(2411), 1,
      sym_text_interpolation,
  [76469] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(970), 1,
      sym_declaration_list,
    STATE(2412), 1,
      sym_text_interpolation,
  [76485] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN,
    STATE(616), 1,
      sym_arguments,
    STATE(2413), 1,
      sym_text_interpolation,
  [76501] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    STATE(794), 1,
      sym_declaration_list,
    STATE(2414), 1,
      sym_text_interpolation,
  [76517] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    STATE(793), 1,
      sym_declaration_list,
    STATE(2415), 1,
      sym_text_interpolation,
  [76533] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2416), 1,
      sym_text_interpolation,
    ACTIONS(4013), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [76547] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2417), 1,
      sym_text_interpolation,
    ACTIONS(2484), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76561] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3245), 1,
      anon_sym_LPAREN,
    STATE(1795), 1,
      sym_formal_parameters,
    STATE(2418), 1,
      sym_text_interpolation,
  [76577] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    STATE(2102), 1,
      sym_declaration_list,
    STATE(2419), 1,
      sym_text_interpolation,
  [76593] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(2420), 1,
      sym_text_interpolation,
    STATE(2468), 1,
      sym_variable_name,
  [76609] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4338), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_compound_statement,
    STATE(2421), 1,
      sym_text_interpolation,
  [76625] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4396), 1,
      anon_sym_LBRACE,
    STATE(1029), 1,
      sym_match_block,
    STATE(2422), 1,
      sym_text_interpolation,
  [76641] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2423), 1,
      sym_text_interpolation,
    ACTIONS(4398), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [76655] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(2188), 1,
      sym_formal_parameters,
    STATE(2424), 1,
      sym_text_interpolation,
  [76671] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(2353), 1,
      sym_variable_name,
    STATE(2425), 1,
      sym_text_interpolation,
  [76687] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(1817), 1,
      sym_formal_parameters,
    STATE(2426), 1,
      sym_text_interpolation,
  [76703] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(566), 1,
      sym_declaration_list,
    STATE(2427), 1,
      sym_text_interpolation,
  [76719] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2428), 1,
      sym_text_interpolation,
    ACTIONS(4400), 2,
      anon_sym_string,
      anon_sym_int,
  [76733] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2429), 1,
      sym_text_interpolation,
    ACTIONS(4402), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [76747] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3658), 1,
      anon_sym_LBRACE,
    STATE(1997), 1,
      sym_enum_declaration_list,
    STATE(2430), 1,
      sym_text_interpolation,
  [76763] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2149), 1,
      sym_compound_statement,
    STATE(2431), 1,
      sym_text_interpolation,
  [76779] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4404), 1,
      anon_sym_BSLASH,
    STATE(2432), 1,
      sym_text_interpolation,
    STATE(2498), 1,
      aux_sym_namespace_name_repeat1,
  [76795] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3245), 1,
      anon_sym_LPAREN,
    STATE(1828), 1,
      sym_formal_parameters,
    STATE(2433), 1,
      sym_text_interpolation,
  [76811] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(545), 1,
      sym_declaration_list,
    STATE(2434), 1,
      sym_text_interpolation,
  [76827] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2435), 1,
      sym_text_interpolation,
    ACTIONS(4222), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [76841] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2436), 1,
      sym_text_interpolation,
    ACTIONS(3315), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [76855] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2437), 1,
      sym_text_interpolation,
    ACTIONS(4407), 2,
      anon_sym_string,
      anon_sym_int,
  [76869] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    STATE(1986), 1,
      sym_declaration_list,
    STATE(2438), 1,
      sym_text_interpolation,
  [76885] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2439), 1,
      sym_text_interpolation,
    ACTIONS(4129), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [76899] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3585), 1,
      anon_sym_LBRACE,
    STATE(533), 1,
      sym_enum_declaration_list,
    STATE(2440), 1,
      sym_text_interpolation,
  [76915] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    STATE(1981), 1,
      sym_declaration_list,
    STATE(2441), 1,
      sym_text_interpolation,
  [76931] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(532), 1,
      sym_declaration_list,
    STATE(2442), 1,
      sym_text_interpolation,
  [76947] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3658), 1,
      anon_sym_LBRACE,
    STATE(1978), 1,
      sym_enum_declaration_list,
    STATE(2443), 1,
      sym_text_interpolation,
  [76963] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(1768), 1,
      sym_formal_parameters,
    STATE(2444), 1,
      sym_text_interpolation,
  [76979] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2445), 1,
      sym_text_interpolation,
    ACTIONS(4175), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [76993] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    STATE(2093), 1,
      sym_declaration_list,
    STATE(2446), 1,
      sym_text_interpolation,
  [77009] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    STATE(1977), 1,
      sym_declaration_list,
    STATE(2447), 1,
      sym_text_interpolation,
  [77025] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2448), 1,
      sym_text_interpolation,
    ACTIONS(4409), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [77039] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_LPAREN,
    STATE(95), 1,
      sym_parenthesized_expression,
    STATE(2449), 1,
      sym_text_interpolation,
  [77055] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2450), 1,
      sym_text_interpolation,
    ACTIONS(4411), 2,
      anon_sym_string,
      anon_sym_int,
  [77069] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4413), 1,
      sym__new_line,
    ACTIONS(4415), 1,
      sym_heredoc_end,
    STATE(2451), 1,
      sym_text_interpolation,
  [77085] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3658), 1,
      anon_sym_LBRACE,
    STATE(2231), 1,
      sym_enum_declaration_list,
    STATE(2452), 1,
      sym_text_interpolation,
  [77101] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4417), 1,
      sym__new_line,
    ACTIONS(4419), 1,
      sym_heredoc_end,
    STATE(2453), 1,
      sym_text_interpolation,
  [77117] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    STATE(2098), 1,
      sym_declaration_list,
    STATE(2454), 1,
      sym_text_interpolation,
  [77133] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4338), 1,
      anon_sym_LBRACE,
    STATE(453), 1,
      sym_compound_statement,
    STATE(2455), 1,
      sym_text_interpolation,
  [77149] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4421), 1,
      anon_sym_LPAREN,
    STATE(2215), 1,
      sym_parenthesized_expression,
    STATE(2456), 1,
      sym_text_interpolation,
  [77165] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4423), 1,
      sym__new_line,
    ACTIONS(4425), 1,
      sym_heredoc_end,
    STATE(2457), 1,
      sym_text_interpolation,
  [77181] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(923), 1,
      sym_declaration_list,
    STATE(2458), 1,
      sym_text_interpolation,
  [77197] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(2310), 1,
      sym_variable_name,
    STATE(2459), 1,
      sym_text_interpolation,
  [77213] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3875), 1,
      sym_nowdoc_string,
    STATE(1917), 1,
      aux_sym_nowdoc_body_repeat1,
    STATE(2460), 1,
      sym_text_interpolation,
  [77229] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4427), 1,
      sym__new_line,
    ACTIONS(4429), 1,
      sym_heredoc_end,
    STATE(2461), 1,
      sym_text_interpolation,
  [77245] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(2299), 1,
      sym_variable_name,
    STATE(2462), 1,
      sym_text_interpolation,
  [77261] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2463), 1,
      sym_text_interpolation,
    ACTIONS(4140), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [77275] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2464), 1,
      sym_text_interpolation,
    ACTIONS(2566), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [77289] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    STATE(767), 1,
      sym_declaration_list,
    STATE(2465), 1,
      sym_text_interpolation,
  [77305] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2466), 1,
      sym_text_interpolation,
    ACTIONS(3818), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [77319] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(2303), 1,
      sym_variable_name,
    STATE(2467), 1,
      sym_text_interpolation,
  [77335] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2468), 1,
      sym_text_interpolation,
    ACTIONS(4431), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [77349] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    STATE(801), 1,
      sym_declaration_list,
    STATE(2469), 1,
      sym_text_interpolation,
  [77365] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2470), 1,
      sym_text_interpolation,
    ACTIONS(4433), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77379] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN,
    STATE(844), 1,
      sym_arguments,
    STATE(2471), 1,
      sym_text_interpolation,
  [77395] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2472), 1,
      sym_text_interpolation,
    ACTIONS(4435), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [77409] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1834), 1,
      sym_compound_statement,
    STATE(2473), 1,
      sym_text_interpolation,
  [77425] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2474), 1,
      sym_text_interpolation,
    ACTIONS(4082), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [77439] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2475), 1,
      sym_text_interpolation,
    ACTIONS(1775), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [77453] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4421), 1,
      anon_sym_LPAREN,
    STATE(2266), 1,
      sym_parenthesized_expression,
    STATE(2476), 1,
      sym_text_interpolation,
  [77469] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_LPAREN,
    ACTIONS(3668), 1,
      anon_sym_COLON_COLON,
    STATE(2477), 1,
      sym_text_interpolation,
  [77485] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_LPAREN,
    STATE(115), 1,
      sym_parenthesized_expression,
    STATE(2478), 1,
      sym_text_interpolation,
  [77501] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_LPAREN,
    STATE(639), 1,
      sym_arguments,
    STATE(2479), 1,
      sym_text_interpolation,
  [77517] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2480), 1,
      sym_text_interpolation,
    ACTIONS(3038), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [77531] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2481), 1,
      sym_text_interpolation,
    ACTIONS(4437), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [77545] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    STATE(2010), 1,
      sym_declaration_list,
    STATE(2482), 1,
      sym_text_interpolation,
  [77561] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(373), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2483), 1,
      sym_text_interpolation,
    STATE(2640), 1,
      sym_colon_block,
  [77577] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(478), 1,
      sym_declaration_list,
    STATE(2484), 1,
      sym_text_interpolation,
  [77593] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    STATE(820), 1,
      sym_declaration_list,
    STATE(2485), 1,
      sym_text_interpolation,
  [77609] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2486), 1,
      sym_text_interpolation,
    ACTIONS(4439), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [77623] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(2273), 1,
      sym_formal_parameters,
    STATE(2487), 1,
      sym_text_interpolation,
  [77639] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4441), 1,
      sym__new_line,
    ACTIONS(4443), 1,
      sym_heredoc_end,
    STATE(2488), 1,
      sym_text_interpolation,
  [77655] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2489), 1,
      sym_text_interpolation,
    ACTIONS(2480), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [77669] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(469), 1,
      sym_declaration_list,
    STATE(2490), 1,
      sym_text_interpolation,
  [77685] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    STATE(2130), 1,
      sym_declaration_list,
    STATE(2491), 1,
      sym_text_interpolation,
  [77701] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3160), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3162), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2492), 1,
      sym_text_interpolation,
  [77717] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2493), 1,
      sym_text_interpolation,
    ACTIONS(4445), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77731] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(2244), 1,
      sym_formal_parameters,
    STATE(2494), 1,
      sym_text_interpolation,
  [77747] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN,
    STATE(611), 1,
      sym_arguments,
    STATE(2495), 1,
      sym_text_interpolation,
  [77763] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_LPAREN,
    STATE(1816), 1,
      sym_formal_parameters,
    STATE(2496), 1,
      sym_text_interpolation,
  [77779] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2497), 1,
      sym_text_interpolation,
    ACTIONS(2582), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [77793] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4447), 1,
      anon_sym_BSLASH,
    STATE(2498), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
  [77807] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(491), 1,
      sym_declaration_list,
    STATE(2499), 1,
      sym_text_interpolation,
  [77823] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(483), 1,
      sym_declaration_list,
    STATE(2500), 1,
      sym_text_interpolation,
  [77839] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4450), 1,
      sym__new_line,
    ACTIONS(4452), 1,
      sym_heredoc_end,
    STATE(2501), 1,
      sym_text_interpolation,
  [77855] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(961), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4369), 1,
      anon_sym_LPAREN,
    STATE(2502), 1,
      sym_text_interpolation,
  [77871] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4454), 1,
      anon_sym_RPAREN,
    STATE(2503), 1,
      sym_text_interpolation,
  [77884] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4456), 1,
      anon_sym_LPAREN,
    STATE(2504), 1,
      sym_text_interpolation,
  [77897] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4458), 1,
      sym_name,
    STATE(2505), 1,
      sym_text_interpolation,
  [77910] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4107), 1,
      anon_sym_RPAREN,
    STATE(2506), 1,
      sym_text_interpolation,
  [77923] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3724), 1,
      anon_sym_BSLASH,
    STATE(2507), 1,
      sym_text_interpolation,
  [77936] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4460), 1,
      anon_sym_SQUOTE2,
    STATE(2508), 1,
      sym_text_interpolation,
  [77949] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4462), 1,
      anon_sym_EQ_GT,
    STATE(2509), 1,
      sym_text_interpolation,
  [77962] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4464), 1,
      anon_sym_LBRACE,
    STATE(2510), 1,
      sym_text_interpolation,
  [77975] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4466), 1,
      sym_name,
    STATE(2511), 1,
      sym_text_interpolation,
  [77988] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4468), 1,
      anon_sym_EQ_GT,
    STATE(2512), 1,
      sym_text_interpolation,
  [78001] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4470), 1,
      sym_name,
    STATE(2513), 1,
      sym_text_interpolation,
  [78014] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4472), 1,
      aux_sym_while_statement_token1,
    STATE(2514), 1,
      sym_text_interpolation,
  [78027] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4474), 1,
      sym_name,
    STATE(2515), 1,
      sym_text_interpolation,
  [78040] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4476), 1,
      anon_sym_LBRACE,
    STATE(2516), 1,
      sym_text_interpolation,
  [78053] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4478), 1,
      anon_sym_LBRACE,
    STATE(2517), 1,
      sym_text_interpolation,
  [78066] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4480), 1,
      sym_name,
    STATE(2518), 1,
      sym_text_interpolation,
  [78079] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4482), 1,
      aux_sym_if_statement_token2,
    STATE(2519), 1,
      sym_text_interpolation,
  [78092] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4484), 1,
      sym_name,
    STATE(2520), 1,
      sym_text_interpolation,
  [78105] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4486), 1,
      anon_sym_EQ_GT,
    STATE(2521), 1,
      sym_text_interpolation,
  [78118] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4488), 1,
      aux_sym_while_statement_token2,
    STATE(2522), 1,
      sym_text_interpolation,
  [78131] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4127), 1,
      anon_sym_RBRACE,
    STATE(2523), 1,
      sym_text_interpolation,
  [78144] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4490), 1,
      anon_sym_RPAREN,
    STATE(2524), 1,
      sym_text_interpolation,
  [78157] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4492), 1,
      anon_sym_LBRACE,
    STATE(2525), 1,
      sym_text_interpolation,
  [78170] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym_LBRACE,
    STATE(2526), 1,
      sym_text_interpolation,
  [78183] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_RBRACK,
    STATE(2527), 1,
      sym_text_interpolation,
  [78196] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4069), 1,
      anon_sym_RPAREN,
    STATE(2528), 1,
      sym_text_interpolation,
  [78209] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_RBRACK,
    STATE(2529), 1,
      sym_text_interpolation,
  [78222] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4498), 1,
      anon_sym_RPAREN,
    STATE(2530), 1,
      sym_text_interpolation,
  [78235] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4500), 1,
      anon_sym_SEMI,
    STATE(2531), 1,
      sym_text_interpolation,
  [78248] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_RPAREN,
    STATE(2532), 1,
      sym_text_interpolation,
  [78261] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4504), 1,
      aux_sym_while_statement_token2,
    STATE(2533), 1,
      sym_text_interpolation,
  [78274] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4506), 1,
      sym_heredoc_end,
    STATE(2534), 1,
      sym_text_interpolation,
  [78287] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4508), 1,
      anon_sym_LPAREN,
    STATE(2535), 1,
      sym_text_interpolation,
  [78300] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4510), 1,
      anon_sym_RPAREN,
    STATE(2536), 1,
      sym_text_interpolation,
  [78313] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4512), 1,
      anon_sym_EQ,
    STATE(2537), 1,
      sym_text_interpolation,
  [78326] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4514), 1,
      anon_sym_SEMI,
    STATE(2538), 1,
      sym_text_interpolation,
  [78339] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4516), 1,
      sym_heredoc_end,
    STATE(2539), 1,
      sym_text_interpolation,
  [78352] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4065), 1,
      anon_sym_RPAREN,
    STATE(2540), 1,
      sym_text_interpolation,
  [78365] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4518), 1,
      anon_sym_EQ_GT,
    STATE(2541), 1,
      sym_text_interpolation,
  [78378] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4520), 1,
      anon_sym_LBRACE,
    STATE(2542), 1,
      sym_text_interpolation,
  [78391] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4522), 1,
      anon_sym_EQ_GT,
    STATE(2543), 1,
      sym_text_interpolation,
  [78404] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4524), 1,
      anon_sym_EQ,
    STATE(2544), 1,
      sym_text_interpolation,
  [78417] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4526), 1,
      anon_sym_RPAREN,
    STATE(2545), 1,
      sym_text_interpolation,
  [78430] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4528), 1,
      sym_heredoc_end,
    STATE(2546), 1,
      sym_text_interpolation,
  [78443] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4530), 1,
      sym_name,
    STATE(2547), 1,
      sym_text_interpolation,
  [78456] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4532), 1,
      anon_sym_RPAREN,
    STATE(2548), 1,
      sym_text_interpolation,
  [78469] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_text_interpolation,
  [78482] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4536), 1,
      anon_sym_LBRACE,
    STATE(2550), 1,
      sym_text_interpolation,
  [78495] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4538), 1,
      anon_sym_RPAREN,
    STATE(2551), 1,
      sym_text_interpolation,
  [78508] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4179), 1,
      anon_sym_LBRACE,
    STATE(2552), 1,
      sym_text_interpolation,
  [78521] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4540), 1,
      anon_sym_RPAREN,
    STATE(2553), 1,
      sym_text_interpolation,
  [78534] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4542), 1,
      anon_sym_RPAREN,
    STATE(2554), 1,
      sym_text_interpolation,
  [78547] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4544), 1,
      anon_sym_RPAREN,
    STATE(2555), 1,
      sym_text_interpolation,
  [78560] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4546), 1,
      anon_sym_RPAREN,
    STATE(2556), 1,
      sym_text_interpolation,
  [78573] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_RBRACK,
    STATE(2557), 1,
      sym_text_interpolation,
  [78586] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4550), 1,
      anon_sym_RPAREN,
    STATE(2558), 1,
      sym_text_interpolation,
  [78599] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4552), 1,
      sym_name,
    STATE(2559), 1,
      sym_text_interpolation,
  [78612] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4554), 1,
      anon_sym_SQUOTE2,
    STATE(2560), 1,
      sym_text_interpolation,
  [78625] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4556), 1,
      anon_sym_BSLASH,
    STATE(2561), 1,
      sym_text_interpolation,
  [78638] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4558), 1,
      anon_sym_RPAREN,
    STATE(2562), 1,
      sym_text_interpolation,
  [78651] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4059), 1,
      anon_sym_RPAREN,
    STATE(2563), 1,
      sym_text_interpolation,
  [78664] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4560), 1,
      sym_name,
    STATE(2564), 1,
      sym_text_interpolation,
  [78677] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4562), 1,
      sym_name,
    STATE(2565), 1,
      sym_text_interpolation,
  [78690] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4564), 1,
      anon_sym_RPAREN,
    STATE(2566), 1,
      sym_text_interpolation,
  [78703] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4566), 1,
      anon_sym_RPAREN,
    STATE(2567), 1,
      sym_text_interpolation,
  [78716] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4568), 1,
      anon_sym_RPAREN,
    STATE(2568), 1,
      sym_text_interpolation,
  [78729] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4570), 1,
      anon_sym_RPAREN,
    STATE(2569), 1,
      sym_text_interpolation,
  [78742] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4572), 1,
      sym_name,
    STATE(2570), 1,
      sym_text_interpolation,
  [78755] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4574), 1,
      anon_sym_LBRACE,
    STATE(2571), 1,
      sym_text_interpolation,
  [78768] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4576), 1,
      anon_sym_SEMI,
    STATE(2572), 1,
      sym_text_interpolation,
  [78781] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4578), 1,
      sym_name,
    STATE(2573), 1,
      sym_text_interpolation,
  [78794] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4580), 1,
      anon_sym_LPAREN,
    STATE(2574), 1,
      sym_text_interpolation,
  [78807] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4582), 1,
      anon_sym_SEMI,
    STATE(2575), 1,
      sym_text_interpolation,
  [78820] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_EQ_GT,
    STATE(2576), 1,
      sym_text_interpolation,
  [78833] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4586), 1,
      sym_name,
    STATE(2577), 1,
      sym_text_interpolation,
  [78846] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4588), 1,
      sym_name,
    STATE(2578), 1,
      sym_text_interpolation,
  [78859] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4590), 1,
      sym_name,
    STATE(2579), 1,
      sym_text_interpolation,
  [78872] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4592), 1,
      sym_name,
    STATE(2580), 1,
      sym_text_interpolation,
  [78885] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_RPAREN,
    STATE(2581), 1,
      sym_text_interpolation,
  [78898] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4596), 1,
      sym_name,
    STATE(2582), 1,
      sym_text_interpolation,
  [78911] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4598), 1,
      anon_sym_RPAREN,
    STATE(2583), 1,
      sym_text_interpolation,
  [78924] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4027), 1,
      anon_sym_RPAREN,
    STATE(2584), 1,
      sym_text_interpolation,
  [78937] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4600), 1,
      anon_sym_RPAREN,
    STATE(2585), 1,
      sym_text_interpolation,
  [78950] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4602), 1,
      sym_name,
    STATE(2586), 1,
      sym_text_interpolation,
  [78963] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4604), 1,
      anon_sym_RPAREN,
    STATE(2587), 1,
      sym_text_interpolation,
  [78976] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4606), 1,
      anon_sym_BSLASH,
    STATE(2588), 1,
      sym_text_interpolation,
  [78989] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_RPAREN,
    STATE(2589), 1,
      sym_text_interpolation,
  [79002] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4610), 1,
      sym_heredoc_start,
    STATE(2590), 1,
      sym_text_interpolation,
  [79015] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4612), 1,
      aux_sym_if_statement_token2,
    STATE(2591), 1,
      sym_text_interpolation,
  [79028] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3403), 1,
      sym_name,
    STATE(2592), 1,
      sym_text_interpolation,
  [79041] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_COLON_COLON,
    STATE(2593), 1,
      sym_text_interpolation,
  [79054] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4035), 1,
      anon_sym_RBRACK,
    STATE(2594), 1,
      sym_text_interpolation,
  [79067] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4616), 1,
      sym_name,
    STATE(2595), 1,
      sym_text_interpolation,
  [79080] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4618), 1,
      sym_heredoc_end,
    STATE(2596), 1,
      sym_text_interpolation,
  [79093] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4360), 1,
      anon_sym_EQ,
    STATE(2597), 1,
      sym_text_interpolation,
  [79106] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4620), 1,
      sym_name,
    STATE(2598), 1,
      sym_text_interpolation,
  [79119] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4622), 1,
      sym_name,
    STATE(2599), 1,
      sym_text_interpolation,
  [79132] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4624), 1,
      sym_name,
    STATE(2600), 1,
      sym_text_interpolation,
  [79145] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4626), 1,
      sym_name,
    STATE(2601), 1,
      sym_text_interpolation,
  [79158] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4628), 1,
      anon_sym_EQ_GT,
    STATE(2602), 1,
      sym_text_interpolation,
  [79171] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4630), 1,
      anon_sym_SEMI,
    STATE(2603), 1,
      sym_text_interpolation,
  [79184] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4019), 1,
      sym_name,
    STATE(2604), 1,
      sym_text_interpolation,
  [79197] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4632), 1,
      sym_heredoc_end,
    STATE(2605), 1,
      sym_text_interpolation,
  [79210] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4634), 1,
      sym_heredoc_start,
    STATE(2606), 1,
      sym_text_interpolation,
  [79223] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4636), 1,
      anon_sym_COLON_COLON,
    STATE(2607), 1,
      sym_text_interpolation,
  [79236] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4638), 1,
      sym_heredoc_start,
    STATE(2608), 1,
      sym_text_interpolation,
  [79249] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4640), 1,
      anon_sym_BSLASH,
    STATE(2609), 1,
      sym_text_interpolation,
  [79262] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4642), 1,
      aux_sym_if_statement_token2,
    STATE(2610), 1,
      sym_text_interpolation,
  [79275] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4369), 1,
      anon_sym_LPAREN,
    STATE(2611), 1,
      sym_text_interpolation,
  [79288] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4197), 1,
      anon_sym_RBRACE,
    STATE(2612), 1,
      sym_text_interpolation,
  [79301] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4644), 1,
      sym_name,
    STATE(2613), 1,
      sym_text_interpolation,
  [79314] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4646), 1,
      sym_name,
    STATE(2614), 1,
      sym_text_interpolation,
  [79327] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4648), 1,
      sym_name,
    STATE(2615), 1,
      sym_text_interpolation,
  [79340] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4650), 1,
      sym_heredoc_end,
    STATE(2616), 1,
      sym_text_interpolation,
  [79353] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4652), 1,
      sym_name,
    STATE(2617), 1,
      sym_text_interpolation,
  [79366] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4654), 1,
      sym_name,
    STATE(2618), 1,
      sym_text_interpolation,
  [79379] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(961), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2619), 1,
      sym_text_interpolation,
  [79392] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4103), 1,
      anon_sym_RPAREN,
    STATE(2620), 1,
      sym_text_interpolation,
  [79405] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4656), 1,
      anon_sym_RPAREN,
    STATE(2621), 1,
      sym_text_interpolation,
  [79418] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4658), 1,
      anon_sym_LBRACE,
    STATE(2622), 1,
      sym_text_interpolation,
  [79431] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4660), 1,
      anon_sym_EQ_GT,
    STATE(2623), 1,
      sym_text_interpolation,
  [79444] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_EQ_GT,
    STATE(2624), 1,
      sym_text_interpolation,
  [79457] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4664), 1,
      aux_sym_while_statement_token1,
    STATE(2625), 1,
      sym_text_interpolation,
  [79470] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4666), 1,
      anon_sym_LBRACE,
    STATE(2626), 1,
      sym_text_interpolation,
  [79483] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_LBRACE,
    STATE(2627), 1,
      sym_text_interpolation,
  [79496] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4670), 1,
      anon_sym_EQ_GT,
    STATE(2628), 1,
      sym_text_interpolation,
  [79509] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4672), 1,
      anon_sym_RPAREN,
    STATE(2629), 1,
      sym_text_interpolation,
  [79522] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym_RPAREN,
    STATE(2630), 1,
      sym_text_interpolation,
  [79535] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4676), 1,
      aux_sym_if_statement_token2,
    STATE(2631), 1,
      sym_text_interpolation,
  [79548] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4678), 1,
      sym_heredoc_end,
    STATE(2632), 1,
      sym_text_interpolation,
  [79561] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4680), 1,
      sym_heredoc_end,
    STATE(2633), 1,
      sym_text_interpolation,
  [79574] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4682), 1,
      anon_sym_RPAREN,
    STATE(2634), 1,
      sym_text_interpolation,
  [79587] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4684), 1,
      anon_sym_EQ_GT,
    STATE(2635), 1,
      sym_text_interpolation,
  [79600] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4686), 1,
      anon_sym_EQ,
    STATE(2636), 1,
      sym_text_interpolation,
  [79613] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4688), 1,
      anon_sym_RPAREN,
    STATE(2637), 1,
      sym_text_interpolation,
  [79626] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4220), 1,
      anon_sym_RPAREN,
    STATE(2638), 1,
      sym_text_interpolation,
  [79639] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4690), 1,
      sym_heredoc_end,
    STATE(2639), 1,
      sym_text_interpolation,
  [79652] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4692), 1,
      aux_sym_if_statement_token2,
    STATE(2640), 1,
      sym_text_interpolation,
  [79665] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4694), 1,
      anon_sym_BSLASH,
    STATE(2641), 1,
      sym_text_interpolation,
  [79678] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4696), 1,
      anon_sym_RPAREN,
    STATE(2642), 1,
      sym_text_interpolation,
  [79691] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4698), 1,
      sym_name,
    STATE(2643), 1,
      sym_text_interpolation,
  [79704] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4700), 1,
      sym_name,
    STATE(2644), 1,
      sym_text_interpolation,
  [79717] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_RPAREN,
    STATE(2645), 1,
      sym_text_interpolation,
  [79730] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4704), 1,
      aux_sym_foreach_statement_token2,
    STATE(2646), 1,
      sym_text_interpolation,
  [79743] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4706), 1,
      anon_sym_COLON_COLON,
    STATE(2647), 1,
      sym_text_interpolation,
  [79756] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4708), 1,
      anon_sym_BSLASH,
    STATE(2648), 1,
      sym_text_interpolation,
  [79769] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2522), 1,
      anon_sym_RPAREN,
    STATE(2649), 1,
      sym_text_interpolation,
  [79782] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4710), 1,
      anon_sym_EQ,
    STATE(2650), 1,
      sym_text_interpolation,
  [79795] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4712), 1,
      anon_sym_RPAREN,
    STATE(2651), 1,
      sym_text_interpolation,
  [79808] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4714), 1,
      anon_sym_RBRACK,
    STATE(2652), 1,
      sym_text_interpolation,
  [79821] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4716), 1,
      sym_integer,
    STATE(2653), 1,
      sym_text_interpolation,
  [79834] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_RPAREN,
    STATE(2654), 1,
      sym_text_interpolation,
  [79847] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_RBRACK,
    STATE(2655), 1,
      sym_text_interpolation,
  [79860] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_BSLASH,
    STATE(2656), 1,
      sym_text_interpolation,
  [79873] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4724), 1,
      anon_sym_SEMI,
    STATE(2657), 1,
      sym_text_interpolation,
  [79886] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4726), 1,
      anon_sym_LPAREN,
    STATE(2658), 1,
      sym_text_interpolation,
  [79899] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4728), 1,
      anon_sym_LPAREN,
    STATE(2659), 1,
      sym_text_interpolation,
  [79912] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4730), 1,
      sym_name,
    STATE(2660), 1,
      sym_text_interpolation,
  [79925] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4732), 1,
      anon_sym_RBRACK,
    STATE(2661), 1,
      sym_text_interpolation,
  [79938] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4244), 1,
      anon_sym_RPAREN,
    STATE(2662), 1,
      sym_text_interpolation,
  [79951] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4734), 1,
      sym_heredoc_start,
    STATE(2663), 1,
      sym_text_interpolation,
  [79964] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4736), 1,
      anon_sym_RPAREN,
    STATE(2664), 1,
      sym_text_interpolation,
  [79977] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4738), 1,
      anon_sym_LBRACE,
    STATE(2665), 1,
      sym_text_interpolation,
  [79990] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4740), 1,
      aux_sym_foreach_statement_token2,
    STATE(2666), 1,
      sym_text_interpolation,
  [80003] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4742), 1,
      anon_sym_RPAREN,
    STATE(2667), 1,
      sym_text_interpolation,
  [80016] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4744), 1,
      anon_sym_SEMI,
    STATE(2668), 1,
      sym_text_interpolation,
  [80029] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4746), 1,
      sym_name,
    STATE(2669), 1,
      sym_text_interpolation,
  [80042] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4748), 1,
      anon_sym_RPAREN,
    STATE(2670), 1,
      sym_text_interpolation,
  [80055] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4750), 1,
      sym_name,
    STATE(2671), 1,
      sym_text_interpolation,
  [80068] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4752), 1,
      sym_name,
    STATE(2672), 1,
      sym_text_interpolation,
  [80081] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4754), 1,
      anon_sym_LBRACE,
    STATE(2673), 1,
      sym_text_interpolation,
  [80094] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3351), 1,
      sym_name,
    STATE(2674), 1,
      sym_text_interpolation,
  [80107] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4756), 1,
      anon_sym_COLON_COLON,
    STATE(2675), 1,
      sym_text_interpolation,
  [80120] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4758), 1,
      anon_sym_RPAREN,
    STATE(2676), 1,
      sym_text_interpolation,
  [80133] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4760), 1,
      anon_sym_LPAREN,
    STATE(2677), 1,
      sym_text_interpolation,
  [80146] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4762), 1,
      anon_sym_LBRACE,
    STATE(2678), 1,
      sym_text_interpolation,
  [80159] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4764), 1,
      anon_sym_RPAREN,
    STATE(2679), 1,
      sym_text_interpolation,
  [80172] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4766), 1,
      anon_sym_RPAREN,
    STATE(2680), 1,
      sym_text_interpolation,
  [80185] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4768), 1,
      anon_sym_RPAREN,
    STATE(2681), 1,
      sym_text_interpolation,
  [80198] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4770), 1,
      sym_name,
    STATE(2682), 1,
      sym_text_interpolation,
  [80211] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_RPAREN,
    STATE(2683), 1,
      sym_text_interpolation,
  [80224] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4774), 1,
      sym_heredoc_end,
    STATE(2684), 1,
      sym_text_interpolation,
  [80237] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3781), 1,
      anon_sym_COLON_COLON,
    STATE(2685), 1,
      sym_text_interpolation,
  [80250] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_COLON_COLON,
    STATE(2686), 1,
      sym_text_interpolation,
  [80263] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4778), 1,
      anon_sym_EQ_GT,
    STATE(2687), 1,
      sym_text_interpolation,
  [80276] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4780), 1,
      sym_name,
    STATE(2688), 1,
      sym_text_interpolation,
  [80289] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4782), 1,
      anon_sym_EQ,
    STATE(2689), 1,
      sym_text_interpolation,
  [80302] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_EQ_GT,
    STATE(2690), 1,
      sym_text_interpolation,
  [80315] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4786), 1,
      sym_name,
    STATE(2691), 1,
      sym_text_interpolation,
  [80328] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4788), 1,
      anon_sym_RPAREN,
    STATE(2692), 1,
      sym_text_interpolation,
  [80341] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_BSLASH,
    STATE(2693), 1,
      sym_text_interpolation,
  [80354] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4792), 1,
      anon_sym_LBRACE,
    STATE(2694), 1,
      sym_text_interpolation,
  [80367] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4794), 1,
      anon_sym_LPAREN,
    STATE(2695), 1,
      sym_text_interpolation,
  [80380] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4796), 1,
      anon_sym_LPAREN,
    STATE(2696), 1,
      sym_text_interpolation,
  [80393] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4008), 1,
      anon_sym_LBRACE,
    STATE(2697), 1,
      sym_text_interpolation,
  [80406] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4798), 1,
      anon_sym_SEMI,
    STATE(2698), 1,
      sym_text_interpolation,
  [80419] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4800), 1,
      anon_sym_LBRACE,
    STATE(2699), 1,
      sym_text_interpolation,
  [80432] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4265), 1,
      anon_sym_RPAREN,
    STATE(2700), 1,
      sym_text_interpolation,
  [80445] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4802), 1,
      anon_sym_LPAREN,
    STATE(2701), 1,
      sym_text_interpolation,
  [80458] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4804), 1,
      anon_sym_LPAREN,
    STATE(2702), 1,
      sym_text_interpolation,
  [80471] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4806), 1,
      anon_sym_EQ_GT,
    STATE(2703), 1,
      sym_text_interpolation,
  [80484] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4808), 1,
      sym_name,
    STATE(2704), 1,
      sym_text_interpolation,
  [80497] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_COLON_COLON,
    STATE(2705), 1,
      sym_text_interpolation,
  [80510] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4812), 1,
      anon_sym_LPAREN,
    STATE(2706), 1,
      sym_text_interpolation,
  [80523] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4814), 1,
      anon_sym_LPAREN,
    STATE(2707), 1,
      sym_text_interpolation,
  [80536] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4816), 1,
      sym_name,
    STATE(2708), 1,
      sym_text_interpolation,
  [80549] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4818), 1,
      anon_sym_LPAREN,
    STATE(2709), 1,
      sym_text_interpolation,
  [80562] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_RPAREN,
    STATE(2710), 1,
      sym_text_interpolation,
  [80575] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4822), 1,
      sym_name,
    STATE(2711), 1,
      sym_text_interpolation,
  [80588] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4824), 1,
      sym_name,
    STATE(2712), 1,
      sym_text_interpolation,
  [80601] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4826), 1,
      sym_name,
    STATE(2713), 1,
      sym_text_interpolation,
  [80614] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
    STATE(2714), 1,
      sym_text_interpolation,
  [80627] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4830), 1,
      sym_name,
    STATE(2715), 1,
      sym_text_interpolation,
  [80640] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4832), 1,
      sym_name,
    STATE(2716), 1,
      sym_text_interpolation,
  [80653] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym_RPAREN,
    STATE(2717), 1,
      sym_text_interpolation,
  [80666] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4836), 1,
      anon_sym_LPAREN,
    STATE(2718), 1,
      sym_text_interpolation,
  [80679] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4838), 1,
      sym_name,
    STATE(2719), 1,
      sym_text_interpolation,
  [80692] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4840), 1,
      anon_sym_SEMI,
    STATE(2720), 1,
      sym_text_interpolation,
  [80705] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4842), 1,
      sym_name,
    STATE(2721), 1,
      sym_text_interpolation,
  [80718] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4844), 1,
      anon_sym_COLON_COLON,
    STATE(2722), 1,
      sym_text_interpolation,
  [80731] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4846), 1,
      anon_sym_SEMI,
    STATE(2723), 1,
      sym_text_interpolation,
  [80744] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4371), 1,
      anon_sym_RPAREN,
    STATE(2724), 1,
      sym_text_interpolation,
  [80757] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4848), 1,
      sym_name,
    STATE(2725), 1,
      sym_text_interpolation,
  [80770] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4850), 1,
      anon_sym_LPAREN,
    STATE(2726), 1,
      sym_text_interpolation,
  [80783] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4852), 1,
      anon_sym_LPAREN,
    STATE(2727), 1,
      sym_text_interpolation,
  [80796] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4854), 1,
      ts_builtin_sym_end,
    STATE(2728), 1,
      sym_text_interpolation,
  [80809] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4856), 1,
      sym_name,
    STATE(2729), 1,
      sym_text_interpolation,
  [80822] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4858), 1,
      anon_sym_SEMI,
    STATE(2730), 1,
      sym_text_interpolation,
  [80835] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4291), 1,
      anon_sym_RPAREN,
    STATE(2731), 1,
      sym_text_interpolation,
  [80848] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4860), 1,
      anon_sym_LPAREN,
    STATE(2732), 1,
      sym_text_interpolation,
  [80861] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_LPAREN,
    STATE(2733), 1,
      sym_text_interpolation,
  [80874] = 1,
    ACTIONS(4864), 1,
      ts_builtin_sym_end,
  [80878] = 1,
    ACTIONS(4866), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(591)] = 0,
  [SMALL_STATE(592)] = 79,
  [SMALL_STATE(593)] = 158,
  [SMALL_STATE(594)] = 232,
  [SMALL_STATE(595)] = 306,
  [SMALL_STATE(596)] = 380,
  [SMALL_STATE(597)] = 454,
  [SMALL_STATE(598)] = 528,
  [SMALL_STATE(599)] = 602,
  [SMALL_STATE(600)] = 676,
  [SMALL_STATE(601)] = 750,
  [SMALL_STATE(602)] = 824,
  [SMALL_STATE(603)] = 898,
  [SMALL_STATE(604)] = 972,
  [SMALL_STATE(605)] = 1046,
  [SMALL_STATE(606)] = 1120,
  [SMALL_STATE(607)] = 1204,
  [SMALL_STATE(608)] = 1280,
  [SMALL_STATE(609)] = 1354,
  [SMALL_STATE(610)] = 1428,
  [SMALL_STATE(611)] = 1502,
  [SMALL_STATE(612)] = 1576,
  [SMALL_STATE(613)] = 1650,
  [SMALL_STATE(614)] = 1724,
  [SMALL_STATE(615)] = 1798,
  [SMALL_STATE(616)] = 1872,
  [SMALL_STATE(617)] = 1946,
  [SMALL_STATE(618)] = 2022,
  [SMALL_STATE(619)] = 2096,
  [SMALL_STATE(620)] = 2170,
  [SMALL_STATE(621)] = 2251,
  [SMALL_STATE(622)] = 2332,
  [SMALL_STATE(623)] = 2413,
  [SMALL_STATE(624)] = 2488,
  [SMALL_STATE(625)] = 2563,
  [SMALL_STATE(626)] = 2705,
  [SMALL_STATE(627)] = 2783,
  [SMALL_STATE(628)] = 2853,
  [SMALL_STATE(629)] = 2923,
  [SMALL_STATE(630)] = 2993,
  [SMALL_STATE(631)] = 3131,
  [SMALL_STATE(632)] = 3201,
  [SMALL_STATE(633)] = 3271,
  [SMALL_STATE(634)] = 3407,
  [SMALL_STATE(635)] = 3485,
  [SMALL_STATE(636)] = 3565,
  [SMALL_STATE(637)] = 3635,
  [SMALL_STATE(638)] = 3773,
  [SMALL_STATE(639)] = 3843,
  [SMALL_STATE(640)] = 3913,
  [SMALL_STATE(641)] = 3985,
  [SMALL_STATE(642)] = 4055,
  [SMALL_STATE(643)] = 4135,
  [SMALL_STATE(644)] = 4205,
  [SMALL_STATE(645)] = 4275,
  [SMALL_STATE(646)] = 4345,
  [SMALL_STATE(647)] = 4415,
  [SMALL_STATE(648)] = 4485,
  [SMALL_STATE(649)] = 4555,
  [SMALL_STATE(650)] = 4625,
  [SMALL_STATE(651)] = 4767,
  [SMALL_STATE(652)] = 4847,
  [SMALL_STATE(653)] = 4917,
  [SMALL_STATE(654)] = 4987,
  [SMALL_STATE(655)] = 5057,
  [SMALL_STATE(656)] = 5129,
  [SMALL_STATE(657)] = 5198,
  [SMALL_STATE(658)] = 5283,
  [SMALL_STATE(659)] = 5362,
  [SMALL_STATE(660)] = 5431,
  [SMALL_STATE(661)] = 5500,
  [SMALL_STATE(662)] = 5577,
  [SMALL_STATE(663)] = 5654,
  [SMALL_STATE(664)] = 5723,
  [SMALL_STATE(665)] = 5800,
  [SMALL_STATE(666)] = 5939,
  [SMALL_STATE(667)] = 6016,
  [SMALL_STATE(668)] = 6085,
  [SMALL_STATE(669)] = 6154,
  [SMALL_STATE(670)] = 6223,
  [SMALL_STATE(671)] = 6292,
  [SMALL_STATE(672)] = 6361,
  [SMALL_STATE(673)] = 6438,
  [SMALL_STATE(674)] = 6515,
  [SMALL_STATE(675)] = 6594,
  [SMALL_STATE(676)] = 6676,
  [SMALL_STATE(677)] = 6758,
  [SMALL_STATE(678)] = 6838,
  [SMALL_STATE(679)] = 6914,
  [SMALL_STATE(680)] = 6990,
  [SMALL_STATE(681)] = 7066,
  [SMALL_STATE(682)] = 7142,
  [SMALL_STATE(683)] = 7222,
  [SMALL_STATE(684)] = 7302,
  [SMALL_STATE(685)] = 7435,
  [SMALL_STATE(686)] = 7512,
  [SMALL_STATE(687)] = 7589,
  [SMALL_STATE(688)] = 7666,
  [SMALL_STATE(689)] = 7799,
  [SMALL_STATE(690)] = 7878,
  [SMALL_STATE(691)] = 8011,
  [SMALL_STATE(692)] = 8088,
  [SMALL_STATE(693)] = 8165,
  [SMALL_STATE(694)] = 8242,
  [SMALL_STATE(695)] = 8375,
  [SMALL_STATE(696)] = 8505,
  [SMALL_STATE(697)] = 8635,
  [SMALL_STATE(698)] = 8765,
  [SMALL_STATE(699)] = 8895,
  [SMALL_STATE(700)] = 9025,
  [SMALL_STATE(701)] = 9101,
  [SMALL_STATE(702)] = 9231,
  [SMALL_STATE(703)] = 9307,
  [SMALL_STATE(704)] = 9437,
  [SMALL_STATE(705)] = 9567,
  [SMALL_STATE(706)] = 9697,
  [SMALL_STATE(707)] = 9827,
  [SMALL_STATE(708)] = 9897,
  [SMALL_STATE(709)] = 10027,
  [SMALL_STATE(710)] = 10157,
  [SMALL_STATE(711)] = 10287,
  [SMALL_STATE(712)] = 10351,
  [SMALL_STATE(713)] = 10417,
  [SMALL_STATE(714)] = 10478,
  [SMALL_STATE(715)] = 10539,
  [SMALL_STATE(716)] = 10648,
  [SMALL_STATE(717)] = 10709,
  [SMALL_STATE(718)] = 10774,
  [SMALL_STATE(719)] = 10839,
  [SMALL_STATE(720)] = 10904,
  [SMALL_STATE(721)] = 11013,
  [SMALL_STATE(722)] = 11079,
  [SMALL_STATE(723)] = 11139,
  [SMALL_STATE(724)] = 11199,
  [SMALL_STATE(725)] = 11261,
  [SMALL_STATE(726)] = 11323,
  [SMALL_STATE(727)] = 11385,
  [SMALL_STATE(728)] = 11445,
  [SMALL_STATE(729)] = 11505,
  [SMALL_STATE(730)] = 11565,
  [SMALL_STATE(731)] = 11625,
  [SMALL_STATE(732)] = 11685,
  [SMALL_STATE(733)] = 11745,
  [SMALL_STATE(734)] = 11805,
  [SMALL_STATE(735)] = 11865,
  [SMALL_STATE(736)] = 11925,
  [SMALL_STATE(737)] = 11985,
  [SMALL_STATE(738)] = 12045,
  [SMALL_STATE(739)] = 12105,
  [SMALL_STATE(740)] = 12165,
  [SMALL_STATE(741)] = 12227,
  [SMALL_STATE(742)] = 12287,
  [SMALL_STATE(743)] = 12347,
  [SMALL_STATE(744)] = 12413,
  [SMALL_STATE(745)] = 12475,
  [SMALL_STATE(746)] = 12535,
  [SMALL_STATE(747)] = 12595,
  [SMALL_STATE(748)] = 12655,
  [SMALL_STATE(749)] = 12714,
  [SMALL_STATE(750)] = 12777,
  [SMALL_STATE(751)] = 12840,
  [SMALL_STATE(752)] = 12899,
  [SMALL_STATE(753)] = 12958,
  [SMALL_STATE(754)] = 13017,
  [SMALL_STATE(755)] = 13080,
  [SMALL_STATE(756)] = 13139,
  [SMALL_STATE(757)] = 13202,
  [SMALL_STATE(758)] = 13265,
  [SMALL_STATE(759)] = 13324,
  [SMALL_STATE(760)] = 13383,
  [SMALL_STATE(761)] = 13442,
  [SMALL_STATE(762)] = 13503,
  [SMALL_STATE(763)] = 13562,
  [SMALL_STATE(764)] = 13623,
  [SMALL_STATE(765)] = 13689,
  [SMALL_STATE(766)] = 13747,
  [SMALL_STATE(767)] = 13805,
  [SMALL_STATE(768)] = 13863,
  [SMALL_STATE(769)] = 13921,
  [SMALL_STATE(770)] = 13979,
  [SMALL_STATE(771)] = 14037,
  [SMALL_STATE(772)] = 14095,
  [SMALL_STATE(773)] = 14153,
  [SMALL_STATE(774)] = 14211,
  [SMALL_STATE(775)] = 14269,
  [SMALL_STATE(776)] = 14329,
  [SMALL_STATE(777)] = 14387,
  [SMALL_STATE(778)] = 14445,
  [SMALL_STATE(779)] = 14505,
  [SMALL_STATE(780)] = 14563,
  [SMALL_STATE(781)] = 14621,
  [SMALL_STATE(782)] = 14679,
  [SMALL_STATE(783)] = 14737,
  [SMALL_STATE(784)] = 14841,
  [SMALL_STATE(785)] = 14899,
  [SMALL_STATE(786)] = 14957,
  [SMALL_STATE(787)] = 15015,
  [SMALL_STATE(788)] = 15077,
  [SMALL_STATE(789)] = 15135,
  [SMALL_STATE(790)] = 15193,
  [SMALL_STATE(791)] = 15251,
  [SMALL_STATE(792)] = 15309,
  [SMALL_STATE(793)] = 15367,
  [SMALL_STATE(794)] = 15425,
  [SMALL_STATE(795)] = 15483,
  [SMALL_STATE(796)] = 15543,
  [SMALL_STATE(797)] = 15603,
  [SMALL_STATE(798)] = 15663,
  [SMALL_STATE(799)] = 15725,
  [SMALL_STATE(800)] = 15783,
  [SMALL_STATE(801)] = 15845,
  [SMALL_STATE(802)] = 15903,
  [SMALL_STATE(803)] = 15963,
  [SMALL_STATE(804)] = 16021,
  [SMALL_STATE(805)] = 16081,
  [SMALL_STATE(806)] = 16139,
  [SMALL_STATE(807)] = 16197,
  [SMALL_STATE(808)] = 16255,
  [SMALL_STATE(809)] = 16313,
  [SMALL_STATE(810)] = 16371,
  [SMALL_STATE(811)] = 16429,
  [SMALL_STATE(812)] = 16487,
  [SMALL_STATE(813)] = 16545,
  [SMALL_STATE(814)] = 16603,
  [SMALL_STATE(815)] = 16661,
  [SMALL_STATE(816)] = 16719,
  [SMALL_STATE(817)] = 16777,
  [SMALL_STATE(818)] = 16839,
  [SMALL_STATE(819)] = 16901,
  [SMALL_STATE(820)] = 16959,
  [SMALL_STATE(821)] = 17017,
  [SMALL_STATE(822)] = 17075,
  [SMALL_STATE(823)] = 17133,
  [SMALL_STATE(824)] = 17191,
  [SMALL_STATE(825)] = 17249,
  [SMALL_STATE(826)] = 17307,
  [SMALL_STATE(827)] = 17365,
  [SMALL_STATE(828)] = 17423,
  [SMALL_STATE(829)] = 17481,
  [SMALL_STATE(830)] = 17539,
  [SMALL_STATE(831)] = 17597,
  [SMALL_STATE(832)] = 17655,
  [SMALL_STATE(833)] = 17713,
  [SMALL_STATE(834)] = 17817,
  [SMALL_STATE(835)] = 17875,
  [SMALL_STATE(836)] = 17933,
  [SMALL_STATE(837)] = 17991,
  [SMALL_STATE(838)] = 18049,
  [SMALL_STATE(839)] = 18107,
  [SMALL_STATE(840)] = 18165,
  [SMALL_STATE(841)] = 18223,
  [SMALL_STATE(842)] = 18281,
  [SMALL_STATE(843)] = 18339,
  [SMALL_STATE(844)] = 18397,
  [SMALL_STATE(845)] = 18455,
  [SMALL_STATE(846)] = 18513,
  [SMALL_STATE(847)] = 18571,
  [SMALL_STATE(848)] = 18629,
  [SMALL_STATE(849)] = 18690,
  [SMALL_STATE(850)] = 18749,
  [SMALL_STATE(851)] = 18808,
  [SMALL_STATE(852)] = 18909,
  [SMALL_STATE(853)] = 18968,
  [SMALL_STATE(854)] = 19069,
  [SMALL_STATE(855)] = 19128,
  [SMALL_STATE(856)] = 19187,
  [SMALL_STATE(857)] = 19288,
  [SMALL_STATE(858)] = 19345,
  [SMALL_STATE(859)] = 19446,
  [SMALL_STATE(860)] = 19507,
  [SMALL_STATE(861)] = 19568,
  [SMALL_STATE(862)] = 19629,
  [SMALL_STATE(863)] = 19690,
  [SMALL_STATE(864)] = 19746,
  [SMALL_STATE(865)] = 19802,
  [SMALL_STATE(866)] = 19858,
  [SMALL_STATE(867)] = 19914,
  [SMALL_STATE(868)] = 19972,
  [SMALL_STATE(869)] = 20028,
  [SMALL_STATE(870)] = 20084,
  [SMALL_STATE(871)] = 20140,
  [SMALL_STATE(872)] = 20196,
  [SMALL_STATE(873)] = 20252,
  [SMALL_STATE(874)] = 20312,
  [SMALL_STATE(875)] = 20372,
  [SMALL_STATE(876)] = 20428,
  [SMALL_STATE(877)] = 20484,
  [SMALL_STATE(878)] = 20600,
  [SMALL_STATE(879)] = 20656,
  [SMALL_STATE(880)] = 20712,
  [SMALL_STATE(881)] = 20770,
  [SMALL_STATE(882)] = 20886,
  [SMALL_STATE(883)] = 20942,
  [SMALL_STATE(884)] = 20998,
  [SMALL_STATE(885)] = 21054,
  [SMALL_STATE(886)] = 21110,
  [SMALL_STATE(887)] = 21208,
  [SMALL_STATE(888)] = 21264,
  [SMALL_STATE(889)] = 21320,
  [SMALL_STATE(890)] = 21376,
  [SMALL_STATE(891)] = 21438,
  [SMALL_STATE(892)] = 21554,
  [SMALL_STATE(893)] = 21616,
  [SMALL_STATE(894)] = 21673,
  [SMALL_STATE(895)] = 21728,
  [SMALL_STATE(896)] = 21783,
  [SMALL_STATE(897)] = 21838,
  [SMALL_STATE(898)] = 21897,
  [SMALL_STATE(899)] = 21954,
  [SMALL_STATE(900)] = 22009,
  [SMALL_STATE(901)] = 22068,
  [SMALL_STATE(902)] = 22123,
  [SMALL_STATE(903)] = 22182,
  [SMALL_STATE(904)] = 22237,
  [SMALL_STATE(905)] = 22296,
  [SMALL_STATE(906)] = 22351,
  [SMALL_STATE(907)] = 22406,
  [SMALL_STATE(908)] = 22463,
  [SMALL_STATE(909)] = 22520,
  [SMALL_STATE(910)] = 22575,
  [SMALL_STATE(911)] = 22630,
  [SMALL_STATE(912)] = 22685,
  [SMALL_STATE(913)] = 22740,
  [SMALL_STATE(914)] = 22795,
  [SMALL_STATE(915)] = 22850,
  [SMALL_STATE(916)] = 22909,
  [SMALL_STATE(917)] = 22963,
  [SMALL_STATE(918)] = 23017,
  [SMALL_STATE(919)] = 23071,
  [SMALL_STATE(920)] = 23125,
  [SMALL_STATE(921)] = 23183,
  [SMALL_STATE(922)] = 23237,
  [SMALL_STATE(923)] = 23291,
  [SMALL_STATE(924)] = 23345,
  [SMALL_STATE(925)] = 23401,
  [SMALL_STATE(926)] = 23455,
  [SMALL_STATE(927)] = 23509,
  [SMALL_STATE(928)] = 23563,
  [SMALL_STATE(929)] = 23617,
  [SMALL_STATE(930)] = 23671,
  [SMALL_STATE(931)] = 23725,
  [SMALL_STATE(932)] = 23779,
  [SMALL_STATE(933)] = 23833,
  [SMALL_STATE(934)] = 23887,
  [SMALL_STATE(935)] = 23941,
  [SMALL_STATE(936)] = 23995,
  [SMALL_STATE(937)] = 24049,
  [SMALL_STATE(938)] = 24103,
  [SMALL_STATE(939)] = 24157,
  [SMALL_STATE(940)] = 24211,
  [SMALL_STATE(941)] = 24265,
  [SMALL_STATE(942)] = 24319,
  [SMALL_STATE(943)] = 24373,
  [SMALL_STATE(944)] = 24427,
  [SMALL_STATE(945)] = 24481,
  [SMALL_STATE(946)] = 24535,
  [SMALL_STATE(947)] = 24589,
  [SMALL_STATE(948)] = 24643,
  [SMALL_STATE(949)] = 24697,
  [SMALL_STATE(950)] = 24751,
  [SMALL_STATE(951)] = 24805,
  [SMALL_STATE(952)] = 24863,
  [SMALL_STATE(953)] = 24917,
  [SMALL_STATE(954)] = 24971,
  [SMALL_STATE(955)] = 25025,
  [SMALL_STATE(956)] = 25087,
  [SMALL_STATE(957)] = 25141,
  [SMALL_STATE(958)] = 25195,
  [SMALL_STATE(959)] = 25249,
  [SMALL_STATE(960)] = 25303,
  [SMALL_STATE(961)] = 25357,
  [SMALL_STATE(962)] = 25411,
  [SMALL_STATE(963)] = 25465,
  [SMALL_STATE(964)] = 25519,
  [SMALL_STATE(965)] = 25581,
  [SMALL_STATE(966)] = 25637,
  [SMALL_STATE(967)] = 25693,
  [SMALL_STATE(968)] = 25747,
  [SMALL_STATE(969)] = 25801,
  [SMALL_STATE(970)] = 25855,
  [SMALL_STATE(971)] = 25909,
  [SMALL_STATE(972)] = 25963,
  [SMALL_STATE(973)] = 26021,
  [SMALL_STATE(974)] = 26083,
  [SMALL_STATE(975)] = 26137,
  [SMALL_STATE(976)] = 26191,
  [SMALL_STATE(977)] = 26245,
  [SMALL_STATE(978)] = 26299,
  [SMALL_STATE(979)] = 26355,
  [SMALL_STATE(980)] = 26409,
  [SMALL_STATE(981)] = 26463,
  [SMALL_STATE(982)] = 26517,
  [SMALL_STATE(983)] = 26573,
  [SMALL_STATE(984)] = 26627,
  [SMALL_STATE(985)] = 26681,
  [SMALL_STATE(986)] = 26735,
  [SMALL_STATE(987)] = 26789,
  [SMALL_STATE(988)] = 26847,
  [SMALL_STATE(989)] = 26901,
  [SMALL_STATE(990)] = 26955,
  [SMALL_STATE(991)] = 27009,
  [SMALL_STATE(992)] = 27067,
  [SMALL_STATE(993)] = 27121,
  [SMALL_STATE(994)] = 27175,
  [SMALL_STATE(995)] = 27229,
  [SMALL_STATE(996)] = 27283,
  [SMALL_STATE(997)] = 27337,
  [SMALL_STATE(998)] = 27399,
  [SMALL_STATE(999)] = 27453,
  [SMALL_STATE(1000)] = 27509,
  [SMALL_STATE(1001)] = 27567,
  [SMALL_STATE(1002)] = 27621,
  [SMALL_STATE(1003)] = 27677,
  [SMALL_STATE(1004)] = 27731,
  [SMALL_STATE(1005)] = 27785,
  [SMALL_STATE(1006)] = 27841,
  [SMALL_STATE(1007)] = 27895,
  [SMALL_STATE(1008)] = 27952,
  [SMALL_STATE(1009)] = 28005,
  [SMALL_STATE(1010)] = 28058,
  [SMALL_STATE(1011)] = 28113,
  [SMALL_STATE(1012)] = 28166,
  [SMALL_STATE(1013)] = 28219,
  [SMALL_STATE(1014)] = 28272,
  [SMALL_STATE(1015)] = 28325,
  [SMALL_STATE(1016)] = 28380,
  [SMALL_STATE(1017)] = 28433,
  [SMALL_STATE(1018)] = 28490,
  [SMALL_STATE(1019)] = 28543,
  [SMALL_STATE(1020)] = 28596,
  [SMALL_STATE(1021)] = 28649,
  [SMALL_STATE(1022)] = 28702,
  [SMALL_STATE(1023)] = 28755,
  [SMALL_STATE(1024)] = 28810,
  [SMALL_STATE(1025)] = 28865,
  [SMALL_STATE(1026)] = 28918,
  [SMALL_STATE(1027)] = 28971,
  [SMALL_STATE(1028)] = 29024,
  [SMALL_STATE(1029)] = 29079,
  [SMALL_STATE(1030)] = 29132,
  [SMALL_STATE(1031)] = 29185,
  [SMALL_STATE(1032)] = 29240,
  [SMALL_STATE(1033)] = 29295,
  [SMALL_STATE(1034)] = 29348,
  [SMALL_STATE(1035)] = 29401,
  [SMALL_STATE(1036)] = 29454,
  [SMALL_STATE(1037)] = 29507,
  [SMALL_STATE(1038)] = 29560,
  [SMALL_STATE(1039)] = 29613,
  [SMALL_STATE(1040)] = 29666,
  [SMALL_STATE(1041)] = 29721,
  [SMALL_STATE(1042)] = 29773,
  [SMALL_STATE(1043)] = 29825,
  [SMALL_STATE(1044)] = 29877,
  [SMALL_STATE(1045)] = 29928,
  [SMALL_STATE(1046)] = 29981,
  [SMALL_STATE(1047)] = 30036,
  [SMALL_STATE(1048)] = 30122,
  [SMALL_STATE(1049)] = 30172,
  [SMALL_STATE(1050)] = 30260,
  [SMALL_STATE(1051)] = 30348,
  [SMALL_STATE(1052)] = 30430,
  [SMALL_STATE(1053)] = 30512,
  [SMALL_STATE(1054)] = 30564,
  [SMALL_STATE(1055)] = 30624,
  [SMALL_STATE(1056)] = 30682,
  [SMALL_STATE(1057)] = 30744,
  [SMALL_STATE(1058)] = 30810,
  [SMALL_STATE(1059)] = 30882,
  [SMALL_STATE(1060)] = 30958,
  [SMALL_STATE(1061)] = 31046,
  [SMALL_STATE(1062)] = 31124,
  [SMALL_STATE(1063)] = 31208,
  [SMALL_STATE(1064)] = 31296,
  [SMALL_STATE(1065)] = 31378,
  [SMALL_STATE(1066)] = 31430,
  [SMALL_STATE(1067)] = 31512,
  [SMALL_STATE(1068)] = 31568,
  [SMALL_STATE(1069)] = 31642,
  [SMALL_STATE(1070)] = 31712,
  [SMALL_STATE(1071)] = 31800,
  [SMALL_STATE(1072)] = 31888,
  [SMALL_STATE(1073)] = 31976,
  [SMALL_STATE(1074)] = 32066,
  [SMALL_STATE(1075)] = 32148,
  [SMALL_STATE(1076)] = 32236,
  [SMALL_STATE(1077)] = 32324,
  [SMALL_STATE(1078)] = 32374,
  [SMALL_STATE(1079)] = 32456,
  [SMALL_STATE(1080)] = 32538,
  [SMALL_STATE(1081)] = 32626,
  [SMALL_STATE(1082)] = 32675,
  [SMALL_STATE(1083)] = 32752,
  [SMALL_STATE(1084)] = 32839,
  [SMALL_STATE(1085)] = 32888,
  [SMALL_STATE(1086)] = 32937,
  [SMALL_STATE(1087)] = 32988,
  [SMALL_STATE(1088)] = 33049,
  [SMALL_STATE(1089)] = 33098,
  [SMALL_STATE(1090)] = 33147,
  [SMALL_STATE(1091)] = 33234,
  [SMALL_STATE(1092)] = 33315,
  [SMALL_STATE(1093)] = 33402,
  [SMALL_STATE(1094)] = 33491,
  [SMALL_STATE(1095)] = 33578,
  [SMALL_STATE(1096)] = 33627,
  [SMALL_STATE(1097)] = 33714,
  [SMALL_STATE(1098)] = 33783,
  [SMALL_STATE(1099)] = 33832,
  [SMALL_STATE(1100)] = 33919,
  [SMALL_STATE(1101)] = 34006,
  [SMALL_STATE(1102)] = 34071,
  [SMALL_STATE(1103)] = 34120,
  [SMALL_STATE(1104)] = 34169,
  [SMALL_STATE(1105)] = 34218,
  [SMALL_STATE(1106)] = 34269,
  [SMALL_STATE(1107)] = 34356,
  [SMALL_STATE(1108)] = 34415,
  [SMALL_STATE(1109)] = 34496,
  [SMALL_STATE(1110)] = 34553,
  [SMALL_STATE(1111)] = 34610,
  [SMALL_STATE(1112)] = 34691,
  [SMALL_STATE(1113)] = 34752,
  [SMALL_STATE(1114)] = 34833,
  [SMALL_STATE(1115)] = 34920,
  [SMALL_STATE(1116)] = 34985,
  [SMALL_STATE(1117)] = 35034,
  [SMALL_STATE(1118)] = 35083,
  [SMALL_STATE(1119)] = 35132,
  [SMALL_STATE(1120)] = 35219,
  [SMALL_STATE(1121)] = 35306,
  [SMALL_STATE(1122)] = 35377,
  [SMALL_STATE(1123)] = 35434,
  [SMALL_STATE(1124)] = 35509,
  [SMALL_STATE(1125)] = 35580,
  [SMALL_STATE(1126)] = 35667,
  [SMALL_STATE(1127)] = 35736,
  [SMALL_STATE(1128)] = 35817,
  [SMALL_STATE(1129)] = 35898,
  [SMALL_STATE(1130)] = 35985,
  [SMALL_STATE(1131)] = 36034,
  [SMALL_STATE(1132)] = 36121,
  [SMALL_STATE(1133)] = 36202,
  [SMALL_STATE(1134)] = 36285,
  [SMALL_STATE(1135)] = 36370,
  [SMALL_STATE(1136)] = 36451,
  [SMALL_STATE(1137)] = 36538,
  [SMALL_STATE(1138)] = 36619,
  [SMALL_STATE(1139)] = 36668,
  [SMALL_STATE(1140)] = 36717,
  [SMALL_STATE(1141)] = 36792,
  [SMALL_STATE(1142)] = 36873,
  [SMALL_STATE(1143)] = 36950,
  [SMALL_STATE(1144)] = 37015,
  [SMALL_STATE(1145)] = 37064,
  [SMALL_STATE(1146)] = 37137,
  [SMALL_STATE(1147)] = 37192,
  [SMALL_STATE(1148)] = 37273,
  [SMALL_STATE(1149)] = 37322,
  [SMALL_STATE(1150)] = 37411,
  [SMALL_STATE(1151)] = 37462,
  [SMALL_STATE(1152)] = 37543,
  [SMALL_STATE(1153)] = 37592,
  [SMALL_STATE(1154)] = 37643,
  [SMALL_STATE(1155)] = 37724,
  [SMALL_STATE(1156)] = 37773,
  [SMALL_STATE(1157)] = 37828,
  [SMALL_STATE(1158)] = 37915,
  [SMALL_STATE(1159)] = 38000,
  [SMALL_STATE(1160)] = 38081,
  [SMALL_STATE(1161)] = 38164,
  [SMALL_STATE(1162)] = 38245,
  [SMALL_STATE(1163)] = 38302,
  [SMALL_STATE(1164)] = 38353,
  [SMALL_STATE(1165)] = 38402,
  [SMALL_STATE(1166)] = 38461,
  [SMALL_STATE(1167)] = 38510,
  [SMALL_STATE(1168)] = 38559,
  [SMALL_STATE(1169)] = 38608,
  [SMALL_STATE(1170)] = 38657,
  [SMALL_STATE(1171)] = 38744,
  [SMALL_STATE(1172)] = 38831,
  [SMALL_STATE(1173)] = 38918,
  [SMALL_STATE(1174)] = 39005,
  [SMALL_STATE(1175)] = 39054,
  [SMALL_STATE(1176)] = 39127,
  [SMALL_STATE(1177)] = 39211,
  [SMALL_STATE(1178)] = 39299,
  [SMALL_STATE(1179)] = 39379,
  [SMALL_STATE(1180)] = 39459,
  [SMALL_STATE(1181)] = 39515,
  [SMALL_STATE(1182)] = 39601,
  [SMALL_STATE(1183)] = 39675,
  [SMALL_STATE(1184)] = 39735,
  [SMALL_STATE(1185)] = 39821,
  [SMALL_STATE(1186)] = 39889,
  [SMALL_STATE(1187)] = 39975,
  [SMALL_STATE(1188)] = 40055,
  [SMALL_STATE(1189)] = 40141,
  [SMALL_STATE(1190)] = 40227,
  [SMALL_STATE(1191)] = 40313,
  [SMALL_STATE(1192)] = 40393,
  [SMALL_STATE(1193)] = 40469,
  [SMALL_STATE(1194)] = 40527,
  [SMALL_STATE(1195)] = 40613,
  [SMALL_STATE(1196)] = 40663,
  [SMALL_STATE(1197)] = 40735,
  [SMALL_STATE(1198)] = 40815,
  [SMALL_STATE(1199)] = 40869,
  [SMALL_STATE(1200)] = 40955,
  [SMALL_STATE(1201)] = 41041,
  [SMALL_STATE(1202)] = 41121,
  [SMALL_STATE(1203)] = 41207,
  [SMALL_STATE(1204)] = 41271,
  [SMALL_STATE(1205)] = 41341,
  [SMALL_STATE(1206)] = 41391,
  [SMALL_STATE(1207)] = 41471,
  [SMALL_STATE(1208)] = 41553,
  [SMALL_STATE(1209)] = 41642,
  [SMALL_STATE(1210)] = 41731,
  [SMALL_STATE(1211)] = 41780,
  [SMALL_STATE(1212)] = 41829,
  [SMALL_STATE(1213)] = 41918,
  [SMALL_STATE(1214)] = 42007,
  [SMALL_STATE(1215)] = 42096,
  [SMALL_STATE(1216)] = 42185,
  [SMALL_STATE(1217)] = 42274,
  [SMALL_STATE(1218)] = 42359,
  [SMALL_STATE(1219)] = 42448,
  [SMALL_STATE(1220)] = 42534,
  [SMALL_STATE(1221)] = 42606,
  [SMALL_STATE(1222)] = 42692,
  [SMALL_STATE(1223)] = 42776,
  [SMALL_STATE(1224)] = 42862,
  [SMALL_STATE(1225)] = 42948,
  [SMALL_STATE(1226)] = 43020,
  [SMALL_STATE(1227)] = 43092,
  [SMALL_STATE(1228)] = 43178,
  [SMALL_STATE(1229)] = 43264,
  [SMALL_STATE(1230)] = 43350,
  [SMALL_STATE(1231)] = 43436,
  [SMALL_STATE(1232)] = 43522,
  [SMALL_STATE(1233)] = 43608,
  [SMALL_STATE(1234)] = 43682,
  [SMALL_STATE(1235)] = 43756,
  [SMALL_STATE(1236)] = 43842,
  [SMALL_STATE(1237)] = 43928,
  [SMALL_STATE(1238)] = 44014,
  [SMALL_STATE(1239)] = 44098,
  [SMALL_STATE(1240)] = 44184,
  [SMALL_STATE(1241)] = 44272,
  [SMALL_STATE(1242)] = 44344,
  [SMALL_STATE(1243)] = 44433,
  [SMALL_STATE(1244)] = 44516,
  [SMALL_STATE(1245)] = 44601,
  [SMALL_STATE(1246)] = 44684,
  [SMALL_STATE(1247)] = 44767,
  [SMALL_STATE(1248)] = 44850,
  [SMALL_STATE(1249)] = 44937,
  [SMALL_STATE(1250)] = 45020,
  [SMALL_STATE(1251)] = 45105,
  [SMALL_STATE(1252)] = 45188,
  [SMALL_STATE(1253)] = 45277,
  [SMALL_STATE(1254)] = 45366,
  [SMALL_STATE(1255)] = 45451,
  [SMALL_STATE(1256)] = 45534,
  [SMALL_STATE(1257)] = 45617,
  [SMALL_STATE(1258)] = 45700,
  [SMALL_STATE(1259)] = 45783,
  [SMALL_STATE(1260)] = 45868,
  [SMALL_STATE(1261)] = 45951,
  [SMALL_STATE(1262)] = 46036,
  [SMALL_STATE(1263)] = 46125,
  [SMALL_STATE(1264)] = 46208,
  [SMALL_STATE(1265)] = 46291,
  [SMALL_STATE(1266)] = 46374,
  [SMALL_STATE(1267)] = 46463,
  [SMALL_STATE(1268)] = 46546,
  [SMALL_STATE(1269)] = 46635,
  [SMALL_STATE(1270)] = 46718,
  [SMALL_STATE(1271)] = 46800,
  [SMALL_STATE(1272)] = 46882,
  [SMALL_STATE(1273)] = 46964,
  [SMALL_STATE(1274)] = 47046,
  [SMALL_STATE(1275)] = 47128,
  [SMALL_STATE(1276)] = 47210,
  [SMALL_STATE(1277)] = 47292,
  [SMALL_STATE(1278)] = 47374,
  [SMALL_STATE(1279)] = 47456,
  [SMALL_STATE(1280)] = 47538,
  [SMALL_STATE(1281)] = 47620,
  [SMALL_STATE(1282)] = 47702,
  [SMALL_STATE(1283)] = 47784,
  [SMALL_STATE(1284)] = 47866,
  [SMALL_STATE(1285)] = 47948,
  [SMALL_STATE(1286)] = 48030,
  [SMALL_STATE(1287)] = 48112,
  [SMALL_STATE(1288)] = 48194,
  [SMALL_STATE(1289)] = 48276,
  [SMALL_STATE(1290)] = 48358,
  [SMALL_STATE(1291)] = 48440,
  [SMALL_STATE(1292)] = 48522,
  [SMALL_STATE(1293)] = 48604,
  [SMALL_STATE(1294)] = 48686,
  [SMALL_STATE(1295)] = 48754,
  [SMALL_STATE(1296)] = 48836,
  [SMALL_STATE(1297)] = 48918,
  [SMALL_STATE(1298)] = 49000,
  [SMALL_STATE(1299)] = 49082,
  [SMALL_STATE(1300)] = 49164,
  [SMALL_STATE(1301)] = 49246,
  [SMALL_STATE(1302)] = 49328,
  [SMALL_STATE(1303)] = 49410,
  [SMALL_STATE(1304)] = 49492,
  [SMALL_STATE(1305)] = 49574,
  [SMALL_STATE(1306)] = 49656,
  [SMALL_STATE(1307)] = 49738,
  [SMALL_STATE(1308)] = 49820,
  [SMALL_STATE(1309)] = 49902,
  [SMALL_STATE(1310)] = 49984,
  [SMALL_STATE(1311)] = 50066,
  [SMALL_STATE(1312)] = 50134,
  [SMALL_STATE(1313)] = 50216,
  [SMALL_STATE(1314)] = 50298,
  [SMALL_STATE(1315)] = 50380,
  [SMALL_STATE(1316)] = 50462,
  [SMALL_STATE(1317)] = 50544,
  [SMALL_STATE(1318)] = 50626,
  [SMALL_STATE(1319)] = 50708,
  [SMALL_STATE(1320)] = 50790,
  [SMALL_STATE(1321)] = 50872,
  [SMALL_STATE(1322)] = 50954,
  [SMALL_STATE(1323)] = 51036,
  [SMALL_STATE(1324)] = 51079,
  [SMALL_STATE(1325)] = 51122,
  [SMALL_STATE(1326)] = 51165,
  [SMALL_STATE(1327)] = 51246,
  [SMALL_STATE(1328)] = 51289,
  [SMALL_STATE(1329)] = 51368,
  [SMALL_STATE(1330)] = 51449,
  [SMALL_STATE(1331)] = 51530,
  [SMALL_STATE(1332)] = 51611,
  [SMALL_STATE(1333)] = 51653,
  [SMALL_STATE(1334)] = 51695,
  [SMALL_STATE(1335)] = 51737,
  [SMALL_STATE(1336)] = 51798,
  [SMALL_STATE(1337)] = 51859,
  [SMALL_STATE(1338)] = 51904,
  [SMALL_STATE(1339)] = 51947,
  [SMALL_STATE(1340)] = 51984,
  [SMALL_STATE(1341)] = 52021,
  [SMALL_STATE(1342)] = 52058,
  [SMALL_STATE(1343)] = 52095,
  [SMALL_STATE(1344)] = 52145,
  [SMALL_STATE(1345)] = 52195,
  [SMALL_STATE(1346)] = 52245,
  [SMALL_STATE(1347)] = 52295,
  [SMALL_STATE(1348)] = 52345,
  [SMALL_STATE(1349)] = 52395,
  [SMALL_STATE(1350)] = 52461,
  [SMALL_STATE(1351)] = 52527,
  [SMALL_STATE(1352)] = 52593,
  [SMALL_STATE(1353)] = 52643,
  [SMALL_STATE(1354)] = 52693,
  [SMALL_STATE(1355)] = 52743,
  [SMALL_STATE(1356)] = 52809,
  [SMALL_STATE(1357)] = 52859,
  [SMALL_STATE(1358)] = 52909,
  [SMALL_STATE(1359)] = 52956,
  [SMALL_STATE(1360)] = 53003,
  [SMALL_STATE(1361)] = 53042,
  [SMALL_STATE(1362)] = 53089,
  [SMALL_STATE(1363)] = 53130,
  [SMALL_STATE(1364)] = 53177,
  [SMALL_STATE(1365)] = 53224,
  [SMALL_STATE(1366)] = 53271,
  [SMALL_STATE(1367)] = 53313,
  [SMALL_STATE(1368)] = 53355,
  [SMALL_STATE(1369)] = 53412,
  [SMALL_STATE(1370)] = 53445,
  [SMALL_STATE(1371)] = 53478,
  [SMALL_STATE(1372)] = 53511,
  [SMALL_STATE(1373)] = 53544,
  [SMALL_STATE(1374)] = 53577,
  [SMALL_STATE(1375)] = 53629,
  [SMALL_STATE(1376)] = 53669,
  [SMALL_STATE(1377)] = 53709,
  [SMALL_STATE(1378)] = 53749,
  [SMALL_STATE(1379)] = 53798,
  [SMALL_STATE(1380)] = 53847,
  [SMALL_STATE(1381)] = 53894,
  [SMALL_STATE(1382)] = 53943,
  [SMALL_STATE(1383)] = 53992,
  [SMALL_STATE(1384)] = 54038,
  [SMALL_STATE(1385)] = 54084,
  [SMALL_STATE(1386)] = 54130,
  [SMALL_STATE(1387)] = 54176,
  [SMALL_STATE(1388)] = 54226,
  [SMALL_STATE(1389)] = 54272,
  [SMALL_STATE(1390)] = 54324,
  [SMALL_STATE(1391)] = 54354,
  [SMALL_STATE(1392)] = 54400,
  [SMALL_STATE(1393)] = 54446,
  [SMALL_STATE(1394)] = 54492,
  [SMALL_STATE(1395)] = 54538,
  [SMALL_STATE(1396)] = 54587,
  [SMALL_STATE(1397)] = 54634,
  [SMALL_STATE(1398)] = 54681,
  [SMALL_STATE(1399)] = 54726,
  [SMALL_STATE(1400)] = 54770,
  [SMALL_STATE(1401)] = 54814,
  [SMALL_STATE(1402)] = 54860,
  [SMALL_STATE(1403)] = 54886,
  [SMALL_STATE(1404)] = 54912,
  [SMALL_STATE(1405)] = 54938,
  [SMALL_STATE(1406)] = 54984,
  [SMALL_STATE(1407)] = 55010,
  [SMALL_STATE(1408)] = 55056,
  [SMALL_STATE(1409)] = 55102,
  [SMALL_STATE(1410)] = 55128,
  [SMALL_STATE(1411)] = 55172,
  [SMALL_STATE(1412)] = 55218,
  [SMALL_STATE(1413)] = 55244,
  [SMALL_STATE(1414)] = 55270,
  [SMALL_STATE(1415)] = 55316,
  [SMALL_STATE(1416)] = 55342,
  [SMALL_STATE(1417)] = 55386,
  [SMALL_STATE(1418)] = 55412,
  [SMALL_STATE(1419)] = 55458,
  [SMALL_STATE(1420)] = 55484,
  [SMALL_STATE(1421)] = 55530,
  [SMALL_STATE(1422)] = 55556,
  [SMALL_STATE(1423)] = 55582,
  [SMALL_STATE(1424)] = 55607,
  [SMALL_STATE(1425)] = 55632,
  [SMALL_STATE(1426)] = 55657,
  [SMALL_STATE(1427)] = 55682,
  [SMALL_STATE(1428)] = 55707,
  [SMALL_STATE(1429)] = 55732,
  [SMALL_STATE(1430)] = 55757,
  [SMALL_STATE(1431)] = 55782,
  [SMALL_STATE(1432)] = 55807,
  [SMALL_STATE(1433)] = 55832,
  [SMALL_STATE(1434)] = 55857,
  [SMALL_STATE(1435)] = 55882,
  [SMALL_STATE(1436)] = 55907,
  [SMALL_STATE(1437)] = 55950,
  [SMALL_STATE(1438)] = 55975,
  [SMALL_STATE(1439)] = 56004,
  [SMALL_STATE(1440)] = 56035,
  [SMALL_STATE(1441)] = 56076,
  [SMALL_STATE(1442)] = 56101,
  [SMALL_STATE(1443)] = 56126,
  [SMALL_STATE(1444)] = 56151,
  [SMALL_STATE(1445)] = 56176,
  [SMALL_STATE(1446)] = 56201,
  [SMALL_STATE(1447)] = 56242,
  [SMALL_STATE(1448)] = 56267,
  [SMALL_STATE(1449)] = 56292,
  [SMALL_STATE(1450)] = 56333,
  [SMALL_STATE(1451)] = 56358,
  [SMALL_STATE(1452)] = 56383,
  [SMALL_STATE(1453)] = 56429,
  [SMALL_STATE(1454)] = 56469,
  [SMALL_STATE(1455)] = 56507,
  [SMALL_STATE(1456)] = 56547,
  [SMALL_STATE(1457)] = 56587,
  [SMALL_STATE(1458)] = 56627,
  [SMALL_STATE(1459)] = 56665,
  [SMALL_STATE(1460)] = 56705,
  [SMALL_STATE(1461)] = 56743,
  [SMALL_STATE(1462)] = 56783,
  [SMALL_STATE(1463)] = 56821,
  [SMALL_STATE(1464)] = 56859,
  [SMALL_STATE(1465)] = 56897,
  [SMALL_STATE(1466)] = 56943,
  [SMALL_STATE(1467)] = 56981,
  [SMALL_STATE(1468)] = 57025,
  [SMALL_STATE(1469)] = 57063,
  [SMALL_STATE(1470)] = 57103,
  [SMALL_STATE(1471)] = 57141,
  [SMALL_STATE(1472)] = 57179,
  [SMALL_STATE(1473)] = 57225,
  [SMALL_STATE(1474)] = 57263,
  [SMALL_STATE(1475)] = 57301,
  [SMALL_STATE(1476)] = 57341,
  [SMALL_STATE(1477)] = 57369,
  [SMALL_STATE(1478)] = 57409,
  [SMALL_STATE(1479)] = 57447,
  [SMALL_STATE(1480)] = 57487,
  [SMALL_STATE(1481)] = 57525,
  [SMALL_STATE(1482)] = 57563,
  [SMALL_STATE(1483)] = 57601,
  [SMALL_STATE(1484)] = 57639,
  [SMALL_STATE(1485)] = 57679,
  [SMALL_STATE(1486)] = 57717,
  [SMALL_STATE(1487)] = 57753,
  [SMALL_STATE(1488)] = 57791,
  [SMALL_STATE(1489)] = 57829,
  [SMALL_STATE(1490)] = 57875,
  [SMALL_STATE(1491)] = 57900,
  [SMALL_STATE(1492)] = 57925,
  [SMALL_STATE(1493)] = 57962,
  [SMALL_STATE(1494)] = 57985,
  [SMALL_STATE(1495)] = 58022,
  [SMALL_STATE(1496)] = 58055,
  [SMALL_STATE(1497)] = 58092,
  [SMALL_STATE(1498)] = 58125,
  [SMALL_STATE(1499)] = 58150,
  [SMALL_STATE(1500)] = 58177,
  [SMALL_STATE(1501)] = 58202,
  [SMALL_STATE(1502)] = 58228,
  [SMALL_STATE(1503)] = 58262,
  [SMALL_STATE(1504)] = 58298,
  [SMALL_STATE(1505)] = 58326,
  [SMALL_STATE(1506)] = 58350,
  [SMALL_STATE(1507)] = 58386,
  [SMALL_STATE(1508)] = 58414,
  [SMALL_STATE(1509)] = 58438,
  [SMALL_STATE(1510)] = 58466,
  [SMALL_STATE(1511)] = 58494,
  [SMALL_STATE(1512)] = 58518,
  [SMALL_STATE(1513)] = 58546,
  [SMALL_STATE(1514)] = 58574,
  [SMALL_STATE(1515)] = 58598,
  [SMALL_STATE(1516)] = 58632,
  [SMALL_STATE(1517)] = 58666,
  [SMALL_STATE(1518)] = 58696,
  [SMALL_STATE(1519)] = 58730,
  [SMALL_STATE(1520)] = 58756,
  [SMALL_STATE(1521)] = 58790,
  [SMALL_STATE(1522)] = 58824,
  [SMALL_STATE(1523)] = 58848,
  [SMALL_STATE(1524)] = 58874,
  [SMALL_STATE(1525)] = 58908,
  [SMALL_STATE(1526)] = 58932,
  [SMALL_STATE(1527)] = 58966,
  [SMALL_STATE(1528)] = 58995,
  [SMALL_STATE(1529)] = 59018,
  [SMALL_STATE(1530)] = 59041,
  [SMALL_STATE(1531)] = 59070,
  [SMALL_STATE(1532)] = 59105,
  [SMALL_STATE(1533)] = 59140,
  [SMALL_STATE(1534)] = 59175,
  [SMALL_STATE(1535)] = 59210,
  [SMALL_STATE(1536)] = 59239,
  [SMALL_STATE(1537)] = 59274,
  [SMALL_STATE(1538)] = 59297,
  [SMALL_STATE(1539)] = 59322,
  [SMALL_STATE(1540)] = 59357,
  [SMALL_STATE(1541)] = 59392,
  [SMALL_STATE(1542)] = 59427,
  [SMALL_STATE(1543)] = 59461,
  [SMALL_STATE(1544)] = 59487,
  [SMALL_STATE(1545)] = 59515,
  [SMALL_STATE(1546)] = 59545,
  [SMALL_STATE(1547)] = 59575,
  [SMALL_STATE(1548)] = 59603,
  [SMALL_STATE(1549)] = 59633,
  [SMALL_STATE(1550)] = 59663,
  [SMALL_STATE(1551)] = 59697,
  [SMALL_STATE(1552)] = 59731,
  [SMALL_STATE(1553)] = 59765,
  [SMALL_STATE(1554)] = 59799,
  [SMALL_STATE(1555)] = 59833,
  [SMALL_STATE(1556)] = 59857,
  [SMALL_STATE(1557)] = 59885,
  [SMALL_STATE(1558)] = 59915,
  [SMALL_STATE(1559)] = 59949,
  [SMALL_STATE(1560)] = 59977,
  [SMALL_STATE(1561)] = 60011,
  [SMALL_STATE(1562)] = 60032,
  [SMALL_STATE(1563)] = 60059,
  [SMALL_STATE(1564)] = 60084,
  [SMALL_STATE(1565)] = 60107,
  [SMALL_STATE(1566)] = 60128,
  [SMALL_STATE(1567)] = 60155,
  [SMALL_STATE(1568)] = 60176,
  [SMALL_STATE(1569)] = 60203,
  [SMALL_STATE(1570)] = 60232,
  [SMALL_STATE(1571)] = 60257,
  [SMALL_STATE(1572)] = 60284,
  [SMALL_STATE(1573)] = 60311,
  [SMALL_STATE(1574)] = 60338,
  [SMALL_STATE(1575)] = 60365,
  [SMALL_STATE(1576)] = 60394,
  [SMALL_STATE(1577)] = 60419,
  [SMALL_STATE(1578)] = 60448,
  [SMALL_STATE(1579)] = 60469,
  [SMALL_STATE(1580)] = 60492,
  [SMALL_STATE(1581)] = 60519,
  [SMALL_STATE(1582)] = 60540,
  [SMALL_STATE(1583)] = 60563,
  [SMALL_STATE(1584)] = 60590,
  [SMALL_STATE(1585)] = 60619,
  [SMALL_STATE(1586)] = 60640,
  [SMALL_STATE(1587)] = 60661,
  [SMALL_STATE(1588)] = 60682,
  [SMALL_STATE(1589)] = 60703,
  [SMALL_STATE(1590)] = 60724,
  [SMALL_STATE(1591)] = 60753,
  [SMALL_STATE(1592)] = 60782,
  [SMALL_STATE(1593)] = 60803,
  [SMALL_STATE(1594)] = 60830,
  [SMALL_STATE(1595)] = 60855,
  [SMALL_STATE(1596)] = 60882,
  [SMALL_STATE(1597)] = 60903,
  [SMALL_STATE(1598)] = 60928,
  [SMALL_STATE(1599)] = 60957,
  [SMALL_STATE(1600)] = 60978,
  [SMALL_STATE(1601)] = 60999,
  [SMALL_STATE(1602)] = 61022,
  [SMALL_STATE(1603)] = 61043,
  [SMALL_STATE(1604)] = 61070,
  [SMALL_STATE(1605)] = 61099,
  [SMALL_STATE(1606)] = 61126,
  [SMALL_STATE(1607)] = 61153,
  [SMALL_STATE(1608)] = 61174,
  [SMALL_STATE(1609)] = 61195,
  [SMALL_STATE(1610)] = 61222,
  [SMALL_STATE(1611)] = 61249,
  [SMALL_STATE(1612)] = 61274,
  [SMALL_STATE(1613)] = 61299,
  [SMALL_STATE(1614)] = 61326,
  [SMALL_STATE(1615)] = 61353,
  [SMALL_STATE(1616)] = 61382,
  [SMALL_STATE(1617)] = 61408,
  [SMALL_STATE(1618)] = 61434,
  [SMALL_STATE(1619)] = 61454,
  [SMALL_STATE(1620)] = 61482,
  [SMALL_STATE(1621)] = 61508,
  [SMALL_STATE(1622)] = 61534,
  [SMALL_STATE(1623)] = 61562,
  [SMALL_STATE(1624)] = 61588,
  [SMALL_STATE(1625)] = 61614,
  [SMALL_STATE(1626)] = 61640,
  [SMALL_STATE(1627)] = 61666,
  [SMALL_STATE(1628)] = 61694,
  [SMALL_STATE(1629)] = 61714,
  [SMALL_STATE(1630)] = 61742,
  [SMALL_STATE(1631)] = 61770,
  [SMALL_STATE(1632)] = 61790,
  [SMALL_STATE(1633)] = 61812,
  [SMALL_STATE(1634)] = 61834,
  [SMALL_STATE(1635)] = 61862,
  [SMALL_STATE(1636)] = 61890,
  [SMALL_STATE(1637)] = 61916,
  [SMALL_STATE(1638)] = 61944,
  [SMALL_STATE(1639)] = 61964,
  [SMALL_STATE(1640)] = 61992,
  [SMALL_STATE(1641)] = 62012,
  [SMALL_STATE(1642)] = 62032,
  [SMALL_STATE(1643)] = 62058,
  [SMALL_STATE(1644)] = 62082,
  [SMALL_STATE(1645)] = 62110,
  [SMALL_STATE(1646)] = 62136,
  [SMALL_STATE(1647)] = 62164,
  [SMALL_STATE(1648)] = 62192,
  [SMALL_STATE(1649)] = 62218,
  [SMALL_STATE(1650)] = 62238,
  [SMALL_STATE(1651)] = 62258,
  [SMALL_STATE(1652)] = 62284,
  [SMALL_STATE(1653)] = 62312,
  [SMALL_STATE(1654)] = 62338,
  [SMALL_STATE(1655)] = 62358,
  [SMALL_STATE(1656)] = 62378,
  [SMALL_STATE(1657)] = 62400,
  [SMALL_STATE(1658)] = 62428,
  [SMALL_STATE(1659)] = 62456,
  [SMALL_STATE(1660)] = 62476,
  [SMALL_STATE(1661)] = 62504,
  [SMALL_STATE(1662)] = 62526,
  [SMALL_STATE(1663)] = 62554,
  [SMALL_STATE(1664)] = 62580,
  [SMALL_STATE(1665)] = 62600,
  [SMALL_STATE(1666)] = 62628,
  [SMALL_STATE(1667)] = 62650,
  [SMALL_STATE(1668)] = 62676,
  [SMALL_STATE(1669)] = 62704,
  [SMALL_STATE(1670)] = 62730,
  [SMALL_STATE(1671)] = 62756,
  [SMALL_STATE(1672)] = 62776,
  [SMALL_STATE(1673)] = 62804,
  [SMALL_STATE(1674)] = 62824,
  [SMALL_STATE(1675)] = 62852,
  [SMALL_STATE(1676)] = 62872,
  [SMALL_STATE(1677)] = 62900,
  [SMALL_STATE(1678)] = 62928,
  [SMALL_STATE(1679)] = 62954,
  [SMALL_STATE(1680)] = 62982,
  [SMALL_STATE(1681)] = 63010,
  [SMALL_STATE(1682)] = 63030,
  [SMALL_STATE(1683)] = 63050,
  [SMALL_STATE(1684)] = 63078,
  [SMALL_STATE(1685)] = 63098,
  [SMALL_STATE(1686)] = 63126,
  [SMALL_STATE(1687)] = 63146,
  [SMALL_STATE(1688)] = 63168,
  [SMALL_STATE(1689)] = 63196,
  [SMALL_STATE(1690)] = 63216,
  [SMALL_STATE(1691)] = 63236,
  [SMALL_STATE(1692)] = 63264,
  [SMALL_STATE(1693)] = 63286,
  [SMALL_STATE(1694)] = 63306,
  [SMALL_STATE(1695)] = 63334,
  [SMALL_STATE(1696)] = 63354,
  [SMALL_STATE(1697)] = 63374,
  [SMALL_STATE(1698)] = 63394,
  [SMALL_STATE(1699)] = 63420,
  [SMALL_STATE(1700)] = 63448,
  [SMALL_STATE(1701)] = 63468,
  [SMALL_STATE(1702)] = 63496,
  [SMALL_STATE(1703)] = 63516,
  [SMALL_STATE(1704)] = 63536,
  [SMALL_STATE(1705)] = 63562,
  [SMALL_STATE(1706)] = 63584,
  [SMALL_STATE(1707)] = 63607,
  [SMALL_STATE(1708)] = 63624,
  [SMALL_STATE(1709)] = 63649,
  [SMALL_STATE(1710)] = 63668,
  [SMALL_STATE(1711)] = 63693,
  [SMALL_STATE(1712)] = 63716,
  [SMALL_STATE(1713)] = 63735,
  [SMALL_STATE(1714)] = 63758,
  [SMALL_STATE(1715)] = 63777,
  [SMALL_STATE(1716)] = 63796,
  [SMALL_STATE(1717)] = 63815,
  [SMALL_STATE(1718)] = 63834,
  [SMALL_STATE(1719)] = 63857,
  [SMALL_STATE(1720)] = 63880,
  [SMALL_STATE(1721)] = 63899,
  [SMALL_STATE(1722)] = 63920,
  [SMALL_STATE(1723)] = 63943,
  [SMALL_STATE(1724)] = 63964,
  [SMALL_STATE(1725)] = 63985,
  [SMALL_STATE(1726)] = 64008,
  [SMALL_STATE(1727)] = 64029,
  [SMALL_STATE(1728)] = 64052,
  [SMALL_STATE(1729)] = 64071,
  [SMALL_STATE(1730)] = 64088,
  [SMALL_STATE(1731)] = 64107,
  [SMALL_STATE(1732)] = 64128,
  [SMALL_STATE(1733)] = 64147,
  [SMALL_STATE(1734)] = 64170,
  [SMALL_STATE(1735)] = 64195,
  [SMALL_STATE(1736)] = 64218,
  [SMALL_STATE(1737)] = 64237,
  [SMALL_STATE(1738)] = 64256,
  [SMALL_STATE(1739)] = 64281,
  [SMALL_STATE(1740)] = 64300,
  [SMALL_STATE(1741)] = 64319,
  [SMALL_STATE(1742)] = 64338,
  [SMALL_STATE(1743)] = 64357,
  [SMALL_STATE(1744)] = 64380,
  [SMALL_STATE(1745)] = 64399,
  [SMALL_STATE(1746)] = 64418,
  [SMALL_STATE(1747)] = 64435,
  [SMALL_STATE(1748)] = 64454,
  [SMALL_STATE(1749)] = 64473,
  [SMALL_STATE(1750)] = 64492,
  [SMALL_STATE(1751)] = 64515,
  [SMALL_STATE(1752)] = 64540,
  [SMALL_STATE(1753)] = 64561,
  [SMALL_STATE(1754)] = 64584,
  [SMALL_STATE(1755)] = 64601,
  [SMALL_STATE(1756)] = 64620,
  [SMALL_STATE(1757)] = 64639,
  [SMALL_STATE(1758)] = 64658,
  [SMALL_STATE(1759)] = 64681,
  [SMALL_STATE(1760)] = 64706,
  [SMALL_STATE(1761)] = 64729,
  [SMALL_STATE(1762)] = 64750,
  [SMALL_STATE(1763)] = 64773,
  [SMALL_STATE(1764)] = 64796,
  [SMALL_STATE(1765)] = 64819,
  [SMALL_STATE(1766)] = 64836,
  [SMALL_STATE(1767)] = 64855,
  [SMALL_STATE(1768)] = 64880,
  [SMALL_STATE(1769)] = 64905,
  [SMALL_STATE(1770)] = 64928,
  [SMALL_STATE(1771)] = 64951,
  [SMALL_STATE(1772)] = 64968,
  [SMALL_STATE(1773)] = 64985,
  [SMALL_STATE(1774)] = 65008,
  [SMALL_STATE(1775)] = 65031,
  [SMALL_STATE(1776)] = 65054,
  [SMALL_STATE(1777)] = 65077,
  [SMALL_STATE(1778)] = 65102,
  [SMALL_STATE(1779)] = 65123,
  [SMALL_STATE(1780)] = 65146,
  [SMALL_STATE(1781)] = 65171,
  [SMALL_STATE(1782)] = 65196,
  [SMALL_STATE(1783)] = 65221,
  [SMALL_STATE(1784)] = 65246,
  [SMALL_STATE(1785)] = 65271,
  [SMALL_STATE(1786)] = 65296,
  [SMALL_STATE(1787)] = 65319,
  [SMALL_STATE(1788)] = 65342,
  [SMALL_STATE(1789)] = 65361,
  [SMALL_STATE(1790)] = 65384,
  [SMALL_STATE(1791)] = 65407,
  [SMALL_STATE(1792)] = 65432,
  [SMALL_STATE(1793)] = 65455,
  [SMALL_STATE(1794)] = 65478,
  [SMALL_STATE(1795)] = 65497,
  [SMALL_STATE(1796)] = 65518,
  [SMALL_STATE(1797)] = 65541,
  [SMALL_STATE(1798)] = 65566,
  [SMALL_STATE(1799)] = 65587,
  [SMALL_STATE(1800)] = 65604,
  [SMALL_STATE(1801)] = 65623,
  [SMALL_STATE(1802)] = 65646,
  [SMALL_STATE(1803)] = 65665,
  [SMALL_STATE(1804)] = 65688,
  [SMALL_STATE(1805)] = 65709,
  [SMALL_STATE(1806)] = 65732,
  [SMALL_STATE(1807)] = 65753,
  [SMALL_STATE(1808)] = 65776,
  [SMALL_STATE(1809)] = 65799,
  [SMALL_STATE(1810)] = 65820,
  [SMALL_STATE(1811)] = 65843,
  [SMALL_STATE(1812)] = 65868,
  [SMALL_STATE(1813)] = 65887,
  [SMALL_STATE(1814)] = 65906,
  [SMALL_STATE(1815)] = 65929,
  [SMALL_STATE(1816)] = 65952,
  [SMALL_STATE(1817)] = 65977,
  [SMALL_STATE(1818)] = 66002,
  [SMALL_STATE(1819)] = 66021,
  [SMALL_STATE(1820)] = 66046,
  [SMALL_STATE(1821)] = 66069,
  [SMALL_STATE(1822)] = 66094,
  [SMALL_STATE(1823)] = 66117,
  [SMALL_STATE(1824)] = 66140,
  [SMALL_STATE(1825)] = 66165,
  [SMALL_STATE(1826)] = 66188,
  [SMALL_STATE(1827)] = 66211,
  [SMALL_STATE(1828)] = 66228,
  [SMALL_STATE(1829)] = 66249,
  [SMALL_STATE(1830)] = 66272,
  [SMALL_STATE(1831)] = 66293,
  [SMALL_STATE(1832)] = 66316,
  [SMALL_STATE(1833)] = 66339,
  [SMALL_STATE(1834)] = 66358,
  [SMALL_STATE(1835)] = 66377,
  [SMALL_STATE(1836)] = 66398,
  [SMALL_STATE(1837)] = 66421,
  [SMALL_STATE(1838)] = 66440,
  [SMALL_STATE(1839)] = 66459,
  [SMALL_STATE(1840)] = 66482,
  [SMALL_STATE(1841)] = 66501,
  [SMALL_STATE(1842)] = 66520,
  [SMALL_STATE(1843)] = 66542,
  [SMALL_STATE(1844)] = 66564,
  [SMALL_STATE(1845)] = 66586,
  [SMALL_STATE(1846)] = 66608,
  [SMALL_STATE(1847)] = 66630,
  [SMALL_STATE(1848)] = 66650,
  [SMALL_STATE(1849)] = 66666,
  [SMALL_STATE(1850)] = 66682,
  [SMALL_STATE(1851)] = 66702,
  [SMALL_STATE(1852)] = 66724,
  [SMALL_STATE(1853)] = 66744,
  [SMALL_STATE(1854)] = 66766,
  [SMALL_STATE(1855)] = 66788,
  [SMALL_STATE(1856)] = 66810,
  [SMALL_STATE(1857)] = 66830,
  [SMALL_STATE(1858)] = 66846,
  [SMALL_STATE(1859)] = 66868,
  [SMALL_STATE(1860)] = 66890,
  [SMALL_STATE(1861)] = 66912,
  [SMALL_STATE(1862)] = 66934,
  [SMALL_STATE(1863)] = 66956,
  [SMALL_STATE(1864)] = 66976,
  [SMALL_STATE(1865)] = 66998,
  [SMALL_STATE(1866)] = 67018,
  [SMALL_STATE(1867)] = 67040,
  [SMALL_STATE(1868)] = 67056,
  [SMALL_STATE(1869)] = 67078,
  [SMALL_STATE(1870)] = 67100,
  [SMALL_STATE(1871)] = 67122,
  [SMALL_STATE(1872)] = 67142,
  [SMALL_STATE(1873)] = 67158,
  [SMALL_STATE(1874)] = 67180,
  [SMALL_STATE(1875)] = 67202,
  [SMALL_STATE(1876)] = 67224,
  [SMALL_STATE(1877)] = 67240,
  [SMALL_STATE(1878)] = 67256,
  [SMALL_STATE(1879)] = 67278,
  [SMALL_STATE(1880)] = 67298,
  [SMALL_STATE(1881)] = 67318,
  [SMALL_STATE(1882)] = 67340,
  [SMALL_STATE(1883)] = 67358,
  [SMALL_STATE(1884)] = 67380,
  [SMALL_STATE(1885)] = 67400,
  [SMALL_STATE(1886)] = 67420,
  [SMALL_STATE(1887)] = 67438,
  [SMALL_STATE(1888)] = 67456,
  [SMALL_STATE(1889)] = 67476,
  [SMALL_STATE(1890)] = 67496,
  [SMALL_STATE(1891)] = 67512,
  [SMALL_STATE(1892)] = 67530,
  [SMALL_STATE(1893)] = 67548,
  [SMALL_STATE(1894)] = 67568,
  [SMALL_STATE(1895)] = 67590,
  [SMALL_STATE(1896)] = 67608,
  [SMALL_STATE(1897)] = 67626,
  [SMALL_STATE(1898)] = 67648,
  [SMALL_STATE(1899)] = 67668,
  [SMALL_STATE(1900)] = 67690,
  [SMALL_STATE(1901)] = 67712,
  [SMALL_STATE(1902)] = 67734,
  [SMALL_STATE(1903)] = 67754,
  [SMALL_STATE(1904)] = 67772,
  [SMALL_STATE(1905)] = 67788,
  [SMALL_STATE(1906)] = 67810,
  [SMALL_STATE(1907)] = 67832,
  [SMALL_STATE(1908)] = 67854,
  [SMALL_STATE(1909)] = 67876,
  [SMALL_STATE(1910)] = 67898,
  [SMALL_STATE(1911)] = 67914,
  [SMALL_STATE(1912)] = 67936,
  [SMALL_STATE(1913)] = 67958,
  [SMALL_STATE(1914)] = 67980,
  [SMALL_STATE(1915)] = 67998,
  [SMALL_STATE(1916)] = 68014,
  [SMALL_STATE(1917)] = 68034,
  [SMALL_STATE(1918)] = 68054,
  [SMALL_STATE(1919)] = 68072,
  [SMALL_STATE(1920)] = 68092,
  [SMALL_STATE(1921)] = 68114,
  [SMALL_STATE(1922)] = 68136,
  [SMALL_STATE(1923)] = 68158,
  [SMALL_STATE(1924)] = 68180,
  [SMALL_STATE(1925)] = 68198,
  [SMALL_STATE(1926)] = 68214,
  [SMALL_STATE(1927)] = 68234,
  [SMALL_STATE(1928)] = 68250,
  [SMALL_STATE(1929)] = 68266,
  [SMALL_STATE(1930)] = 68282,
  [SMALL_STATE(1931)] = 68300,
  [SMALL_STATE(1932)] = 68318,
  [SMALL_STATE(1933)] = 68338,
  [SMALL_STATE(1934)] = 68354,
  [SMALL_STATE(1935)] = 68372,
  [SMALL_STATE(1936)] = 68394,
  [SMALL_STATE(1937)] = 68416,
  [SMALL_STATE(1938)] = 68438,
  [SMALL_STATE(1939)] = 68460,
  [SMALL_STATE(1940)] = 68482,
  [SMALL_STATE(1941)] = 68500,
  [SMALL_STATE(1942)] = 68520,
  [SMALL_STATE(1943)] = 68536,
  [SMALL_STATE(1944)] = 68552,
  [SMALL_STATE(1945)] = 68570,
  [SMALL_STATE(1946)] = 68588,
  [SMALL_STATE(1947)] = 68610,
  [SMALL_STATE(1948)] = 68630,
  [SMALL_STATE(1949)] = 68652,
  [SMALL_STATE(1950)] = 68670,
  [SMALL_STATE(1951)] = 68690,
  [SMALL_STATE(1952)] = 68707,
  [SMALL_STATE(1953)] = 68726,
  [SMALL_STATE(1954)] = 68743,
  [SMALL_STATE(1955)] = 68760,
  [SMALL_STATE(1956)] = 68777,
  [SMALL_STATE(1957)] = 68794,
  [SMALL_STATE(1958)] = 68811,
  [SMALL_STATE(1959)] = 68828,
  [SMALL_STATE(1960)] = 68845,
  [SMALL_STATE(1961)] = 68862,
  [SMALL_STATE(1962)] = 68879,
  [SMALL_STATE(1963)] = 68896,
  [SMALL_STATE(1964)] = 68913,
  [SMALL_STATE(1965)] = 68930,
  [SMALL_STATE(1966)] = 68947,
  [SMALL_STATE(1967)] = 68964,
  [SMALL_STATE(1968)] = 68981,
  [SMALL_STATE(1969)] = 69000,
  [SMALL_STATE(1970)] = 69017,
  [SMALL_STATE(1971)] = 69034,
  [SMALL_STATE(1972)] = 69051,
  [SMALL_STATE(1973)] = 69068,
  [SMALL_STATE(1974)] = 69085,
  [SMALL_STATE(1975)] = 69102,
  [SMALL_STATE(1976)] = 69119,
  [SMALL_STATE(1977)] = 69136,
  [SMALL_STATE(1978)] = 69153,
  [SMALL_STATE(1979)] = 69170,
  [SMALL_STATE(1980)] = 69185,
  [SMALL_STATE(1981)] = 69200,
  [SMALL_STATE(1982)] = 69217,
  [SMALL_STATE(1983)] = 69234,
  [SMALL_STATE(1984)] = 69251,
  [SMALL_STATE(1985)] = 69268,
  [SMALL_STATE(1986)] = 69285,
  [SMALL_STATE(1987)] = 69302,
  [SMALL_STATE(1988)] = 69319,
  [SMALL_STATE(1989)] = 69334,
  [SMALL_STATE(1990)] = 69351,
  [SMALL_STATE(1991)] = 69368,
  [SMALL_STATE(1992)] = 69385,
  [SMALL_STATE(1993)] = 69402,
  [SMALL_STATE(1994)] = 69419,
  [SMALL_STATE(1995)] = 69436,
  [SMALL_STATE(1996)] = 69453,
  [SMALL_STATE(1997)] = 69470,
  [SMALL_STATE(1998)] = 69487,
  [SMALL_STATE(1999)] = 69504,
  [SMALL_STATE(2000)] = 69521,
  [SMALL_STATE(2001)] = 69538,
  [SMALL_STATE(2002)] = 69555,
  [SMALL_STATE(2003)] = 69572,
  [SMALL_STATE(2004)] = 69589,
  [SMALL_STATE(2005)] = 69608,
  [SMALL_STATE(2006)] = 69625,
  [SMALL_STATE(2007)] = 69642,
  [SMALL_STATE(2008)] = 69659,
  [SMALL_STATE(2009)] = 69676,
  [SMALL_STATE(2010)] = 69691,
  [SMALL_STATE(2011)] = 69708,
  [SMALL_STATE(2012)] = 69725,
  [SMALL_STATE(2013)] = 69744,
  [SMALL_STATE(2014)] = 69761,
  [SMALL_STATE(2015)] = 69778,
  [SMALL_STATE(2016)] = 69795,
  [SMALL_STATE(2017)] = 69812,
  [SMALL_STATE(2018)] = 69831,
  [SMALL_STATE(2019)] = 69850,
  [SMALL_STATE(2020)] = 69867,
  [SMALL_STATE(2021)] = 69884,
  [SMALL_STATE(2022)] = 69901,
  [SMALL_STATE(2023)] = 69918,
  [SMALL_STATE(2024)] = 69935,
  [SMALL_STATE(2025)] = 69952,
  [SMALL_STATE(2026)] = 69969,
  [SMALL_STATE(2027)] = 69988,
  [SMALL_STATE(2028)] = 70003,
  [SMALL_STATE(2029)] = 70022,
  [SMALL_STATE(2030)] = 70041,
  [SMALL_STATE(2031)] = 70060,
  [SMALL_STATE(2032)] = 70077,
  [SMALL_STATE(2033)] = 70092,
  [SMALL_STATE(2034)] = 70111,
  [SMALL_STATE(2035)] = 70126,
  [SMALL_STATE(2036)] = 70145,
  [SMALL_STATE(2037)] = 70162,
  [SMALL_STATE(2038)] = 70179,
  [SMALL_STATE(2039)] = 70196,
  [SMALL_STATE(2040)] = 70213,
  [SMALL_STATE(2041)] = 70230,
  [SMALL_STATE(2042)] = 70245,
  [SMALL_STATE(2043)] = 70262,
  [SMALL_STATE(2044)] = 70279,
  [SMALL_STATE(2045)] = 70296,
  [SMALL_STATE(2046)] = 70313,
  [SMALL_STATE(2047)] = 70332,
  [SMALL_STATE(2048)] = 70349,
  [SMALL_STATE(2049)] = 70364,
  [SMALL_STATE(2050)] = 70381,
  [SMALL_STATE(2051)] = 70398,
  [SMALL_STATE(2052)] = 70415,
  [SMALL_STATE(2053)] = 70432,
  [SMALL_STATE(2054)] = 70449,
  [SMALL_STATE(2055)] = 70466,
  [SMALL_STATE(2056)] = 70483,
  [SMALL_STATE(2057)] = 70500,
  [SMALL_STATE(2058)] = 70517,
  [SMALL_STATE(2059)] = 70534,
  [SMALL_STATE(2060)] = 70551,
  [SMALL_STATE(2061)] = 70568,
  [SMALL_STATE(2062)] = 70585,
  [SMALL_STATE(2063)] = 70602,
  [SMALL_STATE(2064)] = 70621,
  [SMALL_STATE(2065)] = 70638,
  [SMALL_STATE(2066)] = 70657,
  [SMALL_STATE(2067)] = 70676,
  [SMALL_STATE(2068)] = 70693,
  [SMALL_STATE(2069)] = 70710,
  [SMALL_STATE(2070)] = 70727,
  [SMALL_STATE(2071)] = 70744,
  [SMALL_STATE(2072)] = 70761,
  [SMALL_STATE(2073)] = 70778,
  [SMALL_STATE(2074)] = 70797,
  [SMALL_STATE(2075)] = 70814,
  [SMALL_STATE(2076)] = 70831,
  [SMALL_STATE(2077)] = 70848,
  [SMALL_STATE(2078)] = 70863,
  [SMALL_STATE(2079)] = 70882,
  [SMALL_STATE(2080)] = 70901,
  [SMALL_STATE(2081)] = 70920,
  [SMALL_STATE(2082)] = 70939,
  [SMALL_STATE(2083)] = 70956,
  [SMALL_STATE(2084)] = 70973,
  [SMALL_STATE(2085)] = 70992,
  [SMALL_STATE(2086)] = 71009,
  [SMALL_STATE(2087)] = 71026,
  [SMALL_STATE(2088)] = 71043,
  [SMALL_STATE(2089)] = 71062,
  [SMALL_STATE(2090)] = 71079,
  [SMALL_STATE(2091)] = 71096,
  [SMALL_STATE(2092)] = 71115,
  [SMALL_STATE(2093)] = 71134,
  [SMALL_STATE(2094)] = 71151,
  [SMALL_STATE(2095)] = 71168,
  [SMALL_STATE(2096)] = 71185,
  [SMALL_STATE(2097)] = 71202,
  [SMALL_STATE(2098)] = 71219,
  [SMALL_STATE(2099)] = 71236,
  [SMALL_STATE(2100)] = 71255,
  [SMALL_STATE(2101)] = 71272,
  [SMALL_STATE(2102)] = 71289,
  [SMALL_STATE(2103)] = 71306,
  [SMALL_STATE(2104)] = 71323,
  [SMALL_STATE(2105)] = 71342,
  [SMALL_STATE(2106)] = 71361,
  [SMALL_STATE(2107)] = 71378,
  [SMALL_STATE(2108)] = 71395,
  [SMALL_STATE(2109)] = 71412,
  [SMALL_STATE(2110)] = 71431,
  [SMALL_STATE(2111)] = 71446,
  [SMALL_STATE(2112)] = 71463,
  [SMALL_STATE(2113)] = 71480,
  [SMALL_STATE(2114)] = 71497,
  [SMALL_STATE(2115)] = 71514,
  [SMALL_STATE(2116)] = 71533,
  [SMALL_STATE(2117)] = 71552,
  [SMALL_STATE(2118)] = 71569,
  [SMALL_STATE(2119)] = 71588,
  [SMALL_STATE(2120)] = 71607,
  [SMALL_STATE(2121)] = 71626,
  [SMALL_STATE(2122)] = 71643,
  [SMALL_STATE(2123)] = 71662,
  [SMALL_STATE(2124)] = 71679,
  [SMALL_STATE(2125)] = 71696,
  [SMALL_STATE(2126)] = 71715,
  [SMALL_STATE(2127)] = 71732,
  [SMALL_STATE(2128)] = 71751,
  [SMALL_STATE(2129)] = 71768,
  [SMALL_STATE(2130)] = 71787,
  [SMALL_STATE(2131)] = 71804,
  [SMALL_STATE(2132)] = 71823,
  [SMALL_STATE(2133)] = 71840,
  [SMALL_STATE(2134)] = 71857,
  [SMALL_STATE(2135)] = 71876,
  [SMALL_STATE(2136)] = 71895,
  [SMALL_STATE(2137)] = 71912,
  [SMALL_STATE(2138)] = 71931,
  [SMALL_STATE(2139)] = 71950,
  [SMALL_STATE(2140)] = 71969,
  [SMALL_STATE(2141)] = 71986,
  [SMALL_STATE(2142)] = 72003,
  [SMALL_STATE(2143)] = 72022,
  [SMALL_STATE(2144)] = 72039,
  [SMALL_STATE(2145)] = 72056,
  [SMALL_STATE(2146)] = 72073,
  [SMALL_STATE(2147)] = 72092,
  [SMALL_STATE(2148)] = 72109,
  [SMALL_STATE(2149)] = 72128,
  [SMALL_STATE(2150)] = 72145,
  [SMALL_STATE(2151)] = 72164,
  [SMALL_STATE(2152)] = 72181,
  [SMALL_STATE(2153)] = 72200,
  [SMALL_STATE(2154)] = 72217,
  [SMALL_STATE(2155)] = 72234,
  [SMALL_STATE(2156)] = 72251,
  [SMALL_STATE(2157)] = 72268,
  [SMALL_STATE(2158)] = 72283,
  [SMALL_STATE(2159)] = 72302,
  [SMALL_STATE(2160)] = 72319,
  [SMALL_STATE(2161)] = 72338,
  [SMALL_STATE(2162)] = 72357,
  [SMALL_STATE(2163)] = 72374,
  [SMALL_STATE(2164)] = 72391,
  [SMALL_STATE(2165)] = 72410,
  [SMALL_STATE(2166)] = 72425,
  [SMALL_STATE(2167)] = 72444,
  [SMALL_STATE(2168)] = 72461,
  [SMALL_STATE(2169)] = 72476,
  [SMALL_STATE(2170)] = 72495,
  [SMALL_STATE(2171)] = 72512,
  [SMALL_STATE(2172)] = 72529,
  [SMALL_STATE(2173)] = 72546,
  [SMALL_STATE(2174)] = 72563,
  [SMALL_STATE(2175)] = 72580,
  [SMALL_STATE(2176)] = 72597,
  [SMALL_STATE(2177)] = 72616,
  [SMALL_STATE(2178)] = 72635,
  [SMALL_STATE(2179)] = 72652,
  [SMALL_STATE(2180)] = 72671,
  [SMALL_STATE(2181)] = 72688,
  [SMALL_STATE(2182)] = 72705,
  [SMALL_STATE(2183)] = 72724,
  [SMALL_STATE(2184)] = 72743,
  [SMALL_STATE(2185)] = 72762,
  [SMALL_STATE(2186)] = 72781,
  [SMALL_STATE(2187)] = 72800,
  [SMALL_STATE(2188)] = 72817,
  [SMALL_STATE(2189)] = 72836,
  [SMALL_STATE(2190)] = 72853,
  [SMALL_STATE(2191)] = 72870,
  [SMALL_STATE(2192)] = 72887,
  [SMALL_STATE(2193)] = 72904,
  [SMALL_STATE(2194)] = 72921,
  [SMALL_STATE(2195)] = 72938,
  [SMALL_STATE(2196)] = 72953,
  [SMALL_STATE(2197)] = 72970,
  [SMALL_STATE(2198)] = 72987,
  [SMALL_STATE(2199)] = 73004,
  [SMALL_STATE(2200)] = 73021,
  [SMALL_STATE(2201)] = 73036,
  [SMALL_STATE(2202)] = 73051,
  [SMALL_STATE(2203)] = 73070,
  [SMALL_STATE(2204)] = 73085,
  [SMALL_STATE(2205)] = 73104,
  [SMALL_STATE(2206)] = 73119,
  [SMALL_STATE(2207)] = 73138,
  [SMALL_STATE(2208)] = 73155,
  [SMALL_STATE(2209)] = 73170,
  [SMALL_STATE(2210)] = 73189,
  [SMALL_STATE(2211)] = 73206,
  [SMALL_STATE(2212)] = 73225,
  [SMALL_STATE(2213)] = 73242,
  [SMALL_STATE(2214)] = 73259,
  [SMALL_STATE(2215)] = 73276,
  [SMALL_STATE(2216)] = 73293,
  [SMALL_STATE(2217)] = 73310,
  [SMALL_STATE(2218)] = 73327,
  [SMALL_STATE(2219)] = 73344,
  [SMALL_STATE(2220)] = 73363,
  [SMALL_STATE(2221)] = 73380,
  [SMALL_STATE(2222)] = 73397,
  [SMALL_STATE(2223)] = 73414,
  [SMALL_STATE(2224)] = 73431,
  [SMALL_STATE(2225)] = 73450,
  [SMALL_STATE(2226)] = 73467,
  [SMALL_STATE(2227)] = 73486,
  [SMALL_STATE(2228)] = 73503,
  [SMALL_STATE(2229)] = 73522,
  [SMALL_STATE(2230)] = 73539,
  [SMALL_STATE(2231)] = 73556,
  [SMALL_STATE(2232)] = 73573,
  [SMALL_STATE(2233)] = 73590,
  [SMALL_STATE(2234)] = 73605,
  [SMALL_STATE(2235)] = 73622,
  [SMALL_STATE(2236)] = 73641,
  [SMALL_STATE(2237)] = 73660,
  [SMALL_STATE(2238)] = 73675,
  [SMALL_STATE(2239)] = 73694,
  [SMALL_STATE(2240)] = 73711,
  [SMALL_STATE(2241)] = 73730,
  [SMALL_STATE(2242)] = 73747,
  [SMALL_STATE(2243)] = 73764,
  [SMALL_STATE(2244)] = 73781,
  [SMALL_STATE(2245)] = 73800,
  [SMALL_STATE(2246)] = 73817,
  [SMALL_STATE(2247)] = 73834,
  [SMALL_STATE(2248)] = 73849,
  [SMALL_STATE(2249)] = 73866,
  [SMALL_STATE(2250)] = 73883,
  [SMALL_STATE(2251)] = 73902,
  [SMALL_STATE(2252)] = 73921,
  [SMALL_STATE(2253)] = 73940,
  [SMALL_STATE(2254)] = 73959,
  [SMALL_STATE(2255)] = 73978,
  [SMALL_STATE(2256)] = 73997,
  [SMALL_STATE(2257)] = 74014,
  [SMALL_STATE(2258)] = 74031,
  [SMALL_STATE(2259)] = 74050,
  [SMALL_STATE(2260)] = 74067,
  [SMALL_STATE(2261)] = 74086,
  [SMALL_STATE(2262)] = 74103,
  [SMALL_STATE(2263)] = 74120,
  [SMALL_STATE(2264)] = 74137,
  [SMALL_STATE(2265)] = 74156,
  [SMALL_STATE(2266)] = 74173,
  [SMALL_STATE(2267)] = 74190,
  [SMALL_STATE(2268)] = 74207,
  [SMALL_STATE(2269)] = 74226,
  [SMALL_STATE(2270)] = 74245,
  [SMALL_STATE(2271)] = 74264,
  [SMALL_STATE(2272)] = 74281,
  [SMALL_STATE(2273)] = 74300,
  [SMALL_STATE(2274)] = 74319,
  [SMALL_STATE(2275)] = 74336,
  [SMALL_STATE(2276)] = 74353,
  [SMALL_STATE(2277)] = 74370,
  [SMALL_STATE(2278)] = 74389,
  [SMALL_STATE(2279)] = 74408,
  [SMALL_STATE(2280)] = 74425,
  [SMALL_STATE(2281)] = 74442,
  [SMALL_STATE(2282)] = 74459,
  [SMALL_STATE(2283)] = 74476,
  [SMALL_STATE(2284)] = 74493,
  [SMALL_STATE(2285)] = 74510,
  [SMALL_STATE(2286)] = 74527,
  [SMALL_STATE(2287)] = 74544,
  [SMALL_STATE(2288)] = 74559,
  [SMALL_STATE(2289)] = 74578,
  [SMALL_STATE(2290)] = 74595,
  [SMALL_STATE(2291)] = 74614,
  [SMALL_STATE(2292)] = 74631,
  [SMALL_STATE(2293)] = 74648,
  [SMALL_STATE(2294)] = 74665,
  [SMALL_STATE(2295)] = 74684,
  [SMALL_STATE(2296)] = 74701,
  [SMALL_STATE(2297)] = 74715,
  [SMALL_STATE(2298)] = 74731,
  [SMALL_STATE(2299)] = 74745,
  [SMALL_STATE(2300)] = 74759,
  [SMALL_STATE(2301)] = 74775,
  [SMALL_STATE(2302)] = 74791,
  [SMALL_STATE(2303)] = 74805,
  [SMALL_STATE(2304)] = 74819,
  [SMALL_STATE(2305)] = 74835,
  [SMALL_STATE(2306)] = 74849,
  [SMALL_STATE(2307)] = 74863,
  [SMALL_STATE(2308)] = 74879,
  [SMALL_STATE(2309)] = 74893,
  [SMALL_STATE(2310)] = 74909,
  [SMALL_STATE(2311)] = 74923,
  [SMALL_STATE(2312)] = 74939,
  [SMALL_STATE(2313)] = 74953,
  [SMALL_STATE(2314)] = 74967,
  [SMALL_STATE(2315)] = 74983,
  [SMALL_STATE(2316)] = 74997,
  [SMALL_STATE(2317)] = 75013,
  [SMALL_STATE(2318)] = 75029,
  [SMALL_STATE(2319)] = 75045,
  [SMALL_STATE(2320)] = 75061,
  [SMALL_STATE(2321)] = 75077,
  [SMALL_STATE(2322)] = 75093,
  [SMALL_STATE(2323)] = 75109,
  [SMALL_STATE(2324)] = 75125,
  [SMALL_STATE(2325)] = 75141,
  [SMALL_STATE(2326)] = 75157,
  [SMALL_STATE(2327)] = 75173,
  [SMALL_STATE(2328)] = 75187,
  [SMALL_STATE(2329)] = 75203,
  [SMALL_STATE(2330)] = 75219,
  [SMALL_STATE(2331)] = 75233,
  [SMALL_STATE(2332)] = 75249,
  [SMALL_STATE(2333)] = 75265,
  [SMALL_STATE(2334)] = 75279,
  [SMALL_STATE(2335)] = 75295,
  [SMALL_STATE(2336)] = 75309,
  [SMALL_STATE(2337)] = 75323,
  [SMALL_STATE(2338)] = 75339,
  [SMALL_STATE(2339)] = 75353,
  [SMALL_STATE(2340)] = 75367,
  [SMALL_STATE(2341)] = 75383,
  [SMALL_STATE(2342)] = 75397,
  [SMALL_STATE(2343)] = 75413,
  [SMALL_STATE(2344)] = 75429,
  [SMALL_STATE(2345)] = 75443,
  [SMALL_STATE(2346)] = 75457,
  [SMALL_STATE(2347)] = 75473,
  [SMALL_STATE(2348)] = 75487,
  [SMALL_STATE(2349)] = 75501,
  [SMALL_STATE(2350)] = 75515,
  [SMALL_STATE(2351)] = 75531,
  [SMALL_STATE(2352)] = 75545,
  [SMALL_STATE(2353)] = 75561,
  [SMALL_STATE(2354)] = 75575,
  [SMALL_STATE(2355)] = 75589,
  [SMALL_STATE(2356)] = 75605,
  [SMALL_STATE(2357)] = 75619,
  [SMALL_STATE(2358)] = 75635,
  [SMALL_STATE(2359)] = 75649,
  [SMALL_STATE(2360)] = 75663,
  [SMALL_STATE(2361)] = 75679,
  [SMALL_STATE(2362)] = 75695,
  [SMALL_STATE(2363)] = 75711,
  [SMALL_STATE(2364)] = 75725,
  [SMALL_STATE(2365)] = 75739,
  [SMALL_STATE(2366)] = 75753,
  [SMALL_STATE(2367)] = 75769,
  [SMALL_STATE(2368)] = 75785,
  [SMALL_STATE(2369)] = 75801,
  [SMALL_STATE(2370)] = 75817,
  [SMALL_STATE(2371)] = 75833,
  [SMALL_STATE(2372)] = 75849,
  [SMALL_STATE(2373)] = 75863,
  [SMALL_STATE(2374)] = 75879,
  [SMALL_STATE(2375)] = 75895,
  [SMALL_STATE(2376)] = 75911,
  [SMALL_STATE(2377)] = 75925,
  [SMALL_STATE(2378)] = 75939,
  [SMALL_STATE(2379)] = 75955,
  [SMALL_STATE(2380)] = 75971,
  [SMALL_STATE(2381)] = 75985,
  [SMALL_STATE(2382)] = 76001,
  [SMALL_STATE(2383)] = 76017,
  [SMALL_STATE(2384)] = 76033,
  [SMALL_STATE(2385)] = 76047,
  [SMALL_STATE(2386)] = 76063,
  [SMALL_STATE(2387)] = 76079,
  [SMALL_STATE(2388)] = 76095,
  [SMALL_STATE(2389)] = 76111,
  [SMALL_STATE(2390)] = 76125,
  [SMALL_STATE(2391)] = 76141,
  [SMALL_STATE(2392)] = 76157,
  [SMALL_STATE(2393)] = 76171,
  [SMALL_STATE(2394)] = 76185,
  [SMALL_STATE(2395)] = 76201,
  [SMALL_STATE(2396)] = 76217,
  [SMALL_STATE(2397)] = 76233,
  [SMALL_STATE(2398)] = 76249,
  [SMALL_STATE(2399)] = 76265,
  [SMALL_STATE(2400)] = 76281,
  [SMALL_STATE(2401)] = 76297,
  [SMALL_STATE(2402)] = 76313,
  [SMALL_STATE(2403)] = 76329,
  [SMALL_STATE(2404)] = 76343,
  [SMALL_STATE(2405)] = 76359,
  [SMALL_STATE(2406)] = 76373,
  [SMALL_STATE(2407)] = 76389,
  [SMALL_STATE(2408)] = 76405,
  [SMALL_STATE(2409)] = 76421,
  [SMALL_STATE(2410)] = 76437,
  [SMALL_STATE(2411)] = 76453,
  [SMALL_STATE(2412)] = 76469,
  [SMALL_STATE(2413)] = 76485,
  [SMALL_STATE(2414)] = 76501,
  [SMALL_STATE(2415)] = 76517,
  [SMALL_STATE(2416)] = 76533,
  [SMALL_STATE(2417)] = 76547,
  [SMALL_STATE(2418)] = 76561,
  [SMALL_STATE(2419)] = 76577,
  [SMALL_STATE(2420)] = 76593,
  [SMALL_STATE(2421)] = 76609,
  [SMALL_STATE(2422)] = 76625,
  [SMALL_STATE(2423)] = 76641,
  [SMALL_STATE(2424)] = 76655,
  [SMALL_STATE(2425)] = 76671,
  [SMALL_STATE(2426)] = 76687,
  [SMALL_STATE(2427)] = 76703,
  [SMALL_STATE(2428)] = 76719,
  [SMALL_STATE(2429)] = 76733,
  [SMALL_STATE(2430)] = 76747,
  [SMALL_STATE(2431)] = 76763,
  [SMALL_STATE(2432)] = 76779,
  [SMALL_STATE(2433)] = 76795,
  [SMALL_STATE(2434)] = 76811,
  [SMALL_STATE(2435)] = 76827,
  [SMALL_STATE(2436)] = 76841,
  [SMALL_STATE(2437)] = 76855,
  [SMALL_STATE(2438)] = 76869,
  [SMALL_STATE(2439)] = 76885,
  [SMALL_STATE(2440)] = 76899,
  [SMALL_STATE(2441)] = 76915,
  [SMALL_STATE(2442)] = 76931,
  [SMALL_STATE(2443)] = 76947,
  [SMALL_STATE(2444)] = 76963,
  [SMALL_STATE(2445)] = 76979,
  [SMALL_STATE(2446)] = 76993,
  [SMALL_STATE(2447)] = 77009,
  [SMALL_STATE(2448)] = 77025,
  [SMALL_STATE(2449)] = 77039,
  [SMALL_STATE(2450)] = 77055,
  [SMALL_STATE(2451)] = 77069,
  [SMALL_STATE(2452)] = 77085,
  [SMALL_STATE(2453)] = 77101,
  [SMALL_STATE(2454)] = 77117,
  [SMALL_STATE(2455)] = 77133,
  [SMALL_STATE(2456)] = 77149,
  [SMALL_STATE(2457)] = 77165,
  [SMALL_STATE(2458)] = 77181,
  [SMALL_STATE(2459)] = 77197,
  [SMALL_STATE(2460)] = 77213,
  [SMALL_STATE(2461)] = 77229,
  [SMALL_STATE(2462)] = 77245,
  [SMALL_STATE(2463)] = 77261,
  [SMALL_STATE(2464)] = 77275,
  [SMALL_STATE(2465)] = 77289,
  [SMALL_STATE(2466)] = 77305,
  [SMALL_STATE(2467)] = 77319,
  [SMALL_STATE(2468)] = 77335,
  [SMALL_STATE(2469)] = 77349,
  [SMALL_STATE(2470)] = 77365,
  [SMALL_STATE(2471)] = 77379,
  [SMALL_STATE(2472)] = 77395,
  [SMALL_STATE(2473)] = 77409,
  [SMALL_STATE(2474)] = 77425,
  [SMALL_STATE(2475)] = 77439,
  [SMALL_STATE(2476)] = 77453,
  [SMALL_STATE(2477)] = 77469,
  [SMALL_STATE(2478)] = 77485,
  [SMALL_STATE(2479)] = 77501,
  [SMALL_STATE(2480)] = 77517,
  [SMALL_STATE(2481)] = 77531,
  [SMALL_STATE(2482)] = 77545,
  [SMALL_STATE(2483)] = 77561,
  [SMALL_STATE(2484)] = 77577,
  [SMALL_STATE(2485)] = 77593,
  [SMALL_STATE(2486)] = 77609,
  [SMALL_STATE(2487)] = 77623,
  [SMALL_STATE(2488)] = 77639,
  [SMALL_STATE(2489)] = 77655,
  [SMALL_STATE(2490)] = 77669,
  [SMALL_STATE(2491)] = 77685,
  [SMALL_STATE(2492)] = 77701,
  [SMALL_STATE(2493)] = 77717,
  [SMALL_STATE(2494)] = 77731,
  [SMALL_STATE(2495)] = 77747,
  [SMALL_STATE(2496)] = 77763,
  [SMALL_STATE(2497)] = 77779,
  [SMALL_STATE(2498)] = 77793,
  [SMALL_STATE(2499)] = 77807,
  [SMALL_STATE(2500)] = 77823,
  [SMALL_STATE(2501)] = 77839,
  [SMALL_STATE(2502)] = 77855,
  [SMALL_STATE(2503)] = 77871,
  [SMALL_STATE(2504)] = 77884,
  [SMALL_STATE(2505)] = 77897,
  [SMALL_STATE(2506)] = 77910,
  [SMALL_STATE(2507)] = 77923,
  [SMALL_STATE(2508)] = 77936,
  [SMALL_STATE(2509)] = 77949,
  [SMALL_STATE(2510)] = 77962,
  [SMALL_STATE(2511)] = 77975,
  [SMALL_STATE(2512)] = 77988,
  [SMALL_STATE(2513)] = 78001,
  [SMALL_STATE(2514)] = 78014,
  [SMALL_STATE(2515)] = 78027,
  [SMALL_STATE(2516)] = 78040,
  [SMALL_STATE(2517)] = 78053,
  [SMALL_STATE(2518)] = 78066,
  [SMALL_STATE(2519)] = 78079,
  [SMALL_STATE(2520)] = 78092,
  [SMALL_STATE(2521)] = 78105,
  [SMALL_STATE(2522)] = 78118,
  [SMALL_STATE(2523)] = 78131,
  [SMALL_STATE(2524)] = 78144,
  [SMALL_STATE(2525)] = 78157,
  [SMALL_STATE(2526)] = 78170,
  [SMALL_STATE(2527)] = 78183,
  [SMALL_STATE(2528)] = 78196,
  [SMALL_STATE(2529)] = 78209,
  [SMALL_STATE(2530)] = 78222,
  [SMALL_STATE(2531)] = 78235,
  [SMALL_STATE(2532)] = 78248,
  [SMALL_STATE(2533)] = 78261,
  [SMALL_STATE(2534)] = 78274,
  [SMALL_STATE(2535)] = 78287,
  [SMALL_STATE(2536)] = 78300,
  [SMALL_STATE(2537)] = 78313,
  [SMALL_STATE(2538)] = 78326,
  [SMALL_STATE(2539)] = 78339,
  [SMALL_STATE(2540)] = 78352,
  [SMALL_STATE(2541)] = 78365,
  [SMALL_STATE(2542)] = 78378,
  [SMALL_STATE(2543)] = 78391,
  [SMALL_STATE(2544)] = 78404,
  [SMALL_STATE(2545)] = 78417,
  [SMALL_STATE(2546)] = 78430,
  [SMALL_STATE(2547)] = 78443,
  [SMALL_STATE(2548)] = 78456,
  [SMALL_STATE(2549)] = 78469,
  [SMALL_STATE(2550)] = 78482,
  [SMALL_STATE(2551)] = 78495,
  [SMALL_STATE(2552)] = 78508,
  [SMALL_STATE(2553)] = 78521,
  [SMALL_STATE(2554)] = 78534,
  [SMALL_STATE(2555)] = 78547,
  [SMALL_STATE(2556)] = 78560,
  [SMALL_STATE(2557)] = 78573,
  [SMALL_STATE(2558)] = 78586,
  [SMALL_STATE(2559)] = 78599,
  [SMALL_STATE(2560)] = 78612,
  [SMALL_STATE(2561)] = 78625,
  [SMALL_STATE(2562)] = 78638,
  [SMALL_STATE(2563)] = 78651,
  [SMALL_STATE(2564)] = 78664,
  [SMALL_STATE(2565)] = 78677,
  [SMALL_STATE(2566)] = 78690,
  [SMALL_STATE(2567)] = 78703,
  [SMALL_STATE(2568)] = 78716,
  [SMALL_STATE(2569)] = 78729,
  [SMALL_STATE(2570)] = 78742,
  [SMALL_STATE(2571)] = 78755,
  [SMALL_STATE(2572)] = 78768,
  [SMALL_STATE(2573)] = 78781,
  [SMALL_STATE(2574)] = 78794,
  [SMALL_STATE(2575)] = 78807,
  [SMALL_STATE(2576)] = 78820,
  [SMALL_STATE(2577)] = 78833,
  [SMALL_STATE(2578)] = 78846,
  [SMALL_STATE(2579)] = 78859,
  [SMALL_STATE(2580)] = 78872,
  [SMALL_STATE(2581)] = 78885,
  [SMALL_STATE(2582)] = 78898,
  [SMALL_STATE(2583)] = 78911,
  [SMALL_STATE(2584)] = 78924,
  [SMALL_STATE(2585)] = 78937,
  [SMALL_STATE(2586)] = 78950,
  [SMALL_STATE(2587)] = 78963,
  [SMALL_STATE(2588)] = 78976,
  [SMALL_STATE(2589)] = 78989,
  [SMALL_STATE(2590)] = 79002,
  [SMALL_STATE(2591)] = 79015,
  [SMALL_STATE(2592)] = 79028,
  [SMALL_STATE(2593)] = 79041,
  [SMALL_STATE(2594)] = 79054,
  [SMALL_STATE(2595)] = 79067,
  [SMALL_STATE(2596)] = 79080,
  [SMALL_STATE(2597)] = 79093,
  [SMALL_STATE(2598)] = 79106,
  [SMALL_STATE(2599)] = 79119,
  [SMALL_STATE(2600)] = 79132,
  [SMALL_STATE(2601)] = 79145,
  [SMALL_STATE(2602)] = 79158,
  [SMALL_STATE(2603)] = 79171,
  [SMALL_STATE(2604)] = 79184,
  [SMALL_STATE(2605)] = 79197,
  [SMALL_STATE(2606)] = 79210,
  [SMALL_STATE(2607)] = 79223,
  [SMALL_STATE(2608)] = 79236,
  [SMALL_STATE(2609)] = 79249,
  [SMALL_STATE(2610)] = 79262,
  [SMALL_STATE(2611)] = 79275,
  [SMALL_STATE(2612)] = 79288,
  [SMALL_STATE(2613)] = 79301,
  [SMALL_STATE(2614)] = 79314,
  [SMALL_STATE(2615)] = 79327,
  [SMALL_STATE(2616)] = 79340,
  [SMALL_STATE(2617)] = 79353,
  [SMALL_STATE(2618)] = 79366,
  [SMALL_STATE(2619)] = 79379,
  [SMALL_STATE(2620)] = 79392,
  [SMALL_STATE(2621)] = 79405,
  [SMALL_STATE(2622)] = 79418,
  [SMALL_STATE(2623)] = 79431,
  [SMALL_STATE(2624)] = 79444,
  [SMALL_STATE(2625)] = 79457,
  [SMALL_STATE(2626)] = 79470,
  [SMALL_STATE(2627)] = 79483,
  [SMALL_STATE(2628)] = 79496,
  [SMALL_STATE(2629)] = 79509,
  [SMALL_STATE(2630)] = 79522,
  [SMALL_STATE(2631)] = 79535,
  [SMALL_STATE(2632)] = 79548,
  [SMALL_STATE(2633)] = 79561,
  [SMALL_STATE(2634)] = 79574,
  [SMALL_STATE(2635)] = 79587,
  [SMALL_STATE(2636)] = 79600,
  [SMALL_STATE(2637)] = 79613,
  [SMALL_STATE(2638)] = 79626,
  [SMALL_STATE(2639)] = 79639,
  [SMALL_STATE(2640)] = 79652,
  [SMALL_STATE(2641)] = 79665,
  [SMALL_STATE(2642)] = 79678,
  [SMALL_STATE(2643)] = 79691,
  [SMALL_STATE(2644)] = 79704,
  [SMALL_STATE(2645)] = 79717,
  [SMALL_STATE(2646)] = 79730,
  [SMALL_STATE(2647)] = 79743,
  [SMALL_STATE(2648)] = 79756,
  [SMALL_STATE(2649)] = 79769,
  [SMALL_STATE(2650)] = 79782,
  [SMALL_STATE(2651)] = 79795,
  [SMALL_STATE(2652)] = 79808,
  [SMALL_STATE(2653)] = 79821,
  [SMALL_STATE(2654)] = 79834,
  [SMALL_STATE(2655)] = 79847,
  [SMALL_STATE(2656)] = 79860,
  [SMALL_STATE(2657)] = 79873,
  [SMALL_STATE(2658)] = 79886,
  [SMALL_STATE(2659)] = 79899,
  [SMALL_STATE(2660)] = 79912,
  [SMALL_STATE(2661)] = 79925,
  [SMALL_STATE(2662)] = 79938,
  [SMALL_STATE(2663)] = 79951,
  [SMALL_STATE(2664)] = 79964,
  [SMALL_STATE(2665)] = 79977,
  [SMALL_STATE(2666)] = 79990,
  [SMALL_STATE(2667)] = 80003,
  [SMALL_STATE(2668)] = 80016,
  [SMALL_STATE(2669)] = 80029,
  [SMALL_STATE(2670)] = 80042,
  [SMALL_STATE(2671)] = 80055,
  [SMALL_STATE(2672)] = 80068,
  [SMALL_STATE(2673)] = 80081,
  [SMALL_STATE(2674)] = 80094,
  [SMALL_STATE(2675)] = 80107,
  [SMALL_STATE(2676)] = 80120,
  [SMALL_STATE(2677)] = 80133,
  [SMALL_STATE(2678)] = 80146,
  [SMALL_STATE(2679)] = 80159,
  [SMALL_STATE(2680)] = 80172,
  [SMALL_STATE(2681)] = 80185,
  [SMALL_STATE(2682)] = 80198,
  [SMALL_STATE(2683)] = 80211,
  [SMALL_STATE(2684)] = 80224,
  [SMALL_STATE(2685)] = 80237,
  [SMALL_STATE(2686)] = 80250,
  [SMALL_STATE(2687)] = 80263,
  [SMALL_STATE(2688)] = 80276,
  [SMALL_STATE(2689)] = 80289,
  [SMALL_STATE(2690)] = 80302,
  [SMALL_STATE(2691)] = 80315,
  [SMALL_STATE(2692)] = 80328,
  [SMALL_STATE(2693)] = 80341,
  [SMALL_STATE(2694)] = 80354,
  [SMALL_STATE(2695)] = 80367,
  [SMALL_STATE(2696)] = 80380,
  [SMALL_STATE(2697)] = 80393,
  [SMALL_STATE(2698)] = 80406,
  [SMALL_STATE(2699)] = 80419,
  [SMALL_STATE(2700)] = 80432,
  [SMALL_STATE(2701)] = 80445,
  [SMALL_STATE(2702)] = 80458,
  [SMALL_STATE(2703)] = 80471,
  [SMALL_STATE(2704)] = 80484,
  [SMALL_STATE(2705)] = 80497,
  [SMALL_STATE(2706)] = 80510,
  [SMALL_STATE(2707)] = 80523,
  [SMALL_STATE(2708)] = 80536,
  [SMALL_STATE(2709)] = 80549,
  [SMALL_STATE(2710)] = 80562,
  [SMALL_STATE(2711)] = 80575,
  [SMALL_STATE(2712)] = 80588,
  [SMALL_STATE(2713)] = 80601,
  [SMALL_STATE(2714)] = 80614,
  [SMALL_STATE(2715)] = 80627,
  [SMALL_STATE(2716)] = 80640,
  [SMALL_STATE(2717)] = 80653,
  [SMALL_STATE(2718)] = 80666,
  [SMALL_STATE(2719)] = 80679,
  [SMALL_STATE(2720)] = 80692,
  [SMALL_STATE(2721)] = 80705,
  [SMALL_STATE(2722)] = 80718,
  [SMALL_STATE(2723)] = 80731,
  [SMALL_STATE(2724)] = 80744,
  [SMALL_STATE(2725)] = 80757,
  [SMALL_STATE(2726)] = 80770,
  [SMALL_STATE(2727)] = 80783,
  [SMALL_STATE(2728)] = 80796,
  [SMALL_STATE(2729)] = 80809,
  [SMALL_STATE(2730)] = 80822,
  [SMALL_STATE(2731)] = 80835,
  [SMALL_STATE(2732)] = 80848,
  [SMALL_STATE(2733)] = 80861,
  [SMALL_STATE(2734)] = 80874,
  [SMALL_STATE(2735)] = 80878,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [17] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [19] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(964),
  [22] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(460),
  [25] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1366),
  [28] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1950),
  [31] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1710),
  [34] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1410),
  [37] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1503),
  [40] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1241),
  [43] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2719),
  [46] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(93),
  [49] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2716),
  [52] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2713),
  [55] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2712),
  [58] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [60] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2711),
  [63] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [66] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1333),
  [69] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1324),
  [72] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [75] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [78] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(129),
  [81] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1948),
  [84] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2709),
  [87] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(229),
  [90] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1947),
  [93] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2707),
  [96] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2706),
  [99] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1130),
  [102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2317),
  [105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2704),
  [108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(191),
  [111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(204),
  [114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(211),
  [117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(306),
  [120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2319),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(116),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2702),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2701),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2321),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2322),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2325),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(326),
  [144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(326),
  [147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(332),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(584),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(334),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(877),
  [159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(706),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2695),
  [165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(143),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1589),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1117),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1116),
  [177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1494),
  [180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1414),
  [183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1665),
  [186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1968),
  [189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1407),
  [192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1617),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(119),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(362),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(365),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(366),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(370),
  [210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 134),
  [232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 134),
  [240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2695),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3, 0, 0),
  [342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3, 0, 0),
  [344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 134),
  [346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 134),
  [348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 0),
  [350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2, 0, 0),
  [352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1, 0, 0),
  [354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2726),
  [357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2350),
  [360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2733),
  [363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2677),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2397),
  [369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2, 0, 0),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1759),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2727),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2449),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2504),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 0),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1780),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(1006),
  [862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(843),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1, 0, 0),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 3, 0, 0),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_placeholder, 1, 0, 0),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 2, 0, 0),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 6),
  [989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 6),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2535),
  [1002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2455),
  [1005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 23),
  [1007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23),
  [1009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(2408),
  [1012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(114),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 52),
  [1021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 52),
  [1023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 52), SHIFT(2408),
  [1026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 52), SHIFT(114),
  [1029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 186),
  [1031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 186),
  [1033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 1, 0, 0),
  [1035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 1, 0, 0),
  [1037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 163),
  [1043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 163),
  [1045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 95),
  [1055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 95),
  [1057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 95), SHIFT_REPEAT(2408),
  [1060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 167),
  [1062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 167),
  [1064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 189),
  [1066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 189),
  [1068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 212),
  [1070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 212),
  [1072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 23),
  [1074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 23),
  [1076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 192),
  [1086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 192),
  [1088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 71),
  [1090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 71),
  [1092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 190),
  [1094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 190),
  [1096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 210),
  [1098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 210),
  [1100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 188),
  [1106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 188),
  [1108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 209),
  [1110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 209),
  [1112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 208),
  [1114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 208),
  [1116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 4, 0, 71),
  [1118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 4, 0, 71),
  [1120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, 0, 12),
  [1122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, 0, 12),
  [1124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__semicolon, 1, 0, 0),
  [1126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__semicolon, 1, 0, 0),
  [1128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, 0, 170),
  [1130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, 0, 170),
  [1132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 203),
  [1134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 203),
  [1136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 202),
  [1138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 202),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 144),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 144),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 112),
  [1146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 112),
  [1148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 145),
  [1154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 145),
  [1156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 214),
  [1158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 214),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 169),
  [1166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 169),
  [1168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 203),
  [1170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 203),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 148),
  [1174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 148),
  [1176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 23),
  [1178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 23),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12, 0, 215),
  [1182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12, 0, 215),
  [1184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 71),
  [1186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 71),
  [1188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 165),
  [1194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 165),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 6, 0, 113),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 6, 0, 113),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 52),
  [1210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 52),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 51),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 51),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 51),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 51),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 50),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 50),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 94),
  [1242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 94),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 6),
  [1246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 6),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [1258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [1260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 130),
  [1262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 130),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 15),
  [1270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 15),
  [1272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 16),
  [1274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 16),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 15),
  [1278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 15),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 131),
  [1290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 131),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 23),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 23),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, 0, 23),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, 0, 23),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 18),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 18),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 46),
  [1330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 46),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 93),
  [1334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 93),
  [1336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 15),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 15),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 188),
  [1346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 188),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 187),
  [1350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 187),
  [1352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 213),
  [1354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 213),
  [1356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 109),
  [1358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 109),
  [1360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 48),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 48),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 48),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 48),
  [1368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 109),
  [1370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 109),
  [1372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 46),
  [1374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 46),
  [1376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 164),
  [1382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 164),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 23),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 23),
  [1388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 165),
  [1390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 165),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 109),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 109),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 73),
  [1402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 73),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 48),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 48),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 166),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 166),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 167),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 167),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, 0, 15),
  [1442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, 0, 15),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 170),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 170),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 91),
  [1478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 91),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 15),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 15),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 6),
  [1490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 6),
  [1492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [1494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [1496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 94),
  [1518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 94),
  [1520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 175),
  [1522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 175),
  [1524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 113),
  [1526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 113),
  [1528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 114),
  [1542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 114),
  [1544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 173),
  [1554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, 0, 173),
  [1556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [1560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [1564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1572] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [1576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [1578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 31),
  [1588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 31),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, 0, 31),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, 0, 31),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier, 1, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__identifier, 1, 0, 0),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 68),
  [1602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 68),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 3),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 3),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 4),
  [1610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 4),
  [1612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_subscript_expression, 4, 0, 0),
  [1614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_subscript_expression, 4, 0, 0),
  [1616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_scoped_property_access_expression, 3, 0, 25),
  [1618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_scoped_property_access_expression, 3, 0, 25),
  [1620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_subscript_expression, 3, 0, 0),
  [1622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_subscript_expression, 3, 0, 0),
  [1624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_variable, 1, 0, 0),
  [1626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__callable_variable, 1, 0, 0),
  [1628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_subscript_expression, 4, 0, 0),
  [1630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__dereferencable_subscript_expression, 4, 0, 0),
  [1632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 0),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 0),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_name, 3, 0, 16),
  [1638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__member_name, 3, 0, 16),
  [1640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_nullsafe_member_access_expression, 3, 0, 31),
  [1642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_nullsafe_member_access_expression, 3, 0, 31),
  [1644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_member_access_expression, 3, 0, 31),
  [1646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_member_access_expression, 3, 0, 31),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, 0, 49),
  [1654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_expression, 1, 0, 0),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 0),
  [1658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [1660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, 0, 49),
  [1662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 25),
  [1664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 25),
  [1666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_name, 1, 0, 5),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, 0, 68),
  [1674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, 0, 68),
  [1676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, 0, 67),
  [1678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, 0, 67),
  [1680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__member_name, 1, 0, 5),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_subscript_expression, 3, 0, 0),
  [1692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__dereferencable_subscript_expression, 3, 0, 0),
  [1694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, 0, 11),
  [1696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, 0, 11),
  [1698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_variable, 1, 0, 0),
  [1700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_variable, 1, 0, 0),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [1714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [1720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [1722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1543),
  [1725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1589),
  [1728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2660),
  [1731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [1733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(126),
  [1736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2611),
  [1739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(881),
  [1742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(156),
  [1745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1418),
  [1748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1634),
  [1751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2219),
  [1754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1636),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [1786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 3, 0, 0),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [1803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2, 0, 8),
  [1805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2, 0, 8),
  [1807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2547),
  [1810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 3, 0, 26),
  [1812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 3, 0, 26),
  [1814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [1830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [1832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2547),
  [1837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 5, 0, 106),
  [1845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 5, 0, 106),
  [1847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name_reference, 1, 0, 0),
  [1853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name_reference, 1, 0, 0),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [1863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 22),
  [1865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 22),
  [1867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 4, 0, 97),
  [1869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 4, 0, 97),
  [1871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 98),
  [1873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 98),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [1893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 99),
  [1895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 99),
  [1897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 100),
  [1899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 100),
  [1901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 101),
  [1903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 101),
  [1905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 5, 0, 100),
  [1907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 5, 0, 100),
  [1909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6, 0, 22),
  [1911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6, 0, 22),
  [1913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 22),
  [1915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 22),
  [1917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 5, 0, 135),
  [1919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 5, 0, 135),
  [1921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 5, 0, 136),
  [1923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 5, 0, 136),
  [1925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__name, 1, 0, 0),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 139),
  [1929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 139),
  [1931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 1, 0, 0),
  [1933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 1, 0, 0),
  [1935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_expression, 1, 0, 2),
  [1937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 2),
  [1939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 4, 0, 96),
  [1941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 4, 0, 96),
  [1943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_scalar, 1, 0, 0),
  [1945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [1947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [1949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [1951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [1953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 140),
  [1959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 140),
  [1961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 141),
  [1963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 141),
  [1965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 6, 0, 140),
  [1967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 6, 0, 140),
  [1969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 59),
  [1971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 59),
  [1973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 58),
  [1975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 58),
  [1977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 57),
  [1979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 57),
  [1981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_dereferencable_expression, 2, 0, 0),
  [1983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_dereferencable_expression, 2, 0, 0),
  [1985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [1987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [1989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 3, 0, 53),
  [1991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 3, 0, 53),
  [1993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [2001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0), REDUCE(sym_array_creation_expression, 2, 0, 0),
  [2004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [2006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [2008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [2010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 3, 0, 36),
  [2012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 3, 0, 36),
  [2014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 6, 0, 171),
  [2016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 6, 0, 171),
  [2018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 6, 0, 131),
  [2020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 6, 0, 131),
  [2022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 7, 0, 172),
  [2024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 7, 0, 172),
  [2026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 7, 0, 172),
  [2028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 7, 0, 172),
  [2030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 7, 0, 193),
  [2032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 7, 0, 193),
  [2034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 22),
  [2036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 22),
  [2038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [2040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [2042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [2046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 3, 0, 24),
  [2048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 3, 0, 24),
  [2050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [2052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [2054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [2056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [2058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [2060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [2062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_dereferencable_expression, 3, 0, 0),
  [2064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_dereferencable_expression, 3, 0, 0),
  [2066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 2, 0, 6),
  [2068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 2, 0, 6),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [2080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_name, 2, 0, 60),
  [2082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_name, 2, 0, 60),
  [2084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [2096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [2110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_non_dereferencable_expression, 2, 0, 0),
  [2112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_non_dereferencable_expression, 2, 0, 0),
  [2114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [2116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__name, 1, 0, 0),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [2134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [2136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [2138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 2, 0, 13),
  [2140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 2, 0, 13),
  [2142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 49),
  [2144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 49),
  [2146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 14),
  [2156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 14),
  [2158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3, 0, 0),
  [2160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3, 0, 0),
  [2162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4, 0, 0),
  [2164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4, 0, 0),
  [2166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2, 0, 9),
  [2176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2, 0, 9),
  [2178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 5, 0, 0),
  [2184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 5, 0, 0),
  [2186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [2188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [2190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 23),
  [2196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, 0, 23),
  [2198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2, 0, 0),
  [2200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2, 0, 0),
  [2202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [2208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [2210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_expression, 1, 0, 0),
  [2216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unary_expression, 1, 0, 0),
  [2218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 29),
  [2220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 29),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2, 0, 0),
  [2266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 29),
  [2268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 30),
  [2270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2, 0, 0),
  [2272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2, 0, 0),
  [2274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 28),
  [2276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2, 0, 0),
  [2278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2, 0, 0),
  [2280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 105),
  [2284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 105),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2, 0, 0),
  [2288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [2290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_assignment_expression, 4, 0, 66),
  [2292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 65),
  [2294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 65),
  [2296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [2298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [2310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [2314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [2326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [2348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [2352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [2354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [2356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [2372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [2376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [2382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifier, 1, 0, 0),
  [2384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1, 0, 0),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [2388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1327),
  [2393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [2398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1333),
  [2401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1324),
  [2404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [2407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [2414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [2416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [2438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [2446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 151),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [2458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 150),
  [2460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 117),
  [2462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 200),
  [2464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 182),
  [2466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 181),
  [2468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 176),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 3, 0, 85),
  [2472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 157),
  [2474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [2476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3, 0, 0),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1, 0, 0),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 0),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [2492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, 0, 34),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 1, 0, 0),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 115),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__foreach_value, 1, 0, 0),
  [2524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 61),
  [2526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 155),
  [2528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 62),
  [2530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1327),
  [2533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1520),
  [2536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1545),
  [2539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1241),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0),
  [2544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [2547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1333),
  [2550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1324),
  [2553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [2556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [2559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1494),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 154),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, 0, 102),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 6, 0, 183),
  [2576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 159),
  [2578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_default_expression, 3, 0, 132),
  [2580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 85),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 0),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [2586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 119),
  [2588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_conditional_expression, 3, 0, 133),
  [2590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [2598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 125),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [2716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1327),
  [2721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1520),
  [2724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1545),
  [2727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0),
  [2729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2564),
  [2732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [2735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1333),
  [2738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1324),
  [2741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [2744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [2747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1494),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [2756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 1, 0, 0),
  [2762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 1, 0, 0),
  [2764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [2766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [2770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [2772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [2774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2445),
  [2776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1496),
  [2787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 1, 0, 0),
  [2793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 1, 0, 0),
  [2795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [2827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1494),
  [2830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1, 0, 0),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [2854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(261),
  [2857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1581),
  [2860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1581),
  [2863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1436),
  [2866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1625),
  [2869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [2877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [2879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0), SHIFT(1436),
  [2882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [2884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0),
  [2886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [2898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1, 0, 0),
  [2900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(261),
  [2903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1581),
  [2906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1581),
  [2909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [2911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1625),
  [2914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(345),
  [2917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1628),
  [2920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1628),
  [2923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [2925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1667),
  [2928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [2934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [2940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 127),
  [2942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 128),
  [2944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 161),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [2950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [2956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 89),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [2962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 33),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [2966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2, 0, 0),
  [2968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 162),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [2972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 12),
  [2974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(361),
  [2977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1654),
  [2980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1654),
  [2983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [2985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1704),
  [2988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4, 0, 0),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [2992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3, 0, 0),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [2996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 129),
  [2998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3, 0, 0),
  [3000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook_list, 3, 0, 0),
  [3002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3, 0, 0),
  [3004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 47),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 1, 0, 1),
  [3008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 1, 0, 0),
  [3010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_member_declaration, 1, 0, 0),
  [3012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 160),
  [3014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, 0, 184),
  [3016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 0),
  [3018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 6, 0, 201),
  [3020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 1, 0, 0),
  [3022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 88),
  [3024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 184),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [3030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 3, 0, 16),
  [3032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_type, 1, 0, 0),
  [3034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 1, 0, 0),
  [3036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook_list, 2, 0, 0),
  [3040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 3, 0, 126),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 5, 0, 185),
  [3044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 90),
  [3046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 4, 0, 81),
  [3048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [3050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 46),
  [3052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 0),
  [3054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 46),
  [3056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 160),
  [3058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [3062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [3064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [3068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [3070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [3074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [3076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [3086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [3088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [3094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1531),
  [3097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1602),
  [3100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0),
  [3102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [3105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1494),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [3112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [3114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [3118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [3120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [3132] = {.entry = {.count = 4, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [3139] = {.entry = {.count = 4, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [3148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__types, 1, 0, 0),
  [3150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__types, 1, 0, 0),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [3156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [3164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1363),
  [3173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [3177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [3183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [3197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [3201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [3217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [3221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1358),
  [3224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1352),
  [3231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [3233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [3277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2718),
  [3280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2473),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [3291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0),
  [3293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(301),
  [3296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2384),
  [3299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [3309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 0),
  [3311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, 0, 0),
  [3313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, 0, 0),
  [3315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0),
  [3317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [3319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 56),
  [3325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 56),
  [3327] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1359),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [3335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 3),
  [3345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 3),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [3359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [3387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [3389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [3393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1, 0, 0),
  [3395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1, 0, 0),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [3401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [3409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [3421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [3435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(2478),
  [3438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(110),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [3443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 1, 0, 0),
  [3445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 1, 0, 0),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [3463] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1363),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 52), SHIFT(2478),
  [3476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 52), SHIFT(110),
  [3479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [3481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2036),
  [3490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2037),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [3495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [3497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text, 1, 0, 0),
  [3499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_text, 1, 0, 0),
  [3501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 199),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 199),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [3511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 3, 0, 6),
  [3513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 3, 0, 6),
  [3515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 95), SHIFT_REPEAT(2478),
  [3518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 194),
  [3520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 194),
  [3522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 195),
  [3524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 195),
  [3526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0),
  [3528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0),
  [3530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1944),
  [3533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1944),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [3538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 196),
  [3540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 196),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [3548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [3552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 197),
  [3554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 197),
  [3556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [3558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [3560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [3562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0),
  [3564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1521),
  [3567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 156),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [3573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 2, 0, 7),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [3577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 180),
  [3579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 180),
  [3581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 179),
  [3583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 179),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [3589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 178),
  [3591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 178),
  [3593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 204),
  [3595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 204),
  [3597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 205),
  [3599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 205),
  [3601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 206),
  [3603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 206),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [3609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 207),
  [3611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 207),
  [3613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 177),
  [3615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 177),
  [3617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0),
  [3619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2078),
  [3622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 6, 0, 211),
  [3624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 6, 0, 211),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [3632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [3634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 1, 0, 0),
  [3636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 1, 0, 0),
  [3638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 1, 0, 153),
  [3640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 1, 0, 153),
  [3642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 2, 0, 152),
  [3644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 2, 0, 152),
  [3646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0),
  [3648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1924),
  [3651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1924),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [3656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 19),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [3662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 27),
  [3664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 32),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [3678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 198),
  [3680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 198),
  [3682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, 0, 21),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [3686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 2, 0, 38),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [3692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1347),
  [3695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1365),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [3700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 122),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [3704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 3, 0, 0),
  [3706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 121),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [3712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 1, 0, 0),
  [3714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 1, 0, 0),
  [3716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 116),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [3720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 63),
  [3722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 69),
  [3724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0),
  [3726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2578),
  [3729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 72),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [3733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 110),
  [3735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 77),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 78),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [3743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [3745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 42),
  [3747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 83),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1, 0, 5),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [3755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1361),
  [3758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 95),
  [3760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 95), SHIFT_REPEAT(2406),
  [3763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 95),
  [3765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1364),
  [3768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1344),
  [3771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1, 0, 0),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [3779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3, 0, 0),
  [3781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1, 0, 0),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [3795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4, 0, 0),
  [3797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 1, 0, 0),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [3805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2, 0, 0),
  [3807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1359),
  [3810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0),
  [3812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1603),
  [3815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1359),
  [3818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0),
  [3820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1440),
  [3823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0),
  [3825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1919),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [3832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0),
  [3834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2046),
  [3837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1518),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [3846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2, 0, 0),
  [3848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [3850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(2037),
  [3853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3, 0, 0),
  [3855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1, 0, 0),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc_body, 2, 0, 0),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [3877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2, 0, 17),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [3885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 1, 0, 0),
  [3887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 1, 0, 0),
  [3889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [3891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0),
  [3893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1784),
  [3896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0),
  [3898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2027),
  [3901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [3917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1, 0, 0),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [3921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, 0, 5),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [3939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3, 0, 0),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [3947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(172),
  [3950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [3952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 138),
  [3954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 0),
  [3956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1941),
  [3959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [3963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 2, 0, 7),
  [3965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 110),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [3971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 10),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [3977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 1, 0, 0),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [3985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 138),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [3989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 0),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [3995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [3997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [3999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [4001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [4005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0), SHIFT_REPEAT(376),
  [4008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, 0, 87),
  [4010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(182),
  [4013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0),
  [4015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, 0, 23),
  [4017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, 0, 23),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [4043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, 0, 5),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [4049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 7),
  [4051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 124),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [4055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 1, 0, 0),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [4061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 19),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [4071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3, 0, 0),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(171),
  [4082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [4098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1363),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [4109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 27),
  [4111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 110),
  [4113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 72),
  [4115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 32),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [4123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 69),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [4129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 3, 0, 35),
  [4131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 63),
  [4133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 37),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [4137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(157),
  [4140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [4146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 39),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [4152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 40),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [4158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 19),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1446),
  [4169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 55),
  [4171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 0),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [4175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, 0, 43),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 45),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [4191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 50),
  [4193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 50),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [4203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 54),
  [4205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 0),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 55),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [4215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(181),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [4222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 55),
  [4224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 63),
  [4226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(177),
  [4229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1492),
  [4232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2, 0, 0),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(709),
  [4251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3, 0, 0),
  [4253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 27),
  [4255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 32),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [4267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 69),
  [4269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 84),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [4273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 72),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [4277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 82),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [4281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 80),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [4285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 4, 0, 74),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [4293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(886),
  [4296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 78),
  [4302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 79),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [4306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 76),
  [4308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_use_group, 4, 0, 75),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [4312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 182),
  [4314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 81),
  [4316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 181),
  [4318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 176),
  [4320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6, 0, 0),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [4326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 157),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [4330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 156),
  [4332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 151),
  [4334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 150),
  [4336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 8, 0, 200),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [4340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3, 0, 0),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [4346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4, 0, 0),
  [4348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5, 0, 0),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [4354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 5, 0, 158),
  [4356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 122),
  [4358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 121),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 83),
  [4364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 117),
  [4366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0), REDUCE(sym_array_element_initializer, 3, 0, 0),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1, 0, 0),
  [4373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 116),
  [4375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4, 0, 0),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0), REDUCE(sym_array_element_initializer, 1, 0, 0),
  [4384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 137),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [4390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 7),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4, 0, 0),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [4402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 123),
  [4404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 3, 0, 0), SHIFT(2547),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [4409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 120),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [4431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, 0, 16),
  [4433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_use_group, 3, 0, 36),
  [4435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 118),
  [4437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 38),
  [4439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 77),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [4445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3, 0, 0),
  [4447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2547),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [4462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 111),
  [4464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 111),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [4468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 107),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [4476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 108),
  [4478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 107),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [4486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 103),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [4492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 104),
  [4494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 103),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [4518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 20),
  [4520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 41),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [4536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 44),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [4548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_unary_expression, 2, 0, 0),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [4574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 20),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [4584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 41),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [4658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 143),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [4666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 146),
  [4668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 147),
  [4670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 6, 0, 146),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [4692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, 0, 6),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [4714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_array_access_argument, 1, 0, 0),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [4736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3, 0, 0),
  [4738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 142),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [4748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3, 0, 0),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [4754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 7, 0, 174),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [4762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 64),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [4778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 64),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [4792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 70),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [4800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 86),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [4806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 70),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [4854] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [4864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 2, 0, 0),
  [4866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 3, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_encapsed_string_chars = 1,
  ts_external_token_encapsed_string_chars_after_variable = 2,
  ts_external_token_execution_string_chars = 3,
  ts_external_token_execution_string_chars_after_variable = 4,
  ts_external_token_encapsed_string_chars_heredoc = 5,
  ts_external_token_encapsed_string_chars_after_variable_heredoc = 6,
  ts_external_token__eof = 7,
  ts_external_token_heredoc_start = 8,
  ts_external_token_heredoc_end = 9,
  ts_external_token_nowdoc_string = 10,
  ts_external_token_sentinel_error = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_encapsed_string_chars] = sym_encapsed_string_chars,
  [ts_external_token_encapsed_string_chars_after_variable] = sym_encapsed_string_chars_after_variable,
  [ts_external_token_execution_string_chars] = sym_execution_string_chars,
  [ts_external_token_execution_string_chars_after_variable] = sym_execution_string_chars_after_variable,
  [ts_external_token_encapsed_string_chars_heredoc] = sym_encapsed_string_chars_heredoc,
  [ts_external_token_encapsed_string_chars_after_variable_heredoc] = sym_encapsed_string_chars_after_variable_heredoc,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_nowdoc_string] = sym_nowdoc_string,
  [ts_external_token_sentinel_error] = sym_sentinel_error,
};

static const bool ts_external_scanner_states[15][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
    [ts_external_token_sentinel_error] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [4] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
  },
  [5] = {
    [ts_external_token_execution_string_chars] = true,
  },
  [6] = {
    [ts_external_token_encapsed_string_chars] = true,
  },
  [7] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [8] = {
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
  },
  [9] = {
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
  },
  [10] = {
    [ts_external_token__eof] = true,
  },
  [11] = {
    [ts_external_token_heredoc_end] = true,
  },
  [12] = {
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
  },
  [13] = {
    [ts_external_token_heredoc_start] = true,
  },
  [14] = {
    [ts_external_token_nowdoc_string] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_external_scanner_create(void);
void tree_sitter_php_external_scanner_destroy(void *);
bool tree_sitter_php_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_external_scanner_serialize(void *, char *);
void tree_sitter_php_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_php(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_php_external_scanner_create,
      tree_sitter_php_external_scanner_destroy,
      tree_sitter_php_external_scanner_scan,
      tree_sitter_php_external_scanner_serialize,
      tree_sitter_php_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
